* Operacin estadstica de: Camas y Egresos Hospitalarios.
* Direccion:Direccion de Estadstica Sociodemogrficas.
* Elaboracin: GESRA
* Creacin: 22-02-2016.
* Actualizacin: 10-06-2020.

**********************************************************************************************.
*--------------------------------------------------------------------------------------------------------------------------------------.
* NOTAS: El value label SI es sensible a las maysculas y minsculas.
*---------------------------------------------------------------------------------------------------------------------------------------.
* Seleccin de menores de un ao, condicin de edad = 1 y 2.
*---------------------------------------------------------------------------------------------------------------------------------------.
****************************3.1.14*********************************************.
GET
  FILE=' D:\EGRESOS Y CAMAS\BASES EGRESOS\egresos_hospitalarios_2020.sav'.
filter off.
use all.
if cod_edad = 1 or cod_edad = 2 or cod_edad = 3 filtroeedad = 1.

filter by filtroeedad.

*---------------------------------------.
*Crear variables  de trabajo.
*---------------------------------------.
compute t = 1.
compute t1 = 1.
compute t2 = 1.
*----------------------------------------------------.
*Condicin del Egreso recodificada.
*----------------------------------------------------.
if (con_egrpa = 1)  cegrpar = 1.
if (con_egrpa = 2 or con_egrpa = 3)  cegrpar = 2.
if (con_egrpa = 1) saltas = 1.
if (con_egrpa = 1) sfall = 1.
if (con_egrpa = 1) tfall = 1.
if (con_egrpa = 1) taltas = 1.

*------------------------------------------.
*   Definicin de Etiquetas.
*-----------------------------------------.
VARIABLE LABELS
t	'Total Egresos'
t1	'Total Repblica'
t2	'Total '.


TABLES
/TABLE	(t1+cau298rx) by (t+sexo + (cegrpar > (t2+sexo)) )
/TITLES 'Cuadro 3_1_14'
	'Egresos Hospitalarios por condicin al egreso, sexo y tasa de letalidad hospitalaria'
            'Lista de Agrupamiento de 298 Causas - CIE-10'
            'Menores de un ao'
/CORNER .
EXECUTE.

outp exp /contents export=visible /xlsx documentfile='D:\EGRESOS Y CAMAS\TABULADOS\Tabulados_2020\cuadro 3_1_14.xlsx' 
operation=createsheet sheet='c3_1_14'.
output close *.



****************************3.1.15*********************************************.
*Nmero de egresos hospitalarios por autoidentificacin tnica del paciente segn sexo.

GET
  FILE=' D:\EGRESOS Y CAMAS\BASES EGRESOS\egresos_hospitalarios_2020.sav'.
filter off.
use all.

*---------------------------------------.
*Crear variables  de trabajo.
*---------------------------------------.
compute t = 1.
compute t1 = 1.
compute t2 = 1.



TABLES
/TABLE	t1 + etnia by t+sexo 
/TITLES 'Cuadro N_3_1_15'
	'Egresos Hospitalarios por condicin al egreso, etnia sexo'
            'Autoidentificacin etnica'
/CORNER .
EXECUTE.



outp exp /contents export=visible /xlsx documentfile='D:\EGRESOS Y CAMAS\TABULADOS\Tabulados_2020\cuadro 3_1_15.xlsx' 
operation=createsheet sheet='c3_1_15'.
output close *.


****************************3.1.16*********************************************.
*Nmero de egresos por autoidentificacin tnica del paciente segn provincia de residencia del paciente.

GET
  FILE=' D:\EGRESOS Y CAMAS\BASES EGRESOS\egresos_hospitalarios_2020.sav'.
filter off.
use all.


*---------------------------------------.
*Crear variables  de trabajo.
*---------------------------------------.
compute t = 1.
compute t1 = 1.
compute t2 = 1.



TABLES
/TABLE prov_res by etnia 
/TITLES 'Cuadro 3_1_16'
	'Egresos Hospitalarios por condicin al egreso, etnia sexo'
            'Autoidentificacin etnica'
/CORNER .
EXECUTE.



outp exp /contents export=visible /xlsx documentfile='D:\EGRESOS Y CAMAS\TABULADOS\Tabulados_2020\cuadro 3_1_16.xlsx' 
operation=createsheet sheet='c3_1_16'.
output close *.
