* Operacin estadstica de: Camas y Egresos Hospitalarios.
* Direccion:Direccion de Estadstica Sociodemogrficas.
* Elaboracin: GESRA
* Creacin: 22-02-2016.
* Actualizacin: 10-06-2020.

**********************************************************************************************.

*Lista causa 3.
GET FILE='D:\EGRESOS Y CAMAS\BASES EGRESOS\egresos_hospitalarios_2020.sav'.


filter off.
use all.
compute t = 1.
compute t1 = 1.
compute t2 = 1.


*------------------------------------------.
*   Definicin de Etiquetas.
*-----------------------------------------.
VARIABLE LABELS
t	'Total'
t1	'Total Repblica'
t2	'Total '.


if t=1 altas = 0.
if con_egrpa = 1 altas = 1.
if con_egrpa = 1 daltas = dia_estad.
if t=1 men48 = 0.
if con_egrpa = 2 men48 = 1.
if con_egrpa = 2 dmen48 = dia_estad.
if t=1 mas48 = 0.
if con_egrpa = 3 mas48 = 1.
if con_egrpa = 3 dmas48 = dia_estad.
if t=1 bajas = 0.
if con_egrpa = 2 or con_egrpa = 3 bajas = 1.
if con_egrpa = 2 or con_egrpa = 3 dbajas = dia_estad.
EXECUTE.

*   Definicin de Etiquetas.
*------------------------------------------.
VARIABLE LABELS 
daltas 'Altas'
/dbajas 'Fallecidos'
/dmen48 'Menos de 48 horas'
/dmas48 '48 Horas y ms'
/altas  'Egresos'
/bajas 'Fallecidos'
/men48  'Egresos menos de 48 horas'
/mas48  'Egresos 48 horas y ms'.


if t=1 fallecidos=0.
if (con_egrpa >= 2 and con_egrpa <= 3) fallecidos = 1.


if causa3 = "O80" parto_normal = 1.
if causa3 = "O82" parto_cesarea = 1.
if (causa3 = "O81"  or causa3 = "O83" or  causa3 = "O84" ) otros_part = 1.
if (causa3 >= "R00"  and causa3 <= "R99") sig_anor = 1.


string auxiliar_c3 (a3).
compute auxiliar_c3 = causa3.

RECODE auxiliar_c3("O80", "O82", "O81", "O83",  "O84" ,  "R00",  "R01" ,  "R02" ,  "R03" ,  "R04" ,  "R05" ,  "R06" 
,  "R07" ,  "R08" ,  "R09" ,  "R10" ,  "R11" ,  "R12" ,  "R13" ,  "R14" ,  "R15" ,  "R16" ,  "R17" ,  "R18" ,  "R19" ,  "R20" 
,  "R21" ,  "R22" ,  "R23" ,  "R24" ,  "R25" ,  "R26" ,  "R27" ,  "R28" ,  "R29" ,  "R30" ,  "R31" ,  "R32" ,  "R33" ,  "R34" 
,  "R35" ,  "R36" ,  "R37" ,  "R38" ,  "R39" ,  "R40" ,  "R41" ,  "R42" ,  "R43" ,  "R44" ,  "R45" ,  "R46" ,  "R47" ,  "R48" 
,  "R49" ,  "R50" ,  "R51" ,  "R52" ,  "R53" ,  "R54" ,  "R55" ,  "R56" ,  "R57" ,  "R58" ,  "R59" ,  "R60" ,  "R61" ,  "R62" 
,  "R63" ,  "R64" ,  "R65" ,  "R66" ,  "R67" ,  "R68" ,  "R69" ,  "R70" ,  "R71" ,  "R72" ,  "R73" ,  "R74" ,  "R75" ,  "R77" 
,  "R78" ,  "R79" ,  "R80" ,  "R81" ,  "R82" ,  "R83" ,  "R84" ,  "R85" ,  "R86" ,  "R87" ,  "R88" ,  "R89" ,  "R90" ,  "R91" 
,  "R92" ,  "R93" ,  "R94" ,  "R95" ,  "R96" ,  "R97" ,  "R98" ,  "R99" ,  "R76"  = "ttt" ).

EXECUTE.

VALUE LABELS 
/auxiliar_c3
"A00" "Clera"
"A000" "Clera debido a Vibrio cholerae 01, biotipo cholerae"
"A001" "Clera debido a Vibrio cholerae 01, biotipo el Tor"
"A009" "Clera, no especificado"
"A01" "Fiebres tifoidea y paratifoidea"
"A010" "Fiebre tifoidea"
"A011" "Fiebre paratifoidea A"
"A012" "Fiebre paratifoidea B"
"A013" "Fiebre paratifoidea C"
"A014" "Fiebre paratifoidea, no especificada"
"A02" "Otras infecciones debidas a Salmonella"
"A020" "Enteritis debida a Salmonella"
"A021" "Septicemia debida a Salmonella"
"A022" "Infecciones localizadas debidas a Salmonella"
"A028" "Otras infecciones especificadas como debidas a Salmonella"
"A029" "Infeccin debida a Salmonella, no especificada"
"A03" "Shigelosis"
"A030" "Shigelosis debida a Shigella dysenteriae"
"A031" "Shigelosis debida a Shigella flexneri"
"A032" "Shigelosis debida a Shigella boydii"
"A033" "Shigelosis debida a Shigella sonnei"
"A038" "Otras shigelosis"
"A039" "Shigelosis de tipo no especificado"
"A04" "Otras infecciones intestinales bacterianas"
"A040" "Infeccin debida a Escherichia coli enteropatgena"
"A041" "Infeccin debida a Escherichia coli enterotoxgena"
"A042" "Infeccin debida a Escherichia coli enteroinvasiva"
"A043" "Infeccin debida a Escherichia coli enterohemorrgica"
"A044" "Otras infecciones intestinales debidas a Escherichia coli"
"A045" "Enteritis debida a Campylobacter"
"A046" "Enteritis debida a Yersinia enterocolitica"
"A047" "Enterocolitis debida a Clostridium difficile"
"A048" "Otras infecciones intestinales bacterianas especificadas"
"A049" "Infeccin intestinal bacteriana, no especificada"
"A05" "Otras intoxicaciones alimentarias bacterianas, no clasificadas en otra parte"
"A050" "Intoxicacin alimentaria estafiloccica"
"A051" "Botulismo"
"A052" "Intoxicacin alimentaria debida a Clostridium perfringens [Clostridium welchii]"
"A053" "Intoxicacin alimentaria debida a Vibrio parahaemolyticus"
"A054" "Intoxicacin alimentaria debida a Bacillus cereus"
"A058" "Otras intoxicaciones alimentarias debidas a bacterias especificadas"
"A059" "Intoxicacin alimentaria bacteriana, no especificada"
"A06" "Amebiasis"
"A060" "Disentera amebiana aguda"
"A061" "Amebiasis intestinal crnica"
"A062" "Colitis amebiana no disentrica"
"A063" "Ameboma intestinal"
"A064" "Absceso amebiano del hgado"
"A065" "Absceso amebiano del pulmn"
"A066" "Absceso amebiano del cerebro"
"A067" "Amebiasis cutnea"
"A068" "Infeccin amebiana de otras localizaciones"
"A069" "Amebiasis, no especificada"
"A07" "Otras enfermedades intestinales debidas a protozoarios"
"A070" "Balantidiasis"
"A071" "Giardiasis [lambliasis]"
"A072" "Criptosporidiosis"
"A073" "Isosporiasis"
"A078" "Otras enfermedades intestinales especificadas debidas a protozoarios"
"A079" "Enfermedad intestinal debida a protozoarios, no especificada"
"A08" "Infecciones intestinales debidas a virus y otros organismos especificados"
"A080" "Enteritis debida a rotavirus"
"A081" "Gastroenteropata aguda debida al agente de Norwalk"
"A082" "Enteritis debida a adenovirus"
"A083" "Otras enteritis virales"
"A084" "Infeccin intestinal viral, sin otra especificacin"
"A085" "Otras infecciones intestinales especificadas"
"A09" "Diarrea y gastroenteritis de presunto origen infeccioso"
"A090" "Otras gastroenteritis y colitis de origen infeccioso "
"A099" "Gastroenteritis y colitis de origen no especificado "
"A15" "Tuberculosis respiratoria, confirmada bacteriolgica e histolgicamente"
"A150" "Tuberculosis del pulmn, confirmada por hallazgo microscpico del bacilo tuberculoso en esputo, con o sin cultivo"
"A151" "Tuberculosis del pulmn, confirmada nicamente por cultivo"
"A152" "Tuberculosis del pulmn, confirmada histolgicamente"
"A153" "Tuberculosis del pulmn, confirmada por medios no especificados"
"A154" "Tuberculosis de ganglios linfticos intratorcicos, confirmada bacteriolgica e histolgicamente"
"A155" "Tuberculosis de laringe, traquea y bronquios, confirmada bacteriolgica e histolgicamente"
"A156" "Pleuresa tuberculosa, confirmada bacteriolgica e histolgicamente"
"A157" "Tuberculosis respiratoria primaria, confirmada bacteriolgica e histolgicamente"
"A158" "Otras tuberculosis respiratorias, confirmadas bacteriolgica e histolgicamente"
"A159" "Tuberculosis respiratoria no especificada, confirmada bacteriolgica e histolgicamente"
"A16" "Tuberculosis respiratoria, no confirmada bacteriolgica o histolgicamente"
"A160" "Tuberculosis del pulmn, con examen bacteriolgico e histolgico negativos"
"A161" "Tuberculosis de pulmn, sin examen bacteriolgico e histolgico"
"A162" "Tuberculosis de pulmn, sin mencin de confirmacin bacteriolgica o histolgica"
"A163" "Tuberculosis de ganglios linfticos intratorcicos, sin mencin de confirmacin bacteriolgica o histolgica"
"A164" "Tuberculosis de laringe, traquea y bronquios, sin mencin de confirmacin bacteriolgica o histolgica"
"A165" "Pleuresa tuberculosa, sin mencin de confirmacin bacteriolgica o histolgica"
"A167" "Tuberculosis respiratoria primaria, sin mencin de confirmacin bacteriolgica o histolgica"
"A168" "Otras tuberculosis respiratorias, sin mencin de confirmacin"
"A169" "Tuberculosis respiratoria no especificada, sin mencin de confirmacin bacteriolgica o histolgica"
"A17" "Tuberculosis del sistema nervioso"
"A170" "Meningitis tuberculosa"
"A171" "Tuberculoma menngeo"
"A178" "Otras tuberculosis del sistema nervioso"
"A179" "Tuberculosis del sistema nervioso, no especificada"
"A18" "Tuberculosis de otros rganos"
"A180" "Tuberculosis de huesos y articulaciones"
"A181" "Tuberculosis del aparato genitourinario"
"A182" "Linfadenopata perifrica tuberculosa"
"A183" "Tuberculosis de los intestinos, el peritoneo y los ganglios mesentricos"
"A184" "Tuberculosis de la piel y el tejido subcutneo"
"A185" "Tuberculosis del ojo"
"A186" "Tuberculosis del odo"
"A187" "Tuberculosis de glndulas suprarrenales"
"A188" "Tuberculosis de otros rganos especificados"
"A19" "Tuberculosis miliar"
"A190" "Tuberculosis miliar aguda de un solo sitio especificado"
"A191" "Tuberculosis miliar aguda de sitios mltiples"
"A192" "Tuberculosis miliar aguda, no especificada"
"A198" "Otras tuberculosis miliares"
"A199" "Tuberculosis miliar, sin otra especificacin"
"A20" "Peste"
"A200" "Peste bubnica"
"A201" "Peste celulocutnea"
"A202" "Peste neumnica"
"A203" "Meningitis por peste"
"A207" "Peste septicmica"
"A208" "Otras formas de peste"
"A209" "Peste, no especificada"
"A21" "Tularemia"
"A210" "Tularemia ulceroglandular"
"A211" "Tularemia oculoglandular"
"A212" "Tularemia pulmonar"
"A213" "Tularemia gastrointestinal"
"A217" "Tularemia generalizada"
"A218" "Otras formas de tularemia"
"A219" "Tularemia, no especificada"
"A22" "Carbunco [ntrax]"
"A220" "Carbunco cutneo"
"A221" "Carbunco pulmonar"
"A222" "Carbunco gastrointestinal"
"A227" "Carbunco septicmico"
"A228" "Otras formas de carbunco"
"A229" "Carbunco, no especificado"
"A23" "Brucelosis"
"A230" "Brucelosis debida a Brucella melitensis"
"A231" "Brucelosis debida a Brucella abortus"
"A232" "Brucelosis debida a Brucella suis"
"A233" "Brucelosis debida a Brucella canis"
"A238" "Otras brucelosis"
"A239" "Brucelosis, no especificada"
"A24" "Muermo y melioidosis"
"A240" "Muermo"
"A241" "Melioidosis aguda y fulminante"
"A242" "Melioidosis subaguda y crnica"
"A243" "Otras melioidosis"
"A244" "Melioidosis, no especificada"
"A25" "Fiebre por mordedura de rata"
"A250" "Espirilosis"
"A251" "Estreptobacilosis"
"A259" "Fiebre por mordedura de rata, no especificada"
"A26" "Erisipeloide"
"A260" "Erisipeloide cutneo"
"A267" "Septicemia por Erysipelothrix"
"A268" "Otras formas de erisipeloide"
"A269" "Erisipeloide, no especificada"
"A27" "Leptospirosis"
"A270" "Leptospirosis icterohemorrgica"
"A278" "Otras formas de leptospirosis"
"A279" "Leptospirosis, no especificada"
"A28" "Otras enfermedades zoonticas bacterianas, no clasificadas en otra parte"
"A280" "Pasteurelosis"
"A281" "Enfermedad por rasguo de gato"
"A282" "Yersiniosis extraintestinal"
"A288" "Otras enfermedades zoonticas bacterianas especificadas, no clasificadas en otra parte"
"A289" "Enfermedad zoontica bacteriana, sin otra especificacin"
"A30" "Lepra [enfermedad de Hansen]"
"A300" "Lepra indeterminada"
"A301" "Lepra tuberculoide"
"A302" "Lepra tuberculoide limtrofe"
"A303" "Lepra limtrofe"
"A304" "Lepra lepromatosa limtrofe"
"A305" "Lepra lepromatosa"
"A308" "Otras formas de lepra"
"A309" "Lepra, no especificada"
"A31" "Infecciones debidas a otras micobacterias"
"A310" "Infecciones por micobacterias pulmonares"
"A311" "Infeccin cutnea por micobacterias"
"A318" "Otras infecciones por micobacterias"
"A319" "Infeccin por micobacteria, no especificada"
"A32" "Listeriosis"
"A320" "Listeriosis cutnea"
"A321" "Meningitis y meningoencefalitis listeriana"
"A327" "Septicemia listeriana"
"A328" "Otras formas de listeriosis"
"A329" "Listeriosis, no especificada"
"A33" "Ttanos neonatal"
"A34" "Ttanos obsttrico"
"A35" "Otros ttanos"
"A36" "Difteria"
"A360" "Difteria farngea"
"A361" "Difteria nasofarngea"
"A362" "Difteria larngea"
"A363" "Difteria cutnea"
"A368" "Otras difterias"
"A369" "Difteria, no especificada"
"A37" "Tos ferina [tos convulsiva]"
"A370" "Tos ferina debida a Bordetella pertussis"
"A371" "Tos ferina debida a Bordetella parapertussis"
"A378" "Tos ferina debida a otras especies de Bordetella"
"A379" "Tos ferina, no especificada"
"A38" "Escarlatina"
"A39" "Enfermedad meningoccica"
"A390" "Meningitis meningoccica"
"A391" "Sndrome de Waterhouse-Friderichsen"
"A392" "Meningococemia aguda"
"A393" "Meningococemia crnica"
"A394" "Meningococemia, no especificada"
"A395" "Enfermedad cardaca debida a meningococo"
"A398" "Otras formas de enfermedad meningoccica"
"A399" "Enfermedad meningoccica, no especificada"
"A40" "Sepsis estreptoccica"
"A400" "Septicemia debida a estreptococo, grupo A"
"A401" "Septicemia debida a estreptococo, grupo B"
"A402" "Septicemia debida a estreptococo, grupo D"
"A403" "Septicemia debida a Streptococcus pneumoniae"
"A408" "Otras septicemias estreptoccicas"
"A409" "Septicemia estreptoccica, no especificada"
"A41" "Otras septicemias"
"A410" "Septicemia debida a Staphylococcus aureus"
"A411" "Septicemia debida a otro estafilococo especificado"
"A412" "Septicemia debida a estafilococo no especificado"
"A413" "Septicemia debida a Haemophilus influenzae"
"A414" "Septicemia debida a anaerobios"
"A415" "Septicemia debida a otros organismos gramnegativos"
"A418" "Otras septicemias especificadas"
"A419" "Septicemia, no especificada"
"A42" "Actinomicosis"
"A420" "Actinomicosis pulmonar"
"A421" "Actinomicosis abdominal"
"A422" "Actinomicosis cervicofacial"
"A427" "Septicemia actinomictica"
"A428" "Otras formas de actinomicosis"
"A429" "Actinomicosis, sin otra especificacin"
"A43" "Nocardiosis"
"A430" "Nocardiosis pulmonar"
"A431" "Nocardiosis cutnea"
"A438" "Otras formas de nocardiosis"
"A439" "Nocardiosis, no especificada"
"A44" "Bartonelosis"
"A440" "Bartonelosis sistmica"
"A441" "Bartonelosis cutnea y mucocutnea"
"A448" "Otras formas de bartonelosis"
"A449" "Bartonelosis, no especificada"
"A46" "Erisipela"
"A48" "Otras enfermedades bacterianas, no clasificadas en otra parte"
"A480" "Gangrena gaseosa"
"A481" "Enfermedad de los legionarios"
"A482" "Enfermedad de los legionarios no neumnica (fiebre de Pontiac)"
"A483" "Sndrome del choque txico"
"A484" "Fiebre purprica brasilea"
"A488" "Otras enfermedades bacterianas especificadas"
"A49" "Infeccin bacteriana de sitio no especificado"
"A490" "Infeccin estafiloccica, sin otra especificacin"
"A491" "Infeccin estreptoccica, sin otra especificacin"
"A492" "Infeccin por Haemophilus influenzae, sin otra especificacin"
"A493" "Infeccin por micoplasma, sin otra especificacin"
"A498" "Otras infecciones bacterianas de sitio no especificado"
"A499" "Infeccin bacteriana, no especificada"
"A50" "Sfilis congnita"
"A500" "Sfilis congnita precoz, sintomtica"
"A501" "Sfilis congnita precoz, latente"
"A502" "Sfilis congnita precoz, sin otra especificacin"
"A503" "Oculopata sifiltica congnita tarda"
"A504" "Neurosfilis congnita tarda [neurosfilis juvenil]"
"A505" "Otras formas de sfilis congnita tarda, sintomtica"
"A506" "Sfilis congnita tarda, latente"
"A507" "Sfilis congnita tarda, sin otra especificacin"
"A509" "Sfilis congnita, sin otra especificacin"
"A51" "Sfilis precoz"
"A510" "Sfilis genital primaria"
"A511" "Sfilis primaria anal"
"A512" "Sfilis primaria en otros sitios"
"A513" "Sfilis secundaria de piel y membranas mucosas"
"A514" "Otras sfilis secundarias"
"A515" "Sfilis precoz, latente"
"A519" "Sfilis precoz, sin otra especificacin"
"A52" "Sfilis tarda"
"A520" "A520 Sfilis cardiovascular"
"A521" "Neurosfilis sintomtica"
"A522" "Neurosfilis asintomtica"
"A523" "Neurosfilis no especificada"
"A527" "Otras sfilis tardas sintomticas"
"A528" "Sfilis tarda, latente"
"A529" "Sfilis tarda, no especificada"
"A53" "Otras sfilis y las no especificadas"
"A530" "Sfilis latente, no especificada como precoz o tarda"
"A539" "Sfilis, no especificada"
"A54" "Infeccin gonoccica"
"A540" "Infeccin gonoccica del tracto genitourinario inferior sin absceso periuretral y de glndula accesoria"
"A541" "Infeccin gonoccica del tracto genitourinario inferior con absceso periuretral y de glndulas accesorias"
"A542" "Pelviperitonitis gonoccica y otras infecciones gonoccicas genitourinarias"
"A543" "Infeccin gonoccica del ojo"
"A544" "Infeccin gonoccica del sistema osteomuscular"
"A545" "Faringitis gonoccica"
"A546" "Infeccin gonoccica del ano y del recto"
"A548" "Otras infecciones gonoccicas"
"A549" "Infeccin gonoccica, no especificada"
"A55" "Linfogranuloma (venreo) por clamidias"
"A56" "Otras enfermedades de transmisin sexual debidas a clamidias"
"A560" "Infeccin del tracto genitourinario inferior debida a clamidias"
"A561" "Infeccin del pelviperitoneo y otros rganos genitourinarios debida a clamidias"
"A562" "Infecciones del tracto genitourinario debidas a clamidias, sin otra especificacin"
"A563" "Infeccin del ano y del recto debida a clamidias"
"A564" "Infeccin de faringe debida a clamidias"
"A568" "Infeccin de transmisin sexual de otros sitios debida a clamidias"
"A57" "Chancro blando"
"A58" "Granuloma inguinal"
"A59" "Tricomoniasis"
"A590" "Tricomoniasis urogenital"
"A598" "Tricomoniasis de otros sitos"
"A599" "Tricomoniasis, no especificada"
"A60" "Infeccin anogenital debida a virus del herpes [herpes simple]"
"A600" "Infeccin de genitales y trayecto urogenital debida a virus del herpes [herpes simple]"
"A601" "Infeccin de la piel perianal y recto por virus del herpes simple"
"A609" "Infeccin anogenital por virus del herpes simple, sin otra especificacin"
"A63" "Otras enfermedades de transmisin predominantemente sexual, no clasificadas en otra parte"
"A630" "Verrugas (venreas) anogenitales"
"A638" "Otras enfermedades de transmisin predominantemente sexual, especificadas"
"A64" "Enfermedad de transmisin sexual no especificada"
"A65" "Sfilis no venrea"
"A66" "Frambesia"
"A660" "Lesiones iniciales de frambesia"
"A661" "Lesiones papilomatosas mltiples y frambesia con paso de cangrejo"
"A662" "Otras lesiones precoces de la piel en la frambesia"
"A663" "Hiperqueratosis de frambesia"
"A664" "Goma y lceras de frambesia"
"A665" "Gangosa"
"A666" "Lesiones frambsicas de los huesos y de las articulaciones"
"A667" "Otras manifestaciones de frambesia"
"A668" "Frambesia latente"
"A669" "Frambesia, no especificada"
"A67" "Pinta [carate]"
"A670" "Lesiones primarias de la pinta"
"A671" "Lesiones intermedias de la pinta"
"A672" "Lesiones tardas de la pinta"
"A673" "Lesiones mixtas de la pinta"
"A679" "Pinta, no especificada"
"A68" "Fiebres recurrentes"
"A680" "Fiebre recurrente transmitida por piojos"
"A681" "Fiebre recurrente transmitida por garrapatas"
"A689" "Fiebre recurrente, no especificada"
"A69" "Otras infecciones causadas por espiroquetas"
"A690" "Estomatitis ulcerativa necrotizante"
"A691" "Otras infecciones de Vincent"
"A692" "Enfermedad de Lyme"
"A698" "Otras infecciones especificadas por espiroquetas"
"A699" "Infeccin por espiroqueta, no especificada"
"A70" "Infeccion debida a Chlamydia psittaci"
"A71" "Tracoma"
"A710" "Estado inicial de tracoma"
"A711" "Estado activo de tracoma"
"A719" "Tracoma, no especificado"
"A74" "Otras enfermedades causadas por clamidias"
"A740" "Conjuntivitis por clamidias"
"A748" "Otras enfermedades por clamidias"
"A749" "Infeccin por clamidias, no especificada"
"A75" "Tifus"
"A750" "Tifus epidmico debido a Rickettsia prowazekii transmitido por piojos"
"A751" "Tifus recrudescente [enfermedad de Brill]"
"A752" "Tifus debido a Rickettsia typhi"
"A753" "Tifus debido a Rickettsia tsutsugamushi"
"A759" "Tifus, no especificado"
"A77" "Fiebre maculosa [rickettsiosis transmitida por garrapatas]"
"A770" "Fiebre maculosa debida a Rickettsia rickettsii"
"A771" "Fiebre maculosa debida a Rickettsia conorii"
"A772" "Fiebre maculosa debida a Rickettsia siberica"
"A773" "Fiebre maculosa debida a Rickettsia australis"
"A778" "Otras fiebres maculosas"
"A779" "Fiebre maculosa, no especificada"
"A78" "Fiebre Q"
"A79" "Otras rickettsiosis"
"A790" "Fiebre de las trincheras"
"A791" "Rickettsiosis pustulosa debida a Rickettsia akari"
"A798" "Otras rickettsiosis especificadas"
"A799" "Rickettsiosis, no especificada"
"A80" "Poliomielitis aguda"
"A800" "Poliomielitis aguda paraltica, asociada a vacuna"
"A801" "Poliomielitis aguda paraltica debida a virus salvaje importado"
"A802" "Poliomielitis aguda paraltica debida a virus salvaje autctono"
"A803" "Otras poliomielitis agudas paralticas y las no especificadas"
"A804" "Poliomielitis aguda no paraltica"
"A809" "Poliomielitis aguda, sin otra especificacin"
"A81" "Infecciones del sistema nervioso central por virus atpico"
"A810" "Enfermedad de Creutzfeldt-Jakob"
"A811" "Panencefalitis esclerosante subaguda"
"A812" "Leucoencefalopata multifocal progresiva"
"A818" "Otras infecciones del sistema nervioso central por virus atpico"
"A819" "Infecciones del sistema nervioso central por virus atpico, sin otra especificacin"
"A82" "Rabia"
"A820" "Rabia selvtica"
"A821" "Rabia urbana"
"A829" "Rabia, sin otra especificacin"
"A83" "Encefalitis viral transmitida por mosquitos"
"A830" "Encefalitis japonesa"
"A831" "Encefalitis equina del oeste"
"A832" "Encefalitis equina del este"
"A833" "Encefalitis de San Luis"
"A834" "Encefalitis australiana"
"A835" "Encefalitis de California"
"A836" "Enfermedad por virus Roco"
"A838" "Otras encefalitis virales transmitidas por mosquitos"
"A839" "Encefalitis viral transmitida por mosquitos, sin otra especificacin"
"A84" "Encefalitis viral transmitida por garrapatas"
"A840" "Encefalitis del Lejano Oriente transmitida por garrapatas [encefalitis primaveroestival rusa]"
"A841" "Encefalitis centroeuropea transmitida por garrapatas"
"A848" "Otras encefalitis virales transmitida por garrapatas"
"A849" "Encefalitis viral transmitida por garrapatas, sin otra especificacin"
"A85" "Otras encefalitis virales, no clasificadas en otra parte"
"A850" "Encefalitis enteroviral"
"A851" "Encefalitis por adenovirus"
"A852" "Encefalitis viral transmitida por artrpodos, sin otra especifcacin"
"A858" "Otras encefalitis virales especifcadas"
"A86" "Encefalitis viral, no especificada"
"A87" "Meningitis viral"
"A870" "Meningitis enteroviral"
"A871" "Meningitis debida a adenovirus"
"A872" "Coriomeningitis linfoctica"
"A878" "Otras meningitis virales"
"A879" "Meningitis viral, sin otra especificacin"
"A88" "Otras infecciones virales del sistema nervioso central, no clasificadas en otra parte"
"A880" "Fiebre exantemtica enteroviral [exantema de Boston]"
"A881" "Vrtigo epidmico"
"A888" "Otras infecciones virales especificadas del sistema nervioso central"
"A89" "Infeccin viral del sistema nervioso central, no especificada"
"A92" "Otras fiebres virales transmitidas por mosquitos"
"A920" "Enfermedad por virus Chikungunya"
"A921" "Fiebre de O'nyong-nyong"
"A922" "Fiebre equina venezolana"
"A923" "Enfermedad viral del oeste del Nilo"
"A924" "Fiebre del valle del Rift"
"A928" "Otras fiebres virales especificadas transmitidas por mosquitos"
"A929" "Fiebre viral transmitida por mosquito, sin otra especificacin"
"A93" "Otras fiebres virales transmitidas por artrpodos, no clasificadas en otra parte"
"A930" "Enfermedad por virus de  Oropouche"
"A931" "Fiebre transmitida por flebtomos"
"A932" "Fiebre de Colorado transmitida por garrapatas"
"A938" "Otras fiebres virales especificadas transmitidas por artrpodos"
"A94" "Fiebre viral transmitida por artrpodos, no especificada"
"A95" "Fiebre amarilla"
"A950" "Fiebre amarilla selvtica"
"A951" "Fiebre amarilla urbana"
"A959" "Fiebre amarilla, no especificada"
"A96" "Fiebre hemorrgica por arenavirus"
"A960" "Fiebre hemorrgica de Junn"
"A961" "Fiebre hemorrgica de Machupo"
"A962" "Fiebre de Lassa"
"A968" "Otras fiebres hemorrgicas por arenavirus"
"A969" "Fiebre hemorrgica por arenavirus, sin otra especificacin"
"A97" "Dengue"
"A970" "Dengue sin signos de alarma"
"A971" "Dengue con signos de alarma"
"A972" "Dengue severo"
"A979" "Dengue no especificado"
"A98" "Otras fiebres virales hemorrgicas, no clasificadas en otra parte"
"A980" "Fiebre hemorrgica de Crimea-Congo"
"A981" "Fiebre hemorrgica de Omsk"
"A982" "Enfermedad de la selva Kyasanur"
"A983" "Enfermedad por el virus de Marburg"
"A984" "Enfermedad por el virus de Ebola"
"A985" "Fiebres hemorrgicas con sndrome renal"
"A988" "Otras fiebres hemorrgicas virales especificadas"
"A99" "Fiebre viral hemorrgica, no especificada"
"B00" "Infecciones herptica [herpes simple]"
"B000" "Eczema herptico"
"B001" "Dermatitis vesicular herptica"
"B002" "Gingivoestomatitis y faringoamigdalitis herptica"
"B003" "Meningitis herptica"
"B004" "Encefalitis herptica"
"B005" "Oculopata herptica"
"B007" "Enfermedad herptica diseminada"
"B008" "Otras formas de infecciones herpticas"
"B009" "Infeccin debida al virus del herpes, no especificada"
"B01" "Varicela"
"B010" "Meningitis debida a varicela"
"B011" "Encefalitis debida a varicela"
"B012" "Neumona debida a varicela"
"B018" "Varicela con otras complicaciones"
"B019" "Varicela sin complicaciones"
"B02" "Herpes zoster"
"B020" "Encefalitis debida a herpes zoster"
"B021" "Meningitis debida a herpes zoster"
"B022" "Herpes zoster con otros compromisos del sistema nervioso"
"B023" "Herpes zoster ocular"
"B027" "Herpes zoster diseminado"
"B028" "Herpes zoster con otras complicaciones"
"B029" "Herpes zoster sin complicaciones"
"B03" "Viruela"
"B04" "Viruela de los monos"
"B05" "Sarampin"
"B050" "Sarampin complicado con encefalitis"
"B051" "Sarampin complicado con meningitis"
"B052" "Sarampin complicado con neumona"
"B053" "Sarampin complicado con otitis media"
"B054" "Sarampin con complicaciones intestinales"
"B058" "Sarampin con otras complicaciones"
"B059" "Sarampin sin complicaciones"
"B06" "Rubola [sarampin alemn]"
"B060" "Rubola con complicaciones neurolgicas"
"B068" "Rubola con otras complicaciones"
"B069" "Rubola sin complicaciones"
"B07" "Verrugas vricas"
"B08" "Otras infeciones vricas caracterizadas por lesiones de la piel y de las membranas mucosas, no clasificadas en otra parte"
"B080" "Otras infecciones debidas a ortopoxvirus"
"B081" "Molusco contagioso"
"B082" "Exantema sbito [sexta enfermedad]"
"B083" "Eritema infeccioso [quinta enfermedad]"
"B084" "Estomatitis vesicular enteroviral con exantema"
"B085" "Faringitis vesicular enterovrica"
"B088" "Otras infecciones virales especificadas, caracterizadas por lesiones de la piel y de las membranas mucosas"
"B09" "Infeccin viral no especificada, caracterizada por lesiones de la piel y de las membranas mucosas"
"B15" "Hepatitis aguda tipo A"
"B150" "Hepatitis aguda tipo A, con coma heptico"
"B159" "Hepatitis aguda tipo A, sin coma heptico"
"B16" "Hepatitis aguda tipo B"
"B160" "Hepatitis aguda tipo B, con agente delta (coinfeccin), con coma heptico"
"B161" "Hepatitis aguda tipo B, con agente delta (coinfeccin), sin coma heptico"
"B162" "Hepatitis aguda tipo B, sin agente delta, con coma heptico"
"B169" "Hepatitis aguda tipo B, sin agente delta y sin coma heptico"
"B17" "Otras hepatitis virales agudas"
"B170" "Infeccin (superinfeccin) aguda por agente delta en el portador de hepatitis B"
"B171" "Hepatitis aguda tipo C"
"B172" "Hepatitis aguda tipo E"
"B178" "Otras hepatitis virales agudas especificadas"
"B179" "Hepatitis viral aguda no especificada"
"B18" "Hepatitis viral crnica"
"B180" "Hepatitis viral tipo B crnica, con agente delta"
"B181" "Hepatitis viral tipo B crnica, sin agente delta"
"B182" "Hepatitis viral tipo C crnica"
"B188" "Otras hepatitis virales crnicas"
"B189" "Hepatitis viral crnica, sin otra especificacin"
"B19" "Hepatitis viral, sin otra especificacin"
"B190" "Hepatitis viral no especificada con coma"
"B199" "Hepatitis viral no especificada sin coma"
"B20" "Enfermedad por virus de la inmunodeficiencia humana [VIH], resultante en enfermedades infecciosas y parasitarias"
"B200" "Enfermedad por VIH, resultante en infeccin por micobacterias"
"B201" "Enfermedad por VIH, resultante en otras infecciones bacterianas"
"B202" "Enfermedad por VIH, resultante en enfermedad por citomegalovirus"
"B203" "Enfermedad por VIH, resultante en otras infecciones virales"
"B204" "Enfermedad por VIH, resultante en candidiasis"
"B205" "Enfermedad por VIH, resultante en otras micosis"
"B206" "Enfermedad por VIH, resultante en neumona por Pneumocystis carinii"
"B207" "Enfermedad por VIH, resultante en infecciones mltiples"
"B208" "Enfermedad por VIH, resultante en otras enfermedades infecciosas o parasitarias"
"B209" "Enfermedad por VIH, resultante en enfermedad infecciosa o parasitaria no especificada"
"B21" "Enfermedad por virus de la inmunodeficiencia humana [VIH], resultante  en tumores malignos"
"B210" "Enfermedad por VIH, resultante en sarcoma de Kaposi"
"B211" "Enfermedad por VIH, resultante en linfoma de Burkitt"
"B212" "Enfermedad por VIH, resultante en otros tipos de linfoma no Hodgkin"
"B213" "Enfermedad por VIH, resultante en otros tumores malignos del tejido linfoide, hematopoytico y tejidos relacionados"
"B217" "Enfermedad por VIH, resultante en tumores malignos mltiples"
"B218" "Enfermedad por VIH, resultante en otros tumores malignos"
"B219" "Enfermedad por VIH, resultante en tumores malignos no especificados"
"B22" "Enfermedad por virus de la inmunodeficiencia humana [VIH], resultante en otras enfermedades especificadas"
"B220" "Enfermedad por VIH, resultante en encefalopata"
"B221" "Enfermedad por VIH, resultante en neumonitis linfoide intersticial"
"B222" "Enfermedad por VIH, resultante en sndrome caquctico"
"B227" "Enfermedad por VIH, resultante en enfermedades mltiples clasificadas en otra parte"
"B23" "Enfermedad por virus de la inmunodeficiencia humana [VIH], resultante en otras afecciones"
"B230" "Sndrome de infeccin aguda debida a VIH"
"B231" "Enfermedad por VIH, resultante en linfadenopata generalizada (persistente)"
"B232" "Enfermedad por VIH, resultante en anormalidades inmunolgicas y hematolgicas, no clasificadas en otra parte"
"B238" "Enfermedad por VIH, resultante en otras afecciones especificadas"
"B24" "Enfermedad por virus de la inmunodeficiencia humana [VIH], sin otra especificacin"
"B25" "Enfermedad debida a virus citomeglico"
"B250" "Neumonitis debida a virus citomeglico"
"B251" "Hepatitis debida a virus citomeglico"
"B252" "Pancreatitis debida a virus citomeglico"
"B258" "Otras enfermedades debidas a virus citomeglico"
"B259" "Enfermedad por virus citomeglico, no especificada"
"B26" "Parotiditis infecciosa"
"B260" "Orquitis por parotiditis"
"B261" "Meningitis por parotiditis"
"B262" "Encefalitis por parotiditis"
"B263" "Pancreatitis por parotiditis"
"B268" "Parotiditis infecciosa con otras complicaciones"
"B269" "Parotiditis, sin complicaciones"
"B27" "Mononucleosis infecciosa"
"B270" "Mononucleosis debida a herpes virus gamma"
"B271" "Mononucleosis por citomegalovirus"
"B278" "Otras mononucleosis infecciosas"
"B279" "Mononucleosis infecciosa, no especificada"
"B30" "Conjuntivitis viral"
"B300" "Queratoconjuntivitis debida a adenovirus"
"B301" "Conjuntivitis debida a adenovirus"
"B302" "Faringoconjuntivitis viral"
"B303" "Conjuntivitis epidmica aguda hemorrgica (enterovrica)"
"B308" "Otras conjuntivitis virales"
"B309" "Conjuntivitis viral, sin otra especificacin"
"B33" "Otras enfermedades virales, no clasificadas en otra parte"
"B330" "Mialgia epidmica"
"B331" "Enfermedad del ro Ross"
"B332" "Carditis viral"
"B333" "Infecciones debidas a retrovirus, no clasificadas en otra parte"
"B334" "Sndrome (cardio) pulmonar por hantavirus [SPH] [SCPH]"
"B338" "Otras enfermedades virales especificadas"
"B34" "Infeccin viral de sitio no especificado"
"B340" "Infeccin debida a adenovirus, sin otra especificacin"
"B341" "Infeccin debida a enterovirus, sin otra especificacin"
"B342" "Infeccin debida a Coronavirus, sin otra especificacin"
"B343" "Infeccin debida a Parvovirus, sin otra especificacin"
"B344" "Infeccin debida a Papovavirus, sin otra especificacin"
"B348" "Otras infecciones virales de sitio no especificado"
"B349" "Infeccin viral, no especificada"
"B35" "Dermatofitosis"
"B350" "Tia de la barba y del cuero cabelludo"
"B351" "Tia de las uas"
"B352" "Tia de la mano"
"B353" "Tia del pie [Tinea pedis]"
"B354" "Tia del cuerpo [Tinea corporis]"
"B355" "Tia imbricada [Tinea imbricata]"
"B356" "Tia inguinal [Tinea cruris]"
"B358" "Otras dermatofitosis"
"B359" "Dermatofitosis, no especificada"
"B36" "Otras micosis superficiales"
"B360" "Pitiriasis versicolor"
"B361" "Tia negra"
"B362" "Piedra blanca"
"B363" "Piedra negra"
"B368" "Otras micosis superficiales especificadas"
"B369" "Micosis superficial, sin otra especificacin"
"B37" "Candidiasis"
"B370" "Estomatitis candidisica"
"B371" "Candidiasis pulmonar"
"B372" "Candidiasis de la piel y las uas"
"B373" "Candidiasis de la vulva y de la vagina"
"B374" "Candidiasis de otras localizaciones urogenitales"
"B375" "Meningitis debida a candida"
"B376" "Endocarditis debida a candida"
"B377" "Septicemia debida a candida"
"B378" "Candidiasis de otros sitios"
"B379" "Candidiasis, no especificada"
"B38" "Coccidioidomicosis"
"B380" "Coccidioidomicosis pulmonar aguda"
"B381" "Coccidioidomicosis pulmonar crnica"
"B382" "Coccidioidomicosis pulmonar, sin otra especificacin"
"B383" "Coccidioidomicosis cutnea"
"B384" "Meningitis debida a coccidioidomicosis"
"B387" "Coccidioidomicosis diseminada"
"B388" "Otras formas de coccidioidomicosis"
"B389" "Coccidioidomicosis, no especificada"
"B39" "Histoplasmosis"
"B390" "Infeccin pulmonar aguda debida a Histoplasma capsulatum"
"B391" "Infeccin pulmonar crnica debida a Histoplasma capsulatum"
"B392" "Infeccin pulmonar debida a Histoplasma capsulatum, sin otra especificacin"
"B393" "Infeccin diseminada debida a Histoplasma capsulatum"
"B394" "Histoplasmosis debida a Histoplasma capsulatum, sin otra especificacin"
"B395" "Infeccin debida a Histoplasma duboisii"
"B399" "Histoplasmosis, no especificada"
"B40" "Blastomicosis"
"B400" "Blastomicosis pulmonar aguda"
"B401" "Blastomicosis pulmonar crnica"
"B402" "Blastomicosis pulmonar, sin otra especificacin"
"B403" "Blastomicosis cutnea"
"B407" "Blastomicosis diseminada"
"B408" "Otras formas de blastomicosis"
"B409" "Blastomicosis, no especificada"
"B41" "Paracoccidioidomicosis"
"B410" "Paracoccidioidomicosis pulmonar"
"B417" "Paracoccidioidomicosis diseminada"
"B418" "Otras formas de paracoccidioidomicosis"
"B419" "Paracoccidioidomicosis, no especificada"
"B42" "Esporotricosis"
"B420" "Esporotricosis pulmonar"
"B421" "Esporotricosis linfocutnea"
"B427" "Esporotricosis diseminada"
"B428" "Otras formas de esporotricosis"
"B429" "Esporotricosis, no especificada"
"B43" "Cromomicosis y absceso feomictico"
"B430" "Cromomicosis cutnea"
"B431" "Absceso cerebral feomictico"
"B432" "Absceso y quiste subcutneo feomictico"
"B438" "Otras formas de cromomicosis"
"B439" "Cromomicosis,no especificada"
"B44" "Aspergilosis"
"B440" "Aspergilosis pulmonar invasiva"
"B441" "Otras aspergilosis pulmonares"
"B442" "Aspergilosis amigdalina"
"B447" "Aspergilosis diseminada"
"B448" "Otras formas de aspergilosis"
"B449" "Aspergilosis, no especificada"
"B45" "Criptococosis"
"B450" "Criptococosis pulmonar"
"B451" "Criptococosis cerebral"
"B452" "Criptococosis cutnea"
"B453" "Criptococosis sea"
"B457" "Criptococosis diseminada"
"B458" "Otras formas de criptococosis"
"B459" "Criptococosis, no especificada"
"B46" "Cigomicosis"
"B460" "Mucormicosis pulmonar"
"B461" "Mucormicosis rinocerebral"
"B462" "Mucormicosis gastrointestinal"
"B463" "Mucormicosis cutnea"
"B464" "Mucormicosis diseminada"
"B465" "Mucormicosis, sin otra especificacin"
"B468" "Otras cigomicosis"
"B469" "Cigomicosis, no especificada"
"B47" "Micetoma"
"B470" "Eumicetoma"
"B471" "Actinomicetoma"
"B479" "Micetoma, no especificado"
"B48" "Otras micosis, no clasificadas en otra parte"
"B480" "Lobomicosis"
"B481" "Rinosporidiosis"
"B482" "Alesqueriasis"
"B483" "Geotricosis"
"B484" "Penicilosis"
"B487" "Micosis oportunistas"
"B488" "Otras micosis especificadas"
"B49" "Micosis, no especificada"
"B50" "Paludismo [malaria] debido a Plasmodium falciparum"
"B500" "Paludismo debido a Plasmodium falciparum con complicaciones cerebrales"
"B508" "Otro paludismo grave y complicado debido a Plasmodium falciparum"
"B509" "Paludismo debido a Plasmodium falciparum, sin otra especificacin"
"B51" "Paludismo [malaria] debido a Plasmodium vivax"
"B510" "Paludismo debido a Plasmodium vivax con ruptura esplnica"
"B518" "Paludismo debido a Plasmodium vivax con otras complicaciones"
"B519" "Paludismo debido a Plasmodium vivax, sin complicaciones"
"B52" "Paludismo [malaria] debido a Plasmodium malariae"
"B520" "Paludismo debido a Plasmodium malariae con nefropata"
"B528" "Paludismo debido a Plasmodium malariae con otras complicaciones"
"B529" "Paludismo debido a Plasmodium malariae, sin complicaciones"
"B53" "Otro paludismo [malaria] confirmado parasitolgicamente"
"B530" "Paludismo debido a Plasmodium ovale"
"B531" "Paludismo debido a plasmodios de los simios"
"B538" "Otro paludismo confirmado parasitolgicamente, no clasificado en otra parte"
"B54" "Paludismo [malaria] no especificado"
"B55" "Leishmaniasis"
"B550" "Leishmaniasis visceral"
"B551" "Leishmaniasis cutnea"
"B552" "Leishmaniasis mucocutnea"
"B559" "Leishmaniasis, no especificada"
"B56" "Tripanosomiasis africana"
"B560" "Tripanosomiasis gambiense"
"B561" "Tripanosomiasis rhodesiense"
"B569" "Tripanosomiasis africana, sin otra especificacin"
"B57" "Enfermedad de Chagas"
"B570" "Enfermedad de Chagas aguda que afecta al corazn"
"B571" "Enfermedad de Chagas aguda que no afecta al corazn"
"B572" "Enfermedad de Chagas (crnica) que afecta al corazn"
"B573" "Enfermedad de Chagas (crnica) que afecta al sistema digestivo"
"B574" "Enfermedad de Chagas (crnica) que afecta al sistema nervioso"
"B575" "Enfermedad de Chagas (crnica) que afecta otros rganos"
"B58" "Toxoplasmosis"
"B580" "Oculopata debida a toxoplasma"
"B581" "Hepatitis debida a toxoplasma"
"B582" "Meningoencefalitis debida a toxoplasma"
"B583" "Toxoplasmosis pulmonar"
"B588" "Toxoplasmosis con otro rgano afectado"
"B589" "Toxoplasmosis, no especificada"
"B59" "Neumocistosis"
"B60" "Otras enfermedades debidas a protozoarios, no clasificadas en otra parte"
"B600" "Babesiosis"
"B601" "Acantamebiasis"
"B602" "Naegleriasis"
"B608" "Otras enfermedades especificadas debidas a protozoarios"
"B64" "Enfermedad debida a protozoarios, no especificada"
"B65" "Esquistosomiasis [bilharziasis]"
"B650" "Esquistosomiasis debida a Schistosoma haematobium (esquistosomiasis urinaria)"
"B651" "Esquistosomiasis debida a Schistosoma mansoni [esquistosomiasis intestinal]"
"B652" "Esquistosomiasis debida a Schistosoma japonicum"
"B653" "Dermatitis por cercarias"
"B658" "Otras esquistosomiasis"
"B659" "Esquistosomiasis, no especificada"
"B66" "Otras infecciones debidas a trematodos"
"B660" "Opistorquiasis"
"B661" "Clonorquiasis"
"B662" "Dicrocoeliasis"
"B663" "Fascioliasis"
"B664" "Paragonimiasis"
"B665" "Fasciolopsiasis"
"B668" "Otras infecciones especificadas debidas a trematodos"
"B669" "Infeccin debida a trematodos, no especificada"
"B67" "Equinococosis"
"B670" "Infeccin del hgado debida a Echinococcus granulosus"
"B671" "Infeccin del pulmn debida a Echinococcus granulosus"
"B672" "Infeccin de hueso debida a Echinococcus granulosus"
"B673" "Infeccin de otro rgano y de sitios mltiples debida a Echinococcus granulosus"
"B674" "Infeccin debida a Echinococcus granulosus, sin otra especificacin"
"B675" "Infeccin del hgado debida a Echinococcus multilocularis"
"B676" "Infeccin de otro rgano y de sitios mltiples debida a Echinococcus multilocularis"
"B677" "Infeccin debida a Echinococcus multilocularis, sin otra especificacin"
"B678" "Equinococosis del hgado, no especificada"
"B679" "Equinococosis, otra y la no especificada"
"B68" "Teniasis"
"B680" "Teniasis debida a Taenia solium"
"B681" "Infeccin debida a Taenia saginata"
"B689" "Teniasis, no especificada"
"B69" "Cisticercosis"
"B690" "Cisticercosis del sistema nervioso central"
"B691" "Cisticercosis del ojo"
"B698" "Cisticercosis de otros sitios"
"B699" "Cisticercosis, no especificada"
"B70" "Difilobotriasis y esparganosis"
"B700" "Difilobotriasis intestinal"
"B701" "Esparganosis"
"B71" "Otras infecciones debidas a cestodos"
"B710" "Himenolepiasis"
"B711" "Dipilidiasis"
"B718" "Otras infecciones debidas a cestodos especificadas"
"B719" "Infecciones debidas a cestodos, no especificada"
"B72" "Dracontiasis"
"B73" "Oncocercosis"
"B74" "Filariasis"
"B740" "Filariasis debida a Wuchereria bancrofti"
"B741" "Filariasis debida a Brugia malayi"
"B742" "Filariasis debida a Brugia timori"
"B743" "Loaiasis"
"B744" "Mansoneliasis"
"B748" "Otras filariasis"
"B749" "Filariasis, no especificada"
"B75" "Triquinosis"
"B76" "Anquilostomiasis y necatoriasis"
"B760" "Anquilostomiasis"
"B761" "Necatoriasis"
"B768" "Otras enfermedades debidas a anquilostomas"
"B769" "Enfermedad debida a anquilostomas, no especificada"
"B77" "Ascariasis"
"B770" "Ascariasis con complicaciones intestinales"
"B778" "Ascariasis con otras complicaciones"
"B779" "Ascariasis, no especificada"
"B78" "Estrongiloidiasis"
"B780" "Estrongiloidiasis intestinal"
"B781" "Estrongiloidiasis cutnea"
"B787" "Estrongiloidiasis diseminada"
"B789" "Estrongiloidiasis, no especificada"
"B79" "Tricuriasis"
"B80" "Enterobiasis"
"B81" "Otras helmintiasis intestinales, no clasificadas en otra parte"
"B810" "Anisaquiasis"
"B811" "Capilariasis intestinal"
"B812" "Tricoestrongiliasis"
"B813" "Angioestrongiliasis intestinal"
"B814" "Helmintiasis intestinal mixta"
"B818" "Otras helmintiasis intestinales especificadas"
"B82" "B82  Parasitosis intestinal, sin otra especificacin"
"B820" "Helmintiasis intestinal, sin otra especificacin"
"B829" "B829 Parasitosis intestinal, sin otra especificacin"
"B83" "Otros helmintiasis"
"B830" "Larva migrans visceral"
"B831" "Gnatostomiasis"
"B832" "Angioestrongiliasis debida a Parastrongylus cantonensis"
"B833" "Singamiasis"
"B834" "Hirudiniasis interna"
"B838" "Otras helmintiasis especificadas"
"B839" "Helmintiasis, no especificada"
"B85" "Pediculosis y phthiriasis"
"B850" "Pediculosis debida a Pediculus humanus capitis"
"B851" "Pediculosis debida a Pediculus humanus corporis"
"B852" "Pediculosis, sin otra especificacin"
"B853" "Phthiriasis"
"B854" "Pediculosis y phthiriasis mixtas"
"B86" "Escabiosis"
"B87" "Miasis"
"B870" "Miasis cutnea"
"B871" "Miasis en heridas"
"B872" "Miasis ocular"
"B873" "Miasis nasofarngea"
"B874" "Miasis aural"
"B878" "Miasis de otros sitios"
"B879" "Miasis, no especificada"
"B88" "Otras infestaciones"
"B880" "Otras acariasis"
"B881" "Tungiasis [infeccin debida a pulga de arena]"
"B882" "Otras infestaciones debidas a artrpodos"
"B883" "Hirudiniasis externa"
"B888" "Otras infestaciones especificadas"
"B889" "Infestacin, no especificada"
"B89" "Enfermedad parasitaria, no especificada"
"B90" "Secuelas de tuberculosis"
"B900" "Secuelas de tuberculosis del sistema nervioso central"
"B901" "Secuelas de tuberculosis genitourinaria"
"B902" "Secuelas de tuberculosis de huesos y articulaciones"
"B908" "Secuelas de tuberculosis de otros rganos especificados"
"B909" "Secuelas de tuberculosis respiratoria y de tuberculosis no especificada"
"B91" "Secuelas de poliomielitis"
"B92" "Secuelas de lepra"
"B94" "Secuelas de otras enfermedades infecciosas y parasitarias de los no especificadas"
"B940" "Secuelas de tracoma"
"B941" "Secuelas de encefalitis viral"
"B942" "Secuelas de hepatitis viral"
"B948" "Secuelas de otras enfermedades infecciosas y parasitarias especificadas"
"B949" "Secuelas de enfermedades infecciosas y parasitarias no especificadas"
"B95" "Estreptococos y estafilococos como causa de enfermedades clasificadas en otros captulos"
"B950" "Estreptococo, grupo A, como causa de enfermedades clasificadas en otros captulos"
"B951" "Estreptococo, grupo B, como causa de enfermedades clasificadas en otros captulos"
"B952" "Estreptococo, grupo D, como causa de enfermedades clasificadas en otros captulos"
"B953" "Streptococcus pneumoniae como causa de enfermedades clasificadas en otros captulos"
"B954" "Otros estreptococos como causa de enfermedades clasificadas en otros captulos"
"B955" "Estreptococo no especificado como causa de enfermedades clasificadas en otros captulos"
"B956" "Staphylococcus aureus como causa de enfermedades clasificadas en otros captulos"
"B957" "Otros estafilococos como causa de enfermedades clasificadas en otros captulos"
"B958" "Estafilococo no especificado, como causa de enfermedades clasificadas en otros captulos"
"B96" "Otros agentes bacterianos como causa de enfermedades clasificadas en otros captulos"
"B960" "Mycoplasma pneumoniae [M. pneumoniae] como causa de enfermedades clasificadas en otros captulos"
"B961" "Klebsiella pneumoniae [K. pneumoniae] como causa de enfermedades clasificadas en otros captulos"
"B962" "Escherichia coli [E. coli] como causa de enfermedades clasificadas en otros captulos"
"B963" "Haemophilus influenzae [H. influenzae] como causa de enfermedades clasificadas en otros captulos"
"B964" "Proteus (mirabilis) (morganii) como causa de enfermedades clasificadas en otros captulos"
"B965" "Pseudomonas (aeruginosa) (mallei) (pseudomallei) como causa de enfermedades clasificadas en otros captulos"
"B966" "Bacillus fragilis  [B. fragilis] como causa de enfermedades clasificadas en otros captulos"
"B967" "Clostridium perfringens [C. perfringens] como causa de enfermedades clasificadas en otros captulos"
"B968" "Otros agentes bacterianos especificados como causa de enfermedades clasificadas en otros captulos"
"B97" "Agentes virales como causa de enfermedades clasificadas en otros captulos"
"B970" "Adenovirus como causa de enfermedades clasificadas en otros captulos"
"B971" "Enterovirus como causa de enfermedades clasificadas en otros captulos"
"B972" "Coronavirus como causa de enfermedades clasificadas en otros captulos"
"B973" "Retrovirus como causa de enfermedades clasificadas en otros captulos"
"B974" "Virus sincicial respiratorio como causa de enfermedades clasificadas en otros captulos"
"B975" "Reovirus como causa de enfermedades clasificadas en otros captulos"
"B976" "Parvovirus como causa de enfermedades clasificadas en otros captulos"
"B977" "Papilomavirus como causa de enfermedades clasificadas en otros captulos"
"B978" "Otros agentes virales como causa de enfermedades clasificadas en otros captulos"
"B98" "Otros agentes infecciosos especificados como causa de enfermedades clasificadas en otros captulos"
"B980" "Helicobacter pylori [H. pylori] como la causa de enfermedades clasificadas en otros captulos"
"B981" "Vibrio vulnificus como la causa de enfermedades clasificadas en otros captulos"
"B99" "Otras enfermedades infecciosas y las no especificadas"
"C00" "Tumor maligno del labio"
"C000" "Tumor maligno del labio superior, cara externa"
"C001" "Tumor maligno del labio inferior, cara externa"
"C002" "Tumor maligno del labio, cara externa, sin otra especificacin"
"C003" "Tumor maligno del labio superior, cara interna"
"C004" "Tumor maligno del labio inferior, cara interna"
"C005" "Tumor maligno del labio, cara interna, sin otra especificacin"
"C006" "Tumor maligno de la comisura labial"
"C008" "Lesin de sitios contiguos del labio"
"C009" "Tumor maligno del labio, parte no especificada"
"C01" "Tumor maligno de la base de la lengua"
"C02" "Tumor maligno de otras partes y de las no especificadas de la lengua"
"C020" "Tumor maligno de la cara dorsal de la lengua"
"C021" "Tumor maligno del borde de la lengua"
"C022" "Tumor maligno de la cara ventral de la lengua"
"C023" "Tumor maligno de los dos tercios anteriores de la lengua, parte no especificada"
"C024" "Tumor maligno de la amgdala lingual"
"C028" "Lesin de sitios contiguos de la lengua"
"C029" "Tumor maligno de la lengua, parte no especificada"
"C03" "Tumor maligno de la enca"
"C030" "Tumor maligno de la enca superior"
"C031" "Tumor maligno de la enca inferior"
"C039" "Tumor maligno de la enca, parte no especificada"
"C04" "Tumor maligno del piso de la boca"
"C040" "Tumor maligno de la parte anterior del piso de la boca"
"C041" "Tumor maligno de la parte lateral del piso de la boca"
"C048" "Lesin de sitios contiguos del piso de la boca"
"C049" "Tumor maligno del piso de la boca, parte no especificada"
"C05" "Tumor maligno del paladar"
"C050" "Tumor maligno del paladar duro"
"C051" "Tumor maligno del paladar blando"
"C052" "Tumor maligno de la vula"
"C058" "Lesin de sitios contiguos del paladar"
"C059" "Tumor maligno del paladar, parte no especificada"
"C06" "Tumor maligno de otras partes y de las no especificadas de la boca"
"C060" "Tumor maligno de la mucosa de la mejilla"
"C061" "Tumor maligno del vestbulo de la boca"
"C062" "Tumor maligno del rea retromolar"
"C068" "Lesin de sitios contiguos de otras partes y de las no especificadas de la boca"
"C069" "Tumor maligno de la boca, parte no especificada"
"C07" "Tumor maligno de la glndula partida"
"C08" "Tumor maligno de otras glndulas salivales mayores y de las no especificadas"
"C080" "Tumor maligno de la glndula submaxilar"
"C081" "Tumor maligno de la glndula sublingual"
"C088" "Lesin de sitios contiguos de las glndulas salivales mayores"
"C089" "Tumor maligno de glndula salival mayor, no especificada"
"C09" "Tumor maligno de la amgdala"
"C090" "Tumor maligno de la fosa amigdalina"
"C091" "Tumor maligno del pilar amigdalino (anterior) (posterior)"
"C098" "Lesin de sitios contiguos de la amgdala"
"C099" "Tumor maligno de la amgdala, parte no especificada"
"C10" "Tumor maligno de la orofaringe"
"C100" "Tumor maligno de la valcula"
"C101" "Tumor maligno de la cara anterior de la epiglotis"
"C102" "Tumor maligno de la pared lateral de la orofaringe"
"C103" "Tumor maligno de la pared posterior de la orofaringe"
"C104" "Tumor maligno de la hendidura branquial"
"C108" "Lesin de sitios contiguos de la orofaringe"
"C109" "Tumor maligno de la orofaringe, parte no especificada"
"C11" "Tumor maligno de la nasofaringe"
"C110" "Tumor maligno de la pared superior de la nasofaringe"
"C111" "Tumor maligno de la pared posterior de la nasofaringe"
"C112" "Tumor maligno de la pared lateral de la nasofaringe"
"C113" "Tumor maligno de la pared anterior de la nasofaringe"
"C118" "Lesin de sitios contiguos de la nasofaringe"
"C119" "Tumor maligno de la nasofaringe, parte no especificada"
"C12" "Tumor maligno del seno piriforme"
"C13" "Tumor maligno de la hipofaringe"
"C130" "Tumor maligno de la regin postcricoidea"
"C131" "Tumor maligno del pliegue aritenoepigltico, cara hipofarngea"
"C132" "Tumor maligno de la pared posterior de la hipofaringe"
"C138" "Lesin de sitios contiguos de la hipofaringe"
"C139" "Tumor maligno de la hipofaringe, parte no especificada"
"C14" "Tumor maligno de otros sitios y de los mal definidos del labio, de la cavidad bucal y de la faringe"
"C140" "Tumor maligno de la faringe, parte no especificada"
"C142" "Tumor maligno del anillo de Waldeyer"
"C148" "Lesin de sitios contiguos del labio, de la cavidad bucal y de la faringe"
"C15" "Tumor maligno del esfago"
"C150" "Tumor maligno del esfago, porcin cervical"
"C151" "Tumor maligno del esfago, porcin torcica"
"C152" "Tumor maligno del esfago, porcin abdominal"
"C153" "Tumor maligno del tercio superior del esfago"
"C154" "Tumor maligno del tercio medio del esfago"
"C155" "Tumor maligno del tercio inferior del esfago"
"C158" "Lesin de sitios contiguos del esfago"
"C159" "Tumor maligno del esfago, parte no especificada"
"C16" "Tumor maligno del estmago"
"C160" "Tumor maligno del cardias"
"C161" "Tumor maligno del fundus gstrico"
"C162" "Tumor maligno del cuerpo del estmago"
"C163" "Tumor maligno del antro pilrico"
"C164" "Tumor maligno del ploro"
"C165" "Tumor maligno de la curvatura menor del estmago, sin otra especificacin"
"C166" "Tumor maligno de la curvatura mayor del estmago, sin otra especificacin"
"C168" "Lesin de sitios contiguos del estmago"
"C169" "Tumor maligno del estmago, parte no especificada"
"C17" "Tumor maligno del intestino delgado"
"C170" "Tumor maligno del duodeno"
"C171" "Tumor maligno del yeyuno"
"C172" "Tumor maligno del leon"
"C173" "Tumor maligno del divertculo de Meckel"
"C178" "Lesin de sitios contiguos del intestino delgado"
"C179" "Tumor maligno del intestino delgado, parte no especificada"
"C18" "Tumor maligno del colon"
"C180" "Tumor maligno del ciego"
"C181" "Tumor maligno del apndice"
"C182" "Tumor maligno del colon ascendente"
"C183" "Tumor maligno del ngulo heptico"
"C184" "Tumor maligno del colon transverso"
"C185" "Tumor maligno del ngulo esplnico"
"C186" "Tumor maligno del colon descendente"
"C187" "Tumor maligno del colon sigmoide"
"C188" "Lesin de sitios contiguos del colon"
"C189" "Tumor maligno del colon, parte no especificada"
"C19" "Tumor maligno de la unin rectosigmoidea"
"C20" "Tumor maligno del recto"
"C21" "Tumor maligno del ano y del conducto anal"
"C210" "Tumor maligno del ano, parte no especificada"
"C211" "Tumor maligno del conducto anal"
"C212" "Tumor maligno de la zona cloacognica"
"C218" "Lesin de sitios contiguos del ano, del conducto anal y del recto"
"C22" "Tumor maligno del hgado y de las vas biliares intrahepticas"
"C220" "Carcinoma de clulas hepticas"
"C221" "Carcinoma de vas biliares intrahepticas"
"C222" "Hepatoblastoma"
"C223" "Angiosarcoma del hgado"
"C224" "Otros sarcomas del hgado"
"C227" "Otros carcinomas especificados del hgado"
"C229" "Tumor maligno del hgado, no especificado"
"C23" "Tumor maligno de la vescula biliar"
"C24" "Tumor maligno de otras partes y de las no especificadas de las vas biliares"
"C240" "Tumor maligno de las vas biliares extrahepticas"
"C241" "Tumor maligno de la ampolla de Vater"
"C248" "Lesin de sitios contiguos de las vas biliares"
"C249" "Tumor maligno de las vas biliares, parte no especificada"
"C25" "Tumor maligno del pncreas"
"C250" "Tumor maligno de la cabeza del pncreas"
"C251" "Tumor maligno del cuerpo del pncreas"
"C252" "Tumor maligno de la cola del pncreas"
"C253" "Tumor maligno del conducto pancretico"
"C254" "Tumor maligno del pncreas endocrino"
"C257" "Tumor maligno de otras partes especificadas del pncreas"
"C258" "Lesin de sitios contiguos del pncreas"
"C259" "Tumor maligno del pncreas, parte no especificada"
"C26" "Tumor maligno de otros sitios y de los mal definidos de los rganos digestivos"
"C260" "Tumor maligno del intestino, parte no especificada"
"C261" "Tumor maligno del bazo"
"C268" "Lesin de sitios contiguos de los rganos digestivos"
"C269" "Tumor maligno de sitios mal definidos de los rganos digestivos"
"C30" "Tumor maligno de las fosas nasales y del odo medio"
"C300" "Tumor maligno de la fosa nasal"
"C301" "Tumor maligno del odo medio"
"C31" "Tumor maligno de los senos paranasales"
"C310" "Tumor maligno del seno maxilar"
"C311" "Tumor maligno del seno etmoidal"
"C312" "Tumor maligno del seno frontal"
"C313" "Tumor maligno del seno esfenoidal"
"C318" "Lesin de sitios contiguos de los senos paranasales"
"C319" "Tumor maligno de seno paranasal no especificado"
"C32" "Tumor maligno de la laringe"
"C320" "Tumor maligno de la glotis"
"C321" "Tumor maligno de la regin supragltica"
"C322" "Tumor maligno de la regin subgltica"
"C323" "Tumor maligno del cartlago larngeo"
"C328" "Lesin de sitios contiguos de la laringe"
"C329" "Tumor maligno de la laringe, parte no especificada"
"C33" "Tumor maligno de la trquea"
"C34" "Tumor maligno de los bronquios y del pulmn"
"C340" "Tumor maligno del bronquio principal"
"C341" "Tumor maligno del lbulo superior, bronquio o pulmn"
"C342" "Tumor maligno del lbulo medio, bronquio o pulmn"
"C343" "Tumor maligno del lbulo inferior, bronquio o pulmn"
"C348" "Lesin de sitios contiguos de los bronquios y del pulmn"
"C349" "Tumor maligno de los bronquios o del pulmn, parte no especificada"
"C37" "Tumor maligno del timo"
"C38" "Tumor maligno del corazn, del mediastino y de la pleura"
"C380" "Tumor maligno del corazn"
"C381" "Tumor maligno del mediastino anterior"
"C382" "Tumor maligno del mediastino posterior"
"C383" "Tumor maligno del mediastino, parte no especificada"
"C384" "Tumor maligno de la pleura"
"C388" "Lesin de sitos contiguos del corazn, del mediastino y de la pleura"
"C39" "Tumor maligno de otros sitios y de los mal definidos del sistema respiratorio y de los rganos intratorcicos"
"C390" "Tumor maligno de la vas respiratoria superiores, parte no especificada"
"C398" "Lesin de sitios contiguos de los rganos respiratorios e intratorcicos"
"C399" "Tumor maligno de sitios mal definidos del sistema respiratorio"
"C40" "Tumor maligno de los huesos y de los cartlagos articulares de los miembros"
"C400" "Tumor maligno del omplato y de los huesos largos del miembro superior"
"C401" "Tumor maligno de los huesos cortos del miembro superior"
"C402" "Tumor maligno de los huesos largos del miembro inferior"
"C403" "Tumor maligno de los huesos cortos del miembro inferior"
"C408" "Lesin de sitios contiguos de los huesos y de los cartlagos articulares de los miembros"
"C409" "Tumor maligno de los huesos y de los cartlagos articulares de los miembros, sin otra especificacin"
"C41" "Tumor maligno de los huesos y de los cartlagos articulares, de otros sitios y de sitios no especificados"
"C410" "Tumor maligno de los huesos del crneo y de la cara"
"C411" "Tumor maligno del hueso del maxilar inferior"
"C412" "Tumor maligno de la columna vertebral"
"C413" "Tumor maligno de la costilla, esternn y clavcula"
"C414" "Tumor maligno de los huesos de la pelvis, sacro y cccix"
"C418" "Lesin de sitios contiguos del hueso y del cartlago articular"
"C419" "Tumor maligno del hueso y del cartlago articular, no especificado"
"C43" "Melanoma maligno de la piel"
"C430" "Melanoma maligno del labio"
"C431" "Melanoma maligno del prpado, incluida la comisura palpebral"
"C432" "Melanoma maligno de la oreja y del conducto auditivo externo"
"C433" "Melanoma maligno de las otras partes y las no especificadas de la cara"
"C434" "Melanoma maligno del cuero cabelludo y del cuello"
"C435" "Melanoma maligno del tronco"
"C436" "Melanoma maligno del miembro superior, incluido el hombro"
"C437" "Melanoma maligno del miembro inferior, incluida la cadera"
"C438" "Melanoma maligno de sitios contiguos de la piel"
"C439" "Melanoma maligno de piel, sitio no especificado"
"C44" "Otros tumores malignos de la piel"
"C440" "Tumor maligno de la piel del labio"
"C441" "Tumor maligno de la piel del prpado, incluida la comisura palpebral"
"C442" "Tumor maligno de la piel de la oreja y del conducto auditivo externo"
"C443" "Tumor maligno de la piel de otras partes y de las no especificadas de la cara"
"C444" "Tumor maligno de la piel del cuero cabelludo y del cuello"
"C445" "Tumor maligno de la piel del tronco"
"C446" "Tumor maligno de la piel del miembro superior, incluido el hombro"
"C447" "Tumor maligno de la piel miembro inferior, incluida la cadera"
"C448" "Lesin de sitios contiguos de la piel"
"C449" "Tumor maligno de la piel, sitio no especificado"
"C45" "Mesotelioma"
"C450" "Mesotelioma de la pleura"
"C451" "Mesotelioma del peritoneo"
"C452" "Mesotelioma del pericardio"
"C457" "Mesotelioma de otros sitios especificados"
"C459" "Mesotelioma, de sitio no especificado"
"C46" "Sarcoma de Kaposi"
"C460" "Sarcoma de Kaposi de la piel"
"C461" "Sarcoma de Kaposi del tejido blando"
"C462" "Sarcoma de Kaposi del paladar"
"C463" "Sarcoma de Kaposi de los ganglios linfticos"
"C467" "Sarcoma de Kaposi de otros sitios especificados"
"C468" "Sarcoma de Kaposi de mltiples rganos"
"C469" "Sarcoma de Kaposi de sitio no especificado"
"C47" "Tumor maligno de los nervios perifricos y del sistema nervioso autnomo"
"C470" "Tumor maligno de los nervios perifricos de la cabeza, cara y cuello"
"C471" "Tumor maligno de los nervios perifricos del miembro superior, incluido el hombro"
"C472" "Tumor maligno de los nervios perifricos del miembro inferior, incluida la cadera"
"C473" "Tumor maligno de los nervios perifricos del trax"
"C474" "Tumor maligno de los nervios perifricos del abdomen"
"C475" "Tumor maligno de los nervios perifricos de la pelvis"
"C476" "Tumor maligno de los nervios perifricos del tronco, sin otra especificacin"
"C478" "Lesin de sitios contiguos de los nervios perifricos y del sistema nervioso autnomo"
"C479" "Tumor maligno de los nervios perifricos y del sistema nervioso autnomo, parte no especificada"
"C48" "Tumor maligno del peritoneo y del retroperitoneo"
"C480" "Tumor maligno del retroperitoneo"
"C481" "Tumor maligno de parte especificada del peritoneo"
"C482" "Tumor maligno del peritoneo, sin otra especificacin"
"C488" "Lesin de sitios contiguos del peritoneo y del retroperitoneo"
"C49" "Tumor maligno de otros tejidos conjuntivos y de tejidos blandos"
"C490" "Tumor maligno del tejido conjuntivo y tejido blando de la cabeza, cara y cuello"
"C491" "Tumor maligno del tejido conjuntivo y tejido blando del miembro superior, incluido el hombro"
"C492" "Tumor maligno del tejido conjuntivo y tejido blando del miembro inferior, incluida la cadera"
"C493" "Tumor maligno del tejido conjuntivo y tejido blando del trax"
"C494" "Tumor maligno del tejido conjuntivo y tejido blando del abdomen"
"C495" "Tumor maligno del tejido conjuntivo y tejido blando de la pelvis"
"C496" "Tumor maligno del tejido conjuntivo y tejido blando del tronco, sin otra especificacin"
"C498" "Lesin de sitios contiguos  del tejido conjuntivo y del tejido blando"
"C499" "Tumor maligno del tejido conjuntivo y tejido blando, de sitio no especificado"
"C50" "Tumor maligno de la mama"
"C500" "Tumor maligno del pezn y arola mamaria"
"C501" "Tumor maligno de la porcin central de la mama"
"C502" "Tumor maligno del cuadrante superior interno de la mama"
"C503" "Tumor maligno del cuadrante inferior interno de la mama"
"C504" "Tumor maligno del cuadrante superior externo de la mama"
"C505" "Tumor maligno del cuadrante inferior externo de la mama"
"C506" "Tumor maligno de la prolongacin axilar de la mama"
"C508" "Lesin de sitios contiguos de la mama"
"C509" "Tumor maligno de la mama, parte no especificada"
"C51" "Tumor maligno de la vulva"
"C510" "Tumor maligno del labio mayor"
"C511" "Tumor maligno del labio menor"
"C512" "Tumor maligno del cltoris"
"C518" "Lesin de sitios contiguos de la vulva"
"C519" "Tumor maligno de la vulva, parte no especificada"
"C52" "Tumor maligno de la vagina"
"C53" "Tumor maligno del cuello del tero"
"C530" "Tumor maligno del endocrvix"
"C531" "Tumor maligno del exocrvix"
"C538" "Lesin de sitios contiguos del cuello del tero"
"C539" "Tumor maligno del cuello del tero, sin otra especificacin"
"C54" "Tumor maligno del cuerpo del tero"
"C540" "Tumor maligno del istmo uterino"
"C541" "Tumor maligno del endometrio"
"C542" "Tumor maligno del miometrio"
"C543" "Tumor maligno del fondo del tero"
"C548" "Lesin de sitios contiguos del cuerpo del tero"
"C549" "Tumor maligno del cuerpo del tero, parte no especificada"
"C55" "Tumor maligno del tero, parte no especificada"
"C56" "Tumor maligno del ovario"
"C57" "Tumor maligno de otros rganos genitales femeninos y de los no especificados"
"C570" "Tumor maligno de la trompa de Falopio"
"C571" "Tumor maligno del ligamento ancho"
"C572" "Tumor maligno del ligamento redondo"
"C573" "Tumor maligno del parametrio"
"C574" "Tumor maligno de los anexos uterinos, sin otra especificacin"
"C577" "Tumor maligno de otras partes especificadas de los rganos genitales femeninos"
"C578" "Lesin de sitios contiguos de los rganos genitales femeninos"
"C579" "Tumor maligno de rgano genital femenino, parte no especificada"
"C58" "Tumor maligno de la placenta"
"C60" "Tumor maligno del pene"
"C600" "Tumor maligno del prepucio"
"C601" "Tumor maligno del glande"
"C602" "Tumor maligno del cuerpo del pene"
"C608" "Lesin de sitios contiguos del pene"
"C609" "Tumor maligno del pene, parte no especificada"
"C61" "Tumor maligno de la prstata"
"C62" "Tumor maligno del testculo"
"C620" "Tumor maligno del testculo no descendido"
"C621" "Tumor maligno del testculo descendido"
"C629" "Tumor maligno del testculo, no especificado"
"C63" "Tumor maligno de otros rganos genitales maculinos y de los no especificados"
"C630" "Tumor maligno del epiddimo"
"C631" "Tumor maligno del cordn espermtico"
"C632" "Tumor maligno del escroto"
"C637" "Tumor maligno de otras partes especificadas de los rganos genitales masculinos"
"C638" "Lesin de sitios contiguos de los rganos genitales masculinos"
"C639" "Tumor maligno de rgano genital masculino, parte no especificada"
"C64" "Tumor maligno del rin, excepto de la pelvis renal"
"C65" "Tumor maligno de la pelvis renal"
"C66" "Tumor maligno del urter"
"C67" "Tumor maligno de la vejiga urinaria"
"C670" "Tumor maligno del trgono vesical"
"C671" "Tumor maligno de la cpula vesical"
"C672" "Tumor maligno de la pared lateral de la vejiga"
"C673" "Tumor maligno de la pared anterior de la vejiga"
"C674" "Tumor maligno de la pared posterior de la vejiga"
"C675" "Tumor maligno del cuello de la vejiga"
"C676" "Tumor maligno del orificio ureteral"
"C677" "Tumor maligno del uraco"
"C678" "Lesin de sitios contiguos de la vejiga"
"C679" "Tumor maligno de la vejiga urinaria, parte no especificada"
"C68" "Tumor maligno de otros ganos urinarios y de los no especificados"
"C680" "Tumor maligno de la uretra"
"C681" "Tumor maligno de las glndulas parauretrales"
"C688" "Lesin de sitios contiguos de los rganos urinarios"
"C689" "Tumor maligno de rgano urinario no especificado"
"C69" "Tumor maligno del ojo y sus anexos"
"C690" "Tumor maligno de la conjuntiva"
"C691" "Tumor maligno de la crnea"
"C692" "Tumor maligno de la retina"
"C693" "Tumor maligno de la coroides"
"C694" "Tumor maligno del cuerpo ciliar"
"C695" "Tumor maligno de la glndula y conducto lagrimales"
"C696" "Tumor maligno de la rbita"
"C698" "Lesin de sitios contiguos del ojo y sus anexos"
"C699" "Tumor maligno del ojo, parte no especificada"
"C70" "Tumor maligno de las meninges"
"C700" "Tumor maligno de las meninges cerebrales"
"C701" "Tumor maligno de las meninges raqudeas"
"C709" "Tumor maligno de las meninges, parte no especificada"
"C71" "Tumor maligno del encfalo"
"C710" "Tumor maligno del cerebro, excepto lbulos y ventrculos"
"C711" "Tumor maligno del lbulo frontal"
"C712" "Tumor maligno del lbulo temporal"
"C713" "Tumor maligno del lbulo parietal"
"C714" "Tumor maligno del lbulo occipital"
"C715" "Tumor maligno del ventrculo cerebral"
"C716" "Tumor maligno del cerebelo"
"C717" "Tumor maligno del pednculo cerebral"
"C718" "Lesin de sitios contiguos del encfalo"
"C719" "Tumor maligno del encfalo, parte no especificada"
"C72" "Tumor maligno de la mdula espinal, de los nervios craneales y de otras partes del sistema nervioso central"
"C720" "Tumor maligno de la mdula espinal"
"C721" "Tumor maligno de la cola de caballo"
"C722" "Tumor maligno del nervio olfatorio"
"C723" "Tumor maligno del nervio ptico"
"C724" "Tumor maligno del nervio acstico"
"C725" "Tumor maligno de otros nervios craneales y los no especificados"
"C728" "Lesin de sitios contiguos del encfalo y otras partes del sistema nervioso central"
"C729" "Tumor maligno del sistema nervioso central, sin otra especificacin"
"C73" "Tumor maligno de la glndula tiroides"
"C74" "Tumor maligno de la glndula suprarrenal"
"C740" "Tumor maligno de la corteza de la glndula suprarrenal"
"C741" "Tumor maligno de la mdula de la glndula suprarrenal"
"C749" "Tumor maligno de la glndula suprarrenal, parte no especificada"
"C75" "Tumor maligno de otras glndulas endocrinas y de estructuras afines"
"C750" "Tumor maligno de la glndula paratiroides"
"C751" "Tumor maligno de la hipfisis"
"C752" "Tumor maligno del conducto craneofarngeo"
"C753" "Tumor maligno de la glndula pineal"
"C754" "Tumor maligno del cuerpo carotdeo"
"C755" "Tumor maligno del cuerpo artico y otros cuerpos cromafines"
"C758" "Tumor maligno pluriglandular, no especificado"
"C759" "Tumor maligno de glndula endocrina no especificada"
"C76" "Tumor maligno de otros sitios y de los sitios mal definidos"
"C760" "Tumor maligno de la cabeza, cara y cuello"
"C761" "Tumor maligno del trax"
"C762" "Tumor maligno del abdomen"
"C763" "Tumor maligno de la pelvis"
"C764" "Tumor maligno del miembro superior"
"C765" "Tumor maligno del miembro inferior"
"C767" "Tumor maligno de otros sitios mal definidos"
"C768" "Lesin de sitios contiguos mal definidos"
"C77" "Tumor maligno secundario y el no especificado de los ganglios linfticos"
"C770" "Tumor maligno de los ganglios linfticos de la cabeza, cara y cuello"
"C771" "Tumor maligno de los ganglios linfticos intratorcicos"
"C772" "Tumor maligno de los ganglios linfticos intraabdominales"
"C773" "Tumor maligno de los ganglios linfticos de la axila y del miembro superior"
"C774" "Tumor maligno de los ganglios linfticos de la regin inguinal y del miembro inferior"
"C775" "Tumor maligno de los ganglios linfticos de la pelvis"
"C778" "Tumor maligno de los ganglios linfticos de regiones mltiples"
"C779" "Tumor maligno del ganglio linftico, sitio no especificado"
"C78" "Tumor maligno secundario de los rganos respiratorios y digestivos"
"C780" "Tumor maligno secundario del pulmn"
"C781" "Tumor maligno secundario del mediastino"
"C782" "Tumor maligno secundario de la pleura"
"C783" "Tumor maligno secundario de otros rganos respiratorios y de los no especificados"
"C784" "Tumor maligno secundario del intestino delgado"
"C785" "Tumor maligno secundario del intestino grueso y del recto"
"C786" "Tumor maligno secundario del peritoneo y del retroperitoneo"
"C787" "Tumor maligno secundario del hgado"
"C788" "Tumor maligno secundario de otros rganos digestivos y de los no especificados"
"C79" "Tumor maligno secundario de otros sitios"
"C790" "Tumor maligno secundario del rin y de la pelvis renal"
"C791" "Tumor maligno secundario de la vejiga, y de otros rganos y los no especificados de las vas urinarias"
"C792" "Tumor maligno secundario de la piel"
"C793" "Tumor maligno secundario del encfalo y de las meninges cerebrales"
"C794" "Tumor maligno secundario de otras partes del sistema nervioso y de las no especificadas"
"C795" "Tumor maligno secundario de los huesos y de la mdula sea"
"C796" "Tumor maligno secundario del ovario"
"C797" "Tumor maligno secundario de la glndula suprarrenal"
"C798" "Tumor maligno secundario de otros sitios especificados"
"C799" "Tumor maligno secundario, sitio no especificado"
"C80" "Tumor maligno de sitios no especificados"
"C800" "Tumor maligno, de sitio primario desconocido, as descrito"
"C809" "Tumor maligno, sitio primario no especificado"
"C81" "Enfermedad de Hodgkin"
"C810" "Enfermedad de Hodgkin con predominio linfoctico"
"C811" "Enfermedad de Hodgkin con esclerosis nodular"
"C812" "Enfermedad de Hodgkin con celularidad mixta"
"C813" "Enfermedad de Hodgkin con deplecin linfoctica"
"C814" "Linfoma de Hodgkin clsico rico en linfocitos"
"C817" "Otros tipos de enfermedad de Hodgkin"
"C819" "Enfermedad de Hodgkin, no especificada"
"C82" "Linfoma no Hodgkin folicular [nodular]"
"C820" "Linfoma no Hodgkin de clulas pequeas hendidas, folicular"
"C821" "Linfoma no Hodgkin mixto, de pequeas clulas hendidas y de grandes clulas, folicular"
"C822" "Linfoma no Hodgkin de clulas grandes, folicular"
"C823" "Linfoma folicular grado IIIa"
"C824" "Linfoma folicular grado IIIb"
"C825" "Linfoma centro folicular difuso"
"C826" "Linfoma centro folicular cutneo"
"C827" "Otros tipos especificados de linfoma no Hodgkin folicular"
"C829" "Linfoma no Hodgkin folicular, sin otra especificacin"
"C83" "Linfoma no Hodgkin difuso"
"C830" "Linfoma no Hodgkin de clulas pequeas (difuso)"
"C831" "Linfoma no Hodgkin de clulas pequeas hendidas (difuso)"
"C832" "Linfoma no Hodgkin mixto, de clulas pequeas y grandes (difuso)"
"C833" "Linfoma no Hodgkin de clulas grandes (difuso)"
"C834" "Linfoma no Hodgkin inmunoblstico (difuso)"
"C835" "Linfoma no Hodgkin linfoblstico (difuso)"
"C836" "Linfoma no Hodgkin indiferenciado (difuso)"
"C837" "Tumor de Burkitt"
"C838" "Otros tipos especificados de linfoma no Hodgkin difuso"
"C839" "Linfoma no Hodgkin difuso, sin otra especificacin"
"C84" "Linfoma de clulas T, perifrico y cutneo"
"C840" "Micosis fungoide"
"C841" "Enfermedad de Szary"
"C842" "Linfoma de zona T"
"C843" "Linfoma linfoepitelioide"
"C844" "Linfoma de clulas T perifrico"
"C845" "Otros linfomas de clulas T y los no especificados"
"C846" "Linfoma anaplsico de clulas grandes ALK-positivo"
"C847" "Linfoma anaplsico de clulas grandes ALK-negativo"
"C848" "Linfoma cutneo de clulas T, no especificado"
"C849" "Linfoma de clulas T/NK maduras, no especificado"
"C85" "Linfoma no Hodgkin de otro tipo y el no especificado"
"C850" "Linfosarcoma"
"C851" "Linfoma de clulas B, sin otra especificacin"
"C852" "Linfoma mediastinal de clulas B grandes (del timo"
"C857" "Otros tipos especificados de linfoma no Hodgkin"
"C859" "Linfoma no Hodgkin, no especificado"
"C86" "Otros tipos especificados de linfoma de clulas T/NK "
"C860" "Linfoma extranodal de clulas T/NK, tipo nasal"
"C861" "Linfoma hepatoesplnico de clulas T "
"C862" "Linfoma de clulas T tipo enteropata (intestinal)"
"C863" "Linfoma de clulas T tipo paniculitis subcutnea "
"C864" "Linfoma blstico de clulas NK"
"C865" "Linfoma angioinmunoblstico de clulas T "
"C866" "Trastornos linfoproliferativos primario cutneos de clulas T CD30-positivo"
"C88" "Enfermedades inmunoproliferativas malignas"
"C880" "Macroglobulinemia de Waldenstrm"
"C881" "Enfermedad de cadena pesada alfa"
"C882" "Enfermedad de cadena pesada gamma"
"C883" "Enfermedad inmunoproliferativa del intestino delgado"
"C884" "Linfoma de clulas B extranodal de zona marginal de tejido linfoide asociado a mucosas [Linfoma TLAM]"
"C887" "Otras enfermedades inmunoproliferativas malignas"
"C889" "Enfermedad inmunoproliferativa maligna, sin otra especificacin"
"C90" "Mieloma mltiple y tumores malignos de clulas plasmticas"
"C900" "Mieloma mltiple"
"C901" "Leucemia de clulas plasmticas"
"C902" "Plasmocitoma, extramedular"
"C903" "Plasmocitoma solitario"
"C91" "Leucemia linfoide"
"C910" "Leucemia linfoblstica aguda"
"C911" "Leucemia linfoctica crnica"
"C912" "Leucemia linfoctica subaguda"
"C913" "Leucemia prolinfoctica"
"C914" "Leucemia de clulas vellosas"
"C915" "Leucemia de clulas T adultas"
"C916" "Leucemia prolinfoctica de clulas tipo T"
"C917" "Otras leucemias linfoides"
"C918" "Leucemia tipo Burkitt de clulas B maduras"
"C919" "Leucemia linfoide, sin otra especificacin"
"C92" "Leucemia mieloide"
"C920" "Leucemia mieloide aguda"
"C921" "Leucemia mieloide crnica"
"C922" "Leucemia mieloide subaguda"
"C923" "Sarcoma mieloide"
"C924" "Leucemia promieloctica aguda"
"C925" "Leucemia mielomonoctica aguda"
"C926" "Leucemia mieloide aguda con anormalidad 11q23"
"C927" "Otras leucemias mieloides"
"C928" "Leucemia mieloide aguda con displasia multilinaje"
"C929" "Leucemia mieloide, sin otra especificacin"
"C93" "Leucemia monoctica"
"C930" "Leucemia monoctica aguda"
"C931" "Leucemia monoctica crnica"
"C932" "Leucemia monoctica subaguda"
"C933" "Leucemia mielomonoctica juvenil"
"C937" "Otras leucemias monocticas"
"C939" "Leucemia monoctica, sin otra especificacin"
"C94" "Otras leucemias de tipo celular especificado"
"C940" "Eritremia aguda y eritroleucemia"
"C941" "Eritremia crnica"
"C942" "Leucemia megacarioblstica aguda"
"C943" "Leucemia de mastocitos"
"C944" "Panmielosis aguda"
"C945" "Mielofibrosis aguda"
"C946" "Enfermedad mielodisplsica y mieloproliferativa, no clasificada en otra parte"
"C947" "Otras leucemias especificadas"
"C95" "Leucemia de clulas de tipo no especificado"
"C950" "Leucemia aguda, clulas de tipo no especificado"
"C951" "Leucemia crnica, clulas de tipo no especificado"
"C952" "Leucemia subaguda, clulas de tipo no especificado"
"C957" "Otras leucemias de clulas de tipo no especificado"
"C959" "Leucemia, no especificada"
"C96" "Otros tumores malignos y los no especificados del tejido linftico, de los rganos hematopoyticos y de tejidos afines"
"C960" "Enfermedad de Letterer-Siwe"
"C961" "Histiocitosis maligna"
"C962" "Tumor maligno de mastocitos"
"C963" "Linfoma histioctico verdadero"
"C964" "Sarcoma de clulas dendrticas (clulas accesorias"
"C965" "Histiocitosis de clulas de Langerhans multifocal y unisistmica"
"C966" "Histiocitosis de clulas de Langerhans unifocal"
"C967" "Otros tumores malignos especificados del tejido linftico, hematopoytico y tejidos afines"
"C968" "Sarcoma histioctico"
"C969" "Tumor maligno del tejido linftico, hematopoytico y tejidos afines, sin otra especificacin"
"C97" "Tumores malignos (primarios) de sitios mltiples independientes"
"D00" "Carcinoma in situ de la cavidad bucal, del esfago y del estmago"
"D000" "Carcinoma in situ del labio, de la cavidad bucal y de la faringe"
"D001" "Carcinoma in situ del esfago"
"D002" "Carcinoma in situ del estmago"
"D01" "Carcinoma in situ de otros rganos digestivos y de los no especificados"
"D010" "Carcinoma in situ del colon"
"D011" "Carcinoma in situ de la unin rectosigmoidea"
"D012" "Carcinoma in situ del recto"
"D013" "Carcinoma in situ del ano y del conducto anal"
"D014" "Carcinoma in situ de otras partes y de las no especificadas del intestino"
"D015" "Carcinoma in situ del hgado, de la vescula biliar y del conducto biliar"
"D017" "Carcinoma in situ de otras partes especificadas de rganos digestivos"
"D019" "Carcinoma in situ de rganos digestivos no especificados"
"D02" "Carcinoma in situ del sistema respiratorio y del odo medio"
"D020" "Carcinoma in situ de la laringe"
"D021" "Carcinoma in situ de la trquea"
"D022" "Carcinoma in situ del bronquio y del pulmn"
"D023" "Carcinoma in situ de otras partes del sistema respiratorio"
"D024" "Carcinoma in situ de rganos respiratorios no especificados"
"D03" "Melanoma in situ"
"D030" "Melanoma in situ del labio"
"D031" "Melanoma in situ del prpado y de la comisura palpebral"
"D032" "Melanoma in situ de la oreja y del conducto auditivo externo"
"D033" "Melanoma in situ de otras partes y de las no especificadas de la cara"
"D034" "Melanoma in situ del cuero cabelludo y del cuello"
"D035" "Melanoma in situ del tronco"
"D036" "Melanoma in situ del miembro superior, incluido el hombro"
"D037" "Melanoma in situ del miembro inferior, incluida la cadera"
"D038" "Melanoma in situ de otros sitios"
"D039" "Melanoma in situ, sitio no especificado"
"D04" "Carcinoma in situ de la piel"
"D040" "Carcinoma in situ de la piel del labio"
"D041" "Carcinoma in situ de la piel del prpado y de la comisura palpebral"
"D042" "Carcinoma in situ de la piel de la oreja y del conducto auditivo externo"
"D043" "Carcinoma in situ de la piel de otras partes y de las no especificadas de la cara"
"D044" "Carcinoma in situ de la piel del cuero cabelludo y cuello"
"D045" "Carcinoma in situ de la piel del tronco"
"D046" "Carcinoma in situ de la piel del miembro superior, incluido el hombro"
"D047" "Carcinoma in situ de la piel del miembro inferior, incluida la cadera"
"D048" "Carcinoma in situ de la piel de otros sitios especificados"
"D049" "Carcinoma in situ de la piel, sitio no especificado"
"D05" "Carcinoma in situ de la mama"
"D050" "Carcinoma in situ lobular"
"D051" "Carcinoma in situ intracanalicular"
"D057" "Otros carcinomas in situ de la mama"
"D059" "Carcinoma in situ de la mama, parte no especificada"
"D06" "Carcinoma in situ del cuello del tero"
"D060" "Carcinoma in situ del endocrvix"
"D061" "Carcinoma in situ del exocrvix"
"D067" "Carcinoma in situ de otras partes especificadas del cuello del tero"
"D069" "Carcinoma in situ del cuello del tero, parte no especificada"
"D07" "Carcinoma in situ de otros rganos genitales y de los no especificados"
"D070" "Carcinoma in situ del endometrio"
"D071" "Carcinoma in situ de la vulva"
"D072" "Carcinoma in situ de la vagina"
"D073" "Carcinoma in situ de otros sitios de rganos genitales femeninos y de los no especificados"
"D074" "Carcinoma in situ del pene"
"D075" "Carcinoma in situ de la prstata"
"D076" "Carcinoma in situ de otros rganos genitales masculinos y de los no especificados"
"D09" "Carcinoma in situ de otros sitios y de los no especificados"
"D090" "Carcinoma in situ de la vejiga"
"D091" "Carcinoma in situ de otros rganos urinarios y de los no especificados"
"D092" "Carcinoma in situ del ojo"
"D093" "Carcinoma in situ de la glndula tiroides y de otras glndulas endocrinas"
"D097" "Carcinoma in situ de otros sitios especificados"
"D099" "Carcinoma in situ, sitio no especificado"
"D10" "Tumor benigno de la boca y de la faringe"
"D100" "Tumor benigno del labio"
"D101" "Tumor benigno de la lengua"
"D102" "Tumor benigno del piso de la boca"
"D103" "Tumor benigno de otras partes y de las no especificadas de la boca"
"D104" "Tumor benigno de la amgdala"
"D105" "Tumor benigno de otras partes de la orofaringe"
"D106" "Tumor benigno de la nasofaringe"
"D107" "Tumor benigno de la hipofaringe"
"D109" "Tumor benigno de la faringe, parte no especificada"
"D11" "Tumor benigno de las glndulas salivales mayores"
"D110" "Tumor benigno de la glndula partida"
"D117" "Tumor benigno de otras glndulas salivales mayores especificadas"
"D119" "Tumor benigno de la glndula salival mayor, sin otra especificacin"
"D12" "Tumor benigno del colon, del recto, del conducto anal y del ano"
"D120" "Tumor benigno del ciego"
"D121" "Tumor benigno del apndice"
"D122" "Tumor benigno del colon ascendente"
"D123" "Tumor benigno del colon transverso"
"D124" "Tumor benigno del colon descendente"
"D125" "Tumor benigno del colon sigmoide"
"D126" "Tumor benigno del colon, parte no especificada"
"D127" "Tumor benigno de la unin rectosigmoidea"
"D128" "Tumor benigno del recto"
"D129" "Tumor benigno del conducto anal y del ano"
"D13" "Tumor benigno de otras partes y de las mal definidas del sistema digestivo"
"D130" "Tumor benigno del esfago"
"D131" "Tumor benigno del estmago"
"D132" "Tumor benigno del duodeno"
"D133" "Tumor benigno de otras partes y de las no especificadas del intestino delgado"
"D134" "Tumor benigno del hgado"
"D135" "Tumor benigno de las vas biliares extrahepticas"
"D136" "Tumor benigno del pncreas"
"D137" "Tumor benigno del pncreas endocrino"
"D139" "Tumor benigno de sitios mal definidos del sistema digestivo"
"D14" "Tumor benigno del odo medio y del sistema respiratorio"
"D140" "Tumor benigno del odo medio, de la cavidad nasal y de los senos paranasales"
"D141" "Tumor benigno de la laringe"
"D142" "Tumor benigno de la trquea"
"D143" "Tumor benigno de los bronquios y del pulmn"
"D144" "Tumor benigno del sistema respiratorio, sitio no especificado"
"D15" "Tumor benigno de otros rganos intratorcicos y de los no especificados"
"D150" "Tumor benigno del timo"
"D151" "Tumor benigno del corazn"
"D152" "Tumor benigno del mediastino"
"D157" "Tumor benigno de otros rganos intratorcicos especificados"
"D159" "Tumor benigno de rgano intratorcico no especificado"
"D16" "Tumor benigno del hueso y del cartlago articular"
"D160" "Tumor benigno del omplato y huesos largos del miembro superior"
"D161" "Tumor benigno de los huesos cortos del miembro superior"
"D162" "Tumor benigno de los huesos largos del miembro inferior"
"D163" "Tumor benigno de los huesos cortos del miembro inferior"
"D164" "Tumor benigno de los huesos del crneo y de la cara"
"D165" "Tumor benigno del maxilar inferior"
"D166" "Tumor benigno de la columna vertebral"
"D167" "Tumor benigno de las costillas, esternn y clavcula"
"D168" "Tumor benigno de los huesos plvicos, sacro y cccix"
"D169" "Tumor benigno del hueso y del cartlago articular, sitio no especificado"
"D17" "Tumores benignos lipomatosos"
"D170" "Tumor benigno lipomatoso de piel y de tejido subcutneo de cabeza, cara y cuello"
"D171" "Tumor benigno lipomatoso de piel y de tejido subcutneo del tronco"
"D172" "Tumor benigno lipomatoso de piel y de tejido subcutneo de miembros"
"D173" "Tumor benigno lipomatoso de piel y de tejido subcutneo de otros sitios y de los no especificados"
"D174" "Tumor benigno lipomatoso de los rganos intratorcicos"
"D175" "Tumor benigno lipomatoso de los rganos intraabdominales"
"D176" "Tumor benigno lipomatoso del cordn espermtico"
"D177" "Tumor benigno lipomatoso de otros sitios especificados"
"D179" "Tumor benigno lipomatoso, de sitio no especificado"
"D18" "Hemangioma y linfangioma de cualquier sitio"
"D180" "Hemangioma, de cualquier sitio"
"D181" "Linfangioma, de cualquier sitio"
"D19" "Tumores benignos del tejido mesotelial"
"D190" "Tumor benigno del tejido mesotelial de la pleura"
"D191" "Tumor benigno del tejido mesotelial del peritoneo"
"D197" "Tumor benigno del tejido mesotelial de otros sitios especificados"
"D199" "Tumor benigno del tejido mesotelial, de sitio no especificado"
"D20" "Tumor benigno del tejido blando del peritoneo y del retroperitoneo"
"D200" "Tumor benigno del retroperitoneo"
"D201" "Tumor benigno del peritoneo"
"D21" "Otros tumores benignos del tejido conjuntivo y de los tejidos blandos"
"D210" "Tumor benigno del tejido conjuntivo y de otros tejidos blandos de cabeza, cara y cuello"
"D211" "Tumor benigno del tejido conjuntivo y de otros tejidos blandos del miembro superior, incluido el hombro"
"D212" "Tumor benigno del tejido conjuntivo y de otros tejidos blandos del miembro inferior, incluida la cadera"
"D213" "Tumor benigno del tejido conjuntivo y de otros tejidos blandos del trax"
"D214" "Tumor benigno del tejido conjuntivo y otros tejidos blandos del abdomen"
"D215" "Tumor benigno del tejido conjuntivo y otros tejidos blandos de la pelvis"
"D216" "Tumor benigno del tejido conjuntivo y otros tejidos blandos del tronco, sin otra especificacin"
"D219" "Tumor benigno del tejido conjuntivo y otros tejidos blandos, de sitio no especificado"
"D22" "Nevo melanoctico"
"D220" "Nevo melanoctico del labio"
"D221" "Nevo melanoctico del prpado, incluida la comisura palpebral"
"D222" "Nevo melanoctico de la oreja y del conducto auditivo externo"
"D223" "Nevo melanoctico de otras partes y de las no especificadas de la cara"
"D224" "Nevo melanoctico del cuero cabelludo y del cuello"
"D225" "Nevo melanoctico del tronco"
"D226" "Nevo melanoctico del miembro superior, incluido el hombro"
"D227" "Nevo melanoctico del miembro inferior, incluida la cadera"
"D229" "Nevo melanoctico, sitio no especificado"
"D23" "Otros tumores benignos de la piel"
"D230" "Tumor benigno de la piel del labio"
"D231" "Tumor benigno de la piel del prpado, incluida la comisura palpebral"
"D232" "Tumor benigno de la piel de la oreja y del conducto auditivo externo"
"D233" "Tumor benigno de la piel de otras partes y de las no especificadas de la cara"
"D234" "Tumor benigno de la piel del cuero cabelludo y del cuello"
"D235" "Tumor benigno de la piel del tronco"
"D236" "Tumor benigno de la piel del miembro superior, incluido el hombro"
"D237" "Tumor benigno de la piel del miembro inferior, incluida la cadera"
"D239" "Tumor benigno de la piel, sitio no especificado"
"D24" "Tumor benigno de la mama"
"D25" "Leiomioma del tero"
"D250" "Leiomioma submucoso del tero"
"D251" "Leiomioma intramural del tero"
"D252" "Leiomioma subseroso del tero"
"D259" "Leiomioma del tero, sin otra especificacin"
"D26" "Otros tumores benignos del tero"
"D260" "Tumor benigno del cuello del tero"
"D261" "Tumor benigno del cuerpo del tero"
"D267" "Tumor benigno de otras partes especificadas del tero"
"D269" "Tumor benigno del tero, parte no especificada"
"D27" "Tumor benigno del ovario"
"D28" "Tumor benigno de otros rganos genitales femeninos y de los no especificados"
"D280" "Tumor benigno de la vulva"
"D281" "Tumor benigno de la vagina"
"D282" "Tumor benigno de la trompa de Falopio y de los ligamentos uterinos"
"D287" "Tumor benigno de otros sitios especificados de los rganos genitales femeninos"
"D289" "Tumor benigno de rgano genital femenino, sitio no especificado"
"D29" "Tumor benigno de los rganos genitales masculinos"
"D290" "Tumor benigno del pene"
"D291" "Tumor benigno de la prstata"
"D292" "Tumor benigno de los testculos"
"D293" "Tumor benigno del epiddimo"
"D294" "Tumor benigno del escroto"
"D297" "Tumor benigno de otros rganos genitales masculinos"
"D299" "Tumor benigno de rgano genital masculino, sitio no especificado"
"D30" "Tumor benigno de los rganos urinarios"
"D300" "Tumor benigno del rin"
"D301" "Tumor benigno de la pelvis renal"
"D302" "Tumor benigno del urter"
"D303" "Tumor benigno de la vejiga"
"D304" "Tumor benigno de la uretra"
"D307" "Tumor benigno de otros rganos urinarios"
"D309" "Tumor benigno de rgano urinario no especificado"
"D31" "Tumor benigno del ojo y sus anexos"
"D310" "Tumor benigno de la conjuntiva"
"D311" "Tumor benigno de la crnea"
"D312" "Tumor benigno de la retina"
"D313" "Tumor benigno de la coroides"
"D314" "Tumor benigno del cuerpo ciliar"
"D315" "Tumor benigno de las glndulas y de los conductos lagrimales"
"D316" "Tumor benigno de la rbita, parte no especificada"
"D319" "Tumor benigno del ojo, parte no especificada"
"D32" "Tumores benignos de las meninges"
"D320" "Tumor benigno de las meninges cerebrales"
"D321" "Tumor benigno de las meninges raqudeas"
"D329" "Tumor benigno de las meninges, parte no especificada"
"D33" "Tumor benigno del encfalo y de otras partes del sistema nervioso central"
"D330" "Tumor benigno del encfalo, supratentorial"
"D331" "Tumor benigno del encfalo, infratentorial"
"D332" "Tumor benigno del encfalo, parte no especificada"
"D333" "Tumor benigno de los nervios craneales"
"D334" "Tumor benigno de la mdula espinal"
"D337" "Tumor benigno de otras partes especificadas del sistema nervioso central"
"D339" "Tumor benigno del sistema nervioso central, sitio no especificado"
"D34" "Tumor benigno de la glndula tiroides"
"D35" "Tumor benigno de otras glndulas endocrinas y de las no especificadas"
"D350" "Tumor benigno de la glndula suprarrenal"
"D351" "Tumor benigno de la glndula paratiroides"
"D352" "Tumor benigno de la hipfisis"
"D353" "Tumor benigno del conducto craneofaringeo"
"D354" "Tumor benigno de la glndula pineal"
"D355" "Tumor benigno del cuerpo carotdeo"
"D356" "Tumor benigno del cuerpo artico y de otros cuerpos cromafines"
"D357" "Tumor benigno de otras glndulas endocrinas especificadas"
"D358" "Tumor benigno pluriglandular"
"D359" "Tumor benigno de glndula endocrina no especificada"
"D36" "Tumor benigno de otros sitios y de los no especificados"
"D360" "Tumor benigno de los ganglios linfticos"
"D361" "Tumor benigno de los nervios perifricos y del sistema nervioso autnomo"
"D367" "Tumor benigno de otros sitios especificados"
"D369" "Tumor benigno de sitio no especificado"
"D37" "Tumor de comportamiento incierto o desconocido de la cavidad bucal y de los rganos digestivos"
"D370" "Tumor de comportamiento incierto o desconocido del labio, de la cavidad bucal y de la faringe"
"D371" "Tumor de comportamiento incierto o desconocido del estmago"
"D372" "Tumor de comportamiento incierto o desconocido del intestino delgado"
"D373" "Tumor de comportamiento incierto o desconocido del apndice"
"D374" "Tumor de comportamiento incierto o desconocido del colon"
"D375" "Tumor de comportamiento incierto o desconocido del recto"
"D376" "Tumor de comportamiento incierto o desconocido del hgado, de la vescula biliar y del conducto biliar"
"D377" "Tumor de comportamiento incierto o desconocido de otros rganos digestivos especificados"
"D379" "Tumor de comportamiento incierto o desconocido de rganos digestivos, sitio no especificado"
"D38" "Tumor de comportamiento incierto o desconocido del odo medio y de los rganos respiratorios e intratorcicos"
"D380" "Tumor de comportamiento incierto o desconocido de laringe"
"D381" "Tumor de comportamiento incierto o desconocido de la trquea, de los bronquios y del pulmn"
"D382" "Tumor de comportamiento incierto o desconocido de la pleura"
"D383" "Tumor de comportamiento incierto o desconocido del mediastino"
"D384" "Tumor de comportamiento incierto o desconocido del timo"
"D385" "Tumor de comportamiento incierto o desconocido de otros rganos respiratorios y del odo medio"
"D386" "Tumor de comportamiento incierto o desconocido de rganos respiratorios, sitio no especificado"
"D39" "Tumor de comportamiento incierto o desconocido de los rganos genitales femeninos"
"D390" "Tumor de comportamiento incierto o desconocido del tero"
"D391" "Tumor de comportamiento incierto o desconocido del ovario"
"D392" "Tumor de comportamiento incierto o desconocido de la placenta"
"D397" "Tumor de comportamiento incierto o desconocido de otros rganos genitales femeninos"
"D399" "Tumor de comportamiento incierto o desconocido de rgano genital femenino no especificado"
"D40" "Tumor de comportamiento incierto o desconocido de los rganos genitales masculinos"
"D400" "Tumor de comportamiento incierto o desconocido de la prstata"
"D401" "Tumor de comportamiento incierto o desconocido del testculo"
"D407" "Tumor de comportamiento incierto o desconocido de otros rganos genitales masculinos"
"D409" "Tumor de comportamiento incierto o desconocido de rgano genital masculino no especificado"
"D41" "Tumor de comportamiento incierto o desconocido de los rganos urinarios"
"D410" "Tumor de comportamiento incierto o desconocido del rin"
"D411" "Tumor de comportamiento incierto o desconocido de la pelvis renal"
"D412" "Tumor de comportamiento incierto o desconocido del urter"
"D413" "Tumor de comportamiento incierto o desconocido de la uretra"
"D414" "Tumor de comportamiento incierto o desconocido de la vejiga"
"D417" "Tumor de comportamiento incierto o desconocido de otros rganos urinarios"
"D419" "Tumor de comportamiento incierto o desconocido de rgano urinario no especificado"
"D42" "Tumor de comportamiento incierto o desconocido de las meninges"
"D420" "Tumor de comportamiento incierto o desconocido de las meninges cerebrales"
"D421" "Tumor de comportamiento incierto o desconocido de las meninges raqudeas"
"D429" "Tumor de comportamiento incierto o desconocido de las meninges, parte no especificada"
"D43" "Tumor de comportamiento incierto o desconocido del encfalo y del sistema nervioso central"
"D430" "Tumor de comportamiento incierto o desconocido del encfalo, supratentorial"
"D431" "Tumor de comportamiento incierto o desconocido del encfalo, infratentorial"
"D432" "Tumor de comportamiento incierto o desconocido del encfalo, parte no especificada"
"D433" "Tumor de comportamiento incierto o desconocido de los nervios craneales"
"D434" "Tumor de comportamiento incierto o desconocido de la mdula espinal"
"D437" "Tumor de comportamiento incierto o desconocido de otras partes especificadas del sistema nervioso central"
"D439" "Tumor de comportamiento incierto o desconocido del sistema nervioso central, sitio no especificado"
"D44" "Tumor de comportamiento incierto o desconocido de las glndulas endocrinas"
"D440" "Tumor de comportamiento incierto o desconocido de la glndula tiroides"
"D441" "Tumor de comportamiento incierto o desconocido de la glndula suprarrenal"
"D442" "Tumor de comportamiento incierto o desconocido de la glndula paratiroides"
"D443" "Tumor de comportamiento incierto o desconocido de la glndula hipfisis"
"D444" "Tumor de comportamiento incierto o desconocido del conducto craneofarngeo"
"D445" "Tumor de comportamiento incierto o desconocido de la glndula pineal"
"D446" "Tumor de comportamiento incierto o desconocido del cuerpo carotdeo"
"D447" "Tumor de comportamiento incierto o desconocido del cuerpo artico y otros cuerpos cromafines"
"D448" "Tumor de comportamiento incierto o desconocido con afectacin pluriglandular"
"D449" "Tumor de comportamiento incierto o desconocido de glndula endocrina no especificada"
"D45" "Policitemia vera"
"D46" "Sndromes mielodisplsicos"
"D460" "Anemia refractaria sin sideroblastos, as descrita"
"D461" "Anemia refractaria con sideroblastos"
"D462" "Anemia refractaria con exceso de blastos"
"D463" "Anemia refractaria con exceso de blastos con transformacin"
"D464" "Anemia refractaria, sin otra especificacin"
"D465" "Anemia refractaria con displasia multilinaje"
"D466" "Sndrome mielodisplsico con anormalidad cromosmica aislada del (5q)"
"D467" "Otros sndromes mielodisplsicos"
"D469" "Sndrome mielodisplsico, sin otra especificacin"
"D47" "Otros tumores de comportamiento incierto o desconocido del tejido linftico, de los rganos hematopoyticos y de tejidos afines"
"D470" "Tumor de comportamiento incierto o desconocido de los mastocitos e histiocitos"
"D471" "Enfermedad mieloproliferativa crnica"
"D472" "Gammopata monoclonal"
"D473" "Trombocitopenia (hemorrgica) esencial"
"D474" "Osteomielofibrosis"
"D475" "Leucemia eosinoflica crnica [sndrome hipereosinoflico]"
"D477" "Otros tumores especificados de comportamiento incierto o desconocido del tejido linftico, de los rganos hematopoyticos y de tejidos afines"
"D479" "Tumores de comportamiento incierto o desconocido del tejido linftico, de los rganos hematopoyticos y de tejidos afines, no especificados"
"D48" "Tumor de comportamiento incierto o desconocido de otros sitios y de los no especificados"
"D480" "Tumor de comportamiento incierto o desconocido del hueso y cartlago articular"
"D481" "Tumor de comportamiento incierto o desconocido del tejido conjuntivo y otro tejido blando"
"D482" "Tumor de comportamiento incierto o desconocido de los nervios perifricos y del sistema nervioso autnomo"
"D483" "Tumor de comportamiento incierto o desconocido del retroperitoneo"
"D484" "Tumor de comportamiento incierto o desconocido del peritoneo"
"D485" "Tumor de comportamiento incierto o desconocido de la piel"
"D486" "Tumor de comportamiento incierto o desconocido de la mama"
"D487" "Tumor de comportamiento incierto o desconocido de otros sitios especificados"
"D489" "Tumor de comportamiento incierto o desconocido, de sitio no especificado"
"D50" "Anemias por deficiencia de hierro"
"D500" "Anemia por deficiencia de hierro secundaria a prdida de sangre (crnica)"
"D501" "Disfagia sideropnica"
"D508" "Otras anemias por deficiencia de hierro"
"D509" "Anemia por deficiencia de hierro sin otra especificacin"
"D51" "Anemia por deficiencia de vitamina B12"
"D510" "Anemia por deficiencia de vitamina B12 debida a deficiencia del factor intrnseco"
"D511" "Anemia por deficiencia de vitamina B12 debida a mala absorcin selectiva de vitamina B12 con proteinuria"
"D512" "Deficiencia de trascobalamina II"
"D513" "Otras anemias por deficiencia diettica de vitamina B12"
"D518" "Otras anemias por deficiencia de vitamina B12"
"D519" "Anemia por deficiencia de vitamina B12, sin otra especificacin"
"D52" "Anemia por deficiencia de folatos"
"D520" "Anemia por deficiencia diettica de folatos"
"D521" "Anemia por deficiencia de folatos inducida por drogas"
"D528" "Otras anemias por deficiencia de folatos"
"D529" "Anemia por deficiencia de folatos, sin otra especificacin"
"D53" "Otras anemias nutricionales"
"D530" "Anemia por deficiencia de protenas"
"D531" "Otras anemias megaloblsticas, no clasificadas en otra parte"
"D532" "Anemia escorbtica"
"D538" "Otras anemias nutricionales especificadas"
"D539" "Anemia nutricional, no especificada"
"D55" "Anemia debida a trastornos enzimticos"
"D550" "Anemia debida a deficiencia de glucosa-6-fosfato deshidrogenasa [G6FD]"
"D551" "Anemia debida a otros trastornos del metabolismo del glutatin"
"D552" "Anemia debida a trastornos de las enzimas glucolticas"
"D553" "Anemia debida a trastornos del metabolismo de los nucletidos"
"D558" "Otras anemias debidas a trastornos enzimticos"
"D559" "Anemia debida a trastornos enzimticos, sin otra especificacin"
"D56" "Talasemia"
"D560" "Alfa talasemia"
"D561" "Beta talasemia"
"D562" "Delta-beta talasemia"
"D563" "Rasgo talasmico"
"D564" "Persistencia hereditaria de la hemoglobina fetal [PHHF]"
"D568" "Otras talasemias"
"D569" "Talasemia, no especificada"
"D57" "Trastornos falciformes"
"D570" "Anemia falciforme con crisis"
"D571" "Anemia falciforme  sin crisis"
"D572" "Trastornos falciformes heterocigotos dobles"
"D573" "Rasgo drepanoctico"
"D578" "Otros trastornos falciformes"
"D58" "Otras anemias hemolticas hereditarias"
"D580" "Esferocitosis hereditaria"
"D581" "Eliptocitosis hereditaria"
"D582" "Otras hemoglobinopatas"
"D588" "Otras anemias hemolticas hereditarias especificadas"
"D589" "Anemia hemoltica hereditaria, sin otra especificacin"
"D59" "Anemia hemoltica adquirida"
"D590" "Anemia hemoltica autoinmune inducida por drogas"
"D591" "Otras anemias hemolticas autoinmunes"
"D592" "Anemia hemoltica no autoinmune inducida por drogas"
"D593" "Sndrome hemoltico-urmico"
"D594" "Otras anemias hemolticas no autoinmunes"
"D595" "Hemoglobinuria paroxstica nocturna [Marchiafava- Micheli]"
"D596" "Hemoglobinuria debida a hemlisis por otras causas externas"
"D598" "Otras anemias hemolticas adquiridas"
"D599" "Anemia hemoltica adquirida, sin otra especificacin"
"D60" "Aplasia adquirida, exclusiva de la serie roja [eritroblastopenia]"
"D600" "Aplasia crnica adquirida, exclusiva de la serie roja"
"D601" "Aplasia transitoria adquirida, exclusiva de la serie roja"
"D608" "Otras aplasias adquiridas, exclusivas de la serie roja"
"D609" "Aplasia adquirida, exclusiva de la serie roja, no especificada"
"D61" "Otras anemias aplsticas"
"D610" "Anemia aplstica constitucional"
"D611" "Anemia aplstica inducida por drogas"
"D612" "Anemia aplstica debida a otros agentes externos"
"D613" "Anemia aplstica idioptica"
"D618" "Otras anemias aplsticas especificadas"
"D619" "Anemia aplstica, sin otra especificacin"
"D62" "Anemia posthemorrgica aguda"
"D63" "Anemia en enfermedades crnicas clasificadas en otra parte"
"D630" "Anemia en enfermedad neoplsica"
"D638" "Anemia en otras enfermedades crnicas clasificadas en otra parte"
"D64" "Otras anemias"
"D640" "Anemia sideroblstica hereditaria"
"D641" "Anemia sideroblstica secundaria a otra enfermedad"
"D642" "Anemia sideroblstica secundaria, debida a drogas y toxinas"
"D643" "Otras anemias sideroblsticas"
"D644" "Anemia diseritropoytica congnita"
"D648" "Otras anemias especificadas"
"D649" "Anemia de tipo no especificado"
"D65" "Coagulacin intravascular diseminada [sndrome de desfibrinacin]"
"D66" "Deficiencia hereditaria del factor VIII"
"D67" "Deficiencia hereditaria del factor IX"
"D68" "Otros defectos de la coagulacin"
"D680" "Enfermedad de von Willebrand"
"D681" "Deficiencia hereditaria del factor XI"
"D682" "Deficiencia hereditaria de otros factores de la coagulacin"
"D683" "Trastorno hemorrgico debido a anticoagulantes circulantes"
"D684" "Deficiencia adquirida de factores de la coagulacin"
"D685" "Trombofilia primaria"
"D686" "Otra trombofilia"
"D688" "Otros defectos especificados de la coagulacin"
"D689" "Defecto de la coagulacin, no especificado"
"D69" "Prpura y otras afecciones hemorrgicas"
"D690" "Prpura alrgica"
"D691" "Defecto cualitativos de las plaquetas"
"D692" "Otras prpuras no trombocitopnicas"
"D693" "Prpura trombocitopnica idioptica"
"D694" "Otras trombocitopenias primarias"
"D695" "Trombocitopenia secundaria"
"D696" "Trombocitopenia no especificada"
"D698" "Otras afecciones hemorrgicas especificadas"
"D699" "Afeccin hemorrgica, no especificada"
"D70" "Agranulocitosis"
"D71" "Trastornos funcionales de los polimorfonucleares neutrfilos"
"D72" "Otros trastornos de los leucocitos"
"D720" "Anomalas genticas de los leucocitos"
"D721" "Eosinofilia"
"D728" "Otros trastornos especificados de los leucocitos"
"D729" "Trastorno de los leucocitos, no especificado"
"D73" "Enfermedades del bazo"
"D730" "Hipoesplenismo"
"D731" "Hiperesplenismo"
"D732" "Esplenomegalia congestiva crnica"
"D733" "Absceso del bazo"
"D734" "Quiste del bazo"
"D735" "Infarto del bazo"
"D738" "Otras enfermedades del bazo"
"D739" "Enfermedad del bazo, no especificada"
"D74" "Metahemoglobinemia"
"D740" "Metahemoglobinemia congnita"
"D748" "Otras metahemoglobinemias"
"D749" "Metahemoglobinemia, no especificada"
"D75" "Otras enfermedades de la sangre y de los rganos hematopoyticos"
"D750" "Eritrocitosis familiar"
"D751" "Policitemia secundaria"
"D752" "Trombocitosis esencial"
"D758" "Otras enfermedades especificadas de la sangre y de los rganos hematopoyticos"
"D759" "Enfermedad de la sangre y de los rganos hematopoyticos, no especificada"
"D76" "Ciertas enfermedades que afectan al tejido linforreticular y al sistema reticuloendotelial"
"D760" "Histiocitosis de las clulas de Langerhans, no clasificada en otra parte"
"D761" "Linfohistiocitosis hemofagoctica"
"D762" "Sndrome hemofagoctico asociado a infeccin"
"D763" "Otros sndromes histiocticos"
"D77" "Otros trastornos de la sangre y de los rganos hematopoyticos en enfermedades clasificadas en otra parte"
"D80" "Inmunodeficiencia con predominio de defectos de los anticuerpos"
"D800" "Hipogammaglobulinemia hereditaria"
"D801" "Hipogammaglobulinemia no familiar"
"D802" "Deficiencia selectiva de inmunoglobulina A [IgA]"
"D803" "Deficiencia selectiva de subclases de la inmunoglobulina G [IgG]"
"D804" "Deficiencia selectiva de inmunoglobulina M [IgM]"
"D805" "Inmunodeficiencia con incremento de inmunoglobulina M [IgM]"
"D806" "Deficiencia de anticuerpos con inmunoglobulinas casi normales o con hiperinmunoglobulinemia"
"D807" "Hipogammaglobulinemia transitoria de la infancia"
"D808" "Otras inmunodeficiencias con predominio de defectos de los anticuerpos"
"D809" "Inmunodeficiencia con predominio de defectos de los anticuerpos, no especificada"
"D81" "Inmunodeficiencias combinadas"
"D810" "Inmunodeficiencia combinada severa [IDCS] con disgenesia reticular"
"D811" "Inmunodeficiencia combinada severa [IDCS] con linfocitopenia T y B"
"D812" "Inmunodeficiencia combinada severa [IDCS] con cifra baja o normal de linfocitos B"
"D813" "Deficiencia de la adenosina deaminasa [ADA]"
"D814" "Sndrome de Nezelof"
"D815" "Deficiencia de la fosforilasa purinonuclesida [FPN]"
"D816" "Deficiencia de la clase I del complejo de histocompatibilidad mayor"
"D817" "Deficiencia de la clase II del complejo de histocompatibilidad mayor"
"D818" "Otras inmunodeficiencias combinadas"
"D819" "Inmunodeficiencia combinada, no especificada"
"D82" "Inmunodeficiencia asociada con otros defectos mayores"
"D820" "Sndrome de Wiskott-Aldrich"
"D821" "Sndrome de Di George"
"D822" "Inmunodeficiencia con enanismo micromlico [miembros cortos]"
"D823" "Inmunodeficiencia consecutiva a respuesta defectuosa hereditaria contra el virus de Epstein-Barr"
"D824" "Sndrome de hiperinmunoglobulina E [IgE]"
"D828" "Inmunodeficiencia asociada con otros defectos mayores especificados"
"D829" "Inmunodeficiencia asociada con defectos mayores no especificados"
"D83" "Inmunodeficiencia variable comn"
"D830" "Inmunodeficiencia variable comn con predominio de anormalidades en el nmero y la funcin de los linfocitos B"
"D831" "Inmunodeficiencia variable comn con predominio de trastornos inmunorreguladores de los linfocitos T"
"D832" "Inmunodeficiencia variable comn con autoanticuerpos anti-B o anti-T"
"D838" "Otras inmunodeficiencias variables comunes"
"D839" "Inmunodeficiencia variable comn, no especificada"
"D84" "Otras inmunodeficiencias"
"D840" "Defecto de la funcin del antgeno-1 del linfocito [LFA-1]"
"D841" "Defecto del sistema del complemento"
"D848" "Otras inmunodeficiencias especificadas"
"D849" "Inmunodeficiencia, no especificada"
"D86" "Sarcoidosis"
"D860" "Sarcoidosis del pulmn"
"D861" "Sarcoidosis de los ganglios linfticos"
"D862" "Sarcoidosis del pulmn y de los ganglios linfticos"
"D863" "Sarcoidosis de la piel"
"D868" "Sarcoidosis de otros sitios especificados o de sitios combinados"
"D869" "Sarcoidosis de sitio no especificado"
"D89" "Otros trastornos que afectan el mecanismo de la inmunidad, no clasificados en otra parte"
"D890" "Hipergammaglobulinemia policlonal"
"D891" "Crioglobulinemia"
"D892" "Hipergammaglobulinemia, no especificada"
"D893" "Sndrome de reconstitucin inmune"
"D898" "Otros trastornos especificados que afectan el mecanismo de la inmunidad, no clasificados en otra parte"
"D899" "Trastorno que afecta al mecanismo de la inmunidad, no especificado"
"E00" "Sndrome congnito de deficiencia de yodo"
"E000" "Sndrome congnito de deficiencia de yodo, tipo neurolgico"
"E001" "Sndrome de deficiencia congnita de yodo, tipo mixedematoso"
"E002" "Sndrome congnito de deficiencia de yodo, tipo mixto"
"E009" "Sndrome congnito de deficiencia de yodo, no especificado"
"E01" "Trastornos tiroideos vinculados a deficiencia de yodo y afecciones relacionadas"
"E010" "Bocio difuso (endmico) relacionado con deficiencia de yodo"
"E011" "Bocio multinodular (endmico) relacionado con deficiencia de yodo"
"E012" "Bocio (endmico) relacionado con deficiencia de yodo, no especificado"
"E018" "Otros trastornos de la tiroides relacionados con deficiencia de yodo y afecciones similares"
"E02" "Hipotiroidismo subclnico por deficiencia de yodo"
"E03" "Otros hipotiroidismos"
"E030" "Hipotiroidismo congnito con bocio difuso"
"E031" "Hipotiroidismo congnito sin bocio"
"E032" "Hipotiroidismo debido a medicamentos y a otras sustancias exgenas"
"E033" "Hipotiroidismo postinfeccioso"
"E034" "Atrofia de tiroides (adquirida)"
"E035" "Coma mixedematoso"
"E038" "Otros hipotiroidismos especificados"
"E039" "Hipotiroidismo, no especificado"
"E04" "Otros bocios no txicos"
"E040" "Bocio difuso no txico"
"E041" "Ndulo tiroideo solitario no txico"
"E042" "Bocio multinodular no txico"
"E048" "Otros bocios no txicos especificados"
"E049" "Bocio no txico, no especificado"
"E05" "Tirotoxicosis [hipertiroidismo]"
"E050" "Tirotoxicosis con bocio difuso"
"E051" "Tirotoxicosis con ndulo solitario tiroideo txico"
"E052" "Tirotoxicosis con bocio multinodular txico"
"E053" "Tirotoxicosis por tejido tiroideo ectpico"
"E054" "Tirotoxicosis facticia"
"E055" "Crisis o tormenta tirotxica"
"E058" "Otras tirotoxicosis"
"E059" "Tirotoxicosis, no especificada"
"E06" "Tiroiditis"
"E060" "Tiroiditis aguda"
"E061" "Tiroiditis subaguda"
"E062" "Tiroiditis crnica con tirotoxicosis transitoria"
"E063" "Tiroiditis autoinmune"
"E064" "Tiroiditis inducida por drogas"
"E065" "Otras tiroiditis crnicas"
"E069" "Tiroiditis, no especificada"
"E07" "Otros trastornos tiroideos"
"E070" "Hipersecrecin de calcitonina"
"E071" "Bocio dishormogentico"
"E078" "Otros trastornos especificados de la glndula tiroides"
"E079" "Trastorno de la glndula tiroides, no especificado"
"E10" "Diabetes mellitus insulinodependiente"
"E100" "Diabetes mellitus insulinodependiente, con coma"
"E101" "Diabetes mellitus insulinodependiente, con cetoacidosis"
"E102" "Diabetes mellitus insulinodependiente, con complicaciones renales"
"E103" "Diabetes mellitus insulinodependiente, con complicaciones oftlmicas"
"E104" "Diabetes mellitus insulinodependiente, con complicaciones neurolgicas"
"E105" "Diabetes mellitus insulinodependiente, con complicaciones circulatorias perifricas"
"E106" "Diabetes mellitus insulinodependiente, con otras complicaciones especificadas"
"E107" "Diabetes mellitus insulinodependiente, con complicaciones mltiples"
"E108" "Diabetes mellitus insulinodependiente, con complicaciones no especificadas"
"E109" "Diabetes mellitus insulinodependiente, sin mencin de complicacin"
"E11" "Diabetes mellitus no insulinodependiente"
"E110" "Diabetes mellitus no insulinodependiente, con coma"
"E111" "Diabetes mellitus no insulinodependiente, con cetoacidosis"
"E112" "Diabetes mellitus no insulinodependiente, con complicaciones renales"
"E113" "Diabetes mellitus no insulinodependiente, con complicaciones oftlmicas"
"E114" "Diabetes mellitus no insulinodependiente, con complicaciones neurolgicas"
"E115" "Diabetes mellitus no insulinodependiente, con complicaciones circulatorias perifricas"
"E116" "Diabetes mellitus no insulinodependiente, con otras complicaciones especificadas"
"E117" "Diabetes mellitus no insulinodependiente, con complicaciones mltiples"
"E118" "Diabetes mellitus no insulinodependiente, con complicaciones no especificadas"
"E119" "Diabetes mellitus no insulinodependiente, sin mencin de complicacin"
"E12" "Diabetes mellitus asociada con desnutricin"
"E120" "Diabetes mellitus asociada con desnutricin, con coma"
"E121" "Diabetes mellitus asociada con desnutricin, con cetoacidosis"
"E122" "Diabetes mellitus asociada con desnutricin, con complicaciones renales"
"E123" "Diabetes mellitus asociada con desnutricin, con complicaciones oftlmicas"
"E124" "Diabetes mellitus asociada con desnutricin, con complicaciones neurolgicas"
"E125" "Diabetes mellitus asociada con desnutricin, con complicaciones circulatorias perifricas"
"E126" "Diabetes mellitus asociada con desnutricin, con otras complicaciones especificadas"
"E127" "Diabetes mellitus asociada con desnutricin, con complicaciones mltiples"
"E128" "Diabetes mellitus asociada con desnutricin, con complicaciones no especificadas"
"E129" "Diabetes mellitus asociada con desnutricin, sin mencin de complicacin"
"E13" "Otras diabetes mellitus especificadas"
"E130" "Otras diabetes mellitus especificadas, con coma"
"E131" "Otras Diabetes mellitus especificadas, con cetoacidosis"
"E132" "Otras diabetes mellitus especificadas, con complicaciones renales"
"E133" "Otras diabetes mellitus especificadas, con complicaciones oftlmicas"
"E134" "Otras diabetes mellitus especificadas, con complicaciones neurolgicas"
"E135" "Otras diabetes mellitus especificadas, con complicaciones circulatorias perifricas"
"E136" "Otras diabetes mellitus especificadas, con otras complicaciones especificadas"
"E137" "Otras diabetes mellitus especificadas, con complicaciones mltiples"
"E138" "Otras diabetes mellitus especificadas, con complicaciones no especificadas"
"E139" "Otras diabetes mellitus especificadas, sin mencin de complicacin"
"E14" "Diabetes mellitus, no especificada"
"E140" "Diabetes mellitus no especificada, con coma"
"E141" "Diabetes mellitus no especificada, con cetoacidosis"
"E142" "Diabetes mellitus no especificada, con complicaciones renales"
"E143" "Diabetes mellitus no especificada, con complicaciones oftlmicas"
"E144" "Diabetes mellitus no especificada, con complicaciones neurolgicas"
"E145" "Diabetes mellitus no especificada, con complicaciones circulatorias perifricas"
"E146" "Diabetes mellitus no especificada, con otras complicaciones especificadas"
"E147" "Diabetes mellitus no especificada, con complicaciones mltiples"
"E148" "Diabetes mellitus no especificada, con complicaciones no especificadas"
"E149" "Diabetes mellitus no especificada, sin mencin de complicacin"
"E15" "Coma hipoglicmico no diabtico"
"E16" "Otros trastornos de la secrecin interna del pncreas"
"E160" "Hipoglicemia sin coma, inducida por drogas"
"E161" "Otras hipoglicemias"
"E162" "Hipoglicemia, no especificada"
"E163" "Secrecin exagerada del glucagn"
"E164" "Secrecin anormal de gastrina"
"E168" "Otros trastornos especificados de la secrecin interna del pncreas"
"E169" "Trastornos de la secrecin interna del pncreas, sin otra especificacin"
"E20" "Hipoparatiroidismo"
"E200" "Hipoparatiroidismo idioptico"
"E201" "Pseudohipoparatiroidismo"
"E208" "Otros tipos de hipoparatiroidismo"
"E209" "Hipoparatiroidismo, no especificado"
"E21" "Hiperparatiroidismo y otros trastornos de la glndula paratiroides"
"E210" "Hiperparatiroidismo primario"
"E211" "Hiperparatiroidismo secundario no clasificado en otra parte"
"E212" "Otros tipos de hiperparatiroidismo"
"E213" "Hiperparatiroidismo, sin otra especificacin"
"E214" "Otros trastornos especificados de la glndula paratiroides"
"E215" "Trastorno de la glndula paratiroides, no especificado"
"E22" "Hiperfuncin de la glndula hipfisis"
"E220" "Acromegalia y gigantismo hipofisario"
"E221" "Hiperprolactinemia"
"E222" "Sndrome de secrecin inapropiada de hormona anitidiurtica"
"E228" "Otras hiperfunciones de la glndula hipfisis"
"E229" "Hiperfuncin de la glndula hipfisis, no especificada"
"E23" "Hipofuncin y otros trastornos de la glndula hipfisis"
"E230" "Hipopituitarismo"
"E231" "Hipopituitarismo inducido por drogas"
"E232" "Diabetes inspida"
"E233" "Disfuncin hipotalmica, no clasificada en otra parte"
"E236" "Otros trastornos de la glndula hipfisis"
"E237" "Trastorno de la glndula hipfisis, no especificado"
"E24" "Sndrome de Cushing"
"E240" "Enfermedad de Cushing dependiente de la hipfisis"
"E241" "Sndrome de Nelson"
"E242" "Sndrome de Cushing inducido por drogas"
"E243" "Sndrome de ACTH ectpico"
"E244" "Sndrome de seudo-Cushing inducido por alcohol"
"E248" "Otros tipos de sndrome de Cushing"
"E249" "Sndrome de Cushing, no especificado"
"E25" "Trastornos adrenogenitales"
"E250" "Trastornos adrenogenitales congnitos con deficiencia enzimtica"
"E258" "Otros trastornos adrenogenitales"
"E259" "Trastorno adrenogenital, no especificado"
"E26" "Hiperaldosteronismo"
"E260" "Hiperaldosteronismo primario"
"E261" "Hiperaldosteronismo secundario"
"E268" "Otros tipos de hiperaldosteronismo"
"E269" "Hiperaldosteronismo, no especificado"
"E27" "Otros trastornos  de la glndula suprarrenal"
"E270" "Otra hiperactividad corticosuprarrenal"
"E271" "Insuficiencia corticosuprarrenal primaria"
"E272" "Crisis addisoniana"
"E273" "Insuficiencia corticosuprarrenal inducida por drogas"
"E274" "Otras insuficiencias corticosuprarrenales y las no especificadas"
"E275" "Hiperfuncin de la mdula suprarrenal"
"E278" "Otros trastornos especificados de la glndula suprarrenal"
"E279" "Trastorno de la glndula suprarrenal, no especificado"
"E28" "Disfuncin ovrica"
"E280" "Exceso de estrgenos"
"E281" "Exceso de andrgenos"
"E282" "Sndrome de ovario poliqustico"
"E283" "Insuficiencia ovrica primaria"
"E288" "Otras disfunciones ovricas"
"E289" "Disfuncin ovrica, no especificada"
"E29" "Disfuncin testicular"
"E290" "Hiperfuncin testicular"
"E291" "Hipofuncin testicular"
"E298" "Otras disfunciones testiculares"
"E299" "Disfuncin testicular, no especificada"
"E30" "Trastornos de la pubertad, no clasificados en otra parte"
"E300" "Pubertad retardada"
"E301" "Pubertad precoz"
"E308" "Otros trastornos de la pubertad"
"E309" "Trastorno de la pubertad, no especificado"
"E31" "Disfuncin poliglandular"
"E310" "Insuficiencia poliglandular autoinmune"
"E311" "Hiperfuncin poliglandular"
"E318" "Otras disfunciones poliglandulares"
"E319" "Disfuncin poliglandular, no especificada"
"E32" "Enfermedades del timo"
"E320" "Hiperplasia persistente del timo"
"E321" "Absceso del timo"
"E328" "Otras enfermedades del timo"
"E329" "Enfermedad del timo, no especificada"
"E34" "Otros trastornos endocrinos"
"E340" "Sndrome carcinoide"
"E341" "Otras hipersecreciones de hormonas intestinales"
"E342" "Secrecin hormonal ectpica, no clasificada en otra parte"
"E343" "Enanismo, no clasificado en otra parte"
"E344" "Estatura alta constitucional"
"E345" "Sndrome de resistencia andrognica"
"E348" "Otros trastornos endocrinos especificados"
"E349" "Trastorno endocrino, no especificado"
"E35" "Trastornos endocrinos en enfermedades clasificadas en otra parte"
"E350" "Trastornos de la glndula tiroides en enfermedades clasificadas en otra parte"
"E351" "Trastornos de las glndulas suprarrenales en enfermedades clasificadas en otra parte"
"E358" "Trastornos de otras glndulas endocrinas en enfermedades clasificadas en otra parte"
"E40" "Kwashiorkor"
"E41" "Marasmo nutricional"
"E42" "Kwashiorkor marasmtico"
"E43" "Desnutricin proteicocalrica severa, no especificada"
"E44" "Desnutricin proteicocalrica de grado moderado y leve"
"E440" "Desnutricin proteicocalrica moderada"
"E441" "Desnutricin proteicocalrica leve"
"E45" "Retardo del desarrollo debido a desnutricin proteicocalrica"
"E46" "Desnutricin proteicocalrica, no especificada"
"E50" "Deficiencia de vitamina A"
"E500" "Deficiencia de vitamina A con xerosis conjuntival"
"E501" "Deficiencia de vitamina A con mancha de Bitot y xerosis conjuntival"
"E502" "Deficiencia de vitamina A con xerosis corneal"
"E503" "Deficiencia de vitamina A con ulceracin corneal y xerosis"
"E504" "Deficiencia de vitamina A con queratomalacia"
"E505" "Deficiencia de vitamina A con ceguera nocturna"
"E506" "Deficiencia de vitamina A con cicatrices xeroftlmicas de la crnea"
"E507" "Otras manifestaciones oculares de deficiencia de vitamina A"
"E508" "Otras manifestaciones de deficiencia de vitamina A"
"E509" "Deficiencia de vitamina A, no especificada"
"E51" "Deficiencia de tiamina"
"E511" "Beriberi"
"E512" "Encefalopata de Wernicke"
"E518" "Otras manifestaciones de la deficiencia de tiamina"
"E519" "Deficiencia de tiamina, no especificada"
"E52" "Deficiencia de niacina [pelagra]"
"E53" "Deficiencias de otras vitaminas del grupo B"
"E530" "Deficiencia de riboflavina"
"E531" "Deficiencia de piridoxina"
"E538" "Deficiencia de otras vitaminas del grupo B"
"E539" "Deficiencia de vitamina B, no especificada"
"E54" "Deficiencia de cido ascrbico"
"E55" "Deficiencia de vitamina D"
"E550" "Raquitismo activo"
"E559" "Deficiencia de vitamina D, no especificada"
"E56" "Otras deficiencias de vitaminas"
"E560" "Deficiencia de vitamina E"
"E561" "Deficiencia de vitamina K"
"E568" "Deficiencia de otras vitaminas"
"E569" "Deficiencia de vitamina, no especificada"
"E58" "Deficiencia diettica de calcio"
"E59" "Deficiencia diettica de selenio"
"E60" "Deficiencia diettica de zinc"
"E61" "Deficiencias de otros elementos nutricionales"
"E610" "Deficiencia de cobre"
"E611" "Deficiencia de hierro"
"E612" "Deficiencia de magnesio"
"E613" "Deficiencia de manganeso"
"E614" "Deficiencia de cromo"
"E615" "Deficiencia de molibdeno"
"E616" "Deficiencia de vanadio"
"E617" "Deficiencia de mltiples elementos nutricionales"
"E618" "Deficiencia de otros elementos nutricionales especificados"
"E619" "Deficiencia de otro elemento nutricional, no especificado"
"E63" "Otras deficiencias nutricionales"
"E630" "Deficiencia de cidos grasos esenciales [AGE]"
"E631" "Desequilibrio de los constituyentes en la dieta"
"E638" "Otras deficiencias nutricionales especificadas"
"E639" "Deficiencia nutricional, no especificada"
"E64" "Secuelas de la desnutricin y de otras deficiencias nutricionales"
"E640" "Secuelas de la desnutricin proteicocalrica"
"E641" "Secuelas de la deficiencia de vitamina A"
"E642" "Secuelas de la deficiencia de vitamina C"
"E643" "Secuelas del raquitismo"
"E648" "Secuelas de otras deficiencias nutricionales"
"E649" "Secuelas de la deficiencia nutricional no especificada"
"E65" "Adiposidad localizada"
"E66" "Obesidad"
"E660" "Obesidad debida a exceso de caloras"
"E661" "Obesidad inducida por drogas"
"E662" "Obesidad extrema con hipoventilacin alveolar"
"E668" "Otros tipos de obesidad"
"E669" "Obesidad, no especificada"
"E67" "Otros tipos de hiperalimentacin"
"E670" "Hipervitaminosis A"
"E671" "Hipercarotinemia"
"E672" "Sndrome de megavitamina B6"
"E673" "Hipervitaminosis D"
"E678" "Otros tipos de hiperalimentacin especificados"
"E68" "Secuelas de hiperalimentacin"
"E70" "Trastornos del metabolismo de los aminocidos aromticos"
"E700" "Fenilcetonuria clsica"
"E701" "Otras hiperfenilalaninemias"
"E702" "Trastornos del metabolismo de la tirosina"
"E703" "Albinismo"
"E708" "Otros trastornos del metabolismo de los aminocidos aromticos"
"E709" "Trastorno del metabolismo de los aminocidos aromticos, no especificado"
"E71" "Trastornos del metabolismo de los aminocidos de cadena ramificada y de los cidos grasos"
"E710" "Enfermedad de la orina en jarabe de arce"
"E711" "Otros trastornos del metabolismo de los aminocidos de cadena ramificada"
"E712" "Otros trastornos del metabolismo de los aminocidos de cadena ramificada, no especificados"
"E713" "Trastornos del metabolismo de los cidos grasos"
"E72" "Otros trastornos del metabolismo de los aminocidos"
"E720" "Trastornos del transporte de los aminocidos"
"E721" "Trastornos del metabolismo de los aminocidos azufrados"
"E722" "Trastornos del metabolismo del ciclo de la urea"
"E723" "Trastornos del metabolismo de la lisina y la hidroxilisina"
"E724" "Trastornos del metabolismo de la ornitina"
"E725" "Trastornos del metabolismo de la glicina"
"E728" "Otros trastornos especificados del metabolismo de los aminocidos"
"E729" "Trastorno del metabolismo de los aminocidos, no especificado"
"E73" "Intolerancia a la lactosa"
"E730" "Deficiencia congnita de lactasa"
"E731" "Deficiencia secundaria de lactasa"
"E738" "Otros tipos de intolerancia a la lactosa"
"E739" "Intolerancia a la lactosa, no especificada"
"E74" "Otros trastornos del metabolismo de los carbohidratos"
"E740" "Enfermedad del almacenamiento de glucgeno"
"E741" "Trastornos del metabolismo de la fructosa"
"E742" "Trastorno del metabolismo de la galactosa"
"E743" "Otros trastornos de la absorcin intestinal de carbohidratos"
"E744" "Trastornos del metabolismo del piruvato y de la gluconeognesis"
"E748" "Otros trastornos especificados del metabolismo de los carbohidratos"
"E749" "Trastorno del metabolismo de los carbohidratos, no especificado"
"E75" "Trastornos del metabolismo de los esfingolpidos y otros trastornos por almacenamiento de lpidos"
"E750" "Gangliosidosis GM2"
"E751" "Otras gangliosidosis"
"E752" "Otras esfingolipidosis"
"E753" "Esfingolipidosis, no especificada"
"E754" "Lipofuscinosis ceroide neuronal"
"E755" "Otros trastornos del almacenamiento de lpidos"
"E756" "Trastorno del almacenamiento de lpidos, no especificado"
"E76" "Trastornos del metabolismo de los glucosaminoglicanos"
"E760" "Mucopolisacaridosis tipo I"
"E761" "Mucopolisacaridosis tipo II"
"E762" "Otras mucopolisacaridosis"
"E763" "Mucopolisacaridosis no especificada"
"E768" "Otros trastornos del metabolismo de los glucosaminoglicanos"
"E769" "Trastorno del metabolismo de los glucosaminoglicanos, no especificado"
"E77" "Trastornos del metabolismo de las glucoprotenas"
"E770" "Defectos en la modificacin postraslacional de enzimas lisosomales"
"E771" "Defectos de la degradacin de glucoprotenas"
"E778" "Otros trastornos del metabolismo de las glucoprotenas"
"E779" "Trastornos del metabolismo de las glucoprotenas, no especificado"
"E78" "Trastornos del metabolismo de las lipoprotenas y otras lipidemias"
"E780" "Hipercolesterolemia pura"
"E781" "Hipergliceridemia pura"
"E782" "Hiperlipidemia mixta"
"E783" "Hiperquilomicronemia"
"E784" "Otra hiperlipidemia"
"E785" "Hiperlipidemia no especificada"
"E786" "Deficiencia de lipoprotenas"
"E788" "Otros trastornos del metabolismo de las lipoprotenas"
"E789" "Trastorno del metabolismo de las lipoprotenas, no especificado"
"E79" "Trastornos del metabolismo de las purinas y de las pirimidinas"
"E790" "Hiperuricemia sin signos de artritis inflamatoria y enfermedad tofcea"
"E791" "Sndrome de Lesch-Nyhan"
"E798" "Otros trastornos del metabolismo de las purinas y de las pirimidinas"
"E799" "Trastorno del metabolismo de las purinas y de las pirimidinas, no especificado"
"E80" "Trastornos del metabolismo de las porfirinas y de la bilirrubina"
"E800" "Porfiria eritropoytica hereditaria"
"E801" "Porfiria cutnea tarda"
"E802" "Otras porfirias"
"E803" "Defectos de catalasa y peroxidasa"
"E804" "Sndrome de Gilbert"
"E805" "Sndrome de Crigler-Najjar"
"E806" "Otros trastornos del metabolismo de la bilirrubina"
"E807" "Trastorno del metabolismo de la bilirrubina, no especificado"
"E83" "Trastornos del metabolismo de los minerales"
"E830" "Trastornos del metabolismo del cobre"
"E831" "Trastornos del metabolismo del hierro"
"E832" "Trastornos del metabolismo del zinc"
"E833" "Trastornos del metabolismo del fsforo"
"E834" "Trastornos del metabolismo del magnesio"
"E835" "Trastornos del metabolismo del calcio"
"E838" "Otros trastornos del metabolismo de los minerales"
"E839" "Trastorno del metabolismo de los minerales, no especificado"
"E84" "Fibrosis qustica"
"E840" "Fibrosis qustica con manifestaciones pulmonares"
"E841" "Fibrosis qustica con manifestaciones intestinales"
"E848" "Fibrosis qustica con otras manifestaciones"
"E849" "Fibrosis qustica, sin otra especificacin"
"E85" "Amiloidosis"
"E850" "Amiloidosis heredofamiliar no neuroptica"
"E851" "Amiloidosis heredofamiliar neuroptica"
"E852" "Amiloidosis heredofamiliar no especificada"
"E853" "Amiloidosis sistmica secundaria"
"E854" "Amiloidosis limitada a un rgano"
"E858" "Otras amiloidosis"
"E859" "Amiloidosis, no especificada"
"E86" "Deplecin del volumen"
"E87" "Otros trastornos de los lquidos, de los electrlitos y del equilibrio cido-bsico"
"E870" "Hiperosmolaridad e hipernatremia"
"E871" "Hiposmolaridad e hiponatremia"
"E872" "Acidosis"
"E873" "Alcalosis"
"E874" "Trastornos mixtos del balance cido-bsico"
"E875" "Hiperpotasemia"
"E876" "Hipopotasmia"
"E877" "Sobrecarga de lquidos"
"E878" "Otros trastornos del equilibrio de los electrlitos y de los lquidos, no clasificados en otra parte"
"E88" "Otros trastornos metablicos"
"E880" "Trastornos del metabolismo de las protenas plasmticas, no clasificados en otra parte"
"E881" "Lipodistrofia, no clasificada en otra parte"
"E882" "Lipomatosis, no clasificada en otra parte"
"E883" "Sndrome de lisis tumoral"
"E888" "Otros trastornos especificados del metabolismo"
"E889" "Trastorno metablico, no especificado"
"E89" "Trastornos endocrinos y metablicos consecutivos a procedimientos, no clasificados en otra parte"
"E890" "Hipotiroidismo consecutivo a procedimientos"
"E891" "Hipoinsulinemia consecutiva a procedimientos"
"E892" "Hipoparatiroidismo consecutivo a procedimientos"
"E893" "Hipopituitarismo consecutivo a procedimientos"
"E894" "Insuficiencia ovrica consecutiva a procedimientos"
"E895" "Hipofuncin testicular consecutiva a procedimientos"
"E896" "Hipofuncin adrenocortical [mdula suprarrenal] consecutiva a procedimientos"
"E898" "Otros trastornos metablicos y endocrinos consecutivos a procedimientos"
"E899" "Trastorno endocrino y metablico consecutivo a procedimientos, no especificado"
"E90" "Trastornos nutricionales y metablicos en enfermedades clasificadas en otra parte"
"F00" "Demencia en la enfermedad de Alzheimer"
"F000" "Demencia  en la enfermedad de Alzheimer, de comienzo temprano"
"F001" "Demencia  en la enfermedad de Alzheimer, de comienzo tardo"
"F002" "Demencia  en la enfermedad de Alzheimer, atpica o de tipo mixto"
"F009" "Demencia  en la enfermedad de Alzheimer, no especificada"
"F01" "Demencia vascular"
"F010" "Demencia  vascular de comienzo agudo"
"F011" "Demencia  vascular por infartos mltiples"
"F012" "Demencia  vascular subcortical"
"F013" "Demencia  vascular mixta, cortical y subcortical"
"F018" "Otras demencia vasculares"
"F019" "Demencia  vascular, no especificada"
"F02" "Demencia en otras enfermedades clasificadas en otra parte"
"F020" "Demencia  en la enfermedad de Pick"
"F021" "Demencia  en la enfermedad de Creutzfeldt-Jakob"
"F022" "Demencia  en la enfermedad de Huntington"
"F023" "Demencia  en la enfermedad de Parkinson"
"F024" "Demencia  en la enfermedad por virus de la inmunodeficiencia humana [VIH]"
"F028" "Demencia  en otras enfermedades especificadas clasificadas en otra parte"
"F03" "Demencia , no especificada"
"F04" "Sndrome amnsico orgnico, no inducido por alcohol o por otras sustancias psicoactivas"
"F05" "Delirio, no inducido por alcohol o por otras sustancias psicoactivas"
"F050" "Delirio no superpuesto a un cuadro de demencia, as descrito"
"F051" "Delirio superpuesto a un cuadro de demencia"
"F058" "Otros delirios"
"F059" "Delirio, no especificado"
"F06" "Otros trastornos mentales debidos a lesin y disfuncin cerebral, y a enfermedad fsica"
"F060" "Alucinosis orgnica"
"F061" "Trastorno catatnico, orgnico"
"F062" "Trastorno delirante [esquizofreniforme], orgnico"
"F063" "Trastornos del humor [afectivos], orgnicos"
"F064" "Trastorno de ansiedad, orgnico"
"F065" "Trastorno disociativo, orgnico"
"F066" "Trastorno de labilidad emocional [astnico], orgnico"
"F067" "Trastorno cognoscitivo leve"
"F068" "Otros trastornos mentales especificados debidos a lesin y disfuncin cerebral y a enfermedad fsica"
"F069" "Trastorno mental no especificado debido a lesin y disfuncin cerebral y a enfermedad fsica"
"F07" "Trastronos de la personalidad y del comportamiento debidos a enfermedad, lesin o disfuncin cerebral"
"F070" "Trastorno de la personalidad, orgnico"
"F071" "Sndrome postencefaltico"
"F072" "Sndrome postconcusional"
"F078" "Otros trastornos orgnicos de la personalidad y del comportamiento debidos a enfermedad, lesin y  disfuncin cerebrales"
"F079" "Trastorno orgnico de la personalidad y del comportamiento, no especificado, debido a enfermedad, lesin y disfuncin cerebral"
"F09" "Trastorno mental orgnico o sintomtico, no especificado"
"F10" "Trastornos mentales y del comportamiento debidos al uso de alcohol"
"F100" "Trastornos mentales y del comportamiento debidos al uso de alcohol, intoxicacin aguda"
"F101" "Trastornos mentales y del comportamiento debidos al uso de alcohol, uso nocivo"
"F102" "Trastornos mentales y del comportamiento debidos al uso de alcohol, sndrome de dependencia"
"F103" "Trastornos mentales y del comportamiento debidos al uso de alcohol, estado de abstinencia"
"F104" "Trastornos mentales y del comportamiento debidos al uso de alcohol, estado de abstinencia con delirio"
"F105" "Trastornos mentales y del comportamiento debidos al uso de alcohol, trastorno psictico"
"F106" "Trastornos mentales y del comportamiento debidos al uso de alcohol, sndrome amnsico"
"F107" "Trastornos mentales y del comportamiento debidos al uso de alcohol, trastorno psictico residual y de comienzo tardo"
"F108" "Trastornos mentales y del comportamiento debidos al uso de alcohol, otros trastornos mentales y del comportamiento"
"F109" "Trastornos mentales y del comportamiento debidos al uso de alcohol, trastorno mental y del comportamiento, no especificado"
"F11" "Trastornos mentales y del comportamiento debidos al uso de opiceos"
"F110" "Trastornos mentales y del comportamiento debidos al uso de opiceos, intoxicacin aguda"
"F111" "Trastornos mentales y del comportamiento debidos al uso de opiceos, uso nocivo"
"F112" "Trastornos mentales y del comportamiento debidos al uso de opiceos, sndrome de dependencia"
"F113" "Trastornos mentales y del comportamiento debidos al uso de opiceos, estado de abstinencia"
"F114" "Trastornos mentales y del comportamiento debidos al uso de opiceos, estado de abstinencia con delirio"
"F115" "Trastornos mentales y del comportamiento debidos al uso de opiceos, trastorno psictico"
"F116" "Trastornos mentales y del comportamiento debidos al uso de opiceos, sndrome amnsico"
"F117" "Trastornos mentales y del comportamiento debidos al uso de opiceos, trastorno psictico residual y de comienzo tardo"
"F118" "Trastornos mentales y del comportamiento debidos al uso de opiceos, otros trastornos mentales y del comportamiento"
"F119" "Trastornos mentales y del comportamiento debidos al uso de opiceos, trastorno mental y del comportamiento, no especificado"
"F12" "Trastornos mentales y del comportamiento debidos al uso de cannabinoides"
"F120" "Trastornos mentales y del comportamiento debidos al uso de cannabinoides, intoxicacin aguda"
"F121" "Trastornos mentales y del comportamiento debidos al uso de cannabinoides, uso nocivo"
"F122" "Trastornos mentales y del comportamiento debidos al uso de cannabinoides, sndrome de dependencia"
"F123" "Trastornos mentales y del comportamiento debidos al uso de cannabinoides, estado de abstinencia"
"F124" "Trastornos mentales y del comportamiento debidos al uso de cannabinoides, estado de abstinencia con delirio"
"F125" "Trastornos mentales y del comportamiento debidos al uso de cannabinoides, trastorno psictico"
"F126" "Trastornos mentales y del comportamiento debidos al uso de cannabinoides, sndrome amnsico"
"F127" "Trastornos mentales y del comportamiento debidos al uso de cannabinoides, trastorno psictico residual y de comienzo tardo"
"F128" "Trastornos mentales y del comportamiento debidos al uso de cannabinoides, otros trastornos mentales y del comportamiento"
"F129" "Trastornos mentales y del comportamiento debidos al uso de cannabinoides, trastorno mental y del comportamiento, no especificado"
"F13" "Trastornos mentales y del comportamiento debidos al uso de sedantes  o hipnticos"
"F130" "Trastornos mentales y del comportamiento debidos al uso de sedantes o hipnticos, intoxicacin aguda"
"F131" "Trastornos mentales y del comportamiento debidos al uso de sedantes o hipnticos, uso nocivo"
"F132" "Trastornos mentales y del comportamiento debidos al uso de sedantes o hipnticos, sndrome de dependencia"
"F133" "Trastornos mentales y del comportamiento debidos al uso de sedantes o hipnticos, estado de abstinencia"
"F134" "Trastornos mentales y del comportamiento debidos al uso de sedantes o hipnticos, estado de abstinencia con delirio"
"F135" "Trastornos mentales y del comportamiento debidos al uso de sedantes o hipnticos, trastorno psictico"
"F136" "Trastornos mentales y del comportamiento debidos al uso de sedantes o hipnticos, sndrome amnsico"
"F137" "Trastornos mentales y del comportamiento debidos al uso de sedantes o hipnticos, trastorno psictico residual y de comienzo  tardo"
"F138" "Trastornos mentales y del comportamiento debidos al uso de sedantes o hipnticos, otros trastornos mentales y del comportamiento"
"F139" "Trastornos mentales y del comportamiento debidos al uso de sedantes o hipnticos, trastornos mental y del comportamiento, no especificados"
"F14" "Trastornos mentales y del comportamiento debidos al uso de cocana"
"F140" "Trastornos mentales y del comportamiento debidos al uso de cocana, intoxicacin aguda"
"F141" "Trastornos mentales y del comportamiento debidos al uso de cocana, uso nocivo"
"F142" "Trastornos mentales y del comportamiento debidos al uso de cocana, sndrome de dependencia"
"F143" "Trastornos mentales y del comportamiento debidos al uso de cocana, estado de abstinencia"
"F144" "Trastornos mentales y del comportamiento debidos al uso de cocana, estado de abstinencia con delirio"
"F145" "Trastornos mentales y del comportamiento debidos al uso de cocana, trastorno psictico"
"F146" "Trastornos mentales y del comportamiento debidos al uso de cocana, sndrome amnsico"
"F147" "Trastornos mentales y del comportamiento debidos al uso de cocana, trastorno psictico residual y de comienzo tardo"
"F148" "Trastornos mentales y del comportamiento debidos al uso de cocana, otros trastornos mentales y del comportamiento"
"F149" "Trastornos mentales y del comportamiento debidos al uso de cocana, trastorno mental y del comportamiento, no especificado"
"F15" "Trastornos mentales y del comportamiento debidos al uso de otros estimilantes, incluida la cafena"
"F150" "Trastornos mentales y del comportamiento debidos al uso de otros estimulantes, incluida la cafena, intoxicacin  aguda"
"F151" "Trastornos mentales y del comportamiento debidos al uso de otros estimulantes, incluida la cafena, uso nocivo"
"F152" "Trastornos mentales y del comportamiento  debidos al uso de otros estimulantes, incluida la cafena, sndrome de dependencia"
"F153" "Trastornos mentales y del comportamiento  debidos al uso de otros estimulantes, incluida la cafena, estado de abstinencia"
"F154" "Trastornos mentales y del comportamiento  debidos al uso de otros estimulantes, incluida la cafena, estado de abstinencia con delirio"
"F155" "Trastornos mentales y del comportamiento debidos al uso de otros estimulantes, incluida la cafena, trastorno psictico"
"F156" "Trastornos mentales y del comportamiento debidos al uso de otros estimulantes, incluida la cafena, sndrome amnsico"
"F157" "Trastornos mentales y del comportamiento debidos al uso de otros estimulantes, incluida la cafena, trastorno psictico residual y de comienzo tardo"
"F158" "Trastornos mentales  y del comportamiento debidos al uso de otros estimulantes, incluida la cafena, otros trastornos mentales y del comportamiento"
"F159" "Trastornos mentales  y del comportamiento debidos al uso de otros estimulantes, incluida la cafena, trastorno mental y del comportamiento, no especificado"
"F16" "Trastornos mentales y del comportamiento debidos al uso de alucingenos"
"F160" "Trastornos mentales y del comportamiento debidos al uso de alucingenos, intoxicacin aguda"
"F161" "Trastornos mentales y del comportamiento debidos al uso de alucingenos, uso nocivo"
"F162" "Trastornos mentales y del comportamiento debidos al uso de alucingenos, sndrome de dependencia"
"F163" "Trastornos mentales y del comportamiento debidos al uso de alucingenos, estado de abstinencia"
"F164" "Trastornos mentales y del comportamiento debidos al uso de alucingenos, estado de abstinencia con delirio"
"F165" "Trastornos mentales y del comportamiento debidos al uso de alucingenos, trastorno psictico"
"F166" "Trastornos mentales y del comportamiento debidos al uso de alucingenos, sndrome amnsico"
"F167" "Trastornos mentales y del comportamiento debidos al uso de alucingenos, trastorno psictico residual y de comienzo tardo"
"F168" "Trastornos mentales y del comportamiento debidos al uso de alucingenos, otros trastorno mentales y del comportamiento"
"F169" "Trastornos mentales y del comportamiento debidos al uso de alucingenos, trastorno mental y del comportamiento, no especificado"
"F17" "Trastornos mentales y del comportamiento debidos al uso de tabaco"
"F170" "Trastornos mentales y del comportamiento debidos al uso de tabaco, intoxicacin aguda"
"F171" "Trastornos mentales y del comportamiento debidos al uso de tabaco, uso nocivo"
"F172" "Trastornos mentales y del comportamiento debidos al uso de tabaco, sndrome de dependencia"
"F173" "Trastornos mentales y del comportamiento debidos al uso de tabaco, estado de abstinencia"
"F174" "Trastornos mentales y del comportamiento debidos al uso de tabaco, estado de abstinencia con delirio"
"F175" "Trastornos mentales y del comportamiento debidos al uso de tabaco, trastorno psictico"
"F176" "Trastornos mentales y del comportamiento debidos al uso de tabaco, sndrome amnsico"
"F177" "Trastornos mentales y del comportamiento debidos al uso de tabaco, trastorno psictico residual y de comienzo tardio"
"F178" "Trastornos mentales y del comportamiento debidos al uso de tabaco, otros trastornos mentales y del comportamiento"
"F179" "Trastornos mentales y del comportamiento debidos al uso de tabaco, trastorno mental y del comportamiento, no especificado"
"F18" "Trastornos mentales y del comportamiento debidos al uso de disolventes voltiles"
"F180" "Trastornos mentales y del comportamiento debidos al uso de disolventes voltiles, intoxicacin aguda"
"F181" "Trastornos mentales y del comportamiento debidos al uso de disolventes voltiles, uso nocivo"
"F182" "Trastornos mentales y del comportamiento debidos al uso de disolventes voltiles, sndrome de dependencia"
"F183" "Trastornos mentales y del comportamiento debidos al uso de disolventes voltiles, estado de abstinencia"
"F184" "Trastornos mentales y del comportamiento debidos al uso de disolventes voltiles, estado de abstinencia con delirio"
"F185" "Trastornos mentales y del comportamiento debidos al uso de disolventes voltiles, trastorno psictico"
"F186" "Trastornos mentales y del comportamiento debidos al uso de disolventes voltiles,  sndrome amnsico"
"F187" "Trastornos mentales y del comportamiento debidos al uso de disolventes voltiles, trastorno psictico residual y de comienzo tardo"
"F188" "Trastornos mentales y del comportamiento debidos al uso de disolventes voltiles, otros trastornos mentales y del comportamiento"
"F189" "Trastornos mentales y del comportamiento debidos al uso de disolventes voltiles, trastorno mental y del comportamiento, no especificado"
"F19" "Trastornos mentales y del comportamiento debidos al uso de mltiples drogas y al uso de otras sustancias psicoactivas"
"F190" "Trastornos mentales y del comportamiento debidos al uso de mltiples drogas y al uso de otras sustancias psicoactivas, intoxicacin aguda"
"F191" "Trastornos mentales y del comportamiento debidos al uso de mltiples drogas y al uso de otras sustancias  psicoactivas, uso nocivo"
"F192" "Trastornos mentales y del comportamiento debidos al uso de mltiples drogas y al uso de otras sustancias psicoactivas, sindrome de dependendencia"
"F193" "Trastornos mentales y del comportamiento debidos al uso de mltiples drogas y al uso de otras sustancias psicoactivas, estado de abstinencia"
"F194" "Trastornos mentales y del comportamiento debidos al uso de mltiples drogas y al uso de otras sustancias psicoactivas, estado de abstinencia con delirio"
"F195" "Trastornos mentales y del comportamiento debidos al uso de mltiples drogas y al uso de otras sustancias psicoactivas, trastorno psictico"
"F196" "Trastornos mentales y del comportamiento debidos al uso de mltiples drogas y al uso de otras sustancias psicoactivas, sndrome amnsico"
"F197" "Trastornos mentales y del comportamiento debidos al uso de multiples drogas y al uso de otras sustancias psicoactivas, trastorno psictico residual y de comienzo tardo"
"F198" "Trastornos mentales y del comportamiento debidos al uso de mltiples drogas  y al uso de otras sustancias psicoactivas, otros trastornos mentales y del comportamiento"
"F199" "Trastornos mentales y del comportamiento debidos al uso de mltiples drogas y al uso de otras sustancias psicoactivas, trastorno mental y del comportamiento, no especificado"
"F20" "Esquizofrenia"
"F200" "Esquizofrenia paranoide"
"F201" "Esquizofrenia hebefrnica"
"F202" "Esquizofrenia catatnica"
"F203" "Esquizofrenia indiferenciada"
"F204" "Depresin postesquizofrnica"
"F205" "Esquizofrenia residual"
"F206" "Esquizofrenia simple"
"F208" "Otras esquizofrenias"
"F209" "Esquizofrenia, no especificada"
"F21" "Trastorno esquizotpico"
"F22" "Trastornos delirantes persistentes"
"F220" "Trastorno delirante"
"F228" "Otros trastornos delirantes persistentes"
"F229" "Trastornos delirante persistente, no especificado"
"F23" "Trastornos psicticos agudos y transitorios"
"F230" "Trastorno psictico agudo polimorfo, sin sntomas de esquizofrenia"
"F231" "Trastorno psictico agudo polimorfo, con sntomas de esquizofrenia"
"F232" "Trastorno psictico agudo de tipo esquizofrnico"
"F233" "Otro trastorno psictico agudo, con predominio de ideas delirantes"
"F238" "Otros trastornos psicticos agudos y transitorios"
"F239" "Trastorno psictico agudo y transitorio, no especificado"
"F24" "Trastorno delirante inducido"
"F25" "Trastornos esquizoafectivos"
"F250" "Trastorno esquizoafectivo de tipo manaco"
"F251" "Trastorno esquizoafectivo de tipo depresivo"
"F252" "Trastorno esquizoafectivo de tipo mixto"
"F258" "Otros trastornos esquizoafectivos"
"F259" "Trastorno esquizoafectivo, no especificado"
"F28" "Otros trastornos psicticos  de origen no orgnico"
"F29" "Psicosis de origen no orgnico, no especificada"
"F30" "Episodio manaco"
"F300" "Hipomana"
"F301" "Mana sin sntomas psicticos"
"F302" "Mana con sntomas psicticos"
"F308" "Otros episodios manacos"
"F309" "Episodio manaco, no especificado"
"F31" "Trastorno afectivo bipolar"
"F310" "Trastorno afectivo bipolar, episodio hipomanaco presente"
"F311" "Trastorno afectivo bipolar, episodio manaco presente sin sntomas psicticos"
"F312" "Trastorno afectivo bipolar, episodio manaco presente con sntomas psicticos"
"F313" "Trastorno afectivo bipolar, episodio depresivo presente leve o moderado"
"F314" "Trastorno afectivo bipolar, episodio depresivo grave presente sin sntomas psicticos"
"F315" "Trastorno afectivo bipolar, episodio depresivo grave presente con sntomas psicticos"
"F316" "Trastorno afectivo bipolar, episodio mixto presente"
"F317" "Trastorno afectivo bipolar, actualmente en remisin"
"F318" "Otros trastornos afectivos bipolares"
"F319" "Trastorno afectivo bipolar, no especificado"
"F32" "Episodio depresivo"
"F320" "Episodio depresivo leve"
"F321" "Episodio depresivo moderado"
"F322" "Episodio depresivo grave sin sntomas psicticos"
"F323" "Episodio depresivo grave con sntomas psicticos"
"F328" "Otros episodios depresivos"
"F329" "Episodio depresivo, no especificado"
"F33" "Trastorno depresivo recurrente"
"F330" "Trastorno depresivo recurrente, episodio leve presente"
"F331" "Trastorno depresivo recurrente, episodio moderado presente"
"F332" "Trastorno depresivo recurrente, episodio depresivo grave presente sin sntomas psicticos"
"F333" "Trastorno depresivo recurrente, episodio depresivo grave presente, con sntomas psicticos"
"F334" "Trastorno depresivo recurrente actualmente en remisin"
"F338" "Otros trastornos depresivos recurrentes"
"F339" "Trastorno depresivo recurrente, no especificado"
"F34" "Trastorno del humor [afectivos] persistentes"
"F340" "Ciclotimia"
"F341" "Distimia"
"F348" "Otros trastornos del humor [afectivos] persistentes"
"F349" "Trastorno persistente del humor [afectivo], no especificado"
"F38" "Otros trastornos del humor [afectivos]"
"F380" "Otros trastornos del humor [afectivos], aislados"
"F381" "Otros trastornos del humor [afectivos], recurrentes"
"F388" "Otros trastornos del humor [afectivos], especificados"
"F39" "Trastorno del humor [afectivo], no especificado"
"F40" "Trastornos fbicos de ansiedad"
"F400" "Agorafobia"
"F401" "Fobias sociales"
"F402" "Fobias especficas (aisladas)"
"F408" "Otros trastornos fbicos de ansiedad"
"F409" "Trastorno fbico de ansiedad, no especificado"
"F41" "Otros trastornos de ansiedad"
"F410" "Trastorno de pnico [ansiedad paroxstica episdica]"
"F411" "Trastorno de ansiedad generalizada"
"F412" "Trastorno mixto de ansiedad y depresin"
"F413" "Otros trastornos de ansiedad mixtos"
"F418" "Otros trastornos de ansiedad especificados"
"F419" "Trastorno de ansiedad, no especificado"
"F42" "Trastorno obsesivo-compulsivo"
"F420" "Predominio de pensamientos o rumiaciones obsesivas"
"F421" "Predominio de actos compulsivos [rituales obsesivos]"
"F422" "Actos e ideas obsesivas mixtos"
"F428" "Otros trastornos obsesivo-compulsivos"
"F429" "Trastorno obsesivo-compulsivo, no especificado"
"F43" "Reaccin al estrs grave y trastornos de adaptacin"
"F430" "Reaccin al estrs agudo"
"F431" "Trastorno de estrs postraumtico"
"F432" "Trastornos de adaptacin"
"F438" "Otras reacciones al estrs grave"
"F439" "Reaccin al estrs grave, no especificada"
"F44" "Trastornos disociativos [de conversin]"
"F440" "Amnesia disociativa"
"F441" "Fuga disociativa"
"F442" "Estupor disociativo"
"F443" "Trastornos de trance y de posesin"
"F444" "Trastornos disociativos del movimiento"
"F445" "Convulsiones disociativas"
"F446" "Anestesia disociativa y prdida sensorial"
"F447" "Trastornos disociativos mixtos [y de conversin]"
"F448" "Otros trastornos disociativos [de conversin]"
"F449" "Trastorno disociativo [de conversin], no especificado"
"F45" "Trastornos somatomorfos"
"F450" "Trastorno de somatizacin"
"F451" "Trastorno somatomorfo indiferenciado"
"F452" "Trastorno hipocondraco"
"F453" "Disfuncin autonmica somatomorfa"
"F454" "Trastorno de dolor persistente somatomorfo"
"F458" "Otros trastornos somatomorfos"
"F459" "Trastorno somatomorfo, no especificado"
"F48" "Otros trastornos neurticos"
"F480" "Neurastenia"
"F481" "Sndrome de despersonalizacin y desvinculacin de la realidad"
"F488" "Otros trastornos neurticos especificados"
"F489" "Trastorno neurtico, no especificado"
"F50" "Trastornos de la ingestin de alimentos"
"F500" "Anorexia nerviosa"
"F501" "Anorexia nerviosa atpica"
"F502" "Bulimia nerviosa"
"F503" "Bulimia nerviosa atpica"
"F504" "Hiperfagia asociada con otras alteraciones psicolgicas"
"F505" "Vmitos asociados con otras alteraciones psicolgicas"
"F508" "Otros trastornos de la ingestin de alimentos"
"F509" "Trastorno de la ingestin de alimentos, no especificado"
"F51" "Trastornos no orgnicos del sueo"
"F510" "Insomnio no orgnico"
"F511" "hipersomnio no orgnico"
"F512" "Trastorno no orgnico del ciclo sueo-vigilia"
"F513" "Sonambulismo"
"F514" "Terrores del sueo [terrores nocturnos]"
"F515" "Pesadillas"
"F518" "Otros trastornos no orgnicos del sueo"
"F519" "Trastorno no orgnico del sueo, no especificado"
"F52" "Disfuncin sexual no ocasionada por trastorno ni enfermedad orgnicos"
"F520" "Falta o prdida del deseo sexual"
"F521" "Aversin al sexo y falta de goce sexual"
"F522" "Falla de la respuesta genital"
"F523" "Disfuncin orgsmica"
"F524" "Eyaculacin precoz"
"F525" "Vaginismo no orgnico"
"F526" "Dispareunia no orgnica"
"F527" "Impulso sexual excesivo"
"F528" "Otras disfunciones sexuales, no ocasionadas por trastorno ni por enfermedad orgnicos"
"F529" "Disfuncin sexual no ocasionada por trastorno ni por enfermedad orgnicos, no especificada"
"F53" "Trastornos mentales y del comportamiento asociados con el puerperio, no clasificados en otra parte"
"F530" "Trastornos mentales y del comportamiento leves, asociados con el puerperio, no clasificados en otra parte"
"F531" "Trastornos mentales y del comportamiento graves, asociados con el puerperio, no clasificados en otra parte"
"F538" "Otros trastornos mentales y del comportamiento asociados con el puerperio, no clasificados en otra parte"
"F539" "Trastorno mental puerperal, no especificado"
"F54" "Factores psicolgicos y del comportamiento asociados con trastornos o enfermedades clasificados en otra parte"
"F55" "Abuso de sustancias que no producen dependencia"
"F59" "Sndromes del comportamiento asociados con alteraciones fisiolgicas y factores fsicos, no especificados"
"F60" "Trastornos especficos de la personalidad"
"F600" "Trastorno paranoide de la personalidad"
"F601" "Trastorno esquizoide de la personalidad"
"F602" "Trastorno asocial de la personalidad"
"F603" "Trastorno de la personalidad emocionalmente inestable"
"F604" "Trastorno histrinico de la personalidad"
"F605" "Trastorno anancstico de la personalidad"
"F606" "Trastorno de la personalidad ansiosa (evasiva, elusiva)"
"F607" "Trastorno de la personalidad dependiente"
"F608" "Otros trastornos especficos de la personalidad"
"F609" "Trastorno de la personalidad, no especificado"
"F61" "Trastornos mixtos y otros trastornos de la personalidad"
"F62" "Cambios perdurables de la personalidad, no atribuibles a lesin o a enfermedad cerebral"
"F620" "Cambio perdurable de la personalidad despus de una experiencia catastrfica"
"F621" "Cambio perdurable de la personalidad consecutivo a una enfermedad psiquitrica"
"F628" "Otros cambios perdurables de la personalidad"
"F629" "Cambio perdurable de la personalidad, no especificado"
"F63" "Trastornos de los hbitos y de los impulsos"
"F630" "Juego patolgico"
"F631" "Piromana"
"F632" "Hurto patolgico [cleptomana]"
"F633" "Tricotilomana"
"F638" "Otros trastornos de los hbitos y de los impulsos"
"F639" "Trastorno de los hbitos y de los impulsos, no especificado"
"F64" "Trastornos de la identidad de gnero"
"F640" "Transexualismo"
"F641" "Transvestismo de rol dual"
"F642" "Trastorno de la identidad de gnero en la niez"
"F648" "Otros trastornos de la identidad de gnero"
"F649" "Trastorno de la identidad de gnero, no especificado"
"F65" "Trastornos de la preferencia sexual"
"F650" "Fetichismo"
"F651" "Transvestismo fetichista"
"F652" "Exhibicionismo"
"F653" "Voyeurismo"
"F654" "Pedofilia"
"F655" "Sadomasoquismo"
"F656" "Trastornos mltiples de la preferencia sexual"
"F658" "Otros trastornos de la preferencia sexual"
"F659" "Trastorno de la preferencia sexual, no especificado"
"F66" "Trastornos psicolgicos y del comportamiento asociados con el desarrollo y con la orientacin sexuales"
"F660" "Trastorno de la maduracin sexual"
"F661" "Orientacin sexual egodistnica"
"F662" "Trastorno de la relacin sexual"
"F668" "Otros trastornos del desarrollo psicosexual"
"F669" "Trastorno del desarrollo psicosexual, no especificado"
"F68" "Otros trastornos de la personalidad y del comportamiento en adultos"
"F680" "Elaboracin de sntomas fsicos por causas psicolgicas"
"F681" "Produccin intencional o simulacin de sntomas o de incapacidades, tanto fsicas como psicolgicas [trastorno facticio]"
"F688" "Otros trastornos especificados de la personalidad y del comportamiento en adultos"
"F69" "Trastorno de la personalidad y del comportamiento en adultos, no especificado"
"F70" "Retraso mental leve"
"F700" "Retraso mental leve, deterioro del comportamiento nulo o mnimo"
"F701" "Retraso mental leve, deterioro del comportamiento significativo, que requiere atencin o tratamiento"
"F708" "Retraso mental leve, otros deterioros del comportamiento"
"F709" "Retraso mental leve, deterioro del comportamiento de grado no especificado"
"F71" "Retraso mental moderado"
"F710" "Retraso mental moderado, deterioro del comportamiento nulo o mnimo"
"F711" "Retraso mental moderado, deterioro del comportamiento significativo, que requiere atencin o tratamiento"
"F718" "Retraso mental moderado, otros deterioros del comportamiento"
"F719" "Retraso mental moderado, deterioro del comportamiento de grado no especificado"
"F72" "Retraso mental grave"
"F720" "Retraso mental grave, deterioro del comportamiento nulo o mnimo"
"F721" "Retraso mental grave, deterioro del comportamiento significativo, que requiere atencin o tratamiento"
"F728" "Retraso mental grave, otros deterioros del comportamiento"
"F729" "Retraso mental grave, deterioro del comportamiento de grado no especificado"
"F73" "Retraso mental profundo"
"F730" "Retraso mental profundo, deterioro del comportamiento nulo o mnimo"
"F731" "Retraso mental profundo, deterioro del comportamiento significativo, que requiere atencin o tratamiento"
"F738" "Retraso mental profundo, otros deterioros del comportamiento"
"F739" "Retraso mental profundo, deterioro del comportamiento de grado no especificado"
"F78" "Otros tipos de retraso mental"
"F780" "Otros tipos de retraso mental, deterioro del comportamiento nulo o mnimo"
"F781" "Otros tipos de retraso mental, deterioro del comportamiento significativo, que requiere atencin o tratamiento"
"F788" "Otros tipos de retraso mental, otros deterioros del comportamiento"
"F789" "Otros tipos de retraso mental,  deterioro del comportamiento de grado no especificado"
"F79" "Retraso mental, no especificado"
"F790" "Retraso mental, no especificado, deterioro del comportamiento nulo o mnimo"
"F791" "Retraso mental, no especificado, deterioro del comportamiento significativo, que requiere atencin o tratamiento"
"F798" "Retraso mental, no especificado, otros deterioros del comportamiento"
"F799" "Retraso mental, no especificado, deterioro del comportamiento de grado no especificado"
"F80" "Trastornos especficos del desarrollo del habla y del lenguaje"
"F800" "Trastorno especfico de la pronunciacin"
"F801" "Trastorno del lenguaje expresivo"
"F802" "Trastorno de la recepcin del lenguaje"
"F803" "Afasia adquirida con epilepsia [Landau-Kleffner]"
"F808" "Otros trastornos del desarrollo del habla y del lenguaje"
"F809" "Trastorno del desarrollo del habla y del lenguaje no especificado"
"F81" "Trastornos especficos del  desarrollo de las habilidades escolares"
"F810" "Trastorno especfico de la lectura"
"F811" "Trastorno especfico del deletreo [ortografa]"
"F812" "Trastorno especfico de las habilidades aritmticas"
"F813" "Trastorno mixto de las habilidades escolares"
"F818" "Otros trastornos del desarrollo de las habilidades escolares"
"F819" "Trastorno del desarrollo de las habilidades escolares, no especificado"
"F82" "Trastorno especfico del desarrollo de la funcin motriz"
"F83" "Trastornos especficos mixtos del desarrollo"
"F84" "Trastornos generalizados del desarrollo"
"F840" "Autismo en la niez"
"F841" "Autismo atpico"
"F842" "Sndrome de Rett"
"F843" "Otro trastorno desintegrativo de la niez"
"F844" "Trastorno hiperactivo asociado con retraso mental y movimientos estereotipados"
"F845" "Sndrome de Asperger"
"F848" "Otros trastornos generalizados del desarrollo"
"F849" "Trastorno generalizado del desarrollo no especificado"
"F88" "Otros trastornos del desarrollo psicolgico"
"F89" "Trastorno del desarrollo psicolgico, no especificado"
"F90" "Trastornos hipercinticos"
"F900" "Perturbacin de la actividad y de la atencin"
"F901" "Trastorno hipercintico de la conducta"
"F908" "Otros trastornos hipercinticos"
"F909" "Trastorno hipercintico, no especificado"
"F91" "Trastornos de la conducta"
"F910" "Trastorno de la conducta limitado al contexto familiar"
"F911" "Trastorno de la conducta insociable"
"F912" "Trastorno de la conducta sociable"
"F913" "Trastorno opositor desafiante"
"F918" "Otros trastornos de la conducta"
"F919" "Trastorno de la conducta, no especificado"
"F92" "Trastornos mixtos de la conducta y de las emociones"
"F920" "Trastorno depresivo de la conducta"
"F928" "Otros trastornos mixtos de la conducta y de las emociones"
"F929" "Trastorno mixto de la conducta y de las emociones, no especificado"
"F93" "Trastornos emocionales de comienzo especfico en la niez"
"F930" "Trastorno de ansiedad de separacin en la niez"
"F931" "Trastorno de ansiedad fbica en la niez"
"F932" "Trastorno de ansiedad social en la niez"
"F933" "Trastorno de rivalidad entre hermanos"
"F938" "Otros trastornos emocionales en la niez"
"F939" "Trastorno emocional en la niez, no especificado"
"F94" "Trastornos del comportamiento social de comienzo especfico en la niez y en la adolescencia"
"F940" "Mutismo electivo"
"F941" "Trastorno de vinculacin reactiva en la niez"
"F942" "Trastorno de vinculacin desinhibida en la niez"
"F948" "Otros trastornos del comportamiento social en la niez"
"F949" "Trastorno del comportamiento social en la niez, no especificado"
"F95" "Trastornos por tics"
"F950" "Trastorno por tic transitorio"
"F951" "Trastorno por tic motor o vocal crnico"
"F952" "Trastorno por tics motores y vocales mltiples combinados [de la Tourette]"
"F958" "Otros trastornos por tics"
"F959" "Trastorno por tic, no especificado"
"F98" "F98  Otros trastornos emocionales y del comportamiento que aparecen habitualmente en la niez y en la adolescencia"
"F980" "Enuresis no orgnica"
"F981" "Encopresis no orgnica"
"F982" "Trastorno de la ingestin alimentaria en la infancia y la niez"
"F983" "Pica en la infancia y la niez"
"F984" "Trastornos de los movimientos estereotipados"
"F985" "Tartamudez [espasmofemia]"
"F986" "Farfulleo"
"F988" "F988 Otros trastornos emocionales y del comportamiento que aparecen habitualmente en la niez y en la adolescencia"
"F989" "Trastornos no especificados, emocionales y del comportamiento, que aparecen habitualmente en la niez y en la adolescencia"
"F99" "Trastorno mental, no especificado"
"G00" "Meningitis bacteriana, no clasificada en otra parte"
"G000" "Meningitis por hemfilos"
"G001" "Meningitis  neumoccica"
"G002" "Meningitis estreptoccica"
"G003" "Meningitis estafiloccica"
"G008" "Otras meningitis bacterianas"
"G009" "Meningitis bacteriana, no especificada"
"G01" "Meningitis en enfermedades bacterianas clasificadas en otra parte"
"G02" "Meningitis en otras enfermedades infecciosas y parasitarias clasificada en otra parte"
"G020" "Meningitis en enfermedades virales clasificadas en otra parte"
"G021" "Meningitis en micosis"
"G028" "Meningitis en otras enfermedades infecciosas y parasitarias especificadas clasificadas en otra parte"
"G03" "Meningitis debida a otras causas y a las no especificadas"
"G030" "Meningitis apigena"
"G031" "Meningitis crnica"
"G032" "Meningitis recurrente benigna [Mollaret]"
"G038" "Meningitis debidas a otras causas especificadas"
"G039" "Meningitis, no especificada"
"G04" "Encefalitis, mielitis y encefalomielitis"
"G040" "Encefalitis aguda diseminada"
"G041" "Parapleja espstica tropical"
"G042" "Meningoencefalitis y meningomielitis bacterianas, no clasificadas en otra parte"
"G048" "Otras encefalitis, mielitis y encefalomielitis"
"G049" "Encefalitis, mielitis y encefalomielitis, no especificadas"
"G05" "G05  Encefalitis, mielitis y encefalomielitis en enfermedades clasificadas en otra parte"
"G050" "Encefalitis, mielitis y encefalomielitis en enfermedades bacterianas clasificadas en otra parte"
"G051" "Encefalitis, mielitis y encefalomielitis en enfermedades virales clasificadas en otra parte"
"G052" "Encefalitis, mielitis y encefalomielitis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte"
"G058" "G058 Encefalitis, mielitis y encefalomielitis en enfermedades clasificadas en otra parte"
"G06" "Absceso y granuloma intracraneal e intrarraqudeo"
"G060" "Absceso y granuloma intracraneal"
"G061" "Absceso y granuloma intrarraqudeo"
"G062" "Absceso extradural y subdural, no especificado"
"G07" "Absceso y granuloma intracraneal e intrarraqudeo en enfermedades clasificadas en otra parte"
"G08" "Flebitis y tromboflebitis intracraneal e intrarraqudea"
"G09" "Secuelas de enfermedades inflamatorias del sistema nervioso central"
"G10" "Enfermedad de Huntington"
"G11" "Ataxia hereditaria"
"G110" "Ataxia congnita no progresiva"
"G111" "Ataxia cerebelosa de iniciacin temprana"
"G112" "Ataxia cerebelosa de iniciacin tarda"
"G113" "Ataxia cerebelosa con reparacin defectuosa del ADN"
"G114" "Parapleja espstica hereditaria"
"G118" "Otras ataxias hereditarias"
"G119" "Ataxia hereditaria, no especificada"
"G12" "Atrofia muscular espinal y sndromes afines"
"G120" "Atrofia muscular espinal infantil, tipo I (Werdnig-Hoffman)"
"G121" "Otras atrofias musculares espinales hereditarias"
"G122" "Enfermedades de las neuronas motoras"
"G128" "Otras atrofias musculares espinales y sndromes afines"
"G129" "Atrofia muscular espinal, sin otra especificacin"
"G13" "Atrofias sistmicas que afectan primariamente el sistema nervioso central en enfermedades clasificadas en otra parte"
"G130" "Neuromiopata y neuropata paraneoplsica"
"G131" "Otras atrofias sistmicas que afectan el sistema nervioso central en enfermedad neoplsica"
"G132" "Atrofia sistmica que afecta primariamente el sistema nervioso central en el mixedema"
"G138" "Atrofia sistmica que afecta primariamente el sistema nervioso central en otras enfermedades clasificadas en otra parte"
"G14" "Sndrome postpolio"
"G20" "Enfermedad de Parkinson"
"G21" "Parkinsonismo secundario"
"G210" "Sndrome neurolptico maligno"
"G211" "Otro parkinsonismo secundario inducido por drogas"
"G212" "Parkinsonismo secundario debido a otros agentes externos"
"G213" "Parkinsonismo postencefaltico"
"G214" "Parkinsonismo vascular"
"G218" "Otros tipos de parkinsonismo secundario"
"G219" "Parkinsonismo secundario, no especificado"
"G22" "Parkinsonismo en enfermedades clasificadas en otra parte"
"G23" "Otras enfermedades degenerativas de los ncleos de la base"
"G230" "Enfermedad de Hallervorden-Spatz"
"G231" "Oftalmopleja supranuclear progresiva [Steele-Richardson-Olszewski]"
"G232" "Degeneracin nigroestriada"
"G238" "Otras enfermedades degenerativas especificas de los ncleos de la base"
"G239" "Enfermedad degenerativa de los ncleos de la base, no especificada"
"G24" "Distona"
"G240" "Distona inducida por drogas"
"G241" "Distona idioptica familiar"
"G242" "Distona idioptica no familiar"
"G243" "Tortcolis espasmdica"
"G244" "Dispona bucofacial idioptica"
"G245" "Blefarospasmo"
"G248" "Otras distonas"
"G249" "Distona, no especificada"
"G25" "G25  Otros trastornos extrapiramidales y del movimiento"
"G250" "Temblor esencial"
"G251" "Temblor inducido por drogas"
"G252" "Otras formas especificadas de temblor"
"G253" "Mioclona"
"G254" "Corea inducida por drogas"
"G255" "Otras coreas"
"G256" "Tics inducidos por drogas y otros tics de origen orgnico"
"G258" "G258 Otros trastornos extrapiramidales y del movimiento"
"G259" "Trastorno extrapiramidal y del movimiento, no especificado"
"G26" "Trastornos extrapiramidales y del movimiento en enfermedades clasificadas en otra parte"
"G30" "Enfermedad de Alzheimer"
"G300" "Enfermedad de Alzheimer de comienzo temprano"
"G301" "Enfermedad de Alzheimer de comienzo tardo"
"G308" "Otros tipos de enfermedad de Alzheimer"
"G309" "Enfermedad de Alzheimer, no especificada"
"G31" "Otras enfermedades degenerativas del sistema nervioso, no clasificadas en otra parte"
"G310" "Atrofia cerebral circunscrita"
"G311" "Degeneracin cerebral senil no clasificada en otra parte"
"G312" "Degeneracin del sistema nervioso debida al alcohol"
"G318" "Otras enfermedades degenerativas especificadas del sistema nervioso"
"G319" "Degeneracin del sistema nervioso, no especificada"
"G32" "Otros trastornos degenerativos del sistema nervioso en enfermedades  clasificadas en otra parte"
"G320" "Degeneracin combinada subaguda de la mdula espinal en enfermedades clasificadas en otra parte"
"G328" "Otros trastornos degenerativos especificados del sistema nervioso en enfermedades  clasificadas en otra parte"
"G35" "Esclerosis mltiple"
"G36" "Otras desmielinizaciones diseminadas agudas"
"G360" "Neuromielitis ptica [Devic]"
"G361" "Leucoencefalitis hemorrgica aguda y subaguda [Hurst]"
"G368" "Otras desmielinizaciones agudas diseminadas especificadas"
"G369" "Desmielinizacin diseminada aguda, sin otra especificacin"
"G37" "Otras enfermedades desmielinizantes del sistema nervioso central"
"G370" "Esclerosis difusa"
"G371" "Desmielinizacin central del cuerpo calloso"
"G372" "Mielinlisis central pontina"
"G373" "Mielitis transversa aguda en enfermedad desmielinizante del sistema nervioso central"
"G374" "Mielitis necrotizante subaguda"
"G375" "Esclerosis concntrica (Bal)"
"G378" "Otras enfermedades desmielinizantes del sistema nervioso central, especificadas"
"G379" "Enfermedad desmielinizante del sistema nervioso central, no especificada"
"G40" "Epilepsia"
"G400" "Epilepsia y sndromes epilpticos idiopticos relacionados con localizaciones (focales)(parciales) y con ataques de inicio localizado"
"G401" "Epilepsia y sndromes epilpticos sintomticos relacionados con localizaciones (focales)(parciales) y con ataques parciales simples"
"G402" "Epilepsia y sndromes epilpticos sintomticos relacionados con localizaciones (focales)(parciales) y con ataques parciales complejos"
"G403" "Epilepsia y sndromes epilpticos idiopticos generalizados"
"G404" "Otras epilepsias y sndromes epilpticos generalizados"
"G405" "Sndromes epilpticos especiales"
"G406" "Ataques de gran mal, no especificados (con o sin pequeo mal)"
"G407" "Pequeo mal, no especificado (sin ataque de gran mal)"
"G408" "Otras epilepsias"
"G409" "Epilepsia, tipo no especificado"
"G41" "Estado de mal epilptico"
"G410" "Estado de gran mal epilptico"
"G411" "Estado de pequeo mal epilptico"
"G412" "Estado de mal epilptico parcial complejo"
"G418" "Otros estados epilpticos"
"G419" "Estado de mal epilptico de tipo no especificado"
"G43" "Migraa"
"G430" "Migraa sin aura [migraa comn]"
"G431" "Migraa con aura [migraa clsica]"
"G432" "Estado migraoso"
"G433" "Migraa complicada"
"G438" "Otras migraas"
"G439" "Migraa, no especificada"
"G44" "Otros sndromes de cefalea"
"G440" "Sndrome de cefalea en racimos"
"G441" "Cefalea vascular, NCOP"
"G442" "Cefalea debida a tensin"
"G443" "Cefalea postraumtica crnica"
"G444" "Cefalea inducida por drogas, no clasificada en otra parte"
"G448" "Otros sndromes de cefalea especificados"
"G45" "Ataques de isquemia cerebral transitoria y sndromes afines"
"G450" "Sndrome arterial vrtebro-basilar"
"G451" "Sndrome de la arteria cartida (hemisfrico)"
"G452" "Sndromes arteriales precerebrales bilaterales y mltiples"
"G453" "Amaurosis fugaz"
"G454" "Amnesia global transitoria"
"G458" "Otras isquemias cerebrales transitorias y sndromes afines"
"G459" "Isquemia cerebral transitoria, sin otra especificacin"
"G46" "Sndromes vasculares enceflicos en enfermedades cerebrovasculares"
"G460" "Sndrome de la arteria cerebral media"
"G461" "Sndrome de la arteria cerebral anterior"
"G462" "Sndrome de la arteria cerebral posterior"
"G463" "Sndromes apoplticos del tallo enceflico"
"G464" "Sndrome de infarto cerebeloso"
"G465" "Sndrome lacunar motor puro"
"G466" "Sndrome lacunar sensorial puro"
"G467" "Otros sndromes lacunares"
"G468" "Otros sndromes vasculares enceflicos en enfermedades cerebrovasculares"
"G47" "Trastornos del sueo"
"G470" "Trastornos del inicio y del mantenimiento del sueo [insomnios]"
"G471" "Trastornos de somnolencia excesiva (hipersomnios)"
"G472" "Trastornos del ritmo nictameral"
"G473" "Apnea del sueo"
"G474" "Narcolepsia y cataplexia"
"G478" "Otros trastornos del sueo"
"G479" "Trastorno del sueo, no especificado"
"G50" "Trastornos del nervio trigmino"
"G500" "Neuralgia del trigmino"
"G501" "Dolor facial atpico"
"G508" "Otros trastornos del trigmino"
"G509" "Trastorno del trigmino, no especificado"
"G51" "Trastornos del nervio facial"
"G510" "Parlisis de Bell"
"G511" "Ganglionitis geniculada"
"G512" "Sndrome de Melkersson"
"G513" "Espasmo hemifacial clnico"
"G514" "Mioquimia facial"
"G518" "Otros trastornos del nervio facial"
"G519" "Trastorno del nervio facial, no especificado"
"G52" "Trastornos de otros nervios craneales"
"G520" "Trastornos del nervio olfatorio"
"G521" "Trastornos del nervio glosofarngeo"
"G522" "Trastornos del nervio vago"
"G523" "Trastornos del nervio hipogloso"
"G527" "Trastornos de mltiples nervios craneales"
"G528" "Trastornos de otros nervios craneales especificados"
"G529" "Trastorno de nervio craneal, no especificado"
"G53" "Trastornos de los nervios craneales en enfermedades clasificadas en otra parte"
"G530" "Neuralgia postherpes zoster"
"G531" "Parlisis mltiple de los nervios craneales en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"G532" "Parlisis mltiple de los nervios craneales, en la sarcoidosis"
"G533" "Parlisis mltiple de los nervios craneales, en enfermedades neoplsicas"
"G538" "Otros trastornos de los nervios craneales en otras enfermedades clasificadas en otra parte"
"G54" "Trastornos de las races y de los plexos nerviosos"
"G540" "Trastornos del plexo braquial"
"G541" "Trastornos del plexo lumbosacro"
"G542" "Trastornos de la raz cervical, no clasificados en otra parte"
"G543" "Trastornos de la raz torcica, no clasificados en otra parte"
"G544" "Trastornos de la raz lumbosacra, no clasificados en otra parte"
"G545" "Amiotrofia neurlgica"
"G546" "Sndrome del miembro fantasma con dolor"
"G547" "Sndrome del miembro fantasma sin dolor"
"G548" "Otros trastornos de las races y plexos nerviosos"
"G549" "Trastorno de la raz y plexos nerviosos, no especificado"
"G55" "Compresiones de las races y de los plexos nerviosos en enfermedades clasificadas en otra parte"
"G550" "Compresiones de las races y  plexos nerviosos en enfermedades neoplsicas"
"G551" "Compresiones de las races y  plexos nerviosos en trastornos de los discos intervertebrales"
"G552" "Compresiones de las races y  plexos nerviosos en la espondilosis"
"G553" "Compresiones de las races y  plexos nerviosos en otras dorsopatas"
"G558" "Compresiones de las races y plexos nerviosos en otras enfermedades clasificadas en orta parte"
"G56" "Mononeuropatas del miembro superior"
"G560" "Sndrome del tnel carpiano"
"G561" "Otras lesiones del nervio mediano"
"G562" "Lesin del nervio cubital"
"G563" "Lesin del nervio radial"
"G564" "Causalgia"
"G568" "Otras mononeuropatas del miembro superior"
"G569" "Mononeuropata del miembro superior, sin otra especificacin"
"G57" "Mononeuropatas del miembro inferior"
"G570" "Lesin del nervio citico"
"G571" "Meralgia parestsica"
"G572" "Lesin del nervio crural"
"G573" "Lesin del nervio citico poplteo externo"
"G574" "Lesin del nervio citico poplteo interno"
"G575" "Sndrome del tnel calcneo"
"G576" "Lesin del nervio plantar"
"G578" "Otras mononeuropatas del miembro inferior"
"G579" "Mononeuropata del miembro inferior, sin otra especificacin"
"G58" "Otras mononeuropatas"
"G580" "Neuropata intercostal"
"G587" "Mononeuritis mltiple"
"G588" "Otras mononeuropatas especificadas"
"G589" "Mononeuropata, no especificada"
"G59" "Mononeuropata en enfermedades clasificadas en otra parte"
"G590" "Mononeuropata diabtica"
"G598" "Otras mononeuropatas en enfermedades clasificadas en otra parte"
"G60" "Neuropata hereditaria e idioptica"
"G600" "Neuropata hereditaria motora y sensorial"
"G601" "Enfermedad de Refsum"
"G602" "Neuropata asociada con ataxia hereditaria"
"G603" "Neuropata progresiva idioptica"
"G608" "Otras neuropatas hereditarias e idiopticas"
"G609" "Neuropata hereditaria e idioptica, sin otra especificacin"
"G61" "Polineuopata inflamatoria"
"G610" "Sndrome de Guillain-Barr"
"G611" "Neuropata al suero"
"G618" "Otras polineuropatas inflamatorias"
"G619" "Polineuropata inflamatoria, no especificada"
"G62" "Otras polineuropatas"
"G620" "Polineuropata inducida por drogas"
"G621" "Polineuropata alcohlica"
"G622" "Polineuropata debida a otro agente txico"
"G628" "Otras polineuropatas especificadas"
"G629" "Polineuropata, no especificada"
"G63" "Polineuropatas en enfermedades clasificadas en otra parte"
"G630" "Polineuropata en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"G631" "Polineuropata en enfermedad neoplsica"
"G632" "Polineuropata diabtica"
"G633" "Polineuropata en otras enfermedades endocrinas y metablicas"
"G634" "Polineuropata en deficiencia nutricional"
"G635" "Polineuropata en trastornos del tejido conectivo sistmico"
"G636" "Polineuropata en otros trastornos osteomusculares"
"G638" "Polineuropata en otras enfermedades clasificadas en otra parte"
"G64" "Otros trastornos del sistema nervioso perifrico"
"G70" "Miastenia gravis y otros trastornos neuromusculares"
"G700" "Miastenia gravis"
"G701" "Trastornos txicos neuromusculares"
"G702" "Miastenia congnita o del desarrollo"
"G708" "Otros trastornos neuromusculares especificados"
"G709" "Trastorno neuromuscular, no especificado"
"G71" "Trastornos musculares primarios"
"G710" "Distrofia muscular"
"G711" "Trastornos miotnicos"
"G712" "Miopatas congnitas"
"G713" "Miopata mitocndrica, no clasificada en otra parte"
"G718" "Otros trastornos primarios de los msculos"
"G719" "Trastorno primario del msculo, tipo no especificado"
"G72" "Otras miopatas"
"G720" "Miopata inducida por drogas"
"G721" "Miopata alcohlica"
"G722" "Miopata debida a otros agentes txicos"
"G723" "Parlisis peridica"
"G724" "Miopata inflamatoria, no clasificada en otra parte"
"G728" "Otras miopatas especificadas"
"G729" "Miopata, no especificada"
"G73" "Trastornos del msculo y de la unin neuromuscular en enfermedades clasificadas en otra parte"
"G730" "Sndromes miastnicos en enfermedades endocrinas"
"G731" "Sndrome de Eaton-Lambert"
"G732" "Otros sndromes miastnicos en enfermedad neoplsica"
"G733" "Sndromes miastnicos en otras enfermedades clasificadas en otra parte"
"G734" "Miopata en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"G735" "Miopata en enfermedades endocrinas"
"G736" "Miopata en enfermedades metablicas"
"G737" "Miopata en otras enfermedades clasificadas en otra parte"
"G80" "Parlisis cerebral"
"G800" "Parlisis cerebral espstica cuadripljica"
"G801" "Parlisis cerebral espstica dipljica"
"G802" "Parlisis cerebral espstica hemipljica"
"G803" "Parlisis cerebral discintica"
"G804" "Parlisis cerebral atxica"
"G808" "Otros tipos de parlisis cerebral"
"G809" "Parlisis cerebral, sin otra especificacin"
"G81" "Hemipleja"
"G810" "Hemipleja flcida"
"G811" "Hemipleja espstica"
"G819" "Hemipleja, no especificada"
"G82" "Parapleja y cuadripleja"
"G820" "Parapleja flcida"
"G821" "Parapleja espstica"
"G822" "Parapleja, no especificada"
"G823" "Cuadripleja flcida"
"G824" "Cuadripleja espstica"
"G825" "Cuadripleja, no especificada"
"G83" "Otros sndromes paralticos"
"G830" "Dipleja de los miembros superiores"
"G831" "Monopleja de miembro inferior"
"G832" "Monopleja de miembro superior"
"G833" "Monopleja, no especificada"
"G834" "Sndrome de la cola de caballo"
"G838" "Otros sndromes paralticos especificados"
"G839" "Sndrome paraltico, no especificado"
"G90" "Trastornos del sistema nervioso autnomo"
"G900" "Neuropata autnoma perifrica idioptica"
"G901" "Disautonoma familiar [Sndrome de Riley-Day]"
"G902" "Sndrome de Horner"
"G903" "Degeneracin de sistemas mltiples"
"G904" "Disreflexia autonmica"
"G908" "Otros Trastornos del sistema nervioso autnomo"
"G909" "Trastorno del sistema nervioso autnomo, no especificado"
"G91" "Hidrocfalo"
"G910" "Hidrocfalo comunicante"
"G911" "Hidrocfalo obstructivo"
"G912" "Hidrocfalo de presin normal"
"G913" "Hidrocfalo postraumtico, sin otra especificacin"
"G918" "Otros tipos de hidrocfalo"
"G919" "Hidrocfalo, no especificado"
"G92" "Encefalopata txica"
"G93" "Otros trastornos del encfalo"
"G930" "Quiste cerebral"
"G931" "Lesin cerebral anxica, no clasificada en otra parte"
"G932" "Hipertensin intracraneal benigna"
"G933" "Sndrome de fatiga postviral"
"G934" "Encefalopata no especificada"
"G935" "Compresin del encfalo"
"G936" "Edema cerebral"
"G937" "Sndrome de Reye"
"G938" "Otros Trastornos especificados del encfalo"
"G939" "Trastorno del encfalo, no especificado"
"G94" "Otros trastornos del encfalo en enfermedades clasificadas en otra parte"
"G940" "Hidrocfalo en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"G941" "Hidrocfalo en enfermedad neoplsica"
"G942" "Hidrocfalo en otras enfermedades clasificadas en otra parte"
"G948" "Otros trastornos enceflicos especificados en enfermedades clasificadas en otra parte"
"G95" "Otras enfermedades de la mdula espinal"
"G950" "Siringomielia y siringobulbia"
"G951" "Mielopatas vasculares"
"G952" "Compresin medular, no especificada"
"G958" "Otras enfermedades especificadas de la mdula espinal"
"G959" "Enfermedad de la mdula espinal, no especificada"
"G96" "Otros trastornos del sistema nervioso central"
"G960" "Prdida de lquido cefalorraqudeo"
"G961" "Trastornos de las meninges, no clasificados en otra parte"
"G968" "Otros trastornos especificados del sistema nervioso central"
"G969" "Trastorno del sistema nervioso central, no especificado"
"G97" "Trastornos del sistema nervioso consecutivos a procedimientos, no clasificados en otra parte"
"G970" "Prdida de lquido cefalorraqudeo por puncin espinal"
"G971" "Otra reaccin a la puncin espinal y lumbar"
"G972" "Hipotensin intracraneal posterior a anastomosis ventricular"
"G978" "Otros trastornos del sistema nervioso consecutivos a procedimientos"
"G979" "Trastornos no especificados del sistema nervioso, consecutivos a procedimientos"
"G98" "Otros trastornos del sistema nervioso, no clasificados en otra parte"
"G99" "Otros trastornos del sistema nervioso en enfermedades clasificadas en otra parte"
"G990" "Neuropata autonmica en enfermedades metablica y endcrinas"
"G991" "Otros trastornos del sistema nervioso autnomo en otras enfermedades clasificadas en otra parte"
"G992" "Mielopata en enfermedades clasificadas en otra parte"
"G998" "Otros trastornos especificados del sistema nervioso en enfermedades clasificadas en otra parte"
"H00" "Orzuelo y calacio"
"H000" "Orzuelo y otras inflamaciones profundas del prpado"
"H001" "Calacio [chalazin]"
"H01" "Otras inflamaciones del prpado"
"H010" "Blefaritis"
"H011" "Dermatosis no infecciosa del prpado"
"H018" "Otras inflamaciones especificadas del prpado"
"H019" "Inflamacin del prpado, no especificada"
"H02" "Otros trastornos de los prpados"
"H020" "Entropin y triquiasis palpebral"
"H021" "Ectropin del prpado"
"H022" "Lagoftalmos"
"H023" "Blefarocalasia"
"H024" "Blefaroptosis"
"H025" "Otros trastornos funcionales del prpado"
"H026" "Xantelasma del prpado"
"H027" "Otros trastornos degenerativos del prpado y del rea periocular"
"H028" "Otros trastornos especificados del prpado"
"H029" "Trastorno del prpado, no especificado"
"H03" "Trastornos del prpado en enfermedades clasificadas en otra parte"
"H030" "Infeccin o infestacin parasitaria del prpado en enfermedades clasificadas en otra parte"
"H031" "Compromiso del prpado en enfermedades infecciosas clasificadas en otra parte"
"H038" "Compromiso del prpado en enfermedades clasificadas en otra parte"
"H04" "Trastornos del aparato lagrimal"
"H040" "Dacrioadenitis"
"H041" "Otros trastornos de la glndula lagrimal"
"H042" "Epfora"
"H043" "Inflamacin aguda y la no especificada de las vas lagrimales"
"H044" "Inflamacin crnica de las vas lagrimales"
"H045" "Estenosis e insuficiencia de las vas lagrimales"
"H046" "Otros cambios de las vas lagrimales"
"H048" "Otros trastornos especificados del aparato lagrimal"
"H049" "Trastorno del aparato lagrimal, no especificado"
"H05" "Trastornos de la rbita"
"H050" "Inflamacin aguda de la rbita"
"H051" "Trastornos inflamatorios crnicos de la rbita"
"H052" "Afecciones exoftlmicas"
"H053" "Deformidad de la rbita"
"H054" "Enoftalmia"
"H055" "Retencin de cuerpo extrao (antiguo), consecutiva a herida penetrante de la rbita"
"H058" "Otros trastornos de la rbita"
"H059" "Trastorno de la rbita, no especificado"
"H06" "Trastornos del aparato lagrimal y de la rbita en enfermedades clasificadas en otra parte"
"H060" "Trastornos del aparato lagrimal en enfermedades clasificadas en otra parte"
"H061" "Infeccin e infestacin parasitarias de la rbita en enfermedades clasificadas en otra parte"
"H062" "Exoftalmia hipertiroidea"
"H063" "Otros trastornos de la rbita en enfermedades clasificadas en otra parte"
"H10" "Conjuntivitis"
"H100" "Conjuntivitis mucopurulenta"
"H101" "Conjuntivitis atpica aguda"
"H102" "Otras conjuntivitis agudas"
"H103" "Conjuntivitis aguda, no especificada"
"H104" "Conjuntivitis crnica"
"H105" "Blefaroconjuntivitis"
"H108" "Otras conjuntivitis"
"H109" "Conjuntivitis, no especificada"
"H11" "Otros trastornos de la conjuntiva"
"H110" "Pterigin"
"H111" "Degeneraciones y depsitos conjuntivales"
"H112" "Cicatrices conjuntivales"
"H113" "Hemorragia conjuntival"
"H114" "Otros trastornos vasculares y quistes conjuntivales"
"H118" "Otros trastornos especificados de la conjuntiva"
"H119" "Trastorno de la conjuntiva, no especificado"
"H13" "Trastornos de la conjuntiva en enfermedades clasificadas en otra parte"
"H130" "Infeccin filrica de la conjuntiva"
"H131" "Conjuntivitis en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"H132" "Conjuntivitis en otras enfermedades clasificadas en otra parte"
"H133" "Penfigoide ocular"
"H138" "Otros trastornos de la conjuntiva en enfermedades clasificadas en otra parte"
"H15" "Trastornos de la esclertica"
"H150" "Escleritis"
"H151" "Episcleritis"
"H158" "Otros trastornos de la esclertica"
"H159" "Trastorno de la esclertica, no especificado"
"H16" "Queratitis"
"H160" "lcera de la crnea"
"H161" "Otras queratitis superficiales sin conjuntivitis"
"H162" "Queratoconjuntivitis"
"H163" "Queratitis intersticial y profunda"
"H164" "Neovascularizacin  de la crnea"
"H168" "Otras queratitis"
"H169" "Queratitis,no especificada"
"H17" "Opacidades y cicatrices corneales"
"H170" "Leucoma adherente"
"H171" "Otras opacidades centrales de la crnea"
"H178" "Otras opacidades o cicatrices de la crnea"
"H179" "Cicatriz u opacidad de la crnea,  no especificada"
"H18" "Otros trastornos de la crnea"
"H180" "Pigmentaciones y depsitos en la crnea"
"H181" "Queratopata vesicular"
"H182" "Otros edemas de la crnea"
"H183" "Cambios en las membranas de la crnea"
"H184" "Degeneracin de la crnea"
"H185" "Distrofia hereditaria de la crnea"
"H186" "Queratocono"
"H187" "Otras deformidades de la crnea"
"H188" "Otros trastornos especificados de la crnea"
"H189" "Trastorno de la crnea, no especificado"
"H19" "Trastornos de la esclertica y de la crnea en enfermedades clasificadas en otra parte"
"H190" "Escleritis y episcleritis en enfermedades clasificadas en otra parte"
"H191" "Queratitis y queratoconjuntivitis por herpes simple"
"H192" "Queratitis y queratoconjuntivitis en enfermedades infecciosas y parasitarias, clasificadas en otra parte"
"H193" "Queratitis y queratoconjuntivitis en otras enfermedades clasificadas en otra parte"
"H198" "Otros trastornos de la esclertica y de la crnea en enfermedades clasificadas en otra parte"
"H20" "Iridociclitis"
"H200" "Iridociclitis aguda y subaguda"
"H201" "Iridociclitis crnica"
"H202" "Iridociclitis inducida por trastorno del cristalino"
"H208" "Otras iridociclitis especificadas"
"H209" "Iridociclitis, no especificada"
"H21" "Otros trastornos del iris y del cuerpo ciliar"
"H210" "Hifema"
"H211" "Otros trastornos vasculares del iris y del cuerpo ciliar"
"H212" "Degeneracin del iris y del cuerpo ciliar"
"H213" "Quiste del iris, del cuerpo ciliar y de la cmara anterior"
"H214" "Membranas pupilares"
"H215" "Otras adherencias y desgarros del iris y del cuerpo ciliar"
"H218" "Otros trastornos especificados del iris y del cuerpo ciliar"
"H219" "Trastorno del iris y del cuerpo ciliar, no especificado"
"H22" "Trastornos del iris y del cuerpo ciliar en enfermedades clasificadas en otra parte"
"H220" "Iridociclitis en enfermedades infecciosas y parasitarias  clasificadas en otra parte"
"H221" "Iridociclitis en otras enfermedades clasificadas en otra parte"
"H228" "Otros trastornos del iris y del cuerpo ciliar en enfermedades clasificadas en otra parte"
"H25" "Catarata senil"
"H250" "Catarata senil incipiente"
"H251" "Catarata senil nuclear"
"H252" "Catarata senil, tipo morgagnian"
"H258" "Otras cataratas seniles"
"H259" "Catarata senil, no especificada"
"H26" "Otras cataratas"
"H260" "Catarata infantil, juvenil y presenil"
"H261" "Catarata traumtica"
"H262" "Catarata complicada"
"H263" "Catarata inducida por drogas"
"H264" "Catarata residual"
"H268" "Otras formas especificadas de catarata"
"H269" "Catarata, no especificada"
"H27" "Otros trastornos del cristalino"
"H270" "Afaquia"
"H271" "Luxacin del cristalino"
"H278" "Otros trastornos especificados del cristalino"
"H279" "Trastorno del cristalino, no especificado"
"H28" "Catarata y otros trastornos del cristalino en enfermedades clasificadas en otra parte"
"H280" "Catarata diabtica"
"H281" "Catarata en otras enfermedades endocrinas, nutricionales y metablicas clasificadas en otra parte"
"H282" "Catarata en otras enfermedades clasificadas en otra parte"
"H288" "Otros trastornos del cristalino en enfermedades clasificadas en otra parte"
"H30" "Inflamacin coriorretiniana"
"H300" "Coriorretinitis focal"
"H301" "Coriorretinitis diseminada"
"H302" "Ciclitis posterior"
"H308" "Otras coriorretinitis"
"H309" "Coriorretinitis, no especificada"
"H31" "Otros trastornos de la coroides"
"H310" "Cicatrices coriorretinianas"
"H311" "Degeneracin coroidea"
"H312" "Distrofia coroidea hereditaria"
"H313" "Hemorragia y ruptura de la coroides"
"H314" "Desprendimiento de la coroides"
"H318" "Otros trastornos especificados de la coroides"
"H319" "Trastorno de la coroides, no especificado"
"H32" "Trastornos coriorretinianos en enfermedades clasificadas en otra parte"
"H320" "Inflamacin coriorretiniana en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"H328" "Otros trastornos coriorretinianos en enfermedades clasificadas en otra parte"
"H33" "Desprendimiento y desgarro de la retina"
"H330" "Desprendimiento de la retina con ruptura"
"H331" "Retinosquisis y quistes de la retina"
"H332" "Desprendimiento seroso de la retina"
"H333" "Desgarro de la retina sin desprendimiento"
"H334" "Desprendimiento de la retina por traccin"
"H335" "Otros desprendimientos de la retina"
"H34" "Oclusin vascular de la retina"
"H340" "Oclusin arterial transitoria de la retina"
"H341" "Oclusin de la arteria central de la retina"
"H342" "Otras formas de oclusin de la arteria de la retina"
"H348" "Otras oclusiones vasculares retinianas"
"H349" "Oclusin vascular retiniana, sin otra especificacin"
"H35" "Otros trastornos de la retina"
"H350" "Retinopatas del fondo y cambios vasculares retinianos"
"H351" "Retinopata de la prematuridad"
"H352" "Otras retinopatas proliferativas"
"H353" "Degeneracin de la mcula y del polo posterior del ojo"
"H354" "Degeneracin perifrica de la retina"
"H355" "Distrofia hereditaria de la retina"
"H356" "Hemorragia retiniana"
"H357" "Separacin de las capas de la retina"
"H358" "Otros trastornos especificados de la retina"
"H359" "Trastorno de la retina, no especificado"
"H36" "Trastornos de la retina en enfermedades clasificadas en otra parte"
"H360" "Retinopata diabtica"
"H368" "Otros trastornos de la retina en enfermedades clasificadas en otra parte"
"H40" "Glaucoma"
"H400" "Sospecha de glaucoma"
"H401" "Glaucoma primario de ngulo abierto"
"H402" "Glaucoma primario de ngulo cerrado"
"H403" "Glaucoma secundario a traumatismo ocular"
"H404" "Glaucoma secundario a inflamacin ocular"
"H405" "Glaucoma secundario a otros trastornos del ojo"
"H406" "Glaucoma secundario a drogas"
"H408" "Otros glaucomas"
"H409" "Glaucoma, no especificado"
"H42" "Glaucoma en enfermedades clasificadas en otra parte"
"H420" "Glaucoma en enfermedades endocrinas, nutricionales y metablicas clasificadas en otra parte"
"H428" "Glaucoma en otras enfermedades clasificadas en otra parte"
"H43" "Trastornos del cuerpo vtreo"
"H430" "Prolapso del vtreo"
"H431" "Hemorragia del vtreo"
"H432" "Depsitos cristalinos en el cuerpo vtreo"
"H433" "Otras opacidades vtreas"
"H438" "Otros trastornos del cuerpo vtreo"
"H439" "Trastorno del cuerpo vtreo, no especificado"
"H44" "Trastornos del globo ocular"
"H440" "Endoftalmitis purulenta"
"H441" "Otras endoftalmitis"
"H442" "Miopa degenerativa"
"H443" "Otros trastornos degenerativos del globo ocular"
"H444" "Hipotona ocular"
"H445" "Afecciones degenerativas del globo ocular"
"H446" "Retencin intraocular de cuerpo extrao magntico (antiguo)"
"H447" "Retencin intraocular de cuerpo extrao no magntico (antiguo)"
"H448" "Otros trastornos del globo ocular"
"H449" "Trastorno del globo ocular, no especificado"
"H45" "Trastornos del cuerpo vtreo y del globo ocular en enfermedades clasificadas en otra parte"
"H450" "Hemorragia del vtreo en enfermedades clasificadas en otra parte"
"H451" "Endoftalmitis en enfermedades clasificadas en otra parte"
"H458" "Otros trastornos del cuerpo vtreo y del globo ocular en enfermedades clasificadas en otra parte"
"H46" "Neuritis ptica"
"H47" "Otros trastornos del nervio ptico [II par] y de las vas pticas"
"H470" "Trastornos del nervio ptico, no clasificados en otra parte"
"H471" "Papiledema, no especificado"
"H472" "Atrofia ptica"
"H473" "Otros trastornos del disco ptico"
"H474" "Trastornos del quiasma ptico"
"H475" "Trastornos de otras vas pticas"
"H476" "Trastornos de la corteza visual"
"H477" "Trastorno de las vas pticas, no especificado"
"H48" "Trastornos del nervio ptico [II par] y de las vas pticas en enfermedades clasificadas en otra parte"
"H480" "Atrofia ptica en enfermedades clasificadas en otra parte"
"H481" "Neuritis retrobulbar en enfermedades clasificadas en otra parte"
"H488" "Otros trastornos del nervio ptico y de las vas pticas en enfermedades clasificadas en otra parte"
"H49" "Estrabismo paraltico"
"H490" "Parlisis del nervio motor ocular comn [III par]"
"H491" "Parlisis del nervio pattico [IV par]"
"H492" "Parlisis del nervio motor ocular externo [VI par]"
"H493" "Oftalmopleja total (externa)"
"H494" "Oftalmopleja externa progresiva"
"H498" "Otros estrabismos paralticos"
"H499" "Estrabismo paraltico, no especificado"
"H50" "Otros estrabismos"
"H500" "Estrabismo concomitante convergente"
"H501" "Estrabismo concomitante divergente"
"H502" "Estrabismo vertical"
"H503" "Heterotropa intermitente"
"H504" "Otras heterotropas o las no especificadas"
"H505" "Heteroforia"
"H506" "Estrabismo mecnico"
"H508" "Otros estrabismos especificados"
"H509" "Estrabismo, no especificado"
"H51" "Otros trastornos de los movimientos binoculares"
"H510" "Parlisis de la conjugacin de la mirada"
"H511" "Exceso e insuficiencia de la convergencia ocular"
"H512" "Oftalmopleja internuclear"
"H518" "Otros trastornos especificados de los movimientos binoculares"
"H519" "Trastorno del movimiento binocular, no especificado"
"H52" "Trastornos de la acomodacin y de la refraccin"
"H520" "Hipermetropa"
"H521" "Miopa"
"H522" "Astigmatismo"
"H523" "Anisometropa y aniseicona"
"H524" "Presbicia"
"H525" "Trastornos de la acomodacin"
"H526" "Otros trastornos de la refraccin"
"H527" "Trastorno de la refraccin, no especificado"
"H53" "Alteraciones de la visin"
"H530" "Ambliopa ex anopsia"
"H531" "Alteraciones visuales subjetivas"
"H532" "Diplopa"
"H533" "Otros trastornos de la visin binocular"
"H534" "Defectos del campo visual"
"H535" "Deficiencia de la visin cromtica"
"H536" "Ceguera nocturna"
"H538" "Otras alteraciones visuales"
"H539" "Alteracin visual, no especificada"
"H54" "Ceguera y disminucin de la agudeza visual"
"H540" "Ceguera de ambos ojos"
"H541" "Ceguera de un ojo, visin subnormal del otro"
"H542" "Visin subnormal de ambos ojos"
"H543" "Disminucin indeterminada de la agudeza visual en ambos ojos"
"H544" "Ceguera de un ojo"
"H545" "Visin subnormal de un ojo"
"H546" "Disminucin indeterminada de la agudeza visual de un ojo"
"H547" "Disminucin de la agudeza visual, sin especificacin"
"H549" "Deficiencia visual no especificada (binocular"
"H55" "Nistagmo y otros movimientos oculares irregulares"
"H57" "Otros trastornos del ojo y sus anexos"
"H570" "Anomalas de la funcin pupilar"
"H571" "Dolor ocular"
"H578" "Otros trastornos especificados del ojo y sus anexos"
"H579" "Trastorno del ojo y sus anexos, no especificado"
"H58" "Otros trastornos del ojo y sus anexos en enfermedades clasificadas en otra parte"
"H580" "Anomalas de la funcin pupilar en enfermedades clasificadas en otra parte"
"H581" "Alteraciones de la visin en enfermedades clasificadas en otra parte"
"H588" "Otros trastornos especificados del ojo en enfermedades clasificadas en otra parte"
"H59" "Trastornos del ojo y sus anexos consecutivos a procedimientos, no clasificados en otra parte"
"H590" "Queratopata (bullosa afquica) consecutivo a ciruga de catarata"
"H598" "Otros trastornos del ojo y sus anexos, consecutivos a procedimientos"
"H599" "Trastorno no especificado del ojo y sus anexos, consecutivo a procedimientos"
"H60" "Otitis externa"
"H600" "Absceso del odo externo"
"H601" "Celulitis del odo externo"
"H602" "Otitis externa maligna"
"H603" "Otras otitis externas infecciosas"
"H604" "Colesteatoma del odo externo"
"H605" "Otitis externa aguda, no infecciosa"
"H608" "Otras otitis externas"
"H609" "Otitis externa, sin otra especificacin"
"H61" "Otros trastornos del odo externo"
"H610" "Pericondritis del odo externo"
"H611" "Afecciones no infecciosas del pabelln auditivo"
"H612" "Cerumen impactado"
"H613" "Estenosis adquirida del conducto auditivo externo"
"H618" "Otros trastornos especificados del odo externo"
"H619" "Trastorno del odo externo, no especificado"
"H62" "Trastornos del odo externo en enfermedades clasificadas en otra parte"
"H620" "Otitis externa en enfermedades bacterianas clasificadas en otra parte"
"H621" "Otitits externa en enfermedades vrales clasificadas en otra parte"
"H622" "Otitits externa en micosis"
"H623" "Otitits externa en otras enfermedades infecciosas y parasitarias clasificadas en otra parte"
"H624" "Otitits externa en otras enfermedades clasificadas en otra parte"
"H628" "Otros trastornos del odo externo en enfermedades clasificadas en otra parte"
"H65" "Otitis media no supurativa"
"H650" "Otitis media aguda serosa"
"H651" "Otra otitis media aguda, no supurativa"
"H652" "Otitis media crnica serosa"
"H653" "Otitis media crnica mucoide"
"H654" "Otras otitis medias crnicas no supurativas"
"H659" "Otitis media no supurativa, sin otra especificacin"
"H66" "Otitis media supurativa y la no especificada"
"H660" "Otitis media supurativa aguda"
"H661" "Otitis media tubotimpnica supurativa crnica"
"H662" "Otitis media supurativa crnica aticoantral"
"H663" "Otras otitis medias crnicas supurativas"
"H664" "Otitis media supurativa, sin otra especificacin"
"H669" "Otitis media, no especificada"
"H67" "Otitis media en enfermedades clasificadas en otra parte"
"H670" "Otitis media en enfermedades bacterianas clasificadas en otra parte"
"H671" "Otitis media en enfermedades virales clasificadas en otra parte"
"H678" "Otitis media en otras enfermedades clasificadas en otra parte"
"H68" "Inflamacin y obstruccin de la trompa de Eustaquio"
"H680" "Salpingitis eustaquiana"
"H681" "Obstruccin de la trompa de Eustaquio"
"H69" "Otros trastornos de la trompa de Eustaquio"
"H690" "Distensin de la trompa de Eustaquio"
"H698" "Otros trastornos especificados de la trompa de Eustaquio"
"H699" "Trastorno de la trompa de Eustaquio, no especificado"
"H70" "Mastoiditis y afecciones relacionadas"
"H700" "Mastoiditis aguda"
"H701" "Mastoiditis crnica"
"H702" "Petrositis"
"H708" "Otras mastoiditis y afecciones relacionadas"
"H709" "Mastoiditis, no especificada"
"H71" "Colesteatoma del odo medio"
"H72" "Perforacin de la membrana timpnica"
"H720" "Perforacin central de la membrana timpnica"
"H721" "Perforacin tica de la membrana timpnica"
"H722" "Otras perforaciones marginales de la membrana timpnica"
"H728" "Otras perforaciones de la membrana timpnica"
"H729" "Perforacin de la membrana timpnica, sin otra especificacin"
"H73" "Otros trastornos de la membrana timpnica"
"H730" "Miringitis aguda"
"H731" "Miringitis crnica"
"H738" "Otros trastornos especificados de la membrana timpnica"
"H739" "Trastorno de la membrana timpnica, no especificado"
"H74" "Otros trastornos del odo medio y de la apfisis mastoides"
"H740" "Timpanosclerosis"
"H741" "Enfermedad adhesiva del odo medio"
"H742" "Discontinuidad y dislocacin de los huesecillos del odo"
"H743" "Otras anormalidades adquiridas de los huesecillos del odo"
"H744" "Plipo del odo medio"
"H748" "Otros trastornos especificados del odo medio y de la apfisis mastoides"
"H749" "Trastorno del odo medio y de la apfisis mastoides, no especificado"
"H75" "Otros trastornos del odo medio y de la apfisis mastoides en enfermedades clasificadas en otra parte"
"H750" "Mastoiditis en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"H758" "Otros trastornos especificados del odo medio y de la apofisis mastoides en enfermedades clasificadas en otra parte"
"H80" "Otosclerosis"
"H800" "Otosclerosis que afecta la ventana oval, no obliterante"
"H801" "Otosclerosis que afecta la ventana oval, obliterante"
"H802" "Otosclerosis coclear"
"H808" "Otras otosclerosis"
"H809" "Otosclerosis, no especificada"
"H81" "Trastornos de la funcin vestibular"
"H810" "Enfermedad de meniere"
"H811" "Vrtigo paroxstico benigno"
"H812" "Neuronitis vestibular"
"H813" "Otros vrtigos perifricos"
"H814" "Vrtigo de origen central"
"H818" "Otros trastornos de la funcin vestibular"
"H819" "Trastorno de la funcin vestibular, no especificado"
"H82" "Sndromes vertiginosos en enfermedades clasificadas en otra parte"
"H83" "Otros trastornos del odo interno"
"H830" "Laberintitis"
"H831" "Fstula del laberinto"
"H832" "Disfuncin del laberinto"
"H833" "Efectos del ruido sobre el odo interno"
"H838" "Otros trastornos especificados del odo interno"
"H839" "Trastorno del odo interno, no especificado"
"H90" "Hipocausia conductiva y neurosensorial"
"H900" "Hipoacusia conductiva bilateral"
"H901" "Hipoacusia conductiva, unilateral con audicin irrestricta contralateral"
"H902" "Hipoacusia conductiva, sin otra especificacin"
"H903" "Hipoacusia neurosensorial, bilateral"
"H904" "Hipoacusia neurosensorial, unilateral con audicin irrestricta contralateral"
"H905" "Hipoacusia neurosensorial, sin otra especificacin"
"H906" "Hipoacusia mixta conductiva y neurosensorial, bilateral"
"H907" "Hipoacusia mixta conductiva y neurosensorial, unilateral con audicin irrestricta contralateral"
"H908" "Hipoacusia mixta conductiva y neurosensorial, no especificada"
"H91" "Otras hipoacusias"
"H910" "Hipoacusia ototxica"
"H911" "Presbiacusia"
"H912" "Hipoacusia sbita idioptica"
"H913" "Sordomudez, no clasificada en otra parte"
"H918" "Otras hipoacusias especificadas"
"H919" "Hipoacusia, no especificada"
"H92" "Otalgia y secrecin del odo"
"H920" "Otalgia"
"H921" "Otorrea"
"H922" "Otorragia"
"H93" "Otros trastornos del odo, no clasificados en otra parte"
"H930" "Trastornos degenerativos y vasculares del odo"
"H931" "Tinnitus"
"H932" "Otras percepciones auditivas anormales"
"H933" "Trastornos del nervio auditivo"
"H938" "Otros trastornos especificados del odo"
"H939" "Trastorno del odo, no especificado"
"H94" "Otros trastornos del odo en enfermedades clasificadas en otra parte"
"H940" "Neuritis del nervio auditivo en enfermedades infecciosas y parasitarias  clasificadas en otra parte"
"H948" "Otros trastornos especificados del odo en enfermedades clasificadas en otra parte"
"H95" "Trastornos del odo y de la apfisis mastoides consecutivos a procedimientos, no clasificados en otra parte"
"H950" "Colesteatoma recurrente de la cavidad resultante de la mastoidectoma"
"H951" "Otros trastornos posteriores  a la mastoidectoma"
"H958" "Otros trastornos del odo y de la apfisis mastoides, consecutivos a procedimientos"
"H959" "Trastornos no especificados del odo y de la apfisis mastoides, consecutivos a procedimientos"
"I00" "Fiebre reumtica sin mencin de complicacin cardaca"
"I01" "Fiebre reumtica con complicacin cardaca"
"I010" "Pericarditis reumtica aguda"
"I011" "Endocarditis reumtica aguda"
"I012" "Miocarditis reumtica aguda"
"I018" "Otras enfermedades reumticas agudas del corazn"
"I019" "Enfermedad reumtica aguda del corazn, no especificada"
"I02" "Corea reumtica"
"I020" "Corea reumtica con complicacin cardaca"
"I029" "Corea reumtica sin mencin de complicacin cardaca"
"I05" "Enfermedades reumticas de la vlvula mitral"
"I050" "Estenosis mitral"
"I051" "Insuficiencia mitral reumtica"
"I052" "Estenosis mitral con insuficiencia"
"I058" "Otras enfermedades de la vlvula mitral"
"I059" "Enfermedad valvular mitral, no especificada"
"I06" "Enfermedades reumticas de la vlvula artica"
"I060" "Estenosis artica reumtica"
"I061" "Insuficiencia artica reumtica"
"I062" "Estenosis artica reumtica con insuficiencia"
"I068" "Otras enfermedades reumticas de la vlvula artica"
"I069" "Enfermedad valvular artica reumtica, no especificada"
"I07" "Enfermedades reumticas de la vlvula tricspide"
"I070" "Estenosis tricspide"
"I071" "Insuficiencia tricspide"
"I072" "Estenosis e insuficiencia tricspide"
"I078" "Otras enfermedades de la vlvula tricspide"
"I079" "Enfermedad de la vlvula tricspide, no especificada"
"I08" "Enfermedades valvulares mltiples"
"I080" "Trastornos de las vlvulas mitral y artica"
"I081" "Trastornos de las vlvulas mitral y tricspide"
"I082" "Trastornos de las vlvulas artica y tricspide"
"I083" "Trastornos combinados de las vlvulas mitral, tricspide y artica"
"I088" "Otras enfermedades de mltiples vlvulas"
"I089" "Enfermedad de mltiples vlvulas, no especificada"
"I09" "Otras enfermedades reumticas del corazn"
"I090" "Miocarditis reumtica"
"I091" "Enfermedades reumticas del endocardio, vlvula no especificada"
"I092" "Pericarditis reumtica crnica"
"I098" "Otras enfermedades reumticas especificadas del corazn"
"I099" "Enfermedad reumtica del corazn, no especificada"
"I10" "Hipertensin esencial (primaria)"
"I11" "Enfermedad cardaca hipertensiva"
"I110" "Enfermedad cardaca hipertensiva con insuficiencia cardaca (congestiva)"
"I119" "Enfermedad cardaca hipertensiva sin insuficiencia cardaca (congestiva)"
"I12" "Enfermedad renal hipertensiva"
"I120" "Enfermedad renal hipertensiva con insuficiencia renal"
"I129" "Enfermedad renal hipertensiva sin insuficiencia renal"
"I13" "Enfermedad cardiorrenal hipertensiva"
"I130" "Enfermedad cardiorrenal hipertensiva con insuficiencia cardaca (congestiva)"
"I131" "Enfermedad cardiorrenal hipertensiva con insuficiencia renal"
"I132" "Enfermedad cardiorrenal hipertensiva con insuficiencia cardaca (congestiva) e insuficiencia renal"
"I139" "Enfermedad cardiorrenal hipertensiva, no especificada"
"I15" "Hipertensin secundaria"
"I150" "Hipertensin renovascular"
"I151" "Hipertensin secundaria a otros trastornos renales"
"I152" "Hipertensin secundaria  a trastornos endocrinos"
"I158" "otros tipos de hipertensin secundaria"
"I159" "Hipertensin secundaria, no especificada"
"I20" "Angina de pecho"
"I200" "Angina inestable"
"I201" "Angina de pecho con espasmo documentado"
"I208" "Otras formas especificadas de angina de pecho"
"I209" "Angina de pecho, no especificada"
"I21" "Infarto agudo del miocardio"
"I210" "Infarto transmural agudo del miocardio de la pared anterior"
"I211" "Infarto transmural agudo del miocardio de la pared inferior"
"I212" "Infarto agudo transmural del miocardio de otros sitios"
"I213" "Infarto transmural agudo del miocardio, de sitio no especificado"
"I214" "Infarto subendocrdico agudo del miocardio"
"I219" "Infarto agudo del miocardio, sin otra especificacin"
"I22" "Infarto subsecuente del miocardio"
"I220" "Infarto subsecuente del miocardio de la pared anterior"
"I221" "Infarto subsecuente del miocardio de la pared inferior"
"I228" "Infarto subsecuente del miocardio de otros sitios"
"I229" "Infarto subsecuente del miocardio, de parte no especificada"
"I23" "Ciertas complicaciones presentes posteriores al infarto agudo del miocardio"
"I230" "Hemopericardio como complicacin presente posterior al infarto agudo del miocardio"
"I231" "Defecto del tabique auricular como complicacin presente posterior al infarto del miocardio"
"I232" "Defecto del tabique ventricular como complicacin presente posterior al infarto del miocardio"
"I233" "Ruptura de la pared cardaca sin hemopericardio como complicacin presente posterior al infarto agudo del miocardio"
"I234" "Ruptura de las cuerdas tendinosas como complicacin presente posterior al infarto agudo del miocardio"
"I235" "Ruptura de msculo papilar como complicacin presente posterior al infarto agudo del miocardio"
"I236" "Trombosis de la aurcula, apndice  auricular y ventrculo como complicacin presente posterior al infarto agudo del miocardio"
"I238" "Otras complicaciones presentes posteriores al infarto agudo del miocardio"
"I24" "Otras enfermedades isqumicas agudas del corazn"
"I240" "Trombosis coronaria que no resulta en infarto del miocardio"
"I241" "Sndrome de Dressler"
"I248" "Otras formas de enfermedad isqumica aguda del corazn"
"I249" "Enfermedad isqumica aguda del corazn, no especificada"
"I25" "Enfermedad isqumica crnica del corazn"
"I250" "Enfermedad cardiovascular aterosclertica, as descrita"
"I251" "Enfermedad aterosclertica del corazn"
"I252" "Infarto antiguo del miocardio"
"I253" "Aneurisma cardaco"
"I254" "Aneurisma de arteria coronaria"
"I255" "Cardiomiopata isqumica"
"I256" "Isquemia silente del miocardio"
"I258" "Otras formas de enfermedad isqumica crnica del corazn"
"I259" "Enfermedad isqumica crnica del corazn, no especificada"
"I26" "Embolia pulmonar"
"I260" "Embolia pulmonar con mencin de corazn pulmonar agudo"
"I269" "Embolia pulmonar sin mencin de corazn pulmonar agudo"
"I27" "Otras enfermedades cardiopulmonares"
"I270" "Hipertensin pulmonar primaria"
"I271" "Enfermedad cifoscolitica del corazn"
"I272" "Otras hipertensiones pulmonares secundarias"
"I278" "Otras enfermedades cardiopulmonares especificadas"
"I279" "Enfermedad pulmonar del corazn, no especificada"
"I28" "Otras enfermedades de los vasos pulmonares"
"I280" "Fstula arteriovenosa de los vasos pulmonares"
"I281" "Aneurisma de la arteria pulmonar"
"I288" "Otras enfermedades especificadas de los vasos pulmonares"
"I289" "Enfermedad de los vasos pulmonares, no especificada"
"I30" "Pericarditis aguda"
"I300" "Pericarditis idioptica aguda inespecfica"
"I301" "Pericarditis infecciosa"
"I308" "Otras formas de pericarditis aguda"
"I309" "Pericarditis aguda, no especificada"
"I31" "Otras enfermedades del pericardio"
"I310" "Pericarditis crnica adhesiva"
"I311" "Pericarditis constrictiva crnica"
"I312" "Hemopericardio, no clasificado en otra parte"
"I313" "Derrame pericrdico (no inflamatorio)"
"I318" "Otras enfermedades especificadas del pericardio"
"I319" "Enfermedad del pericardio, no especificada"
"I32" "Pericarditis en enfermedades clasificadas en otra parte"
"I320" "Pericarditis en enfermedades bacterianas clasificadas en otra parte"
"I321" "Pericarditis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte"
"I328" "Pericarditis en otras enfermedades clasificadas en otras parte"
"I33" "Endocarditis aguda y subaguda"
"I330" "Endocarditis infecciosa aguda y subaguda"
"I339" "Endocarditis aguda, no especificada"
"I34" "Trastornos no reumticos de la vlvula mitral"
"I340" "Insuficiencia (de la vlvula) mitral"
"I341" "Prolapso (de la vlvula) mitral"
"I342" "Estenosis (de la vlvula) mitral, no reumtica"
"I348" "Otros trastornos no reumticos de la vlvula mitral"
"I349" "Trastorno mitral no reumtico, no especificado"
"I35" "Trastornos no reumticos de la vlvula artica"
"I350" "Estenosis (de la vlvula) artica"
"I351" "Insuficiencia (de la vlvula) artica"
"I352" "Estenosis (de la vlvula) artica con insuficiencia"
"I358" "Otros trastornos de la vlvula artica"
"I359" "Trastorno de la vlvula artica, no especificado"
"I36" "Trastornos no reumticos de la vlvula tricspide"
"I360" "Estenosis no reumtica (de la vlvula) tricspide"
"I361" "Insuficiencia no reumtica (de la vlvula) tricspide"
"I362" "Estenosis con insuficiencia no reumtica (de la vlvula) tricspide"
"I368" "Otros trastornos no reumticos de la vlvula tricspide"
"I369" "Trastorno no reumtico de la vlvula tricspide, no especificado"
"I37" "Trastornos de la vlvula pulmonar"
"I370" "Estenosis de la vlvula pulmonar"
"I371" "Insuficiencia de la vlvula pulmonar"
"I372" "Estenosis de la vlvula pulmonar con insuficiencia"
"I378" "Otros trastornos de la vlvula pulmonar"
"I379" "Trastorno de la vlvula pulmonar, no especificado"
"I38" "Endocarditis, vlvula no especificada"
"I39" "Endocarditis y trastornos valvulares en enfermedades clasificadas en otra parte"
"I390" "Trastornos de la vlvula mitral en enfermedades clasificadas en otra parte"
"I391" "Trastornos de la vlvula artica en enfermedades clasificadas en otra parte"
"I392" "Trastornos de la vlvula tricspide en enfermedades clasificadas en otra parte"
"I393" "Trastornos de la vlvula pulmonar en enfermedades clasificadas en otra parte"
"I394" "Trastornos valvulares mltiples en enfermedades clasificadas en otras parte"
"I398" "Endocarditis, vlvula no especificada, en enfermedades clasificadas en otra parte"
"I40" "Miocarditis aguda"
"I400" "Miocarditis infecciosa"
"I401" "Miocarditis aislada"
"I408" "Otras miocarditis agudas"
"I409" "Miocarditis aguda, no especificada"
"I41" "Miocarditis en enfermedades clasificadas en otra parte"
"I410" "Miocarditis en enfermedades bacterianas clasificadas en otra parte"
"I411" "Miocarditis en enfermedades virales clasificadas en otra parte"
"I412" "Miocarditis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte"
"I418" "Miocarditis en otras enfermedades clasificadas en otra parte"
"I42" "Cardiomiopata"
"I420" "Cardiomiopata dilatada"
"I421" "Cardiomiopata hipertrfica obstructiva"
"I422" "Otras cardiomiopatas hipertrficas"
"I423" "Enfermedad endomiocrdica (eosinoflica)"
"I424" "Fibroelastosis endocrdica"
"I425" "Otras cardiomiopatas restrictivas"
"I426" "Cardiomiopata alcohlica"
"I427" "Cardiomiopata debida a drogas y otros agentes externos"
"I428" "Otras cardiomiopatas"
"I429" "Cardiomiopata, no especificada"
"I43" "Cardiomiopata en enfermedades clasificadas en otra parte"
"I430" "Cardiomiopata en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"I431" "Cardiomiopata en enfermedades metablicas"
"I432" "Cardiomiopata en enfermedades nutricionales"
"I438" "Cardiomiopata en otras enfermedades clasificadas en otra parte"
"I44" "Bloqueo auriculoventricular y de rama izquierda del haz"
"I440" "Bloqueo auriculoventricular de primer grado"
"I441" "Bloqueo auriculoventricular de segundo grado"
"I442" "Bloqueo auriculoventricular completo"
"I443" "Otros tipos de bloqueo auriculoventricular y los no especificados"
"I444" "Bloqueo fascicular anterior izquierdo"
"I445" "Bloqueo fascicular posterior izquierdo"
"I446" "Otros tipos de bloqueo fascicular y los no especificados"
"I447" "Bloqueo de rama izquierda del haz, sin otra especificacin"
"I45" "Otros trastornos de la conduccin"
"I450" "Bloqueo fascicular derecho"
"I451" "Otros tipos de bloqueo de rama derecha del haz y los no especificados"
"I452" "Bloqueo bifascicular"
"I453" "Bloqueo trifascicular"
"I454" "Bloqueo intraventricular no especificado"
"I455" "Otros tipos especificados de bloqueo del corazn"
"I456" "Sndrome de preexcitacin"
"I458" "Otros trastornos especificados de la conduccin"
"I459" "Trastorno de la conduccin, no especificado"
"I46" "Paro cardaco"
"I460" "Paro cardaco con resucitacin exitosa"
"I461" "Muerte cardaca sbita, as descrita"
"I469" "Paro cardaco, no especificado"
"I47" "Taquicardia paroxstica"
"I470" "Arritmia por reentrada ventricular"
"I471" "Taquicardia supraventricular"
"I472" "Taquicardia ventricular"
"I479" "Taquicardia paroxstica, no especificada"
"I48" "Fibrilacin y aleteo auricular"
"I480" "Fibrilacin auricular paroxstica"
"I481" "Fibrilacin auricular persistente "
"I482" "Fibrilacin auricular crnica"
"I483" "Aleteo auricular tpico"
"I484" "Aleteo auricular atpico"
"I489" "Fibrilacin y aleteo auricular, no especificado"
"I49" "Otras arritmias cardiacas"
"I490" "Fibrilacin y aleteo ventricular"
"I491" "Despolarizacin auricular prematura"
"I492" "Despolarizacin prematura nodal"
"I493" "Despolarizacin ventricular prematura"
"I494" "Otros tipos de despolarizacin prematura y los no especificados"
"I495" "Sndrome del seno enfermo"
"I498" "Otras arritmias cardiacas especificadas"
"I499" "Arritmia cardaca, no especificada"
"I50" "Insuficiencia cardaca"
"I500" "Insuficiencia cardaca congestiva"
"I501" "Insuficiencia ventricular izquierda"
"I509" "Insuficiencia cardaca, no especificada"
"I51" "Complicaciones y descripciones mal definidas de enfermedad cardaca"
"I510" "Defecto del tabique cardaco, adquirido"
"I511" "Ruptura de cuerda tendinosa, no clasificada en otra parte"
"I512" "Ruptura de msculo papilar, no clasificada en otra parte"
"I513" "Trombosis intracardaca, no clasificada en otra parte"
"I514" "Miocarditis, no especificada"
"I515" "Degeneracin miocrdica"
"I516" "Enfermedad cardiovascular, no especificada"
"I517" "Cardiomegalia"
"I518" "Otras enfermedades cardiacas mal definidas"
"I519" "Enfermedad cardaca, no especificada"
"I52" "Otros trastornos cardacos en enfermedades clasificadas en otra parte"
"I520" "Otros trastornos cardacos en enfermedades bacterianas clasificadas en otra parte"
"I521" "Otros trastornos cardacos en otras enfermedades infecciosas y parasitarias clasificadas en otra parte"
"I528" "Otros trastornos cardacos en otras enfermedades clasificadas en otra parte"
"I60" "Hemorragia subaracnoidea"
"I600" "Hemorragia subaracnoidea de sifn y bifurcacin carotdea"
"I601" "Hemorragia subaracnoidea de arteria cerebral media"
"I602" "Hemorragia subaracnoidea de arteria comunicante anterior"
"I603" "Hemorragia subaracnoidea de arteria comunicante posterior"
"I604" "Hemorragia subaracnoidea de arteria basilar"
"I605" "Hemorragia subaracnoidea de arteria vertebral"
"I606" "Hemorragia subaracnoidea de otras arterias intracraneales"
"I607" "Hemorragia subaracnoidea de arteria intracraneal no especificada"
"I608" "Otras hemorragias subaracnoideas"
"I609" "Hemorragia subaracnoidea, no especificada"
"I61" "Hemorragia intraenceflica"
"I610" "Hemorragia intracerebral en hemisferio, subcortical"
"I611" "Hemorragia intracerebral en hemisferio, cortical"
"I612" "Hemorragia intracerebral en hemisferio, no especificada"
"I613" "Hemorragia intraenceflica en tallo cerebral"
"I614" "Hemorragia intraenceflica en cerebelo"
"I615" "Hemorragia intraenceflica, intraventricular"
"I616" "Hemorragia intraenceflica de localizaciones mltiples"
"I618" "Otras hemorragias intraenceflicas"
"I619" "Hemorragia intraenceflica, no especificada"
"I62" "Otras hemorragias intracraneales no traumticas"
"I620" "Hemorragia subdural (aguda) (no traumtica)"
"I621" "Hemorragia extradural no traumtica"
"I629" "Hemorragia intracraneal (no traumtica), no especificada"
"I63" "Infarto cerebral"
"I630" "Infarto cerebral debido a trombosis de arterias precerebrales"
"I631" "Infarto cerebral debido a embolia de arterias precerebrales"
"I632" "Infarto cerebral debido a oclusin o estenosis no especificada de arterias precerebrales"
"I633" "Infarto cerebral debido a trombosis de arterias cerebrales"
"I634" "Infarto cerebral debido a embolia de arterias cerebrales"
"I635" "Infarto cerebral debido a oclusin o estenosis no especificada de arterias cerebrales"
"I636" "Infarto cerebral debido a trombosis de venas cerebrales, no pigeno"
"I638" "Otros Infartos cerebrales"
"I639" "Infarto cerebral, no especificado"
"I64" "Accidente vascular enceflico agudo, no especificado como hemorrgico o isqumico"
"I65" "Oclusin y estenosis de las arterias precerebrales sin  ocasionar infarto cerebral"
"I650" "Oclusin y estenosis de arteria vertebral"
"I651" "Oclusin y estenosis de arteria basilar"
"I652" "Oclusin y estenosis de arteria cartida"
"I653" "Oclusin y estenosis mltiple bilateral de arterias precerebrales"
"I658" "Oclusin y estenosis de Otras arterias precerebrales"
"I659" "Oclusin y estenosis de arteria precerebral no especificada"
"I66" "Oclusin y estenosis de las arterias cerebrales sin  ocasionar infarto cerebral"
"I660" "Oclusin y estenosis de la arteria cerebral media"
"I661" "Oclusin y estenosis de la arteria cerebral anterior"
"I662" "Oclusin y estenosis de la arteria cerebral posterior"
"I663" "Oclusin y estenosis de arterias cerebelosas"
"I664" "Oclusin y estenosis mltiple bilateral de arterias cerebrales"
"I668" "Oclusin y estenosis de otras arterias cerebrales"
"I669" "Oclusin y estenosis de arteria cerebral no especificada"
"I67" "Otras enfermedades cerebrovasculares"
"I670" "Diseccin de arterias cerebrales, sin ruptura"
"I671" "Aneurisma cerebral, sin ruptura"
"I672" "Aterosclerosis cerebral"
"I673" "Leucoencefalopata vascular progresiva"
"I674" "Encefalopata hipertensiva"
"I675" "Enfermedad de Moyamoya"
"I676" "Trombosis apigena del sistema venoso intracraneal"
"I677" "Arteritis cerebral, no clasificada en otra parte"
"I678" "Otras enfermedades cerebrovasculares especificadas"
"I679" "Enfermedad cerebrovascular, no especificada"
"I68" "Trastornos cerebrovasculares en enfermedades clasificadas en otra parte"
"I680" "Angiopata cerebral amiloide"
"I681" "Arteritis cerebral en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"I682" "Arteritis cerebral en otras enfermedades clasificadas en otra parte"
"I688" "Otros trastornos cerebrovasculares en enfermedades clasificadas en otra parte"
"I69" "Secuelas de enfermedad cerebrovascular"
"I690" "Secuelas de hemorragia subaracnoidea"
"I691" "Secuelas de hemorragia intraenceflica"
"I692" "Secuelas de otras hemorragias intracraneales no traumticas"
"I693" "Secuelas de infarto cerebral"
"I694" "Secuelas de accidente vascular encfalico, no especificado como hemorrgico o isqumico"
"I698" "Secuelas de otras enfermedades cerebrovasculares y de las no especificadas"
"I70" "Aterosclerosis"
"I700" "Aterosclerosis de la aorta"
"I701" "Aterosclerosis de la arteria renal"
"I702" "Aterosclerosis de las arterias de los miembros"
"I708" "Aterosclerosis de otras arterias"
"I709" "Aterosclerosis generalizada y la no especificada"
"I71" "Aneurisma y diseccin articos"
"I710" "Diseccin de aorta (cualquier parte)"
"I711" "Ruptura de aneurisma de la aorta torcica"
"I712" "Aneurisma de la aorta torcica, sin mencin de ruptura"
"I713" "Ruptura de aneurisma de la aorta abdominal"
"I714" "Aneurisma de la aorta abdominal, sin mencin de ruptura"
"I715" "Ruptura de aneurisma de la aorta toracoabdominal"
"I716" "Aneurisma de la aorta toracoabdominal, sin mencin de ruptura"
"I718" "Ruptura de aneurisma artico, sitio no especificado"
"I719" "Aneurisma de la aorta, sitio no especificado, sin mencin de ruptura"
"I72" "Otros aneurismas"
"I720" "Aneurisma de la arteria cartida"
"I721" "Aneurisma de arteria del miembro superior"
"I722" "Aneurisma de arteria renal"
"I723" "Aneurisma de arteria ilaca"
"I724" "Aneurisma de arteria del miembro inferior"
"I725" "Aneurisma y diseccin de otras arterias precerebrales"
"I726" "Aneurisma y diseccin de arteria vertebral"
"I728" "Aneurisma de otras arterias especificadas"
"I729" "Aneurisma de sitio no especificado"
"I73" "Otras enfermedades vasculares perifricas"
"I730" "Sndrome de Raynaud"
"I731" "Tromboangetis obliterante [Buerger]"
"I738" "Otras enfermedades vasculares perifricas especificadas"
"I739" "Enfermedad vascular perifrica, no especificada"
"I74" "Embolia y trombosis arteriales"
"I740" "Embolia y trombosis de la aorta abdominal"
"I741" "Embolia y trombosis de otras porciones y las no especificadas de la aorta"
"I742" "Embolia y trombosis de arterias de los miembros superiores"
"I743" "Embolia y trombosis de arterias de los miembros inferiores"
"I744" "Embolia y trombosis de arterias de los miembros, no especificadas"
"I745" "Embolia y trombosis de arteria ilaca"
"I748" "Embolia y trombosis de otras arterias"
"I749" "Embolia y trombosis de arteria no especificada"
"I77" "Otros trastornos arteriales o arteriolares"
"I770" "Fstula arteriovenosa, adquirida"
"I771" "Estrechez arterial"
"I772" "Ruptura arterial"
"I773" "Displasia fibromuscular arterial"
"I774" "Sndrome de compresin del tronco celaco"
"I775" "Necrosis arterial"
"I776" "Arteritis, no especificada"
"I778" "Otros trastornos especificados de arterias y arteriolas"
"I779" "Trastorno de arterias y arteriolas, no especificado"
"I78" "Enfermedades de los vasos capilares"
"I780" "Telangiectasia hemorrgica hereditaria"
"I781" "Nevo, no neoplsico"
"I788" "Otras enfermedades de los capilares"
"I789" "Enfermedad de los vasos capilares, no especificada"
"I79" "Trastornos de las arterias, de las arteriolas y de los vasos capilares en enfermedades clasificadas en otra parte"
"I790" "Aneurisma de la aorta en enfermedades clasificadas en otra parte"
"I791" "Aortitis en enfermedades clasificadas en otra parte"
"I792" "Angiopata perifrica en enfermedades clasificadas en otra parte"
"I798" "Otros trastornos de arterias, arteriolas y vasos capilares  en enfermedades clasificadas en otra parte"
"I80" "Flebitis y tromboflebitis"
"I800" "Flebitis y tromboflebitis de vasos superficiales de los miembros inferiores"
"I801" "Flebitis y tromboflebitis de la vena femoral"
"I802" "Flebitis y tromboflebitis de otros vasos profundos de los miembros inferiores"
"I803" "Flebitis y tromboflebitis de los miembros inferiores, no especificada"
"I808" "Flebitis y tromboflebitis de otros sitios"
"I809" "Flebitis y tromboflebitis de sitio no especificado"
"I81" "Trombosis de la vena porta"
"I82" "Otras embolias y trombosis venosas"
"I820" "Sndrome de Budd-Chiari"
"I821" "Tromboflebitis migratoria"
"I822" "Embolia y trombosis de vena cava"
"I823" "Embolia y trombosis de vena renal"
"I828" "Embolia y trombosis de otras venas especificadas"
"I829" "Embolia y trombosis de vena no especificada"
"I83" "Venas varicosas de los miembros inferiores"
"I830" "Venas varicosas de los miembros inferiores con lcera"
"I831" "Venas varicosas de los miembros inferiores con inflamacin"
"I832" "Venas varicosas de los miembros inferiores con lcera e inflamacin"
"I839" "Venas varicosas de los miembros inferiores sin lcera ni inflamacin"
"I84" "Hemorroides"
"I840" "Hemorroides internas trombosadas"
"I841" "Hemorroides internas con otras complicaciones"
"I842" "Hemorroides internas sin complicacin"
"I843" "Hemorroides externas trombosadas"
"I844" "Hemorroides externas con otras complicaciones"
"I845" "Hemorroides externas sin complicacin"
"I846" "Prominencias cutneas, residuo de hemorroides"
"I847" "Hemorroides trombosadas no especificadas"
"I848" "Hemorroides no especificadas, con otras complicaciones"
"I849" "Hemorroides no especificadas, sin complicacin"
"I85" "Vrices esofgicas"
"I850" "Vrices esofgicas con hemorragia"
"I859" "Vrices esofgicas sin hemorragia"
"I86" "Vrices de otros sitios"
"I860" "Vrices sublinguales"
"I861" "Vrices escrotales"
"I862" "Vrices plvicas"
"I863" "Vrices de la vulva"
"I864" "Vrices gstricas"
"I868" "Vrices en otros sitios especificados"
"I87" "Otros trastornos de las venas"
"I870" "Sndrome postflebtico"
"I871" "Compresin de vena"
"I872" "Insuficiencia venosa (crnica) (perifrica)"
"I878" "Otros trastornos venosos especificados"
"I879" "Trastorno venoso, no especificado"
"I88" "Linfadenitis inespecfica"
"I880" "Linfadenitis mesentrica inespecfica"
"I881" "Linfadenitis crnica, excepto la mesentrica"
"I888" "Otras linfadenitis inespecficas"
"I889" "Linfadenitis inespecfica no especificada"
"I89" "Otros trastornos no infecciosos de los vasos y ganglios linfticos"
"I890" "Linfedema, no clasificado en otra parte"
"I891" "Linfangitis"
"I898" "Otros trastornos especificados no infecciosos de los vasos y ganglios linfticos"
"I899" "Trastorno no infeccioso de vasos y ganglios linfticos, no especificado"
"I95" "Hipotensin"
"I950" "Hipotensin idioptica"
"I951" "Hipotensin ortosttica"
"I952" "Hipotensin debida a drogas"
"I958" "Otros tipos de hipotensin"
"I959" "Hipotensin, no especificada"
"I97" "Trastornos del sistema circulatorio consecutivos a procedimientos, no clasificados en otra parte"
"I970" "Sndrome de postcardiotoma"
"I971" "Otras alteraciones funcionales consecutivas a ciruga cardaca"
"I972" "Sndrome de linfedema postmastectoma"
"I978" "Otros trastornos del sistema circulatorio consecutivos a procedimientos, no clasificados en otra parte"
"I979" "Trastorno no especificado del sistema circulatorio consecutivo a procedimientos"
"I98" "Otros trastornos del sistema circulatorio en enfermedades clasificadas en otra parte"
"I980" "I980 Sfilis cardiovascular"
"I981" "Trastornos cardiovasculares en otras enfermedades infecciosas y parasitarias clasificadas en otra parte"
"I982" "Vrices esofgicas en enfermedades clasificadas en otra parte"
"I983" "Vrices esofgicas con hemorragia en enfermedades clasificadas en otra parte"
"I988" "Otros trastornos especificados del aparato circulatorio en enfermedades clasificadas en otra parte"
"I99" "Otros trastornos y los no especificados del sistema circulatorio"
"J00" "Rinofaringitis aguda [resfriado comn]"
"J01" "Sinusitis aguda"
"J010" "Sinusitis maxilar aguda"
"J011" "Sinusitis frontal aguda"
"J012" "Sinusitis etmoidal aguda"
"J013" "Sinusitis esfenoidal aguda"
"J014" "Pansinusitis aguda"
"J018" "Otras sinusitis agudas"
"J019" "Sinusitis aguda, no especificada"
"J02" "Faringitis aguda"
"J020" "Faringitis estreptoccica"
"J028" "Faringitis aguda debida a otros microorganismos especificados"
"J029" "Faringitis aguda, no especificada"
"J03" "Amigdalitis aguda"
"J030" "Amigdalitis estreptoccica"
"J038" "Amigdalitis aguda debida a otros microorganismos especificados"
"J039" "Amigdalitis aguda, no especificada"
"J04" "Laringitis y traquetis agudas"
"J040" "Laringitis aguda"
"J041" "Traquetis aguda"
"J042" "Laringotraquetis aguda"
"J05" "Laringitis obstructiva aguda [crup] y epiglotitis"
"J050" "Laringitis obstructiva, aguda [crup]"
"J051" "Epiglotitis aguda"
"J06" "Infecciones agudas de las vas respiratorias superiores, de sitios mltiples o no especificados"
"J060" "Laringofaringitis aguda"
"J068" "Otras infecciones agudas de sitios mltiples de las vas respiratorias superiores"
"J069" "Infeccin aguda de las vas respiratorias superiores, no especificada"
"J09" "Influenza debida a virus de la influenza aviar identificado"
"J10" "Influenza debida a otro virus de la influenza identificado"
"J100" "Influenza con neumona, debida a otro virus de la influenza identificado"
"J101" "Influenza con otras manifestaciones respiratorias, debida a otro virus de la influenza identificado"
"J108" "Influenza, con otras manifestaciones, debida a otro virus de la influenza identificado"
"J11" "Influenza debida a virus no identificado"
"J110" "Influenza con neumona, virus no identificado"
"J111" "Influenza con otras manifestaciones respiratorias, virus no identificado"
"J118" "Influenza con otras manifestaciones, virus no identificado"
"J12" "Neumona viral, no clasificada en otra parte"
"J120" "Neumona debida a adenovirus"
"J121" "Neumona debida a virus sincitial respiratorio"
"J122" "Neumona debida a virus parainfluenza"
"J123" "Neumona debida a metaneumovirus humano"
"J128" "Neumona debida a otros virus"
"J129" "Neumona viral, no especificada"
"J13" "Neumona debida a Streptococcus pneumoniae"
"J14" "Neumona debida a Haemophilus influenzae"
"J15" "Neumona bacteriana, no clasificada en otra parte"
"J150" "Neumona debida a Klebsiella pneumoniae"
"J151" "Neumona debida a pseudomonas"
"J152" "Neumona debida a estafilococos"
"J153" "Neumona debida a estreptococos del grupo B"
"J154" "Neumona debida a otros estreptococos"
"J155" "Neumona debida a Escherichia coli"
"J156" "Neumona debida a otras bacterias aerbicas gramnegativas"
"J157" "Neumona debida a Mycoplasma pneumoniae"
"J158" "Otras neumonas bacterianas"
"J159" "Neumona bacteriana, no especificada"
"J16" "Neumona debida a otros microorganismos infecciosos, no clasificados en otra parte"
"J160" "Neumona debida a clamidias"
"J168" "Neumona debida a otros microorganismos infecciosos especificados"
"J17" "Neumona en enfermedades clasificadas en otra parte"
"J170" "Neumona en enfermedades bacterianas clasificadas en otra parte"
"J171" "Neumona en enfermedades virales clasificadas en otra parte"
"J172" "Neumona en micosis"
"J173" "Neumona en enfermedades parasitarias"
"J178" "Neumona en otras enfermedades clasificadas en otra parte"
"J18" "Neumona, organismo no especificado"
"J180" "Bronconeumona, no especificada"
"J181" "Neumona lobar, no especificada"
"J182" "Neumona hiposttica, no especificada"
"J188" "Otras neumonas, de microorganismo no especificado"
"J189" "Neumona, no especificada"
"J20" "Bronquitis aguda"
"J200" "Bronquitis aguda debida a Mycoplasma pneumoniae"
"J201" "Bronquitis aguda debida a Haemophilus influenzae"
"J202" "Bronquitis aguda debida a estreptococos"
"J203" "Bronquitis aguda debida a virus Coxsackie"
"J204" "Bronquitis aguda debida a virus parainfluenza"
"J205" "Bronquitis aguda debida a virus sincitial respiratorio"
"J206" "Bronquitis aguda debida a rinovirus"
"J207" "Bronquitis aguda debida a virus ECHO"
"J208" "Bronquitis aguda debida a otros microorganismos especificados"
"J209" "Bronquitis aguda, no especificada"
"J21" "Bronquiolitis aguda"
"J210" "Bronquiolitis aguda debida a virus sincitial respiratorio"
"J211" "Bronquiolitis aguda debida a metaneumovirus humano"
"J218" "Bronquiolitis aguda debida a otros microorganismos especificados"
"J219" "Bronquiolitis aguda, no especificada"
"J22" "Infeccin aguda no especificada de las vas respiratorias inferiores"
"J30" "Rinitis alrgica y vasomotora"
"J300" "Rinitis vasomotora"
"J301" "Rinitis alrgica debida al polen"
"J302" "Otra rinitis alrgica estacional"
"J303" "Otras rinitis alrgicas"
"J304" "Rinitis alrgica, no especificada"
"J31" "Rinitis, rinofaringitis y faringitis crnicas"
"J310" "Rinitis crnica"
"J311" "Rinofaringitis crnica"
"J312" "Faringitis crnica"
"J32" "Sinusitis crnica"
"J320" "Sinusitis maxilar crnica"
"J321" "Sinusitis frontal crnica"
"J322" "Sinusitis etmoidal crnica"
"J323" "Sinusitis esfenoidal crnica"
"J324" "Pansinusitis crnica"
"J328" "Otras sinusitis crnicas"
"J329" "Sinusitis crnica, no especificada"
"J33" "Plipo nasal"
"J330" "Plipo de la cavidad nasal"
"J331" "Degeneracin polipoide de seno paranasal"
"J338" "Otros plipos de los senos paranasales"
"J339" "Plipo nasal, no especificado"
"J34" "Otros trastornos de la nariz y de los senos paranasales"
"J340" "Absceso, furnculo y carbunco de la nariz"
"J341" "Quiste y mucocele de la nariz y del seno paranasal"
"J342" "Desviacin del tabique nasal"
"J343" "Hipertrofia de los cornetes nasales"
"J348" "Otros trastornos especificados de la nariz y de los senos paranasales"
"J35" "Enfermedades crnicas de las amgdalas y de las adenoides"
"J350" "Amigdalitis crnica"
"J351" "Hipertrofia de las amgdalas"
"J352" "Hipertrofia de las adenoides"
"J353" "Hipertrofia de las amgdalas con hipertrofia de las adenoides"
"J358" "Otras enfermedades crnicas de las amgdalas y de las adenoides"
"J359" "Enfermedad crnica de las amgdalas y de las adenoides, no especificada"
"J36" "Absceso periamigdalino"
"J37" "Laringitis y laringotraquetis crnicas"
"J370" "Laringitis crnica"
"J371" "Laringotraquetis crnica"
"J38" "Enfermedades de las cuerdas vocales y de la laringe, no clasificadas en otra parte"
"J380" "Parlisis de las cuerdas vocales y de la laringe"
"J381" "Plipo de las cuerdas vocales y de la laringe"
"J382" "Ndulos de las cuerdas vocales"
"J383" "Otras enfermedades de las cuerdas vocales"
"J384" "Edema de laringe"
"J385" "Espasmo larngeo"
"J386" "Estenosis larngea"
"J387" "Otras enfermedades de la laringe"
"J39" "Otras enfermedades de las vas respiratorias superiores"
"J390" "Absceso retrofarngeo y parafarngeo"
"J391" "Otros abscesos de la faringe"
"J392" "Otras enfermedades de la faringe"
"J393" "Reaccin de hipersensibilidad de las vas respiratorias superiores, sitio no especificado"
"J398" "Otras enfermedades especificadas de las vas respiratorias superiores"
"J399" "Enfermedad de las vas respiratorias superiores, no especificada"
"J40" "Bronquitis, no especificada como aguda o crnica"
"J41" "Bronquitis crnica simple y mucopurulenta"
"J410" "Bronquitis crnica simple"
"J411" "Bronquitis crnica mucopurulenta"
"J418" "Bronquitis crnica mixta simple y mucopurulenta"
"J42" "Bronquitis crnica no especificada"
"J43" "Enfisema"
"J430" "Sndrome de MacLeod"
"J431" "Enfisema panlobular"
"J432" "Enfisema centrolobular"
"J438" "Otros tipos de enfisema"
"J439" "Enfisema, no especificado"
"J44" "Otras enfermedades pulmonares obstructivas crnicas"
"J440" "Enfermedad pulmonar obstructiva crnica con infeccin aguda de las vas respiratorias inferiores"
"J441" "Enfermedad pulmonar obstructiva crnica con exacerbacin aguda, no especificada"
"J448" "Otras enfermedades pulmonares obstructivas crnicas especificadas"
"J449" "Enfermedad pulmonar obstructiva crnica, no especificada"
"J45" "Asma"
"J450" "Asma predominantemente alrgica"
"J451" "Asma no alrgica"
"J458" "Asma mixta"
"J459" "Asma, no especificado"
"J46" "Estado asmtico"
"J47" "Bronquiectasia"
"J60" "Neumoconiosis de los mineros del carbn"
"J61" "Neumoconiosis debida al asbesto y a otras fibras minerales"
"J62" "Neumoconiosis debida a polvo de slice"
"J620" "Neumoconiosis debida a polvo de talco"
"J628" "Neumoconiosis debida a otros polvos que contienen slice"
"J63" "Neumoconiosis debida a otros polvos inorgnicos"
"J630" "Aluminosis (del pulmn)"
"J631" "Fibrosis (del pulmn) debida a bauxita"
"J632" "Beriliosis"
"J633" "Fibrosis (del pulmn) debida a grafito"
"J634" "Siderosis"
"J635" "Estaosis"
"J638" "Neumoconiosis debida a otros polvos inorgnicos especificados"
"J64" "Neumoconiosis, no especificada"
"J65" "Neumoconiosis asociada con tuberculosis"
"J66" "Enfermedades de las vas areas debidas a polvos orgnicos especficos"
"J660" "Bisinosis"
"J661" "Enfermedad de los trabajadores del lino"
"J662" "Canabinosis"
"J668" "Enfermedad de las vas areas debida a otros polvos orgnicos especficos"
"J67" "Neumonitis debida a hipersensibilidad al polvo orgnico"
"J670" "Pulmn del granjero"
"J671" "Bagazosis"
"J672" "Pulmn del ornitfilo"
"J673" "Suberosis"
"J674" "Pulmn del manipulador de malta"
"J675" "Pulmn del manipulador de hongos"
"J676" "Pulmn del descortezador del arce"
"J677" "Neumonitis de la ventilacin debida al acondicionador y humidificador del aire"
"J678" "Neumonitis debidas a hipersensibilidad a otros polvos orgnicos"
"J679" "Neumonitis debida a hipersensibilidad a polvo orgnico no especificado"
"J68" "Afecciones respiratorias debidas a inhalacin de gases, humos, vapores y sustancias qumicas"
"J680" "Bronquitis y neumonitis debidas a inhalacin de gases, humos, vapores y sustancias qumicas"
"J681" "Edema pulmonar agudo debido a inhalacin de gases, humos, vapores y sustancias qumicas"
"J682" "Inflamacin respiratoria superior debida a inhalacin de gases, humos, vapores y sustancias qumicas, no clasificadas en otra parte"
"J683" "Otras afecciones respiratorias agudas y subagudas debidas a inhalacin de gases, humos, vapores y sustancias qumicas"
"J684" "Afecciones respiratorias crnicas debidas a inhalacin de gases, humos, vapores y sustancias qumicas"
"J688" "Otras afecciones respiratorias debidas a inhalacin de gases, humos, vapores y sustancias qumicas"
"J689" "Afeccin respiratoria no especificada, debida a inhalacin de gases, humos, vapores y sustancias qumicas"
"J69" "Neumonitis debida a slidos y lquidos"
"J690" "Neumonitis debida a aspiracin de alimento o vmito"
"J691" "Neumonitis debida a aspiracin de aceites y esencias"
"J698" "Neumonitis debida a aspiracin de otros slidos y lquidos"
"J70" "Afecciones respiratorias debidas a otros agentes externos"
"J700" "Manifestaciones pulmonares agudas debidas a radiacin"
"J701" "Manifestaciones pulmonares crnicas y otras manifestaciones debidas a radiacin"
"J702" "Trastornos pulmonares intersticiales agudos inducidos por drogas"
"J703" "Trastornos pulmonares intersticiales crnicos inducidos por drogas"
"J704" "Trastornos pulmonares intersticiales no especificados inducidos por drogas"
"J708" "Afecciones respiratorias debidas a otros agentes externos especificados"
"J709" "Afecciones respiratorias debidas a agentes externos no especificados"
"J80" "Sndrome de dificultad respiratoria del adulto"
"J81" "Edema pulmonar"
"J82" "Eosinofilia pulmonar, no clasificada en otra parte"
"J84" "Otras enfermedades pulmonares intersticiales"
"J840" "Afecciones alveolares y alveoloparietales"
"J841" "Otras enfermedades pulmonares intersticiales con fibrosis"
"J848" "Otras enfermedades pulmonares intersticiales especificadas"
"J849" "Enfermedad pulmonar intersticial, no especificada"
"J85" "Absceso del pulmn y del mediastino"
"J850" "Gangrena y necrosis del pulmn"
"J851" "Absceso del pulmn con neumona"
"J852" "Absceso del pulmn sin neumona"
"J853" "Absceso del mediastino"
"J86" "Piotrax"
"J860" "Piotrax con fstula"
"J869" "Piotrax sin fstula"
"J90" "Derrame pleural no clasificado en otra parte"
"J91" "Derrame pleural en afecciones clasificadas en otra parte"
"J92" "Paquipleuritis"
"J920" "Paquipleuritis con asbestosis"
"J929" "Paquipleuritis sin asbestosis"
"J93" "Neumotrax"
"J930" "Neumtorax espontneo a presin"
"J931" "Otros tipos de neumotrax espontneo"
"J938" "Otros neumotrax"
"J939" "Neumotrax, no especificado"
"J94" "Otras afecciones de la pleura"
"J940" "Quilotrax"
"J941" "Fibrotrax"
"J942" "Hemotrax"
"J948" "Otras afecciones especificadas de la pleura"
"J949" "Afeccin pleural, no especificada"
"J95" "Trastornos del sistema respiratorio consecutivos a procedimientos, no clasificados en otra parte"
"J950" "Funcionamiento defectuoso de la traqueostoma"
"J951" "Insuficiencia pulmonar aguda consecutiva a ciruga torcica"
"J952" "Insuficiencia pulmonar aguda consecutiva debida a ciruga extratorcica"
"J953" "Insuficiencia pulmonar crnica consecutiva a ciruga"
"J954" "Sndrome de Mendelson"
"J955" "Estenosis subgltica consecutiva a procedimientos"
"J958" "Otros trastornos respiratorios consecutivos a procedimientos"
"J959" "Trastorno no especificado del sistema respiratorio, consecutivo a procedimientos"
"J96" "Insuficiencia respiratoria, no clasificada en otra parte"
"J960" "Insuficiencia respiratoria aguda"
"J961" "Insuficiencia respiratoria crnica"
"J969" "Insuficiencia respiratoria, no especificada"
"J98" "Otros trastornos respiratorios"
"J980" "Enfermedades de la trquea y de los bronquios, no clasificadas en otra parte"
"J981" "Colapso pulmonar"
"J982" "Enfisema intersticial"
"J983" "Enfisema compensatorio"
"J984" "Otros trastornos del pulmn"
"J985" "Enfermedades del mediastino, no clasificadas en otra parte"
"J986" "Trastornos del diafragma"
"J988" "Otros trastornos respiratorios especificados"
"J989" "Trastorno respiratorio, no especificado"
"J99" "Trastornos respiratorios en enfermedades clasificadas en otra parte"
"J990" "Enfermedad pulmonar reumatoide"
"J991" "Trastornos respiratorios en otros trastornos difusos del tejido conjuntivo"
"J998" "Trastornos respiratorios en otras enfermedades clasificadas en otra parte"
"K00" "Trastornos del desarrollo y de la erupcin de los dientes"
"K000" "Anodoncia"
"K001" "Dientes supernumerarios"
"K002" "Anomalas del tamao y de la forma del diente"
"K003" "Dientes moteados"
"K004" "Alteraciones en la formacin dentaria"
"K005" "Alteraciones hereditarias de la estructura dentaria, no clasificadas en otra parte"
"K006" "Alteraciones en la erupcin dentaria"
"K007" "Sndrome de la erupcin dentaria"
"K008" "Otros trastornos del desarrollo de los dientes"
"K009" "Trastorno del desarrollo de los dientes, no especificado"
"K01" "Dientes incluidos e impactados"
"K010" "Dientes incluidos"
"K011" "Dientes impactados"
"K02" "Caries dental"
"K020" "Caries limitada al esmalte"
"K021" "Caries de la dentina"
"K022" "Caries del cemento"
"K023" "Caries dentaria detenida"
"K024" "Odontoclasia"
"K025" "Caries con exposicin pulpar"
"K028" "Otras caries dentales"
"K029" "Caries dental, no especificada"
"K03" "Otras enfermedades de los tejidos duros de los dientes"
"K030" "Atricin excesiva de los dientes"
"K031" "Abrasin de los dientes"
"K032" "Erosin de los dientes"
"K033" "Reabsorcin patolgica de los dientes"
"K034" "Hipercementosis"
"K035" "Anquilosis dental"
"K036" "Depsitos [acreciones] en los dientes"
"K037" "Cambios posteruptivos del color de los tejidos dentales duros"
"K038" "Otras enfermedades especificadas de los tejidos duros de los dientes"
"K039" "Enfermedad no especificada de los tejidos dentales duros"
"K04" "Enfermedades de la pulpa y de los tejidos periapicales"
"K040" "Pulpitis"
"K041" "Necrosis de la pulpa"
"K042" "Degeneracin de la pulpa"
"K043" "Formacin anormal de tejido duro en la pulpa"
"K044" "Periodontitis apical aguda originada en la pulpa"
"K045" "Periodontitis apical crnica"
"K046" "Absceso periapical con fstula"
"K047" "Absceso periapical sin fstula"
"K048" "Quiste radicular"
"K049" "Otras enfermedades y las no especificadas de la pulpa y del tejido periapical"
"K05" "Gingivitis y enfermedades periodontales"
"K050" "Gingivitis aguda"
"K051" "Gingivitis crnica"
"K052" "Periodontitis aguda"
"K053" "Periodontitis crnica"
"K054" "Periodontosis"
"K055" "Otras enfermedades periodontales"
"K056" "Enfermedad del periodonto, no especificada"
"K06" "Otros trastornos de la enca y de la zona edntula"
"K060" "Retraccin gingival"
"K061" "Hiperplasia gingival"
"K062" "Lesiones de la enca y de la zona edntula asociadas con traumatismo"
"K068" "Otros trastornos especificados de la enca y de la zona edntula"
"K069" "Trastorno no especificado de la enca y de la zona edntula"
"K07" "Anomalas dentofaciales (incluso la maloclusin)"
"K070" "Anomalas evidentes del tamao de los maxilares"
"K071" "Anomalas de la relacin maxilobasilar"
"K072" "Anomalas de la relacin entre los arcos dentarios"
"K073" "Anomalas de la posicin del diente"
"K074" "Maloclusin de tipo no especificado"
"K075" "Anomalas dentofaciales funcionales"
"K076" "Trastornos de la articulacin temporomaxilar"
"K078" "Otras anomalas dentofaciales"
"K079" "Anomala dentofacial, no especificada"
"K08" "Otros trastornos de los dientes y de sus estructuras de sostn"
"K080" "Exfoliacin de los dientes debida a causas sistmicas"
"K081" "Perdida de dientes debida a accidente, extraccin o enfermedad periodontal local"
"K082" "Atrofia del reborde alveolar desdentado"
"K083" "Raz dental retenida"
"K088" "Otras afecciones especificadas de los dientes y de sus estructuras de sostn"
"K089" "Trastorno de los dientes y de sus estruturas de sostn, no especificado"
"K09" "Quites de la regin bucal, no clasificados en otra parte"
"K090" "Quistes originados por el desarrollo de los dientes"
"K091" "Quistes de las fisuras (no odontognicos)"
"K092" "Otros quistes de los maxilares"
"K098" "Otros quistes de la regin bucal, no clasificados en otra parte"
"K099" "Quiste de la regin bucal, sin otra especificacin"
"K10" "Otras enfermedades de los maxilares"
"K100" "Trastornos del desarrollo de los maxilares"
"K101" "Granuloma central de clulas gigantes"
"K102" "Afecciones inflamatorias de los maxilares"
"K103" "Alveolitis del maxilar"
"K108" "Otras enfermedades especificadas de los maxilares"
"K109" "Enfermedad de los maxilares, no especificada"
"K11" "Enfermedades de las glndulas salivales"
"K110" "Atrofia de glndula salival"
"K111" "Hipertrofia de glndula salival"
"K112" "Sialadenitis"
"K113" "Absceso de glndula salival"
"K114" "Fstula de glndula salival"
"K115" "Sialolitiasis"
"K116" "Mucocele de glndula salival"
"K117" "Alteraciones de la secrecin salival"
"K118" "Otras enfermedades de las glndulas salivales"
"K119" "Enfermedad de glndula salival, no especificada"
"K12" "Estomatitis y lesiones afines"
"K120" "Estomatitis aftosa recurrente"
"K121" "Otras formas de estomatitis"
"K122" "Celulitis y absceso de boca"
"K123" "Mucositis oral (ulcerativa)"
"K13" "Otras enfermedades de los labios y de la mucosa bucal"
"K130" "Enfermedades de los labios"
"K131" "Mordedura del labio y de la mejilla"
"K132" "Leucoplasia y otras alteraciones del epitelio bucal, incluyendo la lengua"
"K133" "Leucoplasia pilosa"
"K134" "Granuloma y lesiones semejantes de la mucosa bucal"
"K135" "Fibrosis de la submucosa bucal"
"K136" "Hiperplasia irritativa de la mucosa bucal"
"K137" "Otras lesiones y las no especificadas de la mucosa bucal"
"K14" "Enfermedades de la lengua"
"K140" "Glositis"
"K141" "Lengua geogrfica"
"K142" "Glositis romboidea mediana"
"K143" "Hipertrofia de las papilas linguales"
"K144" "Atrofia de las papilas linguales"
"K145" "Lengua plegada"
"K146" "Glosodinia"
"K148" "Otras enfermedades de la lengua"
"K149" "Enfermedad de la lengua, no especificada"
"K20" "Esofagitis"
"K21" "Enfermedad del reflujo gastroesofgico"
"K210" "Enfermedad del reflujo gastroesofgico con esofagitis"
"K219" "Enfermedad del reflujo gastroesofgico sin esofagitis"
"K22" "Otras enfermedades del esfago"
"K220" "Acalasia del cardias"
"K221" "lcera del esfago"
"K222" "Obstruccin del esfago"
"K223" "Perforacin del esfago"
"K224" "Disquinesia del esfago"
"K225" "Divertculo del esfago, adquirido"
"K226" "Sndrome de laceracin y hemorragia gastroesofgicas"
"K227" "Esfago de Barrett"
"K228" "Otras enfermedades especificadas del esfago"
"K229" "Enfermedad del esfago, no especificada"
"K23" "Trastornos del esfago en enfermedades clasificadas en otra parte"
"K230" "Esofagitis tuberculosa"
"K231" "Megaesfago en la enfermedad de Chagas"
"K238" "Trastornos del esfago en otras enfermedades clasificadas en otra parte"
"K25" "lcera gstrica"
"K250" "lcera gstrica, aguda con hemorragia"
"K251" "lcera gastrica, aguda con perforacin"
"K252" "lcera gstrica, aguda con hemorragia y perforacin"
"K253" "lcera gstrica, aguda sin hemorragia ni perforacin"
"K254" "lcera gstrica, crnica o no especificada, con hemorragia"
"K255" "lcera gstrica, crnica o no especificada, con perforacin"
"K256" "lcera gstrica, crnica o no especificada, con hemorragia y perforacin"
"K257" "lcera gstrica, crnica sin hemorragia ni perforacin"
"K259" "lcera gstrica, no especificada como aguda ni crnica, sin hemorragia ni perforacin"
"K26" "lcera duodenal"
"K260" "lcera duodenal, aguda con hemorragia"
"K261" "lcera duodenal, aguda con perforacin"
"K262" "lcera duodenal, aguda con hemorragia y perforacin"
"K263" "lcera duodenal, aguda sin hemorragia ni perforacin"
"K264" "lcera duodenal, crnica o no especificada, con hemorragia"
"K265" "lcera duodenal, crnica o no especificada, con perforacin"
"K266" "lcera duodenal, crnica o no especificada, con hemorragia y perforacin"
"K267" "lcera duodenal, crnica sin hemorragia ni perforacin"
"K269" "lcera duodenal, no especificada como aguda ni crnica, sin hemorragia ni perforacin"
"K27" "lcera pptica, de sitio no especificado"
"K270" "lcera pptica, de sitio no especificado, aguda con hemorragia"
"K271" "lcera pptica, de sitio no especificado, aguda con perforacin"
"K272" "lcera pptica, de sitio no especificado, aguda con hemorragia y perforacin"
"K273" "lcera pptica, de sitio no especificado, aguda sin hemorragia ni perforacin"
"K274" "lcera pptica, de sitio no especificado, crnica o no especificada, con hemorragia"
"K275" "lcera pptica, de sitio no especificado, crnica o no especificada, con perforacin"
"K276" "lcera pptica, de sitio no especificado, crnica o no especificada, con hemorragia y perforacin"
"K277" "lcera pptica, de sitio no especificado, crnica sin  hemorragia ni perforacin"
"K279" "lcera pptica, de sitio no especificado, no especificada como aguda ni crnica, sin  hemorragia ni perforacin"
"K28" "lcera gastroyeyunal"
"K280" "lcera gastroyeyunal, aguda con hemorragia"
"K281" "lcera gastroyeyunal, aguda con perforacin"
"K282" "lcera gastroyeyunal, aguda con hemorragia y perforacin"
"K283" "lcera gastroyeyunal, aguda sin hemorragia ni perforacin"
"K284" "lcera gastroyeyunal, crnica o no especificada, con hemorragia"
"K285" "lcera gastroyeyunal, crnica o no especificada, con perforacin"
"K286" "lcera gastroyeyunal, crnica o no especificada, con hemorragia y perforacin"
"K287" "lcera gastroyeyunal, crnica sin hemorragia ni perforacin"
"K289" "lcera gastroyeyunal, no especificada como aguda ni crnica, sin hemorragia ni perforacin"
"K29" "Gastritis y duodenitis"
"K290" "Gastritis aguda hemorrgica"
"K291" "Otras gastritis agudas"
"K292" "Gastritis alcohlica"
"K293" "Gastritis crnica superficial"
"K294" "Gastritis crnica atrfica"
"K295" "Gastritis crnica, no especificada"
"K296" "Otras gastritis"
"K297" "Gastritis, no especificada"
"K298" "Duodenitis"
"K299" "Gastroduodenitis, no especificada"
"K30" "Dispepsia"
"K31" "Otras enfermedades del estmago y del duodeno"
"K310" "Dilatacin aguda del estmago"
"K311" "Estenosis pilrica hipertrfica del adulto"
"K312" "Estrechez o estenosis del estmago en reloj de arena"
"K313" "Espasmo del ploro, no clasificado en otra parte"
"K314" "Divertculo gstrico"
"K315" "Obstruccin del duodeno"
"K316" "Fstula del estmago y del duodeno"
"K317" "Plipo del estmago y del duodeno"
"K318" "Otras enfermedades especificadas del estmago y del duodeno"
"K319" "Enfermedad del estmago y del duodeno, no especificada"
"K35" "Apendicitis aguda"
"K350" "Apendicitis aguda con peritonitis generalizada"
"K351" "Apendicitis aguda con absceso peritoneal"
"K352" "Apendicitis aguda con peritonitis generalizada"
"K353" "Apendicitis aguda con peritonitis localizada"
"K358" "Otras apendicitis agudas, y las no especificadas"
"K359" "Apendicitis aguda, no especificada"
"K36" "Otros tipos de apendicitis"
"K37" "Apendicitis, no especificada"
"K38" "Otras enfermedades del apndice"
"K380" "Hiperplasia del apndice"
"K381" "Concreciones apendiculares"
"K382" "Divertculo del apndice"
"K383" "Fstula del apndice"
"K388" "Otras enfermedades especificadas del apndice"
"K389" "Enfermedad del apndice, no especificada"
"K40" "Hernia inguinal"
"K400" "Hernia inguinal bilateral con obstruccin, sin gangrena"
"K401" "Hernia inguinal bilateral, con gangrena"
"K402" "Hernia inguinal bilateral, sin obstruccin ni gangrena"
"K403" "Hernia inguinal unilateral o no especificada, con obstruccin, sin gangrena"
"K404" "Hernia inguinal unilateral o no especificada, con gangrena"
"K409" "Hernia inguinal unilateral o no especificada, sin obstruccin ni gangrena"
"K41" "Hernia femoral"
"K410" "Hernia femoral bilateral, con obstruccin, sin gangrena"
"K411" "Hernia femoral bilateral, con gangrena"
"K412" "Hernia femoral bilateral, sin obstruccin ni gangrena"
"K413" "Hernia femoral unilateral o no especificada, con obstruccin, sin gangrena"
"K414" "Hernia femoral unilateral o no especificada, con gangrena"
"K419" "Hernia femoral unilateral o no especificada, sin obstruccin ni gangrena"
"K42" "Hernia umbilical"
"K420" "Hernia umbilical con obstruccin, sin gangrena"
"K421" "Hernia umbilical con gangrena"
"K429" "Hernia umbilical sin obstruccin ni gangrena"
"K43" "Hernia ventral"
"K430" "Hernia ventral con obstruccin, sin gangrena"
"K431" "Hernia ventral con gangrena"
"K432" "Hernia incisional sin obstruccin o gangrena"
"K433" "Hernia paraestomal con obstruccin, sin gangrena"
"K434" "Hernia paraestomal con gangrena"
"K435" "Hernia paraestomal sin obstruccin o gangrena"
"K436" "Otras hernias ventrales y las no especificadas con obstruccin, sin gangrena"
"K437" "Otras hernias ventrales y las no especificadas con gangrena"
"K439" "Hernia ventral sin obstruccin ni gangrena"
"K44" "Hernia diafragmtica"
"K440" "Hernia diafragmtica con obstruccin, sin gangrena"
"K441" "Hernia diafragmtica con gangrena"
"K449" "Hernia diafragmtica sin obstruccin ni gangrena"
"K45" "Otras hernias de la cavidad abdominal"
"K450" "Otras hernias de la cavidad abdominal especificadas, con obstruccin, sin gangrena"
"K451" "Otras hernias de la cavidad abdominal especificadas, con gangrena"
"K458" "Otras hernias de la cavidad abdominal especificadas, sin obstruccin ni gangrena"
"K46" "Hernia no especificada de la cavidad abdominal"
"K460" "Hernia abdominal no especificada, con obstruccin, sin gangrena"
"K461" "Hernia abdominal no especificada, con gangrena"
"K469" "Hernia abdominal no especificada, sin obstruccin ni gangrena"
"K50" "Enfermedad de Crohn [enteritis regional]"
"K500" "Enfermedad de Crohn del intestino delgado"
"K501" "Enfermedad de Crohn del intestino grueso"
"K508" "Otros tipos de enfermedad de Crohn"
"K509" "Enfermedad de Crohn, no especificada"
"K51" "Colitis Ulcerativa"
"K510" "Enterocolitis (crnica) ulcerativa"
"K511" "Ileocolitis (crnica) ulcerativa"
"K512" "Proctitis (crnica) ulcerativa"
"K513" "Rectosigmoiditis (crnica) ulcerativa"
"K514" "Seudopoliposis del colon"
"K515" "Proctocolitis mucosa"
"K518" "Otras colitis ulcerativas"
"K519" "Colitis Ulcerativa, sin otra especificacin"
"K52" "Otras colitis y gastroenteritis no infecciosas"
"K520" "Colitis y gastroenteritis debidas a radiacin"
"K521" "Colitis y gastroenteritis txicas"
"K522" "Colitis y gastroenteritis alrgicas y dietticas"
"K523" "Colitis de etiologa indeterminada"
"K528" "Otras colitis y gastroenteritis no infecciosas especificadas"
"K529" "Colitis y gastroenteritis no infecciosas, no especificadas"
"K55" "Trastornos vasculares de los intestinos"
"K550" "Trastorno vascular agudo de los intestinos"
"K551" "Trastorno vascular crnico del intestino"
"K552" "Angiodisplasia del colon"
"K558" "Otros trastornos vasculares del intestino"
"K559" "Trastorno vascular del intestino, no especificado"
"K56" "Ileo paraltico y obstruccin intestinal sin hernia"
"K560" "leo paraltico"
"K561" "Invaginacin"
"K562" "Vlvulo"
"K563" "leo por clculo biliar"
"K564" "Otras obstrucciones del intestino"
"K565" "Adherencias [bridas] intestinales con obstruccin"
"K566" "Otras obstrucciones intestinales y las no especificadas"
"K567" "leo, no especificado"
"K57" "Enfermedad diverticular del intestino"
"K570" "Enfermedad diverticular del intestino delgado con perforacin y absceso"
"K571" "Enfermedad diverticular del intestino delgado sin perforacin ni absceso"
"K572" "Enfermedad diverticular del intestino grueso con perforacin y absceso"
"K573" "Enfermedad diverticular del intestino grueso sin perforacin ni absceso"
"K574" "Enfermedad diverticular de ambos intestinos con perforacin y absceso"
"K575" "Enfermedad diverticular de ambos intestinos, sin perforacin ni absceso"
"K578" "Enfermedad diverticular del intestino, parte no especificada, con perforacin y absceso"
"K579" "Enfermedad diverticular del intestino, parte no especificada, sin perforacin ni absceso"
"K58" "Sndrome del colon irritable"
"K580" "Sndrome del colon irritable con diarrea"
"K589" "Sndrome del colon irritable sin diarrea"
"K59" "Otros trastornos funcionles del intestino"
"K590" "Constipacin"
"K591" "Diarrea funcional"
"K592" "Intestino neurognico, no clasificado en otra parte"
"K593" "Megacolon, no clasificado en otra parte"
"K594" "Espasmo anal"
"K598" "Otros trastornos funcionales especificados del intestino"
"K599" "Trastorno funcional intestinal, no especificado"
"K60" "Fisura y fstula de las regiones anal y rectal"
"K600" "Fisura anal aguda"
"K601" "Fisura anal crnica"
"K602" "Fisura anal, no especificada"
"K603" "Fstula anal"
"K604" "Fstula rectal"
"K605" "Fstula anorrectal"
"K61" "Absceso de las regiones anal y rectal"
"K610" "Absceso anal"
"K611" "Absceso rectal"
"K612" "Absceso anorrectal"
"K613" "Absceso isquiorrectal"
"K614" "Absceso intraesfinteriano"
"K62" "Otras enfermedades del ano y del recto"
"K620" "Plipo anal"
"K621" "Plipo rectal"
"K622" "Prolapso anal"
"K623" "Prolapso rectal"
"K624" "Estenosis del ano y del recto"
"K625" "Hemorragia del ano y del recto"
"K626" "lcera del ano y del recto"
"K627" "Proctitis por radiacin"
"K628" "Otras enfermedades especificadas del ano y del recto"
"K629" "Enfermedad del ano y del recto, no especificada"
"K63" "Otras enfermedades de los intestinos"
"K630" "Absceso del intestino"
"K631" "Perforacin del intestino (no traumtica)"
"K632" "Fstula del intestino"
"K633" "lcera del intestino"
"K634" "Enteroptosis"
"K635" "Plipo del colon"
"K638" "Otras enfermedades especificadas del intestino"
"K639" "Enfermedad del intestino, no especificada"
"K64" "Hemorroides y trombosis venosa perianal "
"K640" "Hemorroides de primer grado "
"K641" "Hemorroides de segundo grado"
"K642" "Hemorroides de tercer grado "
"K643" "Hemorroides de cuarto grado "
"K644" "Marcas residuales en la piel, de hemorroides "
"K645" "Trombosis venosa perianal "
"K648" "Otras hemorroides especificadas "
"K649" "Hemorroides, sin otra especificacin"
"K65" "Peritonitis"
"K650" "Peritonitis aguda"
"K658" "Otras peritonitis"
"K659" "Peritonitis, no especificada"
"K66" "Otros trastornos del peritoneo"
"K660" "Adherencias peritoneales"
"K661" "Hemoperitoneo"
"K668" "Otros trastornos especificados del peritoneo"
"K669" "Trastorno del peritoneo, no especificado"
"K67" "Trastornos del peritoneo en enfermedades infecciosas clasificadas en otra parte"
"K670" "Peritonitis por clamidias"
"K671" "Peritonitis gonoccica"
"K672" "Peritonitis sifiltica"
"K673" "Peritonitis tuberculosa"
"K678" "Otros trastornos del peritoneo en enfermedades infecciosas clasificadas en otra parte"
"K70" "Enfermedad alcohlica del hgado"
"K700" "Hgado alcohlico adiposo"
"K701" "Hepatitis alcohlica"
"K702" "Fibrosis y esclerosis del hgado, alcohlica"
"K703" "Cirrosis heptica alcohlica"
"K704" "Insuficiencia heptica alcohlica"
"K709" "Enfermedad heptica alcohlica, no especificada"
"K71" "Enfermedad txica del hgado"
"K710" "Enfermedad txica del hgado, con colestasis"
"K711" "Enfermedad txica del hgado con necrosis heptica"
"K712" "Enfermedad txica del hgado con hepatitis aguda"
"K713" "Enfermedad txica del hgado con hepatitis crnica persistente"
"K714" "Enfermedad txica del hgado con hepatitis crnica lobular"
"K715" "Enfermedad txica del hgado con hepatitis crnica activa"
"K716" "Enfermedad txica del hgado con hepatitis no clasificada en otra parte"
"K717" "Enfermedad txica del hgado con cirrosis y fibrosis del hgado"
"K718" "Enfermedad txica del hgado con otros trastornos hepticos"
"K719" "Enfermedad txica del hgado, no especificada"
"K72" "Insuficiencia heptica, no clasificada en otra parte"
"K720" "Insuficiencia heptica aguda o subaguda"
"K721" "Insuficiencia heptica crnica"
"K729" "Insuficiencia heptica, no especificada"
"K73" "Hepatitis crnica, no clasificada en otra parte"
"K730" "Hepatitis crnica persistente, no clasificada en otra parte"
"K731" "Hepatitis crnica lobular, no clasificada en otra parte"
"K732" "Hepatitis crnica activa, no clasificada en otra parte"
"K738" "Otras hepatitis crnicas, no clasificadas en otra parte"
"K739" "Hepatitis crnica, no especificada"
"K74" "Fibrosis y cirrosis del hgado"
"K740" "Fibrosis heptica"
"K741" "Esclerosis heptica"
"K742" "Fibrosis heptica con esclerosis heptica"
"K743" "Cirrosis biliar primaria"
"K744" "Cirrosis biliar secundaria"
"K745" "Cirrosis biliar, no especificada"
"K746" "Otras cirrosis del hgado y las no especificadas"
"K75" "Otras enfermedades inflamatorias del hgado"
"K750" "Absceso del hgado"
"K751" "Flebitis de la vena porta"
"K752" "Hepatitis reactiva no especificada"
"K753" "Hepatitis granulomatosa, no clasificada en otra parte"
"K754" "Hepatitis autoinmune"
"K758" "Otras enfermedades inflamatorias del hgado, especificadas"
"K759" "Enfermedad inflamatoria del hgado, no especificada"
"K76" "Otras enfermedades del hgado"
"K760" "Degeneracin grasa del hgado, no clasificada en otra parte"
"K761" "Congestin pasiva crnica del hgado"
"K762" "Necrosis hemorrgica central del hgado"
"K763" "Infarto del hgado"
"K764" "Peliosis heptica"
"K765" "Enfermedad veno-oclusiva del hgado"
"K766" "Hipertensin portal"
"K767" "Sndrome hepatorrenal"
"K768" "Otras enfermedades especificadas del hgado"
"K769" "Enfermedad del hgado, no especificada"
"K77" "Trastornos del hgado en enfermedades clasificadas en otra parte"
"K770" "Trastornos del hgado en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"K778" "Trastornos del hgado en otras enfermedades clasificadas en otra parte"
"K80" "Colelitiasis"
"K800" "Clculo de la vescula biliar con colecistitis aguda"
"K801" "Clculo de la vescula biliar con otra colecistitis"
"K802" "Clculo de la vescula biliar sin colecistitis"
"K803" "Clculo de conducto biliar con colangitis"
"K804" "Clculo de conducto biliar con colecistitis"
"K805" "Clculo de conducto biliar sin colangitis ni colecistitis"
"K808" "Otras colelitiasis"
"K81" "Colecistitis"
"K810" "Colecistitis aguda"
"K811" "Colecistitis crnica"
"K818" "Otras colecistitis"
"K819" "Colecistitis, no especificada"
"K82" "Otras enfermedades de la vescula biliar"
"K820" "Obstruccin de la vescula biliar"
"K821" "Hidropesa de la vescula biliar"
"K822" "Perforacin de la vescula biliar"
"K823" "Fstula de la vescula biliar"
"K824" "Colesterolosis de la vescula biliar"
"K828" "Otras enfermedades especificadas de la vescula biliar"
"K829" "Enfermedad de la vescula biliar, no especificada"
"K83" "Otras enfermedades de las vas biliares"
"K830" "Colangitis"
"K831" "Obstruccin del conducto biliar"
"K832" "Perforacin del conducto biliar"
"K833" "Fstula del conducto biliar"
"K834" "Espasmo del esfnter de Oddi"
"K835" "Quiste biliar"
"K838" "Otras enfermedades especificadas de las vas biliares"
"K839" "Enfermedad de las vas biliares, no especificada"
"K85" "K85X  Pancreatitis aguda"
"K850" "Pancreatitis idioptica aguda"
"K851" "Pancreatitis biliar aguda"
"K852" "Pancreatitis aguda inducida por alcohol"
"K853" "Pancreatitits aguda inducida por drogas"
"K858" "Otras pancreatitis agudas"
"K859" "Pancreatitis aguda, no especificada"
"K86" "Otras enfermedades del pncreas"
"K860" "Pancreatitis crnica inducida por el alcohol"
"K861" "Otras pancreatitis crnicas"
"K862" "Quiste del pncreas"
"K863" "Seudoquiste del pncreas"
"K868" "Otras enfermedades especificadas del pncreas"
"K869" "Enfermedad del pncreas, no especificada"
"K87" "Trastornos de la vescula biliar, de las vas biliares y del pncreas en enfermedades clasificadas en otra parte"
"K870" "Trastornos de la vescula biliar y de las vas biliares en enfermedades clasificadas en otra parte"
"K871" "Trastornos del pncreas en enfermedades clasificadas en otra parte"
"K90" "Malabsorcin intestinal"
"K900" "Enfermedad celaca"
"K901" "Esprue tropical"
"K902" "Sndrome del asa ciega, no clasificado en otra parte"
"K903" "Esteatorrea pancretica"
"K904" "Malabsorcin debida a intolerancia, no clasificada en otra parte"
"K908" "Otros tipos de malabsorcin intestinal"
"K909" "Malabsorcin intestinal, no especificada"
"K91" "Trastornos del sistema digestivo consecutivos a procedimientos, no clasificados en otra parte"
"K910" "Vmito postciruga gastrointestinal"
"K911" "Sndromes consecutivos a la ciruga gstrica"
"K912" "Malabsorcin postquirrgica, no clasificada en otra parte"
"K913" "Obstruccin intestinal postoperatoria"
"K914" "Disfuncin de colostoma o enterostoma"
"K915" "Sndrome de postcolecistectoma"
"K918" "Otros trastornos del sistema digestivo consecutivos a procedimientos, no clasificados en otra parte"
"K919" "Trastorno no especificado del sistema digestivo consecutivo a procedimientos"
"K92" "Otras enfermedades del sistema digestivo"
"K920" "Hematemesis"
"K921" "Melena"
"K922" "Hemorragia gastrointestinal, no especificada"
"K928" "Otras enfermedades especificadas del sistema digestivo"
"K929" "Enfermedad del sistema digestivo, no especificada"
"K93" "Trastornos de otros rganos digestivos en enfermedades clasificadas en otra parte"
"K930" "Trastornos tuberculosos del intestino, peritoneo y ganglios mesentricos"
"K931" "Megacolon en la enfermedad de Chagas"
"K938" "Trastornos de otros rganos digestivos especificados en enfermedades clasificadas en otra parte"
"L00" "Sndrome estafiloccico de la piel escaldada"
"L01" "Imptigo"
"L010" "Imptigo [cualquier sitio anatmico] [cualquier organismo]"
"L011" "Impetiginizacin de otras dermatosis"
"L02" "Absceso cutneo, furnculo y ntrax"
"L020" "Absceso cutneo, furnculo y ntrax de la cara"
"L021" "Absceso cutneo, furnculo y ntrax del cuello"
"L022" "Absceso cutneo, furnculo y ntrax del tronco"
"L023" "Absceso cutneo, furnculo y ntrax de glteos"
"L024" "Absceso cutneo, furnculo y ntrax de miembro"
"L028" "Absceso cutneo, furnculo y ntrax de otros sitios"
"L029" "Absceso cutneo, furnculo y ntrax de sitio no especificado"
"L03" "Celulitis"
"L030" "Celulitis de los dedos de la mano y del pie"
"L031" "Celulitis de otras partes de los miembros"
"L032" "Celulitis de la cara"
"L033" "Celulitis del tronco"
"L038" "Celulitis de otros sitios"
"L039" "Celulitis de sitio no especificado"
"L04" "Linfadenitis aguda"
"L040" "Linfadenitis aguda de cara, cabeza y cuello"
"L041" "Linfadenitis aguda del tronco"
"L042" "Linfadenitis aguda del miembro superior"
"L043" "Linfadenitis aguda del miembro inferior"
"L048" "Linfadenitis aguda de otros sitios"
"L049" "Linfadenitis aguda de sitio no especificado"
"L05" "Quiste pilonidal"
"L050" "Quiste pilonidal con absceso"
"L059" "Quiste pilonidal sin absceso"
"L08" "Otras infecciones locales de la piel y del tejido subcutneo"
"L080" "Pioderma"
"L081" "Eritrasma"
"L088" "Otras infecciones locales especificadas de la piel y del tejido subcutneo"
"L089" "Infeccin local de la piel y del tejido subcutneo, no especificada"
"L10" "Pnfigo"
"L100" "Pnfigo vulgar"
"L101" "Pnfigo vegetante"
"L102" "Pnfigo foliceo"
"L103" "Pnfigo brasileo [fogo selvagem]"
"L104" "Pnfigo eritematoso"
"L105" "Pnfigo inducido por drogas"
"L108" "Otros pnfigos"
"L109" "Pnfigo, no especificado"
"L11" "Otros trastornos acantolticos"
"L110" "Queratosis folicular adquirida"
"L111" "Dermatosis acantoltica transitoria [Grover]"
"L118" "Otros trastornos acantolticos especificados"
"L119" "Trastorno acantoltico, no especificado"
"L12" "Penfigoide"
"L120" "Penfigoide flictenular"
"L121" "Penfigoide cicatricial"
"L122" "Enfermedad flictenular crnica de la infancia"
"L123" "Epidermlisis bullosa adquirida"
"L128" "Otros penfigoides"
"L129" "Penfigoide, no especificado"
"L13" "Otros trastornos flictenulares"
"L130" "Dermatitis herpetiforme"
"L131" "Dermatitis pustulosa subcorneal"
"L138" "Otros trastornos flictenulares especificados"
"L139" "Trastorno flictenular, no especificado"
"L14" "Trastornos flictenulares en enfermedades clasificadas en otra parte"
"L20" "Dermatitis atpica"
"L200" "Prurigo de Besnier"
"L208" "Otras dermatitis atpicas"
"L209" "Dermatitis atpica, no especificada"
"L21" "Dermatitis seborreica"
"L210" "Seborrea capitis"
"L211" "Dermatitis seborreica infantil"
"L218" "Otras dermatitis seborreicas"
"L219" "Dermatitis seborreica, no especificada"
"L22" "Dermatitis del paal"
"L23" "Dermatitis alrgica de contacto"
"L230" "Dermatitis alrgica de contacto debida a metales"
"L231" "Dermatitis alrgica de contacto debida a adhesivos"
"L232" "Dermatitis alrgica de contacto debida a cosmticos"
"L233" "Dermatitis alrgica de contacto debida a drogas en contacto con la piel"
"L234" "Dermatitis alrgica de contacto debida a colorantes"
"L235" "Dermatitis alrgica de contacto debida a otros productos qumicos"
"L236" "Dermatitis alrgica de contacto debida a alimentos en contacto con la piel"
"L237" "Dermatitis alrgica de contacto debida a plantas, excepto las alimenticias"
"L238" "Dermatitis alrgica de contacto debida a otros agentes"
"L239" "Dermatitis alrgica de contacto, de causa no especificada"
"L24" "Dermatitis de contacto por irritantes"
"L240" "Dermatitis de contacto por irritantes, debida a detergentes"
"L241" "Dermatitis de contacto por irritantes, debida a aceites y grasas"
"L242" "Dermatitis de contacto por irritantes, debida a disolventes"
"L243" "Dermatitis de contacto por irritantes, debida a cosmticos"
"L244" "Dermatitis de contacto por irritantes, debida a drogas en contacto con la piel"
"L245" "Dermatitis de contacto por irritantes, debida a otros productos qumicos"
"L246" "Dermatitis de contacto por irritantes, debida a alimentos en contacto con la piel"
"L247" "Dermatitis de contacto por irritantes, debida a plantas, excepto las alimenticias"
"L248" "Dermatitis de contacto por irritantes, debida a otros agentes"
"L249" "Dermatitis de contacto por irritantes, de causa no especificada"
"L25" "Dermatitis de contacto, forma no especificada"
"L250" "Dermatitis de contacto, forma no especificada, debida a cosmticos"
"L251" "Dermatitis de contacto, forma no especificada, debida a drogas en contacto con la piel"
"L252" "Dermatitis de contacto, forma no especificada, debida a colorantes"
"L253" "Dermatitis de contacto, forma no especificada, debida a otros productos qumicos"
"L254" "Dermatitis de contacto, forma no especificada, debida a alimentos en contacto con la piel"
"L255" "Dermatitis de contacto, forma no especificada, debida a plantas, excepto las alimenticias"
"L258" "Dermatitis de contacto, forma no especificada, debida a otros agentes"
"L259" "Dermatitis de contacto, forma y causa no especificadas"
"L26" "Dermatitis exfoliativa"
"L27" "Dermatitis debida a sustancias ingeridas"
"L270" "Erupcin cutnea generalizada debida a drogas y medicamentos"
"L271" "Erupcin cutnea localizada debida a drogas y medicamentos"
"L272" "Dermatitis debida a ingestin de alimentos"
"L278" "Dermatitis debida a otras sustancias ingeridas"
"L279" "Dermatitis debida a sustancias ingeridas no especificadas"
"L28" "Liquen simple crnico y prurigo"
"L280" "Liquen simple crnico"
"L281" "Prurigo nodular"
"L282" "Otros prurigos"
"L29" "Prurito"
"L290" "Prurito anal"
"L291" "Prurito escrotal"
"L292" "Prurito vulvar"
"L293" "Prurito anogenital, no especificado"
"L298" "Otros pruritos"
"L299" "Prurito, no especificado"
"L30" "Otras dermatitis"
"L300" "Dermatitis numular"
"L301" "Dishidrosis [ponflix]"
"L302" "Autosensibilizacin cutnea"
"L303" "Dermatitis infecciosa"
"L304" "Eritema intertrigo"
"L305" "Pitiriasis alba"
"L308" "Otras dermatitis especificadas"
"L309" "Dermatitis, no especificada"
"L40" "Psoriasis"
"L400" "Psoriasis vulgar"
"L401" "Psoriasis pustulosa generalizada"
"L402" "Acrodermatitis continua"
"L403" "Pustulosis palmar y plantar"
"L404" "Psoriasis guttata"
"L405" "Artropata psorisica"
"L408" "Otras psoriasis"
"L409" "Psoriasis, no especificada"
"L41" "Parapsoriasis"
"L410" "Pitiriasis liquenoide y varioliforme aguda"
"L411" "Pitiriasis liquenoide crnica"
"L412" "Papulosis linfomatoide"
"L413" "Parapsoriasis en placas pequeas"
"L414" "Parapsoriasis en placas grandes"
"L415" "Parapsoriasis retiforme"
"L418" "Otras parapsoriasis"
"L419" "Parapsoriasis, no especificada"
"L42" "Pitiriasis rosada"
"L43" "Liquen plano"
"L430" "Liquen plano hipertrfico"
"L431" "Liquen plano flictenular"
"L432" "Reaccin liquenoide debida a drogas"
"L433" "Liquen plano subagudo (activo)"
"L438" "Otros lquenes planos"
"L439" "Liquen plano, no especificado"
"L44" "Otros trastornos papuloescamosos"
"L440" "Pitiriasis rubra pilaris"
"L441" "Liquen ntido"
"L442" "Liquen estriado"
"L443" "Liquen rojo moniliforme"
"L444" "Acrodermatitis papular infantil [Giannotti-Crosti]"
"L448" "Otros trastornos papuloescamosos especificados"
"L449" "Trastorno papuloescamoso, no especificado"
"L45" "Trastornos papuloescamosos en enfermedades clasificadas en otra parte"
"L50" "Urticaria"
"L500" "Urticaria alrgica"
"L501" "Urticaria idioptica"
"L502" "Urticaria debida al calor y al fro"
"L503" "Urticaria dermatogrfica"
"L504" "Urticaria vibratoria"
"L505" "Urticaria colinrgica"
"L506" "Urticaria por contacto"
"L508" "Otras urticarias"
"L509" "Urticaria, no especificada"
"L51" "Eritema multiforme"
"L510" "Eritema multiforme no flictenular"
"L511" "Eritema multiforme flictenular"
"L512" "Necrlisis epidrmica txica [Lyell]"
"L518" "Otros eritemas multiformes"
"L519" "Eritema multiforme, no especificado"
"L52" "Eritema nudoso"
"L53" "Otras afecciones eritematosas"
"L530" "Eritema txico"
"L531" "Eritema anular centrfugo"
"L532" "Eritema marginado"
"L533" "Otros eritemas figurados crnicos"
"L538" "Otras afecciones eritematosas especificadas"
"L539" "Afeccin eritematosa, no especificada"
"L54" "Eritema en enfermedades clasificadas en otra parte"
"L540" "Eritema marginado en la fiebre reumtica aguda"
"L548" "Eritema en otras enfermedades clasificadas en otra parte"
"L55" "Quemadura solar"
"L550" "Quemadura solar de primer grado"
"L551" "Quemadura solar de segundo grado"
"L552" "Quemadura solar de tercer grado"
"L558" "Otras quemaduras solares"
"L559" "Quemadura solar, no especificada"
"L56" "Otros cambios agudos de la piel debidos a radiacin ultravioleta"
"L560" "Respuesta fototxica a drogas"
"L561" "Respuesta fotoalrgica a drogas"
"L562" "Dermatitis por fotocontacto [dermatitis de berloque]"
"L563" "Urticaria solar"
"L564" "Erupcin polimorfa a la luz"
"L568" "Otros cambios agudos especificados de la piel debidos a radiacin ultravioleta"
"L569" "Cambio agudo de la piel debido a radiacin ultravioleta, sin otra especificacin"
"L57" "Cambios de la piel debidos a exposicin crnica a radiacin no ionizante"
"L570" "Queratosis actnica"
"L571" "Reticuloide actnico"
"L572" "Piel romboidal de la nuca"
"L573" "Poiquilodermia de Civatte"
"L574" "Piel laxa senil"
"L575" "Granuloma actnico"
"L578" "Otros cambios de la piel debidos a exposicin crnica a radiacin no ionizante"
"L579" "Cambios de la piel debidos a exposicin crnica a radiacin no ionizante, sin otra especificacin"
"L58" "Radiodermatitis"
"L580" "Radiodermatitis aguda"
"L581" "Radiodermatitis crnica"
"L589" "Radiodermatitis, no especificada"
"L59" "Otros trastornos de la piel y del tejido subcutneo relacionados con radiacin"
"L590" "Eritema ab igne [dermatitis ab igne]"
"L598" "Otros trastornos especificados de la piel y del tejido subcutneo relacionados con radiacin"
"L599" "Trastornos no especificados de la piel y del tejido subcutneo relacionados con radiacin"
"L60" "Trastornos de las uas"
"L600" "Ua encarnada"
"L601" "Oniclisis"
"L602" "Onicogriposis"
"L603" "Distrofia ungueal"
"L604" "Lneas de Beau"
"L605" "Sndrome de la ua amarilla"
"L608" "Otros trastornos de las uas"
"L609" "Trastorno de la ua, no especificado"
"L62" "Trastornos de las uas en enfermedades clasificadas en otra parte"
"L620" "Ua deforme de la paquidermoperiostosis"
"L628" "Trastornos de las uas en otras enfermedades clasificadas en otra parte"
"L63" "Alopecia areata"
"L630" "Alopecia (capitis) total"
"L631" "Alopecia universal"
"L632" "Ofiasis"
"L638" "Otras alopecias areatas"
"L639" "Alopecia areata, no especificada"
"L64" "Alopecia andrgena"
"L640" "Alopecia andrgena, inducida por drogas"
"L648" "Otras alopecias andrgenas"
"L649" "Alopecia andrgena, no especificada"
"L65" "Otra prdida no cicatricial del pelo"
"L650" "Prdida capilar telgena"
"L651" "Prdida capilar angena"
"L652" "Alopecia mucinosa"
"L658" "Otras prdidas especificadas no cicatriciales del pelo"
"L659" "Perdida no cicatricial del pelo, sin otra especificacin"
"L66" "Alopecia cicatricial [prdida cicatricial del pelo]"
"L660" "Seudopelada"
"L661" "Liquen plano pilaris"
"L662" "Foliculitis decalvante"
"L663" "Perifoliculitis capitis abscedens"
"L664" "Foliculitis uleritematosa reticulada"
"L668" "Otras alopecias cicatriciales"
"L669" "Alopecia cicatricial, no especificada"
"L67" "Anormalidades del tallo y del color del pelo"
"L670" "Tricorrexis nudosa"
"L671" "Variacin del color del pelo"
"L678" "Otras anormalidades del tallo y del color del pelo"
"L679" "Anormalidad no especificada del tallo y del color del pelo"
"L68" "Hipertricosis"
"L680" "Hirsutismo"
"L681" "Hipertricosis lanuginosa adquirida"
"L682" "Hipertricosis localizada"
"L683" "Politriquia"
"L688" "Otras hipertricosis"
"L689" "Hipertricosis, no especificada"
"L70" "Acn"
"L700" "Acn vulgar"
"L701" "Acn conglobado"
"L702" "Acn varioliforme"
"L703" "Acn tropical"
"L704" "Acn infantil"
"L705" "Acn excoriado de la mujer joven"
"L708" "Otros acns"
"L709" "Acn, no especificado"
"L71" "Rossea"
"L710" "Dermatitis peribucal"
"L711" "Rinofima"
"L718" "Otras rosceas"
"L719" "Roscea, no especificada"
"L72" "Quiste folicular de la piel y del tejido subcutneo"
"L720" "Quiste epidrmico"
"L721" "Quiste tricodrmico"
"L722" "Esteatocistoma mltiple"
"L728" "Otros quistes foliculares de la piel y del tejido subcutneo"
"L729" "Quiste folicular de la piel y del tejido subcutneo, sin otra especificacin"
"L73" "Otros trastornos foliculares"
"L730" "Acn queloide"
"L731" "Seudofoliculitis de la barba"
"L732" "Hidradenitis supurativa"
"L738" "Otros trastornos foliculares especificados"
"L739" "Trastorno folicular, no especificado"
"L74" "Trastornos sudorparos ecrinos"
"L740" "Miliaria rubra"
"L741" "Miliaria cristalina"
"L742" "Miliaria profunda"
"L743" "Miliaria, no especificada"
"L744" "Anhidrosis"
"L748" "Otros trastornos sudorparos ecrinos"
"L749" "Trastorno sudorparo ecrino, no especificado"
"L75" "Trastornos sudorparos apocrinos"
"L750" "Bromhidrosis"
"L751" "Cromhidrosis"
"L752" "Miliaria apocrina"
"L758" "Otros trastornos sudorparos apocrinos"
"L759" "Trastorno sudorparo apocrino, no especificado"
"L80" "Vitligo"
"L81" "Otros trastornos de la pigmentacin"
"L810" "Hiperpigmentacin postinflamatoria"
"L811" "Cloasma"
"L812" "Eflide"
"L813" "Manchas caf con leche"
"L814" "Otros tipos de hiperpigmentacin melanodrmica"
"L815" "Leucoderma, no clasificada en otra parte"
"L816" "Otros trastornos de disminucin de la formacin de la melanina"
"L817" "Dermatosis purprica pigmentada"
"L818" "Otros trastornos especificados de la pigmentacin"
"L819" "Trastorno de la pigmentacin, no especificado"
"L82" "Queratosis seborreica"
"L83" "Acantosis nigricans"
"L84" "Callos y callosidades"
"L85" "Otros tipos de engrosamiento epidrmico"
"L850" "Ictiosis adquirida"
"L851" "Queratosis [queratodermia] palmar y plantar adquirida"
"L852" "Queratosis punctata (palmar y plantar)"
"L853" "Xerosis del cutis"
"L858" "Otros engrosamientos epidrmicos especificados"
"L859" "Engrosamiento epidrmico, no especificado"
"L86" "Queratoderma en enfermedades clasificadas en otra parte"
"L87" "Trastornos de la eliminacin transepidrmica"
"L870" "Queratosis folicular y parafolicular penetrante del cutis [Kyrle]"
"L871" "Colagenosis perforante reactiva"
"L872" "Elastosis serpiginosa perforante"
"L878" "Otros trastornos de la eliminacin transepidrmica"
"L879" "Trastorno de la eliminacin transepidrmica, no especificado"
"L88" "Pioderma gangrenoso"
"L89" "lcera de decbito"
"L890" "lcera de decbito y por rea de presin, etapa "
"L891" "lcera de decbito, etapa II "
"L892" "lcera de decbito, etapa III"
"L893" "lcera de decbito, etapa IV "
"L899" "lcera de decbito y por rea de presin, no especificada"
"L90" "Trastornos atrficos de la piel"
"L900" "Liquen escleroso y atrfico"
"L901" "Anetodermia de Schweninger-Buzzi"
"L902" "Anetodermia de Jadassohn-Pellizzari"
"L903" "Atrofoderma de Pasini y Prerini"
"L904" "Acrodermatitis crnica atrfica"
"L905" "Fibrosis y afecciones cicatriciales de la piel"
"L906" "Estras atrficas"
"L908" "Otros trastornos atrficos de la piel"
"L909" "Trastorno atrfico de la piel, no especificado"
"L91" "Trastornos hipertrficos de la piel"
"L910" "Cicatriz queloide"
"L918" "Otros trastornos hipertrficos de la piel"
"L919" "Trastorno hipertrfico de la piel, no especificado"
"L92" "Trastornos granulomatosos de la piel y del tejido subcutneo"
"L920" "Granuloma anular"
"L921" "Necrobiosis lipdica, no clasificada en otra parte"
"L922" "Granuloma facial (granuloma eosinfilo de la piel)"
"L923" "Granuloma por cuerpo extrao en la piel y en el tejido subcutneo"
"L928" "Otros trastornos granulomatosos de la piel y del tejido subcutneo"
"L929" "Trastorno granulomatoso de la piel y del tejido subcutneo, no especificado"
"L93" "Lupus eritematoso"
"L930" "Lupus eritematoso discoide"
"L931" "Lupus eritematoso cutneo subagudo"
"L932" "Otros lupus eritematosos localizados"
"L94" "Otros trastornos localizados del tejido conjuntivo"
"L940" "Escleroderma localizado [morfea]"
"L941" "Escleroderma lineal"
"L942" "Calcinosis de la piel"
"L943" "Esclerodactilia"
"L944" "Ppulas de Gottron"
"L945" "Poiquilodermia vascular atrfica"
"L946" "Ainhum"
"L948" "Otros trastornos localizados especificados del tejido conjuntivo"
"L949" "Trastorno localizado del tejido conjuntivo, no especificado"
"L95" "Vasculitis limitada a la piel, no clasificada en otra parte"
"L950" "Vasculitis livedoide"
"L951" "Eritema elevatum diutinum"
"L958" "Otras vasculitis limitadas a la piel"
"L959" "Vasculitis limitada a la piel, sin otra especificacin"
"L97" "lcera de miembro inferior, no clasificada en otra parte"
"L98" "Otros trastornos de la piel y del tejido subcutneo no clasificados en otra parte"
"L980" "Granuloma pigeno"
"L981" "Dermatitis facticia"
"L982" "Dermatosis neutrfila febril [Sweet]"
"L983" "Celulitis eosinfilia [Wells]"
"L984" "lcera crnica de la piel, no clasificada en otra parte"
"L985" "Mucinosis de la piel"
"L986" "Otros trastornos infiltrativos de la piel y del tejido subcutneo"
"L988" "Otros trastornos especificados de la piel y del tejido subcutneo"
"L989" "Trastorno de la piel y del tejido subcutneo, no especificado"
"L99" "L99  Otros trastornos de la piel y del tejido subcutneo en enfermedades clasificadas en otra parte"
"L990" "Amiloidosis de la piel"
"L998" "L998 Otros trastornos de la piel y del tejido subcutneo en enfermedades clasificadas en otra parte"
"M00" "Artritis pigena"
"M000" "Artritis y poliartritis estafiloccica"
"M001" "Artritis y poliartritis neumoccica"
"M002" "Otras artritis y poliartritis estreptoccicas"
"M008" "Artritis y poliartritis debidas a otros agentes bacterianos especificados"
"M009" "Artritis pigena, no especificada"
"M01" "Infecciones directas de la articulacin en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"M010" "Artritis meningoccica"
"M011" "Artritis tuberculosa"
"M012" "Artritis en la enfermedad de Lyme"
"M013" "Artritis en otras enfermedades bacterianas clasificadas en otra parte"
"M014" "Artritis en rubola"
"M015" "Artritis en otras enfermedades virales clasificadas en otra parte"
"M016" "Artritis en micosis"
"M018" "Artritis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte"
"M02" "Artropatas reactivas"
"M020" "Artropata consecutiva a derivacin intestinal"
"M021" "Artropata postdisentrica"
"M022" "Artropata postinmunizacin"
"M023" "Enfermedad de Reiter"
"M028" "Otras artropatas reactivas"
"M029" "Artropata reactiva, no especificada"
"M03" "Artropatas postinfecciosas y reactivas en enfermedades clasificadas en otra parte"
"M030" "Artritis postmeningoccica"
"M031" "Artropata postinfecciosa en sfilis"
"M032" "Otras artropatas postinfecciosas en enfermedades clasificadas en otra parte"
"M036" "Artropata reactiva en otras enfermedades clasificadas en otra parte"
"M05" "Artritis reumatoide seropositiva"
"M050" "Sndrome de Felty"
"M051" "Enfermedad reumatoide del pulmn"
"M052" "Vasculitis reumatoide"
"M053" "Artritis reumatoide con compromiso de otros rganos o sistemas"
"M058" "Otras artritis reumatoideas seropositivas"
"M059" "Artritis reumatoidea seropositiva, sin otra especificacin"
"M06" "Otras artritis reumatoides"
"M060" "Artritis reumatoide seronegativa"
"M061" "Enfermedad de Still de comienzo en el adulto"
"M062" "Bursitis reumatoide"
"M063" "Ndulo reumatoide"
"M064" "Poliartropata inflamatoria"
"M068" "Otras artritis reumatoides especificadas"
"M069" "Artritis reumatoide, no especificada"
"M07" "Artropatas psorisicas y enteropticas"
"M070" "Artropata psorisica interfalngica distal"
"M071" "Artritis mutilante"
"M072" "Espondilitis psorisica"
"M073" "Otras artropatas psorisicas"
"M074" "Artropata en la enfermedad de Crohn [enteritis regional]"
"M075" "Artropata en la colitis ulcerativa"
"M076" "Otras artropatas enteropticas"
"M08" "Artritis juvenil"
"M080" "Artritis reumatoide juvenil"
"M081" "Espondilitis anquilosante juvenil"
"M082" "Artritis juvenil de comienzo generalizado"
"M083" "Poliartritis juvenil (seronegativa)"
"M084" "Artritis juvenil pauciarticular"
"M088" "Otras artritis juveniles"
"M089" "Artritis juvenil, no especificada"
"M09" "Artritis juvenil en enfermedades clasificadas en otra parte"
"M090" "Artritis juvenil en la psoriasis"
"M091" "Artritis juvenil en la enfermedad de Crohn [enteritis regional]"
"M092" "Artritis juvenil en la colitis ulcerativa"
"M098" "Artritis juvenil en otras enfermedades clasificadas en otra parte"
"M10" "Gota"
"M100" "Gota idioptica"
"M101" "Gota saturnina"
"M102" "Gota inducida por drogas"
"M103" "Gota debida a alteracin renal"
"M104" "Otras gotas secundarias"
"M109" "Gota, no especificada"
"M11" "Otras artropatas por cristales"
"M110" "Enfermedad por depsito de hidroxiapatita"
"M111" "Condrocalcinosis familiar"
"M112" "Otras condrocalcinosis"
"M118" "Otras artropatas por cristales, especificadas"
"M119" "Artropata por cristales, no especificada"
"M12" "Otras artropatas especficas"
"M120" "Artropata postraumtica crnica [de Jaccoud]"
"M121" "Enfermedad de Kaschin-Beck"
"M122" "Sinovitis vellonodular (pigmentada)"
"M123" "Reumatismo palindrmico"
"M124" "Hidrartrosis intermitente"
"M125" "Artropata traumtica"
"M128" "Otras artropatas especficas, no clasificadas en otra parte"
"M13" "Otras artritis"
"M130" "Poliartritis, no especificada"
"M131" "Monoartritis, no clasificada en otra parte"
"M138" "Otras artritis especificadas"
"M139" "Artritis, no especificada"
"M14" "Artropata en otras enfermedades clasificadas en otra parte"
"M140" "Artropata gotosa debida a defectos enzimticos y a otros trastornos hereditarios, clasificados en otra parte"
"M141" "Artropata por cristales en otros trastornos metablicos"
"M142" "Artropata diabtica"
"M143" "Dermatoartritis lipoide"
"M144" "Artropata en la amiloidosis"
"M145" "Artropata en otros trastornos endocrinos, metablicos y nutricionales"
"M146" "Artropata neuroptica"
"M148" "Artropata en otras enfermedades especificadas, clasificadas en otra parte"
"M15" "Poliartrosis"
"M150" "(Osteo)artrosis primaria generalizada"
"M151" "Ndulos de Heberden (con artropata)"
"M152" "Ndulos de Bouchard (con artropata)"
"M153" "Artrosis secundaria mltiple"
"M154" "(Osteo)artrosis erosiva"
"M158" "Otras poliartrosis"
"M159" "Poliartrosis, no especificada"
"M16" "Coxartrosis [artrosis de la cadera]"
"M160" "Coxartrosis primaria, bilateral"
"M161" "Otras coxartrosis primarias"
"M162" "Coxartrosis a consecuencia de displasia, bilateral"
"M163" "Otras coxartrosis displsicas"
"M164" "Coxartrosis postraumtica, bilateral"
"M165" "Otra coxartrosis postraumtica"
"M166" "Otra coxartrosis secundaria, bilateral"
"M167" "Otras coxartrosis secundarias"
"M169" "Coxartrosis, no especificada"
"M17" "Gonartrosis [artrosis de la rodilla]"
"M170" "Gonartrosis primaria, bilateral"
"M171" "Otras gonartrosis primarias"
"M172" "Gonartrosis postraumtica, bilateral"
"M173" "Otras gonartrosis postraumticas"
"M174" "Otras gonartrosis secundarias, bilaterales"
"M175" "Otras gonartrosis secundarias"
"M179" "Gonartrosis, no especificada"
"M18" "Artrosis de la primera articulacin carpometacarpiana"
"M180" "Artrosis primaria de la primera articulacin carpometacarpiana, bilateral"
"M181" "Otras artrosis primarias de la primera articulacin carpometacarpiana"
"M182" "Artrosis postraumtica de la primera articulacin carpometacarpiana, bilateral"
"M183" "Otras artrosis postraumticas de la primera articulacin carpometacarpiana"
"M184" "Otras artrosis secundarias de la primera articulacin carpometacarpiana, bilaterales"
"M185" "Otras artrosis secundarias de la primera articulacin carpometacarpiana"
"M189" "Artrosis de la primera articulacin carpometacarpiana, sin otra especificacin"
"M19" "Otras artrosis"
"M190" "Artrosis primaria de otras articulaciones"
"M191" "Artrosis postraumtica de otras articulaciones"
"M192" "Otras artrosis secundarias"
"M198" "Otras artrosis especificadas"
"M199" "Artrosis, no especificada"
"M20" "Deformidades adquiridas de los dedos de la mano y del pie"
"M200" "Deformidad de dedo(s) de la mano"
"M201" "Hallux valgus (adquirido)"
"M202" "Hallux rigidus"
"M203" "Otras deformidades del hallux (adquiridas)"
"M204" "Otro(s) dedo(s) del pie en martillo (adquiridos)"
"M205" "Otras deformidades (adquiridas) del (de los) dedo(s) del pie"
"M206" "Deformidades adquiridas de los dedos del pie, no especificadas"
"M21" "Otras deformidades adquiridas de los miembros"
"M210" "Deformidad en valgo, no clasificada en otra parte"
"M211" "Deformidad en varo, no clasificada en otra parte"
"M212" "Deformidad en flexin"
"M213" "Mueca o pie en pndulo (adquirido)"
"M214" "Pie plano [pes planus] (adquirido)"
"M215" "Mano o pie en garra o en talipes, pie equinovaro o zambo adquiridos"
"M216" "Otras deformidades adquiridas del tobillo y del pie"
"M217" "Longitud desigual de los miembros (adquirida)"
"M218" "Otras deformidades adquiridas de los miembros, especificadas"
"M219" "Deformidad adquirida del miembro, no especificada"
"M22" "Trastornos de la rtula"
"M220" "Luxacin recidivante de la rtula"
"M221" "Subluxacin recidivante de la rtula"
"M222" "Trastornos rotulofemorales"
"M223" "Otros desarreglos de la rtula"
"M224" "Condromalacia de la rtula"
"M228" "Otros trastornos de la rtula"
"M229" "Trastorno de la rtula, no especificado"
"M23" "Trastorno interno de la rodilla"
"M230" "Menisco qustico"
"M231" "Menisco discoide (congnito)"
"M232" "Trastorno de menisco debido a desgarro o lesin antigua"
"M233" "Otros trastornos de los meniscos"
"M234" "Cuerpo flotante en la rodilla"
"M235" "Inestabilidad crnica de la rodilla"
"M236" "Otra ruptura espontnea del (de los) ligamento(s) de la rodilla"
"M238" "Otros trastornos internos de la rodilla"
"M239" "Trastorno interno de la rodilla, no especificado"
"M24" "Otros trastornos articulares especficos"
"M240" "Cuerpo flotante articular"
"M241" "Otros trastornos del cartlago articular"
"M242" "Trastorno del ligamento"
"M243" "Luxacin y subluxacin patolgica de la articulacin, no clasificada en otra parte"
"M244" "Luxacin y subluxacin recidivante de la articulacin"
"M245" "Contractura articular"
"M246" "Anquilosis articular"
"M247" "Protrusin de acetbulo"
"M248" "Otras lesiones articulares especficas, no clasificadas en otra parte"
"M249" "Desarreglo articular, no especificado"
"M25" "Otros trastornos articulares, no clasificados en otra parte"
"M250" "Hemartrosis"
"M251" "Fstula articular"
"M252" "Articulacin inestable"
"M253" "Otras inestabilidades articulares"
"M254" "Derrame articular"
"M255" "Dolor en articulacin"
"M256" "Rigidez articular, no clasificada en otra parte"
"M257" "Osteofito"
"M258" "Otros trastornos articulares especificados"
"M259" "Trastorno articular, no especificado"
"M30" "Poliarteritis nudosa y afecciones relacionadas"
"M300" "Poliarteritis nudosa"
"M301" "Poliarteritis con compromiso pulmonar [Churg-Strauss]"
"M302" "Poliarteritis juvenil"
"M303" "Sndrome mucocutneo linfonodular [Kawasaki]"
"M308" "Otras afecciones relacionadas con la poliarteritis nudosa"
"M31" "Otras vasculopatas necrotizantes"
"M310" "Angitis debida a hipersensibilidad"
"M311" "Microangiopata trombtica"
"M312" "Granuloma letal de la lnea media"
"M313" "Granulomatosis de Wegener"
"M314" "Sndrome del cayado de la aorta [Takayasu]"
"M315" "Arteritis de clulas gigantes con polimialgia reumtica"
"M316" "Otras arteritis de clulas gigantes"
"M317" "Poliangitis microscpica"
"M318" "Otras vasculopatas necrotizantes especificadas"
"M319" "Vasculopata necrotizante, no especificada"
"M32" "Lupus eritematoso sistmico"
"M320" "Lupus eritematoso sistmico, inducido por drogas"
"M321" "Lupus eritematoso sistmico con compromiso de rganos o sistemas"
"M328" "Otras formas de lupus eritematoso sistmico"
"M329" "Lupus eritematoso sistmico, sin otra especificacin"
"M33" "Dermatopolimiositis"
"M330" "Dermatomiositis juvenil"
"M331" "Otras dermatomiositis"
"M332" "Polimiositis"
"M339" "Dermatopolimiositis, no especificada"
"M34" "Esclerosis sistmica"
"M340" "Esclerosis sistmica progresiva"
"M341" "Sndrome CR(E)ST"
"M342" "Esclerosis sistmica inducida por drogas o productos qumicos"
"M348" "Otras formas de esclerosis sistmica"
"M349" "Esclerosis sistmica, no especificada"
"M35" "Otro compromiso sistmico del tejido conjuntivo"
"M350" "Sndrome seco [Sjgren]"
"M351" "Otros sndromes superpuestos"
"M352" "Enfermedad de Behcet"
"M353" "Polimialgia reumtica"
"M354" "Fascitis difusa (eosinoflica)"
"M355" "Fibrosclerosis multifocal"
"M356" "Paniculitis recidivante [Weber-Christian]"
"M357" "Sndrome de hipermovilidad"
"M358" "Otras enfermedades especificadas con compromiso sistmico del tejido conjuntivo"
"M359" "Compromiso sistmico del tejido conjuntivo, no especificado"
"M36" "Trastornos sistmicos del tejido conjuntivo en enfermedades clasificadas en otra parte"
"M360" "Dermato(poli)miositis en enfermedad neoplsica"
"M361" "Artropata en enfermedad neoplsica"
"M362" "Artropata hemoflica"
"M363" "Artropata en otros trastornos de la sangre"
"M364" "Artropata en reacciones de hipersensibilidad clasificadas en otra parte"
"M368" "Trastornos sistmicos del tejido conjuntivo en otras enfermedades clasificadas en otra parte"
"M40" "Cifosis y lordosis"
"M400" "Cifosis postural"
"M401" "Otras cifosis secundarias"
"M402" "Otras cifosis y las no especificadas"
"M403" "Sndrome de espalda plana"
"M404" "Otras lordosis"
"M405" "Lordosis, no especificada"
"M41" "Escoliosis"
"M410" "Escoliosis idioptica infantil"
"M411" "Escoliosis idioptica juvenil"
"M412" "Otras escoliosis idiopticas"
"M413" "Escoliosis toracognica"
"M414" "Escoliosis neuromuscular"
"M415" "Otras escoliosis secundarias"
"M418" "Otras formas de escoliosis"
"M419" "Escoliosis, no especificada"
"M42" "Osteocondrosis de la columna vertebral"
"M420" "Osteocondrosis juvenil de la columna vertebral"
"M421" "Osteocondrosis de la columna vertebral del adulto"
"M429" "Osteocondrosis vertebral, no especificada"
"M43" "Otras dorsopatas deformantes"
"M430" "Espondillisis"
"M431" "Espondilolistesis"
"M432" "Otras fusiones de la columna vertebral"
"M433" "Subluxacin atlanto-axoidea recurrente, con mielopata"
"M434" "Otras subluxaciones atlanto-axoideas recurrentes"
"M435" "Otras subluxaciones vertebrales recurrentes"
"M436" "Tortcolis"
"M438" "Otras dorsopatas deformantes de la columna vertebral especificadas"
"M439" "Dorsopata deformante, no especificada"
"M45" "Espondilitis anquilosante"
"M450" "Espondilitis anquilosante, sitio multiple de la columna vertebral"
"M451" "Espondilitis anquilosante, regin occipitocervical"
"M452" "Espondilitis anquilosante, regin cervical"
"M453" "Espondilitis anquilosante, regin cervicotorcica"
"M454" "Espondilitis anquilosante,  regin torcica"
"M455" "Espondilitis anquilosante, regin toracolumbar "
"M456" "Espondilitis anquilosante, regin lumbar"
"M457" "Espondilitis anquilosante, region lumbosacra"
"M458" "Espondilitis anquilosante, regin sacra y sacrococcgea"
"M459" "Espondilitis anquilosante, sitio no especificado"
"M46" "Otras espondilopatas inflamatorias"
"M460" "Entesopata vertebral"
"M461" "Sacroilitis, no clasificada en otra parte"
"M462" "Osteomielitis de vrtebra"
"M463" "Infeccin de disco intervertebral (pigena)"
"M464" "Discitis, no especificada"
"M465" "Otras espondilopatas infecciosas"
"M468" "Otras espondilopatas inflamatorias especificadas"
"M469" "Espondilopata inflamatoria, no especificada"
"M47" "Espondilosis"
"M470" "Sndromes de compresin de la arteria espinal o vertebral anterior"
"M471" "Otras espondilosis con mielopata"
"M472" "Otras espondilosis con radiculopata"
"M478" "Otras espondilosis"
"M479" "Espondilosis, no especificada"
"M48" "Otras espondilopatas"
"M480" "Estenosis espinal"
"M481" "Hiperostosis anquilosante [Forestier]"
"M482" "Espondilopata interespinosa (vrtebras en beso)"
"M483" "Espondilopata traumtica"
"M484" "Fractura de vrtebra por fatiga"
"M485" "Vrtebra colapsada, no clasificada en otra parte"
"M488" "Otras espondilopatas especificadas"
"M489" "Espondilopata, no especificada"
"M49" "Espondilopatas en enfermedades clasificadas en otra parte"
"M490" "Tuberculosis de la columna vertebral"
"M491" "Espondilitis por brucelosis"
"M492" "Espondilitis por enterobacterias"
"M493" "Espondilopata en otras enfermedades infecciosas y parasitarias clasificadas en otra parte"
"M494" "Espondilopata neuroptica"
"M495" "Vrtebra colapsada en enfermedades clasificadas en otra parte"
"M498" "Espondilopata en otras enfermedades clasificadas en otra parte"
"M50" "Trastornos de disco cervical"
"M500" "Trastorno de disco cervical con mielopata"
"M501" "Trastorno de disco cervical con radiculopata"
"M502" "Otros desplazamientos de disco cervical"
"M503" "Otras degeneraciones de disco cervical"
"M508" "Otros trastornos de disco cervical"
"M509" "Trastorno de disco cervical, no especificado"
"M51" "Otros trastornos de los discos intervertebrales"
"M510" "Trastornos de discos intervertebrales lumbares y otros, con mielopata"
"M511" "Trastornos de disco lumbar y otros, con radiculopata"
"M512" "Otros desplazamientos especificados de disco intervertebral"
"M513" "Otras degeneraciones especificadas de disco intervertebral"
"M514" "Ndulos de Schmorl"
"M518" "Otros trastornos especificados de los discos intervertebrales"
"M519" "Trastorno de los discos intervertebrales, no especificado"
"M53" "Otras dorsopatas, no clasificadas en otra parte"
"M530" "Sndrome cervicocraneal"
"M531" "Sndrome cervicobraquial"
"M532" "Inestabilidad de la columna vertebral"
"M533" "Trastornos sacrococcgeos, no clasificados en otra parte"
"M538" "Otras dorsopatas especificadas"
"M539" "Dorsopata, no especificada"
"M54" "Dorsalgia"
"M540" "Paniculitis que afecta regiones del cuello y de la espalda"
"M541" "Radiculopata"
"M542" "Cervicalgia"
"M543" "Citica"
"M544" "Lumbago con citica"
"M545" "Lumbago no especificado"
"M546" "Dolor en la columna dorsal"
"M548" "Otras dorsalgias"
"M549" "Dorsalgia, no especificada"
"M60" "Miositis"
"M600" "Miositis infecciosa"
"M601" "Miositis intersticial"
"M602" "Granuloma por cuerpo extrao en tejido blando, no clasificado en otra parte"
"M608" "Otras miositis"
"M609" "Miositis, no especificada"
"M61" "Calcificacin y osificacin del msculo"
"M610" "Miositis osificante traumtica"
"M611" "Miositis osificante progresiva"
"M612" "Calcificacin y osificacin paraltica del msculo"
"M613" "Calcificacin y osificacin de los msculos asociadas con quemaduras"
"M614" "Otras calcificaciones del msculo"
"M615" "Otras osificaciones del msculo"
"M619" "Calcificacin y osificacin del msculo, no especificada"
"M62" "Otros trastornos de los msculos"
"M620" "Distasis del msculo"
"M621" "Otros desgarros (no traumticos) del msculo"
"M622" "Infarto isqumico del msculo"
"M623" "Sndrome de inmovilidad (parapljico)"
"M624" "Contractura muscular"
"M625" "Atrofia y desgaste musculares, no clasificados en otra parte"
"M626" "Distensin muscular"
"M628" "Otros trastornos especificados de los msculos"
"M629" "Trastorno muscular, no especificado"
"M63" "Trastornos de los msculos en enfermedades clasificadas en otra parte"
"M630" "Miositis en enfermedades bacterianas clasificadas en otra parte"
"M631" "Miositis en infecciones por protozoarios y parsitos clasificados en otra parte"
"M632" "Miositis en otras enfermedades infecciosas clasificadas en otra parte"
"M633" "Miositis en sarcoidosis"
"M638" "Otros trastornos de los msculos en enfermedades clasificadas en otra parte"
"M65" "Sinovitis y tenosinovitis"
"M650" "Absceso de vaina tendinosa"
"M651" "Otras (teno)sinovitis infecciosas"
"M652" "Tendinitis calcificada"
"M653" "Dedo en gatillo"
"M654" "Tenosinovitis de estiloides radial [de Quervain]"
"M658" "Otras sinovitis y tenosinovitis"
"M659" "Sinovitis y tenosinovitis, no especificada"
"M66" "Ruptura espontnea de la sinovia y del tendn"
"M660" "Ruptura de quiste sinovial poplteo"
"M661" "Ruptura de la sinovia"
"M662" "Ruptura espontnea de tendones extensores"
"M663" "Ruptura espontnea de tendones flexores"
"M664" "Ruptura espontnea de otros tendones"
"M665" "Ruptura espontnea de tendn no especificado"
"M67" "Otros trastornos de la sinovia y del tendn"
"M670" "Acortamiento del tendn de Aquiles (adquirido)"
"M671" "Otras contracturas de tendn (vaina)"
"M672" "Hipertrofia sinovial, no clasificada en otra parte"
"M673" "Sinovitis transitoria"
"M674" "Ganglin"
"M678" "Otros trastornos especificados de la sinovia y del tendn"
"M679" "Trastorno sinovial y tendinoso, no especificado"
"M68" "Trastornos de los tendones y de la sinovia en enfermedades clasificadas en otra parte"
"M680" "Sinovitis y tenosinovitis en enfermedades bacterianas clasificadas en otra parte"
"M688" "Otros trastornos sinoviales y tendinosos en enfermedades clasificadas en otra parte"
"M70" "Trastornos de los tejidos blandos relacionados con el uso, el uso excesivo y la presin"
"M700" "Sinovitis crepitante crnica de la mano y de la mueca"
"M701" "Bursitis de la mano"
"M702" "Bursitis del olcranon"
"M703" "Otras bursitis del codo"
"M704" "Otras bursitis prerrotulianas"
"M705" "Otras bursitis de la rodilla"
"M706" "Bursitis del trocnter"
"M707" "Otras bursitis de la cadera"
"M708" "Otros trastornos de los tejidos blandos relacionados con el uso, el uso excesivo y la presin"
"M709" "Trastorno no especificado de los tejidos blandos relacionado con el uso, el uso excesivo y la presin"
"M71" "Otras bursopatas"
"M710" "Absceso de la bolsa sinovial"
"M711" "Otras bursitis infecciosas"
"M712" "Quiste sinovial del hueco poplteo [de Baker]"
"M713" "Otros quistes de la bolsa serosa"
"M714" "Depsito de calcio  en la bolsa serosa"
"M715" "Otras bursitis, no clasificadas en otra parte"
"M718" "Otros trastornos especificados de la bolsa serosa"
"M719" "Bursopata, no especificada"
"M72" "Trastornos fibroblsticos"
"M720" "Fibromatosis de la aponeurosis palmar [Dupuytren]"
"M721" "Ndulos interfalngicos"
"M722" "Fibromatosis de la aponeurosis plantar"
"M723" "Fascitis nodular"
"M724" "Fibromatosis seudosarcomatosa"
"M725" "Fascitis, No clasificada en otra parte"
"M726" "Fascitis necrotizante"
"M728" "Otros trastornos fibroblsticos"
"M729" "Trastorno fibroblstico, no especificado"
"M73" "Trastornos de los tejidos blandos en enfermedades clasificadas en otra parte"
"M730" "Bursitis gonoccica"
"M731" "Bursitis sifiltica"
"M738" "Otros trastornos de los tejidos blandos en enfermedades clasificadas en otra parte"
"M75" "Lesiones del hombro"
"M750" "Capsulitis adhesiva del hombro"
"M751" "Sndrome del manguito rotatorio"
"M752" "Tendinitis del bceps"
"M753" "Tendinitis calcificante del hombro"
"M754" "Sndrome de abduccin dolorosa del hombro"
"M755" "Bursitis del hombro"
"M758" "Otras lesiones del hombro"
"M759" "Lesin del hombro, no especificada"
"M76" "Entesopatas del miembro inferior, excluido el pie"
"M760" "Tendinitis del glteo"
"M761" "Tendinitis del psoas"
"M762" "Espoln de la cresta iliaca"
"M763" "Sndrome del tendn del tensor de la fascia lata"
"M764" "Bursitis tibial colateral [Pellegrini-Stieda]"
"M765" "Tendinitis rotuliana"
"M766" "Tendinitis aquiliana"
"M767" "Tendinitis peroneal"
"M768" "Otras entesopatas del miembro inferior, excluido el pie"
"M769" "Entesopata del miembro inferior, no especificada"
"M77" "Otras entesopatas"
"M770" "Epicondilitis media"
"M771" "Epicondilitis lateral"
"M772" "Periartritis de la mueca"
"M773" "Espoln calcneo"
"M774" "Metatarsalgia"
"M775" "Otras entesopatas del pie"
"M778" "Otras entesopatas, no clasificadas en otra parte"
"M779" "Entesopata, no especificada"
"M79" "Otros trastornos de los tejidos blandos, no clasificados en otra parte"
"M790" "Reumatismo, no especificado"
"M791" "Mialgia"
"M792" "Neuralgia y neuritis, no especificadas"
"M793" "Paniculitis, no especificada"
"M794" "Hipertrofia de paquete adiposo (infrarrotuliano)"
"M795" "Cuerpo extrao residual en tejido blando"
"M796" "Dolor en miembro"
"M797" "Fibromialgia"
"M798" "Otros trastornos especificados de los tejidos blandos"
"M799" "Trastorno de los tejidos blandos, no especificado"
"M80" "Osteoporosis con fractura patolgica"
"M800" "Osteoporosis postmenopusica, con fractura patolgica"
"M801" "Osteoporosis postooforectoma, con fractura patolgica"
"M802" "Osteoporosis por desuso, con fractura patolgica"
"M803" "Osteoporosis por malabsorcin postquirrgica, con fractura patolgica"
"M804" "Osteoporosis inducida por drogas, con fractura patolgica"
"M805" "Osteoporosis idioptica, con fractura patolgica"
"M808" "Otras osteoporosis, con fractura patolgica"
"M809" "Osteoporosis no especificada, con fractura patolgica"
"M81" "Osteoporosis sin fractura patolgica"
"M810" "Osteoporosis postmenopusica, sin fractura patolgica"
"M811" "Osteoporosis postooforectoma, sin fractura patolgica"
"M812" "Osteoporosis por desuso, sin fractura patolgica"
"M813" "Osteoporosis por malabsorcin postquirrgica, sin fractura patolgica"
"M814" "Osteoporosis inducida por drogas, sin fractura patolgica"
"M815" "Osteoporosis idioptica, sin fractura patolgica"
"M816" "Osteoporosis localizada [Lequesne], sin fractura patolgica"
"M818" "Otras osteoporosis, sin fractura patolgica"
"M819" "Osteoporosis no especificada, sin fractura patolgica"
"M82" "Osteoporosis en enfermedades clasificadas en otra parte"
"M820" "Osteoporosis en mielomatosis mltiple"
"M821" "Osteoporosis en trastornos endocrinos"
"M828" "Osteoporosis en otras enfermedades clasificadas en otra parte"
"M83" "Osteomalacia del adulto"
"M830" "Osteomalacia puerperal"
"M831" "Osteomalacia senil"
"M832" "Osteomalacia del adulto debida a malabsorcin"
"M833" "Osteomalacia del adulto debida a desnutricin"
"M834" "Enfermedad de los huesos por aluminio"
"M835" "Otras osteomalacias del adulto inducidas por drogas"
"M838" "Otras osteomalacias del adulto"
"M839" "Osteomalacia del adulto, no especificada"
"M84" "Trastornos de la continuidad del hueso"
"M840" "Consolidacin defectuosa de fractura"
"M841" "Falta de consolidacin de fractura [seudoartrosis]"
"M842" "Consolidacin retardada de fractura"
"M843" "Fractura por tensin, no clasificada en otra parte"
"M844" "Fractura patolgica, no clasificada en otra parte"
"M848" "Otros trastornos de la continuidad del hueso"
"M849" "Trastorno de la continuidad del hueso, no especificado"
"M85" "Otros trastornos de la densidad y de la estructura seas"
"M850" "Displasia fibrosa (monosttica)"
"M851" "Fluorosis del esqueleto"
"M852" "Hiperostosis del crneo"
"M853" "Ostetis condensante"
"M854" "Quiste seo solitario"
"M855" "Quiste seo aneurismtico"
"M856" "Otros quistes seos"
"M858" "Otros trastornos especificados de la densidad y de la estructura seas"
"M859" "Trastorno de la densidad y de la estructura seas, no especificado"
"M86" "Osteomielitis"
"M860" "Osteomielitis hematgena aguda"
"M861" "Otras osteomielitis agudas"
"M862" "Osteomielitis subaguda"
"M863" "Osteomielitis multifocal crnica"
"M864" "Osteomielitis crnica con drenaje del seno"
"M865" "Otras osteomielitis hematgenas crnicas"
"M866" "Otras osteomielitis crnicas"
"M868" "Otras osteomielitis"
"M869" "Osteomielitis, no especificada"
"M87" "Osteonecrosis"
"M870" "Necrosis asptica idioptica sea"
"M871" "Osteonecrosis debida a drogas"
"M872" "Osteonecrosis debida a traumatismo previo"
"M873" "Otras osteonecrosis secundarias"
"M878" "Otras osteonecrosis"
"M879" "Osteonecrosis, no especificada"
"M88" "Enfermedad de Paget de los huesos [ostetis deformante]"
"M880" "Enfermedad de Paget del crneo"
"M888" "Enfermedad de Paget de otros huesos"
"M889" "Enfermedad sea de Paget, huesos no especificados"
"M89" "Otros trastornos del hueso"
"M890" "Algoneurodistrofia"
"M891" "Detencin del crecimiento epifisario"
"M892" "Otros trastornos del desarrollo y crecimiento seo"
"M893" "Hipertrofia del hueso"
"M894" "Otras osteoartropatias hipertrficas"
"M895" "Ostelisis"
"M896" "Osteopata a consecuencia de poliomielitis"
"M898" "Otros trastornos especificados del hueso"
"M899" "Trastorno del hueso, no especificado"
"M90" "Osteopatas en enfermedades clasificadas en otra parte"
"M900" "Tuberculosis sea"
"M901" "Periostitis en otras enfermedades infecciosas clasificadas en otra parte"
"M902" "Osteopata en otras enfermedades infecciosas clasificadas en otra parte"
"M903" "Osteonecrosis en la enfermedad causada por descompresin"
"M904" "Osteonecrosis debida a hemoglobinopata"
"M905" "Osteonecrosis en otras enfermedades clasificadas en otra parte"
"M906" "Ostetis deformante en enfermedad neoplsica"
"M907" "Fractura sea en enfermedad neoplsica"
"M908" "Osteopata en otras enfermedades clasificadas en otra parte"
"M91" "Osteocondrosis juvenil de la cadera y de la pelvis"
"M910" "Osteocondrosis juvenil de la pelvis"
"M911" "Osteocondrosis juvenil de la cabeza del fmur [Legg-Calv-Perthes]"
"M912" "Coxa plana"
"M913" "Pseudocoxalgia"
"M918" "Otras osteocondrosis juveniles de la cadera y de la pelvis"
"M919" "Osteocondrosis juvenil de la cadera y de la pelvis, sin otra especificacin"
"M92" "Otras osteocondrosis juveniles"
"M920" "Osteocondrosis juvenil del humero"
"M921" "Osteocondrosis juvenil del cbito y del radio"
"M922" "Osteocondrosis juvenil de la mano"
"M923" "Otras osteocondrosis juveniles del miembro superior"
"M924" "Osteocondrosis juvenil de la rtula"
"M925" "Osteocondrosis juvenil de la tibia y del peron"
"M926" "Osteocondrosis juvenil del tarso"
"M927" "Osteocondrosis juvenil del metatarso"
"M928" "Otras osteocondrosis juveniles especificadas"
"M929" "Osteocondrosis juvenil, no especificada"
"M93" "Otras osteocondropatas"
"M930" "Deslizamiento de la epfisis femoral superior (no traumtico)"
"M931" "Enfermedad de Kienbck del adulto"
"M932" "Osteocondritis disecante"
"M938" "Otras osteocondropatas especificadas"
"M939" "Osteocondropata, no especificada"
"M94" "Otros trastornos del cartlago"
"M940" "Sndrome de la articulacin condrocostal [Tietze]"
"M941" "Policondritis recidivante"
"M942" "Condromalacia"
"M943" "Condrlisis"
"M948" "Otros trastornos especificados del cartlago"
"M949" "Trastorno del cartlago, no especificado"
"M95" "Otras deformidades adquiridas del sistema osteomuscular y del tejido conjuntivo"
"M950" "Deformidad adquirida de la nariz"
"M951" "Oreja en coliflor"
"M952" "Otras deformidades adquiridas de la cabeza"
"M953" "Deformidad adquirida del cuello"
"M954" "Deformidad adquirida de costillas y trax"
"M955" "Deformidad adquirida de la pelvis"
"M958" "Otras deformidades adquiridas especificadas del sistema osteomuscular"
"M959" "Deformidad adquirida del sistema osteomuscular, no especificada"
"M96" "Trastornos osteomusculares consecutivos a procedimientos, no clasificados en otra parte"
"M960" "Seudoartrosis consecutiva a fusin o artrodesis"
"M961" "Sndrome postlaminectoma, no clasificado en otra parte"
"M962" "Cifosis postradiacin"
"M963" "Cifosis postlaminectoma"
"M964" "Lordosis postquirrgica"
"M965" "Escoliosis postrradiacin"
"M966" "Fractura de hueso posterior a insercin o implante ortopdico, prtesis articular o placa sea"
"M968" "Otros trastornos osteomusculares consecutivos a procedimientos"
"M969" "Trastornos osteomusculares no especificados consecutivos a procedimientos"
"M99" "Lesiones biomecnicas, no clasificadas en otra parte"
"M990" "Disfuncin segmental o somtica"
"M991" "Complejo de subluxacin (vertebral)"
"M992" "Subluxacin con estenosis del canal neural"
"M993" "Estenosis sea del canal neural"
"M994" "Estenosis del canal neural por tejido conjuntivo"
"M995" "Estenosis del canal neural por disco intervertebral"
"M996" "Estenosis sea y subluxacin de los agujeros intervertebrales"
"M997" "Estenosis de los agujeros intervertebrales por tejido conjuntivo o por disco intervertebral"
"M998" "Otras lesiones biomecnicas"
"M999" "Lesin biomecnica, no especificada"
"N00" "Sndrome nefrtico agudo"
"N000" "Sndrome nefrtico agudo, anomala glomerular mnima"
"N001" "Sndrome nefrtico agudo, lesiones glomerulares focales y segmentarias"
"N002" "Sndrome nefrtico agudo, glomerulonefritis membranosa difusa"
"N003" "Sndrome nefrtico agudo, glomerulonefritis proliferativa mesangial difusa"
"N004" "Sndrome nefrtico agudo, glomerulonefritis proliferativa endocapilar difusa"
"N005" "Sndrome nefrtico agudo, glomerulonefritis mesangiocapilar difusa"
"N006" "Sndrome nefrtico agudo, enfermedad por depsitos densos"
"N007" "Sndrome nefrtico agudo, glomerulonefritis difusa en media luna"
"N008" "Sndrome nefrtico agudo, otras"
"N009" "Sndrome nefrtico agudo, no especificada"
"N01" "Sndrome nefrtico rpidamente progresivo"
"N010" "Sndrome nefrtico rpidamente progresivo, anomala glomerular mnima"
"N011" "Sndrome nefrtico rpidamente progresivo, lesiones glomerulares focales y segmentarias"
"N012" "Sndrome nefrtico rpidamente progresivo, glomerulonefritis membranosa difusa"
"N013" "Sndrome nefritico rpidamente progresivo, Glomerulonefritis proliferativa mesangial difusa"
"N014" "Sndrome nefrtico rpidamente progresivo, glomerulonefritis proliferativa endocapilar difusa"
"N015" "Sndrome nefrtico rpidamente progresivo, glomerulonefritis mesangiocapilar difusa"
"N016" "Sndrome nefrtico rpidamente progresivo,  enfermedad por depsitos densos"
"N017" "Sndrome nefrtico rpidamente progresivo, glomerulonefritis difusa en media luna"
"N018" "Sndrome nefrtico rpidamente progresivo, otras"
"N019" "Sndrome nefrtico rpidamente progresivo, no especificada"
"N02" "Hematuria recurrente y persistente"
"N020" "Hematuria recurrente y persistente, anomala glomerular mnima"
"N021" "Hematuria recurrente y persistente, lesiones glomerulares focales y segmentarias"
"N022" "Hematuria recurrente y persistente,  glomerulonefritis membranosa difusa"
"N023" "Hematuria recurrente y persistente,  glomerulonefritis proliferativa mesangial difusa"
"N024" "Hematuria recurrente y persistente,  glomerulonefritis proliferativa endocapilar difusa"
"N025" "Hematuria recurrente y persistente,  glomerulonefritis mesangiocapilar difusa"
"N026" "Hematuria recurrente y persistente,  enfermedad por depsitos densos"
"N027" "Hematuria recurrente y persistente,  glomerulonefritis difusa en media luna"
"N028" "Hematuria recurrente y persistente,  otras"
"N029" "Hematuria recurrente y persistente, no especificada"
"N03" "Sndrome nefrtico crnico"
"N030" "Sndrome nefrtico crnico, anomala glomerular mnima"
"N031" "Sndrome nefrtico crnico, lesiones glomerulares focales y segmentarias"
"N032" "Sndrome nefrtico crnico, glomerulonefritis membranosa difusa"
"N033" "Sndrome nefrtico crnico, glomerulonefritis proliferativa mesangial difusa"
"N034" "Sndrome nefrtico crnico, glomerulonefritis proliferativa endocapilar difusa"
"N035" "Sndrome nefrtico crnico, glomerulonefritis mesangiocapilar difusa"
"N036" "Sndrome nefrtico crnico, enfermedad por depsitos densos"
"N037" "Sndrome nefrtico crnico, glomerulonefritis difusa en media luna"
"N038" "Sndrome nefrtico crnico, otras"
"N039" "Sndrome nefrtico crnico, no especificada"
"N04" "Sndrome nefrtico"
"N040" "Sndrome nefrtico, anomala glomerular mnima"
"N041" "Sndrome nefrtico, lesiones glomerulares focales y segmentarias"
"N042" "Sndrome nefrtico, glomerulonefritis membranosa difusa"
"N043" "Sndrome nefrtico, glomerulonefritis proliferativa mesangial difusa"
"N044" "Sndrome nefrtico, glomerulonefritis proliferativa endocapilar difusa"
"N045" "Sndrome nefrtico, glomerulonefritis mesangiocapilar difusa"
"N046" "Sndrome nefrtico, enfermedad por depsitos densos"
"N047" "Sndrome nefrtico, glomerulonefritis difusa en media luna"
"N048" "Sndrome nefrtico, otras"
"N049" "Sndrome nefrtico, no especificada"
"N05" "Sndrome nefrtico no especificado"
"N050" "Sndrome nefrtico no especificado, anomala glomerular mnima"
"N051" "Sndrome nefrtico no especificado, lesiones glomerulares focales y segmentarias"
"N052" "Sndrome nefrtico no especificado, glomerulonefritis membranosa difusa"
"N053" "Sndrome nefrtico no especificado, glomerulonefritis proliferativa mesangial difusa"
"N054" "Sndrome nefrtico no especificado, glomerulonefritis proliferativa endocapilar difusa"
"N055" "Sndrome nefrtico no especificado, glomerulonefritis mesangiocapilar difusa"
"N056" "Sndrome nefrtico no especificado, enfermedad por depsitos densos"
"N057" "Sndrome nefrtico no especificado, glomerulonefritis difusa en media luna"
"N058" "Sndrome nefrtico no especificado, otras"
"N059" "Sndrome nefrtico no especificada"
"N06" "Proteinuria aislada con lesin morfolgica especificada"
"N060" "Proteinuria aislada con lesin morfolgica especificada, anomala glomerular mnima"
"N061" "Proteinuria aislada con lesin morfolgica especificada, lesiones glomerulares focales y segmentarias"
"N062" "Proteinuria aislada con lesin morfolgica especificada, glomerulonefritis membranosa difusa"
"N063" "Proteinuria aislada con lesin morfolgica especificada,  glomerulonefritis proliferativa mesangial difusa"
"N064" "Proteinuria aislada con lesin morfolgica especificada,  glomerulonefritis proliferativa endocapilar difusa"
"N065" "Proteinuria aislada con lesin morfolgica especificada, glomerulonefritis mesangiocapilar difusa"
"N066" "Proteinuria aislada con lesin morfolgica especificada,  enfermedad por depsitos densos"
"N067" "Proteinuria aislada con lesin morfolgica especificada, glomerulonefritis difusa en media luna"
"N068" "Proteinuria aislada con lesin morfolgica especificada, otras"
"N069" "Proteinuria aislada con lesin morfolgica especificada, no especificada"
"N07" "Nefropata hereditaria no clasificada en otra parte"
"N070" "Nefropata hereditaria, NCOP, anomala glomerular mnima"
"N071" "Nefropata hereditaria, NCOP, lesiones glomerulares focales y segmentarias"
"N072" "Nefropata hereditaria, NCOP, glomerulonefritis membranosa difusa"
"N073" "Nefropata hereditaria, NCOP,  glomerulonefritis proliferativa mesangial difusa"
"N074" "Nefropata hereditaria, NCOP,  glomerulonefrItis proliferativa endocapilar difusa"
"N075" "Nefropata hereditaria, NCOP,  glomerulonefritis mesangiocapilar difusa"
"N076" "Nefropata hereditaria, NCOP, enfermedad por depsitos densos"
"N077" "Nefropata hereditaria, NCOP,  glomerulonefritis difusa en media luna"
"N078" "Nefropata hereditaria, NCOP,  otras"
"N079" "Nefropata hereditaria, NCOP, no especificada"
"N08" "Trastornos glomerulares en enfermedades clasificadas en otra parte"
"N080" "Trastornos glomerulares en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"N081" "Trastornos glomerulares en enfermedades neoplsicas"
"N082" "Trastornos glomerulares en enfermedades de la sangre y otros trastornos que afectan el mecanismo inmunitario"
"N083" "Trastornos glomerulares en diabetes mellitus"
"N084" "Trastornos glomerulares en otras enfermedades endocrinas, nutricionales y metablicas"
"N085" "Trastornos glomerulares en trastornos sistmicos del tejido conjuntivo"
"N088" "Trastornos glomerulares en otras enfermedades clasificadas en otra parte"
"N10" "Nefritis tubulointersticial aguda"
"N11" "Nefritis  tubulointersticial crnica"
"N110" "Pielonefritis crnica no obstructiva asociada con reflujo"
"N111" "Pielonefritis crnica obstructiva"
"N118" "Otras nefritis tubulointersticiales crnicas"
"N119" "Nefritis tubulointersticial crnica, sin otra especificacin"
"N12" "Nefritis tubulointersticial, no especificada como aguda o crnica"
"N13" "Uropata obstructiva y por reflujo"
"N130" "Hidronefrosis con obstruccin de la unin urtero-plvica"
"N131" "Hidronefrosis con estrechez ureteral, no clasificada en otra parte"
"N132" "Hidronefrosis con obstruccin por clculos del rin y del urter"
"N133" "Otras hidronefrosis y las no especificadas"
"N134" "Hidrourter"
"N135" "Torsin y estrechez del urter sin hidronefrosis"
"N136" "Pionefrosis"
"N137" "Uropata asociada con reflujo vesicoureteral"
"N138" "Otras uropatas obstructivas y por reflujo"
"N139" "Uropata obstructiva y por reflujo, sin otra especificacin"
"N14" "Afecciones tubulares y tubulointersticiales inducidas por drogas y por metales pesados"
"N140" "Nefropata inducida por analgsicos"
"N141" "Nefropata inducida por otras drogas, medicamentos y sustancias biolgicas"
"N142" "Nefropata inducida por drogas, medicamentos y sustancias biolgicas no especificadas"
"N143" "Nefropata inducida por metales pesados"
"N144" "Nefropata txica, no clasificada en otra parte"
"N15" "Otras enfermedades renales tubulointersticiales"
"N150" "Nefropata de los Balcanes"
"N151" "Absceso renal y perirrenal"
"N158" "Otras enfermedades renales tubulointersticiales especificadas"
"N159" "Enfermedad renal tubulointersticial, no especificada"
"N16" "Trastornos renales tubulointersticiales en enfermedades clasificadas en otra parte"
"N160" "Trastornos renales tubulointersticiales en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"N161" "Trastornos renales tubulointersticiales en enfermedades neoplsicas"
"N162" "Trastornos renales tubulointersticiales en enfermedades de la sangre y en trastornos que afectan el mecanismo inmunitario"
"N163" "Trastornos renales tubulointersticiales en enfermedades metablicas"
"N164" "Trastornos renales tubulointersticiales en enfermedades del tejido conjuntivo"
"N165" "Trastornos renales tubulointersticiales en rechazo de trasplante"
"N168" "Trastornos renales tubulointersticiales en otras enfermedades clasificadas en otra parte"
"N17" "Insuficiencia renal aguda"
"N170" "Insuficiencia renal aguda con necrosis tubular"
"N171" "Insuficiencia renal aguda con necrosis cortical aguda"
"N172" "Insuficiencia renal aguda con necrosis medular"
"N178" "Otras insuficiencias renales agudas"
"N179" "Insuficiencia renal aguda, no especificada"
"N18" "Insuficiencia renal crnica"
"N180" "Insuficiencia renal terminal"
"N181" "Enfermedad renal crnica, etapa 1"
"N182" "Enfermedad renal crnica, etapa 2"
"N183" "Enfermedad renal crnica, etapa 3"
"N184" "Enfermedad renal crnica, etapa 4"
"N185" "Enfermedad renal crnica, etapa 5"
"N188" "Otras insuficiencias renales crnicas"
"N189" "Insuficiencia renal crnica, no especificada"
"N19" "Insuficiencia renal no especificada"
"N20" "Clculo del rin y del urter"
"N200" "Clculo del rin"
"N201" "Clculo del urter"
"N202" "Clculo del rin con clculo del urter"
"N209" "Clculo urinario, no especificado"
"N21" "Clculo de las vas urinarias inferiores"
"N210" "Clculo en la vejiga"
"N211" "Clculo en la uretra"
"N218" "Otros clculos de las vas urinarias inferiores"
"N219" "Clculo de las vas urinarias inferiores, no especificado"
"N22" "Clculo de las vas urinarias en enfermedades clasificadas en otra parte"
"N220" "Litiasis urinaria en esquistosomiasis [bilharziasis]"
"N228" "Clculo de las vas urinarias en otras enfermedades clasificadas en otra parte"
"N23" "Clico renal, no especificado"
"N25" "Trastornos resultantes de la funcin tubular renal alterada"
"N250" "Osteodistrofia renal"
"N251" "Diabetes inspida nefrgena"
"N258" "Otros trastornos resultantes de la funcin tubular renal alterada"
"N259" "Trastorno no especificado, resultante de la funcin tubular renal alterada"
"N26" "Rin contrado, no especificado"
"N27" "Rin pequeo de causa desconocida"
"N270" "Rin pequeo, unilateral"
"N271" "Rin pequeo, bilateral"
"N279" "Rin pequeo, no especificado"
"N28" "Otros trastornos del rin y del urter, no clasificados en otra parte"
"N280" "Isquemia e infarto del rin"
"N281" "Quiste de rin, adquirido"
"N288" "Otros trastornos especificados del rin y del urter"
"N289" "Trastorno del rin y del urter, no especificado"
"N29" "Otros trastornos del rin y del urter en enfermedades clasificadas en otra parte"
"N290" "Sfilis renal tarda"
"N291" "Otros trastornos del rin y del urter en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"N298" "Otros trastornos del rin y del urter en otras enfermedades clasificadas en otra parte"
"N30" "Cistitis"
"N300" "Cistitis aguda"
"N301" "Cistitis intersticial (crnica)"
"N302" "Otras cistitis crnicas"
"N303" "Trigonitis"
"N304" "Cistitis por irradiacin"
"N308" "Otras cistitis"
"N309" "Cistitis, no especificada"
"N31" "Disfuncin neuromuscular de la vejiga, no clasificada en otra parte"
"N310" "Vejiga neuroptica no inhibida, no clasificada en otra parte"
"N311" "Vejiga neuroptica refleja, no clasificada en otra parte"
"N312" "Vejiga neuroptica flcida, no clasificada en otra parte"
"N318" "Otras disfunciones neuromusculares de la vejiga"
"N319" "Disfuncin neuromuscular de la vejiga, no especificada"
"N32" "Otros trastornos de la vejiga"
"N320" "Obstruccin de cuello de la vejiga"
"N321" "Fstula vesicointestinal"
"N322" "Fstula de la vejiga, no clasificada en otra parte"
"N323" "Divertculo de la vejiga"
"N324" "Ruptura de la vejiga, no traumtica"
"N328" "Otros trastornos especificados de la vejiga"
"N329" "Trastorno de la vejiga, no especificado"
"N33" "Trastornos de la vejiga en enfermedades clasificadas en otra parte"
"N330" "Cistitis tuberculosa"
"N338" "Trastornos de la vejiga en otras enfermedades clasificadas en otra parte"
"N34" "Uretritis y sndrome uretral"
"N340" "Absceso uretral"
"N341" "Uretritis no especfica"
"N342" "Otras uretritis"
"N343" "Sndrome uretral, no especificado"
"N35" "Estrechez uretral"
"N350" "Estrechez uretral postraumtica"
"N351" "Estrechez uretral postinfeccin, no clasificada en otra parte"
"N358" "Otras estrecheces uretrales"
"N359" "Estrechez uretral, no especificada"
"N36" "Otros trastornos de la uretra"
"N360" "Fstula de la uretra"
"N361" "Divertculo de la uretra"
"N362" "Carncula uretral"
"N363" "Prolapso de la mucosa uretral"
"N368" "Otros trastornos especificados de la uretra"
"N369" "Trastorno de la uretra, no especificado"
"N37" "Trastornos de la uretra en enfermedades clasificadas en otra parte"
"N370" "Uretritis en enfermedades clasificadas en otra parte"
"N378" "Otros trastornos uretrales en enfermedades clasificadas en otra parte"
"N39" "Otros trastornos del sistema urinario"
"N390" "Infeccin de vas urinarias, sitio no especificado"
"N391" "Proteinuria persistente, no especificada"
"N392" "Proteinuria ortosttica, no especificada"
"N393" "Incontinencia urinaria por tensin"
"N394" "Otras incontinencias urinarias especificadas"
"N398" "Otros trastornos especificados del sistema urinario"
"N399" "Trastorno del sistema urinario, no especificado"
"N40" "Hiperplasia de la prstata"
"N41" "Enfermedades inflamatorias de la prstata"
"N410" "Prostatitis aguda"
"N411" "Prostatitis crnica"
"N412" "Absceso de la prstata"
"N413" "Prostatocistitis"
"N418" "Otras enfermedades inflamatorias de la prstata"
"N419" "Enfermedad inflamatoria de la prstata, no especificada"
"N42" "Otros trastornos de la prstata"
"N420" "Clculo de la prstata"
"N421" "Congestin y hemorragia de la prstata"
"N422" "Atrofia de la prstata"
"N423" "Displasia de la prstata"
"N428" "Otros trastornos especificados de la prstata"
"N429" "Trastorno de la prstata, no especificado"
"N43" "Hidrocele y espermatocele"
"N430" "Hidrocele enquistado"
"N431" "Hidrocele infectado"
"N432" "Otros hidroceles"
"N433" "Hidrocele, no especificado"
"N434" "Espermatocele"
"N44" "Torsin del testculo"
"N45" "Orquitis y epididimitis"
"N450" "Orquitis, epididimitis y orquiepididimitis con absceso"
"N459" "Orquitis, epididimitis y orquiepididimitis sin absceso"
"N46" "Esterilidad en el varn"
"N47" "Prepucio redundante, fimosis y parafimosis"
"N48" "Otros trastornos del pene"
"N480" "Leucoplasia del pene"
"N481" "Balanopostitis"
"N482" "Otros trastornos inflamatorios del pene"
"N483" "Priapismo"
"N484" "Impotencia de origen orgnico"
"N485" "lcera del pene"
"N486" "Induracin plstica del pene"
"N488" "Otros trastornos especificados del pene"
"N489" "Trastorno del pene, no especificado"
"N49" "Trastornos inflamatorios de rganos genitales masculinos, no clasificados en otra parte"
"N490" "Trastornos inflamatorios de vescula seminal"
"N491" "Trastornos inflamatorios del cordn espermtico, tnica vaginal y conducto deferente"
"N492" "Trastornos inflamatorios del escroto"
"N498" "Otros trastornos inflamatorios de los rganos genitales masculinos"
"N499" "Trastorno inflamatorio de rgano genital masculino, no especificado"
"N50" "Otros trastornos de los rganos genitales masculinos"
"N500" "Atrofia del testculo"
"N501" "Trastornos vasculares de los rganos genitales masculinos"
"N508" "Otros trastornos especificados de los rganos genitales masculinos"
"N509" "Trastorno no especificado de los rganos genitales masculinos"
"N51" "Trastornos de los rganos genitales masculinos en enfermedades clasificadas en otra parte"
"N510" "Trastornos de prstata en enfermedades clasificadas en otra parte"
"N511" "Trastornos del testculo y del epiddimo en enfermedades clasificadas en otra parte"
"N512" "Balanitis en enfermedades clasificadas en otra parte"
"N518" "Otros trastornos de los rganos genitales masculinos en enfermedades clasificadas en otra parte"
"N60" "Displasia mamaria benigna"
"N600" "Quiste solitario de la mama"
"N601" "Mastopata qustica difusa"
"N602" "Fibroadenosis de mama"
"N603" "Fibroesclerosis de mama"
"N604" "Ectasia de conducto mamario"
"N608" "Otras displasias mamarias benignas"
"N609" "Displasia mamaria benigna, sin otra especificacin"
"N61" "Trastornos inflamatorios de la mama"
"N62" "Hipertrofia de la mama"
"N63" "Masa no especificada en la mama"
"N64" "Otros trastornos de la mama"
"N640" "Fisura y fstula del pezn"
"N641" "Necrosis grasa de la mama"
"N642" "Atrofia de la mama"
"N643" "Galactorrea no asociada con el parto"
"N644" "Mastodinia"
"N645" "Otros signos y sntomas relativos a la mama"
"N648" "Otros trastornos especificados de la mama"
"N649" "Trastorno de la mama, no especificado"
"N70" "Salpingitis y ooforitis"
"N700" "Salpingitis y ooforitis aguda"
"N701" "Salpingitis y ooforitis crnica"
"N709" "Salpingitis y ooforitis, no especificadas"
"N71" "Enfermedad inflamatoria del tero, excepto del cuello uterino"
"N710" "Enfermedad inflamatoria aguda del tero"
"N711" "Enfermedad inflamatoria crnica del tero"
"N719" "Enfermedad inflamatoria del tero, no especificada"
"N72" "Enfermedad inflamatoria del cuello uterino"
"N73" "Otras enfermedades plvicas inflamatorias femeninas"
"N730" "Parametritis y celulitis plvica aguda"
"N731" "Parametritis y celulitis plvica crnica"
"N732" "Parametritis y celulitis plvica no especificada"
"N733" "Peritonitis plvica aguda, femenina"
"N734" "Peritonitis plvica crnica, femenina"
"N735" "Peritonitis plvica femenina, no especificada"
"N736" "Adherencias peritoneales plvicas femeninas"
"N738" "Otras enfermedades inflamatorias plvicas femeninas"
"N739" "Enfermedad inflamatoria plvica femenina, no especificada"
"N74" "Trastornos inflamatorios de la pelvis femenina en enfermedades clasificadas en otra parte"
"N740" "Infeccin tuberculosa del cuello del tero"
"N741" "Enfermedad inflamatoria plvica femenina por tuberculosis"
"N742" "Enfermedad inflamatoria plvica femenina por sfilis"
"N743" "Enfermedad inflamatoria plvica femenina por gonococos"
"N744" "Enfermedad inflamatoria plvica femenina por clamidias"
"N748" "Trastornos inflamatorios plvicos femeninos en otras enfermedades clasificadas en otra parte"
"N75" "Enfermedades de la glndula de Bartholin"
"N750" "Quiste de la glndula de Bartholin"
"N751" "Absceso de la glndula de Bartholin"
"N758" "Otras enfermedades de la glndula de Bartholin"
"N759" "Enfermedad de la glndula de Bartholin, no especificada"
"N76" "Otras afecciones inflamatorias de la vagina y de la vulva"
"N760" "Vaginitis aguda"
"N761" "Vaginitis subaguda y crnica"
"N762" "Vulvitis aguda"
"N763" "Vulvitis subaguda y crnica"
"N764" "Absceso vulvar"
"N765" "Ulceracin de la vagina"
"N766" "Ulceracin de la vulva"
"N768" "Otras inflamaciones especificadas de la vagina y de la vulva"
"N77" "Ulceracin e inflamacin vulvovaginal en enfermedades clasificadas en otra parte"
"N770" "Ulceracin de la vulva en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"N771" "Vaginitis, vulvitis y vulvovaginitis en enfermedades infecciosas y parasitarias clasificadas en otra parte"
"N778" "Ulceracin e inflamacin vulvovaginal en otras enfermedades clasificadas en otra parte"
"N80" "Endometriosis"
"N800" "Endometriosis del tero"
"N801" "Endometriosis del ovario"
"N802" "Endometriosis de la trompa de Falopio"
"N803" "Endometriosis del peritoneo plvico"
"N804" "Endometriosis del tabique rectovaginal y de la vagina"
"N805" "Endometriosis del intestino"
"N806" "Endometriosis en cicatriz cutnea"
"N808" "Otras endometriosis"
"N809" "Endometriosis, no especificada"
"N81" "Prolapso genital femenino"
"N810" "Uretrocele femenino"
"N811" "Cistocele"
"N812" "Prolapso uterovaginal incompleto"
"N813" "Prolapso uterovaginal completo"
"N814" "Prolapso uterovaginal, sin otra especificacin"
"N815" "Enterocele vaginal"
"N816" "Rectocele"
"N818" "Otros prolapsos genitales femeninos"
"N819" "Prolapso genital femenino, no especificado"
"N82" "Fstulas que afectan el tracto genital femenino"
"N820" "Fstula vesicovaginal"
"N821" "Otras fstulas de las vas genitourinarias femeninas"
"N822" "Fstula de la vagina al intestino delgado"
"N823" "Fstula de la vagina al intestino grueso"
"N824" "Otras fstulas del tracto genital femenino al tracto intestinal"
"N825" "Fstula del tracto genital femenino a la piel"
"N828" "Otras fstulas del tracto genital femenino"
"N829" "Fstula del tracto genital femenino, sin otra especificacin"
"N83" "Tratornos no inflamatorios del ovario, de la trompa de Falopio y del ligamento ancho"
"N830" "Quiste folicular del ovario"
"N831" "Quiste del cuerpo amarillo"
"N832" "Otros quistes ovricos y los no especificados"
"N833" "Atrofia adquirida del ovario y de la trompa de Falopio"
"N834" "Prolapso y hernia del ovario y de la trompa de Falopio"
"N835" "Torsin de ovario, pedculo de ovario y trompa de Falopio"
"N836" "Hematosalpinx"
"N837" "Hematoma del ligamento ancho"
"N838" "Otros trastornos no inflamatorios del ovario, de la trompa de Falopio y del ligamento ancho"
"N839" "Enfermedad no inflamatoria del ovario, de la trompa de Falopio y del ligamento ancho, no especificada"
"N84" "Plipo del tracto genital femenino"
"N840" "Plipo del cuerpo del tero"
"N841" "Plipo del cuello del tero"
"N842" "Plipo de la vagina"
"N843" "Plipo de la vulva"
"N848" "Plipos de otras partes del tracto genital femenino"
"N849" "Plipo del tracto genital femenino, no especificado"
"N85" "Otros trastornos no inflamatorios del tero, excepto del cuello"
"N850" "Hiperplasia de glndula del endometrio"
"N851" "Hiperplasia adenomatosa del endometrio"
"N852" "Hipertrofia del tero"
"N853" "Subinvolucin del tero"
"N854" "Mala posicion del tero"
"N855" "Inversin del tero"
"N856" "Sinequias intrauterinas"
"N857" "Hematmetra"
"N858" "Otros trastornos no inflamatorios especificados del tero"
"N859" "Trastorno no inflamatorio del tero, no especificado"
"N86" "Erosin y ectropin del cuello del tero"
"N87" "Displasia del cuello uterino"
"N870" "Displasia cervical leve"
"N871" "Displasia cervical moderada"
"N872" "Displasia cervical severa, no clasificada en otra parte"
"N879" "Displasia del cuello del tero, no especificada"
"N88" "Otros trastornos no inflamatorios del cuello del tero"
"N880" "Leucoplasia del cuello del tero"
"N881" "Laceracin antigua del cuello del tero"
"N882" "Estrechez y estenosis del cuello del tero"
"N883" "Incompetencia del cuello del tero"
"N884" "Elongacin hipertrofica del cuello del tero"
"N888" "Otros trastornos no inflamatorios especificados del cuello del tero"
"N889" "Trastorno no inflamatorio del cuello del tero, no especificado"
"N89" "Otros trastornos no inflamatorios de la vagina"
"N890" "Displasia vaginal leve"
"N891" "Displasia vaginal moderada"
"N892" "Displasia vaginal severa, no clasificada en otra parte"
"N893" "Displasia de la vagina, no especificada"
"N894" "Leucoplasia de la vagina"
"N895" "Estrechez y atresia de la vagina"
"N896" "Anillo de himen estrecho"
"N897" "Hematocolpos"
"N898" "Otros trastornos especificados no inflamatorios de la vagina"
"N899" "Trastorno no inflamatorio de la vagina, no especificado"
"N90" "Otros trastornos no inflamatorios de la vulva y del perineo"
"N900" "Displasia vulvar leve"
"N901" "Displasia vulvar moderada"
"N902" "Displasia vulvar severa, no clasificada en otra parte"
"N903" "Displasia de la vulva, no especificada"
"N904" "Leucoplasia de la vulva"
"N905" "Atrofia de la vulva"
"N906" "Hipertrofia de la vulva"
"N907" "Quiste de la vulva"
"N908" "Otros trastornos no inflamatorios especificados de la vulva y del perineo"
"N909" "Trastorno no inflamatorio de la vulva y del perineo, no especificado"
"N91" "Menstruacin ausente, escasa o rara"
"N910" "Amenorrea primaria"
"N911" "Amenorrea secundaria"
"N912" "Amenorrea, sin otra especificacin"
"N913" "Oligomenorrea primaria"
"N914" "Oligomenorrea secundaria"
"N915" "Oligomenorrea, no especificada"
"N92" "Menstruacin excesiva, frecuente e irregular"
"N920" "Menstruacin excesiva y frecuente con ciclo regular"
"N921" "Menstruacin excesiva y frecuente con ciclo irregular"
"N922" "Menstruacin excesiva en la pubertad"
"N923" "Hemorragia por ovulacin"
"N924" "Hemorragia excesiva en perodo premenopusico"
"N925" "Otras menstruaciones irregulares especificadas"
"N926" "Menstruacin irregular, no especificada"
"N93" "Otras hemorragias uterinas o vaginales anormales"
"N930" "Hemorragia postcoito y postcontacto"
"N938" "Otras hemorragias uterinas o vaginales anormales especificadas"
"N939" "Hemorragia vaginal y uterina anormal, no especificada"
"N94" "Dolor y otras afecciones relacionadas con los rganos genitales femeninos y con el ciclo menstrual"
"N940" "Dolor intermenstrual"
"N941" "Dispareunia"
"N942" "Vaginismo"
"N943" "Sndrome de tensin premenstrual"
"N944" "Dismenorrea primaria"
"N945" "Dismenorrea secundaria"
"N946" "Dismenorrea, no especificada"
"N948" "Otras afecciones especificadas asociadas con los rganos genitales femeninos y el ciclo menstrual"
"N949" "Afecciones no especificadas asociadas con los rganos genitales femeninos y el ciclo menstrual"
"N95" "Otros trastornos menopusicos y perimenopusicos"
"N950" "Hemorragia postmenopusica"
"N951" "Estados menopusicos y climatricos femeninos"
"N952" "Vaginitis atrfica postmenopusica"
"N953" "Estados asociados con menopausia artificial"
"N958" "Otros trastornos menopusicos y perimenopusicos especificados"
"N959" "Trastorno menopusico y perimenopusico, no especificado"
"N96" "Abortadora habitual"
"N97" "Infertilidad femenina"
"N970" "Infertilidad femenina asociada con falta de ovulacin"
"N971" "Infertilidad femenina de origen tubrico"
"N972" "Infertilidad femenina de origen uterino"
"N973" "Infertilidad femenina de origen cervical"
"N974" "Infertilidad femenina asociada con factores masculinos"
"N978" "Infertilidad femenina de otro origen"
"N979" "Infertilidad femenina, no especificada"
"N98" "Complicaciones asociadas con la fecundacin artificial"
"N980" "Infeccin asociada con inseminacin artificial"
"N981" "Hiperestimulacin de ovarios"
"N982" "Complicaciones en el intento de introduccin del huevo fecundado en la fertilizacin in vitro"
"N983" "Complicaciones en el intento de introduccin del embrin en la transferencia de embriones"
"N988" "Otras complicaciones asociadas con la fecundacin artificial"
"N989" "Complicacin no especificada asociada con la fecundacin artificial"
"N99" "Trastornos del sistema genitourinario consecutivos a procedimientos no clasificados en otra parte"
"N990" "Insuficiencia renal consecutiva a procedimientos"
"N991" "Estrechez uretral consecutiva a procedimientos"
"N992" "Adherencias postoperatorias de la vagina"
"N993" "Prolapso de la cpula vaginal despus de histerectoma"
"N994" "Adherencias peritoneales plvicas consecutivas a procedimientos"
"N995" "Mal funcionamiento de estoma externo de vas urinarias"
"N998" "Otros trastornos del sistema genitourinario consecutivos a procedimientos"
"N999" "Trastorno no especificado del sistema genitourinario consecutivo a procedimientos"
"O00" "Embarazo ectpico"
"O000" "Embarazo abdominal"
"O001" "Embarazo tubrico"
"O002" "Embarazo ovrico"
"O008" "Otros embarazos ectpicos"
"O009" "Embarazo ectpico, no especificado"
"O01" "Mola hidatiforme"
"O010" "Mola hidatiforme clsica"
"O011" "Mola hidatiforme, incompleta o parcial"
"O019" "Mola hidatiforme, no especificada"
"O02" "Otros productos anormales  de la concepcin"
"O020" "Detencin del desarrollo del huevo y mola no hidatiforme"
"O021" "Aborto retenido"
"O028" "Otros productos anormales especificados de la concepcin"
"O029" "Producto anormal de la concepcin, no especificado"
"O03" "Aborto espontneo"
"O030" "Aborto espontneo incompleto, complicado con infeccin genital y pelviana"
"O031" "Aborto espontneo incompleto, complicado por hemorragia excesiva o tarda"
"O032" "Aborto espontneo incompleto, complicado por embolia"
"O033" "Aborto espontneo incompleto, con otras complicaciones especificadas y las no especificadas"
"O034" "Aborto espontneo incompleto, sin complicacin"
"O035" "Aborto espontneo completo o no especificado, complicado con infeccin genital y pelviana"
"O036" "Aborto espontneo completo o no especificado, complicado por hemorragia excesiva o tarda"
"O037" "Aborto espontneo completo o no especificado, complicado por embolia"
"O038" "Aborto espontneo completo o no especificado, con otras complicaciones especificadas y las no especificadas"
"O039" "Aborto espontneo completo o no especificado, sin complicacin"
"O04" "Aborto mdico"
"O040" "Aborto mdico incompleto, complicado con infeccin genital y pelviana"
"O041" "Aborto mdico incompleto, complicado por hemorragia excesiva o tarda"
"O042" "Aborto mdico incompleto, complicado por embolia"
"O043" "Aborto mdico incompleto, con otras complicaciones especificadas y las no especificadas"
"O044" "Aborto mdico incompleto, sin complicacin"
"O045" "Aborto mdico completo o no especificado, complicado con infeccin genital y pelviana"
"O046" "Aborto mdico completo o no especificado, complicado por hemorragia excesiva o tarda"
"O047" "Aborto mdico completo o no especificado, complicado por embolia"
"O048" "Aborto mdico completo o no especificado, con otras complicaciones especificadas y las no especificadas"
"O049" "Aborto mdico completo o no especificado, sin complicacin"
"O05" "Otro aborto"
"O050" "Otro aborto incompleto, complicado con infeccin genital y pelviana"
"O051" "Otro aborto incompleto, complicado por hemorragia excesiva o tarda"
"O052" "Otro aborto incompleto, complicado por embolia"
"O053" "Otro aborto incompleto, con otras complicaciones especificadas y las no especificadas"
"O054" "Otro aborto incompleto, sin complicacin"
"O055" "Otro aborto completo o no especificado, complicado con infeccin genital y pelviana"
"O056" "Otro aborto completo o no especificado, complicado por hemorragia excesiva o tarda"
"O057" "Otro aborto completo o no especificado, complicado por embolia"
"O058" "Otro aborto completo o no especificado, con otras complicaciones especificadas y las no especificadas"
"O059" "Otro aborto completo o no especificado, sin complicacin"
"O06" "Aborto no especificado"
"O060" "Aborto no especificado incompleto, complicado con infeccin genital y pelviana"
"O061" "Aborto no especificado incompleto, complicado por hemorragia excesiva o tarda"
"O062" "Aborto no especificado incompleto, complicado por embolia"
"O063" "Aborto no especificado incompleto, con otras complicaciones especificadas y las no especificadas"
"O064" "Aborto no especificado incompleto, sin complicacin"
"O065" "Aborto no especificado completo o no especificado, complicado con infeccin genital y pelviana"
"O066" "Aborto no especificado completo o no especificado, complicado por hemorragia excesiva o tarda"
"O067" "Aborto no especificado completo o no especificado, complicado por embolia"
"O068" "Aborto no especificado completo o no especificado, con otras complicaciones especificadas y las no especificadas"
"O069" "Aborto no especificado completo o no especificado, sin complicacin"
"O07" "Intento fallido de aborto"
"O070" "Falla de la induccin mdica del aborto, complicado por infeccin genital y pelviana"
"O071" "Falla de la induccin mdica del aborto, complicado por hemorragia excesiva o tarda"
"O072" "Falla de la induccin mdica del aborto, complicado por embolia"
"O073" "Falla de la induccin mdica del aborto, con otras complicaciones y las no especificadas"
"O074" "Falla de la induccin mdica del aborto, sin complicacin"
"O075" "Otros intentos fallidos de aborto y los no especificados, complicados por infeccin genital y pelviana"
"O076" "Otros intentos fallidos de aborto y los no especificados, complicados por hemorragia excesiva o tarda"
"O077" "Otros intentos fallidos de aborto y los no especificados, complicados por embolia"
"O078" "Otros intentos fallidos de aborto y los no especificados, con otras complicaciones y las no especificadas"
"O079" "Otros intentos fallidos de aborto y los no especificados, sin complicacin"
"O08" "Complicaciones consecutivas al aborto, al embarazo ectpico y al embarazo molar"
"O080" "Infeccin genital y pelviana consecutiva al aborto, al embarazo ectpico y al embarazo molar"
"O081" "Hemorragia excesiva o tarda consecutiva al aborto, al embarazo ectpico y al embarazo molar"
"O082" "Embolia consecutiva al aborto, al embarazo ectpico y al embarazo molar"
"O083" "Choque consecutivo al aborto, al embarazo ectpico y al embarazo molar"
"O084" "Insuficiencia renal consecutiva al aborto, al embarazo ectpico y al embarazo molar"
"O085" "Trastorno metablico consecutivo al aborto, al embarazo ectpico y al embarazo molar"
"O086" "Lesin de rganos o tejidos de la pelvis consecutivo al aborto, al embarazo ectpico y al embarazo molar"
"O087" "Otras complicaciones venosas consecutivas al aborto, al embarazo ectpico y al embarazo molar"
"O088" "Otras complicaciones consecutivas al aborto, al embarazo ectpico y al embarazo molar"
"O089" "Complicacin no especificada consecutiva al aborto, al embarazo ectpico y al embarazo molar"
"O10" "Hipertensin preexistente que complica el embarazo, el parto y el puerperio"
"O100" "Hipertensin esencial preexistente que complica el embarazo, el parto y el puerperio"
"O101" "Enfermedad cardaca hipertensiva preexistente que complica el embarazo, el parto y el puerperio"
"O102" "Enfermedad renal hipertensiva preexistente que complica el embarazo, el parto y el puerperio"
"O103" "Enfermedad cardiorrenal hipertensiva preexistente que complica el embarazo, el parto y el puerperio"
"O104" "Hipertensin secundaria preexistente que complica el embarazo, el parto y el puerperio"
"O109" "Hipertensin preexistente no especificada, que complica el embarazo, el parto y el puerperio"
"O11" "Trastornos hipertensivos preexistentes, con proteinuria agregada"
"O12" "Edema y proteinuria gestacionales [inducidos por el embarazo] sin hipertensin"
"O120" "Edema gestacional"
"O121" "Proteinuria gestacional"
"O122" "Edema gestacional con proteinuria"
"O13" "Hipertensin gestacional [inducida por el embarazo] sin proteinuria significativa"
"O14" "Hipertensin gestacional [inducida por el embarazo] con proteinuria significativa"
"O140" "Preeclampsia moderada"
"O141" "Preeclampsia severa"
"O142" "Sndrome HELLP"
"O149" "Preeclampsia, no especificada"
"O15" "Eclampsia"
"O150" "Eclampsia en el embarazo"
"O151" "Eclampsia durante el trabajo de parto"
"O152" "Eclampsia en el puerperio"
"O159" "Eclampsia, en perodo no especificado"
"O16" "Hipertensin materna, no especificada"
"O20" "Hemorragia precoz del embarazo"
"O200" "Amenaza de aborto"
"O208" "Otras hemorragias precoces del embarazo"
"O209" "Hemorragia precoz del embarazo, sin otra especificacin"
"O21" "Vmitos excesivos del embarazo"
"O210" "Hiperemesis gravdica leve"
"O211" "Hiperemesis gravdica con trastornos metablicos"
"O212" "Hiperemesis gravdica tarda"
"O218" "Otros vmitos que complican el embarazo"
"O219" "Vmitos del embarazo, no especificados"
"O22" "Complicaciones venosas del embarazo"
"O220" "Venas varicosas de los miembros inferiores en el embarazo"
"O221" "Vrices genitales en el embarazo"
"O222" "Tromboflebitis superficial en el embarazo"
"O223" "Flebotrombosis profunda en el embarazo"
"O224" "Hemorroides en el embarazo"
"O225" "Trombosis venosa cerebral en el embarazo"
"O228" "Otras complicaciones venosas en el embarazo"
"O229" "Complicacin venosa no especificada en el embarazo"
"O23" "Infeccin de las vas genitourinarias en el embarazo"
"O230" "Infeccin del rin en el embarazo"
"O231" "Infeccin de la vejiga urinaria en el embarazo"
"O232" "Infeccin de la uretra en el embarazo"
"O233" "Infeccin de otras partes de las vas urinarias en el embarazo"
"O234" "Infeccin no especificada de las vas urinarias en el embarazo"
"O235" "Infeccin genital en el embarazo"
"O239" "Otras Infecciones y las no especificadas de las vas genitourinarias en el embarazo"
"O24" "Diabetes mellitus en el embarazo"
"O240" "Diabetes mellitus preexistente insulinodependiente, en el embarazo"
"O241" "Diabetes mellitus preexistente no insulinodependiente, en el embarazo"
"O242" "Diabetes mellitus preexistente relacionada con desnutricin, en el embarazo"
"O243" "Diabetes mellitus preexistente, sin otra especificacin, en el embarazo"
"O244" "Diabetes mellitus que se origina con el embarazo"
"O249" "Diabetes mellitus no especificada, en el embarazo"
"O25" "Desnutricin en el embarazo"
"O26" "Atencin a la madre por otras complicaciones principalmente relacionadas con el embarazo"
"O260" "Aumento excesivo de peso en el embarazo"
"O261" "Aumento pequeo de peso en el embarazo"
"O262" "Atencin del embarazo en una abortadora habitual"
"O263" "Retencin de dispositivo anticonceptivo intrauterino en el embarazo"
"O264" "Herpes gestacional"
"O265" "Sndrome de hipotensin materna"
"O266" "Trastornos del hgado en el embarazo, el parto y el puerperio"
"O267" "Subluxacin de la snfisis (del pubis) en el embarazo, el parto y el puerperio"
"O268" "Otras complicaciones especificadas relacionadas con el embarazo"
"O269" "Complicacin relacionada con el embarazo, no especificada"
"O28" "Hallazgos anormales en el examen prenatal de la madre"
"O280" "Hallazgo hematolgico anormal en el examen prenatal de la madre"
"O281" "Hallazgo bioqumico anormal en el examen prenatal de la madre"
"O282" "Hallazgo citolgico anormal en el examen prenatal de la madre"
"O283" "Hallazgo ultrasnico anormal en el examen prenatal de la madre"
"O284" "Hallazgo radiolgico anormal en el examen prenatal de la madre"
"O285" "Hallazgo cromosmico o gentico anormal en el examen prenatal de la madre"
"O288" "Otros hallazgos anormales en el examen prenatal de la madre"
"O289" "Hallazgo anormal no especificado en el examen prenatal de la madre"
"O29" "Complicaciones de la anestesia administrada durante el embarazo"
"O290" "Complicaciones pulmonares de la anestesia administrada durante el embarazo"
"O291" "Complicaciones cardacas de la anestesia administrada durante el embarazo"
"O292" "Complicaciones del sistema nervioso central debidas a la anestesia administrada durante el embarazo"
"O293" "Reaccin txica a la anestesia local administrada durante el embarazo"
"O294" "Cefalalgia inducida por la anestesia espinal o epidural administradas durante el embarazo"
"O295" "Otras complicaciones de la anestesia espinal o epidural administradas durante el embarazo"
"O296" "Falla o dificultad en la intubacin durante el embarazo"
"O298" "Otras complicaciones de la anestesia administrada durante el embarazo"
"O299" "Complicacin no especificada de la anestesia administrada durante el embarazo"
"O30" "Embarazo mltiple"
"O300" "Embarazo doble"
"O301" "Embarazo triple"
"O302" "Embarazo cudruple"
"O308" "Otros embarazos mltiples"
"O309" "Embarazo mltiple, no especificado"
"O31" "Complicaciones especficas del embarazo mltiple"
"O310" "Feto papirceo"
"O311" "Embarazo que contina despus del aborto de un feto o ms"
"O312" "Embarazo que contina despus de la muerte intrauterina de un feto o ms"
"O318" "Otras complicaciones especficas del embarazo mltiple"
"O32" "Atencin materna por presentacin anormal del feto, conocida o presunta"
"O320" "Atencin materna por posicin fetal inestable"
"O321" "Atencin materna por presentacin de nalgas"
"O322" "Atencin materna por posicin fetal oblicua o transversa"
"O323" "Atencin materna por presentacin de cara, de frente o de mentn"
"O324" "Atencin materna por cabeza alta en gestacin a trmino"
"O325" "Atencin materna por embarazo mltiple con presentacin anormal de un feto o ms"
"O326" "Atencin materna por presentacin compuesta"
"O328" "Atencin materna por otras presentaciones anormales del feto"
"O329" "Atencin materna por presentacin anormal no especificada del feto"
"O33" "Atencin materna por desproporcin conocida o presunta"
"O330" "Atencin materna por desproporcin debida a deformidad de la pelvis sea en la madre"
"O331" "Atencin materna por desproporcin debida a estrechez general de la pelvis"
"O332" "Atencin materna por desproporcin debida a disminucin del estrecho superior de la pelvis"
"O333" "Atencin materna por desproporcin debida a disminucin del estrecho inferior de la pelvis"
"O334" "Atencin materna por desproporcin fetopelviana de origen mixto, materno y fetal"
"O335" "Atencin materna por desproporcin debida a feto demasiado grande"
"O336" "Atencin materna por desproporcin debida a feto hidroceflico"
"O337" "Atencin materna por desproporcin debida a otra deformidad fetal"
"O338" "Atencin materna por desproporcin de otro origen"
"O339" "Atencin materna por desproporcin de origen no especificado"
"O34" "Atencin materna por anormalidades conocidas o presuntas de los rganos pelvianos de la madre"
"O340" "Atencin materna por anomala congnita del tero"
"O341" "Atencin materna por tumor del cuerpo del tero"
"O342" "Atencin materna por cicatriz uterina debida a ciruga previa"
"O343" "Atencin materna por incompetencia del cuello uterino"
"O344" "Atencin materna por otra anormalidad del cuello uterino"
"O345" "Atencin materna por otras anormalidades del tero grvido"
"O346" "Atencin materna por anormalidad de la vagina"
"O347" "Atencin materna por anormalidad de la vulva y del perineo"
"O348" "Atencin materna por otras anormalidades de los rganos pelvianos"
"O349" "Atencin materna por anormalidad no especificada de rgano pelviano"
"O35" "Atencin materna por anormalidad o lesin fetal, conocida o presunta"
"O350" "Atencin materna por (presunta) malformacin del sistema nervioso central en el feto"
"O351" "Atencin materna por (presunta) anormalidad cromosmica en el feto"
"O352" "Atencin materna por (presunta) enfermedad hereditaria en el feto"
"O353" "Atencin materna por (presunta) lesin fetal debida a enfermedad vrica en la madre"
"O354" "Atencin materna por (presunta) lesin al feto debida al alcohol"
"O355" "Atencin materna por (presunta) lesin fetal debida a drogas"
"O356" "Atencin materna por (presunta) lesin al feto debida a radiacin"
"O357" "Atencin materna por (presunta) lesin fetal debida a otros procedimientos mdicos"
"O358" "Atencin materna por otras (presuntas) anormalidades y lesiones fetales"
"O359" "Atencin materna por (presunta) anormalidad y lesin fetal no especificada"
"O36" "Atencin materna por otros problemas fetales conocidos o presuntos"
"O360" "Atencin materna por isoinmunizacin rhesus"
"O361" "Atencin materna por otra isoinmunizacin"
"O362" "Atencin materna por hidropesa fetal"
"O363" "Atencin materna por signos de hipoxia fetal"
"O364" "Atencin materna por muerte intrauterina"
"O365" "Atencin materna por dficit del crecimiento fetal"
"O366" "Atencin materna por crecimiento fetal excesivo"
"O367" "Atencin materna por feto viable en embarazo abdominal"
"O368" "Atencin materna por otros problemas fetales especificados"
"O369" "Atencin materna por problemas fetales no especificados"
"O40" "Polihidramnios"
"O41" "Otros trastornos del lquido amnitico y de las membranas"
"O410" "Oligohidramnios"
"O411" "Infeccin de la bolsa amnitica o de las membranas"
"O418" "Otros trastornos especificados del lquido amnitico y de las membranas"
"O419" "Trastorno del lquido amnitico y de las membranas, no especificado"
"O42" "Ruptura prematura de las membranas"
"O420" "Ruptura prematura de las membranas, e inicio del trabajo de parto dentro de las 24 horas"
"O421" "Ruptura prematura de las membranas, e inicio del trabajo de parto despus de las 24 horas"
"O422" "Ruptura prematura de las membranas, trabajo de parto retrasado por la teraputica"
"O429" "Ruptura prematura de las membranas, sin otra especificacin"
"O43" "Trastornos placentarios"
"O430" "Sndrome de transfusin placentaria"
"O431" "Malformacin de la placenta"
"O432" "Placenta anormalmente adherida"
"O438" "Otros trastornos placentarios"
"O439" "Trastorno de la placenta, no especificado"
"O44" "Placenta previa"
"O440" "Placenta previa con especificacin de que no hubo hemorragia"
"O441" "Placenta previa con hemorragia"
"O45" "Desprendimiento prematuro de la placenta [Abruptio placentae]"
"O450" "Desprendimiento prematuro de la placenta con defecto de la coagulacin"
"O458" "Otros desprendimientos prematuros de la placenta"
"O459" "Desprendimiento prematuro de la placenta, sin otra especificacin"
"O46" "Hemorragia anteparto, no clasificada en otra parte"
"O460" "Hemorragia anteparto con defecto de la coagulacin"
"O468" "Otras hemorragias anteparto"
"O469" "Hemorragia anteparto, no especificada"
"O47" "Falso trabajo de parto"
"O470" "Falso trabajo de parto antes de las 37 semanas completas de gestacin"
"O471" "Falso trabajo de parto a las 37 y ms semanas completas de gestacin"
"O479" "Falso trabajo de parto, sin otra especificacin"
"O48" "Embarazo prolongado"
"O60" "Trabajo de parto prematuro"
"O600" "Trabajo de parto prematuro sin parto"
"O601" "Trabajo de parto prematuro con parto prematuro"
"O602" "Trabajo de parto prematuro con parto a trmino"
"O603" "Parto prematuro sin trabajo de parto espontneo "
"O61" "Fracaso de la induccin del trabajo de parto"
"O610" "Fracaso de la induccin mdica del trabajo de parto"
"O611" "Fracaso de la induccin instrumental del trabajo de parto"
"O618" "Otros fracasos de la induccin del trabajo de parto"
"O619" "Fracaso no especificado de la induccin del trabajo de parto"
"O62" "Anormalidades de la dinmica del trabajo de parto"
"O620" "Contracciones primarias inadecuadas"
"O621" "Inercia uterina secundaria"
"O622" "Otras inercias uterinas"
"O623" "Trabajo de parto precipitado"
"O624" "Contracciones uterinas hipertnicas, incoordinadas y prolongadas"
"O628" "Otras anomalas dinmicas del trabajo de parto"
"O629" "Anomala dinmica del trabajo de parto, no especificada"
"O63" "Trabajo de parto prolongado"
"O630" "Prolongacin del primer perodo (del trabajo de parto)"
"O631" "Prolongacin del segundo perodo (del trabajo de parto)"
"O632" "Retraso de la expulsin del segundo gemelo, del tercero, etc."
"O639" "Trabajo de parto prolongado, no especificado"
"O64" "Trabajo de parto obstruido debido a mala posicin y presentacin anormal del feto"
"O640" "Trabajo de parto obstruido debido a rotacin incompleta de la cabeza fetal"
"O641" "Trabajo de parto obstruido debido a presentacin de nalgas"
"O642" "Trabajo de parto obstruido debido a presentacin de cara"
"O643" "Trabajo de parto obstruido debido a presentacin de frente"
"O644" "Trabajo de parto obstruido debido a presentacin de hombro"
"O645" "Trabajo de parto obstruido debido a presentacin compuesta"
"O648" "Trabajo de parto obstruido debido a otras presentaciones anormales del feto"
"O649" "Trabajo de parto obstruido debido a presentacin anormal del feto no especificada"
"O65" "Trabajo de parto obstruido debido a anormalidad de la pelvis materna"
"O650" "Trabajo de parto obstruido debido a deformidad de la pelvis"
"O651" "Trabajo de parto obstruido debido a estrechez general de la pelvis"
"O652" "Trabajo de parto obstruido debido a disminucin del estrecho superior de la pelvis"
"O653" "Trabajo de parto obstruido debido a disminucin del estrecho inferior de la pelvis"
"O654" "Trabajo de parto obstruido debido a desproporcin fetopelviana, sin otra especificacin"
"O655" "Trabajo de parto obstruido debido a anomalas de los rganos pelvianos maternos"
"O658" "Trabajo de parto obstruido debido a otras anomalas pelvianas maternas"
"O659" "Trabajo de parto obstruido debido a anomala pelviana no especificada"
"O66" "Otras obstrucciones del trabajo de parto"
"O660" "Trabajo de parto obstruido debido a distocia de hombros"
"O661" "Trabajo de parto obstruido debido a distocia gemelar"
"O662" "Trabajo de parto obstruido debido a distocia por feto inusualmente grande"
"O663" "Trabajo de parto obstruido debido a otras anormalidades del feto"
"O664" "Fracaso de la prueba del trabajo de parto, no especificada"
"O665" "Fracaso no especificado de la aplicacin de frceps o de ventosa extractora"
"O668" "Otras obstrucciones especificadas del trabajo de parto"
"O669" "Trabajo de parto obstruido, sin otra especificacin"
"O67" "Trabajo de parto y parto complicados por hemorragia intraparto, no clasificados en otra parte"
"O670" "Hemorragia intraparto con defectos de la coagulacin"
"O678" "Otras hemorragias intraparto"
"O679" "Hemorragia intraparto, no especificada"
"O68" "Trabajo de parto y parto complicados por sufrimiento fetal"
"O680" "Trabajo de parto y parto complicados por anomala de la frecuencia cardaca fetal"
"O681" "Trabajo de parto y parto complicados por la presencia de meconio en el lquido amnitico"
"O682" "Trabajo de parto y parto complicados por anomala de la frecuencia cardaca fetal asociada con presencia de meconio en el lquido amnitico"
"O683" "Trabajo de parto y parto complicados por evidencia bioqumica de sufrimiento fetal"
"O688" "Trabajo de parto y parto complicados por otras evidencias de sufrimiento fetal"
"O689" "Trabajo de parto y parto complicados por sufrimiento fetal, sin otra especificacin"
"O69" "Trabajo de parto y parto complicados por problemas del cordn umbilical"
"O690" "Trabajo de parto y parto complicados por prolapso del cordn umbilical"
"O691" "Trabajo de parto y parto complicados por circular pericervical del cordn, con compresin"
"O692" "Trabajo de parto y parto complicados por otros enredos del cordn"
"O693" "Trabajo de parto y parto complicados por cordn umbilical corto"
"O694" "Trabajo de parto y parto complicados por vasa previa"
"O695" "Trabajo de parto y parto complicados por lesin vascular del cordn"
"O698" "Trabajo de parto y parto complicados por otros problemas del cordn umbilical"
"O699" "Trabajo de parto y parto complicados por problemas no especificados del cordn umbilical"
"O70" "Desgarro perineal durante el parto"
"O700" "Desgarro perineal de primer grado durante el parto"
"O701" "Desgarro perineal de segundo grado durante el parto"
"O702" "Desgarro perineal de tercer grado durante el parto"
"O703" "Desgarro perineal de cuarto grado durante el parto"
"O709" "Desgarro perineal durante el parto, de grado no epecificado"
"O71" "Otro trauma obsttrico"
"O710" "Ruptura del tero antes del inicio del trabajo de parto"
"O711" "Ruptura del tero durante el trabajo de parto"
"O712" "Inversin del tero, postparto"
"O713" "Desgarro obsttrico del cuello uterino"
"O714" "Desgarro vaginal obsttrico alto, slo"
"O715" "Otros traumatismos obsttricos de los rganos pelvianos"
"O716" "Traumatismo obsttrico de los ligamentos y articulaciones de la pelvis"
"O717" "Hematoma obsttrico de la pelvis"
"O718" "Otros traumas obsttricos especificados"
"O719" "Trauma obsttrico, no especificado"
"O72" "Hemorragia postparto"
"O720" "Hemorragia del tercer perodo del parto"
"O721" "Otras hemorragias postparto inmediatas"
"O722" "Hemorragia postparto secundaria o tarda"
"O723" "Defecto de la coagulacin postparto"
"O73" "Retencin de la placenta o de las membranas, sin hemorragia"
"O730" "Retencin de la placenta sin hemorragia"
"O731" "Retencin de fragmentos de la placenta o de las membranas, sin hemorragia"
"O74" "Complicaciones de la anestesia administrada durante el trabajo de parto y el parto"
"O740" "Neumonitis por aspiracin debida a la anestesia administrada durante el trabajo de parto y el parto"
"O741" "Otras complicaciones pulmonares debidas a la anestesia administrada durante el trabajo de parto y el parto"
"O742" "Complicaciones cardacas de la anestesia administrada durante el trabajo de parto y el parto"
"O743" "Complicaciones del sistema nervioso central por la anestesia administrada durante el trabajo de parto y el parto"
"O744" "Reaccin txica a la anestesia local administrada durante el trabajo de parto y el parto"
"O745" "Cefalalgia inducida por la anestesia espinal o epidural administradas durante el trabajo de parto y el parto"
"O746" "Otras complicaciones de la anestesia espinal o epidural administradas durante el trabajo de parto y el parto"
"O747" "Falla o dificultad en la intubacin durante el trabajo de parto y el parto"
"O748" "Otras complicaciones de la anestesia administrada durante el trabajo de parto y el parto"
"O749" "Complicacin no especificada de la anestesia administrada durante el trabajo de parto y el parto"
"O75" "Otras complicaciones del trabajo de parto y del parto, no clasificadas en otra parte"
"O750" "Sufrimiento materno durante el trabajo de parto y el parto"
"O751" "Choque durante o despus del trabajo de parto y el parto"
"O752" "Pirexia durante el trabajo de parto, no clasificada en otra parte"
"O753" "Otras infecciones durante el trabajo de parto"
"O754" "Otras complicaciones de procedimientos y de ciruga  obsttrica"
"O755" "Retraso del parto despus de la ruptura artificial de las membranas"
"O756" "Retraso del parto despus de la ruptura espontnea o no especificada de las membranas"
"O757" "Parto vaginal posterior a una cesrea previa"
"O758" "Otras complicaciones especificadas del trabajo de parto y del parto"
"O759" "Complicacin no especificada del trabajo de parto y del parto"
"O80" "Parto nico espontneo"
"O800" "Parto nico espontneo, presentacin ceflica de vrtice"
"O801" "Parto nico espontneo, presentacin de nalgas o podlica"
"O808" "Parto nico espontneo, otras presentaciones"
"O809" "Parto nico espontneo, sin otra especificacin"
"O81" "Parto nico con frceps y ventosa extractora"
"O810" "Parto con frceps bajo"
"O811" "Parto con frceps medio"
"O812" "Parto con frceps medio con rotacin"
"O813" "Parto con frceps de otros tipos y los no especificados"
"O814" "Parto con ventosa extractora"
"O815" "Parto con combinacin de frceps y ventosa extractora"
"O82" "Parto nico por cesrea"
"O820" "Parto por cesrea electiva"
"O821" "Parto por cesrea de emergencia"
"O822" "Parto por cesrea con histerectoma"
"O828" "Otros partos nicos por cesrea"
"O829" "Parto por cesrea, sin otra especificacin"
"O83" "Otros partos nicos asistidos"
"O830" "Extraccin de nalgas"
"O831" "Otros partos nicos asistidos, de nalgas"
"O832" "Otros partos nicos con ayuda de manipulacin obsttrica"
"O833" "Parto de feto viable en embarazo abdominal"
"O834" "Operacin destructiva para facilitar el parto"
"O838" "Otros partos nicos asistidos especificados"
"O839" "Parto nico asistido, sin otra especificacin"
"O84" "Parto mltiple"
"O840" "Parto mltiple, todos espontneos"
"O841" "Parto mltiple, todos por frceps y ventosa extractora"
"O842" "Parto mltiple, todos por cesrea"
"O848" "Otros partos mltiples"
"O849" "Parto mltiple, no especificado"
"O85" "Sepsis puerperal"
"O86" "Otras infecciones puerperales"
"O860" "Infeccin de herida quirrgica obsttrica"
"O861" "Otras infecciones genitales consecutivas al parto"
"O862" "Infeccin de las vas urinarias consecutiva al parto"
"O863" "Otras infecciones de las vas genitourinarias consecutivas al parto"
"O864" "Pirexia de origen desconocido consecutiva al parto"
"O868" "Otras infecciones puerperales especificadas"
"O87" "Complicaciones venosas en el puerperio"
"O870" "Tromboflebitis superficial en el puerperio"
"O871" "Flebotrombosis profunda en el puerperio"
"O872" "Hemorroides en el puerperio"
"O873" "Trombosis venosa cerebral en el puerperio"
"O878" "Otras complicaciones venosas en el puerperio"
"O879" "Complicacin venosa en el puerperio, no especificada"
"O88" "Embolia obsttrica"
"O880" "Embolia gaseosa, obsttrica"
"O881" "Embolia de lquido amnitico"
"O882" "Embolia de cogulo sanguneo, obsttrica"
"O883" "Embolia sptica y pimica, obsttrica"
"O888" "Otras embolias obsttricas"
"O89" "Complicaciones de la anestesia administrada durante el puerperio"
"O890" "Complicaciones pulmonares de la anestesia administrada durante el puerperio"
"O891" "Complicaciones cardacas de la anestesia administrada durante el puerperio"
"O892" "Complicaciones del sistema nervioso central debidas a la anestesia administrada durante el puerperio"
"O893" "Reaccin txica a la anestesia local administrada durante el puerperio"
"O894" "Cefalalgia inducida por la anestesia espinal o epidural administradas durante el puerperio"
"O895" "Otras complicaciones de la anestesia espinal o epidural administradas durante el puerperio"
"O896" "Falla o dificultad de intubacin durante el puerperio"
"O898" "Otras complicaciones de la anestesia administrada durante el puerperio"
"O899" "Complicacin no especificada de la anestesia administrada durante el puerperio"
"O90" "Complicaciones del puerperio, no clasificadas en otra parte"
"O900" "Dehiscencia de sutura de cesrea"
"O901" "Dehiscencia de sutura obsttrica perineal"
"O902" "Hematoma de herida quirrgica obsttrica"
"O903" "Cardiomiopata en el puerperio"
"O904" "Insuficiencia renal aguda postparto"
"O905" "Tiroiditis postparto"
"O908" "Otras complicaciones puerperales, no clasificadas en otra parte"
"O909" "Complicacin puerperal, no especificada"
"O91" "Infecciones de la mama asociadas con el parto"
"O910" "Infecciones del pezn asociados con el parto"
"O911" "Absceso de la mama asociado con el parto"
"O912" "Mastitis no purulenta asociada con el parto"
"O92" "Otros trastornos de la mama y de la lactancia asociados con el parto"
"O920" "Retraccin del pezn asociada con el parto"
"O921" "Fisuras del pezn asociadas con el parto"
"O922" "Otros trastornos de la mama y los no especificados asociados con el parto"
"O923" "Agalactia"
"O924" "Hipogalactia"
"O925" "Supresin de la lactancia"
"O926" "Galactorrea"
"O927" "Otros trastornos y los no especificados de la lactancia"
"O94" "Secuelas de complicaciones del embarazo, del parto y del puerperio"
"O95" "Muerte obsttrica de causa no especificada"
"O96" "Muerte materna debida a cualquier causa obsttrica que ocurre despus de 42 das pero antes de un ao del parto"
"O960" "Muerte por causa obsttrica directa que ocurre despus de 42 das pero antes de un ao del parto"
"O961" "Muerte por causa obsttrica indirecta que ocurre despus de 42 das pero antes de un ao del parto"
"O969" "Muerte por causa obsttrica no especificada, que ocurre despus de 42 das pero antes de un ao del parto"
"O97" "Muerte por secuelas de causas obsttricas directas"
"O970" "Muerte por secuelas de causa obsttrica directa"
"O971" "Muerte por secuelas de causa obsttrica indirecta"
"O979" "Muerte por secuelas de causa obsttrica no especificada"
"O98" "Enfermedades maternas infecciosas y parasitarias clasificables en otra parte, pero que complican el embarazo, el parto y el puerperio"
"O980" "Tuberculosis que complica el embarazo, el parto y el puerperio"
"O981" "Sfilis que complica el embarazo, el parto y el puerperio"
"O982" "Gonorrea que complica el embarazo, el parto y el puerperio"
"O983" "Otras infecciones con un modo de transmisin predominantemente sexual que complican el embarazo, parto y puerperio"
"O984" "Hepatitis viral que complica el embarazo, el parto y el puerperio"
"O985" "Otras enfermedades virales que complican el embarazo, el parto y el puerperio"
"O986" "Enfermedades causadas por protozoarios que complican el embarazo, el parto y el puerperio"
"O987" "Enfermedad por virus de la inmunodeficiencia humana [VIH] que complica el embarazo el parto y el puerperio"
"O988" "Otras enfermedades infecciosas y parasitarias maternas que complican el embarazo, el parto y el puerperio"
"O989" "Enfermedad infecciosa y parasitaria materna no especificada que complica el embarazo, el parto y el puerperio"
"O99" "Otras enfermedades maternas clasificables en otra parte, pero que complican el embarazo, el parto y el puerperio"
"O990" "Anemia que complica el embarazo, el parto y el puerperio"
"O991" "Otras enfermedades de la sangre y rganos hematopoyticos y ciertos trastornos que afectan el sistema inmunitario cuando complican el embarazo, el parto y puerperio"
"O992" "Enfermedades endocrinas, de la nutricin y del metabolismo que complican el embarazo, el parto y el puerperio"
"O993" "Trastornos mentales y enfermedades del sistema nervioso que complican el embarazo, el parto y el puerperio"
"O994" "Enfermedades del sistema circulatorio que complican el embarazo, el parto y el purperio"
"O995" "Enfermedades del sistema respiratorio que complican el embarazo, el parto y el puerperio"
"O996" "Enfermedades del sistema digestivo que complican el embarazo, el parto y el puerperio"
"O997" "Enfermedades de la piel y del tejido subcutneo que complican el embarazo, el parto y el puerperio"
"O998" "Otras enfermedades especificadas y afecciones que complican el embarazo, el parto y el puerperio"
"P00" "Feto y recin nacido afectado por condiciones de la madre no necesariamente relacionadas con el embarazo presente"
"P000" "Feto y recin nacido afectados por trastornos hipertensivos de la madre"
"P001" "Feto y recin nacido afectados por enfermedades renales y de las vas urinarias de la madre"
"P002" "Feto y recin nacido afectados por enfermedades infecciosas y parasitarias de la madre"
"P003" "Feto y recin nacido afectados por otras enfermedades circulatorias y respiratorias de la madre"
"P004" "Feto y recin nacido afectados por trastornos nutricionales de la madre"
"P005" "Feto y recin nacido afectados por traumatismo de la madre"
"P006" "Feto y recin nacido afectados por procedimiento quirrgico en la madre"
"P007" "Feto y recin nacido afectados por otro procedimiento mdico en la madre, no clasificado en otra parte"
"P008" "Feto y recin nacido afectados por otras afecciones maternas"
"P009" "Feto y recin nacido afectados por afeccin materna no especificada"
"P01" "Feto y recin nacido afectados por complicaciones maternas del embarazo"
"P010" "Feto y recin nacido afectados por incompetencia del cuello uterino"
"P011" "Feto y recin nacido afectados por ruptura prematura de las membranas"
"P012" "Feto y recin nacido afectados por oligohidramnios"
"P013" "Feto y recin nacido afectados por polihidramnios"
"P014" "Feto y recin nacido afectados por embarazo ectpico"
"P015" "Feto y recin nacido afectados por embarazo mltiple"
"P016" "Feto y recin nacido afectados por muerte materna"
"P017" "Feto y recin nacido afectados por presentacin anmala antes del trabajo de parto"
"P018" "Feto y recin nacido afectados por otras complicaciones maternas del embarazo"
"P019" "Feto y recin nacido afectados por complicaciones maternas no especificadas del embarazo"
"P02" "Feto y recin nacido afectado por complicaciones de la placenta, del cordn umbilical y de las membranas"
"P020" "Feto y recin nacido afectados por placenta previa"
"P021" "Feto y recin nacido afectados por otras formas de desprendimiento y de hemorragia placentarios"
"P022" "Feto y recin nacido afectados por otras anormalidades morfolgicas y funcionales de la placenta y las no especificadas"
"P023" "Feto y recin nacido afectados por sndromes de transfusin placentaria"
"P024" "Feto y recin nacido afectados por prolapso del cordn umbilical"
"P025" "Feto y recin nacido afectados por otra compresin del cordn umbilical"
"P026" "Feto y recin nacido afectados por otras complicaciones del cordn umbilical y las no especificadas"
"P027" "Feto y recin nacido afectados por corioamnionitis"
"P028" "Feto y recin nacido afectados por otras anormalidades de las membranas"
"P029" "Feto y recin nacido afectados por anormalidad no especificada de las membranas"
"P03" "Feto y recin nacido afectados por otras complicaciones del trabajo de parto y del parto"
"P030" "Feto y recin nacido afectados por parto y extraccin de nalgas"
"P031" "Feto y recin nacido afectados por otra presentacin anmala, posicin anmala y desproporcin durante el trabajo de parto y el parto"
"P032" "Feto y recin nacido afectados por parto con frceps"
"P033" "Feto y recin nacido afectados por parto con ventosa extractora"
"P034" "Feto y recin nacido afectados por parto por cesrea"
"P035" "Feto y recin nacido afectados por parto precipitado"
"P036" "Feto y recin nacido afectados por contracciones uterinas anormales"
"P038" "Feto y recin nacido afectados por otras complicaciones especificadas del trabajo de parto y del parto"
"P039" "Feto y recin nacido afectados por complicaciones no especificadas del trabajo de parto y del parto"
"P04" "Feto y recin nacido afectados por influencias nocivas transmitidas a travs de la placenta o de la leche materna"
"P040" "Feto y recin nacido afectados por anestesia y analgesia materna en el embarazo, trabajo de parto y en el parto"
"P041" "Feto y recin nacido afectados por otras medicaciones maternas"
"P042" "Feto y recin nacido afectados por tabaquismo de la madre"
"P043" "Feto y recin nacido afectados por alcoholismo de la madre"
"P044" "Feto y recin nacido afectados por drogadiccin materna"
"P045" "Feto y recin nacido afectados por el uso materno de sustancias qumicas nutricionales"
"P046" "Feto y recin nacido afectados por exposicin materna a sustancias qumicas ambientales"
"P048" "Feto y recin nacido afectados por otras influencias nocivas de la madre"
"P049" "Feto y recin nacido afectados por influencias nocivas de la madre, no especificadas"
"P05" "Retardo del crecimiento fetal y desnutricin fetal"
"P050" "Bajo peso para la edad gestacional"
"P051" "Pequeo para la edad gestacional"
"P052" "Desnutricin fetal, sin mencin de peso o talla bajos para la edad gestacional"
"P059" "Retardo del crecimiento fetal, no especificado"
"P07" "Trastornos relacionados con duracin corta de la gestacin y con bajo peso al nacer, no clasificados en otra parte"
"P070" "Peso extremadamente bajo al nacer"
"P071" "Otro peso bajo al nacer"
"P072" "Inmaturidad extrema"
"P073" "Otros recin nacidos pretrmino"
"P08" "Trastornos relacionados con el embarazo prolongado y con sobrepeso al nacer"
"P080" "Recin nacido excepcionalmente grande"
"P081" "Otros recin nacidos con sobrepeso para la edad gestacional"
"P082" "Recin nacido postrmino sin sobrepeso para su edad gestacional"
"P10" "Hemorragia y laceracin intracraneal debidas a traumatismo del nacimiento"
"P100" "Hemorragia subdural debida a traumatismo del nacimiento"
"P101" "Hemorragia cerebral debida a traumatismo del nacimiento"
"P102" "Hemorragia intraventricular debida a traumatismo del nacimiento"
"P103" "Hemorragia subaracnoidea debida a traumatismo del nacimiento"
"P104" "Desgarro  tentorial debido a traumatismo del nacimiento"
"P108" "Otras Hemorragias y laceraciones intracraneales debidas a traumatismo del nacimiento"
"P109" "Hemorragia y laceracin intracraneales no especificadas, debidas a traumatismo del nacimiento"
"P11" "Otros traumatismos del nacimiento en el sistema nervioso central"
"P110" "Edema cerebral debido a traumatismo del nacimiento"
"P111" "Otras lesiones especificadas del encfalo, debidas a traumatismo del nacimiento"
"P112" "Lesin no especificada del encfalo, debida a traumatismo del nacimiento"
"P113" "Traumatismo del nacimiento en el nervio facial"
"P114" "Traumatismo del nacimiento en otros nervios craneales"
"P115" "Traumatismo del nacimiento en la columna vertebral y en la mdula espinal"
"P119" "Traumatismo del nacimiento en el sistema nervioso central, no especificado"
"P12" "Traumatismo del nacimiento en el cuero cabelludo"
"P120" "Cefalohematoma debido a traumatismo del nacimiento"
"P121" "Caput succedaneum debido a traumatismo del nacimiento"
"P122" "Hemorragia epicraneal subaponeurtica debida a traumatismo del nacimiento"
"P123" "Equimosis del cuero cabelludo debida a traumatismo del nacimiento"
"P124" "Traumatismo en el cuero cabelludo del recin nacido por monitoreo fetal"
"P128" "Otros traumatismos del nacimiento en el cuero cabelludo"
"P129" "Traumatismo del nacimiento en el cuero cabelludo, no especificado"
"P13" "Traumatismo del esqueleto durante el nacimiento"
"P130" "Fractura del crneo debida a traumatismo del nacimiento"
"P131" "Otros traumatismos del crneo durante el nacimiento"
"P132" "Traumatismo del fmur durante el nacimiento"
"P133" "Traumatismo de otros huesos largos durante el nacimiento"
"P134" "Fractura de la clavcula debida a traumatismo del nacimiento"
"P138" "Traumatismo del nacimiento en otras partes del esqueleto"
"P139" "Traumatismo no especificado del esqueleto durante el nacimiento"
"P14" "Traumatismo del sistema nervioso perifrico durante el nacimiento"
"P140" "Parlisis de Erb debida a traumatismo del nacimiento"
"P141" "Parlisis de Klumpke debida a traumatismo del nacimiento"
"P142" "Parlisis del nervio frnico debida a traumatismo del nacimiento"
"P143" "Otro traumatismo del plexo braquial durante el nacimiento"
"P148" "Traumatismo durante el nacimiento en otras partes del sistema nervioso perifrico"
"P149" "Traumatismo no especificado del sistema nervioso perifrico durante el nacimiento"
"P15" "Otros traumatismos del nacimiento"
"P150" "Lesin del hgado durante el nacimiento"
"P151" "Lesin del bazo durante el nacimiento"
"P152" "Traumatismo del msculo esternocleidomastoideo durante el nacimiento"
"P153" "Traumatismo ocular durante el nacimiento"
"P154" "Traumatismo facial durante el nacimiento"
"P155" "Traumatismo de los genitales externos durante el nacimiento"
"P156" "Necrosis grasa subcutnea debida a traumatismo del nacimiento"
"P158" "Otros traumatismos especificados, durante el nacimiento"
"P159" "Traumatismo no especificado, durante el nacimiento"
"P20" "Hipoxia intrauterina"
"P200" "Hipoxia intrauterina notada por primera vez antes del inicio del trabajo de parto"
"P201" "Hipoxia intrauterina notada por primera vez durante el trabajo de parto y el parto"
"P209" "Hipoxia intrauterina, no especificada"
"P21" "Asfixia del nacimiento"
"P210" "Asfixia del nacimiento, severa"
"P211" "Asfixia del nacimiento, leve y moderada"
"P219" "Asfixia del nacimiento, no especificada"
"P22" "Dificultad respiratoria del recin nacido"
"P220" "Sndrome de dificultad respiratoria del recin nacido"
"P221" "Taquipnea transitoria del recin nacido"
"P228" "Otras dificultades respiratorias del recin nacido"
"P229" "Dificultad respiratoria del recin nacido, no especificada"
"P23" "Neumona congnita"
"P230" "Neumona congnita debida a agente viral"
"P231" "Neumona congnita debida a chlamydia"
"P232" "Neumona congnita debida a estafilococos"
"P233" "Neumona congnita debida a estreptococos del grupo B"
"P234" "Neumona congnita debida a Escherichia coli"
"P235" "Neumona congnita debida a Pseudomonas"
"P236" "Neumona congnita debida a otros agentes bacterianos"
"P238" "Neumona congnita debida a otros organismos"
"P239" "Neumona congnita, organismo no especificado"
"P24" "Sndromes de aspiracin neonatal"
"P240" "Aspiracin neonatal de meconio"
"P241" "Aspiracin neonatal de lquido amnitico y de moco"
"P242" "Aspiracin neonatal de sangre"
"P243" "Aspiracin neonatal de leche y alimento regurgitado"
"P248" "Otros sndromes de aspiracin neonatal"
"P249" "Sndrome de aspiracin neonatal, sin otra especificacin"
"P25" "Enfisema intersticial y afecciones relacionadas, originadas en el perodo perinatal"
"P250" "Enfisema intersticial originado en el perodo perinatal"
"P251" "Neumotrax originado en el perodo perinatal"
"P252" "Neumomediastino originado en el perodo perinatal"
"P253" "Neumopericardio originado en el perodo perinatal"
"P258" "Otras afecciones relacionadas con el enfisema intersticial, originadas en el perodo perinatal"
"P26" "Hemorragia pulmonar originada en el perodo perinatal"
"P260" "Hemorragia traqueobronquial originada en el perodo perinatal"
"P261" "Hemorragia pulmonar masiva originada en el perodo perinatal"
"P268" "Otras Hemorragias pulmonares originadas en el perodo perinatal"
"P269" "Hemorragia pulmonar no especificada, originada en el perodo perinatal"
"P27" "Enfermedad respiratoria crnica originada en el perodo perinatal"
"P270" "Sndrome de Wilson-Mikity"
"P271" "Displasia broncopulmonar originada en el perodo perinatal"
"P278" "Otras enfermedades respiratorias crnicas originadas en el perodo perinatal"
"P279" "Enfermedad respiratoria crnica no especificada originada en el perodo perinatal"
"P28" "Otros problemas respiratorios del recin nacido, originados en el perodo perinatal"
"P280" "Atelectasia primaria del recin nacido"
"P281" "Otras atelectasias del recin nacido y las no especificadas"
"P282" "Ataque cinotico del recin nacido"
"P283" "Apnea primaria del sueo del recin nacido"
"P284" "Otras apneas del recin nacido"
"P285" "Insuficiencia respiratoria del recin nacido"
"P288" "Otros problemas respiratorios especificados del recin nacido"
"P289" "Afeccin respiratoria no especificada del recin nacido"
"P29" "Trastornos cardiovasculares originados en el perodo perinatal"
"P290" "Insuficiencia cardaca neonatal"
"P291" "Disritmia cardaca neonatal"
"P292" "Hipertensin neonatal"
"P293" "Persistencia de la circulacin fetal"
"P294" "Isquemia miocrdica transitoria del recin nacido"
"P298" "Otros trastornos cardiovasculares originados en el perodo perinatal"
"P299" "Trastorno cardiovascular no especificado, originado en el perodo perinatal"
"P35" "Enfermedades virales congnitas"
"P350" "Sndrome de rubola congnita"
"P351" "Infeccin citomegalovrica congnita"
"P352" "Infecciones congnitas por virus del herpes simple"
"P353" "Hepatitis viral congnita"
"P358" "Otras enfermedades virales congnitas"
"P359" "Enfermedad viral congnita, sin otra especificacin"
"P36" "Sepsis bacteriana del recin nacido"
"P360" "Sepsis del recin nacido debida a estreptococo del grupo B"
"P361" "Sepsis del recin nacido debida a otros estreptococos  y a los no especificados"
"P362" "Sepsis del recin nacido debida a Staphylococcus aureus"
"P363" "Sepsis del recin nacido debida a otros estafilococos  y a los no especificados"
"P364" "Sepsis del recin nacido debida a Escherichia coli"
"P365" "Sepsis del recin nacido debida a anaerobios"
"P368" "Sepsis del recin nacido debida a otras bacterias"
"P369" "Sepsis bacteriana del recin nacido, no especificada"
"P37" "Otras enfermedades infecciosas y parasitarias congnitas"
"P370" "Tuberculosis congnita"
"P371" "Toxoplasmosis congnita"
"P372" "Listeriosis congnita (diseminada)"
"P373" "Paludismo congnito por Plasmodium falciparum"
"P374" "Otros paludismos congnitos"
"P375" "Candidiasis neonatal"
"P378" "Otras enfermedades neonatales infecciosas o parasitarias especificadas"
"P379" "Enfermedad infecciosa y parasitaria congnita, no especificada"
"P38" "Onfalitis del recin nacido con o sin hemorragia leve"
"P39" "Otras infecciones especificas del perodo perinatal"
"P390" "Mastitis infecciosa neonatal"
"P391" "Conjuntivitis y dacriocistitis neonatales"
"P392" "Infeccin intraamnitica del feto, no clasificada en otra parte"
"P393" "Infeccin neonatal de las vas urinarias"
"P394" "Infeccin cutnea neonatal"
"P398" "Otras infecciones especificadas propias del perodo perinatal"
"P399" "Infeccin propia del perodo perinatal, no especificada"
"P50" "Prdida de sangre fetal"
"P500" "Prdida de sangre fetal por vasa previa"
"P501" "Prdida de sangre fetal por ruptura del cordn umbilical"
"P502" "Prdida de sangre fetal por la placenta"
"P503" "Hemorragia fetal hacia el otro gemelo"
"P504" "Hemorragia fetal hacia la circulacin materna"
"P505" "Prdida de sangre fetal por el corte del cordn umbilical en el otro gemelo"
"P508" "Otras prdidas de sangre fetal"
"P509" "Prdida de sangre fetal, no especificada"
"P51" "Hemorragia umbilical del recin nacido"
"P510" "Hemorragia umbilical masiva del recin nacido"
"P518" "Otras hemorragias umbilicales del recin nacido"
"P519" "Hemorragia umbilical del recin nacido, sin otra especificacin"
"P52" "Hemorragia intracraneal no traumtica del feto y del recin nacido"
"P520" "Hemorragia intraventricular (no traumtica) grado 1, del feto y del recin nacido"
"P521" "Hemorragia intraventricular (no traumtica) grado 2, del feto y del recin nacido"
"P522" "Hemorragia intraventricular (no traumtica) grado 3, del feto y del recin nacido"
"P523" "Hemorragia intraventricular (no traumtica) del feto y del recin nacido, sin otra especificacin"
"P524" "Hemorragia intracerebral (no traumtica) del feto y del recin nacido"
"P525" "Hemorragia subaracnoidea (no traumtica) del feto y del recin nacido"
"P526" "Hemorragia cerebelosa y de la fosa posterior (no traumtica) del feto y del recin nacido"
"P528" "Otras hemorragias intracraneales (no traumticas) del feto y del recin nacido"
"P529" "Hemorragia intracraneal (no traumtica) del feto y del recin nacido, sin otra especificacin"
"P53" "Enfermedad hemorrgica del feto y del recin nacido"
"P54" "Otras hemorragias neonatales"
"P540" "Hematemesis neonatal"
"P541" "Melena neonatal"
"P542" "Hemorragia rectal neonatal"
"P543" "Otras hemorragias gastrointestinales neonatales"
"P544" "Hemorragia suprarrenal neonatal"
"P545" "Hemorragia cutnea neonatal"
"P546" "Hemorragia vaginal neonatal"
"P548" "Otras hemorragias fetales y neonatales especificadas"
"P549" "Hemorragia neonatal, no especificada"
"P55" "Enfermedad hemoltica del feto y del recin nacido"
"P550" "Incompatibilidad Rh del feto y del recin nacido"
"P551" "Incompatibilidad Abo del feto y del recin nacido"
"P558" "Otras enfermedades hemolticas del feto y del recin nacido"
"P559" "Enfermedad hemoltica del feto y del recin nacido, no especificada"
"P56" "Hidropesa fetal debida a enfermedad hemoltica"
"P560" "Hidropesa fetal debida a incompatibilidad"
"P569" "Hidropesa fetal debida a otras enfermedades hemolticas especificadas y a las no especificadas"
"P57" "Kernicterus"
"P570" "Kernicterus debido a incompatibilidad"
"P578" "Kernicterus debido a otras causas especificadas"
"P579" "Kernicterus, no especificado"
"P58" "Ictericia neonatal debida a otras hemlisis excesivas"
"P580" "Ictericia neonatal debida a contusin"
"P581" "Ictericia neonatal debida a hemorragia"
"P582" "Ictericia neonatal debida a infeccin"
"P583" "Ictericia neonatal debida a policitemia"
"P584" "Ictericia neonatal debida a drogas o toxinas transmitidas por la madre o administradas al recin nacido"
"P585" "Ictericia neonatal debida a deglucin de sangre materna"
"P588" "Ictericia neonatal debida a otras hemlisis excesivas especificadas"
"P589" "Ictericia neonatal debida a hemlisis excesiva, sin otra especificacin"
"P59" "Ictericia neonatal por otras causas y por las no especificadas"
"P590" "Ictericia neonatal asociada con el parto antes de trmino"
"P591" "Sndrome de la bilis espesa"
"P592" "Ictericia neonatal debida a otra lesin heptica especificada o no"
"P593" "Ictericia neonatal por inhibidor de la leche materna"
"P598" "Ictericia neonatal por otras causas especificadas"
"P599" "Ictericia neonatal, no especificada"
"P60" "Coagulacin intravascular diseminada en el feto y el recin nacido"
"P61" "Otros trastornos hematolgicos perinatales"
"P610" "Trombocitopenia neonatal transitoria"
"P611" "Policitemia neonatal"
"P612" "Anemia de la prematuridad"
"P613" "Anemia congnita debida a prdida de sangre fetal"
"P614" "Otras anemias congnitas, no clasificadas en otra parte"
"P615" "Neutropenia neonatal transitoria"
"P616" "Otros trastornos neonatales transitorios de la coagulacin"
"P618" "Otros trastornos hematolgicos perinatales especificados"
"P619" "Trastorno hematlogico perinatal, no especificado"
"P70" "Trastornos transitorios del metabolismo de los carbohidratos especficos del feto y del recin nacido"
"P700" "Sndrome del recin nacido de madre con diabetes gestacional"
"P701" "Sndrome del recin nacido de madre diabtica"
"P702" "Diabetes mellitus neonatal"
"P703" "Hipoglicemia neonatal yatrognica"
"P704" "Otras hipoglicemias neonatales"
"P708" "Otros trastornos transitorios del metabolismo de los carbohidratos en el feto y el recin nacido"
"P709" "Trastorno transitorio no especificado del metabolismo de los carbohidratos en el feto y el recin nacido"
"P71" "Trastornos neonatales transitorios del metabolismo del calcio y del magnesio"
"P710" "Hipocalcemia del recin nacido debida a la leche de vaca"
"P711" "Otra hipocalcemia neonatal"
"P712" "Hipomagnesemia neonatal"
"P713" "Tetania neonatal sin mencin de deficiencia de calcio o de magnesio"
"P714" "Hipoparatiroidismo neonatal transitorio"
"P718" "Otros trastornos neonatales transitorios del metabolismo del calcio y del magnesio"
"P719" "Trastorno neonatal transitorio no especificado del metabolismo del calcio y del magnesio"
"P72" "Otros trastornos endocrinos neonatales transitorios"
"P720" "Bocio neonatal, no clasificado en otra parte"
"P721" "Hipertiroidismo neonatal transitorio"
"P722" "Otros trastornos neonatales transitorios de la funcin tiroidea, no clasificados en otra parte"
"P728" "Otros trastornos endocrinos neonatales transitorios especificados"
"P729" "Trastorno endocrino neonatal transitorio, no especificado"
"P74" "Otras alteraciones metablicas y electrolticas neonatales transitorias"
"P740" "Acidosis metablica tarda del recin nacido"
"P741" "Deshidratacin del recin nacido"
"P742" "Alteraciones del equilibrio del sodio en el recin nacido"
"P743" "Alteraciones del equilibrio del potasio en el recin nacido"
"P744" "Otras alteraciones electroliticas transitorias del recin nacido"
"P745" "Tirosinemia transitoria del recin nacido"
"P748" "Otras alteraciones metablicas transitorias del recin nacido"
"P749" "Trastorno metablico transitorio del recin nacido, no especificado"
"P75" "leo meconial"
"P76" "Otras obstrucciones intestinales del recin nacido"
"P760" "Sndrome del tapn de meconio"
"P761" "leo transitorio del recin nacido"
"P762" "Obstruccin intestinal debida a la leche espesa"
"P768" "Otras obstrucciones intestinales especificadas del recin nacido"
"P769" "Obstruccin intestinal del recin nacido, no especificada"
"P77" "Enterocolitis necrotizante del feto y del recin nacido"
"P78" "Otros trastornos perinatales del sistema digestivo"
"P780" "Perforacin intestinal perinatal"
"P781" "Otras peritonitis neonatales"
"P782" "Hematemesis y melena neonatales debidas a la deglucin de sangre materna"
"P783" "Diarrea neonatal no infecciosa"
"P788" "Otros trastornos perinatales especficos del sistema digestivo"
"P789" "Trastorno perinatal del sistema digestivo, no especificado"
"P80" "Hipotermia del recin nacido"
"P800" "Sndrome del enfriamiento"
"P808" "Otras hipotermias del recin nacido"
"P809" "Hipotermia del recin nacido, no especificada"
"P81" "Otras alteraciones de la regulacin de la temperatura en el recin nacido"
"P810" "Hipertermia del recin nacido inducida por las condiciones ambientales"
"P818" "Otras alteraciones especificadas de la regulacin de la temperatura del recin nacido"
"P819" "Alteracin no especificada de la regulacin de la temperatura en el recin nacido"
"P83" "Otras afecciones de la piel especificas del feto y del recin nacido"
"P830" "Esclerema neonatal"
"P831" "Eritema txico neonatal"
"P832" "Hidropesa fetal no debida a enfermedad hemoltica"
"P833" "Otros edemas y los no especificados, propios del feto y del recin nacido"
"P834" "Ingurgitacin mamaria del recin nacido"
"P835" "Hidrocele congnito"
"P836" "Plipo umbilical del recin nacido"
"P838" "Otras afecciones especificadas de la piel, propias del feto y del recin nacido"
"P839" "Afeccin no especificada de la piel, propia del feto y del recin nacido"
"P90" "Convulsiones del recin nacido"
"P91" "Otras alteraciones cerebrales del recin nacido"
"P910" "Isquemia cerebral neonatal"
"P911" "Quistes periventriculares adquiridos del recin nacido"
"P912" "Leucomalacia cerebral neonatal"
"P913" "Irritabilidad cerebral neonatal"
"P914" "Depresin cerebral neonatal"
"P915" "Coma neonatal"
"P916" "Encefalopata hipoxico isqumica del recin nacido"
"P918" "Otras alteraciones cerebrales especificadas del recin nacido"
"P919" "Alteracin cerebral no especificada del recin nacido"
"P92" "Problemas de la ingestin de alimentos del recin nacido"
"P920" "Vmitos del recin nacido"
"P921" "Regurgitacin y rumiacin del recin nacido"
"P922" "Lentitud en la ingestin de alimentos del recin nacido"
"P923" "Hipoalimentacin del recin nacido"
"P924" "Hiperalimentacin del recin nacido"
"P925" "Dificultad neonatal en la lactancia materna"
"P928" "Otros problemas de alimentacin del recin nacido"
"P929" "Problema no especificado de la alimentacin del recin nacido"
"P93" "Reacciones e intoxicaciones debidas a drogas administradas al feto y al recin nacido"
"P94" "Trastornos del tono muscular del recin nacido"
"P940" "Miastenia grave neonatal transitoria"
"P941" "Hipertona congnita"
"P942" "Hipotona congnita"
"P948" "Otros trastornos del tono muscular en el recin nacido"
"P949" "Trastorno no especificado del tono muscular en el recin nacido"
"P95" "Muerte fetal de causa no especificada"
"P96" "Otras afecciones originadas en el perodo perinatal"
"P960" "Insuficiencia renal congnita"
"P961" "Sntomas neonatales de abstinencia por drogadiccin materna"
"P962" "Sntomas de abstinencia por el uso teraputico de drogas en el recin nacido"
"P963" "Amplitud de las suturas craneales del recin nacido"
"P964" "Terminacin del embarazo, feto y recin nacido"
"P965" "Complicaciones de procedimientos intrauterinos, no clasificados en otra parte"
"P968" "Otras afecciones especificadas originadas en el perodo perinatal"
"P969" "Afeccin no especificada originada en el perodo perinatal"
"Q00" "Anencefalia y malformaciones congnitas similares"
"Q000" "Anencefalia"
"Q001" "Craneorraquisquisis"
"Q002" "Iniencefalia"
"Q01" "Encefalocele"
"Q010" "Encefalocele frontal"
"Q011" "Encefalocele nasofrontal"
"Q012" "Encefalocele occipital"
"Q018" "Encefalocele de otros sitios"
"Q019" "Encefalocele, no especificado"
"Q02" "Microcefalia"
"Q03" "Hidrocfalo congnito"
"Q030" "Malformaciones del acueducto de Silvio"
"Q031" "Atresia de los agujeros de Magendie y de Luschka"
"Q038" "Otros hidrocfalos congnitos"
"Q039" "Hidrocfalo congnito, no especificado"
"Q04" "Otras malformaciones congnitas del encfalo"
"Q040" "Malformaciones congnitas del cuerpo calloso"
"Q041" "Arrinencefalia"
"Q042" "Holoprosencefalia"
"Q043" "Otras anomalas hipoplsicas del encfalo"
"Q044" "Displasia opticoseptal"
"Q045" "Megalencefalia"
"Q046" "Quistes cerebrales congnitos"
"Q048" "Otras malformaciones congnitas del encfalo, especificadas"
"Q049" "Malformacin congnita del encfalo, no especificada"
"Q05" "Espina bfida"
"Q050" "Espina bfida cervical con hidrocfalo"
"Q051" "Espina bfida torcica con hidrocfalo"
"Q052" "Espina bfida lumbar con hidrocfalo"
"Q053" "Espina bfida sacra con hidrocfalo"
"Q054" "Espina bfida con hidrocfalo, sin otra especificacin"
"Q055" "Espina bfida cervical sin hidrocfalo"
"Q056" "Espina bfida torcica sin hidrocfalo"
"Q057" "Espina bfida lumbar sin hidrocfalo"
"Q058" "Espina bfida sacra sin hidrocfalo"
"Q059" "Espina bfida, no especificada"
"Q06" "Otras malformaciones congnitas de la mdula espinal"
"Q060" "Amielia"
"Q061" "Hipoplasia y displasia de la mdula espinal"
"Q062" "Diastematomielia"
"Q063" "Otras anomalas congnitas de la cola de caballo"
"Q064" "Hidromielia"
"Q068" "Otras malformaciones congnitas especificadas de la mdula espinal"
"Q069" "Malformacin congnita de la mdula espinal, no especificada"
"Q07" "Otras malformaciones congnitas del sistema nervioso"
"Q070" "Sndrome de Arnold-Chiari"
"Q078" "Otras malformaciones congnitas del sistema nervioso, especificadas"
"Q079" "Otras malformaciones congnitas del sistema nervioso, no especificada"
"Q10" "Malformaciones congnitas de los prpados, del aparato lagrimal y de la rbita"
"Q100" "Blefaroptosis congnita"
"Q101" "Ectropin congnito"
"Q102" "Entropin congnito"
"Q103" "Otras malformaciones congnitas de los prpados"
"Q104" "Ausencia y agenesia del aparato lagrimal"
"Q105" "Estenosis y estrechez congnitas del conducto lagrimal"
"Q106" "Otras malformaciones congnitas del aparato lagrimal"
"Q107" "Malformacin congnita de la rbita"
"Q11" "Anoftalma, microftalma y macroftalma"
"Q110" "Globo ocular qustico"
"Q111" "Otras anoftalmas"
"Q112" "Microftalma"
"Q113" "Macroftalma"
"Q12" "Malformaciones congnitas del cristalino"
"Q120" "Catarata congnita"
"Q121" "Desplazamiento congnito del cristalino"
"Q122" "Coloboma del cristalino"
"Q123" "Afaquia congnita"
"Q124" "Esferofaquia"
"Q128" "Otras malformaciones congnitas del cristalino"
"Q129" "Malformacin congnita del cristalino, no especificada"
"Q13" "Malformaciones congnitas del segmento anterior del ojo"
"Q130" "Coloboma del iris"
"Q131" "Ausencia del iris"
"Q132" "Otras malformaciones congnitas del iris"
"Q133" "Opacidad corneal congnita"
"Q134" "Otras malformaciones congnitas de la crnea"
"Q135" "Esclertica azul"
"Q138" "Otras malformaciones congnitas del segmento anterior del ojo"
"Q139" "Malformacin congnita del segmento anterior del ojo, no especificada"
"Q14" "Malformaciones congnitas del segmento posterior del ojo"
"Q140" "Malformacin congnita del humor vtreo"
"Q141" "Malformacin congnita de la retina"
"Q142" "Malformacin congnita del disco ptico"
"Q143" "Malformacin congnita de la coroides"
"Q148" "Otras Malformaciones congnitas del segmento posterior del ojo"
"Q149" "Malformacin congnita del segmento posterior del ojo, no especificada"
"Q15" "Otras malformaciones congnitas del ojo"
"Q150" "Glaucoma congnito"
"Q158" "Otras malformaciones congnitas del ojo, especificadas"
"Q159" "Malformaciones congnitas del ojo, no especificadas"
"Q16" "Malformaciones congnitas del odo que causan la alteracin de la audicin"
"Q160" "Ausencia congnita del pabelln (de la oreja)"
"Q161" "Ausencia congnita, atresia o estrechez del conducto auditivo (externo)"
"Q162" "Ausencia de la trompa de Eustaquio"
"Q163" "Malformacin congnita de los huesecillos del odo"
"Q164" "Otras malformaciones congnitas del odo medio"
"Q165" "Malformacin congnita del odo interno"
"Q169" "Malformacin congnita del odo que causa alteracin de la audicin, sin otra especificacin"
"Q17" "Otras malformaciones congnitas del odo"
"Q170" "Oreja supernumeraria"
"Q171" "Macrotia"
"Q172" "Microtia"
"Q173" "Otras deformidades del pabelln auricular"
"Q174" "Anomala de la posicin de la oreja"
"Q175" "Oreja prominente"
"Q178" "Otras malformaciones congnitas del odo, especificadas"
"Q179" "Malformacin congnita del odo, no especificada"
"Q18" "Otras malformaciones congnitas del la cara y del cuello"
"Q180" "Seno, fstula o quiste de la hendidura branquial"
"Q181" "Seno y quiste preauricular"
"Q182" "Otras malformaciones de las hendiduras branquiales"
"Q183" "Pterigin del cuello"
"Q184" "Macrostoma"
"Q185" "Microstoma"
"Q186" "Macroqueilia"
"Q187" "Microqueilia"
"Q188" "Otras malformaciones congnitas especificadas de cara y cuello"
"Q189" "Malformacin congnita de la cara y del cuello, no especificada"
"Q20" "Malformaciones congnitas de las cmaras cardacas y sus conexiones"
"Q200" "Tronco arterioso comn"
"Q201" "Transposicin de los grandes vasos en ventrculo derecho"
"Q202" "Transposicin de los grandes vasos en ventrculo izquierdo"
"Q203" "Discordancia de la conexin ventriculoarterial"
"Q204" "Ventrculo con doble entrada"
"Q205" "Discordancia de la conexin auriculoventricular"
"Q206" "Isomerismo de los apndices auriculares"
"Q208" "Otras malformaciones congnitas de las cmaras cardacas y sus conexiones"
"Q209" "Malformacin congnita de las cmaras cardacas y sus conexiones, no especificada"
"Q21" "Malformaciones congnitas de los tabiques cardacos"
"Q210" "Defecto del tabique ventricular"
"Q211" "Defecto del tabique auricular"
"Q212" "Defecto del tabique auriculoventricular"
"Q213" "Tetraloga de Fallot"
"Q214" "Defecto del tabique aortopulmonar"
"Q218" "Otras malformaciones congnitas de los tabiques cardacos"
"Q219" "Malformacin congnita del tabique cardaco, no especificada"
"Q22" "Malformaciones congnitas de la vlvulas pulmonar y tricspide"
"Q220" "Atresia de la vlvula pulmonar"
"Q221" "Estenosis congnita de la vlvula pulmonar"
"Q222" "Insuficiencia congnita de la vlvula pulmonar"
"Q223" "Otras malformaciones congnitas de la vlvula pulmonar"
"Q224" "Estenosis congnita de la vlvula tricspide"
"Q225" "Anomala de Ebstein"
"Q226" "Sndrome de hipoplasia del corazn derecho"
"Q228" "Otras malformaciones congnitas de la vlvula tricspide"
"Q229" "Malformacin congnita de la vlvula tricspide, no especificada"
"Q23" "Malformaciones congnitas de las vlvulas artica y mitral"
"Q230" "Estenosis congnita de la vlvula artica"
"Q231" "Insuficiencia congnita de la vlvula artica"
"Q232" "Estenosis mitral congnita"
"Q233" "Insuficiencia mitral congnita"
"Q234" "Sndrome de hipoplasia del corazn izquierdo"
"Q238" "Otras malformaciones congnitas de las vlvulas artica y mitral"
"Q239" "Malformacin congnita de las vlvulas artica y mitral, no especificada"
"Q24" "Otras malformaciones congnitas del corazn"
"Q240" "Dextrocardia"
"Q241" "Levocardia"
"Q242" "Corazn triauricular"
"Q243" "Estenosis del infundbulo pulmonar"
"Q244" "Estenosis subartica congnita"
"Q245" "Malformacin de los vasos coronarios"
"Q246" "Bloqueo cardaco congnito"
"Q248" "Otras malformaciones congnitas del corazn, especificadas"
"Q249" "Malformacin congnita del corazn, no especificada"
"Q25" "Malformaciones congnitas de las grandes arterias"
"Q250" "Conducto arterioso persistente"
"Q251" "Coartacin de la aorta"
"Q252" "Atresia de la aorta"
"Q253" "Estenosis de la aorta"
"Q254" "Otras malformaciones congnitas de la aorta"
"Q255" "Atresia de la arteria pulmonar"
"Q256" "Estenosis de la arteria pulmonar"
"Q257" "Otras malformaciones congnitas de la arteria pulmonar"
"Q258" "Otras malformaciones congnitas de las grandes arterias"
"Q259" "Malformacin congnita de las grandes arterias, no especificada"
"Q26" "Malformaciones congnitas de las grandes venas"
"Q260" "Estenosis congnita de la vena cava"
"Q261" "Persistencia de la vena cava superior izquierda"
"Q262" "Conexin anmala total de las venas pulmonares"
"Q263" "Conexin anmala parcial de las venas pulmonares"
"Q264" "Conexin anmala de las venas pulmonares, sin otra especificacin"
"Q265" "Conexin anmala de la vena porta"
"Q266" "Fstula arteria heptica-vena porta"
"Q268" "Otras malformaciones congnitas de las grandes venas"
"Q269" "Malformacin congnita de las grandes venas, no especificada"
"Q27" "Otras malformaciones congnitas del sistema vascular perifrico"
"Q270" "Ausencia e hipoplasia congnita de la arteria umbilical"
"Q271" "Estenosis congnita de la arteria renal"
"Q272" "Otras malformaciones congnitas de la arteria renal"
"Q273" "Malformacin arteriovenosa perifrica"
"Q274" "Flebectasia congnita"
"Q278" "Otras malformaciones congnitas del sistema vascular perifrico, especificadas"
"Q279" "Malformacin congnita del sistema vascular perifrico, no especificada"
"Q28" "Otras malformaciones congnitas del sistema circulatorio"
"Q280" "Malformacin arteriovenosa de los vasos precerebrales"
"Q281" "Otras malformaciones de los vasos precerebrales"
"Q282" "Malformacin arteriovenosa de los vasos cerebrales"
"Q283" "Otras malformaciones de los vasos cerebrales"
"Q288" "Otras malformaciones congnitas del sistema circulatorio, especificadas"
"Q289" "Malformacin congnita del sistema circulatorio, no especificada"
"Q30" "Malformaciones congnitas de la nariz"
"Q300" "Atresia de las coanas"
"Q301" "Agenesia o hipoplasia de la nariz"
"Q302" "Hendidura, fisura o muesca de la nariz"
"Q303" "Perforacin congnita del tabique nasal"
"Q308" "Otras malformaciones congnitas de la nariz"
"Q309" "Malformacin congnita de la nariz, no especificada"
"Q31" "Malformaciones congnitas de la laringe"
"Q310" "Pterigin de la laringe"
"Q311" "Estenosis subgltica congnita"
"Q312" "Hipoplasia larngea"
"Q313" "Laringocele"
"Q314" "Estridor lar'ingeo congnito"
"Q315" "Laringomalasia congnita"
"Q318" "Otras malformaciones congnitas de la laringe"
"Q319" "Malformacin congnita de la laringe, no especificada"
"Q32" "Malformaciones congnitas de la trquea y de los bronquios"
"Q320" "Traqueomalacia congnita"
"Q321" "Otras malformaciones congnitas de la trquea"
"Q322" "Broncomalacia congnita"
"Q323" "Estenosis congnita de los bronquios"
"Q324" "Otras malformaciones congnitas de los bronquios"
"Q33" "Malformaciones congnitas del pulmn"
"Q330" "Quiste pulmonar congnito"
"Q331" "Lbulo pulmonar supernumerario"
"Q332" "Secuestro del pulmn"
"Q333" "Agenesia del pulmn"
"Q334" "Bronquiectasia congnita"
"Q335" "Tejido ectpico en el pulmn"
"Q336" "Hipoplasia y displasia pulmonar"
"Q338" "Otras malformaciones congnitas del pulmn"
"Q339" "Malformacin congnita del pulmn, no especificada"
"Q34" "Otras malformaciones congnitas del sistema respiratorio"
"Q340" "Anomala de la pleura"
"Q341" "Quiste congnito del mediastino"
"Q348" "Otras malformaciones congnitas especificadas del sistema respiratorio"
"Q349" "Malformacin congnita del sistema respiratorio, no especificada"
"Q35" "Fisura del paladar"
"Q350" "Fisura del paladar duro, bilateral"
"Q351" "Fisura del paladar duro"
"Q352" "Fisura del paladar blando, bilateral"
"Q353" "Fisura del paladar blando"
"Q354" "Fisura del paladar duro y del paladar blando, bilateral"
"Q355" "Fisura del paladar duro y del paladar blando"
"Q356" "Fisura del paladar, lnea media"
"Q357" "Fisura de la vula"
"Q358" "Fisura del paladar, bilateral sin otra especificacin"
"Q359" "Fisura del paladar, sin otra especificacin"
"Q36" "Labio leporino"
"Q360" "Labio leporino, bilateral"
"Q361" "Labio leporino, lnea media"
"Q369" "Labio leporino, unilateral"
"Q37" "Fisura del paladar con labio leporino"
"Q370" "Fisura del paladar duro con labio leporino bilateral"
"Q371" "Fisura del paladar duro con labio leporino unilateral"
"Q372" "Fisura del paladar blando con labio leporino bilateral"
"Q373" "Fisura del paladar blando con labio leporino unilateral"
"Q374" "Fisura del paladar duro y del paladar blando con labio leporino bilateral"
"Q375" "Fisura del paladar duro y del paladar blando con labio leporino unilateral"
"Q378" "Fisura del paladar con labio leporino bilateral, sin otra especificacin"
"Q379" "Fisura del paladar con labio leporino unilateral, sin otra especificacin"
"Q38" "Otras malformaciones congnitas de la lengua, de la boca y de la faringe"
"Q380" "Malformaciones congnitas de los labios, no clasificadas en otra parte"
"Q381" "Anquiloglosia"
"Q382" "Macroglosia"
"Q383" "Otras malformaciones congnitas de la lengua"
"Q384" "Malformaciones congnitas de las glndulas y de los conductos salivales"
"Q385" "Malformaciones congnitas del paladar, no clasificadas en otra parte"
"Q386" "Otras malformaciones congnitas de la boca"
"Q387" "Divertculo farngeo"
"Q388" "Otras malformaciones congnitas de la faringe"
"Q39" "Malformaciones congnitas del esfago"
"Q390" "Atresia del esfago sin mencin de fstula"
"Q391" "Atresia del esfago con fstula traqueoesofgica"
"Q392" "Fstula traqueoesofgica congnita sin mencin de atresia"
"Q393" "Estrechez o estenosis congnita del esfago"
"Q394" "Pterigin del esfago"
"Q395" "Dilatacin congnita del esfago"
"Q396" "Divertculo del esfago"
"Q398" "Otras malformaciones congnitas del esfago"
"Q399" "Malformacin congnita del esfago, no especificada"
"Q40" "Q40  Otras malformaciones congnitas de la parte superior del tubo digestivo"
"Q400" "Estenosis hipertrfica congnita del ploro"
"Q401" "Hernia hiatal congnita"
"Q402" "Otras malformaciones congnitas del estmago, especificadas"
"Q403" "Malformacin congnita del estmago, no especificada"
"Q408" "Q408 Otras malformaciones congnitas de la parte superior del tubo digestivo"
"Q409" "Malformacin congnita de la parte superior del tubo digestivo, no especificada"
"Q41" "Ausencia, atresia y estenosis congnita del intestino delgado"
"Q410" "Ausencia, atresia y estenosis congnita del duodeno"
"Q411" "Ausencia, atresia y estenosis congnita del yeyuno"
"Q412" "Ausencia, atresia y estenosis congnita del leon"
"Q418" "Ausencia, atresia y estenosis congnita de otras partes especificadas del intestino delgado"
"Q419" "Ausencia, atresia y estenosis congnita del intestino delgado, parte no especificada"
"Q42" "Ausencia, atresia y estenosis congnita del intestino grueso"
"Q420" "Ausencia, atresia y estenosis congnita del recto, con fstula"
"Q421" "Ausencia, atresia y estenosis congnita del recto, sin fstula"
"Q422" "Ausencia, atresia y estenosis congnita del ano, con fstula"
"Q423" "Ausencia, atresia y estenosis congnita del ano, sin fstula"
"Q428" "Ausencia, atresia y estenosis congnita de otras partes del intestino grueso"
"Q429" "Ausencia, atresia y estenosis congnita del intestino grueso, parte no especificada"
"Q43" "Otras malformaciones congnitas del intestino"
"Q430" "Divertculo de Meckel"
"Q431" "Enfermedad de Hirschsprung"
"Q432" "Otros trastornos funcionales congnitos del colon"
"Q433" "Malformaciones congnitas de la fijacin del intestino"
"Q434" "Duplicacin del intestino"
"Q435" "Ano ectpico"
"Q436" "Fstula congnita del recto y del ano"
"Q437" "Persistencia de la cloaca"
"Q438" "Otras malformaciones congnitas del intestino, especificadas"
"Q439" "Malformacin congnita del intestino, no especificada"
"Q44" "Malformaciones congnitas de la vescula biliar, de los conductos biliares y del hgado"
"Q440" "Agenesia, aplasia e hipoplasia de la vescula biliar"
"Q441" "Otras malformaciones congnitas de la vescula biliar"
"Q442" "Atresia de los conductos biliares"
"Q443" "Estrechez y estenosis congnita de los conductos biliares"
"Q444" "Quiste del coldoco"
"Q445" "Otras malformaciones congnitas de los conductos biliares"
"Q446" "Enfermedad qustica del hgado"
"Q447" "Otras malformaciones congnitas del hgado"
"Q45" "Otras malformaciones congnitas del sistema digestivo"
"Q450" "Agenesia, aplasia e hipoplasia del pncreas"
"Q451" "Pncreas anular"
"Q452" "Quiste congnito del pncreas"
"Q453" "Otras malformaciones congnitas del pncreas y del conducto pancretico"
"Q458" "Otras malformaciones congnitas del sistema digestivo, especificadas"
"Q459" "Malformacin congnita del sistema digestivo, no especificada"
"Q50" "Malformaciones congnitas de los ovarios, de las trompas de Falopio y de los ligamentos anchos"
"Q500" "Ausencia congnita de ovario"
"Q501" "Quiste en desarrollo del ovario"
"Q502" "Torsin congnita del ovario"
"Q503" "Otras malformaciones congnitas de los ovarios"
"Q504" "Quiste embrionario de la trompa de Falopio"
"Q505" "Quiste embrionario del ligamento ancho"
"Q506" "Otras malformaciones congnitas de la trompa de Falopio y del ligamento ancho"
"Q51" "Malformaciones congnitas del tero y del cuello uterino"
"Q510" "Agenesia y aplasia del tero"
"Q511" "Duplicacin del tero con duplicacin del cuello uterino y de la vagina"
"Q512" "Otra duplicacin del tero"
"Q513" "tero bicorne"
"Q514" "tero unicorne"
"Q515" "Agenesia y aplasia del cuello uterino"
"Q516" "Quiste embrionario del cuello uterino"
"Q517" "Fstula congnita entre el tero y el tracto digestivo y urinario"
"Q518" "Otras malformaciones congnitas del tero y del cuello uterino"
"Q519" "Malformacin congnita del tero y del cuello uterino, no especificada"
"Q52" "Otras malformaciones congnitas de los rganos genitales femeninos"
"Q520" "Ausencia congnita de la vagina"
"Q521" "Duplicacin de la vagina"
"Q522" "Fstula rectovaginal congnita"
"Q523" "Himen imperforado"
"Q524" "Otras malformaciones congnitas de la vagina"
"Q525" "Fusin de labios de la vulva"
"Q526" "Malformacin congnita del cltoris"
"Q527" "Otras malformaciones congnitas de la vulva"
"Q528" "Otras malformaciones congnitas de los rganos genitales femeninos, especificadas"
"Q529" "Malformacin congnita de los genitales femeninos, no especificada"
"Q53" "Testculo no descendido"
"Q530" "Ectopia testicular"
"Q531" "Testculo no descendido, unilateral"
"Q532" "Testculo no descendido, bilateral"
"Q539" "Testculo no descendido, sin otra especificacin"
"Q54" "Hipospadias"
"Q540" "Hipospadias del glande"
"Q541" "Hipospadias peneana"
"Q542" "Hipospadias penoscrotal"
"Q543" "Hipospadias perineal"
"Q544" "Encordamiento congnito del pene"
"Q548" "Otras hipospadias"
"Q549" "Hipospadias, no especificada"
"Q55" "Otras malformaciones congnitas de los rganos genitales masculinos"
"Q550" "Ausencia y aplasia del testculo"
"Q551" "Hipoplasia del testculo y del escroto"
"Q552" "Otras malformaciones congnitas de los testculos y del escroto"
"Q553" "Atresia del conducto deferente"
"Q554" "Otras malformaciones congnitas de los conductos deferentes, del epiddimo, de las vesculas seminales y de la prstata"
"Q555" "Aplasia y ausencia congnita del pene"
"Q556" "Otras malformaciones congnitas del pene"
"Q558" "Otras malformaciones congnitas de los rganos genitales masculinos, especificadas"
"Q559" "Malformacin congnita de los rganos genitales masculinos, no especificada"
"Q56" "Sexo indeterminado y seudohermafroditismo"
"Q560" "Hermafroditismo, no clasificado en otra parte"
"Q561" "Seudohermafroditismo masculino, no clasificado en otra parte"
"Q562" "Seudohermafroditismo femenino, no clasificado en otra parte"
"Q563" "Seudohermafroditismo, no especificado"
"Q564" "Sexo indeterminado, sin otra especificacin"
"Q60" "Agenesia renal y otras malformaciones hipoplsicas del rin"
"Q600" "Agenesia renal, unilateral"
"Q601" "Agenesia renal, bilateral"
"Q602" "Agenesia renal, sin otra especificacin"
"Q603" "Hipoplasia renal, unilateral"
"Q604" "Hipoplasia renal, bilateral"
"Q605" "Hipoplasia renal, no especificada"
"Q606" "Sndrome de Potter"
"Q61" "Enfermedad qustica del rin"
"Q610" "Quiste renal solitario congnito"
"Q611" "Rin poliqustico, autosmico recesivo"
"Q612" "Rin poliqustico, autosmico dominante"
"Q613" "Rin poliqustico, tipo no especificado"
"Q614" "Displasia renal"
"Q615" "Rin qustico medular"
"Q618" "Otras enfermedades renales qusticas"
"Q619" "Enfermedad qustica del rin, no especificada"
"Q62" "Defectos obstructivos congnitos de la pelvis renal y malformaciones congnitas del urter"
"Q620" "Hidronefrosis congnita"
"Q621" "Atresia y estenosis del urter"
"Q622" "Megalourter congnito"
"Q623" "Otros defectos obstructivos de la pelvis renal y del urter"
"Q624" "Agenesia del urter"
"Q625" "Duplicacin del urter"
"Q626" "Mala posicin del urter"
"Q627" "Reflujo vsico-urtero-renal congnito"
"Q628" "Otras malformaciones congnitas del urter"
"Q63" "Otras malformaciones congnitas del rin"
"Q630" "Rin supernumerario"
"Q631" "Rin lobulado, fusionado y en herradura"
"Q632" "Rin ectpico"
"Q633" "Hiperplasia renal y rin gigante"
"Q638" "Otras malformaciones congnitas del rin, especificadas"
"Q639" "Malformacin congnita del rin, no especificada"
"Q64" "Otras malformaciones congnitas del sistema urinario"
"Q640" "Epispadias"
"Q641" "Extrofia de la vejiga urinaria"
"Q642" "Vlvulas uretrales posteriores congnitas"
"Q643" "Otras atresias y estenosis de la uretra y del cuello de la vejiga"
"Q644" "Malformacin del uraco"
"Q645" "Ausencia congnita de la vejiga y de la uretra"
"Q646" "Divertculo congnito de la vejiga"
"Q647" "Otras malformaciones congnitas de la vejiga y de la uretra"
"Q648" "Otras malformaciones congnitas del aparato urinario, especificadas"
"Q649" "Malformacin congnita del aparato urinario, no especificada"
"Q65" "Deformidades congnitas de la cadera"
"Q650" "Luxacin congnita de la cadera, unilateral"
"Q651" "Luxacin congnita de la cadera, bilateral"
"Q652" "Luxacin congnita de la cadera, no especificada"
"Q653" "Subluxacin congnita de la cadera, unilateral"
"Q654" "Subluxacin congnita de la cadera, bilateral"
"Q655" "Subluxacin congnita de la cadera, no especificada"
"Q656" "Cadera inestable"
"Q658" "Otras deformidades congnitas de la cadera"
"Q659" "Deformidad congnita de la cadera, no especificada"
"Q66" "Deformidades congnitas de los pies"
"Q660" "Talipes equinovarus"
"Q661" "Talipes calcaneovarus"
"Q662" "Metatarsus varus"
"Q663" "Otras deformidades varus congnitas de los pies"
"Q664" "Talipes calcaneovalgus"
"Q665" "Pie plano congnito"
"Q666" "Otras deformidades valgus congnitas de los pies"
"Q667" "Pie cavus"
"Q668" "Otras deformidades congnitas de los pies"
"Q669" "Deformidad congnita de los pies, no especificada"
"Q67" "Deformidades osteomusculares congnitas de la cabeza, de la cara, de la columna vertebral y del trax"
"Q670" "Asimetra facial"
"Q671" "Facies comprimida"
"Q672" "Dolicocefalia"
"Q673" "Plagiocefalia"
"Q674" "Otras deformidades congnitas del crneo, de la cara y de la mandbula"
"Q675" "Deformidad congnita de la columna vertebral"
"Q676" "trax excavado"
"Q677" "Trax en quilla"
"Q678" "Otras deformidades congnitas del trax"
"Q68" "Otras deformidades osteomusculares congnitas"
"Q680" "Deformidad congnita del msculo esternocleidomastoideo"
"Q681" "Deformidad congnita de la mano"
"Q682" "Deformidad congnita de la rodilla"
"Q683" "Curvatura congnita del fmur"
"Q684" "Curvatura congnita de la tibia y del peron"
"Q685" "Curvatura congnita de hueso(s) largo(s) del miembro inferior, sin otra especificacin"
"Q688" "Otras deformidades congnitas osteomusculares, especificadas"
"Q69" "Polidactilia"
"Q690" "Dedo(s) supernumerario(s) de la mano"
"Q691" "Pulgar(es) supernumerario(s)"
"Q692" "Dedo(s) supernumerario(s) del pie"
"Q699" "Polidactilia, no especificada"
"Q70" "Sindactilia"
"Q700" "Fusin de los dedos de la mano"
"Q701" "Membrana interdigital de la mano"
"Q702" "Fusin de los dedos del pie"
"Q703" "Membrana interdigital del pie"
"Q704" "Polisindactilia"
"Q709" "Sindactilia, no especificada"
"Q71" "Defectos por reduccin del miembro superior"
"Q710" "Ausencia congnita completa del (de los) miembro(s) superior(es)"
"Q711" "Ausencia congnita del brazo y del antebrazo con presencia de la mano"
"Q712" "Ausencia congnita del antebrazo y de la mano"
"Q713" "Ausencia congnita de la mano y el (los) dedo(s)"
"Q714" "Defecto por reduccin longitudinal del radio"
"Q715" "Defecto por reduccin longitudinal del cbito"
"Q716" "Mano en pinza de langosta"
"Q718" "Otros defectos por reduccin del (de los) miembro(s) superior(es)"
"Q719" "Defecto por reduccin del miembro superior, no especificado"
"Q72" "Defectos por reduccin del miembro inferior"
"Q720" "Ausencia congnita completa del (de los) miembro(s) inferior(es)"
"Q721" "Ausencia congnita del muslo y de la pierna con presencia del pie"
"Q722" "Ausencia congnita de la pierna y del pie"
"Q723" "Ausencia congnita del pie y dedo(s) del pie"
"Q724" "Defecto por reduccin longitudinal del fmur"
"Q725" "Defecto por reduccin longitudinal de la tibia"
"Q726" "Defecto por reduccin longitudinal del peron"
"Q727" "Pie hendido"
"Q728" "Otros defectos por reduccin del (de los) miembro(s) inferior(es)"
"Q729" "Defecto por reduccin del miembro inferior, no especificado"
"Q73" "Defectos por reduccin de miembro no especificado"
"Q730" "Ausencia completa de miembro(s) no especificado(s)"
"Q731" "Focomelia, miembro(s) no especificado(s)"
"Q738" "Otros defectos por reduccin de miembro(s) no especificado(s)"
"Q74" "Otras anomalas congnitas del (de los) miembro(s)"
"Q740" "Otras malformaciones congnitas del (de los) miembro(s) superior(es), incluida la cintura escapular"
"Q741" "Malformacin congnita de la rodilla"
"Q742" "Otras malformaciones congnitas del (de los) miembro(s) inferior(es), incluida la cintura pelviana"
"Q743" "Artrogriposis mltiple congnita"
"Q748" "Otras malformaciones congnitas especificadas del (de los) miembro(s)"
"Q749" "Malformacin congnita de miembro(s), no especificada"
"Q75" "Otras malformaciones congnitas de los huesos del crneo y de la cara"
"Q750" "Craneosinostosis"
"Q751" "Disostosis craneofacial"
"Q752" "Hipertelorismo"
"Q753" "Macrocefalia"
"Q754" "Disostosis maxilofacial"
"Q755" "Disostosis oculomaxilar"
"Q758" "Otras malformaciones congnitas especificadas de los huesos del crneo y de la cara"
"Q759" "Malformacin congnita no especificada de los huesos del crneo y de la cara"
"Q76" "Malformaciones congnitas de la columna vertebral y trax seo"
"Q760" "Espina bfida oculta"
"Q761" "Sndrome de Klippel-Feil"
"Q762" "Espondilolistesis congnita"
"Q763" "Escoliosis congnita debida a malformacin congnita sea"
"Q764" "Otra malformacin congnita de la columna vertebral, no asociada con escoliosis"
"Q765" "Costilla cervical"
"Q766" "Otras malformaciones congnitas de las costillas"
"Q767" "Malformacin congnita del esternn"
"Q768" "Otras malformaciones congnitas del trax seo"
"Q769" "Malformacin congnita del trax seo, no especificada"
"Q77" "Osteocondrodisplasia con defecto del crecimiento de los huesos largos y de la columna vertebral"
"Q770" "Acondrognesis"
"Q771" "Enanismo tanatofrico"
"Q772" "Sndrome de costilla corta"
"Q773" "Condrodisplasia punctata"
"Q774" "Acondroplasia"
"Q775" "Displasia distrfica"
"Q776" "Displasia condroectodrmica"
"Q777" "Displasia espondiloepifisaria"
"Q778" "Otras osteocondrodisplasias con defectos del crecimiento de los huesos largos y de la columna vertebral"
"Q779" "Osteocondrodisplasia con defectos del crecimiento de los huesos largos y de la columna vertebral, sin otra especificacin"
"Q78" "Otras osteocondrodisplasias"
"Q780" "Osteognesis imperfecta"
"Q781" "Displasia poliosttica fibrosa"
"Q782" "Osteopetrosis"
"Q783" "Displasia diafisaria progresiva"
"Q784" "Encondromatosis"
"Q785" "Displasia metafisaria"
"Q786" "Exostosis congnita mltiple"
"Q788" "Otras osteocondrodisplasias especificadas"
"Q789" "Osteocondrodisplasia, no especificada"
"Q79" "Malformaciones congnitas del sistema osteomuscular, no clasificadas en otra parte"
"Q790" "Hernia diafragmtica congnita"
"Q791" "Otras malformaciones congnitas del diafragma"
"Q792" "Exnfalos"
"Q793" "Gastrosquisis"
"Q794" "Sndrome del abdomen en ciruela pasa"
"Q795" "Otras malformaciones congnitas de la pared abdominal"
"Q796" "Sndrome de Ehlers-Danlos"
"Q798" "Otras malformaciones congnitas del sistema osteomuscular"
"Q799" "Malformacin congnita del sistema osteomuscular, no especificada"
"Q80" "Ictiosis congnita"
"Q800" "Ictiosis vulgar"
"Q801" "Ictiosis ligada al cromosoma X"
"Q802" "Ictiosis lamelar"
"Q803" "Eritrodermia ictiosiforme vesicular congnita"
"Q804" "Feto Arlequn"
"Q808" "Otras ictiosis congnitas"
"Q809" "Ictiosis congnita, no especificada"
"Q81" "Epidermlisis bullosa"
"Q810" "Epidermlisis bullosa simple"
"Q811" "Epidermlisis bullosa letal"
"Q812" "Epidermlisis bullosa distrfica"
"Q818" "Otras Epidermlisis bullosas"
"Q819" "Epidermlisis bullosa, no especificada"
"Q82" "Otras malformaciones congnitas de la piel"
"Q820" "Linfedema hereditario"
"Q821" "Xeroderma pigmentoso"
"Q822" "Mastocitosis"
"Q823" "Incontinencia pigmentaria"
"Q824" "Displasia ectodrmica (anhidrtica)"
"Q825" "Nevo no neoplsico, congnito"
"Q828" "Otras malformaciones congnitas de la piel, especificadas"
"Q829" "Malformacin congnita de la piel, no especificada"
"Q83" "Malformaciones congnitas de la mama"
"Q830" "Ausencia congnita de la mama con ausencia del pezn"
"Q831" "Mama supernumeraria"
"Q832" "Ausencia del pezn"
"Q833" "Pezn supernumerario"
"Q838" "Otras malformaciones congnitas de la mama"
"Q839" "Malformacin congnita de la mama, no especificada"
"Q84" "Otras malformaciones congnitas de las faneras"
"Q840" "Alopecia congnita"
"Q841" "Alteraciones morfolgicas congnitas del pelo, no clasificadas en otra parte"
"Q842" "Otras malformaciones congnitas del pelo"
"Q843" "Anoniquia"
"Q844" "Leuconiquia congnita"
"Q845" "Agrandamiento e hipertrofia de las uas"
"Q846" "Otras malformaciones congnitas de las uas"
"Q848" "Otras malformaciones congnitas de las faneras, especificadas"
"Q849" "Malformacin congnita de las faneras, no especificada"
"Q85" "Facomatosis, no clasificada en otra parte"
"Q850" "Neurofibromatosis (no maligna)"
"Q851" "Esclerosis tuberosa"
"Q858" "Otras facomatosis, no clasificadas en otra parte"
"Q859" "Facomatosis, no especificada"
"Q86" "Sndromes de malformaciones congnitas debidos a causas exgenas conocidas, no clasificados en otra parte"
"Q860" "Sndrome fetal (dismrfico) debido al alcohol"
"Q861" "Sndrome de hidantona fetal"
"Q862" "Dismorfismo debido a warfarina"
"Q868" "Otros sndromes de malformaciones congnitas debidos a causas exgenas conocidas"
"Q87" "Otros sndromes de malformaciones congnitas especificados que afectan mltiples sistemas"
"Q870" "Sndromes de malformaciones congnitas que afectan principalmente la apariencia facial"
"Q871" "Sndromes de malformaciones congnitas asociadas principalmente con estatura baja"
"Q872" "Sndromes de malformaciones congnitas que afectan principalmente los miembros"
"Q873" "Sndromes de malformaciones congnitas con exceso de crecimiento precoz"
"Q874" "Sndrome de Marfan"
"Q875" "Otros sndromes de malformaciones congnitas con otros cambios esquelticos"
"Q878" "Otros sndromes de malformaciones congnitas especificados, no clasificados en otra parte"
"Q89" "Otras malformaciones congnitas, no clasificadas en otra parte"
"Q890" "Malformaciones congnitas del bazo"
"Q891" "Malformaciones congnitas de la glndula suprarrenal"
"Q892" "Malformaciones congnitas de otras glndulas endocrinas"
"Q893" "Situs inversus"
"Q894" "Gemelos siameses"
"Q897" "Malformaciones congnitas mltiples, no clasificadas en otra parte"
"Q898" "Otras malformaciones congnitas, especificadas"
"Q899" "Malformacin congnita, no especificada"
"Q90" "Sndrome de Down"
"Q900" "Trisoma 21, por falta de disyuncin meitica"
"Q901" "Trisoma 21, mosaico (por falta de disyuncin mittica)"
"Q902" "Trisomia 21, por translocacin"
"Q909" "Sndrome de Down, no especificado"
"Q91" "Sndrome de Edwards y sndrome  de Patau"
"Q910" "Trisomia 18, por falta de disyuncin meitica"
"Q911" "Trisoma 18, mosaico (por falta de disyuncin mittica)"
"Q912" "Trisoma 18, por translocacin"
"Q913" "Sndrome de Edwards, no especificado"
"Q914" "Trisoma 13, por falta de disyuncin meitica"
"Q915" "Trisoma 13, mosaico (por falta de disyuncin mittica)"
"Q916" "Trisoma 13, por translocacin"
"Q917" "Sndrome de Patau, no especificado"
"Q92" "Otras trisomas y trisomas parciales de los autosomas, no clasificadas en otra parte"
"Q920" "Trisoma de un cromosoma completo, por falta de disyuncin meitica"
"Q921" "Trisoma de un cromosoma completo, mosaico (por falta de disyuncin mittica)"
"Q922" "Trisoma parcial mayor"
"Q923" "Trisoma parcial menor"
"Q924" "Duplicaciones visibles solo en la prometafase"
"Q925" "Duplicaciones con otros reordenamientos complejos"
"Q926" "Cromosomas marcadores suplementarios"
"Q927" "Triploida y poliploida"
"Q928" "Otras trisomas y trisomas parciales de los autosomas, especificadas"
"Q929" "Trisoma y Trisoma parcial de los autosomas, sin otra especificacin"
"Q93" "Monosomas y supresiones de los autosomas, no  clasificadas en otra parte"
"Q930" "Monosoma completa de un cromosoma, por falta de disyuncin meitica"
"Q931" "Monosoma completa de un cromosoma, mosaico (por falta de disyuncin mittica)"
"Q932" "Cromosoma reemplazado por anillo o dicntrico"
"Q933" "Supresin del brazo corto del cromosoma 4"
"Q934" "Supresin del brazo corto del cromosoma 5"
"Q935" "Otras supresiones de parte de un cromosoma"
"Q936" "Supresiones visibles slo en la prometafase"
"Q937" "Supresiones con otros reordenamientos complejos"
"Q938" "Otras supresiones de los autosomas"
"Q939" "Supresin de los autosomas, no especificada"
"Q95" "Reordenamientos equilibrados y marcadores estructurales, no clasificados en otra parte"
"Q950" "Translocacin equilibrada e insercin en individuo normal"
"Q951" "Inversin cromosmica en individuo normal"
"Q952" "Reordenamiento autosmico equilibrado en individuo anormal"
"Q953" "Reordenamiento autosmico/sexual equilibrado en individuo anormal"
"Q954" "Individuos con heterocromatina marcadora"
"Q955" "Individuos con sitio frgil autosmico"
"Q958" "Otros reordenamientos equilibrados y marcadores estructurales"
"Q959" "Reordenamiento equilibrado y marcador estructural, sin otra especificacin"
"Q96" "Sndrome de Turner"
"Q960" "Cariotipo 45,X"
"Q961" "Cariotipo 46,X iso (Xq)"
"Q962" "Cariotipo 46,X con cromosoma sexual anormal excepto iso (Xq)"
"Q963" "Mosaico 45, X/46,XX o XY"
"Q964" "Mosaico 45,X/otra(s) lnea(s) celular(es) con cromosoma sexual anormal"
"Q968" "Otras variantes del sndrome de Turner"
"Q969" "Sndrome de Turner, no especificado"
"Q97" "Otras anomalas de los cromosomas sexuales, con fenotipo femenino, no clasificadas en otra parte"
"Q970" "Cariotipo 47, XXX"
"Q971" "Mujer con ms de tres cromosomas X"
"Q972" "Mosaico, lneas con nmero variable de cromosomas X"
"Q973" "Mujer con cariotipo 46, XY"
"Q978" "Otras anomalas de los cromosomas  sexuales, con fenotipo femenino, especificadas"
"Q979" "Anomala de los cromosomas sexuales, con fenotipo femenino, sin otra especificacin"
"Q98" "Otras anomalas de los cromosomas sexuales, con fenotipo masculino, no clasificadas en otra parte"
"Q980" "Sndrome de Klinefelter, cariotipo 47, XXY"
"Q981" "Sndrome de Klinefelter, hombre con ms de dos cromosomas X"
"Q982" "Sndrome de Klinefelter, hombre con cariotipo 46, XX"
"Q983" "Otro hombre con cariotipo 46, XX"
"Q984" "Sndrome de Klinefelter, no especificado"
"Q985" "Cariotipo 47, XYY"
"Q986" "Hombre con cromosoma sexual estructuralmente anormal"
"Q987" "Hombre con mosaico de cromosomas sexuales"
"Q988" "Otras anomalas de los cromosomas sexuales, con fenotipo masculino, especificadas"
"Q989" "Anomala de los cromosomas sexuales, fenotipo masculino, sin otra especificacin"
"Q99" "Otras anomalas cromosmicas, no clasificadas en otra parte"
"Q990" "Quimera 46, XX/46, XY"
"Q991" "Hermafrodita verdadero 46, XX"
"Q992" "Cromosoma X frgil"
"Q998" "Otras anomalas de los cromosomas, especificadas"
"Q999" "Anomala cromosmica, no especificada"
"R00" "Anormalidades del latido cardaco"
"R000" "Taquicardia, no especificada"
"R001" "Bradicardia, no especificada"
"R002" "Palpitaciones"
"R008" "Otras anormalidades del latido cardaco y las no especificadas"
"R01" "Soplos y otros sonidos cardacos"
"R010" "Soplos cardacos benignos o inocentes"
"R011" "Soplo cardaco, no especificado"
"R012" "Otros sonidos cardacos"
"R02" "Gangrena, no clasificada en otra parte"
"R03" "Lectura de presin sangunea anormal, sin diagnstico"
"R030" "Lectura elevada de la presin sangunea, sin diagnstico de hipertensin"
"R031" "Lectura de presin baja no especfica"
"R04" "Hemorragia de las vas respiratorias"
"R040" "Epistaxis"
"R041" "Hemorragia de la garganta"
"R042" "Hemoptisis"
"R048" "Hemorragia de otros sitios de las vas respiratorias"
"R049" "Hemorragia de las vas respiratorias, no especificada"
"R05" "Tos"
"R06" "Anormalidades de la respiracin"
"R060" "Disnea"
"R061" "Estridor"
"R062" "Silbido"
"R063" "Respiracin peridica"
"R064" "Hiperventilacin"
"R065" "Respiracin con la boca"
"R066" "Hipo"
"R067" "Estornudo"
"R068" "Otras anormalidades de la respiracin y las no especificadas"
"R07" "Dolor de garganta y en el pecho"
"R070" "Dolor de garganta"
"R071" "Dolor en el pecho al respirar"
"R072" "Dolor precordial"
"R073" "Otros dolores en el pecho"
"R074" "Dolor en el pecho, no especificado"
"R09" "Otros sntomas y signos que involucran los sistemas circulatorio y respiratorio"
"R090" "R090 Asfixia"
"R091" "Pleuresa"
"R092" "Paro respiratorio"
"R093" "Esputo anormal"
"R098" "Otros sntomas y signos especificados que involucran los sistemas circulatorio y respiratorio"
"R10" "Dolor abdominal y plvico"
"R100" "Abdomen agudo"
"R101" "Dolor abdominal localizado en parte superior"
"R102" "Dolor plvico y perineal"
"R103" "Dolor localizado en otras partes inferiores del abdomen"
"R104" "Otros dolores abdominales y los no especificados"
"R11" "Nusea y vmito"
"R12" "Acidez"
"R13" "Disfagia"
"R14" "Flatulencia y afecciones afines"
"R15" "Incontinencia fecal"
"R16" "Hepatomegalia y esplenomegalia, no clasificadas en otra parte"
"R160" "Hepatomegalia, no clasificada en otra parte"
"R161" "Esplenomegalia, no clasificada en otra parte"
"R162" "Hepatomegalia con esplenomegalia, no clasificadas en otra parte"
"R17" "Ictericia no especificada"
"R18" "Ascitis"
"R19" "Otros sntomas y signos que involucran el sistema digestivo y el abdomen"
"R190" "Tumefaccin, masa o prominencia intraabdominal y plvica"
"R191" "Sonidos intestinales anormales"
"R192" "Peristalsis visible"
"R193" "Rigidez abdominal"
"R194" "Cambios en los hbitos intestinales"
"R195" "Otras anormalidades fecales"
"R196" "Halitosis"
"R198" "Otros sntomas y signos especificados que involucran el sistema digestivo y el abdomen"
"R20" "Alteraciones de la sensibilidad cutnea"
"R200" "Anestesia de la piel"
"R201" "Hipoestesia de la piel"
"R202" "Parestesia de la piel"
"R203" "Hiperestesia"
"R208" "Otras alteraciones de la sensibilidad cutnea y las no especificadas"
"R21" "Salpullido y otras erupciones cutneas no especificadas"
"R22" "Tumefaccin, masa  o prominencia de la piel y del tejido subcutneo localizados"
"R220" "Tumefaccin, masa o prominencia localizada en la cabeza"
"R221" "Tumefaccin, masa o prominencia localizada en el cuello"
"R222" "Tumefaccin, masa o prominencia localizada en el tronco"
"R223" "Tumefaccin, masa o prominencia localizada en el miembro superior"
"R224" "Tumefaccin, masa o prominencia localizada en el miembro inferior"
"R227" "Tumefaccin, masa o prominencia localizada en sitios mltiples"
"R229" "Tumefaccin, masa o prominencia localizada en parte no especificada"
"R23" "Otros cambios en la piel"
"R230" "Cianosis"
"R231" "Palidez"
"R232" "Rubor"
"R233" "Equimosis espontnea"
"R234" "Cambios en la textura de la piel"
"R238" "Otros cambios de la piel y los no especificados"
"R25" "Movimientos involuntarios anormales"
"R250" "Movimientos anormales de la cabeza"
"R251" "Temblor no especificado"
"R252" "Calambres y espasmos"
"R253" "Fasciculacin"
"R258" "Otros movimientos anormales involuntarios y los no especificados"
"R26" "Anormalidades de la marcha y de la movilidad"
"R260" "Marcha atxica"
"R261" "Marcha paraltica"
"R262" "Dificultad para caminar, no clasificada en otra parte"
"R263" "Inmovilidad"
"R268" "Otras anormalidades de la marcha y de la movilidad y las no especificadas"
"R27" "Otras fallas de coordinacin"
"R270" "Ataxia, no especificada"
"R278" "Otras fallas de la coordinacin y las no especificadas"
"R29" "Otros sntomas y signos que involucran los sistemas nervioso y osteomuscular"
"R290" "Tetania"
"R291" "Meningismo"
"R292" "Reflejos anormales"
"R293" "Postura anormal"
"R294" "Chasquido de la cadera"
"R296" "Tendencia a caer, no clasificada en otra parte"
"R298" "Otros sntomas y signos que involucran los sistemas nervioso y osteomuscular y los no especificados"
"R30" "Dolor asociado con la miccin"
"R300" "Disuria"
"R301" "Tenesmo vesical"
"R309" "Miccin dolorosa, no especificada"
"R31" "Hematuria, no especificada"
"R32" "Incontinencia urinaria, no especificada"
"R33" "Retencin de orina"
"R34" "Anuria y oliguria"
"R35" "Poliuria"
"R36" "Descarga uretral"
"R39" "Otros sntomas y signos que involucran el sistema urinario"
"R390" "Extravasacin de la orina"
"R391" "Otras dificultades de la miccin"
"R392" "Uremia extrarrenal"
"R398" "Otros sntomas y signos que involucran el sistema urinario y los no especificados"
"R40" "Somnolencia, estupor y coma"
"R400" "Somnolencia"
"R401" "Estupor"
"R402" "Coma, no especificado"
"R41" "Otros sntomas y signos que involucran la funcin cognoscitiva y la conciencia"
"R410" "Desorientacin no especificada"
"R411" "Amnesia antergrada"
"R412" "Amnesia retrgrada"
"R413" "Otra amnesia"
"R418" "Otros sntomas y signos que involucran la funcin cognoscitiva y la conciencia y los no especificados"
"R42" "Mareo y desvanecimiento"
"R43" "Trastornos del olfato y del gusto"
"R430" "Anosmia"
"R431" "Parosmia"
"R432" "Parageusia"
"R438" "Otras alteraciones del gusto y del olfato y las no especificadas"
"R44" "Otros sntomas y signos que involucran las sensaciones y percepciones generales"
"R440" "Alucinaciones auditivas"
"R441" "Alucinaciones visuales"
"R442" "Otras alucinaciones"
"R443" "Alucinaciones, no especificadas"
"R448" "Otros sntomas y signos que involucran las sensaciones y percepciones generales y los no especificados"
"R45" "Sntomas y signos que involucran el estado emocional"
"R450" "Nerviosismo"
"R451" "Inquietud y agitacin"
"R452" "Infelicidad"
"R453" "Desmoralizacin y apata"
"R454" "Irritabilidad y enojo"
"R455" "Hostilidad"
"R456" "Violencia fsica"
"R457" "Tensin y estado de choque emocional, no especificado"
"R458" "Otros sntomas y signos que involucran el estado emocional"
"R46" "Sntomas y signos que involucran la apariencia y el comportamiento"
"R460" "Muy bajo nivel de higiene personal"
"R461" "Apariencia personal extraa"
"R462" "Conducta extraa e inexplicable"
"R463" "Hiperactividad"
"R464" "Lentitud y pobre respuesta"
"R465" "Suspicacia y evasividad marcadas"
"R466" "Preocupacin indebida por sucesos que causan tensin"
"R467" "Verbosidad y detalles circunstanciales que oscurecen la razn de la consulta o el contacto"
"R468" "Otros sntomas y signos que involucran la apariencia y el comportamiento"
"R47" "Alteraciones del habla, no clasificadas en otra parte"
"R470" "Disfasia y afasia"
"R471" "Disartria y anartria"
"R478" "Otras alteraciones del habla y las no especificadas"
"R48" "Dislexia y otras disfunciones simblicas, no clasificadas en otra parte"
"R480" "Dislexia y alexia"
"R481" "Agnosia"
"R482" "Apraxia"
"R488" "Otras disfunciones simblicas y las no especificadas"
"R49" "Alteraciones de la voz"
"R490" "Disfona"
"R491" "Afona"
"R492" "Hipernasalidad e hiponasalidad"
"R498" "Otras alteraciones de la voz y las no especificadas"
"R50" "Fiebre de otro origen y de origen desconocido"
"R500" "Fiebre con escalofro"
"R501" "Fiebre persistente"
"R502" "Fiebre inducida por drogas"
"R508" "Otras fiebres especificadas"
"R509" "Fiebre, no especificada"
"R51" "Cefalea"
"R52" "Dolor, no clasificado en otra parte"
"R520" "Dolor agudo"
"R521" "Dolor crnico intratable"
"R522" "Otro dolor crnico"
"R529" "Dolor, no especificado"
"R53" "Malestar y fatiga"
"R54" "Senilidad"
"R55" "Sncope y colapso"
"R56" "Convulsiones, no clasificadas en otra parte"
"R560" "Convulsiones febriles"
"R568" "Otras convulsiones y las no especificadas"
"R57" "Choque, no clasificado en otra parte"
"R570" "Choque cardiognico"
"R571" "Choque hipovolmico"
"R572" "Choque sptico"
"R578" "Otras formas de choque"
"R579" "Choque, no especificado"
"R58" "Hemorragia, no clasificada en otra parte"
"R59" "Adenomegalia"
"R590" "Adenomegalia localizada"
"R591" "Adenomegalia generalizada"
"R599" "Adenomegalia, no especificada"
"R60" "Edema, no clasificado en otra parte"
"R600" "Edema localizado"
"R601" "Edema generalizado"
"R609" "Edema, no especificado"
"R61" "Hiperhidrosis"
"R610" "Hiperhidrosis localizada"
"R611" "Hiperhidrosis generalizada"
"R619" "Hiperhidrosis, no especificada"
"R62" "Falta del desarrollo fisiolgico normal esperado"
"R620" "Retardo del desarrollo"
"R628" "Otras faltas del desarrollo fisiolgico normal esperado"
"R629" "Falta del desarrollo fisiolgico normal esperado, sin otra especificacin"
"R63" "Sntomas y signos concernientes a la alimentacin y a la ingestin de lquidos"
"R630" "Anorexia"
"R631" "Polidipsia"
"R632" "Polifagia"
"R633" "Dificultades y mala administracin de la alimentacin"
"R634" "Prdida anormal de peso"
"R635" "Aumento anormal de peso"
"R636" "Ingesta insuficiente de alimentos y agua debida a descuido personal"
"R638" "Otros sntomas y signos concernientes a la alimentacin y a la ingestin de lquidos"
"R64" "Caquexia"
"R65" "Sndrome de respuesta inflamatoria sistmica"
"R650" "Sndrome de respuesta inflamatoria sistmica de origen infeccioso, sin falla orgnica"
"R651" "Sndrome de respuesta inflamatoria sistmica de origen infeccioso, con falla orgnica"
"R652" "Sndrome de respuesta inflamatoria sistmica de origen no infeccioso, sin falla orgnica"
"R653" "Sndrome de respuesta inflamatoria sistmica de origen no infeccioso, con falla orgnica"
"R659" "Sndrome de respuesta inflamatoria sistmica, no especificado"
"R68" "Otros sntomas y signos generales"
"R680" "Hipotermia no asociada con baja temperatura del ambiente"
"R681" "Sntomas no especficos propios de la infancia"
"R682" "Boca seca, no especificada"
"R683" "Dedos de la mano deformes"
"R688" "Otros sntomas y signos generales especificados"
"R69" "Causas de morbilidad desconocidas y no especificadas"
"R70" "Velocidad de eritrosedimentacin elevada y otras anormalidades de la viscosidad del plasma"
"R700" "Velocidad de eritrosedimentacin elevada"
"R701" "Viscosidad plasmtica anormal"
"R71" "Anormalidad de los eritrocitos"
"R72" "Anormalidades de los leucocitos, no clasificadas en otra parte"
"R73" "Nivel elevado de glucosa en sangre"
"R730" "Anormalidades en la prueba de tolerancia a la glucosa"
"R739" "Hiperglicemia, no especificada"
"R74" "Nivel anormal de enzimas en suero"
"R740" "Elevacin de los niveles de transaminasas o deshidrogenasa lctica [DHL]"
"R748" "Niveles anormales de otras enzimas en suero"
"R749" "Nivel anormal de enzimas en suero, no especificado"
"R75" "Evidencias de laboratorio del virus de la inmunodeficiencia humana [VIH]"
"R76" "Otros hallazgos inmunolgicos anormales en suero"
"R760" "Titulacin elevada de anticuerpos"
"R761" "Reaccin anormal a la prueba con tuberculina"
"R762" "Falso positivo en la prueba serolgica para sfilis"
"R768" "Otros hallazgos inmunolgicos anormales especificados en suero"
"R769" "Hallazgos inmunolgicos anormales no especificados en suero"
"R77" "Otras anormalidades de las protenas plasmticas"
"R770" "Anormalidad de la albmina"
"R771" "Anormalidad de la globulina"
"R772" "Anormalidad de la alfafetoprotena"
"R778" "Otras anormalidades especificadas de las protenas plasmticas"
"R779" "Anormalidades no especificadas de las protenas plasmticas"
"R78" "Hallazgo de drogas y otras sustancias que normalmente no se encuentran en la sangre"
"R780" "Hallazgo de alcohol en la sangre"
"R781" "Hallazgo de drogas opiceas en la sangre"
"R782" "Hallazgo de cocana en la sangre"
"R783" "Hallazgo de alucingenos en la sangre"
"R784" "Hallazgo de otras drogas potencialmente adictivas en la sangre"
"R785" "Hallazgo de drogas psicotrpicas en la sangre"
"R786" "Hallazgo de agentes esteroides en la sangre"
"R787" "Hallazgo de niveles anormales de metales pesados en la sangre"
"R788" "Hallazgo de otras sustancias especificadas que normalmente no se encuentran en la sangre"
"R789" "Hallazgo de sustancia no especificada que normalmente no se encuentra en la sangre"
"R79" "Otros hallazgos anormales en la qumica sangunea"
"R790" "Nivel anormal de mineral en la sangre"
"R798" "Otros hallazgos anormales especificados en la qumica sangunea"
"R799" "Hallazgo anormal en la qumica sangunea, sin otra especificacin"
"R80" "Proteinuria aislada"
"R81" "Glucosuria"
"R82" "Otros hallazgos anormales en la orina"
"R820" "Quiluria"
"R821" "Mioglobinuria"
"R822" "Biliuria"
"R823" "Hemoglobinuria"
"R824" "Acetonuria"
"R825" "Elevacin de los niveles de drogas, medicamentos y sustancias biolgicas en la orina"
"R826" "Niveles anormales en la orina de sustancias de origen principalmente no medicinal"
"R827" "Hallazgos anormales en el examen microbiolgico de la orina"
"R828" "Hallazgos anormales en el examen citolgico e histolgico de la orina"
"R829" "Otros hallazgos anormales en la orina y los no especificados"
"R83" "Hallazgos anormales en el lquido cefalorraqudeo"
"R830" "Hallazgos anormales en el lquido cefalorraqudeo, nivel anormal de enzimas"
"R831" "Hallazgos anormales en el lquido cefalorraqudeo, nivel anormal de hormonas"
"R832" "Hallazgos anormales en el lquido cefalorraqudeo, nivel anormal de otras drogas, medicamentos y sustancias biolgicas"
"R833" "Hallazgos anormales en el lquido cefalorraqudeo, nivel anormal de sustancias de origen fundamentalmente no medicinal"
"R834" "Hallazgos anormales en el lquido cefalorraqudeo, hallazgos inmunolgicos anormales"
"R835" "Hallazgos anormales en el lquido cefalorraqudeo, hallazgos microbiolgicos anormales, hallazgos positivos  en el cultivo"
"R836" "Hallazgos anormales en el lquido cefalorraqudeo, hallazgos citolgicos anormales, Frotis anormal de Papanicolaou"
"R837" "Hallazgos anormales en el lquido cefalorraqudeo, hallazgos histolgicos anormales"
"R838" "Hallazgos anormales en el lquido cefalorraqudeo, otros hallazgos anormales, hallazgos cromosmicos anormales"
"R839" "Hallazgos anormales en el lquido cefalorraqudeo, hallazgos anormales no especificados"
"R84" "Hallazgos anormales en muestras tomadas de rganos respiratorios y torcicos"
"R840" "Hallazgos anormales en muestras tomadas de rganos respiratorios y torcicos, nivel anormal de enzimas"
"R841" "Hallazgos anormales en muestras tomadas de rganos respiratorios y torcicos, nivel anormal de hormonas"
"R842" "Hallazgos anormales en muestras tomadas de rganos respiratorios y torcicos,nivel anormal de otras drogas, medicamentos y sustancias biolgicas"
"R843" "Hallazgos anormales en muestras tomadas de rganos respiratorios y torcicos, nivel anormal de sustancias de origen fundamentalmente no medicinal"
"R844" "Hallazgos anormales en muestras tomadas de rganos respiratorios y torcicos, hallazgos inmunolgicos anormales"
"R845" "Hallazgos anormales en muestras tomadas de rganos respiratorios y torcicos, hallazgos microbiolgicos anormales, hallazgos positivos en el cultivo"
"R846" "Hallazgos anormales  en muestras tomadas de rganos respiratorios y torcicos, hallazgos citolgicos anormales, Frotis anormal de Papanicolaou"
"R847" "Hallazgos anormales en muestras tomadas de rganos respiratorios y torcicos, hallazgos histolgicos anormales"
"R848" "Hallazgos anormales  en muestras tomadas de rganos respiratorias y torcicos otros hallazgos anormales, hallazgos cromosmicos anormales"
"R849" "Hallazgos anormales en muestras tomadas de rganos respiratorios y torcicos, hallazgos anormales no especificados"
"R85" "Hallazgos anormales en muestras tomadas de rganos digestivos y de la cavidad abdominal"
"R850" "Hallazgos anormales en muestras tomadas de rganos digestivos y de la cavidad abdominal, nivel anormal de enzimas"
"R851" "Hallazgos anormales en muestras tomadas de rganos digestivos y de la cavidad abdominal, nivel anormal de hormonas"
"R852" "Hallazgos anormales en muestras tomadas de rganos digesivos y de la cavidad abdominal, nivel anormal de otras drogas, medicamentos y sustancias biolgicas"
"R853" "Hallazgos anormales en muestras tomadas de rganos digestivos y de la cavidad abdominal, nivel anormal de sustancias de origen fundamentalmente no medicinal"
"R854" "Hallazgos  anormales en muestras tomadas  de rganos digestivos y de la cavidad abdominal, hallazgos inmunolgicos anormales"
"R855" "Hallazgos anormales en muestras tomadas de rganos digestivos y de la cavidad abdominal, hallazgos microbiolgicos anormales, hallazgos positivos en el cultivo"
"R856" "Hallazgos  anormales en muestras tomadas de rganos  digestivos y de la cavidad abdominal, hallazgos citolgicos anormales, frotis anormal de Papanicolaou"
"R857" "Hallazgos anormales en muestras tomadas de rganos digestivos y de la cavidad abdominal, hallazgos histolgicos  anormales"
"R858" "Hallazgos anormales  en muestras tomadas de rganos  digestivos y de la cavidad abdominal, otros hallazgos  anormales, hallazgos cromosmicos  anormales"
"R859" "Hallazgos anormales  en muestra tomadas de rganos digestivos y de la cavidad abdominal, hallazgos anormales no especificados"
"R86" "Hallazgos anormales en muestras tomadas de rganos genitales masculinos"
"R860" "Hallazgos anormales en muestras tomadas de rganos genitales masculinos, nivel anormal de enzimas"
"R861" "Hallazgos anormales en muestras tomadas de rganos genitales masculinos, nivel anormal de hormonas"
"R862" "Hallazgos anormales en muestras tomadas de rganos  genitales masculinos, nivel anormal de otras drogas, medicamentos y sustancias biolgicas"
"R863" "Hallazgos anormales en muestras tomadas de rganos genitales masculinos, nivel anormal de sustancias de origen fundamentalmente no medicinal"
"R864" "Hallazgos anormales en muestras tomadas de rganos genitales masculinos, hallazgos inmunolgicos anormales"
"R865" "Hallazgos  anormales  en muestras tomadas de rganos genitales  masculinos, hallazgos microbiolgicos  anormales, hallazgos positivos en el cultivo"
"R866" "Hallazgos anormales en muestras tomadas de rganos genitales masculinos, hallazgos citolgicos anormales, frotis anormal de Papanicolaou"
"R867" "Hallazgos anormales en muestras tomadas de rganos genitales masculinos, hallazgos histolgicos anormales"
"R868" "Hallazgos  anormales  en muestras tomadas de rganos  genitales masculinos, otros hallazgos anormales, hallazgos cromosmicos anormales"
"R869" "Hallazgos anormales en muestras tomadas de rganos genitales masculinos, hallazgos anormales no especificados"
"R87" "Hallazgos anormales en muestras tomadas de rganos genitales femeninos"
"R870" "Hallazgos anormales en muestras tomadas de rganos genitales femeninos, nivel anormal de enzimas"
"R871" "Hallazgos anormales en muestras tomadas de rganos genitales femeninos,  nivel anormal de hormonas"
"R872" "Hallazgos  anormales  en muestras tomadas de rganos  genitales  femeninos,  nivel anormal de otras drogas, medicamentos y sustancias  biolgicas."
"R873" "Hallazgos  anormales  en muestras tomadas de rganos genitales  femeninos, nivel anormal de sustancias de origen fundamentalmente no medicinal"
"R874" "Hallazgos anormales en muestras tomadas de rganos genitales femeninos, hallazgos inmunolgicos anormales"
"R875" "Hallazgos  anormales en muestras tomadas de rganos  genitales  femeninos, hallazgos microbiolgicos anormales, hallazgos positivos en el cultivo"
"R876" "Hallazgos  anormales.en muestras tomadas de rganos genitales femeninos, hallazgos citolgicos anormales, Frotis anormal de Papanicolaou"
"R877" "Hallazgos anormales en muestras tomadas de rganos genitales femeninos, hallazgos histolgicos anormales"
"R878" "Hallazgos anormales en muestras tomadas de rganos genitales femeninos, otros hallazgos anormales, hallazgos cromosmicos anormales"
"R879" "Hallazgos anormales en muestras tomadas de rganos genitales femeninos, hallazgos anormales, no especificados"
"R89" "Hallazgos anormales en muestras tomadas de otros rganos, sistemas y tejidos"
"R890" "Hallazgos anormales en muestras tomadas de otros rganos, sistemas y tejidos, nivel anormal de enzimas"
"R891" "Hallazgos anormales en muestras tomadas de otros organos, sistemas y tejidos, nivel anormal de hormonas"
"R892" "Hallazgos  anormales en muestras tomadas de otros rganos, sistemas y tejidos, nivel anormal de otras drogas, medicamentos y sustancias biolgicas"
"R893" "Hallazgos anormales en muestras tomadas de otros rganos, sistemas y tejidos, nivel anormal de  sustancias de origen fundamentalmente no medicinal"
"R894" "Hallazgos anormales en muestras tomadas de otros rganos, sistemas y tejidos, hallazgos inmunolgicos anormales"
"R895" "Hallazgos anormales  en muestra tomadas de otros rganos , sistemas y tejidos, hallazgos microbiolgicos anormales, hallazgos positivos en el cultivo"
"R896" "Hallazgos anormales  en muestra tomadas de otros rganos, sistemas y tejidos, hallazgos citolgicos anormales, frotis anormal de Papanicolaou"
"R897" "Hallazgos anormales en muestras tomadas de otros rganos, sistemas y tejidos, hallazgos histolgicos anormales"
"R898" "Hallazgos anormales en muestras tomadas de otros rganos, sistemas y tejidos, otros hallazgos anormales, hallazgos cromosmicos anormales"
"R899" "Hallazgos anormales en muestras tomadas de otros rganos, sistemas y tejidos, hallazgos anormales no especificados."
"R90" "Hallazgos anormales en diagnstico por imagen del sistema nervioso central"
"R900" "Lesin que ocupa el espacio intracraneal"
"R908" "Otros hallazgos anormales en diagnstico por imagen del sistema nervioso central"
"R91" "Hallazgos anormales en diagnstico por imagen del pulmn"
"R92" "Hallazgos anormales en diagnstico por imagen de la mama"
"R93" "Hallazgos anormales en diagnstico por imagen de otras estructuras del cuerpo"
"R930" "Hallazgos anormales en diagnstico por imagen del crneo y de la cabeza, no clasificados en otra parte"
"R931" "Hallazgos anormales en diagnstico por imagen del corazn y de la circulacin coronaria"
"R932" "Hallazgos anormales en diagnstico por imagen del hgado y de las vas biliares"
"R933" "Hallazgos anormales en diagnstico por imagen de otras partes de las vas digestivas"
"R934" "Hallazgos anormales en diagnstico por imagen de los rganos urinarios"
"R935" "Hallazgos anormales en diagnstico por imagen de otras regiones abdominales, incluido el retroperitoneo"
"R936" "Hallazgos anormales en diagnstico por imagen de los miembros"
"R937" "Hallazgos anormales en diagnstico por imagen de otras partes del sistema osteomuscular"
"R938" "Hallazgos anormales en diagnstico por imagen de otras estructuras especificadas del cuerpo"
"R94" "Resultados anormales de estudios funcionales"
"R940" "Resultados anormales en estudios funcionales del sistema nervioso central"
"R941" "Resultados anormales en estudios funcionales del sistema nervioso perifrico y sentidos especiales"
"R942" "Resultados anormales en estudios funcionales del pulmn"
"R943" "Resultados anormales en estudios funcionales cardiovasculares"
"R944" "Resultados anormales en estudios funcionales del rin"
"R945" "Resultados anormales en estudios funcionales del hgado"
"R946" "Resultados anormales en estudios funcionales de la tiroides"
"R947" "Resultados anormales en otros estudios funcionales endocrinos"
"R948" "Resultados anormales en los estudios funcionales de otros rganos y sistemas"
"R95" "Sndrome de la muerte sbita infantil"
"R950" "Sndrome de la muerte sbita infantil, con mencin de autopsia"
"R959" "Sndrome de la muerte sbita infantil, sin mencin de autopsia"
"R96" "Otras muertes sbitas de causa desconocida"
"R960" "Muerte instantnea"
"R961" "Muerte que ocurre en menos de 24 horas del inicio de los sntomas, no explicada de otra forma"
"R98" "Muerte sin asistencia"
"R99" "Otras causas mal definidas y las no especificadas de mortalidad"
"S00" "Traumatismo superficial de la cabeza"
"S000" "Traumatismo superficial del cuero cabelludo"
"S001" "Contusin de los prpados y de la regin periocular"
"S002" "Otros traumatismos superficiales del prpado y de la regin periocular"
"S003" "Traumatismo superficial de la nariz"
"S004" "Traumatismo superficial del odo"
"S005" "Traumatismo superficial del labio y de la cavidad bucal"
"S007" "Traumatismos superficiales mltiples de la cabeza"
"S008" "Traumatismo superficial de otras partes de la cabeza"
"S009" "Traumatismo superficial de la cabeza, parte no especificada"
"S01" "Herida de la cabeza"
"S010" "Herida del cuero cabelludo"
"S011" "Herida del prpado y de la regin periocular"
"S012" "Herida de la nariz"
"S013" "Herida del odo"
"S014" "Herida de la mejilla y de la regin temporomandibular"
"S015" "Herida del labio y de la cavidad bucal"
"S017" "Heridas mltiples de la cabeza"
"S018" "Herida de otras partes de la cabeza"
"S019" "Herida de la cabeza, parte no especificada"
"S02" "Fractura de huesos del crneo y de la cara"
"S020" "Fractura de la bveda del crneo"
"S021" "Fractura de la base del crneo"
"S022" "Fractura de los huesos de la nariz"
"S023" "Fractura del suelo de la rbita"
"S024" "Fractura del malar y del hueso maxilar superior"
"S025" "Fractura de los dientes"
"S026" "Fractura del maxilar inferior"
"S027" "Fracturas mltiples que comprometen el crneo y los huesos de la cara"
"S028" "Fractura de otros huesos del crneo y de la cara"
"S029" "Fractura del crneo y de los huesos de la cara, parte no especificada"
"S03" "Luxacin, esguince y torcedura de articulaciones y de ligamentos de la cabeza"
"S030" "Luxacin del maxilar"
"S031" "Luxacin del cartlago septal de la nariz"
"S032" "Luxacin de diente"
"S033" "Luxacin de otras partes y de las no especificadas de la cabeza"
"S034" "Esguinces y torceduras del maxilar"
"S035" "Esguinces y torceduras de articulaciones y ligamentos de otras partes y las no especificadas de la cabeza"
"S04" "Traumatismo de nervios craneales"
"S040" "Traumatismo del nervio ptico [II par] y de las vas pticas"
"S041" "Traumatismo del nervio motor ocular comn [III par]"
"S042" "Traumatismo del nervio pattico [IV par]"
"S043" "Traumatismo del nervio trigmino [V par]"
"S044" "Traumatismo del nervio motor ocular externo [VI par]"
"S045" "Traumatismo del nervio facial [VII par]"
"S046" "Traumatismo del nervio acstico [VIII par]"
"S047" "Traumatismo del nervio espinal [XI par]"
"S048" "Traumatismo de otros nervios craneales"
"S049" "Traumatismo de nervios craneales, no especificado"
"S05" "Traumatismo del ojo y de la rbita"
"S050" "Traumatismo de la conjuntiva y abrasin corneal sin mencin de cuerpo extrao"
"S051" "Contusin del globo ocular y del tejido orbitario"
"S052" "Laceracin y ruptura ocular con prolapso o prdida del tejido intraocular"
"S053" "Laceracin ocular sin prolapso o prdida del tejido intraocular"
"S054" "Herida penetrante de la rbita con o sin cuerpo extrao"
"S055" "Herida penetrante del globo ocular con cuerpo extrao"
"S056" "Herida penetrante del globo ocular sin cuerpo extrao"
"S057" "Avulsin de ojo"
"S058" "Otros traumatismos del ojo y de la rbita"
"S059" "Traumatismo del ojo y de la rbita, no especificado"
"S06" "Traumatismo intracraneal"
"S060" "Concusin"
"S061" "Edema cerebral traumtico"
"S062" "Traumatismo cerebral difuso"
"S063" "Traumatismo cerebral focal"
"S064" "Hemorragia epidural"
"S065" "Hemorragia subdural traumtica"
"S066" "Hemorragia subaracnoidea traumtica"
"S067" "Traumatismo intracraneal con coma prolongado"
"S068" "Otros traumatismos intracraneales"
"S069" "Traumatismo intracraneal, no especificado"
"S07" "Traumatismo por aplastamiento de la cabeza"
"S070" "Traumatismo por aplastamiento de la cara"
"S071" "Traumatismo por aplastamiento del crneo"
"S078" "Traumatismo por aplastamiento de otras partes de la cabeza"
"S079" "Traumatismo por aplastamiento de la cabeza, parte no especificada"
"S08" "Amputacin traumtica de parte de la cabeza"
"S080" "Avulsin del cuero cabelludo"
"S081" "Amputacin traumtica de la oreja"
"S088" "Amputacin traumtica de otras partes de la cabeza"
"S089" "Amputacin traumtica de parte no especificada de la cabeza"
"S09" "Otros traumatismos y los no especificados de la cabeza"
"S090" "Traumatismo de los vasos sanguneos de la cabeza no clasificados en otra parte"
"S091" "Traumatismo de tendn y msculos de la cabeza"
"S092" "Ruptura traumtica del tmpano del odo"
"S097" "Traumatismos mltiples de la cabeza"
"S098" "Otros traumatismos de la cabeza, especificados"
"S099" "Traumatismo de la cabeza, no especificado"
"S10" "Traumatismo superficial del cuello"
"S100" "Contusin de la garganta"
"S101" "Otros traumatismos superficiales y los no especificados de la garganta"
"S107" "Traumatismo superficial mltiple del cuello"
"S108" "Traumatismo superficial de otras partes del cuello"
"S109" "Traumatismo superficial del cuello, parte no especificada"
"S11" "Herida del cuello"
"S110" "Herida que compromete la laringe y la trquea"
"S111" "Herida que compromete la glndula tiroides"
"S112" "Herida que compromete la faringe y el esfago cervical"
"S117" "Heridas mltiples del cuello"
"S118" "Heridas de otras partes del cuello"
"S119" "Herida de cuello, parte no especificada"
"S12" "Fractura del cuello"
"S120" "Fractura de la primera vrtebra cervical"
"S121" "Fractura de la segunda vrtebra cervical"
"S122" "Fractura de otras vrtebras cervicales especificadas"
"S127" "Fracturas mltiples de columna cervical"
"S128" "Fractura de otras partes del cuello"
"S129" "Fractura del cuello, parte no especificada"
"S13" "Luxacin, esguince y torcedura de articulaciones y ligamentos del cuello"
"S130" "Ruptura traumtica de disco cervical intervertebral"
"S131" "Luxacin de vrtebra cervical"
"S132" "Luxaciones de otras partes y de las no especificadas del cuello"
"S133" "Luxaciones mltiples del cuello"
"S134" "Esguinces y torceduras de la columna cervical"
"S135" "Esguinces y torceduras de la regin tiroidea"
"S136" "Esguinces y torceduras de articulaciones y ligamentos de otros sitios especificados y de los no especificados del cuello"
"S14" "Traumatismo de la mdula espinal y de nervios a nivel del cuello"
"S140" "Concusin y edema de la mdula espinal cervical"
"S141" "Otros traumatismos de la mdula espinal cervical y los no especificados"
"S142" "Traumatismo de raz nerviosa de columna cervical"
"S143" "Traumatismo del plexo braquial"
"S144" "Traumatismo de nervios perifricos del cuello"
"S145" "Traumatismo de nervios cervicales simpticos"
"S146" "Traumatismo de otros nervios y de los no especificados del cuello"
"S15" "Traumatismo de vasos sanguneos a nivel del cuello"
"S150" "Traumatismo de la arteria cartida"
"S151" "Traumatismo de la arteria vertebral"
"S152" "Traumatismo de la vena yugular externa"
"S153" "Traumatismo de la vena yugular interna"
"S157" "Traumatismo de mltiples vasos sanguneos a nivel del cuello"
"S158" "Traumatismo de otros vasos sanguneos a nivel del cuello"
"S159" "Traumatismo de vasos sanguneos no especificados a nivel del cuello"
"S16" "Traumatismo de tendn y msculos a nivel del cuello"
"S17" "Traumatismo por aplastamiento del cuello"
"S170" "Traumatismo por aplastamiento de la laringe y de la trquea"
"S178" "Traumatismo por aplastamiento de otras partes del cuello"
"S179" "Traumatismo por aplastamiento del cuello, parte no especificada"
"S18" "Amputacin traumtica a nivel del cuello"
"S19" "Otros traumatismos y los no especificados del cuello"
"S197" "Traumatismos mltiples del cuello"
"S198" "Otros traumatismos del cuello, especificados"
"S199" "Traumatismo del cuello, no especificado"
"S20" "Traumatismo superficial del trax"
"S200" "Contusin de la mama"
"S201" "Otros traumatismos superficiales y los no especificados de la mama"
"S202" "Contusin del trax"
"S203" "Otros traumatismos superficiales de la pared anterior del trax"
"S204" "Otros traumatismos superficiales de la pared posterior del trax"
"S207" "Traumatismos superficiales mltiples del trax"
"S208" "Traumatismo superficial de otras partes y de las no especificadas del trax"
"S21" "Herida del trax"
"S210" "Herida de la mama"
"S211" "Herida de la pared anterior del trax"
"S212" "Herida de la pared posterior del trax"
"S217" "Herida mltiple de la pared torcica"
"S218" "Herida de otras partes del trax"
"S219" "Herida del trax, parte no especificada"
"S22" "Fractura de las costillas, del esternn y de la columna torcica [dorsal]"
"S220" "Fractura de vrtebra torcica"
"S221" "Fracturas mltiples de columna torcica"
"S222" "Fractura del esternn"
"S223" "Fractura de costilla"
"S224" "Fracturas mltiples de costillas"
"S225" "Trax azotado"
"S228" "Fractura de otras partes del trax seo"
"S229" "Fractura del trax seo, parte no especificada"
"S23" "Luxacin, esguince y torcedura de articulaciones y ligamentos del trax"
"S230" "Ruptura traumtica de disco intervertebral torcico"
"S231" "Luxacin de vrtebra torcica"
"S232" "Luxacin de otras partes y de las no especificadas del trax"
"S233" "Esguinces y torceduras de columna torcica"
"S234" "Esguinces y torceduras de costillas y esternn"
"S235" "Esguinces y torceduras de otras partes y de las no especificadas del trax"
"S24" "Traumatismo de nervios y de la mdula espinal a nivel del trax"
"S240" "Concusin y edema de la mdula espinal torcica"
"S241" "Otros traumatismos y los no especificados de la mdula espinal torcica"
"S242" "Traumatismo de races nerviosas de la columna torcica"
"S243" "Traumatismo de nervios perifricos del trax"
"S244" "Traumatismo de nervios simpticos torcicos"
"S245" "Traumatismo de otros nervios del trax"
"S246" "Traumatismo de nervio no especificado del trax"
"S25" "Traumatismo de vasos sanguneos del trax"
"S250" "Traumatismo de la aorta torcica"
"S251" "Traumatismo de la arteria innominada o subclavia"
"S252" "Traumatismo de vena cava superior"
"S253" "Traumatismo de la vena innominada o subclavia"
"S254" "Traumatismo de vasos sanguneos pulmonares"
"S255" "Traumatismo de vasos sanguneos intercostales"
"S257" "Traumatismo de mltiples vasos sanguneos del trax"
"S258" "Traumatismo de otros vasos sanguneos del trax"
"S259" "Traumatismo de vasos sanguneos no especificados del trax"
"S26" "Traumatismo del corazn"
"S260" "Traumatismo del corazn con hemopericardio"
"S268" "Otros traumatismos del corazn"
"S269" "Traumatismo del corazn, no especificado"
"S27" "Traumatismo de otros rganos intratorcicos y de los no especificados"
"S270" "Neumotrax traumtico"
"S271" "Hemotrax traumtico"
"S272" "Hemoneumotrax traumtico"
"S273" "Otros traumatismos del pulmn"
"S274" "Traumatismo de los bronquios"
"S275" "Traumatismo de la trquea torcica"
"S276" "Traumatismo de la pleura"
"S277" "Traumatismos mltiples de rganos intratorcicos"
"S278" "Traumatismo de otros rganos intratorcicos, especificados"
"S279" "Traumatismo de rgano intratorcico, no especificado"
"S28" "Traumatismo por aplastamiento del trax y amputacin traumtica de parte del trax"
"S280" "Aplastamiento del trax"
"S281" "Amputacin traumtica de parte del trax"
"S29" "Otros traumatismos y los no especificados del trax"
"S290" "Traumatismo de tendn y msculos a nivel del trax"
"S297" "Traumatismos mltiples del trax"
"S298" "Otros traumatismos del trax, especificados"
"S299" "Traumatismo del trax, no especificado"
"S30" "Traumatismo superficial del abdomen, de la regin lumbosacra y de la pelvis"
"S300" "Contusin de la regin lumbosacra y de la pelvis"
"S301" "Contusin de la pared abdominal"
"S302" "Contusin de rganos genitales externos"
"S307" "Traumatismos superficiales mltiples del abdomen, de la regin lumbosacra y de la pelvis"
"S308" "Otros traumatismos superficiales del abdomen, de la regin lumbosacra y de la pelvis"
"S309" "Traumatismo superficial del abdomen, de la regin lumbosacra y de la pelvis, parte no especificada"
"S31" "Herida del abdomen, de la regin lumbosacra y de la pelvis"
"S310" "Herida de la regin lumbosacra y de la pelvis"
"S311" "Herida de la pared abdominal"
"S312" "Herida del pene"
"S313" "Herida del escroto y de los testculos"
"S314" "Herida de la vagina y de la vulva"
"S315" "Herida de otros rganos genitales externos y de los no especificados"
"S317" "Heridas mltiples del abdomen, de la regin lumbosacra y de la pelvis"
"S318" "Heridas de otras partes y de las no especificadas del abdomen"
"S32" "Fractura de la columna lumbar y de la pelvis"
"S320" "Fractura de vrtebra lumbar"
"S321" "Fractura del sacro"
"S322" "Fractura del cccix"
"S323" "Fractura del hueso iliaco"
"S324" "Fractura del acetbulo"
"S325" "Fractura del pubis"
"S327" "Fracturas mltiples de la columna lumbar y de la pelvis"
"S328" "Fractura de otras partes y de las no especificadas de la columna lumbar y de la pelvis"
"S33" "Luxacin, esguince y torcedura de articulaciones y ligamentos de la columna lumbar y de la pelvis"
"S330" "Ruptura traumtica de disco intervertebral lumbar"
"S331" "Luxacin de vrtebra lumbar"
"S332" "Luxacin de articulacin sacrococcgea y sacroiliaca"
"S333" "Luxacin de otras partes y de las no especificadas de la columna lumbar y de la pelvis"
"S334" "Ruptura traumtica de la snfisis del pubis"
"S335" "Esguinces y torceduras de la columna lumbar"
"S336" "Esguinces y torceduras de la articulacin sacroiliaca"
"S337" "Esguinces y torceduras de otras partes y de la no especificadas de la columna lumbar y de la pelvis"
"S34" "Traumatismo de los nervios y de la mdula espinal lumbar, a nivel del abdomen, de la regin lumbosacra y de la pelvis"
"S340" "Concusin y edema de la mdula espinal lumbar"
"S341" "Otro traumatismo de la mdula espinal lumbar"
"S342" "Traumatismo de raz nerviosa de la columna lumbar y sacra"
"S343" "Traumatismo de la cola de caballo"
"S344" "Traumatismo del plexo lumbosacro"
"S345" "Traumatismo de nervios(s) simptico(s) lumbar(es),sacro(s) y plvico(s)"
"S346" "Traumatismo de nervio(s) perifrico(s) del abdomen, de la regin lumbosacra y de la pelvis"
"S348" "Traumatismo de otros nervios a nivel del abdomen, de la regin lumbosacra y de la pelvis y de los no especificados"
"S35" "Traumatismo de vasos sanguneos a nivel del abdomen, de la regin lumbosacra y de la pelvis"
"S350" "Traumatismo de la aorta abdominal"
"S351" "Traumatismo de la vena cava inferior"
"S352" "Traumatismo de arterias celacas y mesentricas"
"S353" "Traumatismo de venas porta y esplnica"
"S354" "Traumatismo de vasos sanguneos renales"
"S355" "Traumatismo de vasos sanguneos iliacos"
"S357" "Traumatismo de mltiples vasos sanguneos a nivel del abdomen, de la regin lumbosacra y de la pelvis"
"S358" "Traumatismo de otros vasos sanguneos a nivel del abdomen, de la regin lumbosacra y de la pelvis"
"S359" "Traumatismo de vasos sanguneos no especificados a nivel del abdomen, de la regin lumbosacra y de la pelvis"
"S36" "Traumatismo de rganos intraabdominales"
"S360" "Traumatismo del bazo"
"S361" "Traumatismo del hgado y de la vescula biliar"
"S362" "Traumatismo del pncreas"
"S363" "Traumatismo del estmago"
"S364" "Traumatismo del intestino delgado"
"S365" "Traumatismo del colon"
"S366" "Traumatismo del recto"
"S367" "Traumatismo de mltiples rganos intraabdominales"
"S368" "Traumatismo de otros rganos intraabdominales"
"S369" "Traumatismo de rgano intraabdominal no especificado"
"S37" "Traumatismo del aparato urinario y de los rganos plvicos"
"S370" "Traumatismo del rin"
"S371" "Traumatismo del urter"
"S372" "Traumatismo de la vejiga"
"S373" "Traumatismo de la uretra"
"S374" "Traumatismo del ovario"
"S375" "Traumatismo de la trompa de Falopio"
"S376" "Traumatismo del tero"
"S377" "Traumatismo de mltiples rganos plvicos"
"S378" "Traumatismo de otros rganos plvicos"
"S379" "Traumatismo de rgano plvico no especificado"
"S38" "Traumatismo por aplastamiento y amputacin traumtica de parte del abdomen, de la regin lumbosacra y de la pelvis"
"S380" "Traumatismo por aplastamiento de rganos genitales externos"
"S381" "Traumatismo por aplastamiento de otras partes y de las no especificadas del abdomen, de la regin lumbosacra y de la pelvis"
"S382" "Amputacin traumtica de rganos genitales externos"
"S383" "Amputacin traumtica de otras partes y de las no especificadas del abdomen, regin lumbosacra y pelvis"
"S39" "Otros traumatismos y los no especificados del abdomen, de la regin lumbosacra y de la pelvis"
"S390" "Traumatismo de tendn y de msculos del abdomen, de la regin lumbosacra y de la pelvis"
"S396" "Traumatismo de rgano(s) intraabdominal(es) con rgano(s) plvico(s)"
"S397" "Otros traumatismos mltiples del abdomen, de la regin lumbosacra y de la pelvis"
"S398" "Otros traumatismos especificados del abdomen, de la regin lumbosacra y de la pelvis"
"S399" "Traumatismo no especificado del abdomen, de la regin lumbosacra y de la pelvis"
"S40" "Traumatismo superificial del hombro y del brazo"
"S400" "Contusin del hombro y del brazo"
"S407" "Traumatismos superficiales mltiples del hombro y del brazo"
"S408" "Otros traumatismos superficiales del hombro y del brazo"
"S409" "Traumatismo superficial no especificado del hombro y del brazo"
"S41" "Herida del hombro y del brazo"
"S410" "Herida del hombro"
"S411" "Herida del brazo"
"S417" "Heridas mltiples del hombro y del brazo"
"S418" "Herida de otras partes y de las no especificadas del hombro y del brazo"
"S42" "Fractura del hombro y del brazo"
"S420" "Fractura de la clavcula"
"S421" "Fractura del omplato"
"S422" "Fractura de la epfisis superior del hmero"
"S423" "Fractura de la difisis del hmero"
"S424" "Fractura de la epfisis inferior del hmero"
"S427" "Fracturas mltiples de la clavcula, del omplato y del hmero"
"S428" "Fractura de otras partes del hombro y del brazo"
"S429" "Fractura del hombro y del brazo, parte no especificada"
"S43" "Luxacin, esguince y torcedura de articulaciones y ligamentos de la cintura escapular"
"S430" "Luxacin de la articulacin del hombro"
"S431" "Luxacin de la articulacin acromioclavicular"
"S432" "Luxacin de la articulacin esternoclavicular"
"S433" "Luxacin de otras partes de la cintura escapular y de las no especificadas"
"S434" "Esguinces y torceduras de la articulacin del hombro"
"S435" "Esguinces y torceduras de la articulacin acromioclavicular"
"S436" "Esguinces y torceduras de la articulacin esternoclavicular"
"S437" "Esguinces y torceduras de otras partes y de las no especificadas de la cintura escapular"
"S44" "Traumatismo de nervios a nivel del hombro y del brazo"
"S440" "Traumatismo del nervio cubital a nivel del brazo"
"S441" "Traumatismo del nervio mediano a nivel del brazo"
"S442" "Traumatismo del nervio radial a nivel del brazo"
"S443" "Traumatismo del nervio axilar"
"S444" "Traumatismo del nervio musculocutneo"
"S445" "Traumatismo del nervio sensitivo cutneo a nivel del hombro y del brazo"
"S447" "Traumatismo de mltiples nervios a nivel del hombro y del brazo"
"S448" "Traumatismo de otros nervios a nivel del hombro y del brazo"
"S449" "Traumatismo de nervio no especificado a nivel del hombro y del brazo"
"S45" "Traumatismo de vasos sanguneos a nivel del hombro y del brazo"
"S450" "Traumatismo de la arteria axilar"
"S451" "Traumatismo de la arteria braquial"
"S452" "Traumatismo de la vena axilar o braquial"
"S453" "Traumatismo de vena superficial a nivel del hombro y del brazo"
"S457" "Traumatismo de mltiples vasos sanguneos a nivel del hombro y del brazo"
"S458" "Traumatismo de otros vasos sanguneos a nivel del hombro y del brazo"
"S459" "Traumatismo de vaso sanguneo no especificado a nivel del hombro y del brazo"
"S46" "Traumatismo de tendn y msculo a nivel del hombro y del brazo"
"S460" "Traumatismo del tendn del manguito rotatorio del hombro"
"S461" "Traumatismo del tendn y msculo de la cabeza larga del bceps"
"S462" "Traumatismo del tendn y msculo de otras partes del bceps"
"S463" "Traumatismo del tendn y msculo del trceps"
"S467" "Traumatismo de mltiples tendones y msculos a nivel del hombro y del brazo"
"S468" "Traumatismo de otros tendones y msculos a nivel del hombro y del brazo"
"S469" "Traumatismo de tendn y msculo no especificado, a nivel del hombro y del brazo"
"S47" "Traumatismo por aplastamiento del hombro y del brazo"
"S48" "Amputacin traumtica del hombro y del brazo"
"S480" "Amputacin traumtica en la articulacin del hombro"
"S481" "Amputacin traumtica a nivel entre el hombro y el codo"
"S489" "Amputacin traumtica del hombro y del brazo, nivel no especificado"
"S49" "Otros traumatismos y los no especificados del hombro y del brazo"
"S497" "Traumatismos mltiples del hombro y del brazo"
"S498" "Otros traumatismos especificados del hombro y del brazo"
"S499" "Traumatismos no especificados del hombro y del brazo"
"S50" "Traumatismo superficial del antebrazo y del codo"
"S500" "Contusin del codo"
"S501" "Contusin de otras partes del antebrazo y de las no especificadas"
"S507" "Traumatismos superficiales mltiples del antebrazo"
"S508" "Otros traumatismos superficiales del antebrazo"
"S509" "Traumatismo superficial del antebrazo, no especificado"
"S51" "Herida del antebrazo y del codo"
"S510" "Herida del codo"
"S517" "Heridas mltiples del antebrazo"
"S518" "Herida de otras partes del antebrazo"
"S519" "Herida del antebrazo, parte no especificada"
"S52" "Fractura del antebrazo"
"S520" "Fractura de la epfisis superior del cbito"
"S521" "Fractura de la epfisis superior del radio"
"S522" "Fractura de la difisis del cbito"
"S523" "Fractura de la difisis del radio"
"S524" "Fractura de la difisis del cbito y del radio"
"S525" "Fractura de la epfisis inferior del radio"
"S526" "Fractura de la epfisis inferior del cbito y del radio"
"S527" "Fracturas mltiples del antebrazo"
"S528" "Fractura de otras partes del antebrazo"
"S529" "Fractura del antebrazo, parte no especificada"
"S53" "Luxacin, esguince y torcedura de articulaciones y ligamentos del codo"
"S530" "Luxacin de la cabeza del radio"
"S531" "Luxacin del codo, no especificada"
"S532" "Ruptura traumtica del ligamento lateral del radio"
"S533" "Ruptura traumtica del ligamento lateral del cbito"
"S534" "Esguinces y torceduras del codo"
"S54" "Traumatismo de nervios a nivel del antebrazo"
"S540" "Traumatismo del nervio cubital a nivel del antebrazo"
"S541" "Traumatismo del nervio mediano a nivel del antebrazo"
"S542" "Traumatismo del nervio radial a nivel del antebrazo"
"S543" "Traumatismo del nervio sensorial cutneo a nivel del antebrazo"
"S547" "Traumatismo de mltiples nervios a nivel del antebrazo"
"S548" "Traumatismo de otros nervios a nivel del antebrazo"
"S549" "Traumatismo de nervio no especificado a nivel del antebrazo"
"S55" "Traumatismo de los vasos sanguneos a nivel del antebrazo"
"S550" "Traumatismo de la arteria cubital a nivel del antebrazo"
"S551" "Traumatismo de la arteria radial a nivel del antebrazo"
"S552" "Traumatismo de vena a nivel del antebrazo"
"S557" "Traumatismo de mltiples vasos sanguneos a nivel del antebrazo"
"S558" "Traumatismo de otros vasos sanguneos a nivel del antebrazo"
"S559" "Traumatismo de vaso sanguneo no especificado a nivel del antebrazo"
"S56" "Traumatismo de tendn y msculo a nivel del antebrazo"
"S560" "Traumatismo del tendn y msculo flexor del pulgar a nivel del antebrazo"
"S561" "Traumatismo del tendn y msculo flexor de otro(s) dedo(s) a nivel del antebrazo"
"S562" "Traumatismo de otro tendn y msculo flexor a nivel del antebrazo"
"S563" "Traumatismo de tendones y msculos abductores y extensores del pulgar a nivel del antebrazo"
"S564" "Traumatismo del tendn y msculo extensor de otro(s) dedo(s) a nivel del antebrazo"
"S565" "Traumatismo de otro tendn y msculo extensor a nivel del antebrazo"
"S567" "Traumatismo de mltiples tendones y msculos a nivel del antebrazo"
"S568" "Traumatismo de otros tendones y msculos y de los no especificados, a nivel del antebrazo"
"S57" "Traumatismo por aplastamiento del antebrazo"
"S570" "Traumatismo por aplastamiento del codo"
"S578" "Traumatismo por aplastamiento de otras partes del antebrazo"
"S579" "Traumatismo por aplastamiento del antebrazo, parte no especificada"
"S58" "Amputacin traumtica del antebrazo"
"S580" "Amputacin traumtica a nivel del codo"
"S581" "Amputacin traumtica nivel entre el codo y la mueca"
"S589" "Amputacin traumtica del antebrazo, nivel no especificado"
"S59" "Otros traumatismos y los no especificados del antebrazo"
"S597" "Otros Traumatismos mltiples del antebrazo"
"S598" "Otros traumatismos especificados del antebrazo"
"S599" "Traumatismo no especificado del antebrazo"
"S60" "Traumatismo superficial de la mueca y de la mano"
"S600" "Contusin de dedo(s) de la mano, sin dao de la(s) ua(s)"
"S601" "Contusin de dedo(s) de la mano con dao de la(s) ua(s)"
"S602" "Contusin de otras partes de la mueca y de la mano"
"S607" "Traumatismos superficiales mltiples de la mueca y de la mano"
"S608" "Otros traumatismos superficiales de la mueca y de la mano"
"S609" "Traumatismo superficial de la mueca y de la mano, no especificado"
"S61" "Herida de la mueca y de la mano"
"S610" "Herida de dedo(s) de la mano, sin dao de la(s) ua(s)"
"S611" "Herida de dedo(s) de la mano, con dao de la(s) ua(s)"
"S617" "Heridas mltiples de la mueca y de la mano"
"S618" "Herida de otras partes de la mueca y de la mano"
"S619" "Herida de la mueca y de la mano, parte no especificada"
"S62" "Fractura a nivel de la mueca y de la mano"
"S620" "Fractura del hueso escafoides [navicular] de la mano"
"S621" "Fractura de otro(s) hueso(s) del carpo"
"S622" "Fractura del primer metacarpiano"
"S623" "Fractura de otros huesos metacarpianos"
"S624" "Fracturas mltiples de huesos metacarpianos"
"S625" "Fractura del pulgar"
"S626" "Fractura de otro dedo de la mano"
"S627" "Fracturas mltiples de los dedos de la mano"
"S628" "Fractura de otras partes y de las no especificadas de la mueca y de la mano"
"S63" "Luxacin, esguince y torcedura de articulaciones y ligamentos a nivel de la mueca y de la mano"
"S630" "Luxacin de la mueca"
"S631" "Luxacin de dedos de la mano"
"S632" "Luxaciones mltiples de dedos de la mano"
"S633" "Ruptura traumtica de ligamentos de la mueca y del carpo"
"S634" "Ruptura traumtica de ligamentos del dedo de la mano en la(s) articulacin(es) metacarpofalngica e interfalngica"
"S635" "Esguince y torcedura de la mueca"
"S636" "Esguinces y torceduras de dedo(s) de la mano"
"S637" "Esguinces y torceduras de otras partes y de las no especificadas de la mueca y de la mano"
"S64" "Traumatismo de nervios a nivel de la mueca y de la mano"
"S640" "Traumatismo del nervio cubital a nivel de la mueca y de la mano"
"S641" "Traumatismo del nervio mediano a nivel de la mueca y de la mano"
"S642" "Traumatismo del nervio radial a nivel de la mueca y de la mano"
"S643" "Traumatismo del nervio digital del pulgar"
"S644" "Traumatismo del nervio digital de otro dedo"
"S647" "Traumatismo de mltiples nervios a nivel de la mueca y de la mano"
"S648" "Traumatismo de otros nervios a nivel de la mueca y de la mano"
"S649" "Traumatismo de nervio no especificado a nivel de la mueca y de la mano"
"S65" "Traumatismo de vasos sanguneos a nivel de la mueca y de la mano"
"S650" "Traumatismo de la arteria cubital a nivel de la mueca y de la mano"
"S651" "Traumatismo de la arteria radial a nivel de la mueca y de la mano"
"S652" "Traumatismo del arco palmar superficial"
"S653" "Traumatismo del arco palmar profundo"
"S654" "Traumatismo de vaso(s) sanguneo(s) del pulgar"
"S655" "Traumatismo de vaso(s) sanguneo(s) de otro dedo"
"S657" "Traumatismo de mltiples vasos sanguneos a nivel de la mueca y de la mano"
"S658" "Traumatismo de otros vasos sanguneos a nivel de la mueca y de la mano"
"S659" "Traumatismo de vaso sanguneo no especificado, a nivel de la mueca y de la mano"
"S66" "Traumatismo de tendn y msculo a nivel de la mueca y de la mano"
"S660" "Traumatismo del tendn y msculo flexor largo del pulgar a nivel de la mueca y de la mano"
"S661" "Traumatismo del tendn y msculo flexor de otro dedo a nivel de la mueca y de la mano"
"S662" "Traumatismo del tendn y msculo extensor del pulgar a nivel de la mueca y de la mano"
"S663" "Traumatismo del tendn y msculo extensor de otro(s) dedo(s) a nivel de la mueca y de la mano"
"S664" "Traumatismo del msculo y tendn intrnseco del pulgar a nivel de la mueca y de la mano"
"S665" "Traumatismo del msculo y tendn intrnseco de otro(s) dedo(s) a nivel de la mueca y de la mano"
"S666" "Traumatismo de mltiples tendones y msculos flexores a nivel de la mueca y de la mano"
"S667" "Traumatismo de mltiples tendones y msculos extensores a nivel de la mueca y de la mano"
"S668" "Traumatismo de otros tendones y msculos a nivel de la mueca y de la mano"
"S669" "Traumatismo de tendn y msculo no especificado, a nivel de la mueca y de la mano"
"S67" "Traumatismo por aplastamiento de la mueca y de la mano"
"S670" "Traumatismo por aplastamiento del pulgar y otro(s) dedo(s)"
"S678" "Traumatismo por aplastamiento de otras partes y de las no especificadas de la mueca y de la mano"
"S68" "Amputacin traumtica de la mueca y de la mano"
"S680" "Amputacin traumtica del pulgar (completa) (parcial)"
"S681" "Amputacin traumtica de otro dedo nico (completa) (parcial)"
"S682" "Amputacin traumtica de dos o ms dedos solamente (completa) (parcial)"
"S683" "Amputacin traumtica combinada (de parte) de dedo(s) con otras partes de la mueca y de la mano"
"S684" "Amputacin traumtica de la mano a nivel de la mueca"
"S688" "Amputacin traumtica de otras partes de la mueca y de la mano"
"S689" "Amputacin traumtica de la mueca y de la mano, nivel no especificado"
"S69" "Otros traumatismos y los no especificados de la mueca y de la mano"
"S697" "Otros traumatismos mltiples de la mueca y de la mano"
"S698" "Otros traumatismos especificados de la mueca y de la mano"
"S699" "Traumatismo no especificado de la mueca y de la mano"
"S70" "Traumatismo superficial de la cadera y del muslo"
"S700" "Contusin de la cadera"
"S701" "Contusin del muslo"
"S707" "Traumatismos superficiales mltiples de la cadera y del muslo"
"S708" "Otros traumatismos superficiales de la cadera y del muslo"
"S709" "Traumatismo superficial de la cadera y del muslo, no especificado"
"S71" "Herida de la cadera y del muslo"
"S710" "Herida de la cadera"
"S711" "Herida del muslo"
"S717" "Heridas mltiples de la cadera y del muslo"
"S718" "Herida de otras partes y de las no especificadas de la cintura plvica"
"S72" "Fractura del fmur"
"S720" "Fractura del cuello de fmur"
"S721" "Fractura pertrocanteriana"
"S722" "Fractura subtrocanteriana"
"S723" "Fractura de la difisis del fmur"
"S724" "Fractura de la epfisis inferior del fmur"
"S727" "Fracturas mltiples del fmur"
"S728" "Fracturas de otras partes del fmur"
"S729" "Fractura del fmur, parte no especificada"
"S73" "Luxacin, esguince y torcedura de la articulacin y de los ligamentos de la cadera"
"S730" "Luxacin de la cadera"
"S731" "Esguinces y torceduras de la cadera"
"S74" "Traumatismo de nervios a nivel de la cadera y del muslo"
"S740" "Traumatismo del nervio citico a nivel de la cadera y del muslo"
"S741" "Traumatismo del nervio femorocutneo a nivel de la cadera y del muslo"
"S742" "Traumatismo del nervio sensorial cutneo a nivel de la cadera y del muslo"
"S747" "Traumatismo de nervios mltiples a nivel de la cadera y del muslo"
"S748" "Traumatismo de otros nervios a nivel de la cadera y del muslo"
"S749" "Traumatismo de nervio no especificado a nivel de la cadera y del muslo"
"S75" "Traumatismo de vasos sanguneos a nivel de la cadera y del muslo"
"S750" "Traumatismo de la arteria femoral"
"S751" "Traumatismo de la vena femoral a nivel de la cadera y del muslo"
"S752" "Traumatismo de la gran vena safena a nivel de la cadera y del muslo"
"S757" "Traumatismo de mltiples vasos sanguneos a nivel de la cadera y del muslo"
"S758" "Traumatismo de otros vasos sanguneos a nivel de la cadera y del muslo"
"S759" "Traumatismo de vaso sanguneo no especificado a nivel de la cadera y del muslo"
"S76" "Traumatismo de tendn y msculo a nivel de la cadera y del muslo"
"S760" "Traumatismo del tendn y msculo de la cadera"
"S761" "Traumatismo del tendn y msculo cudriceps"
"S762" "Traumatismo del tendn y msculo aductor mayor del muslo"
"S763" "Traumatismo de tendn y msculo del grupo muscular posterior a nivel del muslo"
"S764" "Traumatismo de otros tendones y msculos y los no especificados a nivel del muslo"
"S767" "Traumatismo de mltiples tendones y msculos a nivel de la cadera y del muslo"
"S77" "Traumatismo por aplastamiento de la cadera y del muslo"
"S770" "Traumatismo por aplastamiento de la cadera"
"S771" "Traumatismo por aplastamiento del muslo"
"S772" "Traumatismo por aplastamiento de la cadera con el muslo"
"S78" "Amputacin traumtica de la cadera y del muslo"
"S780" "Amputacin traumtica de la articulacin de la cadera"
"S781" "Amputacin traumtica en algn nivel entre la cadera y la rodilla"
"S789" "Amputacin traumtica de cadera y muslo, nivel no especificado"
"S79" "Otros traumatismos y los no especificados de la cadera y del muslo"
"S797" "Traumatismos mltiples de la cadera y del muslo"
"S798" "Otros traumatismos especificados de la cadera y del muslo"
"S799" "Traumatismo no especificado de la cadera y del muslo"
"S80" "Traumatismo superficial de la pierna"
"S800" "Contusin de la rodilla"
"S801" "Contusin de otras partes y las no especificadas de la pierna"
"S807" "Traumatismos superficiales mltiples de la pierna"
"S808" "Otros traumatismos superficiales de la pierna"
"S809" "Traumatismo superficial de la pierna, no especificado"
"S81" "Herida de la pierna"
"S810" "Herida de la rodilla"
"S817" "Heridas mltiples de la pierna"
"S818" "Herida de otras partes de la pierna"
"S819" "Herida de la pierna, parte no especificada"
"S82" "Fractura de la pierna, inclusive del tobillo"
"S820" "Fractura de la rtula"
"S821" "Fractura de la epfisis superior de la tibia"
"S822" "Fractura de la difisis de la tibia"
"S823" "Fractura de la epfisis inferior de la tibia"
"S824" "Fractura del peron solamente"
"S825" "Fractura del malolo interno"
"S826" "Fractura del malolo externo"
"S827" "Fracturas mltiples de la pierna"
"S828" "Fractura de otras partes de la pierna"
"S829" "Fractura de la pierna, parte no especificada"
"S83" "Luxacin, esguince y torcedura de articulaciones y ligamentos de la rodilla"
"S830" "Luxacin de la rtula"
"S831" "Luxacin de la rodilla"
"S832" "Desgarro de meniscos, presente"
"S833" "Desgarro del cartlago articular de la rodilla, presente"
"S834" "Esguinces y torceduras que comprometen los ligamentos laterales (externo) (interno) de la rodilla"
"S835" "Esguinces y torceduras que comprometen el ligamento cruzado (anterior) (posterior) de la rodilla"
"S836" "Esguinces y torceduras de otras partes y las no especificadas de la rodilla"
"S837" "Traumatismo de estructuras mltiples de la rodilla"
"S84" "Traumatismo de nervios a nivel de la pierna"
"S840" "Traumatismo del nervio tibial a nivel de la pierna"
"S841" "Traumatismo del nervio peroneo a nivel de la pierna"
"S842" "Traumatismo del nervio sensorial cutneo a nivel de la pierna"
"S847" "Traumatismo de nervios mltiples a nivel de la pierna"
"S848" "Traumatismo de otros nervios a nivel de la pierna"
"S849" "Traumatismo de nervio no especificado a nivel de la pierna"
"S85" "Traumatismo de vasos sanguneos a nivel de la pierna"
"S850" "Traumatismo de la arteria popltea"
"S851" "Traumatismo de la arteria tibial (anterior) (posterior)"
"S852" "Traumatismo de la arteria peronea"
"S853" "Traumatismo de la gran vena safena a nivel de la pierna"
"S854" "Traumatismo de la vena safena externa a nivel de la pierna"
"S855" "Traumatismo de la vena popltea"
"S857" "Traumatismo de vasos sanguneos mltiples a nivel de la pierna"
"S858" "Traumatismo de otros vasos sanguneos a nivel de la pierna"
"S859" "Traumatismo de vaso sanguneo no especificado a nivel de la pierna"
"S86" "Traumatismo de tendn y msculo a nivel de la pierna"
"S860" "Traumatismo del tendn de Aquiles"
"S861" "Traumatismo de otro(s) tendn(es) y msculo(s) del grupo muscular posterior a nivel de la pierna"
"S862" "Traumatismo de tendn(es) y msculo(s) del grupo muscular anterior a nivel de la pierna"
"S863" "Traumatismo de tendn(es) y msculo(s) del grupo muscular peroneo a nivel de la pierna"
"S867" "Traumatismo de mltiples tendones y msculos a nivel de la pierna"
"S868" "Traumatismo de otros tendones y msculos a nivel de la pierna"
"S869" "Traumatismo de tendn y msculo no especificado a nivel de la pierna"
"S87" "Traumatismo por aplastamiento de la pierna"
"S870" "Traumatismo por aplastamiento de la rodilla"
"S878" "Traumatismo por aplastamiento de otras partes y de las no especificadas de la pierna"
"S88" "Amputacin traumtica de la pierna"
"S880" "Amputacin traumtica a nivel de la rodilla"
"S881" "Amputacin traumtica en algn nivel entre la rodilla y el tobillo"
"S889" "Amputacin traumtica de la pierna, nivel no especificado"
"S89" "Otros traumatismos y los no especificados de la pierna"
"S897" "Traumatismos mltiples de la pierna"
"S898" "Otros traumatismos de la pierna, especificados"
"S899" "Traumatismo de la pierna, no especificado"
"S90" "Traumatismo superficial del tobillo y del pie"
"S900" "Contusin del tobillo"
"S901" "Contusin de dedo(s) del pie sin dao de la(s) ua(s)"
"S902" "Contusin de dedo(s) del pie con dao de la(s) ua(s)"
"S903" "Contusin de otras partes y de las no especificadas del pie"
"S907" "Traumatismos superficiales mltiples del pie y del tobillo"
"S908" "Otros traumatismos superficiales del pie y del tobillo"
"S909" "Traumatismo superficial del pie y del tobillo, no especificado"
"S91" "Herida del tobillo y del pie"
"S910" "Herida del tobillo"
"S911" "Herida de dedo(s) del pie sin dao(s) de la(s) ua(s)"
"S912" "Herida de dedo(s) del pie con dao(s) de la(s) ua(s)"
"S913" "Herida de otras partes del pie"
"S917" "Heridas mltiples del tobillo y del pie"
"S92" "Fractura del pie, excepto del tobillo"
"S920" "Fractura del calcneo"
"S921" "Fractura del astrgalo"
"S922" "Fractura de otro(s) hueso(s) del tarso"
"S923" "Fractura de hueso del metatarso"
"S924" "Fractura de los huesos del dedo gordo del pie"
"S925" "Fractura de los huesos de otro(s) dedo(s) del pie"
"S927" "Fracturas mltiples del pie"
"S929" "Fractura del pie, no especificada"
"S93" "Luxacin, esguince y torcedura de articulaciones y ligamentos del tobillo y del pie"
"S930" "Luxacin de la articulacin del tobillo"
"S931" "Luxacin de dedo(s) del pie"
"S932" "Ruptura de ligamentos a nivel del tobillo y del pie"
"S933" "Luxacin de otros sitios y los no especificados del pie"
"S934" "Esguinces y torceduras del tobillo"
"S935" "Esguinces y torceduras de dedo(s) del pie"
"S936" "Esguinces y torceduras de otros sitios y los no especificados del pie"
"S94" "Traumatismo de nervios a nivel del pie y del tobillo"
"S940" "Traumatismo del nervio plantar externo"
"S941" "Traumatismo del nervio plantar interno"
"S942" "Traumatismo del nervio peroneal profundo a nivel del pie y del tobillo"
"S943" "Traumatismo de nervio sensorial cutneo a nivel del pie y del tobillo"
"S947" "Traumatismo de mltiples nervios a nivel del pie y del tobillo"
"S948" "Traumatismo de otros nervios a nivel del pie y del tobillo"
"S949" "Traumatismo de nervio no especificado a nivel del pie y del tobillo"
"S95" "Traumatismo de vasos sanguneos a nivel del pie y del tobillo"
"S950" "Traumatismo de la arteria dorsal del pie"
"S951" "Traumatismo de la arteria plantar del pie"
"S952" "Traumatismo de la vena dorsal del pie"
"S957" "Traumatismo de mltiples vasos sanguneos a nivel del pie y del tobillo"
"S958" "Traumatismo de otros vasos sanguneos a nivel del pie y del tobillo"
"S959" "Traumatismo de vaso sanguneo no especificado a nivel de pie y del tobillo"
"S96" "Traumatismo de tendn y msculo a nivel del pie y del tobillo"
"S960" "Traumatismo del tendn y msculo del flexor largo del dedo a nivel del pie y del tobillo"
"S961" "Traumatismo del tendn y msculo del extensor largo del (de los) dedo(s) a nivel del pie y del tobillo"
"S962" "Traumatismo de tendones y msculos intrnsecos a nivel del pie y del tobillo"
"S967" "Traumatismo de mltiples tendones y msculos a nivel del pie y del tobillo"
"S968" "Traumatismo de otros tendones y msculos a nivel del pie y del tobillo"
"S969" "Traumatismo de tendones y msculos no especificados a nivel del pie y del tobillo"
"S97" "Traumatismo por aplastamiento del pie y del tobillo"
"S970" "Traumatismo por aplastamiento del tobillo"
"S971" "Traumatismo por aplastamiento de dedo(s) del pie"
"S978" "Traumatismo por aplastamiento de otras partes del pie y del tobillo"
"S98" "Amputacin traumtica del pie y del tobillo"
"S980" "Amputacin traumtica del pie a nivel del tobillo"
"S981" "Amputacin traumtica de un dedo del pie"
"S982" "Amputacin traumtica de dos a ms dedos del pie"
"S983" "Amputacin traumtica de otras partes del pie"
"S984" "Amputacin del pie, nivel no especificado"
"S99" "Otros traumatismos y los no especificados del pie y del tobillo"
"S997" "Otros traumatismos mltiples del pie y del tobillo"
"S998" "Otros traumatismos del pie y del tobillo, especificados"
"S999" "Traumatismo del pie y del tobillo, no especificado"
"T00" "Traumatismos superficiales que afectan mltiples regiones del cuerpo"
"T000" "Traumatismos superficiales que afectan la cabeza con el cuello"
"T001" "Traumatismos superficiales que afectan el trax con el abdomen, la regin lumbosacra y la pelvis"
"T002" "Traumatismos superficiales que afectan mltiples regiones del(os) miembro(s) superior(es)"
"T003" "Traumatismos superficiales que afectan mltiples regiones del(de los) miembro(s) inferior(es)"
"T006" "Traumatismos superficiales que afectan mltiples regiones del (de los) miembro(s) superior(es) con miembro(s) inferior(es)"
"T008" "Traumatismos superficiales que afectan otras combinaciones de regiones del cuerpo"
"T009" "Traumatismos superficiales mltiples, no especificados"
"T01" "Heridas que afectan mltiples regiones del cuerpo"
"T010" "Heridas que afectan la cabeza con el cuello"
"T011" "Heridas que afectan el trax con el abdomen, la regin lumbosacra y la pelvis"
"T012" "Heridas que afectan mltiples regiones del (de los) miembro(s) superior(es)"
"T013" "Heridas que afectan mltiples regiones del (de los) miembro(s) inferior(es)"
"T016" "Heridas que afectan mltiples regiones del (de los) miembro(s) superior(es) con miembro(s) inferior(es)"
"T018" "Heridas que afectan otras combinaciones de las regiones del cuerpo"
"T019" "Heridas mltiples, no especificadas"
"T02" "Fracturas que afectan mltiples regiones del cuerpo"
"T020" "Fracturas que afectan la cabeza con el cuello"
"T021" "Fracturas que afectan el trax con la regin lumbosacra y la pelvis"
"T022" "Fracturas que afectan mltiples regiones de un miembro superior"
"T023" "Fracturas que afectan mltiples regiones de un miembro inferior"
"T024" "Fracturas que afectan mltiples regiones de ambos miembros superiores"
"T025" "Fracturas que afectan mltiples regiones de ambos miembros inferiores"
"T026" "Fracturas que afectan mltiples regiones de miembro(s) superior(es) con miembro(s) inferior(es)"
"T027" "Fracturas que afectan el trax con la regin lumbosacra y la pelvis con miembro(s)"
"T028" "Fracturas que afectan otras combinaciones de las regiones del cuerpo"
"T029" "Fracturas mltiples, no especificadas"
"T03" "Luxaciones, torceduras y esguinces que afectan mltiples regiones del cuerpo"
"T030" "Luxaciones, torceduras y esguinces que afectan la cabeza con el cuello"
"T031" "Luxaciones, torceduras y esguinces que afectan el trax con la regin lumbosacra y la pelvis"
"T032" "Luxaciones, torceduras y esguinces que afectan mltiples regiones del (de los) miembros(s) superior(es)"
"T033" "Luxaciones, torceduras y esguinces que afectan mltiples regiones del (de los) miembro(s) inferior(es)"
"T034" "Luxaciones, torceduras esguinces que afectan  mltiples regiones del (de los) miembro(s) superior(es) con miembro(s) inferior(es)"
"T038" "Luxaciones, torceduras y esguinces que afectan otras combinaciones de regiones del cuerpo"
"T039" "Luxaciones, torceduras y esguinces mltiples, no especificados"
"T04" "Traumatismos por aplastamiento que afectan mltiples regiones del cuerpo"
"T040" "Traumatismos por aplastamiento que afectan la cabeza con el cuello"
"T041" "Traumatismos por aplastamiento que afectan el trax con el abdomen, la regin lumbosacra y la pelvis"
"T042" "Traumatismos por aplastamiento que afectan mltiples regiones del (de los) miembro(s) superior(es)"
"T043" "Traumatismos por aplastamiento que afectan mltiples regiones del (de los) miembro(s) inferior(es)"
"T044" "Traumatismos por aplastamiento que afecta mltiples regiones del (de los) miembro(s) superior(es) con miembro(s) inferior(es)"
"T047" "Traumatismos por aplastamiento del trax, del abdomen, de la regin lumbosacra y de la pelvis con miembro(s)"
"T048" "Traumatismos por aplastamiento que afectan otras combinaciones de regiones del cuerpo"
"T049" "Traumatismos por aplastamiento mltiple, no especificados"
"T05" "Amputaciones traumticas  que afectan mltiples regiones del cuerpo"
"T050" "Amputacin traumtica de ambas manos"
"T051" "Amputacin traumtica de una mano y el otro brazo [cualquier nivel, excepto mano]"
"T052" "Amputacin traumtica de ambos brazos [cualquier nivel]"
"T053" "Amputacin traumtica de ambos pies"
"T054" "Amputacin traumtica de un pie y la otra pierna [cualquier nivel, excepto pie]"
"T055" "Amputacin traumtica de ambas piernas [cualquier nivel]"
"T056" "Amputacin traumtica de miembros superior(es) e inferior(es), cualquier combinacin [cualquier nivel]"
"T058" "Amputacin traumtica que afecta otras combinaciones de regiones del cuerpo"
"T059" "Amputaciones traumticas mltiples, no especificadas"
"T06" "Otros traumatismos que afectan mltiples regiones del cuerpo, no clasificados en otra parte"
"T060" "Traumatismos del encfalo y de nervios craneales con traumatismo de nervios y mdula espinal a nivel del cuello"
"T061" "Traumatismos de nervios y mdula espinal que afectan otras mltiples regiones del cuerpo"
"T062" "Traumatismos de nervios que afectan mltiples regiones del cuerpo"
"T063" "Traumatismos de vasos sanguneos que afectan mltiples regiones del cuerpo"
"T064" "Traumatismos de tendones y msculos que afectan mltiples regiones del cuerpo"
"T065" "Traumatismos de rganos intratorcicos con rganos intraabdominales y plvicos"
"T068" "Otros traumatismos especificados que afectan mltiples regiones del cuerpo"
"T07" "Traumatismos mltiples, no especificados"
"T08" "Fractura de la columna vertebral, nivel no especificado"
"T080" "Fractura de la columna vertebral, nivel no especificado, cerrada"
"T081" "Fractura de la columna vertebral, nivel no especificado, abierta"
"T09" "Otros traumatismos de la columna vertebral y del tronco, nivel no especificado"
"T090" "Traumatismo superficial del tronco, nivel no especificado"
"T091" "Herida del tronco, nivel no especificado"
"T092" "Luxacin, esguince o torcedura de articulacin y ligamentos del tronco, no especificado"
"T093" "Traumatismo de la mdula espinal, nivel no especificado"
"T094" "Traumatismo de nervios, raz de nervio espinal y plexos del tronco no especificados"
"T095" "Traumatismo de tendones y msculos del tronco no especificados"
"T096" "Amputacin traumtica del tronco, nivel no especificado"
"T098" "Otros traumatismos especificados del tronco, nivel no especificado"
"T099" "Traumatismo no especificado del tronco, nivel no especificado"
"T10" "Fractura de miembro superior, nivel no especificado"
"T100" "Fractura de miembro superior, nivel no especificado, cerrada"
"T101" "Fractura de miembro superior, nivel no especificado, abierta"
"T11" "Otros traumatismos de miembro superior, nivel no especificado"
"T110" "Traumatismo superficial de miembro superior, nivel no especificado"
"T111" "Herida de miembro superior, nivel no especificado"
"T112" "Luxacin, esguince o torcedura de articulacin o ligamento no especificado de miembro superior, nivel no especificado"
"T113" "Traumatismo de nervio no especificado de miembro superior, nivel no especificado"
"T114" "Traumatismo de vasos sanguneos no especificados de miembro superior, nivel no especificado"
"T115" "Traumatismo de tendn y msculo no especificados de miembro superior, nivel no especificado"
"T116" "Amputacin traumtica de miembro superior, nivel no especificado"
"T118" "Otros traumatismos especificados de miembro superior, nivel no especificado"
"T119" "Traumatismo no especificado de miembro superior, nivel no especificado"
"T12" "Fractura de miembro inferior, nivel no especificado"
"T120" "Fractura de miembro inferior, nivel no especificado, cerrada"
"T121" "Fractura de miembro inferior, nivel no especificado, abierta"
"T13" "Otros traumatismos de miembro inferior, nivel no especificado"
"T130" "Traumatismo superficial de miembro inferior, nivel no especificado."
"T131" "Herida de miembro inferior, nivel no especificado"
"T132" "Luxacin, esguince o torcedura de articulacin y ligamentos no especificados de miembro inferior, nivel no especificado"
"T133" "Traumatismo de nervios no especificados de miembro inferior, nivel no especificado"
"T134" "Traumatismo de vasos sanguneos no especificados de miembro inferior, nivel no especificado"
"T135" "Traumatismo de tendones y msculos no especificados de miembro inferior, nivel no especificado"
"T136" "Amputacin traumtica de miembro inferior, nivel no especificado"
"T138" "Otros traumatismos especificados de miembro inferior, nivel no especificado"
"T139" "Traumatismo no especificado de miembro inferior, nivel no especificado"
"T14" "Traumatismo de regiones no especificadas del cuerpo"
"T140" "Traumatismo superficial de regin no especificada del cuerpo"
"T141" "Herida de regin no especificada del cuerpo"
"T142" "Fractura de regin no especificada del cuerpo"
"T143" "Luxacin, esguince y torcedura de regin no especificada del cuerpo"
"T144" "Traumatismo de nervio(s) de regin no especificada del cuerpo"
"T145" "Traumatismo de vaso(s) sanguneo(s) de regin no especificada del cuerpo"
"T146" "Traumatismo de tendones y msculos de regin no especificada del cuerpo"
"T147" "Traumatismo por aplastamiento y amputacin traumtica de regiones no especificadas del cuerpo"
"T148" "Otros traumatismos de regin no especificada del cuerpo"
"T149" "Traumatismo, no especificado"
"T15" "Cuerpo extrao en parte externa del ojo"
"T150" "Cuerpo extrao en la crnea"
"T151" "Cuerpo extrao en el saco conjuntival"
"T158" "Cuerpo extrao en otras y en mltiples partes de la parte externa del ojo"
"T159" "Cuerpo extrao en parte externa del ojo, sitio no especificado"
"T16" "Cuerpo extrao del odo"
"T17" "Cuerpo extrao en las vas respiratorias"
"T170" "Cuerpo extrao en seno paranasal"
"T171" "Cuerpo extrao en el orificio nasal"
"T172" "Cuerpo extrao en la faringe"
"T173" "Cuerpo extrao en la laringe"
"T174" "Cuerpo extrao en la trquea"
"T175" "Cuerpo extrao en bronquios"
"T178" "Cuerpo extrao en otras y en mltiples partes de las vas respiratorias"
"T179" "Cuerpo extrao en las vas respiratorias, parte no especificada"
"T18" "Cuerpo extrao en el tubo digestivo"
"T180" "Cuerpo extrao en la boca"
"T181" "Cuerpo extrao en el esfago"
"T182" "Cuerpo extrao en el estmago"
"T183" "Cuerpo extrao en el intestino delgado"
"T184" "Cuerpo extrao en el colon"
"T185" "Cuerpo extrao en el ano y en el recto"
"T188" "Cuerpo extrao en otras y en mltiples partes del tubo digestivo"
"T189" "Cuerpo extrao en el tubo digestivo, parte no especificada"
"T19" "Cuerpo extrao en las vas genitourinarias"
"T190" "Cuerpo extrao en la uretra"
"T191" "Cuerpo extrao en la vejiga"
"T192" "Cuerpo extrao en la vulva y en la vagina"
"T193" "Cuerpo extrao en el tero [cualquier parte]"
"T198" "Cuerpo extrao en otras y en mltiples partes de las vas genitourinarias"
"T199" "Cuerpo extrao en las vas genitourinarias, parte no especificada"
"T20" "Quemadura y corrosin de la cabeza y del cuello"
"T200" "Quemadura de la cabeza y del cuello, grado no especificado"
"T201" "Quemadura de la cabeza y del cuello, de primer grado"
"T202" "Quemadura de la cabeza y del cuello, de segundo grado"
"T203" "Quemadura de la cabeza y del cuello, de tercer grado"
"T204" "Corrosin de la cabeza y del cuello, grado no especificado"
"T205" "Corrosin de la cabeza y del cuello, de primer grado"
"T206" "Corrosin de la cabeza y del cuello, de segundo grado"
"T207" "Corrosin de la cabeza y del cuello, de tercer grado"
"T21" "Quemadura y corrosin del tronco"
"T210" "Quemadura del tronco, grado no especificado"
"T211" "Quemadura del tronco, de primer grado"
"T212" "Quemadura del tronco, de segundo grado"
"T213" "Quemadura del tronco, de tercer grado"
"T214" "Corrosin del tronco, grado no especificado"
"T215" "Corrosin del tronco, de primer grado"
"T216" "Corrosin del tronco, de segundo grado"
"T217" "Corrosin del tronco, de tercer grado"
"T22" "Quemadura y corrosin del hombro y miembro superior, excepto de la mueca y de la mano"
"T220" "Quemadura del hombro y miembro superior, grado no especificado, excepto de la mueca y de la mano"
"T221" "Quemadura del hombro y miembro superior, de primer grado, excepto de la mueca y de la mano"
"T222" "Quemadura del hombro y miembro superior, de segundo grado, excepto de la mueca y de la mano"
"T223" "Quemadura del hombro y miembro superior, de tercer grado, excepto de la mueca y de la mano"
"T224" "Corrosin del hombro y miembro superior, grado no especificado, excepto de la mueca y de la mano"
"T225" "Corrosin del hombro y miembro superior, de primer grado, excepto de la mueca y de la mano"
"T226" "Corrosin del hombro y miembro superior, de segundo grado, excepto de la mueca y de la mano"
"T227" "Corrosin del hombro y miembro superior, de tercer grado, excepto de la mueca y de la mano"
"T23" "Quemadura y corrosin de la mueca y de la mano"
"T230" "Quemadura de la mueca y de la mano, grado no especificado"
"T231" "Quemadura de la mueca y de la mano, de primer grado"
"T232" "Quemadura de la mueca y de la mano, de segundo grado"
"T233" "Quemadura de la mueca y de la mano, de tercer grado"
"T234" "Corrosin de la mueca y de la mano, grado no especificado"
"T235" "Corrosin de la mueca y de la mano, de primer grado"
"T236" "Corrosin de la mueca y de la mano, de segundo grado"
"T237" "Corrosin de la mueca y de la mano, de tercer grado"
"T24" "Quemadura y corrosin de la cadera y miembro inferior, excepto tobillo y pie"
"T240" "Quemadura de la cadera y miembro inferior, grado no especificado, excepto tobillo y pie"
"T241" "Quemadura de la cadera y miembro inferior, de primer grado, excepto tobillo y pie"
"T242" "Quemadura de la cadera y miembro inferior, de segundo grado , excepto tobillo y pie"
"T243" "Quemadura de la cadera y miembro inferior, de tercer grado, excepto tobillo y pie"
"T244" "Corrosin de la cadera y miembro inferior, grado no especificado, excepto tobillo y pie"
"T245" "Corrosin de la cadera y miembro inferior, de primer grado, excepto tobillo y pie"
"T246" "Corrosin de la cadera y miembro inferior, de segundo grado, excepto tobillo y pie"
"T247" "Corrosin de la cadera y miembro inferior, de tercer grado, excepto tobillo y pie"
"T25" "Quemadura y corrosin del tobillo y del pie"
"T250" "Quemadura del tobillo y del pie, grado no especificado"
"T251" "Quemadura del tobillo y del pie, de primer grado"
"T252" "Quemadura del tobillo y del pie, de segundo grado"
"T253" "Quemadura del tobillo y del pie, de tercer grado"
"T254" "Corrosin del tobillo y del pie, grado no especificado"
"T255" "Corrosin del tobillo y del pie, de primer grado"
"T256" "Corrosin del tobillo y del pie, de segundo grado"
"T257" "Corrosin del tobillo y del pie, de tercer grado"
"T26" "Quemadura y corrosin limitada al ojo y sus anexos"
"T260" "Quemadura del prpado y rea periocular"
"T261" "Quemadura de la crnea y saco conjuntival"
"T262" "Quemadura con ruptura y destruccin resultantes del globo ocular"
"T263" "Quemadura de otras partes del ojo y sus anexos"
"T264" "Quemadura del ojo y anexos, parte no especificada"
"T265" "Corrosin del prpado y rea periocular"
"T266" "Corrosin de la crnea y saco conjuntival"
"T267" "Corrosin con ruptura y destruccin resultantes del globo ocular"
"T268" "Corrosin de otras partes del ojo y sus anexos"
"T269" "Corrosin del ojo y sus anexos, parte no especificada"
"T27" "Quemadura y corrosin de las vas respiratorias"
"T270" "Quemadura de la laringe y de la trquea"
"T271" "Quemadura que afecta la laringe y la trquea con el pulmn"
"T272" "Quemadura de otras partes de las vas respiratorias"
"T273" "Quemadura de las vas respiratorias, parte no especificada"
"T274" "Corrosin de la laringe y de la trquea"
"T275" "Corrosin que afecta la laringe y la trquea con el pulmn"
"T276" "Corrosin de otras partes de las vas respiratorias"
"T277" "Corrosin de las vas respiratorias, parte no especificada"
"T28" "Quemadura y corrosin de otros rganos internos"
"T280" "Quemadura de la boca y de la faringe"
"T281" "Quemadura del esfago"
"T282" "Quemadura de otras partes del tubo digestivo"
"T283" "Quemadura de rganos genitourinarios internos"
"T284" "Quemadura de otros rganos internos y de los no especificados"
"T285" "Corrosin de la boca y de la faringe"
"T286" "Corrosin del esfago"
"T287" "Corrosin de otras partes del tubo digestivo"
"T288" "Corrosin de rganos genitourinarios internos"
"T289" "Corrosin de otros rganos internos y de los no especificados"
"T29" "Quemaduras y corrosiones de mltiples regiones del cuerpo"
"T290" "Quemaduras de mltiples regiones, grado no especificado"
"T291" "Quemaduras de mltiples regiones, mencionadas como de no ms de primer grado"
"T292" "Quemaduras de mltiples regiones, mencionadas como de no ms de segundo grado"
"T293" "Quemaduras mltiples, con mencin al menos de una Quemadura de tercer grado"
"T294" "Corrosiones de mltiples regiones, grado no especificado"
"T295" "Corrosiones mltiples, mencionadas como de no ms de primer grado"
"T296" "Corrosiones mltiples, mencionadas como de no ms de segundo grado"
"T297" "Corrosiones mltiples, con mencin al menos de una corrosin de tercer grado"
"T30" "Quemadura y corrosin, regin del cuerpo no especificada"
"T300" "Quemadura de regin del cuerpo y grado no especificados"
"T301" "Quemadura de primer grado, regin del cuerpo no especificada"
"T302" "Quemadura de segundo grado, regin del cuerpo no especificada"
"T303" "Quemadura de tercer grado, regin del cuerpo no especificada"
"T304" "Corrosin de regin del cuerpo y grado no especificados"
"T305" "Corrosin de primer grado, regin del cuerpo no especificada"
"T306" "Corrosin de segundo grado, regin del cuerpo no especificada"
"T307" "Corrosin de tercer grado, regin del cuerpo no especificada"
"T31" "Quemaduras clasificadas segn la extensin de la superficie del cuerpo afectada"
"T310" "Quemaduras que afectan menos del 10% de la superficie del cuerpo"
"T311" "Quemaduras que afectan del 10 al 19% de la superficie del cuerpo"
"T312" "Quemaduras que afectan del 20 al 29% de la superficie del cuerpo"
"T313" "Quemaduras que afectan del 30 al 39% de la superficie del cuerpo"
"T314" "Quemaduras que afectan del 40 al 49% de la superficie del cuerpo"
"T315" "Quemaduras que afectan del 50 al 59% de la superficie del cuerpo"
"T316" "Quemaduras que afectan del 60 al 69% de la superficie del cuerpo"
"T317" "Quemaduras que afectan del 70 al 79% de la superficie del cuerpo"
"T318" "Quemaduras que afectan del 80 al 89% de la superficie del cuerpo"
"T319" "Quemaduras que afectan el 90% o ms de la superficie del cuerpo"
"T32" "Corrosiones clasificadas segn la extensin de la superficie del cuerpo afectada"
"T320" "Corrosiones que afectan menos del 10% de la superficie del cuerpo"
"T321" "Corrosiones que afectan del 10 al 19% de la superficie del cuerpo"
"T322" "Corrosiones que afectan del 20 al 29% de la superficie del cuerpo"
"T323" "Corrosiones que afectan del 30 al 39% de la superficie del cuerpo"
"T324" "Corrosiones que afectan del 40 al 49% de la superficie del cuerpo"
"T325" "Corrosiones que afectan del 50 al 59% de la superficie del cuerpo"
"T326" "Corrosiones que afectan del 60 al 69% de la superficie del cuerpo"
"T327" "Corrosiones que afectan del 70 al 79% de la superficie del cuerpo"
"T328" "Corrosiones que afectan del 80 al 89% de la superficie del cuerpo"
"T329" "Corrosiones que afectan el 90% o ms de la superficie del cuerpo"
"T33" "Congelamiento superficial"
"T330" "Congelamiento superficial de la cabeza"
"T331" "Congelamiento superficial del cuello"
"T332" "Congelamiento superficial del trax"
"T333" "Congelamiento superficial de la pared abdominal, regin lumbosacra y pelvis"
"T334" "Congelamiento superficial del brazo"
"T335" "Congelamiento superficial de la mueca y de la mano"
"T336" "Congelamiento superficial de la cadera y del muslo"
"T337" "Congelamiento superficial de la rodilla y de la pierna"
"T338" "Congelamiento superficial del tobillo y del pie"
"T339" "Congelamiento superficial de otros sitios y de los no especificados"
"T34" "Congelamiento con necrosis tisular"
"T340" "Congelamiento con necrosis tisular de la cabeza"
"T341" "Congelamiento con necrosis tisular del cuello"
"T342" "Congelamiento con necrosis tisular del trax"
"T343" "Congelamiento con necrosis tisular de la pared abdominal, regin lumbosacra y pelvis"
"T344" "Congelamiento con necrosis tisular del brazo"
"T345" "Congelamiento con necrosis tisular de la mueca y de la mano"
"T346" "Congelamiento con necrosis tisular de la cadera y del muslo"
"T347" "Congelamiento con necrosis tisular de la rodilla y de la pierna"
"T348" "Congelamiento con necrosis tisular del tobillo y del pie"
"T349" "Congelamiento con necrosis tisular de otros sitios y de los no especificados"
"T35" "Congelamiento que afecta mltiples regiones del cuerpo y congelamiento no especificado"
"T350" "Congelamiento superficial que afecta mltiples regiones del cuerpo"
"T351" "Congelamiento con necrosis tisular que afecta mltiples regiones del cuerpo"
"T352" "Congelamiento no especificado de la cabeza y del cuello"
"T353" "Congelamiento no especificado del trax, del abdomen, de la regin lumbosacra y de la pelvis"
"T354" "Congelamiento no especificado del miembro superior"
"T355" "Congelamiento no especificado del miembro inferior"
"T356" "Congelamiento no especificado que afecta mltiples regiones del cuerpo"
"T357" "Congelamiento no especificado, de sitio no especificado"
"T36" "Envenenamiento por antibiticos sistmicos"
"T360" "Penicilinas"
"T361" "Cefalosporinas y otros antibiticos beta-lactmicos"
"T362" "Grupo del cloramfenicol"
"T363" "Macrlidos"
"T364" "Tetraciclinas"
"T365" "Aminoglucsidos"
"T366" "Rifamicinas"
"T367" "Antibiticos antimicticos usados sistmicamente"
"T368" "Otros antibiticos sistmicos"
"T369" "Antibiticos sistmicos, no especificados"
"T37" "Envenenamiento por otros antiinfecciosos y antiparasitarios sistmicos"
"T370" "Sulfonamidas"
"T371" "Drogas antimicobacterianas"
"T372" "Antipaldicos y drogas de accin contra otros protozoarios sanguneos"
"T373" "Otras drogas antiprotozoarias"
"T374" "Antihelmnticos"
"T375" "Drogas antivirales"
"T378" "Otros antiinfecciosos y antiparasitarios sistmicos especificados"
"T379" "Antiinfecciosos y antiparasitarios sistmicos, no especificados"
"T38" "Envenenamiento por hormonas y sus sustitutos y antagonistas sintticos, no clasificados en otra parte"
"T380" "Glucocorticoides y anlogos sintticos"
"T381" "Hormonas tiroideas y sustitutos"
"T382" "Drogas antitiroideas"
"T383" "Insulina y drogas hipoglucemiantes orales [antidiabticas]"
"T384" "Anticonceptivos orales"
"T385" "Otros estrgenos y progestgenos"
"T386" "Antigonadotrofinas, antiestrgenos y antiandrgenos, no clasificados en otra parte"
"T387" "Andrgenos y sus congneres anablicos"
"T388" "Otras hormonas y sustitutos sintticos y los no especificados"
"T389" "Otros antagonistas de las hormonas y los no especificados"
"T39" "Envenenamiento por analgsicos no narcticos, antipirticos y antirreumticos"
"T390" "Salicilatos"
"T391" "Derivados del paraaminofenol"
"T392" "Derivados de la pirazolona"
"T393" "Otras drogas antiiflamatorias no esteroideas [DAINE]"
"T394" "Antirreumticos, no clasificados en otra parte"
"T398" "Otros analgsicos no narcticos y antipirticos, no clasificados en otra parte"
"T399" "Analgsicos no narcticos, antipirticos y antirreumticos, no especificados"
"T40" "Envenenamiento por narcticos y psicodislpticos (alucingenos)"
"T400" "Opio"
"T401" "Herona"
"T402" "Otros opiceos"
"T403" "Metadona"
"T404" "Otros narcticos sintticos"
"T405" "Cocana"
"T406" "Otros narcticos y los no especificados"
"T407" "Cannabis (derivados)"
"T408" "cido lisrgico [LSD]"
"T409" "Otros psicodislpticos y los no especificados [alucingenos]"
"T41" "Envenenamiento por anestsicos y gases teraputicos"
"T410" "Anestsicos por inhalacin"
"T411" "Anestsicos intravenosos"
"T412" "Otros anestsicos generales y los no especificados"
"T413" "Anestsicos locales"
"T414" "Anestsicos, no especificados"
"T415" "Gases teraputicos"
"T42" "Envenenamiento por antiepilpticos, hipnticos-sedantes y drogas antiparkinsonianas"
"T420" "Derivados de la hidantona"
"T421" "Iminostilbenos"
"T422" "Succinamidas y derivados de la oxazolidina"
"T423" "Barbitricos"
"T424" "Benzodiazepinas"
"T425" "Antiepilpticos mixtos, no clasificados en otra parte"
"T426" "Otros antiepilpticos y drogas hipntico-sedantes"
"T427" "Antiepilpticos y drogas hipntico-sedantes, no especificados"
"T428" "Drogas antiparkinsonianas y otros depresores del tono muscular central"
"T43" "Envenenamiento por psicotrpicos, no clasificados en otra parte"
"T430" "Antidepresivos tricclicos y tetracclicos"
"T431" "Antidepresivos inhibidores de la monoaminoxidasa"
"T432" "Otros antidepresivos y los no especificados"
"T433" "Antipsicticos y neurolpticos fenotiacnicos"
"T434" "Butirofenona y neurolpticos tioxantnicos"
"T435" "Otros antipsicticos y neurolpticos y los no especificados"
"T436" "Psicoestimulantes con abuso potencial"
"T438" "Otras drogas psicotrpicas, no clasificadas en otra parte"
"T439" "Droga psicotrpica, no especificada"
"T44" "Envenenamiento por drogas que afectan principalmente el sistema nervioso autnomo"
"T440" "Agentes anticolinesterasa"
"T441" "Otros parasimpticomimticos [colinrgicos]"
"T442" "Drogas bloqueadoras ganglionares, no clasificadas en otra parte"
"T443" "Otros parasimpaticolticos [anticolinrgicos y antimuscarnicos] y espasmolticos, no clasificados en otra parte"
"T444" "Agonistas, predominantemente alfa-adrenrgicos, no clasificados en otra parte"
"T445" "Agonistas, predominantemente beta-adrenrgicos, no clasificados en otra parte"
"T446" "Antagonistas alfa-adrenrgicos, no clasificados en otra parte"
"T447" "Antagonistas beta-adrenrgicos, no clasificados en otra parte"
"T448" "Agentes de accin central y bloqueadores neuronales adrenrgicos, no clasificados en otra parte"
"T449" "Otras drogas y las no especificadas que afectan  principalmente el sistema nervioso autnomo"
"T45" "Envenenamiento por agentes principalmente sistmicos y hematolgicos, no clasificados en otra parte"
"T450" "Drogas antialrgicas y antiemticas"
"T451" "Drogas antineoplsicas e inmunosupresoras"
"T452" "Vitaminas, no clasificadas en otra parte"
"T453" "Enzimas, no clasificadas en otra parte"
"T454" "Hierro y sus compuestos"
"T455" "Anticoagulantes"
"T456" "Drogas que afectan la fibrinlisis"
"T457" "Antagonistas de anticoagulantes, vitamina k y otros coagulantes"
"T458" "Otros agentes principalmente sistmicos y hematolgicos"
"T459" "Agentes principalmente sistmicos y hematolgicos, no especificados"
"T46" "Envenenamiento por agentes que afectan principalmente el sistema cardiovascular"
"T460" "Glucsidos cardiotnicos y medicamentos de accin similar"
"T461" "Bloqueadores del canal del calcio"
"T462" "Otras drogas antiarrtmicas, no clasificadas en otra parte"
"T463" "Vasodilatadores coronarios, no clasificados en otra parte"
"T464" "Inhibidores de la enzima convertidora de la angiotensina"
"T465" "Otras drogas antihipertensivas, no clasificadas en otra parte"
"T466" "Drogas antilipmicas y antiarteriosclerticas"
"T467" "Vasodilatadores perifricos"
"T468" "Drogas antivaricosas, inclusive agentes esclerosantes"
"T469" "Otros agentes y los no especificados que afectan principalmente el sistema cardiovascular"
"T47" "Envenenamiento por agentes que afectan principalmente el sistema gastrointestinal"
"T470" "Antagonistas del receptor H2 de histamina"
"T471" "Otras drogas anticidas y que inhiben la secrecin gstrica"
"T472" "Laxantes estimulantes"
"T473" "Laxantes salinos y osmticos"
"T474" "Otros laxantes"
"T475" "Digestivos"
"T476" "Drogas antidiarreicas"
"T477" "Emticos"
"T478" "Otros agentes que afectan principalmente el sistema gastrointestinal"
"T479" "Agentes no especificados que afectan principalmente el sistema gastrointestinal"
"T48" "Envenenamiento por agentes con accin principal sobre los msculos lisos y esquelticos y sobre el sistema respiratorio"
"T480" "Drogas oxitcicas"
"T481" "Relajantes musculoesquelticos [agentes bloqueadores neuromusculares]"
"T482" "Otros medicamentos y los no especificados de accin principal sobre los msculos"
"T483" "Antitusgenos"
"T484" "Expectorantes"
"T485" "Drogas contra el catarro comn"
"T486" "Antiasmticos, no clasificados en otra parte"
"T487" "Otros agentes y los no especificados de accin principal sobre el sistema respiratorio"
"T49" "Envenenamiento por agentes tpicos que afectan principalmente la piel y las membranas mucosas y por drogas oftalmolgicas, otorrinolaringolgicas y dentales"
"T490" "Drogas locales antimicticas, antiinfecciosas y antiinflamatorias, no clasificadas en otra parte"
"T491" "Antiprurticos"
"T492" "Astringentes y detergentes locales"
"T493" "Emolientes, demulcentes y protectores"
"T494" "Queratolticos, queratoplsticos, drogas y otras preparaciones para el tratamiento del cabello"
"T495" "Drogas y preparaciones oftalmolgicas"
"T496" "Drogas y preparaciones otorrinolaringolgicas"
"T497" "Drogas dentales, aplicadas tpicamente"
"T498" "Otros agentes tpicos"
"T499" "Agentes tpicos, no especificados"
"T50" "Envenenamiento por diurticos y otras drogas, medicamentos y sustancias biolgicas no especificadas"
"T500" "Mineralocorticoides y sus antagonistas"
"T501" "Diurticos del asa [dintel alto]"
"T502" "Inhibidores de la anhidrasa del cido carbnico, benzotiazidas y otros diurticos"
"T503" "Agentes del equilibrio hidroltico, electroltico y calrico"
"T504" "Drogas que afectan el metabolismo del cido rico"
"T505" "Depresores del apetito"
"T506" "Antdotos y agentes quelantes, no clasificados en otra parte"
"T507" "Analpticos y antagonistas del opio"
"T508" "Agentes diagnsticos"
"T509" "Otras drogas y sustancias biolgicas, y las no especificadas"
"T51" "Efecto txico del alcohol"
"T510" "Etanol"
"T511" "Metanol"
"T512" "Propanol 2"
"T513" "Licor de alcohol insuficientemente destilado"
"T518" "Otros alcoholes"
"T519" "Alcohol, no especificado"
"T52" "Efecto txico de disolventes orgnicos"
"T520" "Productos del petrleo"
"T521" "Benceno"
"T522" "Homlogos del benceno"
"T523" "Glicoles"
"T524" "Cetonas"
"T528" "Otros disolventes orgnicos"
"T529" "Disolventes orgnicos, no especificados"
"T53" "Efecto txico de los derivados halogenados de los hidrocarburos alifticos y aromticos"
"T530" "Tetracloruro de carbono"
"T531" "Cloroformo"
"T532" "Tricloroetileno"
"T533" "Tetracloroetileno"
"T534" "Dicloroetano"
"T535" "Clorofluorocarburos"
"T536" "Otros derivados halogenados de hidrocarburos alifticos"
"T537" "Otros derivados halogenados de hidrocarburos aromticos"
"T539" "Derivados halogenados de hidrocarburos alifticos y aromticos, no especificados"
"T54" "Efecto txico de sustancias corrosivas"
"T540" "Fenol y homlogos del fenol"
"T541" "Otros compuestos orgnicos corrosivos"
"T542" "cidos corrosivos y sustancias cidas similares"
"T543" "lcalis custicos y sustancias alcalinas similares"
"T549" "Efecto txico de sustancia corrosiva, no especificada"
"T55" "Efecto txico de detergentes y jabones"
"T56" "Efecto txico de metales"
"T560" "Plomo y sus compuestos"
"T561" "Mercurio y sus compuestos"
"T562" "Cromo y sus compuestos"
"T563" "Cadmio y sus compuestos"
"T564" "Cobre y sus compuestos"
"T565" "Zinc y sus compuestos"
"T566" "Estao y sus compuestos"
"T567" "Berilio y sus compuestos"
"T568" "Otros metales"
"T569" "Metal, no especificado"
"T57" "Efecto txico de otras sustancias inorgnicas"
"T570" "Arsnico y sus compuestos"
"T571" "Fsforo y sus compuestos"
"T572" "Manganeso y sus compuestos"
"T573" "cido cianhdrico"
"T578" "Otras sustancias inorgnicas, especificadas"
"T579" "Sustancia inorgnica, no especificada"
"T58" "Efecto txico del monxido de carbono"
"T59" "Efecto txico de otros gases, humos y vapores"
"T590" "xidos de nitrgeno"
"T591" "Dixido de sulfuro"
"T592" "Formaldehdo"
"T593" "Gas lacrimgeno"
"T594" "Cloro gaseoso"
"T595" "Gas de flor y fluoruro de hidrgeno"
"T596" "Sulfuro de hidrgeno"
"T597" "Dixido de carbono"
"T598" "Otros gases, humos y vapores especificados"
"T599" "Gases, humos y vapores no especificados"
"T60" "Efecto txico de plaguicidas (pesticidas)"
"T600" "Insecticidas organofosforados y carbamatos"
"T601" "Insecticidas halogenados"
"T602" "Otros insecticidas"
"T603" "Herbicidas y fungicidas"
"T604" "Rodenticidas"
"T608" "Otros plaguicidas"
"T609" "Plaguicida, no especificado"
"T61" "Efecto txico de sustancias nocivas ingeridas como alimentos marinos"
"T610" "Envenenamiento ciguatero por pescado"
"T611" "Envenenamiento escombroideo por pescado"
"T612" "Otros envenenamientos por pescados y mariscos"
"T618" "Efecto txico de otros alimentos marinos"
"T619" "Efecto txico de alimentos marinos no especificados"
"T62" "Efecto txico de otras sustancias nocivas ingeridas como alimento"
"T620" "Hongos ingeridos"
"T621" "Bayas ingeridas"
"T622" "Otra(s) (partes de) planta(s) ingerida(s)"
"T628" "Otras sustancias nocivas especificadas ingeridas como alimento"
"T629" "Sustancia nociva ingerida como alimento, no especificada"
"T63" "Efecto txico del contacto con animales venenosos"
"T630" "Veneno de serpiente"
"T631" "Veneno de otros reptiles"
"T632" "Veneno de escorpin"
"T633" "Veneno de araas"
"T634" "Veneno de otros artrpodos"
"T635" "Efecto txico del contacto con peces"
"T636" "Efecto txico del contacto con otros animales marinos"
"T638" "Efectos txicos del contacto con otros animales venenosos"
"T639" "Efecto txico del contacto con animal venenoso no especificado"
"T64" "Efecto txico de aflatoxina y otras micotoxinas contaminantes de alimentos"
"T65" "Efecto txico de otras sustancias y las no especificadas"
"T650" "Cianuro"
"T651" "Estricnina y sus sales"
"T652" "Tabaco y nicotina"
"T653" "Nitroderivados y aminoderivados del benceno y sus homlogos"
"T654" "Bisulfuro de carbono"
"T655" "Nitroglicerina y otros cidos y steres ntricos"
"T656" "Pinturas y colorantes, no clasificados en otra parte"
"T658" "Efectos txicos de otras sustancias especificadas"
"T659" "Efecto txico de sustancia no especificada"
"T66" "Efectos no especificados de la radiacin"
"T67" "Efectos del calor y de la luz"
"T670" "Golpe de calor e insolacin"
"T671" "Sncope por calor"
"T672" "Calambre por calor"
"T673" "Agotamiento por calor, anhidrtico"
"T674" "Agotamiento por calor debida a deplecin de sal"
"T675" "Agotamiento por calor no especificado"
"T676" "Fatiga por calor, transitoria"
"T677" "Edema por calor"
"T678" "Otros efectos del calor y de la luz"
"T679" "Efecto del calor y de la luz, no especificado"
"T68" "Hipotermia"
"T69" "Otros efectos de la reduccin de la temperatura"
"T690" "Mano y pie de inmersin"
"T691" "Saban(es)"
"T698" "Otros efectos especificados de la reduccin de la temperatura"
"T699" "Efecto de la reduccin de la temperatura, no especificado"
"T70" "Efectos de la presin del aire y de la presin del agua"
"T700" "Barotrauma ottico"
"T701" "Barotrauma sinusal"
"T702" "Otros efectos y los no especificados de la gran altitud"
"T703" "Enfermedad por descompresin  [de los cajones sumergidos]"
"T704" "Efectos de lquidos con alta presin"
"T708" "Otros efectos de la presin del aire y del agua"
"T709" "Efecto de la presin del aire y del agua, no especificado"
"T71" "T71X Asfixia"
"T73" "Efectos de otras privaciones"
"T730" "Efectos del hambre"
"T731" "Efectos de la sed"
"T732" "Agotamiento debido a exposicin a la intemperie"
"T733" "Agotamiento debido a esfuerzo excesivo"
"T738" "Otros efectos de privacin"
"T739" "Efectos de privacin, no especificados"
"T74" "Sndrome del maltrato"
"T740" "Negligencia o abandono"
"T741" "Abuso fsico"
"T742" "Abuso sexual"
"T743" "Abuso psicolgico"
"T748" "Otros sndromes del maltrato"
"T749" "Sndrome del maltrato, no especificado"
"T75" "Efectos de otras causas externas"
"T750" "Efectos del rayo"
"T751" "Ahogamiento y sumersin no mortal"
"T752" "Efectos de la vibracin"
"T753" "Mal del movimiento"
"T754" "Efectos de la corriente elctrica"
"T758" "Otros efectos especificados de causas externas"
"T78" "Efectos adversos, no clasificados en otra parte"
"T780" "Choque anafilctico debido a reaccin adversa a alimentos"
"T781" "Otra reaccin adversa a alimentos, no clasificada en otra parte"
"T782" "Choque anafilctico, no especificado"
"T783" "Edema angioneurtico"
"T784" "Alergia no especificada"
"T788" "Otros efectos adversos, no clasificados en otra parte"
"T789" "Efecto adverso no especificado"
"T79" "Algunas complicaciones precoces de traumatismos, no clasificadas en otra parte"
"T790" "Embolia gaseosa (traumtica)"
"T791" "Embolia grasa (traumtica)"
"T792" "Hemorragia traumtica secundaria y recurrente"
"T793" "Infeccin postraumtica de herida, no clasificada en otra parte"
"T794" "Choque traumtico"
"T795" "Anuria traumtica"
"T796" "Isquemia traumtica de msculo"
"T797" "Enfisema subcutneo traumtico"
"T798" "Otras complicaciones precoces de los traumatismos"
"T799" "Complicaciones precoces no especificadas de los traumatismos"
"T80" "Complicaciones consecutivas a infusin, transfusin e inyeccin teraputica"
"T800" "Embolia gaseosa consecutiva a infusin, transfusin e inyeccin teraputica"
"T801" "Complicaciones vasculares consecutivas a infusin, transfusin e inyeccin teraputica"
"T802" "Infecciones consecutivas a infusin, transfusin e inyeccin teraputica"
"T803" "Reaccin de incompatibilidad al grupo ABO"
"T804" "Reaccin de incompatibilidad a Rh"
"T805" "Choque anafilctico debido a suero"
"T806" "Otras reacciones al suero"
"T808" "Otras complicaciones consecutivas a infusin, transfusin e inyeccin teraputica"
"T809" "Complicaciones no especificadas consecutivas a infusin, transfusin e inyeccin teraputica"
"T81" "Complicaciones de procedimientos, no clasificadas en otra parte"
"T810" "Hemorragia y hematoma que complican un procedimiento, no clasificados en otra parte"
"T811" "Choque durante o resultante de un procedimiento, no clasificado en otra parte"
"T812" "Puncin o laceracin accidental durante un procedimiento, no clasificadas en otra parte"
"T813" "Desgarro de herida operatoria, no clasificado en otra parte"
"T814" "Infeccin consecutiva a procedimiento, no clasificada en otra parte"
"T815" "Cuerpo extrao dejado accidentalmente en cavidad corporal o en herida operatoria consecutiva a procedimiento"
"T816" "Reaccin aguda a sustancia extraa dejada accidentalmente durante un procedimiento"
"T817" "Complicaciones vasculares consecutivas a procedimiento, no clasificadas en otra parte"
"T818" "Otras complicaciones de procedimientos, no clasificadas en otra parte"
"T819" "Complicacin de procedimientos, no especificada"
"T82" "Complicaciones de dispositivos protsicos, implantes e injertos cardiovasculares"
"T820" "Complicacin mecnica de prtesis de vlvula cardaca"
"T821" "Complicacin mecnica de dispositivo electrnico cardaco"
"T822" "Complicacin mecnica de derivacin de arteria coronaria e injerto valvular"
"T823" "Complicacin mecnica de otros injertos vasculares"
"T824" "Complicacin mecnica de catter para dilisis vascular"
"T825" "Complicacin mecnica de otros dispositivos e implantes cardiovasculares"
"T826" "Infeccin y reaccin inflamatoria debidas a prtesis de vlvula cardaca"
"T827" "Infeccin y reaccin inflamatoria debidas a otros dispositivos, implantes e injertos cardiovasculares"
"T828" "Otras complicaciones de dispositivos protsicos, implantes e injertos cardiovasculares"
"T829" "Complicacin no especificada de dispositivo protsico, implante e injerto cardiovascular"
"T83" "Complicaciones de dispositivos, implantes e injertos genitourinarios"
"T830" "Complicacin mecnica de catter urinario (fijo)"
"T831" "Complicacin mecnica de otros dispositivos e implantes urinarios"
"T832" "Complicacin mecnica de injerto en rgano urinario"
"T833" "Complicacin mecnica de dispositivo anticonceptivo intrauterino"
"T834" "Complicacin mecnica de otros dispositivos, implantes e injertos en el tracto genital"
"T835" "Infeccin y reaccin inflamatoria debidas a dispositivo protsico, implante e injerto en el sistema urinario"
"T836" "Infeccin y reaccin inflamatoria debidas a dispositivo protsico, implante e injerto en el tracto genital"
"T838" "Otras complicaciones de dispositivos protsicos, implantes e injertos genitourinarios"
"T839" "Complicacin no especificada de dispositivo protsico, implante e injerto genitourinario"
"T84" "Complicaciones de dispositivos protsicos, implantes e injertos ortopdicos internos"
"T840" "Complicacin mecnica de prtesis articular interna"
"T841" "Complicacin mecnica de dispositivo de fijacin interna de huesos de un miembro"
"T842" "Complicacin mecnica de dispositivo de fijacin interna de otros huesos"
"T843" "Complicacin mecnica de otros dispositivos seos, implantes e injertos"
"T844" "Complicacin mecnica de otros dispositivos protsicos, implantes e injertos ortopdicos internos"
"T845" "Infeccin y reaccin inflamatoria debidas a prtesis articular interna"
"T846" "infeccin y reaccin inflamatoria debidas a dispositivo de fijacin interna [cualquier sitio]"
"T847" "Infeccin y reaccin inflamatoria debidas a otros dispositivos protsicos, implantes e injertos ortopdicos internos"
"T848" "Otras complicaciones de dispositivos protsicos, implantes e injertos ortopdicos internos"
"T849" "Complicaciones no especificadas de dispositivos protsicos, implantes e injertos ortopdicos internos"
"T85" "Complicaciones de otros dispositivos protsicos, implantes e injertos internos"
"T850" "Complicacin mecnica de derivacin (anastomtica) ventricular intracraneal"
"T851" "Complicacin mecnica de implante de estimulador electrnico del sistema nervioso"
"T852" "Complicacin mecnica de lentes intraoculares"
"T853" "Complicacin mecnica de otros dispositivos protsicos, implantes e injertos oculares"
"T854" "Complicacin mecnica de prtesis e implante de mama"
"T855" "Complicacin mecnica de dispositivo protsico, implante e injerto gastrointestinal"
"T856" "Complicacin mecnica de otros dispositivos protsicos, implantes e injertos internos especificados"
"T857" "Infeccin y reaccin inflamatoria debidas a otros dispositivos protsicos, implantes e injertos internos"
"T858" "Otras complicaciones de dispositivos protsicos, implantes e injertos internos, no clasificadas en otra parte"
"T859" "Complicacin no especificada de dispositivo protsico, implante e injerto interno"
"T86" "Falla y rechazo del trasplante de rganos y tejidos"
"T860" "Rechazo de trasplante de mdula sea"
"T861" "Falla y rechazo de trasplante de rin"
"T862" "Falla y rechazo de trasplante de corazn"
"T863" "Falla y rechazo de trasplante de pulmn-corazn"
"T864" "Falla y rechazo de trasplante de hgado"
"T868" "Falla y rechazo de  otros rganos y tejidos trasplantados"
"T869" "Falla y rechazo de trasplante de rgano y tejido no especificado"
"T87" "Complicaciones peculiares de la reinsercin y amputacin"
"T870" "Complicaciones de la reinsercin (de parte) de extremidad superior"
"T871" "Complicaciones de la reinsercin (de parte) de extremidad inferior"
"T872" "Complicaciones de otras partes del cuerpo reinsertadas"
"T873" "Neuroma de mun de amputacin"
"T874" "Infeccin de mun de amputacin"
"T875" "Necrosis de mun de amputacin"
"T876" "Otras complicaciones y las no especificadas de mun de amputacin"
"T88" "Otras complicaciones de la atencin mdica y quirrgica, no clasificadas en otra parte"
"T880" "Infeccin consecutiva a inmunizacin"
"T881" "Otras complicaciones consecutivas a inmunizacin, no clasificadas en otra parte"
"T882" "Choque debido a la anestesia"
"T883" "Hipertermia maligna debida a la anestesia"
"T884" "Falla o dificultad de la intubacin"
"T885" "Otras complicaciones de la anestesia"
"T886" "Choque anafilctico debido a efecto adverso de droga o medicamento correcto administrado apropiadamente"
"T887" "Efecto adverso no especificado de droga o medicamento"
"T888" "Otras complicaciones especificadas de la atencin mdica y quirrgica, no clasificadas en otra parte"
"T889" "Complicaciones no especificadas de la atencin mdica y quirrgica"
"T90" "Secuelas de traumatismos de la cabeza"
"T900" "Secuelas de traumatismo superficial de la cabeza"
"T901" "Secuelas de herida de la cabeza"
"T902" "Secuelas de fractura del crneo y de huesos faciales"
"T903" "Secuelas de traumatismo de nervios craneales"
"T904" "Secuelas de traumatismo del ojo y de la rbita"
"T905" "Secuelas de traumatismo intracraneal"
"T908" "Secuelas de otros traumatismos especificados de la cabeza"
"T909" "Secuelas de traumatismo no especificado de la cabeza"
"T91" "Secuelas de traumatismos del cuello y del tronco"
"T910" "Secuelas de traumatismo superficial y de heridas del cuello y del tronco"
"T911" "Secuelas de fractura de la columna vertebral"
"T912" "Secuelas de otra fractura del trax y de la pelvis"
"T913" "Secuelas de traumatismo de la mdula espinal"
"T914" "Secuelas de traumatismo de rganos intratorcicos"
"T915" "Secuelas de traumatismo de rganos intraabdominales y plvicos"
"T918" "Secuelas de otros traumatismos especificados del cuello y del tronco"
"T919" "Secuelas de traumatismo no especificado del cuello y del tronco"
"T92" "Secuelas de traumatismos de miembro superior"
"T920" "Secuelas de herida de miembro superior"
"T921" "Secuelas de fractura del brazo"
"T922" "Secuelas de fractura de la mueca y de la mano"
"T923" "Secuelas de luxacin, torcedura y esquince de miembro superior"
"T924" "Secuelas de traumatismo de nervio de miembro superior"
"T925" "Secuelas de traumatismo de tendn y msculo de miembro superior"
"T926" "Secuelas de aplastamiento y amputacin traumticas de miembro superior"
"T928" "Secuelas de otros traumatismos especificados de miembro superior"
"T929" "Secuelas de traumatismo no especificado de miembro superior"
"T93" "Secuelas de traumatismos de miembro inferior"
"T930" "Secuelas de herida de miembro inferior"
"T931" "Secuelas de fractura del fmur"
"T932" "Secuelas de otras fracturas de miembro inferior"
"T933" "Secuelas de luxacin, torcedura y esguince de miembro inferior"
"T934" "Secuelas de traumatismo de nervio de miembro inferior"
"T935" "Secuelas de traumatismo de tendn y msculo de miembro inferior"
"T936" "Secuelas de aplastamiento y amputacin traumticas de miembro inferior"
"T938" "Secuelas de otros traumatismos especificados de miembro inferior"
"T939" "Secuelas de traumatismo no especificado de miembro inferior"
"T94" "Secuelas de traumatismos que afectan mltiples regiones del cuerpo y las no especificadas"
"T940" "Secuelas de traumatismos que afectan  mltiples regiones del cuerpo"
"T941" "Secuelas de traumatismos de regiones no especificadas del cuerpo"
"T95" "Secuelas de quemaduras, corrosiones y congelamientos"
"T950" "Secuelas de quemadura, corrosin y congelamiento de la cabeza y del cuello"
"T951" "Secuelas de quemadura, corrosin y congelamiento del tronco"
"T952" "Secuelas de quemadura, corrosin y congelamiento de miembro superior"
"T953" "Secuelas de quemadura, corrosin y congelamiento de miembro inferior"
"T954" "Secuelas de quemadura y corrosin clasificables slo de acuerdo con la extensin de la superficie del cuerpo afectada"
"T958" "Secuelas de otras quemaduras, corrosiones y congelamientos especificados"
"T959" "Secuelas de quemadura, corrosin y congelamiento no especificados"
"T96" "Secuelas de envenenamientos por drogas, medicamentos y sustancias biolgicas"
"T97" "Secuelas de efectos  txicos de sustancias de procedencia principalmente no medicinal"
"T98" "T98  Secuelas de otros efectos y los no especificados de causas externas"
"T980" "Secuelas de efectos de cuerpos extraos que penetran en orificios naturales"
"T981" "T981 Secuelas de otros efectos y los no especificados de causas externas"
"T982" "Secuelas de ciertas complicaciones precoces de los traumatismos"
"T983" "Secuelas de complicaciones de la atencin mdica y quirrgica, no clasificadas en otras parte"
"U04" "Sndrome respiratorio agudo grave [SRAG]"
"U049" "Sndrome respiratorio agudo grave [SRAG], no especificado"
"U06" "Uso emergente de U06"
"U060" "Uso emergente de U06.0"
"U061" "Uso emergente de U06.1"
"U062" "Uso emergente de U06.2"
"U063" "Uso emergente de U06.3"
"U064" "Uso emergente de U06.4"
"U065" "Uso emergente de U06.5"
"U066" "Uso emergente de U06.6"
"U067" "Uso emergente de U06.7"
"U068" "Uso emergente de U06.8"
"U069" "Uso emergente de U06.9"
"U07" "COVID-19 virus identificado y no identificado"
"U070" "Uso emergente de U07.0"
"U071" "COVID-19 virus identificado"
"U072" "COVID-19 virus no identificado"
"U073" "Uso emergente de U07.3"
"U074" "Uso emergente de U07.4"
"U075" "Uso emergente de U07.5"
"U076" "Uso emergente de U07.6"
"U077" "Uso emergente de U07.7"
"U078" "Uso emergente de U07.8"
"U079" "Uso emergente de U07.9"
"U80" "Agente bacteriano resistente a penicilina u antibiticos similares"
"U800" "Agente bacteriano resistente a penicilina"
"U801" "Agente bacteriano resistente a meticilina"
"U808" "Agente bacteriano resistente a otro antibitico similar a la penicilina"
"U81" "Agente bacteriano resistente a vancomicina u antibiticos similares"
"U810" "Agente bacteriano resistente a vancomicina"
"U818" "Agente bacteriano resistente a otro antibitico similar a la vancomicina"
"U82" "Resistencia a antibiticos betalactmicos"
"U820" "Resistencia a penicilina "
"U821" "Resistencia a meticilina"
"U822" "Resistencia a betalactamasa de espectro extendido (BLEE)"
"U828" "Resistencia a otros antibiticos betalctamicos "
"U829" "Resistencia a antibiticos betalctamicos, no especificados"
"U83" "Resistencia a otros antibiticos"
"U830" "Resistencia a vancomicina "
"U831" "Resistencia a otros antibiticos similares a vanco"
"U832" "Resistencia a quinolonas"
"U837" "Resistencia a mltiples antibiticos "
"U838" "Resistencia a otros antibiticos nicos especifica"
"U839" "Resistencia a antibiticos no especificados "
"U84" "Resistencia a otras drogas antimicrobianas"
"U840" "Resistencia a drogas antiparasitarias"
"U841" "Resistencia a drogas antimicticas"
"U842" "Resistencia a drogas antivirales"
"U843" "Resistencia a drogas antituberculosas"
"U847" "Resistencia a mltiples drogas antimicrobianas"
"U848" "Resistencia a otras drogas antimicrobianas especif"
"U849" "Resistencia a drogas antimicrobianas no especifica"
"U85" "Resistencia a drogas antineoplsicas"
"U88" "Agente bacteriano resistente a mltiples antibiticos"
"U89" "Agente bacteriano resistente a otros antibiticos y a los antibiticos no especificados"
"U898" "Agente bacteriano resistente a otro antibitico nico especificado"
"U899" "Agente bacteriano resistente a antibitico no especificado"
"U95" "Marea roja"
"U96" "Intoxicacin alimentaria por clenbuterol"
"U97" "Enfermeded febril exantemtica"
"U98" "Parlisis Flacida Aguda"
"U99" "Sndrome coqueluchoide"
"V01" "Peatn lesionado por colisin con vehculo de pedal"
"V010" "Peatn lesionado por colisin con vehculo de pedal, accidente no de trnsito"
"V011" "Peatn lesionado por colisin con vehculo de pedal, accidente de trnsito"
"V019" "Peatn lesionado por colisin con vehculo de pedal, accidente no especificado como de trnsito o no de trnsito"
"V02" "Peatn lesionado por colisin con vehculo de motor de dos o tres ruedas"
"V020" "Peatn lesionado por colisin con vehculo de motor de dos o tres ruedas, accidente no de trnsito"
"V021" "Peatn lesionado por colisin con vehculo de motor de dos o tres ruedas, accidente de trnsito"
"V029" "Peatn lesionado por colisin con vehculo  de motor de dos o tres ruedas, accidente no especificado como de trnsito o no de trnsito"
"V03" "Peatn lesionado por colisin con automvil, camioneta o furgoneta"
"V030" "Peatn lesionado por colisin con automvil, camioneta o furgoneta, accidente no de trnsito"
"V031" "Peatn lesionado por colisin con automvil, camioneta o furgoneta, accidente de trnsito"
"V039" "Peatn lesionado por colisin con automvil, camioneta o furgoneta, accidente no especificado como de trnsito o no de trnsito"
"V04" "Peatn lesionado por colisin con vehculo de transporte pesado o autobs"
"V040" "Peatn lesionado por colisin con vehculo de transporte pesado o autobs, accidente no de trnsito"
"V041" "Peatn lesionado por colisin con vehculo de transporte pesado o autobs, accidente de trnsito"
"V049" "Peatn lesionado por colisin con vehculo de transporte pesado o autobs, accidente no especificado como de trnsito o no de trnsito"
"V05" "Peatn lesionado por colisin con tren o vehculo de rieles"
"V050" "Peatn lesionado por colisin con tren o vehculo de rieles, accidente no de trnsito"
"V051" "Peatn lesionado por colisin con tren o vehculo de rieles, accidente de trnsito"
"V059" "Peatn lesionado por colisin con tren o vehculo de rieles, accidente no especificado como de trnsito o no de trnsito"
"V06" "Peatn lesionado por colisin con otros vehculos sin motor"
"V060" "Peatn lesionado por colisin con otros vehculos sin motor, accidente no de trnsito"
"V061" "Peatn lesionado por colisin con otros vehculos sin motor, accidente de trnsito"
"V069" "Peatn lesionado por colisin con otros vehculos sin motor, accidente no especificado como de trnsito o no de trnsito"
"V09" "Peatn lesionado en otros accidentes de transporte, y en los no especificados"
"V090" "Peatn lesionado en accidente no de trnsito que involucra otros vehculos de motor, y los no especificados"
"V091" "Peatn lesionado en accidente no de trnsito no especificado"
"V092" "Peatn lesionado en accidente de trnsito que involucra otros vehculos de motor, y los no especificados"
"V093" "Peatn lesionado en accidente de trnsito no especificado"
"V099" "Peatn lesionado en accidente de transporte no especificado"
"V10" "Ciclista lesionado por colisin con peatn o animal"
"V100" "Ciclista lesionado por colisin con peatn o animal, conductor lesionado en accidente no de trnsito"
"V101" "Ciclista lesionado por colisin con peatn o animal, pasajero lesionado en accidente no de trnsito"
"V102" "Ciclista lesionado por colisin con peatn o animal, ciclista no especificado, lesionado en accidente no de trnsito"
"V103" "Ciclista lesionado por colisin con peatn o animal, persona lesionada al subir o bajar del vehculo"
"V104" "Ciclista lesionado por colisin con peatn o animal, conductor lesionado en accidente de trnsito"
"V105" "Ciclista lesionado por colisin con peatn o animal, pasajero lesionado en accidente de trnsito"
"V109" "Ciclista lesionado por colisin con peatn o animal, ciclista no especificado, lesionado en accidente de trnsito"
"V11" "Ciclista lesionado por colisin con otro ciclista"
"V110" "Ciclista lesionado por colisin con otro ciclista, conductor lesionado en accidente no de trnsito"
"V111" "Ciclista lesionado por colisin con otro ciclista, pasajero lesionado en accidente no de trnsito"
"V112" "Ciclista lesionado por colisin con otro ciclista, ciclista no especificado, lesionado en accidente no de trnsito"
"V113" "Ciclista lesionado por colisin con otro ciclista, persona lesionada al subir o bajar del vehculo"
"V114" "Ciclista lesionado por colisin con otro ciclista, conductor lesionado en accidente de trnsito"
"V115" "Ciclista lesionado por colisin con otro ciclista, pasajero lesionado en accidente de trnsito"
"V119" "Ciclista lesionado por colisin con otro ciclista, ciclista no especificado, lesionado en accidente de trnsito"
"V12" "Ciclista lesionado por colisin con vehculo de motor de dos o tres ruedas."
"V120" "Ciclista lesionado por colisin con vehculo de motor de dos o tres ruedas, conductor lesionado en accidente no de trnsito"
"V121" "Ciclista lesionado por colisin con vehculo de motor de dos o tres ruedas, pasajero lesionado en accidentes no de trnsito"
"V122" "Ciclista lesionado por colisin con vehculo de motor de dos o tres ruedas, ciclista no especificado,  lesionado en accidente no de trnsito"
"V123" "Ciclista lesionado por colisin con vehculo de motor de dos o tres ruedas, persona lesionada al subir o bajar del vehculo"
"V124" "Ciclista lesionado por colisin con vehculo de motor de dos o tres ruedas, conductor lesionado en accidente de trnsito"
"V125" "Ciclista lesionado por colisin con vehculo de motor de dos o tres ruedas, pasajero lesionado en accidente de trnsito"
"V129" "Ciclista lesionado por colisin con vehculo de motor de dos o tres ruedas, ciclista no especificado, lesionado en accidente de trnsito"
"V13" "Ciclista lesionado por colisin con automvil, camioneta o furgoneta"
"V130" "Ciclista lesionado por colisin con automvil, camioneta o furgoneta, conductor lesionado en accidente no de trnsito"
"V131" "Ciclista lesionado por colisin con automvil, camioneta o furgoneta, pasajero lesionado en accidente no de trnsito"
"V132" "Ciclista lesionado por colisin con automvil, camioneta o furgoneta, ciclista no especificado lesionado en accidente no de trnsito"
"V133" "Ciclista lesionado por colisin con automvil, camioneta o furgoneta, persona lesionada al subir o bajar del vehculo"
"V134" "Ciclista lesionado por colisin con automvil, camioneta o furgoneta, conductor lesionado en accidente de trnsito"
"V135" "Ciclista lesionado por colisin con automvil, camioneta o furgoneta, pasajero lesionado en accidente de trnsito"
"V139" "Ciclista lesionado por colisin con automvil, camioneta o furgoneta, ciclista no especificado, lesionado en accidente de trnsito"
"V14" "Ciclista lesionado por colisin con vehculo de transporte pesado o autobs"
"V140" "Ciclista lesionado por colisin con vehculo de transporte pesado o autobs, conductor lesionado en accidente no de trnsito"
"V141" "Ciclista lesionado por colisin con vehculo de transporte pesado o autobs, pasajero lesionado en accidente no de trnsito"
"V142" "Ciclista lesionado por colisin con vehculo de transporte pesado o autobs, ciclista no especificado, lesionado en accidente no de trnsito"
"V143" "Ciclista lesionado por colisin con vehculo de transporte pesado o autobs, persona lesionada al subir o bajar del vehculo"
"V144" "Ciclista lesionado por colisin con vehculo de transporte pesado o autobs, conductor lesionado en accidente de trnsito"
"V145" "Ciclista lesionado por colisin con vehculo de transporte pesado o autobs, pasajero lesionado en accidente de trnsito"
"V149" "Ciclista lesionado por colisin con vehculo de transporte pesado o autobs, ciclista no especificado, lesionado en accidente de trnsito"
"V15" "Ciclista lesionado por colisin con tren o vehculo de rieles"
"V150" "Ciclista lesionado por colisin con tren o vehculo de rieles, conductor lesionado en accidente no de trnsito"
"V151" "Ciclista lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente no de trnsito"
"V152" "Ciclista lesionado por colisin con tren o vehculo de rieles, ciclista no especificado, lesionado en accidente no de trnsito"
"V153" "Ciclista lesionado por colisin con tren o vehculo de rieles, persona lesionada al subir o bajar del vehculo"
"V154" "Ciclista lesionado por colisin con tren o vehculo de rieles, conductor lesionado en accidente de trnsito"
"V155" "Ciclista lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente de trnsito"
"V159" "Ciclista lesionado por colisin con tren o vehculo de rieles, ciclista no especificado, lesionado en accidente de trnsito"
"V16" "Ciclista lesionado por colisin con otros vehculos sin motor"
"V160" "Ciclista lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente no de trnsito"
"V161" "Ciclista lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente no de trnsito"
"V162" "Ciclista lesionado por colisin con otros vehculos sin motor, ciclista no especificado, lesionado en accidente no de trnsito"
"V163" "Ciclista lesionado por colisin con otros vehculos sin motor, persona lesionada al subir o bajar del vehculo"
"V164" "Ciclista lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente de trnsito"
"V165" "Ciclista lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente de trnsito"
"V169" "Ciclista lesionado por colisin con otros vehculos sin motor, ciclista no especificado, lesionado en accidente de trnsito"
"V17" "Ciclista lesionado por colisin con objeto estacionado o fijo"
"V170" "Ciclista lesionado por colisin con objeto estacionado o fijo, conductor lesionado en accidente no de trnsito"
"V171" "Ciclista lesionado por colisin con objeto estacionado o fijo, pasajero lesionado en accidente no de trnsito"
"V172" "Ciclista lesionado por colisin con objeto estacionado o fijo, ciclista no especificado, lesionado en accidente no de trnsito"
"V173" "Ciclista lesionado por colisin con objeto estacionado o fijo, persona lesionada al subir o bajar del vehculo"
"V174" "Ciclista lesionado por colisin con objeto estacionado o fijo, conductor lesionado en accidente de trnsito"
"V175" "Ciclista lesionado por colisin con objeto estacionado o fijo, pasajero lesionado en accidente de trnsito"
"V179" "Ciclista lesionado por colisin con objeto estacionado o fijo, ciclista no especificado, lesionado en accidente de trnsito"
"V18" "Ciclista lesionado en accidente de transporte sin colisin"
"V180" "Ciclista lesionado en accidente de transporte sin colisin, conductor lesionado en accidente no de trnsito"
"V181" "Ciclista lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente no de trnsito"
"V182" "Ciclista lesionado en accidente de transporte sin colisin, ciclista no especificado, lesionado en accidente no de trnsito"
"V183" "Ciclista lesionado en accidente de transporte sin colisin, persona lesionada al subir o bajar del vehculo"
"V184" "Ciclista lesionado en accidente de transporte sin colisin, conductor lesionado en accidente de trnsito"
"V185" "Ciclista lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente de trnsito"
"V189" "Ciclista lesionado en accidente de transporte sin colisin, ciclista no especificado, lesionado en accidente de trnsito"
"V19" "Ciclista lesionado en otros accidentes de transporte, y en los no especificados."
"V190" "Conductor de vehculo de pedal lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V191" "Pasajero de vehculo de pedal lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V192" "Ciclista no especificado  lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V193" "Ciclista (cualquiera) lesionado en accidente no de transito, no especificado"
"V194" "Conductor de vehculo de pedal lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V195" "Pasajero de vehculo de pedal lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V196" "Ciclista no especificado lesionado por colisin con otros vehculos de motor, y con los no especificado, en accidente de trnsito"
"V198" "Ciclista [cualquiera] lesionado en otros accidentes de transporte especificados"
"V199" "Ciclista [cualquiera] lesionado en accidente de trnsito no especificado"
"V20" "Motociclista lesionado por colisin con peatn o animal"
"V200" "Motociclista lesionado por colisin con peatn o animal, conductor lesionado en accidente no de trnsito"
"V201" "Motociclista lesionado por colisin con peatn o animal, pasajero lesionado en accidente no de trnsito"
"V202" "Motociclista lesionado por colisin con peatn o animal, motociclista no especificado, lesionado en accidente no de trnsito"
"V203" "Motociclista lesionado por colisin con peatn o animal, persona lesionada al subir o bajar del vehculo"
"V204" "Motociclista lesionado por colisin con peatn o animal, conductor lesionado en accidente de trnsito"
"V205" "Motociclista lesionado por colisin con peatn o animal, pasajero lesionado en accidente de trnsito"
"V209" "Motociclista lesionado por colisin con peatn o animal, motociclista no especificado, lesionado en accidente de trnsito"
"V21" "Motociclista lesionado por colisin con vehculo de pedal"
"V210" "Motociclista lesionado por colisin con vehculo de pedal, conductor lesionado en accidente no de trnsito"
"V211" "Motociclista lesionado por colisin con vehculo de pedal, pasajero lesionado en accidente no de trnsito"
"V212" "Motociclista lesionado por colisin con vehculo de pedal, motociclista no especificado, lesionado en accidente no de trnsito"
"V213" "Motociclista lesionado por colisin con vehculo de pedal, persona lesionada al subir o bajar del vehculo"
"V214" "Motociclista lesionado por colisin con vehculo de pedal, conductor lesionado en accidente de trnsito"
"V215" "Motociclista lesionado por colisin con vehculo de pedal, pasajero lesionado en accidente de trnsito"
"V219" "Motociclista lesionado por colisin con vehculo de pedal, motociclista no especificado, lesionado en accidente de trnsito"
"V22" "Motociclista lesionado por colisin con vehculo de motor de dos o tres ruedas"
"V220" "Motociclista lesionado por colisin con vehculo de motor de dos o tres ruedas, conductor lesionado en accidente no de trnsito"
"V221" "Motociclista lesionado por colisin con vehculo de motor de dos o tres ruedas, pasajero lesionado en accidente no de trnsito"
"V222" "Motociclista lesionado por colisin con vehculo de motor de dos o tres ruedas, motociclista no especificado, lesionado en accidente no de trnsito"
"V223" "Motociclista lesionado por colisin con vehculo de motor de dos o tres ruedas, persona lesionada al subir o bajar del vehculo"
"V224" "Motociclista lesionado por colisin con vehculo de motor de dos o tres ruedas, conductor lesionado en accidente de trnsito"
"V225" "Motociclista lesionado por colisin con vehculo de motor de dos o tres ruedas, pasajero lesionado en accidente de trnsito"
"V229" "Motociclista lesionado por colisin con vehculo de motor de dos o tres ruedas, motociclista no especificado, lesionado en accidente de trnsito"
"V23" "Motociclista lesionado por colisin con automvil, camioneta o furgoneta"
"V230" "Motociclista lesionado por colisin con automvil, camioneta o furgoneta, conductor lesionado en accidente no de trnsito"
"V231" "Motociclista lesionado por colisin con automvil, camioneta o furgoneta, pasajero  lesionado en accidente no de trnsito"
"V232" "Motociclista lesionado por colisin con automvil, camioneta o furgoneta, motociclista no especificado lesionado en accidente no de trnsito"
"V233" "Motociclista lesionado por colisin con automvil, camioneta o furgoneta, persona lesionada al subir o bajar del vehculo"
"V234" "Motociclista lesionado por colisin con automvil, camioneta o furgoneta, conductor lesionado en accidente de trnsito"
"V235" "Motociclista lesionado por colisin con automvil, camioneta o furgoneta, pasajero lesionado en accidente de trnsito"
"V239" "Motociclista lesionado por colisin con automvil, camioneta o furgoneta, motociclista no especificado, lesin en accidente de trnsito"
"V24" "Motociclista lesionado por colisin con vehculo de transporte pesado o autobs"
"V240" "Motociclista lesionado por colisin con vehculo de transporte pesado o autobs, conductor lesionado en accidente no de trnsito"
"V241" "Motociclista lesionado por colisin con vehculo de transporte pesado o autobs, pasajero lesionado en accidente no de trnsito"
"V242" "Motociclista lesionado por colisin con vehculo de transporte pesado o autobs, motociclista no especificado, lesionado en accidente no de trnsito"
"V243" "Motociclista lesionado por colisin con vehculo de transporte pesado o autobs, persona lesionada al subir o bajar del vehculo"
"V244" "Motociclista lesionado por colisin con vehculo de transporte pesado o autobs, conductor lesionado en accidente de trnsito"
"V245" "Motociclista lesionado por colisin con vehculo de transporte pesado o autobs, pasajero lesionado en accidente de trnsito"
"V249" "Motociclista lesionado por colisin con vehculo de transporte pesado o autobs, motociclista no especificado, lesionado en accidente de trnsito"
"V25" "Motociclista lesionado por colisin con tren o vehculo de rieles"
"V250" "Motociclista lesionado por colisin con tren o vehculo de rieles, conductor lesionado en accidente no de trnsito"
"V251" "Motociclista lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente no de trnsito"
"V252" "Motociclista lesionado por colisin con tren o vehculo de rieles, motociclista no especificado, lesionado en accidente no de trnsito"
"V253" "Motociclista lesionado por colisin con tren o vehculo de rieles, persona lesionada al subir o bajar del vehculo"
"V254" "Motociclista lesionado por colisin con tren o vehculo de rieles, conductor lesionado en accidente de trnsito"
"V255" "Motociclista lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente de trnsito"
"V259" "Motociclista lesionado por colisin con tren o vehculo de rieles, motociclista no especificado, lesionado en accidente de trnsito"
"V26" "Motociclista lesionado por colisin con otros vehculos sin motor"
"V260" "Motociclista lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente no de trnsito"
"V261" "Motociclista lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente no de trnsito"
"V262" "Motociclista lesionado por colisin con otros vehculos sin motor, motociclista no especificado, lesionado en accidente no de trnsito"
"V263" "Motociclista lesionado por colisin con otros vehculos sin motor, persona lesionada al subir o bajar del vehculo"
"V264" "Motociclista lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente de trnsito"
"V265" "Motociclista lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente de trnsito"
"V269" "Motociclista lesionado por colisin con otros vehculos sin motor, motociclista no especificado, lesionado en accidente de trnsito"
"V27" "Motociclista lesionado por colisin con objeto fijo o estacionado"
"V270" "Motociclista lesionado por colisin con objeto fijo o estacionado, conductor lesionado en accidente no de trnsito"
"V271" "Motociclista lesionado por colisin con objeto fijo o estacionado, pasajero lesionado en accidente no de trnsito"
"V272" "Motociclista lesionado por colisin con objeto fijo o estacionado, motociclista no especificado, lesionado en accidente no de trnsito"
"V273" "Motociclista lesionado por colisin con objeto fijo o estacionado, persona lesionada al subir o bajar del vehculo"
"V274" "Motociclista lesionado por colisin con objeto fijo o estacionado, conductor lesionado en accidente de trnsito"
"V275" "Motociclista lesionado por colisin con objeto fijo o estacionado, pasajero lesionado en accidente de trnsito"
"V279" "Motociclista lesionado por colisin con objeto fijo o estacionado, motociclista no especificado, lesionado en accidente de trnsito"
"V28" "Motociclista lesionado en accidente de transporte sin colisin"
"V280" "Motociclista lesionado en accidente de transporte sin colisin, conductor lesionado en accidente no de trnsito"
"V281" "Motociclista lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente no de trnsito"
"V282" "Motociclista lesionado en accidente de transporte sin colisin, motociclista no especificado, lesionado en accidente no de trnsito"
"V283" "Motociclista lesionado en accidente de transporte sin colisin, persona lesionada al subir o bajar del vehculo"
"V284" "Motociclista lesionado en accidente de transporte sin colisin, conductor lesionado en accidente de trnsito"
"V285" "Motociclista lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente de trnsito"
"V289" "Motociclista lesionado en accidente de transporte sin colisin, motociclista no especificado, lesionado en accidente de trnsito"
"V29" "Motociclista lesionado en otros accidentes de transporte, y en los no especificados"
"V290" "Conductor de motocicleta lesionado por colisin con otros vehculos de motor, y con los no especificados en accidente no de trnsito"
"V291" "Pasajero de motocicleta lesionado por colisin con otros vehculos de motor, y con los no especificados en accidente no de trnsito"
"V292" "Motociclista no especificado lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V293" "Motociclista [cualquiera] lesionado en accidente no de trnsito, no especificado"
"V294" "Conductor de motocicleta lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V295" "Pasajero de motocicleta lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V296" "Motociclista no especificado lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V298" "Motociclista [cualquiera] lesionado en otros accidentes de transporte especificados"
"V299" "Motociclista [cualquiera] lesionado en accidente de trnsito no especificado"
"V30" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con peatn o animal"
"V300" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con peatn o animal, conductor lesionado en accidente no de trnsito"
"V301" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con peatn o animal, pasajero lesionado en accidente no de trnsito"
"V302" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con peatn o animal, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V303" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con peatn o animal, ocupante no especificado de vehculo de motor de tres ruedas lesionado en accidente no de trnsito"
"V304" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con peatn o animal, persona lesionada al subir o bajar del vehculo"
"V305" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con peatn o animal, conductor lesionado en accidente de trnsito"
"V306" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con peatn o animal, pasajero lesionado en accidente de trnsito"
"V307" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con peatn o animal, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V309" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con peatn o animal, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente de trnsito"
"V31" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de pedal"
"V310" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de pedal, conductor lesionado en accidente no de trnsito"
"V311" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de pedal, pasajero lesionado en accidente no de trnsito"
"V312" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de pedal, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V313" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de pedal, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente no de trnsito"
"V314" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de pedal, persona lesionada al subir o bajar del vehculo"
"V315" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de pedal, conductor lesionado en accidente de trnsito"
"V316" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de pedal, pasajero lesionado en accidente de trnsito"
"V317" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de pedal, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V319" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de pedal, ocupante no especificado de vehculo de motor de tres ruedas,  lesionado en accidente de trnsito"
"V32" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otro vehculo de motor de dos o tres ruedas"
"V320" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otro vehculo de motor de dos o tres ruedas, conductor lesionado en accidente no de trnsito"
"V321" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otro vehculo de motor de dos o tres ruedas, pasajero lesionado en accidente no de trnsito"
"V322" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otro vehculo de motor de dos o tres ruedas, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V323" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otro vehculo de motor de dos o tres ruedas, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente no de trnsito"
"V324" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otro vehculo de motor de dos o tres ruedas, persona lesionada al subir o bajar del vehculo"
"V325" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otro vehculo de motor de dos o tres ruedas, conductor lesionado en accidente de trnsito"
"V326" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otro vehculo de motor de dos o tres ruedas, pasajero lesionado en accidente de trnsito"
"V327" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otro vehculo de motor de dos o tres ruedas, persona que viaja  fuera del vehculo, lesionada en accidente de trnsito"
"V329" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otro vehculo de motor de dos o tres ruedas, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente de trnsito"
"V33" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con automvil, camioneta o furgoneta"
"V330" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con automvil, camioneta o furgoneta, conductor lesionado en accidente no de trnsito"
"V331" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con automvil, camioneta o furgoneta, pasajero lesionado en accidente no de trnsito"
"V332" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con automvil, camioneta o furgoneta, persona que viaja  fuera del vehculo, lesionada en accidente no de trnsito"
"V333" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con automvil, camioneta o furgoneta, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente no de trnsito"
"V334" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con automvil, camioneta o furgoneta, persona lesionada al subir o bajar del vehculo"
"V335" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con automvil, camioneta o furgoneta, conductor lesionado en accidente de trnsito"
"V336" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con automvil, camioneta o furgoneta, pasajero lesionado en accidente de trnsito"
"V337" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con automvil, camioneta o furgoneta, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V339" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con automvil, camioneta o furgoneta, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente de trnsito"
"V34" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de transporte pesado o autobs"
"V340" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de transporte pesado o autobs, conductor lesionado en accidente no de trnsito"
"V341" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de transporte pesado o autobs, pasajero lesionado en accidente no de trnsito"
"V342" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de transporte pesado o autobs, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V343" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de transporte pesado o autobs, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente no de trnsito"
"V344" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de transporte pesado o autobs, persona lesionada al subir o bajar del vehculo"
"V345" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de transporte pesado o autobs, conductor lesionado en accidente de trnsito"
"V346" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de transporte pesado o autobs, pasajero lesionado en accidente de trnsito"
"V347" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de transporte pesado o autobs, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V349" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con vehculo de transporte pesado o autobs, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente de trnsito"
"V35" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con tren o vehculo de rieles"
"V350" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con tren o vehculo de rieles, conductor lesionado en accidente no de trnsito"
"V351" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente no de trnsito"
"V352" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con tren o vehculo de rieles, persona que viaja  fuera del vehculo, lesionada en accidente no de trnsito"
"V353" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con tren o vehculo de rieles, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente no de trnsito"
"V354" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con tren o vehculo de rieles, persona lesionada al subir o bajar del vehculo"
"V355" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con tren o vehculo de rieles, conductor lesionado en accidente de trnsito"
"V356" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente de trnsito"
"V357" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con tren o vehculo de rieles, persona que viaja  fuera del vehculo, lesionada en accidente de trnsito"
"V359" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con tren o vehculo de rieles, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente de trnsito"
"V36" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos sin motor"
"V360" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente no de trnsito"
"V361" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente no de trnsito"
"V362" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos sin motor, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V363" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos sin motor, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente no de trnsito"
"V364" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos sin motor, persona lesionada al subir o bajar del vehculo"
"V365" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente de trnsito"
"V366" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente de trnsito"
"V367" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos sin motor, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V369" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos sin motor, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente de trnsito"
"V37" "Ocupante de vehculo de motor de tres ruedas lesionado por  colisin con objeto fijo o estacionado"
"V370" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con objeto fijo o estacionado, conductor lesionado en accidente no de trnsito"
"V371" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con objeto fijo o estacionado, pasajero lesionado en accidente no de trnsito"
"V372" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con objeto fijo o estacionado, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V373" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con objeto fijo o estacionado, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente no de trnsito"
"V374" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con objeto fijo o estacionado, persona lesionada al subir o bajar del vehculo"
"V375" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con objeto fijo o estacionado, conductor lesionado en accidente de trnsito"
"V376" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con objeto fijo o estacionado, pasajero lesionado en accidente de trnsito"
"V377" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con objeto fijo o estacionado, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V379" "Ocupante de vehculo de motor de tres ruedas lesionado por colisin con objeto fijo o estacionado, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente de trnsito"
"V38" "Ocupante de vehculo de motor de tres ruedas lesionado en accidente de transporte sin colisin"
"V380" "Ocupante de vehculo de motor de tres ruedas lesionado en accidente de transporte sin colisin, conductor lesionado en accidente no de trnsito"
"V381" "Ocupante de vehculo de motor de tres ruedas lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente no de trnsito"
"V382" "Ocupante de vehculo de motor de tres ruedas lesionado en accidente de transporte sin colisin, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V383" "Ocupante de vehculo de motor de tres ruedas lesionado en accidente de transporte sin colisin, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente no de trnsito"
"V384" "Ocupante de vehculo de motor de tres ruedas lesionado en accidente de transporte sin colisin, persona  lesionada al subir o bajar del vehculo"
"V385" "Ocupante de vehculo de motor de tres ruedas lesionado en accidente de transporte sin colisin, conductor lesionado en accidente de trnsito"
"V386" "Ocupante de vehculo de motor de tres ruedas lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente de trnsito"
"V387" "Ocupante de vehculo de motor de tres ruedas lesionado en accidente de transporte sin colisin, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V389" "Ocupante de vehculo de motor de tres ruedas lesionado en accidente de transporte sin colisin, ocupante no especificado de vehculo de motor de tres ruedas, lesionado en accidente de trnsito"
"V39" "Ocupante de vehculo de motor de tres ruedas lesionado en otros accidentes de transporte, y en los no especificados"
"V390" "Conductor de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V391" "Pasajero de  vehculo de motor de tres ruedas lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V392" "Ocupante no especificado de  vehculo de motor de tres ruedas lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V393" "Ocupante [cualquiera] de vehculo de motor de tres ruedas lesionado en accidente no de trnsito, no especificado"
"V394" "Conductor de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V395" "Pasajero de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V396" "Ocupante no especificado de vehculo de motor de tres ruedas lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V398" "Ocupante [cualquiera] de vehculo de motor de tres ruedas lesionado en otros accidentes de transporte especificados"
"V399" "Ocupante [cualquiera] de vehculo de motor de tres ruedas lesionado en accidente de trnsito no especificado"
"V40" "Ocupante de automvil lesionado por colisin con peatn o animal"
"V400" "Ocupante de automvil lesionado por colisin con peatn o animal, conductor lesionado en accidente no de trnsito"
"V401" "Ocupante de automvil lesionado por colisin con peatn o animal, pasajero lesionado en accidente no de trnsito"
"V402" "Ocupante de automvil lesionado por colisin con peatn o animal, persona  que viaja fuera del vehculo, lesionada en  accidente no de trnsito"
"V403" "Ocupante de automvil lesionado por colisin con peatn o animal, ocupante no especificado de  automvil, lesionado en accidente no de trnsito"
"V404" "Ocupante de automvil lesionado por colisin con peatn o animal, persona lesionada al subir o bajar del vehculo"
"V405" "Ocupante de automvil lesionado por colisin con peatn o animal, conductor lesionado en accidente de trnsito"
"V406" "Ocupante de automvil lesionado por colisin con peatn o animal, pasajero lesionado en accidente de trnsito"
"V407" "Ocupante de automvil lesionado por colisin con peatn o animal, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V409" "Ocupante de automvil lesionado por colisin con peatn o animal, ocupante no especificado de automvil, lesionado en accidente de trnsito"
"V41" "Ocupante de automvil lesionado por colisin con vehculo de pedal"
"V410" "Ocupante de automvil lesionado por colisin con vehculo de pedal, conductor lesionado en accidente no de trnsito"
"V411" "Ocupante de automvil lesionado por colisin con vehculo de pedal, pasajero lesionado en accidente no de trnsito"
"V412" "Ocupante de automvil lesionado por colisin con vehculo de pedal, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V413" "Ocupante de automvil lesionado por colisin con vehculo de pedal, ocupante no especificado de automvil, lesionado en accidente no de trnsito"
"V414" "Ocupante de automvil lesionado por colisin con vehculo de pedal, persona lesionada al subir o bajar del vehculo"
"V415" "Ocupante de automvil lesionado por colisin con vehculo de pedal, conductor lesionado en accidente de trnsito"
"V416" "Ocupante de automvil lesionado por colisin con vehculo de pedal, pasajero lesionado en accidente de trnsito"
"V417" "Ocupante de automvil lesionado por colisin con vehculo de pedal, persona que viaja  fuera del vehculo, lesionada en accidente de trnsito"
"V419" "Ocupante de automvil lesionado por colisin con vehculo de pedal, ocupante no especificado de automvil, lesionado en accidente de trnsito"
"V42" "Ocupante de automvil lesionado por colisin con vehculo de motor de dos o tres ruedas"
"V420" "Ocupante de automvil lesionado por colisin con vehculo de motor de dos o tres ruedas, conductor lesionado en accidente no de trnsito"
"V421" "Ocupante de automvil lesionado por colisin con vehculo de motor de dos o tres ruedas, pasajero lesionado en accidente no de trnsito"
"V422" "Ocupante de automvil lesionado por colisin con vehculo de motor de dos o tres ruedas, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V423" "Ocupante de automvil lesionado por colisin con vehculo de motor de dos o tres ruedas, ocupante no especificado de automvil, lesionado en accidente no de trnsito"
"V424" "Ocupante de automvil lesionado por colisin con vehculo de motor de dos o tres ruedas, persona lesionada al subir o bajar del vehculo"
"V425" "Ocupante de automvil lesionado por colisin con vehculo de motor de dos o tres ruedas, conductor lesionado en accidente de trnsito"
"V426" "Ocupante de automvil lesionado por colisin con vehculo de motor de dos o tres ruedas, pasajero lesionado en accidente de trnsito"
"V427" "Ocupante de automvil lesionado por colisin con vehculo de motor de dos o tres ruedas, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V429" "Ocupante de automvil lesionado por colisin con vehculo de motor de dos o tres ruedas, ocupante no especificado de automvil, lesionado en accidente de trnsito"
"V43" "Ocupante de automvil lesionado por colisin con otro automvil, camioneta o furgoneta"
"V430" "Ocupante de automvil lesionado por colisin con otro automvil, camioneta o furgoneta, conductor lesionado en  accidente no de trnsito"
"V431" "Ocupante de automvil lesionado por colisin con otro automvil, camioneta o furgoneta, pasajero lesionado en accidente no de trnsito"
"V432" "Ocupante de automvil lesionado por colisin con otro automvil, camioneta o furgoneta, persona que viaja  fuera del  vehculo, lesionada en accidente no de trnsito"
"V433" "Ocupante de automvil lesionado por colisin con otro automvil, camioneta o furgoneta, ocupante no especificado de automvil, lesionado en accidente no de trnsito"
"V434" "Ocupante de automvil lesionado por colisin con otro automvil, camioneta o furgoneta, persona lesionada al subir o bajar del vehculo"
"V435" "Ocupante de automvil lesionado por colisin con otro automvil, camioneta o furgoneta, conductor lesionado en accidente de trnsito"
"V436" "Ocupante de automvil lesionado por colisin con otro automvil, camioneta o furgoneta, pasajero lesionado en accidente de trnsito"
"V437" "Ocupante de automvil lesionado por colisin con otro automvil, camioneta o furgoneta, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V439" "Ocupante de automvil lesionado por colisin con otro automvil, camioneta o furgoneta, ocupante no especificado de automvil, lesionado en accidente de trnsito"
"V44" "Ocupante de automvil lesionado por colisin con  vehculo de transporte pesado o autobs"
"V440" "Ocupante de automvil lesionado por colisin con vehculo de transporte pesado o autobs, conductor lesionado en accidente no de trnsito"
"V441" "Ocupante de automvil lesionado por colisin con vehculo de transporte pesado o autobs, pasajero lesionado en accidente no de trnsito"
"V442" "Ocupante de automvil lesionado por colisin con vehculo de transporte pesado o autobs, persona que viaja fuera del  vehculo, lesionada en accidente no de trnsito"
"V443" "Ocupante de automvil lesionado por colisin con vehculo de transporte pesado o autobs , ocupante no especificado de automvil, lesionado en accidente no de trnsito"
"V444" "Ocupante de automvil lesionado por colisin con vehculo de transporte pesado o autobs , persona lesionada al subir o bajar del vehculo"
"V445" "Ocupante de automvil lesionado por colisin con vehculo de transporte pesado o autobs , conductor lesionado en accidente de trnsito"
"V446" "Ocupante de automvil lesionado por colisin con vehculo de transporte pesado o autobs , pasajero lesionado en accidente de trnsito"
"V447" "Ocupante de automvil lesionado por colisin con vehculo de transporte pesado o autobs, persona que viaja fuera del  vehculo, lesionada en accidente de trnsito"
"V449" "Ocupante de automvil lesionado por colisin con vehculo de transporte pesado o autobs , ocupante no especificado de automvil, lesionado en  accidente de trnsito"
"V45" "Ocupante de automvil lesionado por colisin con tren o vehculo de rieles"
"V450" "Ocupante de automvil lesionado por colisin con tren o vehculo de rieles, conductor lesionado en accidente no de trnsito"
"V451" "Ocupante de automvil lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente no de trnsito"
"V452" "Ocupante de automvil lesionado por colisin con tren o vehculo de rieles, persona que viaja fuera del  vehculo, lesionada en accidente no de trnsito"
"V453" "Ocupante de automvil lesionado por colisin con tren o vehculo de rieles, ocupante no especificado de automvil, lesionado en accidente no de trnsito"
"V454" "Ocupante de automvil lesionado por colisin con tren o vehculo de rieles, persona lesionada al subir o bajar del vehculo"
"V455" "Ocupante de automvil lesionado por colisin con tren o vehculo de rieles, conductor lesionado en accidente de trnsito"
"V456" "Ocupante de automvil lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente de trnsito"
"V457" "Ocupante de automvil lesionado por colisin con tren o vehculo de rieles, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V459" "Ocupante de automvil lesionado por colisin con tren o vehculo de rieles, ocupante no especificado de automvil, lesionado en accidente de trnsito"
"V46" "Ocupante de automvil lesionado por colisin con otros vehculos sin motor"
"V460" "Ocupante de automvil lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente no de trnsito"
"V461" "Ocupante de automvil lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente no de trnsito"
"V462" "Ocupante de automvil lesionado por colisin con otros vehculos sin motor, persona que viaja fuera del  vehculo, lesionada en  accidente no de trnsito"
"V463" "Ocupante de automvil lesionado por colisin con otros vehculos sin motor, ocupante no especificado de automvil, lesionado  en  accidente no de trnsito"
"V464" "Ocupante de automvil lesionado por colisin con otros vehculos sin motor, persona lesionada al subir o bajar del vehculo"
"V465" "Ocupante de automvil lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente de trnsito"
"V466" "Ocupante de automvil lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente de trnsito"
"V467" "Ocupante de automvil lesionado por colisin con otros vehculos sin motor, persona que viaja fuera del  vehculo, lesionada en  accidente de trnsito"
"V469" "Ocupante de automvil lesionado por colisin con otros vehculos sin motor, ocupante no especificado de automvil, lesionado en accidente de trnsito"
"V47" "Ocupante de automvil lesionado por colisin con objeto fijo o estacionado"
"V470" "Ocupante de automvil lesionado  por  colisin con objeto fijo o estacionado, conductor lesionado en accidente no de trnsito"
"V471" "Ocupante de automvil lesionado  por  colisin con objeto fijo o estacionado, pasajero lesionado en accidente no de trnsito"
"V472" "Ocupante de automvil lesionado  por  colisin con objeto fijo o estacionado, persona que viaja fuera del  vehculo, lesionada en  accidente no de trnsito"
"V473" "Ocupante de automvil lesionado  por  colisin con objeto fijo o estacionado, ocupante no especificado de automvil, lesionado  en  accidente no de trnsito"
"V474" "Ocupante de automvil lesionado  por  colisin con objeto fijo o estacionado, persona lesionada al subir o bajar del vehculo"
"V475" "Ocupante de automvil lesionado  por  colisin con objeto fijo o estacionado, conductor lesionado en accidente de trnsito"
"V476" "Ocupante de automvil lesionado  por  colisin con objeto fijo o estacionado, pasajero lesionado en accidente de trnsito"
"V477" "Ocupante de automvil lesionado  por  colisin con objeto fijo o estacionado, persona que viaja fuera del  vehculo, lesionada en accidente de trnsito"
"V479" "Ocupante de automvil lesionado  por  colisin con objeto fijo o estacionado, ocupante no especificado de automvil, lesionado en accidente de trnsito"
"V48" "Ocupante de automvil lesionado en accidente de transporte sin colisin"
"V480" "Ocupante de automvil lesionado en accidente de transporte sin colisin, conductor lesionado en accidente no de trnsito"
"V481" "Ocupante de automvil lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente no de trnsito"
"V482" "Ocupante de automvil lesionado en accidente de transporte sin colisin, persona que viaja  fuera del vehculo, lesionada en accidente no de trnsito"
"V483" "Ocupante de automvil lesionado en accidente de transporte sin colisin, ocupante no especificado de automvil, lesionado en accidente no de trnsito"
"V484" "Ocupante de automvil lesionado en accidente de transporte sin colisin, persona lesionada al subir o bajar del vehculo"
"V485" "Ocupante de automvil lesionado en accidente de transporte sin colisin, conductor lesionado en accidente de trnsito"
"V486" "Ocupante de automvil lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente de trnsito"
"V487" "Ocupante de automvil lesionado en accidente de transporte sin colisin, persona que viaja  fuera del vehculo, lesionada en accidente de trnsito"
"V489" "Ocupante de automvil lesionado en accidente de transporte sin colisin, ocupante no especificado de automvil, lesionado en accidente de trnsito"
"V49" "Ocupante de automvil lesionado en otros accidentes de transporte, y en los no especificados"
"V490" "Conductor de automvil lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V491" "Pasajero de automvil lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V492" "Ocupante no especificado de automvil lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V493" "Ocupante (cualquiera) de automvil lesionado en accidente no de trnsito, no especificado"
"V494" "Conductor de automvil lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V495" "Pasajero de automvil lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V496" "Ocupante no especificado de automvil lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V498" "Ocupante (cualquiera) de automvil lesionado en otros accidentes de transporte especificados"
"V499" "Ocupante (cualquiera) de automvil lesionado en accidente de trnsito no especificado"
"V50" "Ocupante de camioneta o furgoneta lesionado por colisin con peatn o animal"
"V500" "Ocupante de camioneta o furgoneta lesionado por colisin con peatn o animal, conductor lesionado en accidente no de trnsito"
"V501" "Ocupante de camioneta o furgoneta lesionado por colisin con peatn o animal, pasajero lesionado en accidente no de trnsito"
"V502" "Ocupante de camioneta o furgoneta lesionado por colisin con peatn o animal, persona que viaja  fuera del vehculo, lesionada en accidente no de trnsito"
"V503" "Ocupante de camioneta o furgoneta lesionado por colisin con peatn o animal, ocupante no especificado de camioneta o furgoneta, lesionado en accidente no de trnsito"
"V504" "Ocupante de camioneta o furgoneta lesionado por colisin con peatn o animal, persona lesionada al subir o bajar del vehculo"
"V505" "Ocupante de camioneta o furgoneta lesionado por colisin con peatn o animal, conductor lesionado en accidente de trnsito"
"V506" "Ocupante de camioneta o furgoneta lesionado por colisin con peatn o animal, pasajero lesionado en accidente de trnsito"
"V507" "Ocupante de camioneta o furgoneta lesionado por colisin con peatn o animal, persona que viaja  fuera del vehculo, lesionada en accidente de trnsito"
"V509" "Ocupante de camioneta o furgoneta lesionado por colisin con peatn o animal, ocupante no especificado de camioneta o furgoneta, lesionado en accidente de trnsito"
"V51" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de pedal"
"V510" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de pedal, conductor lesionado en accidente no de trnsito"
"V511" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de pedal, pasajero lesionado en accidente no de trnsito"
"V512" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de pedal, persona que viaja  fuera del vehculo, lesionada en accidente no de trnsito"
"V513" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de pedal, ocupante no especificado de camioneta o furgoneta,  lesionado en accidente no de trnsito"
"V514" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de pedal, persona lesionada al subir o bajar del vehculo"
"V515" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de pedal, conductor lesionado en accidente de trnsito"
"V516" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de pedal, pasajero lesionado en accidente de trnsito"
"V517" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de pedal, persona que viaja  fuera del vehculo, lesionada en accidente de trnsito"
"V519" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de pedal, ocupante no especificado de camioneta o furgoneta,  lesionado en accidente de trnsito"
"V52" "Ocupante de camioneta  o furgoneta lesionado por colisin con vehculo de motor de dos o tres ruedas"
"V520" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de motor de dos o tres ruedas, conductor lesionado en accidente no de trnsito"
"V521" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de motor de dos o tres ruedas, pasajero lesionado en accidente no de trnsito"
"V522" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de motor de dos o tres ruedas, persona que viaja  fuera del vehculo, lesionada en accidente no de trnsito"
"V523" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de motor de dos o tres ruedas, ocupante no especificado de camioneta o furgoneta, lesionado en accidente no de trnsito"
"V524" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de motor de dos o tres ruedas, persona lesionada al subir o bajar del vehculo"
"V525" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de motor de dos o tres ruedas, conductor lesionado en accidente de trnsito"
"V526" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de motor de dos o tres ruedas, pasajero lesionado en accidente de trnsito"
"V527" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de motor de dos o tres ruedas, persona que viaja fuera del  vehculo, lesionada en accidente de trnsito"
"V529" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de motor de dos o tres ruedas, ocupante no especificado de camioneta o furgoneta, lesionado en accidente de trnsito"
"V53" "Ocupante de camioneta o furgoneta lesionado por colisin con automvil, camioneta o furgoneta"
"V530" "Ocupante de camioneta o furgoneta lesionado por colisin con automvil, camioneta o furgoneta, conductor lesionado en accidente no de trnsito"
"V531" "Ocupante de camioneta o furgoneta lesionado por colisin con automvil, camioneta o furgoneta, pasajero lesionado en accidente no de trnsito"
"V532" "Ocupante de camioneta o furgoneta lesionado por colisin con automvil, camioneta o furgoneta, persona que viaja fuera del  vehculo, lesionada en accidente no de trnsito"
"V533" "Ocupante de camioneta o furgoneta lesionado por colisin con automvil, camioneta o furgoneta, ocupante no especificado de camioneta o furgoneta, lesionado en accidente no de trnsito"
"V534" "Ocupante de camioneta o furgoneta lesionado por colisin con automvil, camioneta o furgoneta, persona lesionada al subir o bajar del vehculo"
"V535" "Ocupante de camioneta o furgoneta lesionado por colisin con automvil, camioneta o furgoneta, conductor lesionado en accidente de trnsito"
"V536" "Ocupante de camioneta o furgoneta lesionado por colisin con automvil, camioneta o furgoneta, pasajero lesionado en accidente de trnsito"
"V537" "Ocupante de camioneta o furgoneta lesionado por colisin con automvil, camioneta o furgoneta, persona que viaja fuera del  vehculo, lesionada en accidente de trnsito"
"V539" "Ocupante de camioneta o furgoneta lesionado por colisin con automvil, camioneta o furgoneta, ocupante no especificado de  camioneta o furgoneta, lesionado en accidente de trnsito"
"V54" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de transporte pesado o autobs"
"V540" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de transporte pesado o autobs, conductor lesionado en accidente no de trnsito"
"V541" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de transporte pesado o autobs, pasajero lesionado en accidente no de trnsito"
"V542" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de transporte pesado o autobs, persona que viaja fuera del  vehculo, lesionada en  accidente no de trnsito"
"V543" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de transporte pesado o autobs, ocupante no especificado de  camioneta o furgoneta, lesionado en  accidente no de trnsito"
"V544" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de transporte pesado o autobs, persona lesionada al subir o bajar del vehculo"
"V545" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de transporte pesado o autobs, conductor lesionado en accidente de trnsito"
"V546" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de transporte pesado o autobs, pasajero lesionado en accidente de trnsito"
"V547" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de transporte pesado o autobs, persona que viaja fuera del  vehculo, lesionada en  accidente de trnsito"
"V549" "Ocupante de camioneta o furgoneta lesionado por colisin con vehculo de transporte pesado o autobs, ocupante no especificado de  camioneta o furgoneta, lesionado en  accidente de trnsito"
"V55" "Ocupante de camioneta o furgoneta lesionado por colisin con tren o vehculo de rieles"
"V550" "Ocupante de camioneta o furgoneta lesionado por colisin con tren o vehculo de rieles, conductor lesionado en accidente no de trnsito"
"V551" "Ocupante de camioneta o furgoneta lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente no de trnsito"
"V552" "Ocupante de camioneta o furgoneta lesionado por colisin con tren o vehculo de rieles, persona que viaja fuera del  vehculo, lesionada en accidente no de trnsito"
"V553" "Ocupante de camioneta o furgoneta lesionado por colisin con tren o vehculo de rieles, ocupante no especificado de camioneta o furgoneta, lesionado en accidente no de trnsito"
"V554" "Ocupante de camioneta o furgoneta lesionado por colisin con tren o vehculo de rieles, persona lesionada al subir o bajar del vehculo"
"V555" "Ocupante de camioneta o furgoneta lesionado por colisin con tren o vehculo de rieles, conductor lesionado en accidente de trnsito"
"V556" "Ocupante de camioneta o furgoneta lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente de trnsito"
"V557" "Ocupante de camioneta o furgoneta lesionado por colisin con tren o vehculo de rieles, persona que viaja fuera del  vehculo, lesionada en accidente de trnsito"
"V559" "Ocupante de camioneta o furgoneta lesionado por colisin con tren o vehculo de rieles, ocupante no especificado de  camioneta o furgoneta, lesionado en  accidente de trnsito"
"V56" "Ocupante de camioneta o furgoneta lesionado por colisin con otros vehculos sin motor"
"V560" "Ocupante de camioneta o furgoneta lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente no de trnsito"
"V561" "Ocupante de camioneta o furgoneta lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente no de trnsito"
"V562" "Ocupante de camioneta o furgoneta lesionado por colisin con otros vehculos sin motor, persona que viaja fuera del  vehculo, lesionada en accidente no de trnsito"
"V563" "Ocupante de camioneta o furgoneta lesionado por colisin con otros vehculos sin motor, ocupante no especificado de camioneta o furgoneta, lesionado en accidente no de trnsito"
"V564" "Ocupante de camioneta o furgoneta lesionado por colisin con otros vehculos sin motor, persona lesionada al subir o bajar del vehculo"
"V565" "Ocupante de camioneta o furgoneta lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente de trnsito"
"V566" "Ocupante de camioneta o furgoneta lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente de trnsito"
"V567" "Ocupante de camioneta o furgoneta lesionado por colisin con otros vehculos sin motor, persona que viaja fuera del  vehculo, lesionada en accidente de trnsito"
"V569" "Ocupante de camioneta o furgoneta lesionado por colisin con otros vehculos sin motor, ocupante no especificado de  camioneta o furgoneta, lesionado en accidente de trnsito"
"V57" "Ocupante de camioneta o furgoneta lesionado por colisin objeto fijo o estacionado"
"V570" "Ocupante de camioneta o furgoneta lesionado por colisin con objeto fijo o estacionado, conductor lesionado en accidente no de trnsito"
"V571" "Ocupante de camioneta o furgoneta lesionado por colisin con objeto fijo o estacionado, pasajero lesionado en accidente no de trnsito"
"V572" "Ocupante de camioneta o furgoneta lesionado por colisin con objeto fijo o estacionado, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V573" "Ocupante de camioneta o furgoneta lesionado por colisin con objeto fijo o estacionado, ocupante no especificado de  camioneta o furgoneta, lesionando en  accidente no de trnsito"
"V574" "Ocupante de camioneta o furgoneta lesionado por colisin con objeto fijo o estacionado, persona lesionada al subir o bajar del vehculo"
"V575" "Ocupante de camioneta o furgoneta lesionado por colisin con objeto fijo o estacionado, conductor lesionado en accidente de trnsito"
"V576" "Ocupante de camioneta o furgoneta lesionado por colisin con objeto fijo o estacionado, pasajero lesionado en accidente de trnsito"
"V577" "Ocupante de camioneta o furgoneta lesionado por colisin con objeto fijo o estacionado, persona que viaja fuera del  vehculo, lesionada en  accidente de trnsito"
"V579" "Ocupante de camioneta o furgoneta lesionado por colisin con objeto fijo o estacionado, ocupante no especificado de camioneta o furgoneta, lesionado en  accidente de trnsito"
"V58" "Ocupante de camioneta o furgoneta lesionado en accidente de transporte sin colisin"
"V580" "Ocupante de camioneta o furgoneta lesionado en accidente de transporte sin colisin, conductor lesionado en accidente no de trnsito"
"V581" "Ocupante de camioneta o furgoneta lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente no de trnsito"
"V582" "Ocupante de camioneta o furgoneta lesionado en accidente de transporte sin colisin, persona que viaja fuera del  vehculo, lesionada en  accidente no de trnsito"
"V583" "Ocupante de camioneta o furgoneta lesionado en accidente de transporte sin colisin, ocupante no especificado camioneta o furgoneta, lesionado en accidente no de trnsito"
"V584" "Ocupante de camioneta o furgoneta lesionado en accidente de transporte sin colisin, persona lesionada al subir o bajar del vehculo"
"V585" "Ocupante de camioneta o furgoneta lesionado en accidente de transporte sin colisin, conductor lesionado en accidente de trnsito"
"V586" "Ocupante de camioneta o furgoneta lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente de trnsito"
"V587" "Ocupante de camioneta o furgoneta lesionado en accidente de  transporte sin colisin, persona que viaja fuera del  vehculo, lesionada en accidente de trnsito"
"V589" "Ocupante de camioneta o furgoneta lesionado en accidente de  transporte sin colisin, ocupante no especificado de camioneta o furgoneta, lesionado en  accidente de trnsito"
"V59" "Ocupante de camioneta o furgoneta lesionado en otros accidentes de transporte, y en los no especificados"
"V590" "Conductor de camioneta o furgoneta lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V591" "Pasajero de camioneta o furgoneta lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V592" "Ocupante no especificado de camioneta o furgoneta lesionado  por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V593" "Ocupante [cualquiera] de camioneta o furgoneta lesionado en accidente no de trnsito, no especificado"
"V594" "Conductor de camioneta o furgoneta lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V595" "Pasajero de camioneta o furgoneta lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V596" "Ocupante no especificado de camioneta o furgoneta lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V598" "Ocupante [cualquiera] de camioneta o furgoneta lesionado en otros accidentes de transporte especificados"
"V599" "Ocupante [cualquiera] de camioneta o furgoneta lesionado en accidente de trnsito no especificado"
"V60" "Ocupante de vehculo de transporte pesado lesionado por colisin con peatn o animal"
"V600" "Ocupante de vehculo de transporte pesado lesionado por colisin con peatn o animal, conductor lesionado en accidente no de trnsito"
"V601" "Ocupante de vehculo de transporte pesado lesionado por colisin con peatn o animal, pasajero lesionado en accidente no de trnsito"
"V602" "Ocupante de vehculo de transporte pesado lesionado por colisin con peatn o animal, persona que viaja fuera del  vehculo, lesionada en  accidente no de trnsito"
"V603" "Ocupante de vehculo de transporte pesado lesionado por colisin con peatn o animal, ocupante no especificado de vehculo de transporte pesado lesionado en  accidente no de trnsito"
"V604" "Ocupante de vehculo de transporte pesado lesionado por colisin con peatn o animal, persona lesionada al subir o bajar del vehculo"
"V605" "Ocupante de vehculo de transporte pesado lesionado por colisin con peatn o animal, conductor lesionado en accidente de trnsito"
"V606" "Ocupante de vehculo de transporte pesado lesionado por colisin con peatn o animal, pasajero lesionado en accidente de trnsito"
"V607" "Ocupante de vehculo de transporte pesado lesionado por colisin con peatn o animal, persona que viaja fuera del  vehculo, lesionada en accidente de trnsito"
"V609" "Ocupante de vehculo de transporte pesado lesionado por colisin con peatn o animal, ocupante no especificado de vehculo de transporte pesado, lesionado en accidente de trnsito"
"V61" "Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de pedal"
"V610" "Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de pedal, conductor lesionado en accidente no de trnsito"
"V611" "Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de pedal, pasajero lesionado en accidente no de trnsito"
"V612" "Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de pedal, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V613" "Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de pedal, ocupante no especificado  de vehculo de transporte pesado lesionado en accidente no de trnsito"
"V614" "Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de pedal, persona lesionada al subir o bajar del vehculo"
"V615" "Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de pedal, conductor lesionado en accidente de trnsito"
"V616" "Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de pedal, pasajero lesionado en accidente de trnsito"
"V617" "Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de pedal, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V619" "Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de pedal, ocupante no especificado de vehculo  de transporte pesado lesionado en accidente de trnsito"
"V62" "Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de motor de dos o tres ruedas"
"V620" "Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de motor de dos o tres ruedas, conductor lesionado en accidente no de trnsito"
"V621" "Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de motor de dos o tres ruedas, pasajero lesionado en accidente no de trnsito"
"V622" "Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de motor de dos o tres ruedas, persona que viaja  fuera del vehculo, lesionada en accidente no de trnsito"
"V623" "Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de motor de dos o tres ruedas, ocupante no especificado de vehculo de transporte pesado lesionado en accidente no de trnsito"
"V624" "Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de motor de dos o tres ruedas, persona lesionada al subir o bajar del vehculo"
"V625" "Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de motor de dos o tres ruedas, conductor lesionado en accidente de trnsito"
"V626" "Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de motor de dos o tres ruedas, pasajero lesionado en accidente de trnsito"
"V627" "Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de motor de dos o tres ruedas, persona que viaja fuera del  vehculo, lesionada en accidente de trnsito"
"V629" "Ocupante de vehculo de transporte pesado lesionado por colisin con vehculo de motor de dos o tres ruedas, ocupante no especificado de vehculo de transporte pesado, lesionado en accidente de trnsito"
"V63" "Ocupante de vehculo de transporte pesado lesionado por colisin con automvil, camioneta o furgoneta"
"V630" "Ocupante de vehculo de transporte pesado lesionado por colisin con automvil, camioneta o furgoneta, conductor lesionado en accidente no de trnsito"
"V631" "Ocupante de vehculo de transporte pesado lesionado por colisin con automvil, camioneta o furgoneta, pasajero lesionado en accidente no de trnsito"
"V632" "Ocupante de vehculo de transporte pesado lesionado por colisin con automvil, camioneta o furgoneta, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V633" "Ocupante de vehculo de transporte pesado lesionado por colisin con automvil, camioneta o furgoneta, ocupante no especificado de vehculo  de transporte pesado lesionado en accidente no de trnsito"
"V634" "Ocupante de vehculo de transporte pesado lesionado por colisin con automvil, camioneta o furgoneta, persona lesionada al subir o bajar del vehculo"
"V635" "Ocupante de vehculo de transporte pesado lesionado por colisin con automvil, camioneta o furgoneta, conductor lesionado en accidente de trnsito"
"V636" "Ocupante de vehculo de transporte pesado lesionado por colisin con automvil, camioneta o furgoneta, pasajero lesionado en accidente de trnsito"
"V637" "Ocupante de vehculo de transporte pesado lesionado por colisin con automvil, camioneta o furgoneta, persona que viaja fuera del  vehculo, lesionada en accidente de trnsito"
"V639" "Ocupante de vehculo de transporte pesado lesionado por colisin con automvil, camioneta o furgoneta, ocupante no especificado de vehculo de transporte pesado, lesionado en accidente de trnsito"
"V64" "Ocupante de vehculo de transporte pesado lesionado por colisin con otro vehculo de transporte pesado o autobs"
"V640" "Ocupante de vehculo de transporte pesado lesionado por colisin con otro vehculo de transporte pesado o autobs, conductor lesionado en accidente no de trnsito"
"V641" "Ocupante de vehculo de transporte pesado lesionado por colisin con otro vehculo de transporte pesado o autobs, pasajero lesionado en accidente no de trnsito"
"V642" "Ocupante de vehculo de transporte pesado lesionado por colisin con otro vehculo de transporte pesado o autobs, persona que viaja fuera del  vehculo, lesionada en accidente no de trnsito"
"V643" "Ocupante de vehculo de transporte pesado lesionado por colisin con otro vehculo de transporte pesado o autobs, ocupante no especificado de vehculo de transporte pesado lesionado en accidente no de trnsito"
"V644" "Ocupante de vehculo de transporte pesado lesionado por colisin con otro vehculo de transporte pesado o autobs, persona lesionada al subir o bajar del vehculo"
"V645" "Ocupante de vehculo de transporte pesado lesionado por colisin con otro vehculo de transporte pesado o autobs, conductor lesionado en accidente de trnsito"
"V646" "Ocupante de vehculo de transporte pesado lesionado por colisin con otro vehculo de transporte pesado o autobs, pasajero lesionado en accidente de trnsito"
"V647" "Ocupante de vehculo de transporte pesado lesionado por colisin con otro vehculo de transporte pesado o autobs, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V649" "Ocupante de vehculo de transporte pesado lesionado por colisin con otro vehculo de transporte pesado o autobs, ocupante no especificado de vehculo de transporte pesado, lesionado en accidente de trnsito"
"V65" "Ocupante de vehculo de transporte pesado lesionado por colisin con tren o vehculo de rieles"
"V650" "Ocupante de vehculo de transporte pesado lesionado por colisin con  tren o vehculo de rieles, conductor  lesionado en accidente no de trnsito"
"V651" "Ocupante de vehculo de transporte pesado lesionado por colisin con  tren o vehculo de rieles, pasajero lesionado en accidente no de trnsito"
"V652" "Ocupante de vehculo de transporte pesado lesionado por colisin con  tren o vehculo de rieles, persona que viaja fuera del  vehculo, lesionada en accidente no de trnsito"
"V653" "Ocupante de vehculo de transporte pesado lesionado por colisin con  tren o vehculo de rieles, ocupante no especificado de vehculo de transporte pesado lesionado en accidente no de trnsito"
"V654" "Ocupante de vehculo de transporte pesado lesionado por colisin con  tren o vehculo de rieles, persona lesionada al subir o bajar del vehculo"
"V655" "Ocupante de vehculo de transporte pesado lesionado por colisin con  tren o vehculo de rieles, conductor lesionado en accidente de trnsito"
"V656" "Ocupante de vehculo de transporte pesado lesionado por colisin con  tren o vehculo de rieles, pasajero lesionado en accidente de trnsito"
"V657" "Ocupante de vehculo de transporte pesado lesionado por colisin con  tren o vehculo de rieles, persona que viaja fuera del  vehculo, lesionada en accidente de trnsito"
"V659" "Ocupante de vehculo de transporte pesado lesionado por colisin con  tren o vehculo de rieles, ocupante no especificado de vehculo de transporte pesado, lesionado en accidente de trnsito"
"V66" "Ocupante de vehculo de transporte pesado lesionado por colisin con otros vehculos sin motor"
"V660" "Ocupante de vehculo de transporte pesado lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente no de trnsito"
"V661" "Ocupante de vehculo de transporte pesado lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente no de trnsito"
"V662" "Ocupante de vehculo de transporte pesado lesionado por colisin con otros vehculos sin motor, persona que viaja fuera del  vehculo, lesionada en  accidente no de trnsito"
"V663" "Ocupante de vehculo de transporte pesado lesionado por colisin con otros vehculos sin motor, ocupante no especificado, de vehculo de transporte pesado lesionado en accidente no de trnsito"
"V664" "Ocupante de vehculo de transporte pesado lesionado por colisin con otros vehculos sin motor, persona lesionada al subir o bajar del vehculo"
"V665" "Ocupante de vehculo de transporte pesado lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente de trnsito"
"V666" "Ocupante de vehculo de transporte pesado lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente de trnsito"
"V667" "Ocupante de vehculo de transporte pesado lesionado por colisin con otros vehculos sin motor, persona que viaja fuera del  vehculo, lesionada en  accidente de trnsito"
"V669" "Ocupante de vehculo de transporte pesado lesionado por colisin con otros vehculos sin motor, ocupante no especificado de vehculo de transporte pesado, lesionado en accidente de trnsito"
"V67" "Ocupante de vehculo de transporte pesado lesionado por colisin con objeto fijo o estacionado"
"V670" "Ocupante de vehculo de transporte pesado lesionado por colisin con objeto fijo o estacionado,  conductor lesionado en accidente no de trnsito"
"V671" "Ocupante de vehculo de transporte pesado lesionado por colisin con objeto fijo o estacionado,  pasajero lesionado en accidente no de trnsito"
"V672" "Ocupante de vehculo de transporte pesado lesionado por colisin con objeto fijo o estacionado,  persona que viaja fuera del  vehculo, lesionada en accidente no de trnsito"
"V673" "Ocupante de vehculo de transporte pesado lesionado por colisin con objeto fijo o estacionado,  ocupante no especificado de vehculo de transporte pesado,  lesionado en accidente no de trnsito"
"V674" "Ocupante de vehculo de transporte pesado lesionado por colisin con objeto fijo o estacionado,  persona lesionada al subir o bajar del vehculo"
"V675" "Ocupante de vehculo de transporte pesado lesionado por colisin con objeto fijo o estacionado,  conductor lesionado en accidente de trnsito"
"V676" "Ocupante de vehculo de transporte pesado lesionado por colisin con objeto fijo o estacionado,  pasajero lesionado en accidente de trnsito"
"V677" "Ocupante de vehculo de transporte pesado lesionado por colisin con objeto fijo o estacionado,  persona que  viaja fuera del vehculo, lesionada en accidente de trnsito"
"V679" "Ocupante de vehculo de transporte pesado lesionado por colisin con objeto fijo o estacionado, ocupante no especificado de vehculo de transporte pesado, lesionado en accidente de trnsito"
"V68" "Ocupante de vehculo de transporte pesado lesionado en accidente de transporte sin colisin"
"V680" "Ocupante de vehculo de transporte pesado lesionado en accidente de transporte sin colisin, conductor lesionado en accidente no de trnsito"
"V681" "Ocupante de vehculo de transporte pesado lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente no de trnsito"
"V682" "Ocupante de vehculo de transporte pesado lesionado en accidente de transporte sin colisin, persona que viaja fuera del  vehculo, lesionada en accidente no de trnsito"
"V683" "Ocupante de vehculo de transporte pesado lesionado en accidente de transporte sin colisin, ocupante no especificado de vehculo de transporte pesado, lesionado en accidente no de trnsito"
"V684" "Ocupante de vehculo de transporte pesado lesionado en accidente de transporte sin colisin, persona lesionada al subir o bajar del vehculo"
"V685" "Ocupante de vehculo de transporte pesado lesionado en accidente de transporte sin colisin, conductor lesionado en accidente de trnsito"
"V686" "Ocupante de vehculo de transporte pesado lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente de trnsito"
"V687" "Ocupante de vehculo de transporte pesado lesionado en accidente de transporte sin colisin, persona que viaja fuera del  vehculo, lesionada en accidente de trnsito"
"V689" "Ocupante de vehculo de transporte pesado lesionado en accidente de transporte sin colisin, ocupante no especificado de vehculo de transporte pesado, lesionado en accidente de trnsito"
"V69" "Ocupante de vehculo de transporte pesado lesionado en otros accidentes de transporte, y en los no especificados"
"V690" "Conductor de vehculo de transporte pesado lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V691" "Pasajero de vehculo de transporte pesado lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente no de trnsito"
"V692" "Ocupante no especificado de vehculo de transporte pesado lesionado por colisin con otros vehculos de motor, y con los no especificados,  en accidente no de trnsito"
"V693" "Ocupante [cualquiera] de vehculo de transporte pesado lesionado en accidente no de trnsito, no especificado"
"V694" "Conductor de vehculo de transporte pesado lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V695" "Pasajero de vehculo transporte pesado lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V696" "Ocupante no especificado de vehculo de transporte pesado lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V698" "Ocupante [cualquiera] de vehculo de transporte pesado lesionado en otros accidentes de transporte especificados"
"V699" "Ocupante [cualquiera] de vehculo de transporte pesado lesionado en accidente de trnsito no especificado"
"V70" "Ocupante de autobs lesionado por colisin con peatn o animal"
"V700" "Ocupante de autobs lesionado por colisin con peatn o animal, conductor lesionado en accidente no de trnsito"
"V701" "Ocupante de autobs lesionado por colisin con peatn o animal, pasajero lesionado en accidente no de trnsito"
"V702" "Ocupante de autobs lesionado por colisin con peatn o animal, persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V703" "Ocupante de autobs lesionado por colisin con peatn o animal, ocupante no especificado de autobs, lesionado en accidente no de trnsito"
"V704" "Ocupante de autobs lesionado por colisin con peatn o animal, persona lesionada al subir o bajar del vehculo"
"V705" "Ocupante de autobs lesionado por colisin con peatn o animal, conductor lesionado en accidente de trnsito"
"V706" "Ocupante de autobs lesionado por colisin con peatn o animal, pasajero lesionado en accidente de trnsito"
"V707" "Ocupante de autobs lesionado por colisin con peatn o animal, persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V709" "Ocupante de autobs lesionado por colisin con peatn o animal, ocupante no especificado de autobs, lesionado en accidente de trnsito"
"V71" "Ocupante de autobs lesionado por colisin con vehculo de pedal"
"V710" "Ocupante de autobs lesionado por colisin con vehculo de pedal,  conductor lesionado en accidente no de trnsito"
"V711" "Ocupante de autobs lesionado por colisin con vehculo de pedal,  pasajero lesionado en accidente no de trnsito"
"V712" "Ocupante de autobs lesionado por colisin con vehculo de pedal,  persona que viaja fuera del vehculo, lesionada en accidente no de trnsito"
"V713" "Ocupante de autobs lesionado por colisin con vehculo de pedal,  ocupante no especificado de autobs, lesionado en accidente no de trnsito"
"V714" "Ocupante de autobs lesionado por colisin con vehculo de pedal,  persona lesionada al subir o bajar del vehculo"
"V715" "Ocupante de autobs lesionado por colisin con vehculo de pedal,  conductor lesionado en accidente de trnsito"
"V716" "Ocupante de autobs lesionado por colisin con vehculo de pedal,  pasajero lesionado en accidente de trnsito"
"V717" "Ocupante de autobs lesionado por colisin con vehculo de pedal,  persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V719" "Ocupante de autobs lesionado por colisin con vehculo de pedal,  ocupante no especificado de autobs, lesionado en accidente de trnsito"
"V72" "Ocupante de autobs lesionado por colisin con vehculo de motor de dos o tres ruedas"
"V720" "Ocupante de autobs lesionado por colisin con vehculo de motor de dos o tres ruedas,   conductor lesionado en accidente no de trnsito"
"V721" "Ocupante de autobs lesionado por colisin con vehculo de motor de dos o tres ruedas,   pasajero lesionado en accidente no de trnsito"
"V722" "Ocupante de autobs lesionado por colisin con vehculo de motor de dos o tres ruedas,   persona que viaja fuera del vehculo, lesionada en accidente no trnsito"
"V723" "Ocupante de autobs lesionado por colisin con vehculo de motor de dos o tres ruedas,   ocupante no especificado de autobs, lesionado en accidente no de trnsito"
"V724" "Ocupante de autobs lesionado por colisin con vehculo de motor de dos o tres ruedas,   persona lesionada al subir o bajar del vehculo"
"V725" "Ocupante de autobs lesionado por colisin con vehculo de motor de dos o tres ruedas,   conductor lesionado en accidente de trnsito"
"V726" "Ocupante de autobs lesionado por colisin con vehculo de motor de dos o tres ruedas,   pasajero lesionado en accidente de trnsito"
"V727" "Ocupante de autobs lesionado por colisin con vehculo de motor de dos o tres ruedas,   persona que viaja fuera del vehculo, lesionada en accidente de trnsito"
"V729" "Ocupante de autobs lesionado por colisin con vehculo de motor de dos o tres ruedas,   ocupante no especificado de autobs, lesionado en accidente de trnsito"
"V73" "Ocupante de autobs lesionado por colisin con automvil, camioneta o furgoneta"
"V730" "Ocupante de autobs lesionado por colisin con automvil, camioneta o furgoneta, conductor lesionado en accidente no de trnsito"
"V731" "Ocupante de autobs lesionado por colisin con automvil, camioneta o furgoneta, pasajero lesionado en accidente no de trnsito"
"V732" "Ocupante de autobs lesionado por colisin con automvil, camioneta o furgoneta, persona que viaja  fuera del vehculo lesionada en accidente no de trnsito"
"V733" "Ocupante de autobs lesionado por colisin con automvil, camioneta o furgoneta, ocupante no especificado de autobs, lesionado en accidente no de trnsito"
"V734" "Ocupante de autobs lesionado por colisin con automvil, camioneta o furgoneta, persona lesionada al subir o bajar del vehculo"
"V735" "Ocupante de autobs lesionado por colisin con automvil, camioneta o furgoneta, conductor lesionado en accidente de trnsito"
"V736" "Ocupante de autobs lesionado por colisin con automvil, camioneta o furgoneta, pasajero lesionado en accidente de trnsito"
"V737" "Ocupante de autobs lesionado por colisin con automvil, camioneta o furgoneta, persona que viaja  fuera del vehculo, lesionada en accidente de trnsito"
"V739" "Ocupante de autobs lesionado por colisin con automvil, camioneta o furgoneta, ocupante no especificado de autobs, lesionado en accidente de trnsito"
"V74" "Ocupante de autobs lesionado por colisin con vehculo de transporte pesado o autobs"
"V740" "Ocupante de autobs lesionado por colisin con vehculo de transporte pesado o autobs, conductor lesionado en accidente no de trnsito"
"V741" "Ocupante de autobs lesionado por colisin con vehculo de transporte pesado o autobs, pasajero lesionado en accidente no de trnsito"
"V742" "Ocupante de autobs lesionado por colisin con vehculo de transporte pesado o autobs, persona que viaja  fuera del vehculo, lesionada en accidente no de trnsito"
"V743" "Ocupante de autobs lesionado por colisin con vehculo de transporte pesado o autobs, ocupante no especificado de autobs, lesionado en accidente no de trnsito"
"V744" "Ocupante de autobs lesionado por colisin con vehculo de transporte pesado o autobs, persona lesionada al subir o bajar del vehculo"
"V745" "Ocupante de autobs lesionado por colisin con vehculo de transporte pesado o autobs, conductor lesionado en accidente de trnsito"
"V746" "Ocupante de autobs lesionado por colisin con vehculo de transporte pesado o autobs, pasajero lesionado en accidente de trnsito"
"V747" "Ocupante de autobs lesionado por colisin con vehculo de transporte pesado o autobs, persona que viaja  fuera del vehculo lesionada en accidente de trnsito"
"V749" "Ocupante de autobs lesionado por colisin con vehculo de transporte pesado o autobs, ocupante no especificado de autobs, lesionado en accidente de trnsito"
"V75" "Ocupante de autobs lesionado por colisin con tren o vehculo de rieles"
"V750" "Ocupante de autobs lesionado por colisin con tren o vehculo de rieles, conductor lesionado en accidente no de trnsito"
"V751" "Ocupante de autobs lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente no de trnsito"
"V752" "Ocupante de autobs lesionado por colisin con tren o vehculo de rieles, persona que viaja  fuera del vehculo, lesionada en  accidente no de trnsito"
"V753" "Ocupante de autobs lesionado por colisin con tren o vehculo de rieles, ocupante no especificado de autobs, lesionado en accidente no de trnsito"
"V754" "Ocupante de autobs lesionado por colisin con tren o vehculo de rieles, persona lesionada al subir o bajar del vehculo"
"V755" "Ocupante de autobs lesionado por colisin con tren o vehculo de rieles, conductor lesionado en accidente de trnsito"
"V756" "Ocupante de autobs lesionado por colisin con tren o vehculo de rieles, pasajero lesionado en accidente de trnsito"
"V757" "Ocupante de autobs lesionado por colisin con tren o vehculo de rieles, persona que viaja fuera del vehculo, lesionada en  accidente de trnsito"
"V759" "Ocupante de autobs lesionado por colisin con tren o vehculo de rieles, ocupante no especificado de autobs, lesionado en accidente de trnsito"
"V76" "Ocupante de autobs lesionado por colisin con otros vehculos sin motor"
"V760" "Ocupante de autobs lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente no de trnsito"
"V761" "Ocupante de autobs lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente no de trnsito"
"V762" "Ocupante de autobs lesionado por colisin con otros vehculos sin motor, persona que viaja  fuera del vehculo lesionada en accidente no de trnsito"
"V763" "Ocupante de autobs lesionado por colisin con otros vehculos sin motor, ocupante no especificado de autobs, lesionado en accidente no de trnsito"
"V764" "Ocupante de autobs lesionado por colisin con otros vehculos sin motor, persona lesionada al subir o bajar del vehculo"
"V765" "Ocupante de autobs lesionado por colisin con otros vehculos sin motor, conductor lesionado en accidente de trnsito"
"V766" "Ocupante de autobs lesionado por colisin con otros vehculos sin motor, pasajero lesionado en accidente de trnsito"
"V767" "Ocupante de autobs lesionado por colisin con otros vehculos sin motor, persona que viaja  fuera del vehculo lesionada en accidente de trnsito"
"V769" "Ocupante de autobs lesionado por colisin con otros vehculos sin motor, ocupante no especificado de autobs, lesionado en accidente de trnsito"
"V77" "Ocupante de autobs lesionado por colisin con objeto fijo o estacionado"
"V770" "Ocupante de autobs lesionado por colisin con objeto fijo o estacionado, conductor lesionado en accidente no de trnsito"
"V771" "Ocupante de autobs lesionado por colisin con objeto fijo o estacionado, pasajero lesionado en accidente no de trnsito"
"V772" "Ocupante de autobs lesionado por colisin con objeto fijo o estacionado, persona que viaja  fuera del  vehculo lesionada en accidente no de trnsito"
"V773" "Ocupante de autobs lesionado por colisin con objeto fijo o estacionado, ocupante no especificado de autobs, lesionado en accidente no de trnsito"
"V774" "Ocupante de autobs lesionado por colisin con objeto fijo o estacionado, persona lesionada al subir  o bajar del vehculo"
"V775" "Ocupante de autobs lesionado por colisin con objeto fijo o estacionado, conductor lesionado en accidente de trnsito"
"V776" "Ocupante de autobs lesionado por colisin con objeto fijo o estacionado, pasajero lesionado en accidente de trnsito"
"V777" "Ocupante de autobs lesionado por colisin con objeto fijo o estacionado, persona que viaja  fuera del vehculo, lesionada en accidente de trnsito"
"V779" "Ocupante de autobs lesionado por colisin con objeto fijo o estacionado, ocupante no especificado de autobs, lesionado en accidente de trnsito"
"V78" "Ocupante de autobs lesionado en accidente de transporte sin colisin"
"V780" "Ocupante de autobs lesionado en accidente de transporte sin colisin, conductor lesionado en accidente no de trnsito"
"V781" "Ocupante de autobs lesionado en accidente de transporte o sin colisin, pasajero lesionado en accidente no de trnsito"
"V782" "Ocupante de autobs lesionado en accidente de transporte sin colisin, persona que viaja  fuera del vehculo lesionada en accidente no de trnsito"
"V783" "Ocupante de autobs lesionado en accidente de transporte sin colisin, ocupante no especificado de autobs, lesionado en accidente no de trnsito"
"V784" "Ocupante de autobs lesionado en accidente de transporte sin colisin, persona lesionada al subir o bajar del vehculo"
"V785" "Ocupante de autobs lesionado en accidente de transporte sin colisin, conductor lesionado en accidente de trnsito"
"V786" "Ocupante de autobs lesionado en accidente de transporte sin colisin, pasajero lesionado en accidente de trnsito"
"V787" "Ocupante de autobs lesionado en accidente de transporte sin colisin, persona que viaja  fuera del vehculo lesionada en accidente de trnsito"
"V789" "Ocupante de autobs lesionado en accidente de transporte sin colisin, ocupante no especificado de autobs, lesionado en accidente de trnsito"
"V79" "Ocupante de autobs lesionado en otros accidentes de transporte, y en los no especificados"
"V790" "Conductor de autobs lesionado por colisin con otros vehculos de motor, y con los no especificados en accidente no de trnsito"
"V791" "Pasajero de autobs lesionado por colisin con otros vehculos de motor, y con los no especificados en accidente no de trnsito"
"V792" "Ocupante no especificado de autobs lesionado por colisin con otros vehculos de motor, y con los no especificados en accidente no de trnsito"
"V793" "Ocupante [cualquiera] de autobs lesionado en accidente no de trnsito, no especificado"
"V794" "Conductor de autobs lesionado por colisin con otros vehculos  de motor, y con los no especificados en accidente de trnsito"
"V795" "Pasajero de autobs lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V796" "Ocupante no especificado de autobs lesionado por colisin con otros vehculos de motor, y con los no especificados, en accidente de trnsito"
"V798" "Ocupante [cualquiera] de autobs lesionado en otros accidentes de transporte especificados"
"V799" "Ocupante [cualquiera] de autobs lesionado en accidente de trnsito no especificado"
"V80" "Jinete u ocupante de vehculo de traccin animal lesionado en accidente de transporte"
"V800" "Jinete u ocupante de vehculo de traccin animal lesionado por cada (o por ser despedido) del animal o del vehculo de traccin animal, en accidente sin colisin"
"V801" "Jinete u ocupante de vehculo de traccin animal lesionado por colisin con peatn o animal"
"V802" "Jinete u ocupante de vehculo de traccin animal lesionado por colisin con vehculo de pedal"
"V803" "Jinete u ocupante de vehculo de traccin animal lesionado por colisin con vehculo de motor de dos o tres ruedas"
"V804" "Jinete u ocupante de vehculo de traccin animal lesionado por colisin con automvil, camioneta o furgoneta, vehculo de transporte pesado, o autobs"
"V805" "Jinete u ocupante de vehculo de traccin animal lesionado por colisin con otros vehculos de motor especificados"
"V806" "Jinete u ocupante de vehculo de traccin animal lesionado por colisin con tren o vehculo de rieles"
"V807" "Jinete u ocupante de vehculo de traccin animal lesionado por colisin con otros vehculos sin motor"
"V808" "Jinete u ocupante de vehculo de traccin animal lesionado por colisin con objeto fijo o estacionado"
"V809" "Jinete u ocupante de vehculo de traccin animal lesionado en otros accidentes de transporte, y en los no especificados"
"V81" "Ocupante de tren o vehculo de rieles lesionado en accidente de transporte"
"V810" "Ocupante de tren o vehculo de rieles lesionado por colisin con vehculo de motor, en accidente no de trnsito"
"V811" "Ocupante de tren o vehculo de rieles lesionado por colisin con vehculo de motor, en accidente de trnsito"
"V812" "Ocupante de tren o vehculo de rieles lesionado por colisin con, o golpeado por vagn"
"V813" "Ocupante de tren o vehculo de rieles lesionado por colisin con otros objetos"
"V814" "Persona lesionada al subir o bajar del tren o vehculo de rieles"
"V815" "Ocupante de tren o vehculo de rieles lesionado por cada dentro del tren o vehculo de rieles"
"V816" "Ocupante de tren o vehculo de rieles lesionado por cada desde el tren o vehculo de rieles"
"V817" "Ocupante de tren o vehculo de rieles lesionado en descarrilamiento sin colisin anterior"
"V818" "Ocupante de tren o vehculo de rieles lesionado en otros accidentes ferroviarios especificados"
"V819" "Ocupante de tren o vehculo de rieles lesionado en accidente ferroviario no especificado"
"V82" "Ocupante de tranva lesionado en accidente de transporte"
"V820" "Ocupante de tranva lesionado por colisin con vehculo de motor, en accidente no de trnsito"
"V821" "Ocupante de tranva lesionado por colisin con vehculo de motor, en accidente  de trnsito"
"V822" "Ocupante de tranva lesionado por colisin con, o golpeado por vagn"
"V823" "Ocupante de tranva lesionado por colisin con otros objetos"
"V824" "Persona lesionada al subir o bajar del tranva"
"V825" "Ocupante de tranva lesionado por cada dentro del tranva"
"V826" "Ocupante de tranva lesionado por cada desde el tranva"
"V827" "Ocupante de tranva lesionado por descarrilamiento, sin colisin anterior"
"V828" "Ocupante de tranva lesionado en otros accidentes de transporte, especificados"
"V829" "Ocupante de tranva lesionado en accidente de trnsito no especificado"
"V83" "Ocupante de vehculo especial (de motor) para uso principalmente en plantas industriales lesionado en accidente de transporte"
"V830" "Conductor de vehculo industrial especial lesionado en accidente de trnsito"
"V831" "Pasajero de vehculo industrial especial lesionado en accidente de trnsito"
"V832" "Persona que viaja fuera de vehculo industrial especial lesionada en accidente de trnsito"
"V833" "Ocupante no especificado de vehculo industrial especial lesionado en accidente de trnsito"
"V834" "Persona lesionada al subir o bajar del vehculo industrial especial"
"V835" "Conductor de vehculo industrial especial lesionado en accidente no de trnsito"
"V836" "Pasajero de vehculo industrial especial lesionado en accidente no de trnsito"
"V837" "Persona que viaja fuera del vehculo industrial especial lesionada en accidente no de trnsito"
"V839" "Ocupante no especificado del vehculo industrial especial lesionado en accidente no de trnsito"
"V84" "Ocupante de vehculo especial (de motor) para uso principalmente en agricultura lesionado en accidente de transporte"
"V840" "Conductor de vehculo agrcola especial lesionado en accidente de trnsito"
"V841" "Pasajero de vehculo agrcola especial lesionado en accidente de trnsito"
"V842" "Persona que viaja fuera del vehculo agrcola especial lesionada en accidente de trnsito"
"V843" "Ocupante no especificado de vehculo agrcola especial lesionado en accidente de trnsito"
"V844" "Persona lesionada al subir o bajar del vehculo agrcola especial"
"V845" "Conductor de vehculo agrcola especial lesionado en accidente no de trnsito"
"V846" "Pasajero de vehculo agrcola especial lesionado en accidente no de trnsito"
"V847" "Persona que viaja fuera del vehculo agrcola especial lesionada en accidente no de trnsito"
"V849" "Ocupante no especificado de vehculo agrcola especial lesionado en accidente no de trnsito"
"V85" "Ocupante de vehculo especial (de motor) para construccin lesionado en accidente de transporte"
"V850" "Conductor de vehculo especial para construccin lesionado en accidente de trnsito"
"V851" "Pasajero de vehculo especial para construccin lesionado en accidente de trnsito"
"V852" "Persona que viaja fuera del vehculo especial para construccin lesionada en accidente de trnsito"
"V853" "Ocupante no especificado de vehculo especial para construccin lesionado en accidente de trnsito"
"V854" "Persona lesionada al subir o bajar del vehculo especial para construccin"
"V855" "Conductor de vehculo especial para construccin lesionado en accidente no de trnsito"
"V856" "Pasajero de vehculo especial para construccin lesionado en accidente no de trnsito"
"V857" "Persona que viaja fuera del vehculo especial para construccin lesionada en accidente no de trnsito"
"V859" "Ocupante no especificado de vehculo especial para construccin lesionado en accidente no de trnsito"
"V86" "Ocupante de vehculo especial para todo terreno o de otro vehculo de motor para uso fuera de la carretera lesionado en accidente de transporte"
"V860" "Conductor de vehculo para todo terreno o de otro vehculo de motor para uso fuera de la carretera lesionado en accidente de trnsito"
"V861" "Pasajero de vehculo para todo terreno o de otro vehculo de motor para uso fuera de la carretera lesionado en accidente de trnsito"
"V862" "Persona que viaja  fuera del vehculo para todo terreno o de otro vehculo de motor para uso fuera de la carretera lesionada en accidente de trnsito"
"V863" "Ocupante no especificado de vehculo para todo terreno o de otro vehculo de motor para uso fuera de la carretera lesionado en accidente de trnsito"
"V864" "Persona lesionada en accidente de trnsito al subir o bajar de vehculo para todo terreno o de otro vehculo de motor para uso fuera de carretera"
"V865" "Conductor de vehculo para todo terreno o de otro vehculo de motor para uso fuera de la carretera lesionado en accidente no de trnsito"
"V866" "Pasajero de vehculo para todo terreno o de otro vehculo de motor para uso fuera de la carretera lesionado en accidente no de trnsito"
"V867" "Persona que viaja  fuera de vehculo para todo terreno o de otro vehculo motor para uso fuera de carretera lesionada en accidente no de trnsito"
"V869" "Ocupante no especificado de vehculo para todo terreno o de otro vehculo de motor para uso fuera de la carretera lesionado en accidente no de trnsito"
"V87" "Accidente de trnsito de tipo especificado pero donde se desconoce el modo de transporte de la vctima"
"V870" "Persona lesionada por colisin entre automvil y vehculo de motor de dos o tres ruedas (trnsito)"
"V871" "Persona lesionada por colisin entre otros vehculos de motor y un vehculo de motor de dos o tres ruedas (trnsito)"
"V872" "Persona lesionada por colisin entre automvil y camioneta o furgoneta (trnsito)"
"V873" "Persona lesionada por colisin entre automvil y autobs (trnsito)"
"V874" "Persona lesionada por colisin entre automvil y vehculo de transporte pesado (trnsito)"
"V875" "Persona lesionada por colisin entre vehculo de transporte pesado y autobs (trnsito)"
"V876" "Persona lesionada por colisin entre tren o vehculo de rieles y automvil (trnsito)"
"V877" "Persona lesionada por colisin entre otros vehculos de motor especificados (trnsito)"
"V878" "Persona lesionada en otros accidentes especificados de transporte de vehculo de motor sin colisin (trnsito)"
"V879" "Persona lesionada en otros accidentes especificados de transporte de vehculo sin motor (con colisin)(sin colisin)(trnsito)"
"V88" "Accidente no de trnsito de tipo especificado, pero donde se desconoce el modo de transporte de la vctima"
"V880" "Persona lesionada por colisin entre automvil y vehculo de motor de dos o tres ruedas, no de trnsito"
"V881" "Persona lesionada por colisin entre otros vehculos de motor y un vehculo de motor de dos o tres ruedas, no de trnsito"
"V882" "Persona lesionada por colisin entre automvil y camioneta o furgoneta, no de trnsito"
"V883" "Persona lesionada por colisin entre automvil y autobs, no de trnsito"
"V884" "Persona lesionada por colisin entre automvil y vehculo de transporte pesado, no de trnsito"
"V885" "Persona lesionada por colisin entre vehculo de transporte  pesado y autobs, no de trnsito"
"V886" "Persona lesionada por colisin entre tren o vehculo de rieles y automvil, no de trnsito"
"V887" "Persona lesionada por colisin entre otros vehculos de motor especificados, no de trnsito"
"V888" "Persona lesionada en otros accidentes especificados de transporte de vehculo de motor sin colisin, no de trnsito"
"V889" "Persona lesionada en otros accidentes especificados de transporte de vehculo sin motor (con colisin)(sin colisin), no de trnsito"
"V89" "Accidente de vehculo de motor o sin motor, tipo de vehculo no especificado"
"V890" "Persona lesionada en accidente no de trnsito, de vehculo de motor no especificado"
"V891" "Persona lesionada en accidente no de trnsito, de vehculo sin motor no especificado"
"V892" "Persona lesionada en accidente de trnsito, de vehculo de motor no especificado"
"V893" "Persona lesionada en accidente de trnsito, de vehculo sin motor no especificado"
"V899" "Persona lesionada en accidente de vehculo no especificado"
"V90" "Accidente de embarcacin que causa ahogamiento y sumersin"
"V900" "Accidente de embarcacin que causa ahogamiento y sumersin, barco mercante"
"V901" "Accidente de embarcacin que causa ahogamiento y sumersin, barco de pasajeros"
"V902" "Accidente de embarcacin que causa ahogamiento y sumersin, bote de pesca"
"V903" "Accidente de embarcacin que causa ahogamiento y sumersin, otro vehculo acutico con motor"
"V904" "Accidente de embarcacin que causa ahogamiento y sumersin, velero"
"V905" "Accidente de embarcacin que causa ahogamiento y sumersin, canoa o kayac"
"V906" "Accidente de embarcacin que causa ahogamiento y sumersin, balsa inflable (sin motor)"
"V907" "Accidente de embarcacin que causa ahogamiento y sumersin, esqu acutico"
"V908" "Accidente de embarcacin que causa ahogamiento y sumersin, otro vehculo acutico sin motor"
"V909" "Accidente de embarcacin que causa ahogamiento y sumersin, vehculo acutico no especificado"
"V91" "Accidente de embarcacin que causa otros tipos de traumatismo"
"V910" "Accidente de embarcacin que causa otros tipos de traumatismo, barco mercante"
"V911" "Accidente de embarcacin que causa otros tipos de traumatismo, barco de pasajeros"
"V912" "Accidente de embarcacin que causa otros tipos de traumatismo, bote de pesca"
"V913" "Accidente de embarcacin que causa otros tipos de traumatismo, otro vehculo acutico con motor"
"V914" "Accidente de embarcacin que causa otros tipos de traumatismo, velero"
"V915" "Accidente de embarcacin que causa otros tipos de traumatismo, canoa o kayak"
"V916" "Accidente de embarcacin que causa otros tipos de traumatismo, balsa inflable (sin motor)"
"V917" "Accidente de embarcacin que causa otros tipos de traumatismo, esqu acutico"
"V918" "Accidente de embarcacin que causa otros tipos de traumatismo, otro vehculo acutico sin motor"
"V919" "Accidente de embarcacin que causa otros tipos de traumatismo, vehculo acutico no especificado"
"V92" "Ahogamiento y sumersin relacionados con transporte por agua, sin accidente a la embarcacin"
"V920" "Ahogamiento y sumersin relacionados con transporte por agua, sin accidente a la embarcacin, barco mercante"
"V921" "Ahogamiento y sumersin relacionados con transporte por agua, sin accidente a la embarcacin, barco de pasajeros"
"V922" "Ahogamiento y sumersin relacionados con transporte por agua, sin accidente a la embarcacin, bote de pesca"
"V923" "Ahogamiento y sumersin relacionados con transporte por agua, sin accidente a la embarcacin, otro vehculo acutico con motor"
"V924" "Ahogamiento y sumersin relacionados con transporte por agua, sin accidente a la embarcacin, velero"
"V925" "Ahogamiento y sumersin relacionados con transporte por agua, sin accidente a la embarcacin, canoa o kayak"
"V926" "Ahogamiento y sumersin relacionados con transporte por agua, sin accidente a la embarcacin, balsa inflable (sin motor)"
"V927" "Ahogamiento y sumersin relacionados con transporte por agua, sin accidente a la embarcacin, esqu acutico"
"V928" "Ahogamiento y sumersin relacionados con transporte por agua, sin accidente a la embarcacin, otro vehculo acutico sin motor"
"V929" "Ahogamiento y sumersin relacionados con transporte por agua, sin accidente a la embarcacin, vehculo acutico no especificado"
"V93" "Accidente en una embarcacin, sin accidente a la embarcacin, que no causa ahogamiento o sumersin"
"V930" "Accidente en una embarcacin, sin accidente a la embarcacin, que no causa ahogamiento o sumersin, barco mercante"
"V931" "Accidente en una embarcacin, sin accidente a la embarcacin, que no causa ahogamiento o sumersin, barco de pasajeros"
"V932" "Accidente en una embarcacin, sin accidente a la embarcacin, que no causa ahogamiento o sumersin, bote de pesca"
"V933" "Accidente en una embarcacin, sin accidente a la embarcacin, que no causa ahogamiento o  sumersin, otro vehculo acutico con motor"
"V934" "Accidente en una embarcacin, sin accidente a la embarcacin, que no causa ahogamiento o  sumersin, velero"
"V935" "Accidente en una embarcacin, sin accidente a la embarcacin, que no causa ahogamiento o sumersin, canoa o kayak"
"V936" "Accidente en una embarcacin, sin accidente a la embarcacin, que no causa ahogamiento o  sumersin, balsa inflable (sin motor)"
"V937" "Accidente en una embarcacin, sin accidente a la embarcacin, que no causa ahogamiento o sumersin, esqu acutico"
"V938" "Accidente en una embarcacin, sin accidente a la embarcacin, que no causa ahogamiento o sumersin, otro vehculo acutico sin motor"
"V939" "Accidente en una embarcacin, sin accidente a la embarcacin, que no causa ahogamiento o sumersin, vehculo acutico no especificado"
"V94" "Otros accidentes de transporte por agua, y los no especificados"
"V940" "Otros accidentes de transporte por agua, y los no especificados, barco mercante"
"V941" "Otros accidentes de transporte por agua, y los no especificados, barco de pasajeros"
"V942" "Otros accidentes de transporte por agua, y los no especificados, bote de pesca"
"V943" "Otros accidentes de transporte por agua, y los no especificados, otro vehculo acutico con motor"
"V944" "Otros accidentes de transporte por agua, y los no especificados, velero"
"V945" "Otros accidentes de transporte por agua, y los no especificados, canoa o kayak"
"V946" "Otros accidentes de transporte por agua, y los no especificados, balsa inflable (sin motor)"
"V947" "Otros accidentes de transporte por agua, y los no especificados, esqu acutico"
"V948" "Otros accidentes de transporte por agua, y los no especificados, otro vehculo acutico sin motor"
"V949" "Otros accidentes de transporte por agua, y los no especificados, vehculo acutico no especificado"
"V95" "Accidente de aeronave de motor, con ocupante lesionado"
"V950" "Accidente de helicptero con ocupante lesionado"
"V951" "Accidente de planeador ultra liviano, micro liviano o motorizado, con ocupante lesionado"
"V952" "Accidente de otros vehculos areos de alas fijas, privados, con ocupante lesionado"
"V953" "Accidente de vehculo areo de alas fijas, comercial, con ocupante lesionado"
"V954" "Accidente de nave espacial, con ocupante lesionado"
"V958" "Accidente de otras aeronaves, con ocupante lesionado"
"V959" "Accidente de aeronave no especificada, con ocupante lesionado"
"V96" "Accidente de aeronave sin motor, con ocupante lesionado"
"V960" "Accidente de globo aerosttico, con ocupante lesionado"
"V961" "Accidente de ala delta, con ocupante lesionado"
"V962" "Accidente de planeador (sin motor), con ocupante lesionado"
"V968" "Accidente de otras aeronaves sin motor, con ocupante lesionado"
"V969" "Accidente de aeronave sin motor no especificada, con ocupante lesionado"
"V97" "Otros accidentes de transporte areo especificados"
"V970" "Ocupante de aeronave lesionado en otros accidentes especificados de transporte areo"
"V971" "Persona lesionada al subir o bajar de una aeronave"
"V972" "Paracaidista lesionado en accidente de transporte areo"
"V973" "Persona en tierra lesionada por accidente de transporte areo"
"V978" "Otros accidentes de transporte areo, no clasificados en otra parte"
"V98" "Otros accidentes de transporte especificados"
"V99" "Accidente de transporte no especificado"
"W00" "Cada en el mismo nivel por hielo o nieve"
"W000" "Cada en el mismo nivel por hielo o nieve, vivienda"
"W001" "Cada en el mismo nivel por hielo o nieve, institucin residencial"
"W002" "Cada en el mismo nivel por hielo o nieve, escuelas, otras instituciones y reas administrativas pblicas"
"W003" "Cada en el mismo nivel por hielo o nieve, reas de deporte y atletismo"
"W004" "Cada en el mismo nivel por hielo o nieve, calles y carreteras"
"W005" "Cada en el mismo nivel por hielo o nieve, comercio y rea de servicios"
"W006" "Cada en el mismo nivel por hielo o nieve, rea industrial y de la construccin"
"W007" "Cada en el mismo nivel por hielo o nieve, granja"
"W008" "Cada en el mismo nivel por hielo o nieve, otro lugar especificado"
"W009" "Cada en el mismo nivel por hielo o nieve, lugar no especificado"
"W01" "Cada en el mismo nivel por deslizamiento, tropezn y traspi"
"W010" "Cada en el mismo nivel por deslizamiento, tropezn y traspi, vivienda"
"W011" "Cada en el mismo nivel por deslizamiento, tropezn y traspi, institucin residencial"
"W012" "Cada en el mismo nivel por deslizamiento, tropezn y traspi, escuelas, otras instituciones y reas administrativas pblicas"
"W013" "Cada en el mismo nivel por deslizamiento, tropezn y traspi, reas de deporte y atletismo"
"W014" "Cada en el mismo nivel por deslizamiento, tropezn y traspi, calles y carreteras"
"W015" "Cada en el mismo nivel por deslizamiento, tropezn y traspi, comercio y rea de servicios"
"W016" "Cada en el mismo nivel por deslizamiento, tropezn y traspi, rea industrial y de la construccin"
"W017" "Cada en el mismo nivel por deslizamiento, tropezn y traspi, granja"
"W018" "Cada en el mismo nivel por deslizamiento, tropezn y traspi, otro lugar especificado"
"W019" "Cada en el mismo nivel por deslizamiento, tropezn y traspi, lugar no especificado"
"W02" "Cada por patines para hielo, esqus, patines de ruedas o patineta"
"W020" "Cada por patines para hielo, esqus, patines de ruedas o patineta, vivienda"
"W021" "Cada por patines para hielo, esqus, patines de ruedas o patineta, institucin residencial"
"W022" "Cada por patines para hielo, esqus, patines de ruedas o patineta, escuelas, otras instituciones y reas administrativas pblicas"
"W023" "Cada por patines para hielo, esqus, patines de ruedas o patineta, reas de deporte y atletismo"
"W024" "Cada por patines para hielo, esqus, patines de ruedas o patineta, calles y carreteras"
"W025" "Cada por patines para hielo, esqus, patines de ruedas o patineta, comercio y rea de servicios"
"W026" "Cada por patines para hielo, esqus, patines de ruedas o patineta, rea industrial y de la construccin"
"W027" "Cada por patines para hielo, esqus, patines de ruedas o patineta, granja"
"W028" "Cada por patines para hielo, esqus, patines de ruedas o patineta, otro lugar especificado"
"W029" "Cada por patines para hielo, esqus, patines de ruedas o patineta, lugar no especificado"
"W03" "Otras cadas en el mismo nivel por colisin con o por empujn de otra persona"
"W030" "Otras cadas en el mismo nivel por colisin con o por empujn de otra persona, vivienda"
"W031" "Otras cadas en el mismo nivel por colisin con o por empujn de otra persona, institucin residencial"
"W032" "Otras cadas en el mismo nivel por colisin con o por empujn de otra persona, escuelas, otras instituciones y reas administrativas pblicas"
"W033" "Otras cadas en el mismo nivel por colisin con o por empujn de otra persona, reas de deporte y atletismo"
"W034" "Otras cadas en el mismo nivel por colisin con o por empujn de otra persona, calles y carreteras"
"W035" "Otras cadas en el mismo nivel por colisin con o por empujn de otra persona, comercio y rea de servicios"
"W036" "Otras cadas en el mismo nivel por colisin con o por empujn de otra persona, rea industrial y de la construccin"
"W037" "Otras cadas en el mismo nivel por colisin con o por empujn de otra persona, granja"
"W038" "Otras cadas en el mismo nivel por colisin con o por empujn de otra persona, otro lugar especificado"
"W039" "Otras cadas en el mismo nivel por colisin con o por empujn de otra persona, lugar no especificado"
"W04" "Cada al ser trasladado o sostenido por otras personas"
"W040" "Cada al ser trasladado o sostenido por otras personas, vivienda"
"W041" "Cada al ser trasladado o sostenido por otras personas, institucin residencial"
"W042" "Cada al ser trasladado o sostenido por otras personas, escuelas, otras instituciones y reas administrativas pblicas"
"W043" "Cada al ser trasladado o sostenido por otras personas, reas de deporte y atletismo"
"W044" "Cada al ser trasladado o sostenido por otras personas, calles y carreteras"
"W045" "Cada al ser trasladado o sostenido por otras personas, comercio y rea de servicios"
"W046" "Cada al ser trasladado o sostenido por otras personas, rea industrial y de la construccin"
"W047" "Cada al ser trasladado o sostenido por otras personas, granja"
"W048" "Cada al ser trasladado o sostenido por otras personas, otro lugar especificado"
"W049" "Cada al ser trasladado o sostenido por otras personas, lugar no especificado"
"W05" "Cada que implica silla de ruedas"
"W050" "Cada que implica silla de ruedas, vivienda"
"W051" "Cada que implica silla de ruedas, institucin residencial"
"W052" "Cada que implica silla de ruedas, escuelas, otras instituciones y reas administrativas pblicas"
"W053" "Cada que implica silla de ruedas, reas de deporte y atletismo"
"W054" "Cada que implica silla de ruedas, calles y carreteras"
"W055" "Cada que implica silla de ruedas, comercio y rea de servicios"
"W056" "Cada que implica silla de ruedas, rea industrial y de la construccin"
"W057" "Cada que implica silla de ruedas, granja"
"W058" "Cada que implica silla de ruedas, otro lugar especificado"
"W059" "Cada que implica silla de ruedas, lugar no especificado"
"W06" "Cada que implica cama"
"W060" "Cada que implica cama, vivienda"
"W061" "Cada que implica cama, institucin residencial"
"W062" "Cada que implica cama, escuelas, otras instituciones y reas administrativas pblicas"
"W063" "Cada que implica cama, reas de deporte y atletismo"
"W064" "Cada que implica cama, calles y carreteras"
"W065" "Cada que implica cama, comercio y rea de servicios"
"W066" "Cada que implica cama, rea industrial y de la construccin"
"W067" "Cada que implica cama, granja"
"W068" "Cada que implica cama, otro lugar especificado"
"W069" "Cada que implica cama, lugar no especificado"
"W07" "Cada que implica silla"
"W070" "Cada que implica silla, vivienda"
"W071" "Cada que implica silla, institucin residencial"
"W072" "Cada que implica silla, escuelas, otras instituciones y reas administrativas pblicas"
"W073" "Cada que implica silla, reas de deporte y atletismo"
"W074" "Cada que implica silla, calles y carreteras"
"W075" "Cada que implica silla, comercio y rea de servicios"
"W076" "Cada que implica silla, rea industrial y de la construccin"
"W077" "Cada que implica silla, granja"
"W078" "Cada que implica silla, otro lugar especificado"
"W079" "Cada que implica silla, lugar no especificado"
"W08" "Cada que implica otro mueble"
"W080" "Cada que implica otro mueble, vivienda"
"W081" "Cada que implica otro mueble, institucin residencial"
"W082" "Cada que implica otro mueble, escuelas, otras instituciones y reas administrativas pblicas"
"W083" "Cada que implica otro mueble, reas de deporte y atletismo"
"W084" "Cada que implica otro mueble, calles y carreteras"
"W085" "Cada que implica otro mueble, comercio y rea de servicios"
"W086" "Cada que implica otro mueble, rea industrial y de la construccin"
"W087" "Cada que implica otro mueble, granja"
"W088" "Cada que implica otro mueble, otro lugar especificado"
"W089" "Cada que implica otro mueble, lugar no especificado"
"W09" "Cada que implica equipos para juegos infantiles"
"W090" "Cada que implica equipos para juegos infantiles, vivienda"
"W091" "Cada que implica equipos para juegos infantiles, institucin residencial"
"W092" "Cada que implica equipos para juegos infantiles, escuelas, otras instituciones y reas administrativas pblicas"
"W093" "Cada que implica equipos para juegos infantiles, reas de deporte y atletismo"
"W094" "Cada que implica equipos para juegos infantiles, calles y carreteras"
"W095" "Cada que implica equipos para juegos infantiles, comercio y rea de servicios"
"W096" "Cada que implica equipos para juegos infantiles, rea industrial y de la construccin"
"W097" "Cada que implica equipos para juegos infantiles, granja"
"W098" "Cada que implica equipos para juegos infantiles, otro lugar especificado"
"W099" "Cada que implica equipos para juegos infantiles, lugar no especificado"
"W10" "Cada en o desde escalera o escalones"
"W100" "Cada en o desde escalera y escalones, vivienda"
"W101" "Cada en o desde escalera y escalones, institucin residencial"
"W102" "Cada en o desde escalera y escalones, escuelas, otras instituciones y reas administrativas pblicas"
"W103" "Cada en o desde escalera y escalones, reas de deporte y atletismo"
"W104" "Cada en o desde escalera y escalones, calles y carreteras"
"W105" "Cada en o desde escalera y escalones, comercio y rea de servicios"
"W106" "Cada en o desde escalera y escalones, rea industrial y de la construccin"
"W107" "Cada en o desde escalera y escalones, granja"
"W108" "Cada en o desde escalera y escalones, otro lugar especificado"
"W109" "Cada en o desde escalera y escalones, lugar no especificado"
"W11" "Cada en o desde escalera manuales"
"W110" "Cada en o desde escaleras manuales, vivienda"
"W111" "Cada en o desde escaleras manuales, institucin residencial"
"W112" "Cada en o desde escaleras manuales, escuelas, otras instituciones y reas administrativas pblicas"
"W113" "Cada en o desde escaleras manuales, reas de deporte y atletismo"
"W114" "Cada en o desde escaleras manuales, calles y carreteras"
"W115" "Cada en o desde escaleras manuales, comercio y rea de servicios"
"W116" "Cada en o desde escaleras manuales, rea industrial y de la construccin"
"W117" "Cada en o desde escaleras manuales, granja"
"W118" "Cada en o desde escaleras manuales, otro lugar especificado"
"W119" "Cada en o desde escaleras manuales, lugar no especificado"
"W12" "Cada en o desde andamio"
"W120" "Cada en o desde andamio, vivienda"
"W121" "Cada en o desde andamio, institucin residencial"
"W122" "Cada en o desde andamio, escuelas, otras instituciones y reas administrativas pblicas"
"W123" "Cada en o desde andamio, reas de deporte y atletismo"
"W124" "Cada en o desde andamio, calles y carreteras"
"W125" "Cada en o desde andamio, comercio y rea de servicios"
"W126" "Cada en o desde andamio, rea industrial y de la construccin"
"W127" "Cada en o desde andamio, granja"
"W128" "Cada en o desde andamio, otro lugar especificado"
"W129" "Cada en o desde andamio, lugar no especificado"
"W13" "Cada desde, fuera o a travs de un edificio u otra construccin"
"W130" "Cada desde, fuera o a travs de un edificio u otra construccin, vivienda"
"W131" "Cada desde, fuera o a travs de un edificio u otra construccin, institucin residencial"
"W132" "Cada desde, fuera o a travs de un edificio u otra construccin, escuelas, otras instituciones y reas administrativas pblicas"
"W133" "Cada desde, fuera o a travs de un edificio u otra construccin, reas de deporte y atletismo"
"W134" "Cada desde, fuera o a travs de un edificio u otra construccin, calles y carreteras"
"W135" "Cada desde, fuera o a travs de un edificio u otra construccin, comercio y rea de servicios"
"W136" "Cada desde, fuera o a travs de un edificio u otra construccin, rea industrial y de la construccin"
"W137" "Cada desde, fuera o a travs de un edificio u otra construccin, granja"
"W138" "Cada desde, fuera o a travs de un edificio u otra construccin, otro lugar especificado"
"W139" "Cada desde, fuera o a travs de un edificio u otra construccin, lugar no especificado"
"W14" "Cada desde un rbol"
"W140" "Cada desde un rbol, vivienda"
"W141" "Cada desde un rbol, institucin residencial"
"W142" "Cada desde un rbol, escuelas, otras instituciones y reas administrativas pblicas"
"W143" "Cada desde un rbol, reas de deporte y atletismo"
"W144" "Cada desde un rbol, calles y carreteras"
"W145" "Cada desde un rbol, comercio y rea de servicios"
"W146" "Cada desde un rbol, rea industrial y de la construccin"
"W147" "Cada desde un rbol, granja"
"W148" "Cada desde un rbol, otro lugar especificado"
"W149" "Cada desde un rbol, lugar no especificado"
"W15" "Cada desde peasco"
"W150" "Cada desde peasco, vivienda"
"W151" "Cada desde peasco, institucin residencial"
"W152" "Cada desde peasco, escuelas, otras instituciones y reas administrativas pblicas"
"W153" "Cada desde peasco, reas de deporte y atletismo"
"W154" "Cada desde peasco, calles y carreteras"
"W155" "Cada desde peasco, comercio y rea de servicios"
"W156" "Cada desde peasco, rea industrial y de la construccin"
"W157" "Cada desde peasco, granja"
"W158" "Cada desde peasco, otro lugar especificado"
"W159" "Cada desde peasco, lugar no especificado"
"W16" "Salto o zambullida dentro del agua que causa otro traumatismo sin sumersin o ahogamiento"
"W160" "Salto o zambullida dentro del agua que causa otro traumatismo sin sumersin o ahogamiento, vivienda"
"W161" "Salto o zambullida dentro del agua que causa otro traumatismo sin sumersin o ahogamiento, institucin residencial"
"W162" "Salto o zambullida dentro del agua que causa otro traumatismo sin sumersin o ahogamiento, escuelas, otras instituciones y reas administrativas pblicas"
"W163" "Salto o zambullida dentro del agua que causa otro traumatismo sin sumersin o ahogamiento, reas de deporte y atletismo"
"W164" "Salto o zambullida dentro del agua que causa otro traumatismo sin sumersin o ahogamiento, calles y carreteras"
"W165" "Salto o zambullida dentro del agua que causa otro traumatismo sin sumersin o ahogamiento, comercio y rea de servicios"
"W166" "Salto o zambullida dentro del agua que causa otro traumatismo sin sumersin o ahogamiento, rea industrial y de la construccin"
"W167" "Salto o zambullida dentro del agua que causa otro traumatismo sin sumersin o ahogamiento, granja"
"W168" "Salto o zambullida dentro del agua que causa otro traumatismo sin sumersin o ahogamiento, otro lugar especificado"
"W169" "Salto o zambullida dentro del agua que causa otro traumatismo sin sumersin o ahogamiento, lugar no especificado"
"W17" "Otras cadas de un nivel a otro"
"W170" "Otras cadas de un nivel a otro, vivienda"
"W171" "Otras cadas de un nivel a otro, institucin residencial"
"W172" "Otras cadas de un nivel a otro, escuelas, otras instituciones y reas administrativas pblicas"
"W173" "Otras cadas de un nivel a otro, reas de deporte y atletismo"
"W174" "Otras cadas de un nivel a otro, calles y carreteras"
"W175" "Otras cadas de un nivel a otro, comercio y rea de servicios"
"W176" "Otras cadas de un nivel a otro, rea industrial y de la construccin"
"W177" "Otras cadas de un nivel a otro, granja"
"W178" "Otras cadas de un nivel a otro, otro lugar especificado"
"W179" "Otras cadas de un nivel a otro, lugar no especificado"
"W18" "Otras cadas en el mismo nivel"
"W180" "Otras cadas en el mismo nivel, vivienda"
"W181" "Otras cadas en el mismo nivel, institucin residencial"
"W182" "Otras cadas en el mismo nivel, escuelas, otras instituciones y reas administrativas pblicas"
"W183" "Otras cadas en el mismo nivel, reas de deporte y atletismo"
"W184" "Otras cadas en el mismo nivel, calles y carreteras"
"W185" "Otras cadas en el mismo nivel, comercio y rea de servicios"
"W186" "Otras cadas en el mismo nivel, rea industrial y de la construccin"
"W187" "Otras cadas en el mismo nivel, granja"
"W188" "Otras cadas en el mismo nivel, otro lugar especificado"
"W189" "Otras cadas en el mismo nivel, lugar no especificado"
"W19" "Cada no especificada"
"W190" "Cada no especificada, vivienda"
"W191" "Cada no especificada, institucin residencial"
"W192" "Cada no especificada, escuelas, otras instituciones y reas administrativas pblicas"
"W193" "Cada no especificada, reas de deporte y atletismo"
"W194" "Cada no especificada, calles y carreteras"
"W195" "Cada no especificada, comercio y rea de servicios"
"W196" "Cada no especificada, rea industrial y de la construccin"
"W197" "Cada no especificada, granja"
"W198" "Cada no especificada, otro lugar especificado"
"W199" "Cada no especificada, lugar no especificado"
"W20" "Golpe por objeto arrojado, proyectado o que cae"
"W200" "Golpe por objeto arrojado, proyectado o que cae, vivienda"
"W201" "Golpe por objeto arrojado, proyectado o que cae, institucin residencial"
"W202" "Golpe por objeto arrojado, proyectado o que cae, escuelas, otras instituciones y reas administrativas  pblicas"
"W203" "Golpe por objeto arrojado, proyectado o que cae, reas de deporte y atletismo"
"W204" "Golpe por objeto arrojado, proyectado o que cae, calles y carreteras"
"W205" "Golpe por objeto arrojado, proyectado o que cae, comercio y rea de servicios"
"W206" "Golpe por objeto arrojado, proyectado o que cae, rea industrial y de la construccin"
"W207" "Golpe por objeto arrojado, proyectado o que cae, granja"
"W208" "Golpe por objeto arrojado, proyectado o que cae, otro lugar especificado"
"W209" "Golpe por objeto arrojado, proyectado o que cae, lugar no especificado"
"W21" "Golpe contra o golpeado por equipo para deportes"
"W210" "Golpe contra o golpeado por equipo para deportes, vivienda"
"W211" "Golpe contra o golpeado por equipo para deportes, institucin residencial"
"W212" "Golpe contra o golpeado por equipo para deportes, escuelas, otras instituciones y reas administrativas  pblicas"
"W213" "Golpe contra o golpeado por equipo para deportes, reas de deporte y atletismo"
"W214" "Golpe contra o golpeado por equipo para deportes, calles y carreteras"
"W215" "Golpe contra o golpeado por equipo para deportes, comercio y rea de servicios"
"W216" "Golpe contra o golpeado por equipo para deportes, rea industrial y de la construccin"
"W217" "Golpe contra o golpeado por equipo para deportes, granja"
"W218" "Golpe contra o golpeado por equipo para deportes, otro lugar especificado"
"W219" "Golpe contra o golpeado por equipo para deportes, lugar no especificado"
"W22" "Golpe contra o golpeado por otros objetos"
"W220" "Golpe contra o golpeado por otros objetos, vivienda"
"W221" "Golpe contra o golpeado por otros objetos, institucin residencial"
"W222" "Golpe contra o golpeado por otros objetos, escuelas, otras instituciones y reas administrativas  pblicas"
"W223" "Golpe contra o golpeado por otros objetos, reas de deporte y atletismo"
"W224" "Golpe contra o golpeado por otros objetos, calles y carreteras"
"W225" "Golpe contra o golpeado por otros objetos, comercio y rea de servicios"
"W226" "Golpe contra o golpeado por otros objetos, rea industrial y de la construccin"
"W227" "Golpe contra o golpeado por otros objetos, granja"
"W228" "Golpe contra o golpeado por otros objetos, otro lugar especificado"
"W229" "Golpe contra o golpeado por otros objetos, lugar no especificado"
"W23" "Atrapado, aplastado, trabado o apretado en o entre objetos"
"W230" "Atrapado, aplastado, trabado o apretado en o entre objetos, vivienda"
"W231" "Atrapado, aplastado, trabado o apretado en o entre objetos, institucin residencial"
"W232" "Atrapado, aplastado, trabado o apretado en o entre objetos, escuelas, otras instituciones y reas administrativas pblicas"
"W233" "Atrapado, aplastado, trabado o apretado en o entre objetos, reas de deporte y atletismo"
"W234" "Atrapado, aplastado, trabado o apretado en o entre objetos, calles y carreteras"
"W235" "Atrapado, aplastado, trabado o apretado en o entre objetos, comercio y rea de servicios"
"W236" "Atrapado, aplastado, trabado o apretado en o entre objetos, rea industrial y de la construccin"
"W237" "Atrapado, aplastado, trabado o apretado en o entre objetos, granja"
"W238" "Atrapado, aplastado, trabado o apretado en o entre objetos, otro lugar especificado"
"W239" "Atrapado, aplastado, trabado o apretado en o entre objetos, lugar no especificado"
"W24" "Contacto traumtico con dispositivos de elevacin o transmisin, no clasificado en otra parte"
"W240" "Contacto traumtico con dispositivos de elevacin y transmisin, no clasificados en otra parte, vivienda"
"W241" "Contacto traumtico con dispositivos de elevacin y transmisin, no clasificados en otra parte, institucin residencial"
"W242" "Contacto traumtico con dispositivos de elevacin y transmisin, no clasificados en otra parte, escuelas, otras instituciones y reas administrativas  pblicas"
"W243" "Contacto traumtico con dispositivos de elevacin y transmisin, no clasificados en otra parte, reas de deporte y atletismo"
"W244" "Contacto traumtico con dispositivos de elevacin y transmisin, no clasificados en otra parte, calles y carreteras"
"W245" "Contacto traumtico con dispositivos de elevacin y transmisin, no clasificados en otra parte, comercio y rea de servicios"
"W246" "Contacto traumtico con dispositivos de elevacin y transmisin, no clasificados en otra parte, rea industrial y de la construccin"
"W247" "Contacto traumtico con dispositivos de elevacin y transmisin, no clasificados en otra parte, granja"
"W248" "Contacto traumtico con dispositivos de elevacin y transmisin, no clasificados en otra parte, otro lugar especificado"
"W249" "Contacto traumtico con dispositivos de elevacin y transmisin, no clasificados en otra parte, lugar no especificado"
"W25" "Contacto traumtico con vidrio cortante"
"W250" "Contacto traumtico con vidrio cortante, vivienda"
"W251" "Contacto traumtico con vidrio cortante, institucin residencial"
"W252" "Contacto traumtico con vidrio cortante, escuelas, otras instituciones y reas administrativas pblicas"
"W253" "Contacto traumtico con vidrio cortante, reas de deporte y atletismo"
"W254" "Contacto traumtico con vidrio cortante, calles y carreteras"
"W255" "Contacto traumtico con vidrio cortante, comercio y rea de servicios"
"W256" "Contacto traumtico con vidrio cortante, rea industrial y de la construccin"
"W257" "Contacto traumtico con vidrio cortante, granja"
"W258" "Contacto traumtico con vidrio cortante, otro lugar especificado"
"W259" "Contacto traumtico con vidrio cortante, lugar no especificado"
"W26" "Contacto traumtico con cuchillo, espada, daga o pual"
"W260" "Contacto traumtico con cuchillo, espada, daga o pual, vivienda"
"W261" "Contacto traumtico con cuchillo, espada, daga o pual, institucin residencial"
"W262" "Contacto traumtico con cuchillo, espada, daga o pual, escuelas, otras instituciones y reas administrativas pblicas"
"W263" "Contacto traumtico con cuchillo, espada, daga o pual, reas de deporte y atletismo"
"W264" "Contacto traumtico con cuchillo, espada, daga o pual, calles y carreteras"
"W265" "Contacto traumtico con cuchillo, espada, daga o pual, comercio y rea de servicios"
"W266" "Contacto traumtico con cuchillo, espada, daga o pual, rea industrial y de la construccin"
"W267" "Contacto traumtico con cuchillo, espada, daga o pual, granja"
"W268" "Contacto traumtico con cuchillo, espada, daga o pual, otro lugar especificado"
"W269" "Contacto traumtico con cuchillo, espada, daga o pual, lugar no especificado"
"W27" "Contacto traumtico con herramientas manuales sin motor"
"W270" "Contacto traumtico con herramientas manuales sin motor, vivienda"
"W271" "Contacto traumtico con herramientas manuales sin motor, institucin residencial"
"W272" "Contacto traumtico con herramientas manuales sin motor, escuelas, otras instituciones y reas administrativas pblicas"
"W273" "Contacto traumtico con herramientas manuales sin motor, reas de deporte y atletismo"
"W274" "Contacto traumtico con herramientas manuales sin motor, calles y carreteras"
"W275" "Contacto traumtico con herramientas manuales sin motor, comercio y rea de servicios"
"W276" "Contacto traumtico con herramientas manuales sin motor, rea industrial y de la construccin"
"W277" "Contacto traumtico con herramientas manuales sin motor, granja"
"W278" "Contacto traumtico con herramientas manuales sin motor, otro lugar especificado"
"W279" "Contacto traumtico con herramientas manuales sin motor, lugar no especificado"
"W28" "Contacto traumtico con cortadora de csped, con motor"
"W280" "Contacto traumtico con cortadora de csped, con motor, vivienda"
"W281" "Contacto traumtico con cortadora de csped, con motor, institucin residencial"
"W282" "Contacto traumtico con cortadora de csped, con motor, escuelas, otras instituciones y reas administrativas pblicas"
"W283" "Contacto traumtico con cortadora de csped, con motor, reas de deporte y atletismo"
"W284" "Contacto traumtico con cortadora de csped, con motor, calles y carreteras"
"W285" "Contacto traumtico con cortadora de csped, con motor, comercio y rea de servicios"
"W286" "Contacto traumtico con cortadora de csped, con motor, rea industrial y de la construccin"
"W287" "Contacto traumtico con cortadora de csped, con motor, granja"
"W288" "Contacto traumtico con cortadora de csped, con motor, otro lugar especificado"
"W289" "Contacto traumtico con cortadora de csped, con motor, lugar no especificado"
"W29" "Contacto traumtico con otras herramientas manuales y artefactos del hogar, con motor"
"W290" "Contacto traumtico con otras herramientas manuales y artefactos del hogar, con motor, vivienda"
"W291" "Contacto traumtico con otras herramientas manuales y artefactos del hogar, con motor, institucin residencial"
"W292" "Contacto traumtico con otras herramientas manuales y artefactos del hogar, con motor, escuelas, otras instituciones y reas administrativas  pblicas"
"W293" "Contacto traumtico con otras herramientas manuales y artefactos del hogar, con motor, reas de deporte y atletismo"
"W294" "Contacto traumtico con otras herramientas manuales y artefactos del hogar, con motor, calles y carreteras"
"W295" "Contacto traumtico con otras herramientas manuales y artefactos del hogar, con motor, comercio y rea de servicios"
"W296" "Contacto traumtico con otras herramientas manuales y artefactos del hogar, con motor, rea industrial y de la construccin"
"W297" "Contacto traumtico con otras herramientas manuales y artefactos del hogar, con motor, granja"
"W298" "Contacto traumtico con otras herramientas manuales y artefactos del hogar, con motor, otro lugar especificado"
"W299" "Contacto traumtico con otras herramientas manuales y artefactos del hogar, con motor, lugar no especificado"
"W30" "Contacto traumtico con maquinaria agrcola"
"W300" "Contacto traumtico con maquinaria agrcola, vivienda"
"W301" "Contacto traumtico con maquinaria agrcola, institucin residencial"
"W302" "Contacto traumtico con maquinaria agrcola, escuelas, otras instituciones y reas administrativas pblicas"
"W303" "Contacto traumtico con maquinaria agrcola, reas de deporte y atletismo"
"W304" "Contacto traumtico con maquinaria agrcola, calles y carreteras"
"W305" "Contacto traumtico con maquinaria agrcola, comercio y rea de servicios"
"W306" "Contacto traumtico con maquinaria agrcola, rea industrial y de la construccin"
"W307" "Contacto traumtico con maquinaria agrcola, granja"
"W308" "Contacto traumtico con maquinaria agrcola, otro lugar especificado"
"W309" "Contacto traumtico con maquinaria agrcola, lugar no especificado"
"W31" "Contacto traumtico con otras maquinarias, y las no especificadas"
"W310" "Contacto traumtico con otras maquinarias, y las no especificadas, vivienda"
"W311" "Contacto traumtico con otras maquinarias, y las no especificadas, institucin residencial"
"W312" "Contacto traumtico con otras maquinarias, y las no especificadas, escuelas, otras instituciones y reas administrativas  pblicas"
"W313" "Contacto traumtico con otras maquinarias, y las no especificadas, reas de deporte y atletismo"
"W314" "Contacto traumtico con otras maquinarias, y las no especificadas, calles y carreteras"
"W315" "Contacto traumtico con otras maquinarias, y las no especificadas, comercio y rea de servicios"
"W316" "Contacto traumtico con otras maquinarias, y las no especificadas, rea industrial y de la construccin"
"W317" "Contacto traumtico con otras maquinarias, y las no especificadas, granja"
"W318" "Contacto traumtico con otras maquinarias, y las no especificadas, otro lugar especificado"
"W319" "Contacto traumtico con otras maquinarias, y las no especificadas, lugar no especificado"
"W32" "Disparo de arma corta"
"W320" "Disparo de arma corta, vivienda"
"W321" "Disparo de arma corta, institucin residencial"
"W322" "Disparo de arma corta, escuelas, otras instituciones y reas administrativas  pblicas"
"W323" "Disparo de arma corta, reas de deporte y atletismo"
"W324" "Disparo de arma corta, calles y carreteras"
"W325" "Disparo de arma corta, comercio y rea de servicios"
"W326" "Disparo de arma corta, rea industrial y de la construccin"
"W327" "Disparo de arma corta, granja"
"W328" "Disparo de arma corta, otro lugar especificado"
"W329" "Disparo de arma corta, lugar no especificado"
"W33" "Disparo de rifle, escopeta y arma larga"
"W330" "Disparo de rifle, escopeta y arma larga, vivienda"
"W331" "Disparo de rifle, escopeta y arma larga, institucin residencial"
"W332" "Disparo de rifle, escopeta y arma larga, escuelas, otras instituciones y reas administrativas pblicas"
"W333" "Disparo de rifle, escopeta y arma larga, reas de deporte y atletismo"
"W334" "Disparo de rifle, escopeta y arma larga, calles y carreteras"
"W335" "Disparo de rifle, escopeta y arma larga, comercio y rea de servicios"
"W336" "Disparo de rifle, escopeta y arma larga, rea industrial y de la construccin"
"W337" "Disparo de rifle, escopeta y arma larga, granja"
"W338" "Disparo de rifle, escopeta y arma larga, otro lugar especificado"
"W339" "Disparo de rifle, escopeta y arma larga, lugar no especificado"
"W34" "Disparo de otras armas de fuego, y las no especificadas"
"W340" "Disparo de otras armas de fuego, y las no especificadas, vivienda"
"W341" "Disparo de otras armas de fuego, y las no especificadas, institucin residencial"
"W342" "Disparo de otras armas de fuego, y las no especificadas, escuelas, otras instituciones y reas administrativas pblicas"
"W343" "Disparo de otras armas de fuego, y las no especificadas, reas de deporte y atletismo"
"W344" "Disparo de otras armas de fuego, y las no especificadas, calles y carreteras"
"W345" "Disparo de otras armas de fuego, y las no especificadas, comercio y rea de servicios"
"W346" "Disparo de otras armas de fuego, y las no especificadas, rea industrial y de la construccin"
"W347" "Disparo de otras armas de fuego, y las no especificadas, granja"
"W348" "Disparo de otras armas de fuego, y las no especificadas, otro lugar especificado"
"W349" "Disparo de otras armas de fuego, y las no especificadas, lugar no especificado"
"W35" "Explosin y rotura de caldera"
"W350" "Explosin y rotura de caldera, vivienda"
"W351" "Explosin y rotura de caldera, institucin residencial"
"W352" "Explosin y rotura de caldera, escuelas, otras instituciones y reas administrativas pblicas"
"W353" "Explosin y rotura de caldera, reas de deporte y atletismo"
"W354" "Explosin y rotura de caldera, calles y carreteras"
"W355" "Explosin y rotura de caldera, comercio y rea de servicios"
"W356" "Explosin y rotura de caldera, rea industrial y de la construccin"
"W357" "Explosin y rotura de caldera, granja"
"W358" "Explosin y rotura de caldera, otro lugar especificado"
"W359" "Explosin y rotura de caldera, lugar no especificado"
"W36" "Explosin y rotura de cilindro con gas"
"W360" "Explosin y rotura de cilindro con gas, vivienda"
"W361" "Explosin y rotura de cilindro con gas, institucin residencial"
"W362" "Explosin y rotura de cilindro con gas, escuelas, otras instituciones y reas administrativas pblicas"
"W363" "Explosin y rotura de cilindro con gas, reas de deporte y atletismo"
"W364" "Explosin y rotura de cilindro con gas, calles y carreteras"
"W365" "Explosin y rotura de cilindro con gas, comercio y rea de servicios"
"W366" "Explosin y rotura de cilindro con gas, rea industrial y de la construccin"
"W367" "Explosin y rotura de cilindro con gas, granja"
"W368" "Explosin y rotura de cilindro con gas, otro lugar especificado"
"W369" "Explosin y rotura de cilindro con gas, lugar no especificado"
"W37" "Explosin y rotura de neumtico, tubo o manguera de goma presurizada"
"W370" "Explosin y rotura de neumtico, tubo o manguera de goma presurizada, vivienda"
"W371" "Explosin y rotura de neumtico, tubo o manguera de goma presurizada, institucin residencial"
"W372" "Explosin y rotura de neumtico, tubo o manguera de goma presurizada, escuelas, otras instituciones y reas administrativas pblicas"
"W373" "Explosin y rotura de neumtico, tubo o manguera de goma presurizada, reas de deporte y atletismo"
"W374" "Explosin y rotura de neumtico, tubo o manguera de goma presurizada, calles y carreteras"
"W375" "Explosin y rotura de neumtico, tubo o manguera de goma presurizada, comercio y rea de servicios"
"W376" "Explosin y rotura de neumtico, tubo o manguera de goma presurizada, rea industrial y de la construccin"
"W377" "Explosin y rotura de neumtico, tubo o manguera de goma presurizada, granja"
"W378" "Explosin y rotura de neumtico, tubo o manguera de goma presurizada, otro lugar especificado"
"W379" "Explosin y rotura de neumtico, tubo o manguera de goma presurizada, lugar no especificado"
"W38" "Explosin y rotura de otros dispositivos presurizados especificado"
"W380" "Explosin y rotura de otros dispositivos presurizados especificados, vivienda"
"W381" "Explosin y rotura de otros dispositivos presurizados especificados, institucin residencial"
"W382" "Explosin y rotura de otros dispositivos presurizados especificados, escuelas, otras instituciones y reas administrativas pblicas"
"W383" "Explosin y rotura de otros dispositivos presurizados especificados, reas de deporte y atletismo"
"W384" "Explosin y rotura de otros dispositivos presurizados especificados, calles y carreteras"
"W385" "Explosin y rotura de otros dispositivos presurizados especificados, comercio y rea de servicios"
"W386" "Explosin y rotura de otros dispositivos presurizados especificados, rea industrial y de la construccin"
"W387" "Explosin y rotura de otros dispositivos presurizados especificados, granja"
"W388" "Explosin y rotura de otros dispositivos presurizados especificados, otro lugar especificado"
"W389" "Explosin y rotura de otros dispositivos presurizados especificados, lugar no especificado"
"W39" "Explosin de fueros artificiales"
"W390" "Explosin de fuegos artificiales, vivienda"
"W391" "Explosin de fuegos artificiales, institucin residencial"
"W392" "Explosin de fuegos artificiales, escuelas, otras instituciones y reas administrativas pblicas"
"W393" "Explosin de fuegos artificiales, reas de deporte y atletismo"
"W394" "Explosin de fuegos artificiales, calles y carreteras"
"W395" "Explosin de fuegos artificiales, comercio y rea de servicios"
"W396" "Explosin de fuegos artificiales, rea industrial y de la construccin"
"W397" "Explosin de fuegos artificiales, granja"
"W398" "Explosin de fuegos artificiales, otro lugar especificado"
"W399" "Explosin de fuegos artificiales, lugar no especificado"
"W40" "Explosin de otros materiales"
"W400" "Explosin de otros materiales, vivienda"
"W401" "Explosin de otros materiales, institucin residencial"
"W402" "Explosin de otros materiales, escuelas, otras instituciones y reas administrativas pblicas"
"W403" "Explosin de otros materiales, reas de deporte y atletismo"
"W404" "Explosin de otros materiales, calles y carreteras"
"W405" "Explosin de otros materiales, comercio y rea de servicios"
"W406" "Explosin de otros materiales, rea industrial y de la construccin"
"W407" "Explosin de otros materiales, granja"
"W408" "Explosin de otros materiales, otro lugar especificado"
"W409" "Explosin de otros materiales, lugar no especificado"
"W41" "Exposicin a chorro de alta presin"
"W410" "Exposicin  a chorro de alta presin, vivienda"
"W411" "Exposicin  a chorro de alta presin, institucin residencial"
"W412" "Exposicin  a chorro de alta presin, escuelas, otras instituciones y reas administrativas pblicas"
"W413" "Exposicin  a chorro de alta presin, reas de deporte y atletismo"
"W414" "Exposicin  a chorro de alta presin, calles y carreteras"
"W415" "Exposicin  a chorro de alta presin, comercio y rea de servicios"
"W416" "Exposicin  a chorro de alta presin, rea industrial y de la construccin"
"W417" "Exposicin  a chorro de alta presin, granja"
"W418" "Exposicin  a chorro de alta presin, otro lugar especificado"
"W419" "Exposicin  a chorro de alta presin, lugar no especificado"
"W42" "W42  Exposicin al ruido"
"W420" "Exposicin al ruido, vivienda"
"W421" "Exposicin al ruido, institucin residencial"
"W422" "Exposicin al ruido, escuelas, otras instituciones y reas administrativas pblicas"
"W423" "Exposicin al ruido, reas de deporte y atletismo"
"W424" "Exposicin al ruido, calles y carreteras"
"W425" "Exposicin al ruido, comercio y rea de servicios"
"W426" "Exposicin al ruido, rea industrial y de la construccin"
"W427" "Exposicin al ruido, granja"
"W428" "Exposicin al ruido, otro lugar especificado"
"W429" "Exposicin al ruido, lugar no especificado"
"W43" "Exposicin a vibraciones"
"W430" "Exposicin a vibraciones, vivienda"
"W431" "Exposicin a vibraciones, institucin residencial"
"W432" "Exposicin a vibraciones, escuelas, otras instituciones y reas administrativas pblicas"
"W433" "Exposicin a vibraciones, reas de deporte y atletismo"
"W434" "Exposicin a vibraciones, calles y carreteras"
"W435" "Exposicin a vibraciones, comercio y rea de servicios"
"W436" "Exposicin a vibraciones, rea industrial y de la construccin"
"W437" "Exposicin a vibraciones, granja"
"W438" "Exposicin a vibraciones, otro lugar especificado"
"W439" "Exposicin a vibraciones, lugar no especificado"
"W44" "Cuerpo extrao que penetra por el ojo u orificio natural"
"W440" "Cuerpo extrao que penetra por el ojo u orificio natural, vivienda"
"W441" "Cuerpo extrao que penetra por el ojo u orificio natural, institucin residencial"
"W442" "Cuerpo extrao que penetra por el ojo u orificio natural, escuelas, otras instituciones y reas administrativas pblicas"
"W443" "Cuerpo extrao que penetra por el ojo u orificio natural, reas de deporte y atletismo"
"W444" "Cuerpo extrao que penetra por el ojo u orificio natural, calles y carreteras"
"W445" "Cuerpo extrao que penetra por el ojo u orificio natural, comercio y rea de servicios"
"W446" "Cuerpo extrao que penetra por el ojo u orificio natural, rea industrial y de la construccin"
"W447" "Cuerpo extrao que penetra por el ojo u orificio natural, granja"
"W448" "Cuerpo extrao que penetra por el ojo u orificio natural, otro lugar especificado"
"W449" "Cuerpo extrao que penetra por el ojo u orificio natural, lugar no especificado"
"W45" "Cuerpo extrao que penetra a travs de la piel"
"W450" "Cuerpo extrao que penetra a travs de la piel, vivienda"
"W451" "Cuerpo extrao que penetra a travs de la piel, institucin residencial"
"W452" "Cuerpo extrao que penetra a travs de la piel, escuelas, otras instituciones y reas administrativas pblicas"
"W453" "Cuerpo extrao que penetra a travs de la piel, reas de deporte y atletismo"
"W454" "Cuerpo extrao que penetra a travs de la piel, calles y carreteras"
"W455" "Cuerpo extrao que penetra a travs de la piel, comercio y rea de servicios"
"W456" "Cuerpo extrao que penetra a travs de la piel, rea industrial y de la construccin"
"W457" "Cuerpo extrao que penetra a travs de la piel, granja"
"W458" "Cuerpo extrao que penetra a travs de la piel, otro lugar especificado"
"W459" "Cuerpo extrao que penetra a travs de la piel, lugar no especificado"
"W46" "Contacto traumtico con aguja hipodrmica"
"W460" "Contacto traumtico con aguja hipodrmica, vivienda"
"W461" "Contacto traumtico con aguja hipodrmica, institucin residencial"
"W462" "Contacto traumtico con aguja hipodrmica, escuelas, otras instituciones y reas administrativas pblicas"
"W463" "Contacto traumtico con aguja hipodrmica, reas de deporte y atletismo"
"W464" "Contacto traumtico con aguja hipodrmica, calles y carreteras"
"W465" "Contacto traumtico con aguja hipodrmica, comercio y rea de servicios"
"W466" "Contacto traumtico con aguja hipodrmica, rea industrial y de la construccin"
"W467" "Contacto traumtico con aguja hipodrmica, granja"
"W468" "Contacto traumtico con aguja hipodrmica, otro lugar especificado"
"W469" "Contacto traumtico con aguja hipodrmica, lugar no especificado"
"W49" "Exposicin a otras fuerzas mecnicas inanimadas, y las no especificadas"
"W490" "Exposicin a otras fuerzas mecnicas inanimadas, y las no especificadas, vivienda"
"W491" "Exposicin a otras fuerzas mecnicas inanimadas, y las no especificadas, institucin residencial"
"W492" "Exposicin a otras fuerzas mecnicas inanimadas, y las no especificadas, escuelas, otras instituciones y reas administrativas pblicas"
"W493" "Exposicin a otras fuerzas mecnicas inanimadas, y las no especificadas, reas de deporte y atletismo"
"W494" "Exposicin a otras fuerzas mecnicas inanimadas, y las no especificadas, calles y carreteras"
"W495" "Exposicin a otras fuerzas mecnicas inanimadas, y las no especificadas, comercio y rea de servicios"
"W496" "Exposicin a otras fuerzas mecnicas inanimadas, y las no especificadas, rea industrial y de la construccin"
"W497" "Exposicin a otras fuerzas mecnicas inanimadas, y las no especificadas, granja"
"W498" "Exposicin a otras fuerzas mecnicas inanimadas, y las no especificadas, otro lugar especificado"
"W499" "Exposicin a otras fuerzas mecnicas inanimadas, y las no especificadas, lugar no especificado"
"W50" "Aporreo, golpe, mordedura, patada, rasguo o torcedura infligidos por otra persona"
"W500" "Aporreo, golpe, mordedura, patada, rasguo o torcedura infligidos por otra persona, vivienda"
"W501" "Aporreo, golpe, mordedura, patada, rasguo o torcedura infligidos por otra persona, institucin residencial"
"W502" "Aporreo, golpe, mordedura, patada, rasguo o torcedura infligidos por otra persona, escuelas, otras instituciones y reas administrativas  pblicas"
"W503" "Aporreo, golpe, mordedura, patada, rasguo o torcedura infligidos por otra persona, reas de deporte y atletismo"
"W504" "Aporreo, golpe, mordedura, patada, rasguo o torcedura infligidos por otra persona, calles y carreteras"
"W505" "Aporreo, golpe, mordedura, patada, rasguo o torcedura infligidos por otra persona, comercio y rea de servicios"
"W506" "Aporreo, golpe, mordedura, patada, rasguo o torcedura infligidos por otra persona, rea industrial y de la construccin"
"W507" "Aporreo, golpe, mordedura, patada, rasguo o torcedura infligidos por otra persona, granja"
"W508" "Aporreo, golpe, mordedura, patada, rasguo o torcedura infligidos por otra persona, otro lugar especificado"
"W509" "Aporreo, golpe, mordedura, patada, rasguo o torcedura infligidos por otra persona, lugar no especificado"
"W51" "Choque o empelln contra otra persona"
"W510" "Choque o empelln contra otra persona, vivienda"
"W511" "Choque o empelln contra otra persona, institucin residencial"
"W512" "Choque o empelln contra otra persona, escuelas, otras instituciones y reas administrativas pblicas"
"W513" "Choque o empelln contra otra persona, reas de deporte y atletismo"
"W514" "Choque o empelln contra otra persona, calles y carreteras"
"W515" "Choque o empelln contra otra persona, comercio y rea de servicios"
"W516" "Choque o empelln contra otra persona, rea industrial y de la construccin"
"W517" "Choque o empelln contra otra persona, granja"
"W518" "Choque o empelln contra otra persona, otro lugar especificado"
"W519" "Choque o empelln contra otra persona, lugar no especificado"
"W52" "Persona aplastada, empujada o pisoteada por una multitud o estampida humana"
"W520" "Persona aplastada, empujada o pisoteada por una multitud o estampida humana, vivienda"
"W521" "Persona aplastada, empujada o pisoteada por una multitud o estampida humana, institucin residencial"
"W522" "Persona aplastada, empujada o pisoteada por una multitud o estampida humana, escuelas, otras instituciones y reas administrativas pblicas"
"W523" "Persona aplastada, empujada o pisoteada por una multitud o estampida humana, reas de deporte y atletismo"
"W524" "Persona aplastada, empujada o pisoteada por una multitud o estampida humana, calles y carreteras"
"W525" "Persona aplastada, empujada o pisoteada por una multitud o estampida humana, comercio y rea de servicios"
"W526" "Persona aplastada, empujada o pisoteada por una multitud o estampida humana, rea industrial y de la construccin"
"W527" "Persona aplastada, empujada o pisoteada por una multitud o estampida humana, granja"
"W528" "Persona aplastada, empujada o pisoteada por una multitud o estampida humana, otro lugar especificado"
"W529" "Persona aplastada, empujada o pisoteada por una multitud o estampida humana, lugar no especificado"
"W53" "Mordedura de rata"
"W530" "Mordedura de rata, vivienda"
"W531" "Mordedura de rata, institucin residencial"
"W532" "Mordedura de rata, escuelas, otras instituciones y reas administrativas pblicas"
"W533" "Mordedura de rata, reas de deporte y atletismo"
"W534" "Mordedura de rata, calles y carreteras"
"W535" "Mordedura de rata, comercio y rea de servicios"
"W536" "Mordedura de rata, rea industrial y de la construccin"
"W537" "Mordedura de rata, granja"
"W538" "Mordedura de rata, otro lugar especificado"
"W539" "Mordedura de rata, lugar no especificado"
"W54" "Mordedura o ataque de perro"
"W540" "Mordedura o ataque de perro, vivienda"
"W541" "Mordedura o ataque de perro, institucin residencial"
"W542" "Mordedura o ataque de perro, escuelas, otras instituciones y reas administrativas pblicas"
"W543" "Mordedura o ataque de perro, reas de deporte y atletismo"
"W544" "Mordedura o ataque de perro, calles y carreteras"
"W545" "Mordedura o ataque de perro, comercio y rea de servicios"
"W546" "Mordedura o ataque de perro, rea industrial y de la construccin"
"W547" "Mordedura o ataque de perro, granja"
"W548" "Mordedura o ataque de perro, otro lugar especificado"
"W549" "Mordedura o ataque de perro, lugar no especificado"
"W55" "Mordedura o ataque de otros mamferos"
"W550" "Mordedura o ataque de otros mamferos, vivienda"
"W551" "Mordedura o ataque de otros mamferos, institucin residencial"
"W552" "Mordedura o ataque de otros mamferos, escuelas, otras instituciones y reas administrativas pblicas"
"W553" "Mordedura o ataque de otros mamferos, reas de deporte y atletismo"
"W554" "Mordedura o ataque de otros mamferos, calles y carreteras"
"W555" "Mordedura o ataque de otros mamferos, comercio y rea de servicios"
"W556" "Mordedura o ataque de otros mamferos, rea industrial y de la construccin"
"W557" "Mordedura o ataque de otros mamferos, granja"
"W558" "Mordedura o ataque de otros mamferos, otro lugar especificado"
"W559" "Mordedura o ataque de otros mamferos, lugar no especificado"
"W56" "Contacto traumtico con animales marinos"
"W560" "Contacto traumtico con animales marinos, vivienda"
"W561" "Contacto traumtico con animales marinos, institucin residencial"
"W562" "Contacto traumtico con animales marinos, escuelas, otras instituciones y reas administrativas pblicas"
"W563" "Contacto traumtico con animales marinos, reas de deporte y atletismo"
"W564" "Contacto traumtico con animales marinos, calles y carreteras"
"W565" "Contacto traumtico con animales marinos, comercio y rea de servicios"
"W566" "Contacto traumtico con animales marinos, rea industrial y de la construccin"
"W567" "Contacto traumtico con animales marinos, granja"
"W568" "Contacto traumtico con animales marinos, otro lugar especificado"
"W569" "Contacto traumtico con animales marinos, lugar no especificado"
"W57" "Mordedura o picadura de insectos y otros artrpodos no venenosos"
"W570" "Mordedura o picadura de insectos y otros artrpodos no venenosos, vivienda"
"W571" "Mordedura o picadura de insectos y otros artrpodos no venenosos, institucin residencial"
"W572" "Mordedura o picadura de insectos y otros artrpodos no venenosos, escuelas, otras instituciones y reas administrativas pblicas"
"W573" "Mordedura o picadura de insectos y otros artrpodos no venenosos, reas de deporte y atletismo"
"W574" "Mordedura o picadura de insectos y otros artrpodos no venenosos, calles y carreteras"
"W575" "Mordedura o picadura de insectos y otros artrpodos no venenosos, comercio y rea de servicios"
"W576" "Mordedura o picadura de insectos y otros artrpodos no venenosos, rea industrial y de la construccin"
"W577" "Mordedura o picadura de insectos y otros artrpodos no venenosos, granja"
"W578" "Mordedura o picadura de insectos y otros artrpodos no venenosos, otro lugar especificado"
"W579" "Mordedura o picadura de insectos y otros artrpodos no venenosos, lugar no especificado"
"W58" "Mordedura o ataque de cocodrilo o caimn"
"W580" "Mordedura o ataque de cocodrilo o caimn, vivienda"
"W581" "Mordedura o ataque de cocodrilo o caimn, institucin residencial"
"W582" "Mordedura o ataque de cocodrilo o caimn, escuelas, otras instituciones y reas administrativas pblicas"
"W583" "Mordedura o ataque de cocodrilo o caimn, reas de deporte y atletismo"
"W584" "Mordedura o ataque de cocodrilo o caimn, calles y carreteras"
"W585" "Mordedura o ataque de cocodrilo o caimn, comercio y rea de servicios"
"W586" "Mordedura o ataque de cocodrilo o caimn, rea industrial y de la construccin"
"W587" "Mordedura o ataque de cocodrilo o caimn, granja"
"W588" "Mordedura o ataque de cocodrilo o caimn, otro lugar especificado"
"W589" "Mordedura o ataque de cocodrilo o caimn, lugar no especificado"
"W59" "Mordedura o aplastamiento por otros reptiles"
"W590" "Mordedura o aplastamiento por otros reptiles, vivienda"
"W591" "Mordedura o aplastamiento por otros reptiles, institucin residencial"
"W592" "Mordedura o aplastamiento por otros reptiles, escuelas, otras instituciones y reas administrativas pblicas"
"W593" "Mordedura o aplastamiento por otros reptiles, reas de deporte y atletismo"
"W594" "Mordedura o aplastamiento por otros reptiles, calles y carreteras"
"W595" "Mordedura o aplastamiento por otros reptiles, comercio y rea de servicios"
"W596" "Mordedura o aplastamiento por otros reptiles, rea industrial y de la construccin"
"W597" "Mordedura o aplastamiento por otros reptiles, granja"
"W598" "Mordedura o aplastamiento por otros reptiles, otro lugar especificado"
"W599" "Mordedura o aplastamiento por otros reptiles, lugar no especificado"
"W60" "Contacto traumtico con aguijones, espinas u hojas cortantes de plantas"
"W600" "Contacto traumtico con aguijones, espinas u hojas cortantes de plantas, vivienda"
"W601" "Contacto traumtico con aguijones, espinas u hojas cortantes de plantas, institucin residencial"
"W602" "Contacto traumtico con aguijones, espinas u hojas cortantes de plantas, escuelas, otras instituciones y reas administrativas pblicas"
"W603" "Contacto traumtico con aguijones, espinas u hojas cortantes de plantas, reas de deporte y atletismo"
"W604" "Contacto traumtico con aguijones, espinas u hojas cortantes de plantas, calles y carreteras"
"W605" "Contacto traumtico con aguijones, espinas u hojas cortantes de plantas, comercio y rea de servicios"
"W606" "Contacto traumtico con aguijones, espinas u hojas cortantes de plantas, rea industrial y de la construccin"
"W607" "Contacto traumtico con aguijones, espinas u hojas cortantes de plantas, granja"
"W608" "Contacto traumtico con aguijones, espinas u hojas cortantes de plantas, otro lugar especificado"
"W609" "Contacto traumtico con aguijones, espinas u hojas cortantes de plantas, lugar no especificado"
"W64" "Exposicin a otras fuerzas mecnicas animadas, y las no especificadas"
"W640" "Exposicin a otras fuerzas mecnicas animadas, y las no especificadas, vivienda"
"W641" "Exposicin a otras fuerzas mecnicas animadas, y las no especificadas, institucin residencial"
"W642" "Exposicin a otras fuerzas mecnicas animadas, y las no especificadas, escuelas, otras instituciones y reas administrativas pblicas"
"W643" "Exposicin a otras fuerzas mecnicas animadas, y las no especificadas, reas de deporte y atletismo"
"W644" "Exposicin a otras fuerzas mecnicas animadas, y las no especificadas, calles y carreteras"
"W645" "Exposicin a otras fuerzas mecnicas animadas, y las no especificadas, comercio y rea de servicios"
"W646" "Exposicin a otras fuerzas mecnicas animadas, y las no especificadas, rea industrial y de la construccin"
"W647" "Exposicin a otras fuerzas mecnicas animadas, y las no especificadas, granja"
"W648" "Exposicin a otras fuerzas mecnicas animadas, y las no especificadas, otro lugar especificado"
"W649" "Exposicin a otras fuerzas mecnicas animadas, y las no especificadas, lugar no especificado"
"W65" "Ahogamiento y sumersin mientras se est en la baera"
"W650" "Ahogamiento y sumersin mientras se est en la baera, vivienda"
"W651" "Ahogamiento y sumersin mientras se est en la baera, institucin residencial"
"W652" "Ahogamiento y sumersin mientras se est en la baera, escuelas, otras instituciones y reas administrativas pblicas"
"W653" "Ahogamiento y sumersin mientras se est en la baera, reas de deporte y atletismo"
"W654" "Ahogamiento y sumersin mientras se est en la baera, calles y carreteras"
"W655" "Ahogamiento y sumersin mientras se est en la baera, comercio y rea de servicios"
"W656" "Ahogamiento y sumersin mientras se est en la baera, rea industrial y de la construccin"
"W657" "Ahogamiento y sumersin mientras se est en la baera, granja"
"W658" "Ahogamiento y sumersin mientras se est en la baera, otro lugar especificado"
"W659" "Ahogamiento y sumersin mientras se est en la baera, lugar no especificado"
"W66" "Ahogamiento y sumersin consecutivos a cada en la baera"
"W660" "Ahogamiento y sumersin consecutivos a cada en la baera, vivienda"
"W661" "Ahogamiento y sumersin consecutivos a cada en la baera, institucin residencial"
"W662" "Ahogamiento y sumersin consecutivos a cada en la baera, escuelas, otras instituciones y reas administrativas pblicas"
"W663" "Ahogamiento y sumersin consecutivos a cada en la baera, reas de deporte y atletismo"
"W664" "Ahogamiento y sumersin consecutivos a cada en la baera, calles y carreteras"
"W665" "Ahogamiento y sumersin consecutivos a cada en la baera, comercio y rea de servicios"
"W666" "Ahogamiento y sumersin consecutivos a cada en la baera, rea industrial y de la construccin"
"W667" "Ahogamiento y sumersin consecutivos a cada en la baera, granja"
"W668" "Ahogamiento y sumersin consecutivos a cada en la baera, otro lugar especificado"
"W669" "Ahogamiento y sumersin consecutivos a cada en la baera, lugar no especificado"
"W67" "Ahogamiento y sumersin mientras se est en una piscina"
"W670" "Ahogamiento y sumersin mientras se est en una piscina, vivienda"
"W671" "Ahogamiento y sumersin mientras se est en una piscina, institucin residencial"
"W672" "Ahogamiento y sumersin mientras se est en una piscina, escuelas, otras instituciones y reas administrativas pblicas"
"W673" "Ahogamiento y sumersin mientras se est en una piscina, reas de deporte y atletismo"
"W674" "Ahogamiento y sumersin mientras se est en una piscina, calles y carreteras"
"W675" "Ahogamiento y sumersin mientras se est en una piscina, comercio y rea de servicios"
"W676" "Ahogamiento y sumersin mientras se est en una piscina, rea industrial y de la construccin"
"W677" "Ahogamiento y sumersin mientras se est en una piscina, granja"
"W678" "Ahogamiento y sumersin mientras se est en una piscina, otro lugar especificado"
"W679" "Ahogamiento y sumersin mientras se est en una piscina, lugar no especificado"
"W68" "Ahogamiento y sumersin consecutivos a cada en una piscina"
"W680" "Ahogamiento y sumersin consecutivos a cada en una piscina, vivienda"
"W681" "Ahogamiento y sumersin consecutivos a cada en una piscina, institucin residencial"
"W682" "Ahogamiento y sumersin consecutivos a cada en una piscina, escuelas, otras instituciones y reas administrativas pblicas"
"W683" "Ahogamiento y sumersin consecutivos a cada en una piscina, reas de deporte y atletismo"
"W684" "Ahogamiento y sumersin consecutivos a cada en una piscina, calles y carreteras"
"W685" "Ahogamiento y sumersin consecutivos a cada en una piscina, comercio y rea de servicios"
"W686" "Ahogamiento y sumersin consecutivos a cada en una piscina, rea industrial y de la construccin"
"W687" "Ahogamiento y sumersin consecutivos a cada en una piscina, granja"
"W688" "Ahogamiento y sumersin consecutivos a cada en una piscina, otro lugar especificado"
"W689" "Ahogamiento y sumersin consecutivos a cada en una piscina, lugar no especificado"
"W69" "Ahogamiento y sumersin mientras se est en aguas naturales"
"W690" "Ahogamiento y sumersin mientras se est en aguas naturales, vivienda"
"W691" "Ahogamiento y sumersin mientras se est en aguas naturales, institucin residencial"
"W692" "Ahogamiento y sumersin mientras se est en aguas naturales, escuelas, otras instituciones y reas administrativas pblicas"
"W693" "Ahogamiento y sumersin mientras se est en aguas naturales, reas de deporte y atletismo"
"W694" "Ahogamiento y sumersin mientras se est en aguas naturales, calles y carreteras"
"W695" "Ahogamiento y sumersin mientras se est en aguas naturales, comercio y rea de servicios"
"W696" "Ahogamiento y sumersin mientras se est en aguas naturales, rea industrial y de la construccin"
"W697" "Ahogamiento y sumersin mientras se est en aguas naturales, granja"
"W698" "Ahogamiento y sumersin mientras se est en aguas naturales, otro lugar especificado"
"W699" "Ahogamiento y sumersin mientras se est en aguas naturales, lugar no especificado"
"W70" "Ahogamiento y sumersin posterior a cada en aguas naturales"
"W700" "Ahogamiento y sumersin posterior a cada en aguas naturales, vivienda"
"W701" "Ahogamiento y sumersin posterior a cada en aguas naturales, institucin residencial"
"W702" "Ahogamiento y sumersin posterior a cada en aguas naturales, escuelas, otras instituciones y reas administrativas pblicas"
"W703" "Ahogamiento y sumersin posterior a cada en aguas naturales, reas de deporte y atletismo"
"W704" "Ahogamiento y sumersin posterior a cada en aguas naturales, calles y carreteras"
"W705" "Ahogamiento y sumersin posterior a cada en aguas naturales, comercio y rea de servicios"
"W706" "Ahogamiento y sumersin posterior a cada en aguas naturales, rea industrial y de la construccin"
"W707" "Ahogamiento y sumersin posterior a cada en aguas naturales, granja"
"W708" "Ahogamiento y sumersin posterior a cada en aguas naturales, otro lugar especificado"
"W709" "Ahogamiento y sumersin posterior a cada en aguas naturales, lugar no especificado"
"W73" "Otros ahogamientos y sumersiones especificados"
"W730" "Otros ahogamientos y sumersiones especificados, vivienda"
"W731" "Otros ahogamientos y sumersiones especificados, institucin residencial"
"W732" "Otros ahogamientos y sumersiones especificados, escuelas, otras instituciones y reas administrativas pblicas"
"W733" "Otros ahogamientos y sumersiones especificados, reas de deporte y atletismo"
"W734" "Otros ahogamientos y sumersiones especificados, calles y carreteras"
"W735" "Otros ahogamientos y sumersiones especificados, comercio y rea de servicios"
"W736" "Otros ahogamientos y sumersiones especificados, rea industrial y de la construccin"
"W737" "Otros ahogamientos y sumersiones especificados, granja"
"W738" "Otros ahogamientos y sumersiones especificados, otro lugar especificado"
"W739" "Otros ahogamientos y sumersiones especificados, lugar no especificado"
"W74" "Ahogamiento y sumersin no especificados"
"W740" "Ahogamiento y sumersin no especificados, vivienda"
"W741" "Ahogamiento y sumersin no especificados, institucin residencial"
"W742" "Ahogamiento y sumersin no especificados, escuelas, otras instituciones y reas administrativas pblicas"
"W743" "Ahogamiento y sumersin no especificados, reas de deporte y atletismo"
"W744" "Ahogamiento y sumersin no especificados, calles y carreteras"
"W745" "Ahogamiento y sumersin no especificados, comercio y rea de servicios"
"W746" "Ahogamiento y sumersin no especificados, rea industrial y de la construccin"
"W747" "Ahogamiento y sumersin no especificados, granja"
"W748" "Ahogamiento y sumersin no especificados, otro lugar especificado"
"W749" "Ahogamiento y sumersin no especificados, lugar no especificado"
"W75" "Sofocacin y estrangulamiento accidental en la cama"
"W750" "Sofocacin y estrangulamiento accidental en la cama, vivienda"
"W751" "Sofocacin y estrangulamiento accidental en la cama, institucin residencial"
"W752" "Sofocacin y estrangulamiento accidental en la cama, escuelas, otras instituciones y reas administrativas pblicas"
"W753" "Sofocacin y estrangulamiento accidental en la cama, reas de deporte y atletismo"
"W754" "Sofocacin y estrangulamiento accidental en la cama, calles y carreteras"
"W755" "Sofocacin y estrangulamiento accidental en la cama, comercio y rea de servicios"
"W756" "Sofocacin y estrangulamiento accidental en la cama, rea industrial y de la construccin"
"W757" "Sofocacin y estrangulamiento accidental en la cama, granja"
"W758" "Sofocacin y estrangulamiento accidental en la cama, otro lugar especificado"
"W759" "Sofocacin y estrangulamiento accidental en la cama, lugar no especificado"
"W76" "Otros estrangulamientos y ahorcamientos accidentales"
"W760" "Otros estrangulamientos y ahorcamientos accidentales, vivienda"
"W761" "Otros estrangulamientos y ahorcamientos accidentales, institucin residencial"
"W762" "Otros estrangulamientos y ahorcamientos accidentales, escuelas, otras instituciones y reas administrativas pblicas"
"W763" "Otros estrangulamientos y ahorcamientos accidentales, reas de deporte y atletismo"
"W764" "Otros estrangulamientos y ahorcamientos accidentales, calles y carreteras"
"W765" "Otros estrangulamientos y ahorcamientos accidentales, comercio y rea de servicios"
"W766" "Otros estrangulamientos y ahorcamientos accidentales, rea industrial y de la construccin"
"W767" "Otros estrangulamientos y ahorcamientos accidentales, granja"
"W768" "Otros estrangulamientos y ahorcamientos accidentales, otro lugar especificado"
"W769" "Otros estrangulamientos y ahorcamientos accidentales, lugar no especificado"
"W77" "Obstruccin de la respiracin debida a hundimiento, cada de tierra u otras sustancias"
"W770" "Obstruccin de la respiracin debida a hundimiento, cada de tierra u otras sustancias, vivienda"
"W771" "Obstruccin de la respiracin debida a hundimiento, cada de tierra u otras sustancias, institucin residencial"
"W772" "Obstruccin de la respiracin debida a hundimiento, cada de tierra u otras sustancias, escuelas, otras instituciones y reas administrativas  pblicas"
"W773" "Obstruccin de la respiracin debida a hundimiento, cada de tierra u otras sustancias, reas de deporte y atletismo"
"W774" "Obstruccin de la respiracin debida a hundimiento, cada de tierra u otras sustancias, calles y carreteras"
"W775" "Obstruccin de la respiracin debida a hundimiento, cada de tierra u otras sustancias, comercio y rea de servicios"
"W776" "Obstruccin de la respiracin debida a hundimiento, cada de tierra u otras sustancias, rea industrial y de la construccin"
"W777" "Obstruccin de la respiracin debida a hundimiento, cada de tierra u otras sustancias, granja"
"W778" "Obstruccin de la respiracin debida a hundimiento, cada de tierra u otras sustancias, otro lugar especificado"
"W779" "Obstruccin de la respiracin debida a hundimiento, cada de tierra u otras sustancias, lugar no especificado"
"W78" "Inhalacin de contenidos gstricos"
"W780" "Inhalacin de contenidos gstricos, vivienda"
"W781" "Inhalacin de contenidos gstricos, institucin residencial"
"W782" "Inhalacin de contenidos gstricos, escuelas, otras instituciones y reas administrativas pblicas"
"W783" "Inhalacin de contenidos gstricos, reas de deporte y atletismo"
"W784" "Inhalacin de contenidos gstricos, calles y carreteras"
"W785" "Inhalacin de contenidos gstricos, comercio y rea de servicios"
"W786" "Inhalacin de contenidos gstricos, rea industrial y de la construccin"
"W787" "Inhalacin de contenidos gstricos, granja"
"W788" "Inhalacin de contenidos gstricos, otro lugar especificado"
"W789" "Inhalacin de contenidos gstricos, lugar no especificado"
"W79" "Inhalacin e ingestin de alimento que causa obstruccin de las vas respiratorias"
"W790" "Inhalacin e ingestin de alimento que causa obstruccin de las vas respiratorias, vivienda"
"W791" "Inhalacin e ingestin de alimento que causa obstruccin de las vas respiratorias, institucin residencial"
"W792" "Inhalacin e ingestin de alimento que causa obstruccin de las vas respiratorias, escuelas, otras instituciones y reas administrativas pblicas"
"W793" "Inhalacin e ingestin de alimento que causa obstruccin de las vas respiratorias, reas de deporte y atletismo"
"W794" "Inhalacin e ingestin de alimento que causa obstruccin de las vas respiratorias, calles y carreteras"
"W795" "Inhalacin e ingestin de alimento que causa obstruccin de las vas respiratorias, comercio y rea de servicios"
"W796" "Inhalacin e ingestin de alimento que causa obstruccin de las vas respiratorias, rea industrial y de la construccin"
"W797" "Inhalacin e ingestin de alimento que causa obstruccin de las vas respiratorias, granja"
"W798" "Inhalacin e ingestin de alimento que causa obstruccin de las vas respiratorias, otro lugar especificado"
"W799" "Inhalacin e ingestin de alimento que causa obstruccin de las vas respiratorias, lugar no especificado"
"W80" "Inhalacin e ingestin de otros objetos que causan obstruccin de las vas respiratorias"
"W800" "Inhalacin e ingestin de otros objetos que causan obstruccin de las vas respiratorias, vivienda"
"W801" "Inhalacin e ingestin de otros objetos que causan obstruccin de las vas respiratorias, institucin residencial"
"W802" "Inhalacin e ingestin de otros objetos que causan obstruccin de las vas respiratorias, escuelas, otras institucin y reas administrativas pblicas"
"W803" "Inhalacin e ingestin de otros objetos que causan obstruccin de las vas respiratorias, reas de deporte y atletismo"
"W804" "Inhalacin e ingestin de otros objetos que causan obstruccin de las vas respiratorias, calles y carreteras"
"W805" "Inhalacin e ingestin de otros objetos que causan obstruccin de las vas respiratorias, comercio y rea de servicios"
"W806" "Inhalacin e ingestin de otros objetos que causan obstruccin de las vas respiratorias, rea industrial y de la construccin"
"W807" "Inhalacin e ingestin de otros objetos que causan obstruccin de las vas respiratorias, granja"
"W808" "Inhalacin e ingestin de otros objetos que causan obstruccin de las vas respiratorias, otro lugar especificado"
"W809" "Inhalacin e ingestin de otros objetos que causan obstruccin de las vas respiratorias, lugar no especificado"
"W81" "Confinado o atrapado en un ambiente con bajo contenido de oxgeno"
"W810" "Confinado o atrapado en un ambiente con bajo contenido de oxigeno, vivienda"
"W811" "Confinado o atrapado en un ambiente con bajo contenido de oxigeno, institucin residencial"
"W812" "Confinado o atrapado en un ambiente con bajo contenido de oxigeno, escuelas, otras instituciones y reas administrativas pblicas"
"W813" "Confinado o atrapado en un ambiente con bajo contenido de oxigeno, reas de deporte y atletismo"
"W814" "Confinado o atrapado en un ambiente con bajo contenido de oxigeno, calles y carreteras"
"W815" "Confinado o atrapado en un ambiente con bajo contenido de oxigeno, comercio y rea de servicios"
"W816" "Confinado o atrapado en un ambiente con bajo contenido de oxigeno, rea industrial y de la construccin"
"W817" "Confinado o atrapado en un ambiente con bajo contenido de oxigeno, granja"
"W818" "Confinado o atrapado en un ambiente con bajo contenido de oxigeno, otro lugar especificado"
"W819" "Confinado o atrapado en un ambiente con bajo contenido de oxigeno, lugar no especificado"
"W83" "Otras obstrucciones especificadas de la respiracin"
"W830" "Otras obstrucciones especificadas de la respiracin, vivienda"
"W831" "Otras obstrucciones especificadas de la respiracin, institucin residencial"
"W832" "Otras obstrucciones especificadas de la respiracin, escuelas, otras instituciones y reas administrativas pblicas"
"W833" "Otras obstrucciones especificadas de la respiracin, reas de deporte y atletismo"
"W834" "Otras obstrucciones especificadas de la respiracin, calles y carreteras"
"W835" "Otras obstrucciones especificadas de la respiracin, comercio y rea de servicios"
"W836" "Otras obstrucciones especificadas de la respiracin, rea industrial y de la construccin"
"W837" "Otras obstrucciones especificadas de la respiracin, granja"
"W838" "Otras obstrucciones especificadas de la respiracin, otro lugar especificado"
"W839" "Otras obstrucciones especificadas de la respiracin, lugar no especificado"
"W84" "Obstruccin no especificada de la respiracin"
"W840" "Obstruccin no especificada de la respiracin, vivienda"
"W841" "Obstruccin no especificada de la respiracin, institucin residencial"
"W842" "Obstruccin no especificada de la respiracin, escuelas, otras instituciones y reas administrativas pblicas"
"W843" "Obstruccin no especificada de la respiracin, reas de deporte y atletismo"
"W844" "Obstruccin no especificada de la respiracin, calles y carreteras"
"W845" "Obstruccin no especificada de la respiracin, comercio y rea de servicios"
"W846" "Obstruccin no especificada de la respiracin, rea industrial y de la construccin"
"W847" "Obstruccin no especificada de la respiracin, granja"
"W848" "Obstruccin no especificada de la respiracin, otro lugar especificado"
"W849" "Obstruccin no especificada de la respiracin, lugar no especificado"
"W85" "Exposicin a lneas de transmisin elctrica"
"W850" "Exposicin a lneas de transmisin elctrica, vivienda"
"W851" "Exposicin a lneas de transmisin elctrica, institucin residencial"
"W852" "Exposicin a lneas de transmisin elctrica, escuelas, otras instituciones y reas administrativas pblicas"
"W853" "Exposicin a lneas de transmisin elctrica, reas de deporte y atletismo"
"W854" "Exposicin a lneas de transmisin elctrica, calles y carreteras"
"W855" "Exposicin a lneas de transmisin elctrica, comercio y rea de servicios"
"W856" "Exposicin a lneas de transmisin elctrica, rea industrial y de la construccin"
"W857" "Exposicin a lneas de transmisin elctrica, granja"
"W858" "Exposicin a lneas de transmisin elctrica, otro lugar especificado"
"W859" "Exposicin a lneas de transmisin elctrica, lugar no especificado"
"W86" "Exposicin a otras corrientes elctricas especificadas"
"W860" "Exposicin a otras corrientes elctricas especificadas, vivienda"
"W861" "Exposicin a otras corrientes elctricas especificadas, institucin residencial"
"W862" "Exposicin a otras corrientes elctricas especificadas, escuelas, otras instituciones y reas administrativas pblicas"
"W863" "Exposicin a otras corrientes elctricas especificadas, reas de deporte y atletismo"
"W864" "Exposicin a otras corrientes elctricas especificadas, calles y carreteras"
"W865" "Exposicin a otras corrientes elctricas especificadas, comercio y rea de servicios"
"W866" "Exposicin a otras corrientes elctricas especificadas, rea industrial y de la construccin"
"W867" "Exposicin a otras corrientes elctricas especificadas, granja"
"W868" "Exposicin a otras corrientes elctricas especificadas, otro lugar especificado"
"W869" "Exposicin a otras corrientes elctricas especificadas, lugar no especificado"
"W87" "Exposicin a corriente elctrica no especificada"
"W870" "Exposicin a corriente elctrica no especificada, vivienda"
"W871" "Exposicin a corriente elctrica no especificada, institucin residencial"
"W872" "Exposicin a corriente elctrica no especificada, escuelas, otras instituciones y reas administrativas pblicas"
"W873" "Exposicin a corriente elctrica no especificada, reas de deporte y atletismo"
"W874" "Exposicin a corriente elctrica no especificada, calles y carreteras"
"W875" "Exposicin a corriente elctrica no especificada, comercio y rea de servicios"
"W876" "Exposicin a corriente elctrica no especificada, rea industrial y de la construccin"
"W877" "Exposicin a corriente elctrica no especificada, granja"
"W878" "Exposicin a corriente elctrica no especificada, otro lugar especificado"
"W879" "Exposicin a corriente elctrica no especificada, lugar no especificado"
"W88" "Exposicin a radiacin ionizante"
"W880" "Exposicin a radiacin ionizante, vivienda"
"W881" "Exposicin a radiacin ionizante, institucin residencial"
"W882" "Exposicin a radiacin ionizante, escuelas, otras instituciones y reas administrativas pblicas"
"W883" "Exposicin a radiacin ionizante, reas de deporte y atletismo"
"W884" "Exposicin a radiacin ionizante, calles y carreteras"
"W885" "Exposicin a radiacin ionizante, comercio y rea de servicios"
"W886" "Exposicin a radiacin ionizante, rea industrial y de la construccin"
"W887" "Exposicin a radiacin ionizante, granja"
"W888" "Exposicin a radiacin ionizante, otro lugar especificado"
"W889" "Exposicin a radiacin ionizante, lugar no especificado"
"W89" "Exposicin a fuente de luz visible y ultravioleta, de origen artificial"
"W890" "Exposicin a fuente de luz visible y ultravioleta, de origen artificial, vivienda"
"W891" "Exposicin a fuente de luz visible y ultravioleta, de origen artificial, institucin residencial"
"W892" "Exposicin a fuente de luz visible y ultravioleta, de origen artificial, escuelas, otras instituciones y reas administrativas pblicas"
"W893" "Exposicin a fuente de luz visible y ultravioleta, de origen artificial, reas de deporte y atletismo"
"W894" "Exposicin a fuente de luz visible y ultravioleta, de origen artificial, calles y carreteras"
"W895" "Exposicin a fuente de luz visible y ultravioleta, de origen artificial, comercio y rea de servicios"
"W896" "Exposicin a fuente de luz visible y ultravioleta, de origen artificial, rea industrial y de la construccin"
"W897" "Exposicin a fuente de luz visible y ultravioleta, de origen artificial, granja"
"W898" "Exposicin a fuente de luz visible y ultravioleta, de origen artificial, otro lugar especificado"
"W899" "Exposicin a fuente de luz visible y ultravioleta, de origen artificial, lugar no especificado"
"W90" "Exposicin a otros tipos de radiacin no ionizante"
"W900" "Exposicin a otros tipos de radiacin no ionizante, vivienda"
"W901" "Exposicin a otros tipos de radiacin no ionizante, institucin residencial"
"W902" "Exposicin a otros tipos de radiacin no ionizante, escuelas, otras instituciones y reas administrativas pblicas"
"W903" "Exposicin a otros tipos de radiacin no ionizante, reas de deporte y atletismo"
"W904" "Exposicin a otros tipos de radiacin no ionizante, calles y carreteras"
"W905" "Exposicin a otros tipos de radiacin no ionizante, comercio y rea de servicios"
"W906" "Exposicin a otros tipos de radiacin no ionizante, rea industrial y de la construccin"
"W907" "Exposicin a otros tipos de radiacin no ionizante, granja"
"W908" "Exposicin a otros tipos de radiacin no ionizante, otro lugar especificado"
"W909" "Exposicin a otros tipos de radiacin no ionizante, lugar no especificado"
"W91" "Exposicin a radiacin de tipo no especificado"
"W910" "Exposicin a radiacin de tipo no especificado, vivienda"
"W911" "Exposicin a radiacin de tipo no especificado, institucin residencial"
"W912" "Exposicin a radiacin de tipo no especificado, escuelas, otras instituciones y reas administrativas pblicas"
"W913" "Exposicin a radiacin de tipo no especificado, reas de deporte y atletismo"
"W914" "Exposicin a radiacin de tipo no especificado, calles y carreteras"
"W915" "Exposicin a radiacin de tipo no especificado, comercio y rea de servicios"
"W916" "Exposicin a radiacin de tipo no especificado, rea industrial y de la construccin"
"W917" "Exposicin a radiacin de tipo no especificado, granja"
"W918" "Exposicin a radiacin de tipo no especificado, otro lugar especificado"
"W919" "Exposicin a radiacin de tipo no especificado, lugar no especificado"
"W92" "Exposicin a calor excesivo de origen artificial"
"W920" "Exposicin a calor excesivo de origen artificial, vivienda"
"W921" "Exposicin a calor excesivo de origen artificial, institucin residencial"
"W922" "Exposicin a calor excesivo de origen artificial, escuelas, otras instituciones y reas administrativas pblicas"
"W923" "Exposicin a calor excesivo de origen artificial, reas de deporte y atletismo"
"W924" "Exposicin a calor excesivo de origen artificial, calles y carreteras"
"W925" "Exposicin a calor excesivo de origen artificial, comercio y rea de servicios"
"W926" "Exposicin a calor excesivo de origen artificial, rea industrial y de la construccin"
"W927" "Exposicin a calor excesivo de origen artificial, granja"
"W928" "Exposicin a calor excesivo de origen artificial, otro lugar especificado"
"W929" "Exposicin a calor excesivo de origen artificial, lugar no especificado"
"W93" "Exposicin a fro excesivo de origen artificial"
"W930" "Exposicin a fro excesivo de origen artificial, vivienda"
"W931" "Exposicin a fro excesivo de origen artificial, institucin residencial"
"W932" "Exposicin a fro excesivo de origen artificial, escuelas, otras instituciones y reas administrativas pblicas"
"W933" "Exposicin a fro excesivo de origen artificial, reas de deporte y atletismo"
"W934" "Exposicin a fro excesivo de origen artificial, calles y carreteras"
"W935" "Exposicin a fro excesivo de origen artificial, comercio y rea de servicios"
"W936" "Exposicin a fro excesivo de origen artificial, rea industrial y de la construccin"
"W937" "Exposicin a fro excesivo de origen artificial, granja"
"W938" "Exposicin a fro excesivo de origen artificial, otro lugar especificado"
"W939" "Exposicin a fro excesivo de origen artificial, lugar no especificado"
"W94" "Exposicin a presin de aire alta y baja y a cambios en la presin del aire"
"W940" "Exposicin a presin de aire alta y baja y a cambios en la presin del aire, vivienda"
"W941" "Exposicin a presin de aire alta y baja y a cambios en la presin del aire, institucin residencial"
"W942" "Exposicin a presin de aire alta y baja y a cambios en la presin del aire, escuelas, otras instituciones y reas administrativas pblicas"
"W943" "Exposicin a presin de aire alta y baja y a cambios en la presin del aire, reas de deporte y atletismo"
"W944" "Exposicin a presin de aire alta y baja y a cambios en la presin del aire, calles y carreteras"
"W945" "Exposicin a presin de aire alta y baja y a cambios en la presin del aire, comercio y rea de servicios"
"W946" "Exposicin a presin de aire alta y baja y a cambios en la presin del aire, rea industrial y de la construccin"
"W947" "Exposicin a presin de aire alta y baja y a cambios en la presin del aire, granja"
"W948" "Exposicin a presin de aire alta y baja y a cambios en la presin del aire, otro lugar especificado"
"W949" "Exposicin a presin de aire alta y baja y a cambios en la presin del aire, lugar no especificado"
"W99" "Exposicin a otros factores ambientales y a los no especificados, de origen artificial"
"W990" "Exposicin a otros factores ambientales y a los no especificados, de origen artificial, vivienda"
"W991" "Exposicin a otros factores ambientales y a los no especificados, de origen artificial, institucin residencial"
"W992" "Exposicin a otros factores ambientales y a los no especificados, de origen artificial, escuelas, otras instituciones y reas administrativas pblicas"
"W993" "Exposicin a otros factores ambientales y a los no especificados, de origen artificial, reas de deporte y atletismo"
"W994" "Exposicin a otros factores ambientales y a los no especificados, de origen artificial, calles y carreteras"
"W995" "Exposicin a otros factores ambientales y a los no especificados, de origen artificial, comercio y rea de servicios"
"W996" "Exposicin a otros factores ambientales y a los no especificados, de origen artificial, rea industrial y de la construccin"
"W997" "Exposicin a otros factores ambientales y a los no especificados, de origen artificial, granja"
"W998" "Exposicin a otros factores ambientales y a los no especificados, de origen artificial, otro lugar especificado"
"W999" "Exposicin a otros factores ambientales y a los no especificados, de origen artificial, lugar no especificado"
"X00" "Exposicin a fuego no controlado en edificio u otra construccin"
"X000" "Exposicin a fuego no controlado en edificio u otra construccin, vivienda"
"X001" "Exposicin a fuego no controlado en edificio u otra construccin, institucin residencial"
"X002" "Exposicin a fuego no controlado en edificio u otra construccin, escuelas, otras instituciones y reas administrativas  pblicas"
"X003" "Exposicin a fuego no controlado en edificio u otra construccin, reas de deporte y atletismo"
"X004" "Exposicin a fuego no controlado en edificio u otra construccin, calles y carreteras"
"X005" "Exposicin a fuego no controlado en edificio u otra construccin, comercio y rea de servicios"
"X006" "Exposicin a fuego no controlado en edificio u otra construccin, rea industrial y de la construccin"
"X007" "Exposicin a fuego no controlado en edificio u otra construccin, granja"
"X008" "Exposicin a fuego no controlado en edificio u otra construccin, otro lugar especificado"
"X009" "Exposicin a fuego no controlado en edificio u otra construccin, lugar no especificado"
"X01" "Exposicin a fuego no controlado en lugar que no es edificio u otra construccin"
"X010" "Exposicin a fuego no controlado en lugar que no es edificio u otra construccin, vivienda"
"X011" "Exposicin a fuego no controlado en lugar que no es edificio u otra construccin, institucin residencial"
"X012" "Exposicin a fuego no controlado en lugar que no es edificio u otra construccin, escuelas, otras instituciones y reas administrativas  pblicas"
"X013" "Exposicin a fuego no controlado en lugar que no es edificio u otra construccin, reas de deporte y atletismo"
"X014" "Exposicin a fuego no controlado en lugar que no es edificio u otra construccin, calles y carreteras"
"X015" "Exposicin a fuego no controlado en lugar que no es edificio u otra construccin, comercio y rea de servicios"
"X016" "Exposicin a fuego no controlado en lugar que no es edificio u otra construccin, rea industrial y de la construccin"
"X017" "Exposicin a fuego no controlado en lugar que no es edificio u otra construccin, granja"
"X018" "Exposicin a fuego no controlado en lugar que no es edificio u otra construccin, otro lugar especificado"
"X019" "Exposicin a fuego no controlado en lugar que no es edificio u otra construccin, lugar no especificado"
"X02" "Exposicin a fuego controlado en edificio u otra construccin"
"X020" "Exposicin a fuego controlado en edificio u otra construccin, vivienda"
"X021" "Exposicin a fuego controlado en edificio u otra construccin, institucin residencial"
"X022" "Exposicin a fuego controlado en edificio u otra construccin, escuelas, otras instituciones y reas administrativas  pblicas"
"X023" "Exposicin a fuego controlado en edificio u otra construccin, reas de deporte y atletismo"
"X024" "Exposicin a fuego controlado en edificio u otra construccin, calles y carreteras"
"X025" "Exposicin a fuego controlado en edificio u otra construccin, comercio y rea de servicios"
"X026" "Exposicin a fuego controlado en edificio u otra construccin, rea industrial y de la construccin"
"X027" "Exposicin a fuego controlado en edificio u otra construccin, granja"
"X028" "Exposicin a fuego controlado en edificio u otra construccin, otro lugar especificado"
"X029" "Exposicin a fuego controlado en edificio u otra construccin, lugar no especificado"
"X03" "Exposicin a fuego controlado en lugar que no es edificio u otra construccin"
"X030" "Exposicin a fuego controlado en lugar que no es edificio u otra construccin, vivienda"
"X031" "Exposicin a fuego controlado en lugar que no es edificio u otra construccin, institucin residencial"
"X032" "Exposicin a fuego controlado en lugar que no es edificio u otra construccin, escuelas, otras instituciones y reas administrativas  pblicas"
"X033" "Exposicin a fuego controlado en lugar que no es edificio u otra construccin, reas de deporte y atletismo"
"X034" "Exposicin a fuego controlado en lugar que no es edificio u otra construccin, calles y carreteras"
"X035" "Exposicin a fuego controlado en lugar que no es edificio u otra construccin, comercio y rea de servicios"
"X036" "Exposicin a fuego controlado en lugar que no es edificio u otra construccin, rea industrial y de la construccin"
"X037" "Exposicin a fuego controlado en lugar que no es edificio u otra construccin, granja"
"X038" "Exposicin a fuego controlado en lugar que no es edificio u otra construccin, otro lugar especificado"
"X039" "Exposicin a fuego controlado en lugar que no es edificio u otra construccin, lugar no especificado"
"X04" "Exposicin a ignicin de material altamente inflamable"
"X040" "Exposicin a ignicin de material altamente inflamable, vivienda"
"X041" "Exposicin a ignicin de material altamente inflamable, institucin residencial"
"X042" "Exposicin a ignicin de material altamente inflamable, escuelas, otras instituciones y reas administrativas  pblicas"
"X043" "Exposicin a ignicin de material altamente inflamable, reas de deporte y atletismo"
"X044" "Exposicin a ignicin de material altamente inflamable, calles y carreteras"
"X045" "Exposicin a ignicin de material altamente inflamable, comercio y rea de servicios"
"X046" "Exposicin a ignicin de material altamente inflamable, rea industrial y de la construccin"
"X047" "Exposicin a ignicin de material altamente inflamable, granja"
"X048" "Exposicin a ignicin de material altamente inflamable, otro lugar especificado"
"X049" "Exposicin a ignicin de material altamente inflamable, lugar no especificado"
"X05" "Exposicin a ignicin o fusin de ropas de dormir"
"X050" "Exposicin a ignicin o fusin de ropas de dormir, vivienda"
"X051" "Exposicin a ignicin o fusin de ropas de dormir, institucin residencial"
"X052" "Exposicin a ignicin o fusin de ropas de dormir, escuelas, otras instituciones y reas administrativas  pblicas"
"X053" "Exposicin a ignicin o fusin de ropas de dormir, reas de deporte y atletismo"
"X054" "Exposicin a ignicin o fusin de ropas de dormir, calles y carreteras"
"X055" "Exposicin a ignicin o fusin de ropas de dormir, comercio y rea de servicios"
"X056" "Exposicin a ignicin o fusin de ropas de dormir, rea industrial y de la construccin"
"X057" "Exposicin a ignicin o fusin de ropas de dormir, granja"
"X058" "Exposicin a ignicin o fusin de ropas de dormir, otro lugar especificado"
"X059" "Exposicin a ignicin o fusin de ropas de dormir, lugar no especificado"
"X06" "Exposicin a ignicin o fusin de otras ropas y accesorios"
"X060" "Exposicin a ignicin o fusin de otras ropas y accesorios, vivienda"
"X061" "Exposicin a ignicin o fusin de otras ropas y accesorios, institucin residencial"
"X062" "Exposicin a ignicin o fusin de otras ropas y accesorios, escuelas, otras instituciones y reas administrativas  pblicas"
"X063" "Exposicin a ignicin o fusin de otras ropas y accesorios, reas de deporte y atletismo"
"X064" "Exposicin a ignicin o fusin de otras ropas y accesorios, calles y carreteras"
"X065" "Exposicin a ignicin o fusin de otras ropas y accesorios, comercio y rea de servicios"
"X066" "Exposicin a ignicin o fusin de otras ropas y accesorios, rea industrial y de la construccin"
"X067" "Exposicin a ignicin o fusin de otras ropas y accesorios, granja"
"X068" "Exposicin a ignicin o fusin de otras ropas y accesorios, otro lugar especificado"
"X069" "Exposicin a ignicin o fusin de otras ropas y accesorios, lugar no especificado"
"X08" "Exposicin a otros humos, fuegos o llamas especificados"
"X080" "Exposicin a otros humos, fuegos o llamas especificados, vivienda"
"X081" "Exposicin a otros humos, fuegos o llamas especificados, institucin residencial"
"X082" "Exposicin a otros humos, fuegos o llamas especificados, escuelas, otras instituciones y reas administrativas  pblicas"
"X083" "Exposicin a otros humos, fuegos o llamas especificados, reas de deporte y atletismo"
"X084" "Exposicin a otros humos, fuegos o llamas especificados, calles y carreteras"
"X085" "Exposicin a otros humos, fuegos o llamas especificados, comercio y rea de servicios"
"X086" "Exposicin a otros humos, fuegos o llamas especificados, rea industrial y de la construccin"
"X087" "Exposicin a otros humos, fuegos o llamas especificados, granja"
"X088" "Exposicin a otros humos, fuegos o llamas especificados, otro lugar especificado"
"X089" "Exposicin a otros humos, fuegos o llamas especificados, lugar no especificado"
"X09" "Exposicin a humos, fuegos o llamas no especificados"
"X090" "Exposicin a humos, fuegos o llamas no especificados, vivienda"
"X091" "Exposicin a humos, fuegos o llamas no especificados, institucin residencial"
"X092" "Exposicin a humos, fuegos o llamas no especificados, escuelas, otras instituciones y reas administrativas  pblicas"
"X093" "Exposicin a humos, fuegos o llamas no especificados, reas de deporte y atletismo"
"X094" "Exposicin a humos, fuegos o llamas no especificados, calles y carreteras"
"X095" "Exposicin a humos, fuegos o llamas no especificados, comercio y rea de servicios"
"X096" "Exposicin a humos, fuegos o llamas no especificados, rea industrial y de la construccin"
"X097" "Exposicin a humos, fuegos o llamas no especificados, granja"
"X098" "Exposicin a humos, fuegos o llamas no especificados, otro lugar especificado"
"X099" "Exposicin a humos, fuegos o llamas no especificados, lugar no especificado"
"X10" "Contacto con bebidas, alimentos, grasas y aceites para cocinar, calientes"
"X100" "Contacto con bebidas, alimentos, grasas y aceites para cocinar, calientes, vivienda"
"X101" "Contacto con bebidas, alimentos, grasas y aceites para cocinar, calientes, institucin residencial"
"X102" "Contacto con bebidas, alimentos, grasas y aceites para cocinar, calientes, escuelas, otras instituciones y reas administrativas  pblicas"
"X103" "Contacto con bebidas, alimentos, grasas y aceites para cocinar, calientes, reas de deporte y atletismo"
"X104" "Contacto con bebidas, alimentos, grasas y aceites para cocinar, calientes, calles y carreteras"
"X105" "Contacto con bebidas, alimentos, grasas y aceites para cocinar, calientes, comercio y rea de servicios"
"X106" "Contacto con bebidas, alimentos, grasas y aceites para cocinar, calientes, rea industrial y de la construccin"
"X107" "Contacto con bebidas, alimentos, grasas y aceites para cocinar, calientes, granja"
"X108" "Contacto con bebidas, alimentos, grasas y aceites para cocinar, calientes, otro lugar especificado"
"X109" "Contacto con bebidas, alimentos, grasas y aceites para cocinar, calientes, lugar no especificado"
"X11" "Contacto con agua caliente corriente"
"X110" "Contacto con agua caliente corriente, vivienda"
"X111" "Contacto con agua caliente corriente, institucin residencial"
"X112" "Contacto con agua caliente corriente, escuelas, otras instituciones y reas administrativas  pblicas"
"X113" "Contacto con agua caliente corriente, reas de deporte y atletismo"
"X114" "Contacto con agua caliente corriente, calles y carreteras"
"X115" "Contacto con agua caliente corriente, comercio y rea de servicios"
"X116" "Contacto con agua caliente corriente, rea industrial y de la construccin"
"X117" "Contacto con agua caliente corriente, granja"
"X118" "Contacto con agua caliente corriente, otro lugar especificado"
"X119" "Contacto con agua caliente corriente, lugar no especificado"
"X12" "Contacto con otros lquidos calientes"
"X120" "Contacto con otros lquidos calientes, vivienda"
"X121" "Contacto con otros lquidos calientes, institucin residencial"
"X122" "Contacto con otros lquidos calientes, escuelas, otras instituciones y reas administrativas  pblicas"
"X123" "Contacto con otros lquidos calientes, reas de deporte y atletismo"
"X124" "Contacto con otros lquidos calientes, calles y carreteras"
"X125" "Contacto con otros lquidos calientes, comercio y rea de servicios"
"X126" "Contacto con otros lquidos calientes, rea industrial y de la construccin"
"X127" "Contacto con otros lquidos calientes, granja"
"X128" "Contacto con otros lquidos calientes, otro lugar especificado"
"X129" "Contacto con otros lquidos calientes, lugar no especificado"
"X13" "Contacto con vapor de agua y otros vapores calientes"
"X130" "Contacto con vapor de agua y otros vapores calientes, vivienda"
"X131" "Contacto con vapor de agua y otros vapores calientes, institucin residencial"
"X132" "Contacto con vapor de agua y otros vapores calientes, escuelas, otras instituciones y reas administrativas  pblicas"
"X133" "Contacto con vapor de agua y otros vapores calientes, reas de deporte y atletismo"
"X134" "Contacto con vapor de agua y otros vapores calientes, calles y carreteras"
"X135" "Contacto con vapor de agua y otros vapores calientes, comercio y rea de servicios"
"X136" "Contacto con vapor de agua y otros vapores calientes, rea industrial y de la construccin"
"X137" "Contacto con vapor de agua y otros vapores calientes, granja"
"X138" "Contacto con vapor de agua y otros vapores calientes, otro lugar especificado"
"X139" "Contacto con vapor de agua y otros vapores calientes, lugar no especificado"
"X14" "Contacto con aire y gases calientes"
"X140" "Contacto con aire y gases calientes, vivienda"
"X141" "Contacto con aire y gases calientes, institucin residencial"
"X142" "Contacto con aire y gases calientes, escuelas, otras instituciones y reas administrativas  pblicas"
"X143" "Contacto con aire y gases calientes, reas de deporte y atletismo"
"X144" "Contacto con aire y gases calientes, calles y carreteras"
"X145" "Contacto con aire y gases calientes, comercio y rea de servicios"
"X146" "Contacto con aire y gases calientes, rea industrial y de la construccin"
"X147" "Contacto con aire y gases calientes, granja"
"X148" "Contacto con aire y gases calientes, otro lugar especificado"
"X149" "Contacto con aire y gases calientes, lugar no especificado"
"X15" "Contacto con utensilios domsticos calientes"
"X150" "Contacto con utensilios domsticos calientes, vivienda"
"X151" "Contacto con utensilios domsticos calientes, institucin residencial"
"X152" "Contacto con utensilios domsticos calientes, escuelas, otras instituciones y reas administrativas  pblicas"
"X153" "Contacto con utensilios domsticos calientes, reas de deporte y atletismo"
"X154" "Contacto con utensilios domsticos calientes, calles y carreteras"
"X155" "Contacto con utensilios domsticos calientes, comercio y rea de servicios"
"X156" "Contacto con utensilios domsticos calientes, rea industrial y de la construccin"
"X157" "Contacto con utensilios domsticos calientes, granja"
"X158" "Contacto con utensilios domsticos calientes, otro lugar especificado"
"X159" "Contacto con utensilios domsticos calientes, lugar no especificado"
"X16" "Contacto con radiadores, caeras y artefactos para calefaccin, calientes"
"X160" "Contacto con radiadores, caeras y artefactos para calefaccin, calientes, vivienda"
"X161" "Contacto con radiadores, caeras y artefactos para calefaccin, calientes, institucin residencial"
"X162" "Contacto con radiadores, caeras y artefactos para calefaccin, calientes, escuelas, otras instituciones y reas administrativas  pblicas"
"X163" "Contacto con radiadores, caeras y artefactos para calefaccin, calientes, reas de deporte y atletismo"
"X164" "Contacto con radiadores, caeras y artefactos para calefaccin, calientes, calles y carreteras"
"X165" "Contacto con radiadores, caeras y artefactos para calefaccin, calientes, comercio y rea de servicios"
"X166" "Contacto con radiadores, caeras y artefactos para calefaccin, calientes, rea industrial y de la construccin"
"X167" "Contacto con radiadores, caeras y artefactos para calefaccin, calientes, granja"
"X168" "Contacto con radiadores, caeras y artefactos para calefaccin, calientes, otro lugar especificado"
"X169" "Contacto con radiadores, caeras y artefactos para calefaccin, calientes, lugar no especificado"
"X17" "Contacto con mquinas, motores y herramientas calientes"
"X170" "Contacto con mquinas, motores y herramientas calientes, vivienda"
"X171" "Contacto con mquinas, motores y herramientas calientes, institucin residencial"
"X172" "Contacto con mquinas, motores y herramientas calientes, escuelas, otras instituciones y reas administrativas  pblicas"
"X173" "Contacto con mquinas, motores y herramientas calientes, reas de deporte y atletismo"
"X174" "Contacto con mquinas, motores y herramientas calientes, calles y carreteras"
"X175" "Contacto con mquinas, motores y herramientas calientes, comercio y rea de servicios"
"X176" "Contacto con mquinas, motores y herramientas calientes, rea industrial y de la construccin"
"X177" "Contacto con mquinas, motores y herramientas calientes, granja"
"X178" "Contacto con mquinas, motores y herramientas calientes, otro lugar especificado"
"X179" "Contacto con mquinas, motores y herramientas calientes, lugar no especificado"
"X18" "Contacto con otros metales calientes"
"X180" "Contacto con otros metales calientes, vivienda"
"X181" "Contacto con otros metales calientes, institucin residencial"
"X182" "Contacto con otros metales calientes, escuelas, otras instituciones y reas administrativas  pblicas"
"X183" "Contacto con otros metales calientes, reas de deporte y atletismo"
"X184" "Contacto con otros metales calientes, calles y carreteras"
"X185" "Contacto con otros metales calientes, comercio y rea de servicios"
"X186" "Contacto con otros metales calientes, rea industrial y de la construccin"
"X187" "Contacto con otros metales calientes, granja"
"X188" "Contacto con otros metales calientes, otro lugar especificado"
"X189" "Contacto con otros metales calientes, lugar no especificado"
"X19" "Contacto con otras sustancias calientes, y las no especificadas"
"X190" "Contacto con otras sustancias calientes, y las no especificadas, vivienda"
"X191" "Contacto con otras sustancias calientes, y las no especificadas, institucin residencial"
"X192" "Contacto con otras sustancias calientes, y las no especificadas, escuelas, otras instituciones y reas administrativas  pblicas"
"X193" "Contacto con otras sustancias calientes, y las no especificadas, reas de deporte y atletismo"
"X194" "Contacto con otras sustancias calientes, y las no especificadas, calles y carreteras"
"X195" "Contacto con otras sustancias calientes, y las no especificadas, comercio y rea de servicios"
"X196" "Contacto con otras sustancias calientes, y las no especificadas, rea industrial y de la construccin"
"X197" "Contacto con otras sustancias calientes, y las no especificadas, granja"
"X198" "Contacto con otras sustancias calientes, y las no especificadas, otro lugar especificado"
"X199" "Contacto con otras sustancias calientes, y las no especificadas, lugar no especificado"
"X20" "Contacto traumtico con serpientes y lagartos venenosos"
"X200" "Contacto traumtico con serpientes y lagartos venenosos, vivienda"
"X201" "Contacto traumtico con serpientes y lagartos venenosos, institucin residencial"
"X202" "Contacto traumtico con serpientes y lagartos venenosos, escuelas, otras instituciones y reas administrativas  pblicas"
"X203" "Contacto traumtico con serpientes y lagartos venenosos, reas de deporte y atletismo"
"X204" "Contacto traumtico con serpientes y lagartos venenosos, calles y carreteras"
"X205" "Contacto traumtico con serpientes y lagartos venenosos, comercio y rea de servicios"
"X206" "Contacto traumtico con serpientes y lagartos venenosos, rea industrial y de la construccin"
"X207" "Contacto traumtico con serpientes y lagartos venenosos, granja"
"X208" "Contacto traumtico con serpientes y lagartos venenosos, otro lugar especificado"
"X209" "Contacto traumtico con serpientes y lagartos venenosos, lugar no especificado"
"X21" "Contacto traumtico con araas venenosas"
"X210" "Contacto traumtico con araas venenosas, vivienda"
"X211" "Contacto traumtico con araas venenosas, institucin residencial"
"X212" "Contacto traumtico con araas venenosas, escuelas, otras instituciones y reas administrativas  pblicas"
"X213" "Contacto traumtico con araas venenosas, reas de deporte y atletismo"
"X214" "Contacto traumtico con araas venenosas, calles y carreteras"
"X215" "Contacto traumtico con araas venenosas, comercio y rea de servicios"
"X216" "Contacto traumtico con araas venenosas, rea industrial y de la construccin"
"X217" "Contacto traumtico con araas venenosas, granja"
"X218" "Contacto traumtico con araas venenosas, otro lugar especificado"
"X219" "Contacto traumtico con araas venenosas, lugar no especificado"
"X22" "Contacto traumtico con escorpin"
"X220" "Contacto traumtico con escorpin, vivienda"
"X221" "Contacto traumtico con escorpin, institucin residencial"
"X222" "Contacto traumtico con escorpin, escuelas, otras instituciones y reas administrativas  pblicas"
"X223" "Contacto traumtico con escorpin, reas de deporte y atletismo"
"X224" "Contacto traumtico con escorpin, calles y carreteras"
"X225" "Contacto traumtico con escorpin, comercio y rea de servicios"
"X226" "Contacto traumtico con escorpin, rea industrial y de la construccin"
"X227" "Contacto traumtico con escorpin, granja"
"X228" "Contacto traumtico con escorpin, otro lugar especificado"
"X229" "Contacto traumtico con escorpin, lugar no especificado"
"X23" "Contacto traumtico con avispones, avispas y abejas"
"X230" "Contacto traumtico con avispones, avispas y abejas, vivienda"
"X231" "Contacto traumtico con avispones, avispas y abejas, institucin residencial"
"X232" "Contacto traumtico con avispones, avispas y abejas, escuelas, otras instituciones y reas administrativas  pblicas"
"X233" "Contacto traumtico con avispones, avispas y abejas, reas de deporte y atletismo"
"X234" "Contacto traumtico con avispones, avispas y abejas, calles y carreteras"
"X235" "Contacto traumtico con avispones, avispas y abejas, comercio y rea de servicios"
"X236" "Contacto traumtico con avispones, avispas y abejas, rea industrial y de la construccin"
"X237" "Contacto traumtico con avispones, avispas y abejas, granja"
"X238" "Contacto traumtico con avispones, avispas y abejas, otro lugar especificado"
"X239" "Contacto traumtico con avispones, avispas y abejas, lugar no especificado"
"X24" "Contacto traumtico con centpodos y miripodos venenosos (tropicales)"
"X240" "Contacto traumtico con centpodos y miripodos venenosos (tropicales), vivienda"
"X241" "Contacto traumtico con centpodos y miripodos venenosos (tropicales), institucin residencial"
"X242" "Contacto traumtico con centpodos y miripodos venenosos (tropicales), escuelas, otras instituciones y reas administrativas  pblicas"
"X243" "Contacto traumtico con centpodos y miripodos venenosos (tropicales), reas de deporte y atletismo"
"X244" "Contacto traumtico con centpodos y miripodos venenosos (tropicales), calles y carreteras"
"X245" "Contacto traumtico con centpodos y miripodos venenosos (tropicales), comercio y rea de servicios"
"X246" "Contacto traumtico con centpodos y miripodos venenosos (tropicales), rea industrial y de la construccin"
"X247" "Contacto traumtico con centpodos y miripodos venenosos (tropicales), granja"
"X248" "Contacto traumtico con centpodos y miripodos venenosos (tropicales), otro lugar especificado"
"X249" "Contacto traumtico con centpodos y miripodos venenosos (tropicales), lugar no especificado"
"X25" "Contacto traumtico con otros artrpodos venenosos"
"X250" "Contacto traumtico con otros artrpodos venenosos, vivienda"
"X251" "Contacto traumtico con otros artrpodos venenosos, institucin residencial"
"X252" "Contacto traumtico con otros artrpodos venenosos, escuelas, otras instituciones y reas administrativas  pblicas"
"X253" "Contacto traumtico con otros artrpodos venenosos, reas de deporte y atletismo"
"X254" "Contacto traumtico con otros artrpodos venenosos, calles y carreteras"
"X255" "Contacto traumtico con otros artrpodos venenosos, comercio y rea de servicios"
"X256" "Contacto traumtico con otros artrpodos venenosos, rea industrial y de la construccin"
"X257" "Contacto traumtico con otros artrpodos venenosos, granja"
"X258" "Contacto traumtico con otros artrpodos venenosos, otro lugar especificado"
"X259" "Contacto traumtico con otros artrpodos venenosos, lugar no especificado"
"X26" "Contacto traumtico con animales y plantas marinas venenosos"
"X260" "Contacto traumtico con animales y plantas marinas venenosos, vivienda"
"X261" "Contacto traumtico con animales y plantas marinas venenosos, institucin residencial"
"X262" "Contacto traumtico con animales y plantas marinas venenosos, escuelas, otras instituciones y reas administrativas  pblicas"
"X263" "Contacto traumtico con animales y plantas marinas venenosos, reas de deporte y atletismo"
"X264" "Contacto traumtico con animales y plantas marinas venenosos, calles y carreteras"
"X265" "Contacto traumtico con animales y plantas marinas venenosos, comercio y rea de servicios"
"X266" "Contacto traumtico con animales y plantas marinas venenosos, rea industrial y de la construccin"
"X267" "Contacto traumtico con animales y plantas marinas venenosos, granja"
"X268" "Contacto traumtico con animales y plantas marinas venenosos, otro lugar especificado"
"X269" "Contacto traumtico con animales y plantas marinas venenosos, lugar no especificado"
"X27" "Contacto traumtico con otros animales venenosos especificados"
"X270" "Contacto traumtico con otros animales venenosos especificados, vivienda"
"X271" "Contacto traumtico con otros animales venenosos especificados, institucin residencial"
"X272" "Contacto traumtico con otros animales venenosos especificados, escuelas, otras instituciones y reas administrativas  pblicas"
"X273" "Contacto traumtico con otros animales venenosos especificados, reas de deporte y atletismo"
"X274" "Contacto traumtico con otros animales venenosos especificados, calles y carreteras"
"X275" "Contacto traumtico con otros animales venenosos especificados, comercio y rea de servicios"
"X276" "Contacto traumtico con otros animales venenosos especificados, rea industrial y de la construccin"
"X277" "Contacto traumtico con otros animales venenosos especificados, granja"
"X278" "Contacto traumtico con otros animales venenosos especificados, otro lugar especificado"
"X279" "Contacto traumtico con otros animales venenosos especificados, lugar no especificado"
"X28" "Contacto traumtico con otras plantas venenosas especificadas"
"X280" "Contacto traumtico con otras plantas venenosas especificadas, vivienda"
"X281" "Contacto traumtico con otras plantas venenosas especificadas, institucin residencial"
"X282" "Contacto traumtico con otras plantas venenosas especificadas, escuelas, otras instituciones y reas administrativas  pblicas"
"X283" "Contacto traumtico con otras plantas venenosas especificadas, reas de deporte y atletismo"
"X284" "Contacto traumtico con otras plantas venenosas especificadas, calles y carreteras"
"X285" "Contacto traumtico con otras plantas venenosas especificadas, comercio y rea de servicios"
"X286" "Contacto traumtico con otras plantas venenosas especificadas, rea industrial y de la construccin"
"X287" "Contacto traumtico con otras plantas venenosas especificadas, granja"
"X288" "Contacto traumtico con otras plantas venenosas especificadas, otro lugar especificado"
"X289" "Contacto traumtico con otras plantas venenosas especificadas, lugar no especificado"
"X29" "Contacto traumtico con animales y plantas venenosos no especificados"
"X290" "Contacto traumtico con animales y plantas venenosos no especificados, vivienda"
"X291" "Contacto traumtico con animales y plantas venenosos no especificados, institucin residencial"
"X292" "Contacto traumtico con animales y plantas venenosos no especificados, escuelas, otras instituciones y reas administrativas  pblicas"
"X293" "Contacto traumtico con animales y plantas venenosos no especificados, reas de deporte y atletismo"
"X294" "Contacto traumtico con animales y plantas venenosos no especificados, calles y carreteras"
"X295" "Contacto traumtico con animales y plantas venenosos no especificados, comercio y rea de servicios"
"X296" "Contacto traumtico con animales y plantas venenosos no especificados, rea industrial y de la construccin"
"X297" "Contacto traumtico con animales y plantas venenosos no especificados, granja"
"X298" "Contacto traumtico con animales y plantas venenosos no especificados, otro lugar especificado"
"X299" "Contacto traumtico con animales y plantas venenosos no especificados, lugar no especificado"
"X30" "Exposicin al calor natural excesivo"
"X300" "Exposicin al calor natural excesivo, vivienda"
"X301" "Exposicin al calor natural excesivo, institucin residencial"
"X302" "Exposicin al calor natural excesivo, escuelas, otras instituciones y reas administrativas  pblicas"
"X303" "Exposicin al calor natural excesivo, reas de deporte y atletismo"
"X304" "Exposicin al calor natural excesivo, calles y carreteras"
"X305" "Exposicin al calor natural excesivo, comercio y rea de servicios"
"X306" "Exposicin al calor natural excesivo, rea industrial y de la construccin"
"X307" "Exposicin al calor natural excesivo, granja"
"X308" "Exposicin al calor natural excesivo, otro lugar especificado"
"X309" "Exposicin al calor natural excesivo, lugar no especificado"
"X31" "Exposicin al fro natural excesivo"
"X310" "Exposicin al fro natural excesivo, vivienda"
"X311" "Exposicin al fro natural excesivo, institucin residencial"
"X312" "Exposicin al fro natural excesivo, escuelas, otras instituciones y reas administrativas  pblicas"
"X313" "Exposicin al fro natural excesivo, reas de deporte y atletismo"
"X314" "Exposicin al fro natural excesivo, calles y carreteras"
"X315" "Exposicin al fro natural excesivo, comercio y rea de servicios"
"X316" "Exposicin al fro natural excesivo, rea industrial y de la construccin"
"X317" "Exposicin al fro natural excesivo, granja"
"X318" "Exposicin al fro natural excesivo, otro lugar especificado"
"X319" "Exposicin al fro natural excesivo, lugar no especificado"
"X32" "Exposicin a rayos solares"
"X320" "Exposicin a rayos solares, vivienda"
"X321" "Exposicin a rayos solares, institucin residencial"
"X322" "Exposicin a rayos solares, escuelas, otras instituciones y reas administrativas  pblicas"
"X323" "Exposicin a rayos solares, reas de deporte y atletismo"
"X324" "Exposicin a rayos solares, calles y carreteras"
"X325" "Exposicin a rayos solares, comercio y rea de servicios"
"X326" "Exposicin a rayos solares, rea industrial y de la construccin"
"X327" "Exposicin a rayos solares, granja"
"X328" "Exposicin a rayos solares, otro lugar especificado"
"X329" "Exposicin a rayos solares, lugar no especificado"
"X33" "Vctima de rayo"
"X330" "Vctima de rayo, vivienda"
"X331" "Vctima de rayo, institucin residencial"
"X332" "Vctima de rayo, escuelas, otras instituciones y reas administrativas  pblicas"
"X333" "Vctima de rayo, reas de deporte y atletismo"
"X334" "Vctima de rayo, calles y carreteras"
"X335" "Vctima de rayo, comercio y rea de servicios"
"X336" "Vctima de rayo, rea industrial y de la construccin"
"X337" "Vctima de rayo, granja"
"X338" "Vctima de rayo, otro lugar especificado"
"X339" "Vctima de rayo, lugar no especificado"
"X34" "Vctima de terremoto"
"X340" "Vctima de movimientos cataclsmicos de la tierra causados por terremoto"
"X341" "Vctima de tsunami"
"X342" "Vctima de terremoto, escuelas, otras instituciones y reas administrativas  pblicas"
"X343" "Vctima de terremoto, reas de deporte y atletismo"
"X344" "Vctima de terremoto, calles y carreteras"
"X345" "Vctima de terremoto, comercio y rea de servicios"
"X346" "Vctima de terremoto, rea industrial y de la construccin"
"X347" "Vctima de terremoto, granja"
"X348" "Vctima de otros efectos de terremoto especificados"
"X349" "Vctima de efectos de terremoto no especificados"
"X35" "Vctima de erupcin volcnica"
"X350" "Vctima de erupcin volcnica, vivienda"
"X351" "Vctima de erupcin volcnica, institucin residencial"
"X352" "Vctima de erupcin volcnica, escuelas, otras instituciones y reas administrativas  pblicas"
"X353" "Vctima de erupcin volcnica, reas de deporte y atletismo"
"X354" "Vctima de erupcin volcnica, calles y carreteras"
"X355" "Vctima de erupcin volcnica, comercio y rea de servicios"
"X356" "Vctima de erupcin volcnica, rea industrial y de la construccin"
"X357" "Vctima de erupcin volcnica, granja"
"X358" "Vctima de erupcin volcnica, otro lugar especificado"
"X359" "Vctima de erupcin volcnica, lugar no especificado"
"X36" "Vctima de avalancha, derrumbe y otros movimientos de tierra"
"X360" "Vctima de avalancha, derrumbe y otros movimientos de tierra, vivienda"
"X361" "Vctima de avalancha, derrumbe y otros movimientos de tierra, institucin residencial"
"X362" "Vctima de avalancha, derrumbe y otros movimientos de tierra, escuelas, otras instituciones y reas administrativas pblicas"
"X363" "Vctima de avalancha, derrumbe y otros movimientos de tierra, reas de deporte y atletismo"
"X364" "Vctima de avalancha, derrumbe y otros movimientos de tierra, calles y carreteras"
"X365" "Vctima de avalancha, derrumbe y otros movimientos de tierra, comercio y reas de servicio"
"X366" "Vctima de avalancha, derrumbe y otros movimientos de tierra, rea industrial y de la construccin"
"X367" "Vctima de avalancha, derrumbe y otros movimientos de tierra, granja"
"X368" "Vctima de avalancha, derrumbe y otros movimientos de tierra, otro lugar  especificado"
"X369" "Vctima de avalancha, derrumbe y otros movimientos de tierra, lugar no especificado"
"X37" "Vctima de tormenta cataclsmica"
"X370" "Vctima de tormenta cataclsmica, vivienda"
"X371" "Vctima de tormenta cataclsmica, institucin residencial"
"X372" "Vctima de tormenta cataclsmica, escuelas, otras instituciones y reas administrativas  pblicas"
"X373" "Vctima de tormenta cataclsmica, reas de deporte y atletismo"
"X374" "Vctima de tormenta cataclsmica, calles y carreteras"
"X375" "Vctima de tormenta cataclsmica, comercio y rea de servicios"
"X376" "Vctima de tormenta cataclsmica, rea industrial y de la construccin"
"X377" "Vctima de tormenta cataclsmica, granja"
"X378" "Vctima de tormenta cataclsmica, otro lugar especificado"
"X379" "Vctima de tormenta cataclsmica, lugar no especificado"
"X38" "Vctima de inundacin"
"X380" "Vctima de inundacin, vivienda"
"X381" "Vctima de inundacin, institucin residencial"
"X382" "Vctima de inundacin, escuelas, otras instituciones y reas administrativas  pblicas"
"X383" "Vctima de inundacin, reas de deporte y atletismo"
"X384" "Vctima de inundacin, calles y carreteras"
"X385" "Vctima de inundacin, comercio y rea de servicios"
"X386" "Vctima de inundacin, rea industrial y de la construccin"
"X387" "Vctima de inundacin, granja"
"X388" "Vctima de inundacin, otro lugar especificado"
"X389" "Vctima de inundacin, lugar no especificado"
"X39" "Exposicin a otras fuerzas de la naturaleza, y las no especificadas"
"X390" "Exposicin a otras fuerzas de la naturaleza, y las no especificadas, vivienda"
"X391" "Exposicin a otras fuerzas de la naturaleza, y las no especificadas, institucin residencial"
"X392" "Exposicin a otras fuerzas de la naturaleza, y las no especificadas, escuelas, otras instituciones y reas administrativas  pblicas"
"X393" "Exposicin a otras fuerzas de la naturaleza, y las no especificadas, reas de deporte y atletismo"
"X394" "Exposicin a otras fuerzas de la naturaleza, y las no especificadas, calles y carreteras"
"X395" "Exposicin a otras fuerzas de la naturaleza, y las no especificadas, comercio y rea de servicios"
"X396" "Exposicin a otras fuerzas de la naturaleza, y las no especificadas, rea industrial y de la construccin"
"X397" "Exposicin a otras fuerzas de la naturaleza, y las no especificadas, granja"
"X398" "Exposicin a otras fuerzas de la naturaleza, y las no especificadas, otro lugar especificado"
"X399" "Exposicin a otras fuerzas de la naturaleza, y las no especificadas, lugar no especificado"
"X40" "Envenenamiento accidental por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos"
"X400" "Envenenamiento accidental por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, vivienda"
"X401" "Envenenamiento accidental por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, institucin residencial"
"X402" "Envenenamiento accidental por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, escuelas, otras instituciones y reas administrativas  pblicas"
"X403" "Envenenamiento accidental por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, reas de deporte y atletismo"
"X404" "Envenenamiento accidental por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, calles y carreteras"
"X405" "Envenenamiento accidental por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, comercio y rea de servicios"
"X406" "Envenenamiento accidental por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, rea industrial y de la construccin"
"X407" "Envenenamiento accidental por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, granja"
"X408" "Envenenamiento accidental por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, otro lugar especificado"
"X409" "Envenenamiento accidental por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, lugar no especificado"
"X41" "Envenenamiento accidental por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte"
"X410" "Envenenamiento accidental por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, vivienda"
"X411" "Envenenamiento accidental por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, institucin residencial"
"X412" "Envenenamiento accidental por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, escuelas, otras instituciones y reas administrativas  pblic"
"X413" "Envenenamiento accidental por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, reas de deporte y atletismo"
"X414" "Envenenamiento accidental por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, calles y carreteras"
"X415" "Envenenamiento accidental por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, comercio y rea de servicios"
"X416" "Envenenamiento accidental por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, rea industrial y de la construccin"
"X417" "Envenenamiento accidental por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, granja"
"X418" "Envenenamiento accidental por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, otro lugar especificado"
"X419" "Envenenamiento accidental por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, lugar no especificado"
"X42" "Envenenamiento accidental por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte"
"X420" "Envenenamiento accidental por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, vivienda"
"X421" "Envenenamiento accidental por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, institucin residencial"
"X422" "Envenenamiento accidental por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, escuelas, otras instituciones y reas administrativas  pblicas"
"X423" "Envenenamiento accidental por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, reas de deporte y atletismo"
"X424" "Envenenamiento accidental por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, calles y carreteras"
"X425" "Envenenamiento accidental por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, comercio y rea de servicios"
"X426" "Envenenamiento accidental por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, rea industrial y de la construccin"
"X427" "Envenenamiento accidental por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, granja"
"X428" "Envenenamiento accidental por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, otro lugar especificado"
"X429" "Envenenamiento accidental por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, lugar no especificado"
"X43" "Envenenamiento accidental por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo"
"X430" "Envenenamiento accidental por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, vivienda"
"X431" "Envenenamiento accidental por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, institucin residencial"
"X432" "Envenenamiento accidental por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, escuelas, otras instituciones y reas administrativas pblicas"
"X433" "Envenenamiento accidental por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, reas de deporte y atletismo"
"X434" "Envenenamiento accidental por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, calles y carreteras"
"X435" "Envenenamiento accidental por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, comercio y rea de servicios"
"X436" "Envenenamiento accidental por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, rea industrial y de la construccin"
"X437" "Envenenamiento accidental por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, granja"
"X438" "Envenenamiento accidental por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, otro lugar especificado"
"X439" "Envenenamiento accidental por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, lugar no especificado"
"X44" "Envenenamiento accidental por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados"
"X440" "Envenenamiento accidental por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, vivienda"
"X441" "Envenenamiento accidental por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, institucin residencial"
"X442" "Envenenamiento accidental por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, escuelas, otras instituciones y reas administrativas  pblicas"
"X443" "Envenenamiento accidental por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, reas de deporte y atletismo"
"X444" "Envenenamiento accidental por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, calles y carreteras"
"X445" "Envenenamiento accidental por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, comercio y rea de servicios"
"X446" "Envenenamiento accidental por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, rea industrial y de la construccin"
"X447" "Envenenamiento accidental por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, granja"
"X448" "Envenenamiento accidental por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, otro lugar especificado"
"X449" "Envenenamiento accidental por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, lugar no especificado"
"X45" "Envenenamiento accidental por, y exposicin al alcohol"
"X450" "Envenenamiento accidental por, y exposicin al alcohol, vivienda"
"X451" "Envenenamiento accidental por, y exposicin al alcohol, institucin residencial"
"X452" "Envenenamiento accidental por, y exposicin al alcohol, escuelas, otras instituciones y reas administrativas  pblicas"
"X453" "Envenenamiento accidental por, y exposicin al alcohol, reas de deporte y atletismo"
"X454" "Envenenamiento accidental por, y exposicin al alcohol, calles y carreteras"
"X455" "Envenenamiento accidental por, y exposicin al alcohol, comercio y rea de servicios"
"X456" "Envenenamiento accidental por, y exposicin al alcohol, rea industrial y de la construccin"
"X457" "Envenenamiento accidental por, y exposicin al alcohol, granja"
"X458" "Envenenamiento accidental por, y exposicin al alcohol, otro lugar especificado"
"X459" "Envenenamiento accidental por, y exposicin al alcohol, lugar no especificado"
"X46" "Envenenamiento accidental por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores"
"X460" "Envenenamiento accidental por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, vivienda"
"X461" "Envenenamiento accidental por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, institucin residencial"
"X462" "Envenenamiento accidental por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, escuelas, otras instituciones y reas administrativas  pblicas"
"X463" "Envenenamiento accidental por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, reas de deporte y atletismo"
"X464" "Envenenamiento accidental por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, calles y carreteras"
"X465" "Envenenamiento accidental por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, comercio y rea de servicios"
"X466" "Envenenamiento accidental por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, rea industrial y de la construccin"
"X467" "Envenenamiento accidental por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, granja"
"X468" "Envenenamiento accidental por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, otro lugar especificado"
"X469" "Envenenamiento accidental por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, lugar no especificado"
"X47" "Envenenamiento accidental por, y exposicin a otros gases y vapores"
"X470" "Envenenamiento accidental por, y exposicin a otros gases y vapores, vivienda"
"X471" "Envenenamiento accidental por, y exposicin a otros gases y vapores, institucin residencial"
"X472" "Envenenamiento accidental por, y exposicin a otros gases y vapores, escuelas, otras instituciones y reas administrativas  pblicas"
"X473" "Envenenamiento accidental por, y exposicin a otros gases y vapores, reas de deporte y atletismo"
"X474" "Envenenamiento accidental por, y exposicin a otros gases y vapores, calles y carreteras"
"X475" "Envenenamiento accidental por, y exposicin a otros gases y vapores, comercio y rea de servicios"
"X476" "Envenenamiento accidental por, y exposicin a otros gases y vapores, rea industrial y de la construccin"
"X477" "Envenenamiento accidental por, y exposicin a otros gases y vapores, granja"
"X478" "Envenenamiento accidental por, y exposicin a otros gases y vapores, otro lugar especificado"
"X479" "Envenenamiento accidental por, y exposicin a otros gases y vapores, lugar no especificado"
"X48" "Envenenamiento accidental por, y exposicin a plaguicidas"
"X480" "Envenenamiento accidental por, y exposicin a plaguicidas, vivienda"
"X481" "Envenenamiento accidental por, y exposicin a plaguicidas, institucin residencial"
"X482" "Envenenamiento accidental por, y exposicin a plaguicidas, escuelas, otras instituciones y reas administrativas  pblicas"
"X483" "Envenenamiento accidental por, y exposicin a plaguicidas, reas de deporte y atletismo"
"X484" "Envenenamiento accidental por, y exposicin a plaguicidas, calles y carreteras"
"X485" "Envenenamiento accidental por, y exposicin a plaguicidas, comercio y rea de servicios"
"X486" "Envenenamiento accidental por, y exposicin a plaguicidas, rea industrial y de la construccin"
"X487" "Envenenamiento accidental por, y exposicin a plaguicidas, granja"
"X488" "Envenenamiento accidental por, y exposicin a plaguicidas, otro lugar especificado"
"X489" "Envenenamiento accidental por, y exposicin a plaguicidas, lugar no especificado"
"X49" "Envenenamiento accidental por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados"
"X490" "Envenenamiento accidental por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, vivienda"
"X491" "Envenenamiento accidental por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, institucin residencial"
"X492" "Envenenamiento accidental por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, escuelas, otras instituciones y reas administrativas  pblicas"
"X493" "Envenenamiento accidental por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, reas de deporte y atletismo"
"X494" "Envenenamiento accidental por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, calles y carreteras"
"X495" "Envenenamiento accidental por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, comercio y rea de servicios"
"X496" "Envenenamiento accidental por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, rea industrial y de la construccin"
"X497" "Envenenamiento accidental por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, granja"
"X498" "Envenenamiento accidental por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, otro lugar especificado"
"X499" "Envenenamiento accidental por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, lugar no especificado"
"X50" "Exceso de esfuerzo y movimientos extenuantes y repetitivos"
"X500" "Exceso de esfuerzo y movimientos extenuantes y repetitivos, vivienda"
"X501" "Exceso de esfuerzo y movimientos extenuantes y repetitivos, institucin residencial"
"X502" "Exceso de esfuerzo y movimientos extenuantes y repetitivos, escuelas, otras instituciones y reas administrativas  pblicas"
"X503" "Exceso de esfuerzo y movimientos extenuantes y repetitivos, reas de deporte y atletismo"
"X504" "Exceso de esfuerzo y movimientos extenuantes y repetitivos, calles y carreteras"
"X505" "Exceso de esfuerzo y movimientos extenuantes y repetitivos, comercio y rea de servicios"
"X506" "Exceso de esfuerzo y movimientos extenuantes y repetitivos, rea industrial y de la construccin"
"X507" "Exceso de esfuerzo y movimientos extenuantes y repetitivos, granja"
"X508" "Exceso de esfuerzo y movimientos extenuantes y repetitivos, otro lugar especificado"
"X509" "Exceso de esfuerzo y movimientos extenuantes y repetitivos, lugar no especificado"
"X51" "Viajes y desplazamientos"
"X510" "Viajes y desplazamientos, vivienda"
"X511" "Viajes y desplazamientos, institucin residencial"
"X512" "Viajes y desplazamientos, escuelas, otras instituciones y reas administrativas pblicas"
"X513" "Viajes y desplazamientos, reas de deporte y atletismo"
"X514" "Viajes y desplazamientos, calles y carreteras"
"X515" "Viajes y desplazamientos, comercio y rea de servicios"
"X516" "Viajes y desplazamientos, rea industrial y de la construccin"
"X517" "Viajes y desplazamientos, granja"
"X518" "Viajes y desplazamientos, otro lugar especificado"
"X519" "Viajes y desplazamientos, lugar no especificado"
"X52" "Permanencia prolongada en ambiente sin gravedad"
"X520" "Permanencia prolongada en ambiente sin gravedad, vivienda"
"X521" "Permanencia prolongada en ambiente sin gravedad, institucin residencial"
"X522" "Permanencia prolongada en ambiente sin gravedad, escuelas, otras instituciones y reas administrativas  pblicas"
"X523" "Permanencia prolongada en ambiente sin gravedad, reas de deporte y atletismo"
"X524" "Permanencia prolongada en ambiente sin gravedad, calles y carreteras"
"X525" "Permanencia prolongada en ambiente sin gravedad, comercio y rea de servicios"
"X526" "Permanencia prolongada en ambiente sin gravedad, rea industrial y de la construccin"
"X527" "Permanencia prolongada en ambiente sin gravedad, granja"
"X528" "Permanencia prolongada en ambiente sin gravedad, otro lugar especificado"
"X529" "Permanencia prolongada en ambiente sin gravedad, lugar no especificado"
"X53" "Privacin de alimentos"
"X530" "Privacin de alimentos, vivienda"
"X531" "Privacin de alimentos, institucin residencial"
"X532" "Privacin de alimentos, escuelas, otras instituciones y reas administrativas  pblicas"
"X533" "Privacin de alimentos, reas de deporte y atletismo"
"X534" "Privacin de alimentos, calles y carreteras"
"X535" "Privacin de alimentos, comercio y rea de servicios"
"X536" "Privacin de alimentos, rea industrial y de la construccin"
"X537" "Privacin de alimentos, granja"
"X538" "Privacin de alimentos, otro lugar especificado"
"X539" "Privacin de alimentos, lugar no especificado"
"X54" "Privacin de agua"
"X540" "Privacin de agua, vivienda"
"X541" "Privacin de agua, institucin residencial"
"X542" "Privacin de agua, escuelas, otras instituciones y reas administrativas  pblicas"
"X543" "Privacin de agua, reas de deporte y atletismo"
"X544" "Privacin de agua, calles y carreteras"
"X545" "Privacin de agua, comercio y rea de servicios"
"X546" "Privacin de agua, rea industrial y de la construccin"
"X547" "Privacin de agua, granja"
"X548" "Privacin de agua, otro lugar especificado"
"X549" "Privacin de agua, lugar no especificado"
"X57" "Privacin no especificada"
"X570" "Privacin no especificada, vivienda"
"X571" "Privacin no especificada, institucin residencial"
"X572" "Privacin no especificada, escuelas, otras instituciones y reas administrativas pblicas"
"X573" "Privacin no especificada, reas de deporte y atletismo"
"X574" "Privacin no especificada, calles y carreteras"
"X575" "Privacin no especificada, comercio y rea de servicios"
"X576" "Privacin no especificada, rea industrial y de la construccin"
"X577" "Privacin no especificada, granja"
"X578" "Privacin no especificada, otro lugar especificado"
"X579" "Privacin no especificada, lugar no especificado"
"X58" "Exposicin a otros factores especificados"
"X580" "Exposicin a otros factores especificados, vivienda"
"X581" "Exposicin a otros factores especificados, institucin residencial"
"X582" "Exposicin a otros factores especificados, escuelas, otras instituciones y reas administrativas pblicas"
"X583" "Exposicin a otros factores especificados, reas de deporte y atletismo"
"X584" "Exposicin a otros factores especificados, calles y carreteras"
"X585" "Exposicin a otros factores especificados, comercio y rea de servicios"
"X586" "Exposicin a otros factores especificados, rea industrial y de la construccin"
"X587" "Exposicin a otros factores especificados, granja"
"X588" "Exposicin a otros factores especificados, otro lugar especificado"
"X589" "Exposicin a otros factores especificados, lugar no especificado"
"X59" "Exposicin a factores no especificados"
"X590" "Exposicin a factores no especificados, que causan fractura"
"X591" "Exposicin a factores no especificados, institucin residencial"
"X592" "Exposicin a factores no especificados, escuelas, otras instituciones y reas administrativas  pblicas"
"X593" "Exposicin a factores no especificados, reas de deporte y atletismo"
"X594" "Exposicin a factores no especificados, calles y carreteras"
"X595" "Exposicin a factores no especificados, comercio y rea de servicios"
"X596" "Exposicin a factores no especificados, rea industrial y de la construccin"
"X597" "Exposicin a factores no especificados, granja"
"X598" "Exposicin a factores no especificados, otro lugar especificado"
"X599" "Exposicin a factores no especificados que causan otras lesiones y las no especificadas"
"X60" "Envenenamiento autoinfligido intencionalmente por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos"
"X600" "Envenenamiento autoinfligido intencionalmente por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, vivienda"
"X601" "Envenenamiento autoinfligido intencionalmente por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, institucin residencial"
"X602" "Envenenamiento autoinfligido intencionalmente por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, escuelas, otras instituciones y reas administrativas  pblicas"
"X603" "Envenenamiento autoinfligido intencionalmente por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, reas de deporte y atletismo"
"X604" "Envenenamiento autoinfligido intencionalmente por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, calles y carreteras"
"X605" "Envenenamiento autoinfligido intencionalmente por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, comercio y rea de servicios"
"X606" "Envenenamiento autoinfligido intencionalmente por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, rea industrial y de la construccin"
"X607" "Envenenamiento autoinfligido intencionalmente por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, granja"
"X608" "Envenenamiento autoinfligido intencionalmente por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, otro lugar especificado"
"X609" "Envenenamiento autoinfligido intencionalmente por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, lugar no especificado"
"X61" "Envenenamiento autoinfligido intencionalmente por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte"
"X610" "Envenenamiento autoinfligido intencionalmente por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, vivienda"
"X611" "Envenenamiento autoinfligido intencionalmente por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, institucin residencial"
"X612" "Envenenamiento autoinfligido intencionalmente por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, escuelas, otras instituciones y reas adm"
"X613" "Envenenamiento autoinfligido intencionalmente por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, reas de deporte y atletismo"
"X614" "Envenenamiento autoinfligido intencionalmente por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, calles y carreteras"
"X615" "Envenenamiento autoinfligido intencionalmente por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, comercio y rea de servicios"
"X616" "Envenenamiento autoinfligido intencionalmente por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, rea industrial y de la construccin"
"X617" "Envenenamiento autoinfligido intencionalmente por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, granja"
"X618" "Envenenamiento autoinfligido intencionalmente por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, otro lugar especificado"
"X619" "Envenenamiento autoinfligido intencionalmente por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, lugar no especificado"
"X62" "Envenenamiento autoinfligido intencionalmente por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte"
"X620" "Envenenamiento autoinfligido intencionalmente por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, vivienda"
"X621" "Envenenamiento autoinfligido intencionalmente por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, institucin residencial"
"X622" "Envenenamiento autoinfligido intencionalmente por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, escuelas, otras instituciones y reas administrativas pblicas"
"X623" "Envenenamiento autoinfligido intencionalmente por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, reas de deporte y atletismo"
"X624" "Envenenamiento autoinfligido intencionalmente por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, calles y carreteras"
"X625" "Envenenamiento autoinfligido intencionalmente por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, comercio y rea de servicios"
"X626" "Envenenamiento autoinfligido intencionalmente por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, rea industrial y de la construccin"
"X627" "Envenenamiento autoinfligido intencionalmente por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, granja"
"X628" "Envenenamiento autoinfligido intencionalmente por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, otro lugar especificado"
"X629" "Envenenamiento autoinfligido intencionalmente por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, lugar no especificado"
"X63" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo"
"X630" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, vivienda"
"X631" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, institucin residencial"
"X632" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, escuelas, otras instituciones y reas administrativas pblicas"
"X633" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, reas de deporte y atletismo"
"X634" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, calles y carreteras"
"X635" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, comercio y rea de servicios"
"X636" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, rea industrial y de la construccin"
"X637" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, granja"
"X638" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, otro lugar especificado"
"X639" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, lugar no especificado"
"X64" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados"
"X640" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, vivienda"
"X641" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, institucin residencial"
"X642" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, escuelas, otras instituciones y reas administrativas  pblicas"
"X643" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, reas de deporte y atletismo"
"X644" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, calles y carreteras"
"X645" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, comercio y rea de servicios"
"X646" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, rea industrial y de la construccin"
"X647" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, granja"
"X648" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, otro lugar especificado"
"X649" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y los no especificados, lugar no especificado"
"X65" "Envenenamiento autoinfligido intencionalmente por, y exposicin al alcohol"
"X650" "Envenenamiento autoinfligido intencionalmente por, y exposicin al alcohol, vivienda"
"X651" "Envenenamiento autoinfligido intencionalmente por, y exposicin al alcohol, institucin residencial"
"X652" "Envenenamiento autoinfligido intencionalmente por, y exposicin al alcohol, escuelas, otras instituciones y reas administrativas pblicas"
"X653" "Envenenamiento autoinfligido intencionalmente por, y exposicin al alcohol, reas de deporte y atletismo"
"X654" "Envenenamiento autoinfligido intencionalmente por, y exposicin al alcohol, calles y carreteras"
"X655" "Envenenamiento autoinfligido intencionalmente por, y exposicin al alcohol, comercio y rea de servicios"
"X656" "Envenenamiento autoinfligido intencionalmente por, y exposicin al alcohol, rea industrial y de la construccin"
"X657" "Envenenamiento autoinfligido intencionalmente por, y exposicin al alcohol, granja"
"X658" "Envenenamiento autoinfligido intencionalmente por, y exposicin al alcohol, otro lugar especificado"
"X659" "Envenenamiento autoinfligido intencionalmente por, y exposicin al alcohol, lugar no especificado"
"X66" "Envenenamiento autoinfligido intencionalmente por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores"
"X660" "Envenenamiento autoinfligido intencionalmente por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, vivienda"
"X661" "Envenenamiento autoinfligido intencionalmente por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, institucin residencial"
"X662" "Envenenamiento autoinfligido intencionalmente por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, escuelas, otras instituciones y reas administrativas  pblicas"
"X663" "Envenenamiento autoinfligido intencionalmente por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, reas de deporte y atletismo"
"X664" "Envenenamiento autoinfligido intencionalmente por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, calles y carreteras"
"X665" "Envenenamiento autoinfligido intencionalmente por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, comercio y rea de servicios"
"X666" "Envenenamiento autoinfligido intencionalmente por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, rea industrial y de la construccin"
"X667" "Envenenamiento autoinfligido intencionalmente por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, granja"
"X668" "Envenenamiento autoinfligido intencionalmente por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, otro lugar especificado"
"X669" "Envenenamiento autoinfligido intencionalmente por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, lugar no especificado"
"X67" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otros gases y vapores"
"X670" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otros gases y vapores, vivienda"
"X671" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otros gases y vapores, institucin residencial"
"X672" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otros gases y vapores, escuelas, otras instituciones y reas administrativas  pblicas"
"X673" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otros gases y vapores, reas de deporte y atletismo"
"X674" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otros gases y vapores, calles y carreteras"
"X675" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otros gases y vapores, comercio y rea de servicios"
"X676" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otros gases y vapores, rea industrial y de la construccin"
"X677" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otros gases y vapores, granja"
"X678" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otros gases y vapores, otro lugar especificado"
"X679" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otros gases y vapores, lugar no especificado"
"X68" "Envenenamiento autoinfligido intencionalmente por, y exposicin a plaguicidas"
"X680" "Envenenamiento autoinfligido intencionalmente por, y exposicin a plaguicidas, vivienda"
"X681" "Envenenamiento autoinfligido intencionalmente por, y exposicin a plaguicidas, institucin residencial"
"X682" "Envenenamiento autoinfligido intencionalmente por, y exposicin a plaguicidas, escuelas, otras instituciones y reas administrativas  pblicas"
"X683" "Envenenamiento autoinfligido intencionalmente por, y exposicin a plaguicidas, reas de deporte y atletismo"
"X684" "Envenenamiento autoinfligido intencionalmente por, y exposicin a plaguicidas, calles y carreteras"
"X685" "Envenenamiento autoinfligido intencionalmente por, y exposicin a plaguicidas, comercio y rea de servicios"
"X686" "Envenenamiento autoinfligido intencionalmente por, y exposicin a plaguicidas, rea industrial y de la construccin"
"X687" "Envenenamiento autoinfligido intencionalmente por, y exposicin a plaguicidas, granja"
"X688" "Envenenamiento autoinfligido intencionalmente por, y exposicin a plaguicidas, otro lugar especificado"
"X689" "Envenenamiento autoinfligido intencionalmente por, y exposicin a plaguicidas, lugar no especificado"
"X69" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados"
"X690" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, vivienda"
"X691" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, institucin residencial"
"X692" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, escuelas, otras instituciones y reas administrativas  pblicas"
"X693" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, reas de deporte y atletismo"
"X694" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, calles y carreteras"
"X695" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, comercio y rea de servicios"
"X696" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, rea industrial y de la construccin"
"X697" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, granja"
"X698" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, otro lugar especificado"
"X699" "Envenenamiento autoinfligido intencionalmente por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, lugar no especificado"
"X70" "Lesin autoinfligida intencionalmente por ahorcamiento, estrangulamiento o sofocacin"
"X700" "Lesin autoinfligida intencionalmente por ahorcamiento, estrangulamiento o sofocacin vivienda"
"X701" "Lesin autoinfligida intencionalmente por ahorcamiento, estrangulamiento o sofocacin, institucin residencial"
"X702" "Lesin autoinfligida intencionalmente por ahorcamiento, estrangulamiento o sofocacin, escuelas, otras instituciones y reas administrativas  pblicas"
"X703" "Lesin autoinfligida intencionalmente por ahorcamiento, estrangulamiento o sofocacin, reas de deporte y atletismo"
"X704" "Lesin autoinfligida intencionalmente por ahorcamiento, estrangulamiento o sofocacin, calles y carreteras"
"X705" "Lesin autoinfligida intencionalmente por ahorcamiento, estrangulamiento o sofocacin, comercio y rea de servicios"
"X706" "Lesin autoinfligida intencionalmente por ahorcamiento, estrangulamiento o sofocacin, rea industrial y de la construccin"
"X707" "Lesin autoinfligida intencionalmente por ahorcamiento, estrangulamiento o sofocacin, granja"
"X708" "Lesin autoinfligida intencionalmente por ahorcamiento, estrangulamiento o sofocacin, otro lugar especificado"
"X709" "Lesin autoinfligida intencionalmente por ahorcamiento, estrangulamiento o sofocacin, lugar no especificado"
"X71" "Lesin autoinfligida intencionalmente por ahogamiento y sumersin"
"X710" "Lesin autoinfligida intencionalmente por ahogamiento, y sumersin, vivienda"
"X711" "Lesin autoinfligida intencionalmente por ahogamiento, y sumersin, institucin residencial"
"X712" "Lesin autoinfligida intencionalmente por ahogamiento, y sumersin, escuelas, otras instituciones y reas administrativas  pblicas"
"X713" "Lesin autoinfligida intencionalmente por ahogamiento, y sumersin, reas de deporte y atletismo"
"X714" "Lesin autoinfligida intencionalmente por ahogamiento, y sumersin, calles y carreteras"
"X715" "Lesin autoinfligida intencionalmente por ahogamiento, y sumersin, comercio y rea de servicios"
"X716" "Lesin autoinfligida intencionalmente por ahogamiento y sumersin, rea industrial y de la construccin"
"X717" "Lesin autoinfligida intencionalmente por ahogamiento y sumersin, granja"
"X718" "Lesin autoinfligida intencionalmente por ahogamiento y sumersin, otro lugar especificado"
"X719" "Lesin autoinfligida intencionalmente por ahogamiento y sumersin, lugar no especificado"
"X72" "Lesin autoinfligida intencionalmente por disparo de arma corta"
"X720" "Lesin autoinfligida intencionalmente por disparo de arma corta, vivienda"
"X721" "Lesin autoinfligida intencionalmente por disparo de arma corta, institucin residencial"
"X722" "Lesin autoinfligida intencionalmente por disparo de arma corta, escuelas, otras instituciones y reas administrativas  pblicas"
"X723" "Lesin autoinfligida intencionalmente por disparo de arma corta, reas de deporte y atletismo"
"X724" "Lesin autoinfligida intencionalmente por disparo de arma corta, calles y carreteras"
"X725" "Lesin autoinfligida intencionalmente por disparo de arma corta, comercio y rea de servicios"
"X726" "Lesin autoinfligida intencionalmente por disparo de arma corta, rea industrial y de la construccin"
"X727" "Lesin autoinfligida intencionalmente por disparo de arma corta, granja"
"X728" "Lesin autoinfligida intencionalmente por disparo de arma corta, otro lugar especificado"
"X729" "Lesin autoinfligida intencionalmente por disparo de arma corta, lugar no especificado"
"X73" "Lesin autoinfligida intencionalmente por disparo de rifle, escopeta y arma larga"
"X730" "Lesin autoinfligida intencionalmente por disparo de rifle, escopeta y arma larga, vivienda"
"X731" "Lesin autoinfligida intencionalmente por disparo de rifle, escopeta y arma larga, institucin residencial"
"X732" "Lesin autoinfligida intencionalmente por disparo de rifle, escopeta y arma larga, escuelas, otras instituciones y reas administrativas  pblicas"
"X733" "Lesin autoinfligida intencionalmente por disparo de rifle, escopeta y arma larga, reas de deporte y atletismo"
"X734" "Lesin autoinfligida intencionalmente por disparo de rifle, escopeta y arma larga, calles y carreteras"
"X735" "Lesin autoinfligida intencionalmente por disparo de rifle, escopeta y arma larga, comercio y rea de servicios"
"X736" "Lesin autoinfligida intencionalmente por disparo de rifle, escopeta y arma larga, rea industrial y de la construccin"
"X737" "Lesin autoinfligida intencionalmente por disparo de rifle, escopeta y arma larga, granja"
"X738" "Lesin autoinfligida intencionalmente por disparo de rifle, escopeta y arma larga, otro lugar especificado"
"X739" "Lesin autoinfligida intencionalmente por disparo de rifle, escopeta y arma larga, lugar no especificado"
"X74" "Lesin autoinfligida intencionalmente por disparo de otras armas de fuego, y las no especificadas"
"X740" "Lesin autoinfligida intencionalmente por disparo de otras armas de fuego, y las no especificadas, vivienda"
"X741" "Lesin autoinfligida intencionalmente por disparo de otras armas de fuego, y las no especificadas, institucin residencial"
"X742" "Lesin autoinfligida intencionalmente por disparo de otras armas de fuego, y las no especificadas, escuelas, otras instituciones y reas administrativas  pblicas"
"X743" "Lesin autoinfligida intencionalmente por disparo de otras armas de fuego, y las no especificadas, reas de deporte y atletismo"
"X744" "Lesin autoinfligida intencionalmente por disparo de otras armas de fuego, y las no especificadas, calles y carreteras"
"X745" "Lesin autoinfligida intencionalmente por disparo de otras armas de fuego, y las no especificadas, comercio y rea de servicios"
"X746" "Lesin autoinfligida intencionalmente por disparo de otras armas de fuego, y las no especificadas, rea industrial y de la construccin"
"X747" "Lesin autoinfligida intencionalmente por disparo de otras armas de fuego, y las no especificadas, granja"
"X748" "Lesin autoinfligida intencionalmente por disparo de otras armas de fuego, y las no especificadas, otro lugar especificado"
"X749" "Lesin autoinfligida intencionalmente por disparo de otras armas de fuego, y las no especificadas, lugar no especificado"
"X75" "Lesin autoinfligida intencionalmente por material explosivo"
"X750" "Lesin autoinfligida intencionalmente por material explosivo, vivienda"
"X751" "Lesin autoinfligida intencionalmente por material explosivo, institucin residencial"
"X752" "Lesin autoinfligida intencionalmente por material explosivo, escuelas, otras instituciones y reas administrativas  pblicas"
"X753" "Lesin autoinfligida intencionalmente por material explosivo, reas de deporte y atletismo"
"X754" "Lesin autoinfligida intencionalmente por material explosivo, calles y carreteras"
"X755" "Lesin autoinfligida intencionalmente por material explosivo, comercio y rea de servicios"
"X756" "Lesin autoinfligida intencionalmente por material explosivo, rea industrial y de la construccin"
"X757" "Lesin autoinfligida intencionalmente por material explosivo, granja"
"X758" "Lesin autoinfligida intencionalmente por material explosivo, otro lugar especificado"
"X759" "Lesin autoinfligida intencionalmente por material explosivo, lugar no especificado"
"X76" "Lesin autoinfligida intencionalmente por humo, fuego y llamas"
"X760" "Lesin autoinfligida intencionalmente por humo, fuego y llamas, vivienda"
"X761" "Lesin autoinfligida intencionalmente por humo, fuego y llamas, institucin residencial"
"X762" "Lesin autoinfligida intencionalmente por humo, fuego y llamas, escuelas, otras instituciones y reas administrativas  pblicas"
"X763" "Lesin autoinfligida intencionalmente por humo, fuego y llamas, reas de deporte y atletismo"
"X764" "Lesin autoinfligida intencionalmente por humo, fuego y llamas, calles y carreteras"
"X765" "Lesin autoinfligida intencionalmente por humo, fuego y llamas, comercio y rea de servicios"
"X766" "Lesin autoinfligida intencionalmente por humo, fuego y llamas, rea industrial y de la construccin"
"X767" "Lesin autoinfligida intencionalmente por humo, fuego y llamas, granja"
"X768" "Lesin autoinfligida intencionalmente por humo, fuego y llamas, otro lugar especificado"
"X769" "Lesin autoinfligida intencionalmente por humo, fuego y llamas, lugar no especificado"
"X77" "Lesin autoinfligida intencionalmente por vapor de agua, vapores y objetos calientes"
"X770" "Lesin autoinflingida intencionalmente por vapor de agua, vapores y objetos calientes, vivienda"
"X771" "Lesin autoinflingida intencionalmente por vapor de agua, vapores y objetos calientes, institucin residencial"
"X772" "Lesin autoinflingida intencionalmente por vapor de agua, vapores y objetos calientes, escuelas, otras instituciones y reas administrativas  pblicas"
"X773" "Lesin autoinflingida intencionalmente por vapor de agua, vapores y objetos calientes, reas de deporte y atletismo"
"X774" "Lesin autoinflingida intencionalmente por vapor de agua, vapores y objetos calientes, calles y carreteras"
"X775" "Lesin autoinflingida intencionalmente por vapor de agua, vapores y objetos calientes, comercio y rea de servicios"
"X776" "Lesin autoinflingida intencionalmente por vapor de agua, vapores y objetos calientes, rea industrial y de la construccin"
"X777" "Lesin autoinflingida intencionalmente por vapor de agua, vapores y objetos calientes, granja"
"X778" "Lesin autoinflingida intencionalmente por vapor de agua, vapores y objetos calientes, otro lugar especificado"
"X779" "Lesin autoinflingida intencionalmente por vapor de agua, vapores y objetos calientes, lugar no especificado"
"X78" "Lesin autoinfligida intencionalmente por objeto cortante"
"X780" "Lesin autoinfligida intencionalmente por objeto cortante, vivienda"
"X781" "Lesin autoinfligida intencionalmente por objeto cortante, institucin residencial"
"X782" "Lesin autoinfligida intencionalmente por objeto cortante, escuelas, otras instituciones y reas administrativas  pblicas"
"X783" "Lesin autoinfligida intencionalmente por objeto cortante, reas de deporte y atletismo"
"X784" "Lesin autoinfligida intencionalmente por objeto cortante, calles y carreteras"
"X785" "Lesin autoinfligida intencionalmente por objeto cortante, comercio y rea de servicios"
"X786" "Lesin autoinfligida intencionalmente por objeto cortante, rea industrial y de la construccin"
"X787" "Lesin autoinfligida intencionalmente por objeto cortante, granja"
"X788" "Lesin autoinfligida intencionalmente por objeto cortante, otro lugar especificado"
"X789" "Lesin autoinfligida intencionalmente por objeto cortante, lugar no especificado"
"X79" "Lesin autoinfligida intencionalmente por objeto romo o sin filo"
"X790" "Lesin autoinfligida intencionalmente por objeto romo o sin filo, vivienda"
"X791" "Lesin autoinfligida intencionalmente por objeto romo o sin filo, institucin residencial"
"X792" "Lesin autoinfligida intencionalmente por objeto romo o sin filo, escuelas, otras instituciones y reas administrativas  pblicas"
"X793" "Lesin autoinfligida intencionalmente por objeto romo o sin filo, reas de deporte y atletismo"
"X794" "Lesin autoinfligida intencionalmente por objeto romo o sin filo, calles y carreteras"
"X795" "Lesin autoinfligida intencionalmente por objeto romo o sin filo, comercio y rea de servicios"
"X796" "Lesin autoinfligida intencionalmente por objeto romo o sin filo, rea industrial y de la construccin"
"X797" "Lesin autoinfligida intencionalmente por objeto romo o sin filo, granja"
"X798" "Lesin autoinfligida intencionalmente por objeto romo o sin filo, otro lugar especificado"
"X799" "Lesin autoinfligida intencionalmente por objeto romo o sin filo, lugar no especificado"
"X80" "Lesin autoinfligida intencionalmente al saltar desde un lugar elevado"
"X800" "Lesin autoinfligida intencionalmente al saltar desde un lugar elevado, vivienda"
"X801" "Lesin autoinfligida intencionalmente al saltar desde un lugar elevado, institucin residencial"
"X802" "Lesin autoinfligida intencionalmente al saltar desde un lugar elevado, escuelas, otras instituciones y reas administrativas  pblicas"
"X803" "Lesin autoinfligida intencionalmente al saltar desde un lugar elevado, reas de deporte y atletismo"
"X804" "Lesin autoinfligida intencionalmente al saltar desde un lugar elevado, calles y carreteras"
"X805" "Lesin autoinfligida intencionalmente al saltar desde un lugar elevado, comercio y rea de servicios"
"X806" "Lesin autoinfligida intencionalmente al saltar desde un lugar elevado, rea industrial y de la construccin"
"X807" "Lesin autoinfligida intencionalmente al saltar desde un lugar elevado, granja"
"X808" "Lesin autoinfligida intencionalmente al saltar desde un lugar elevado, otro lugar especificado"
"X809" "Lesin autoinfligida intencionalmente al saltar desde un lugar elevado, lugar no especificado"
"X81" "Lesin autoinfligida intencionalmente por arrojarse o colocarse delante de objeto en movimiento"
"X810" "Lesin autoinflingida intencionalmente por arrojarse o colocarse delante de objeto en movimiento, vivienda"
"X811" "Lesin autoinflingida intencionalmente por arrojarse o colocarse delante de objeto en movimiento, institucin residencial"
"X812" "Lesin autoinflingida intencionalmente por arrojarse o colocarse delante de objeto en movimiento, escuelas, otras instituciones y reas administrativas  pblicas"
"X813" "Lesin autoinflingida intencionalmente por arrojarse o colocarse delante de objeto en movimiento, reas de deporte y atletismo"
"X814" "Lesin autoinflingida intencionalmente por arrojarse o colocarse delante de objeto en movimiento, calles y carreteras"
"X815" "Lesin autoinflingida intencionalmente por arrojarse o colocarse delante de objeto en movimiento, comercio y rea de servicios"
"X816" "Lesin autoinflingida intencionalmente por arrojarse o colocarse delante de objeto en movimiento, rea industrial y de la construccin"
"X817" "Lesin autoinflingida intencionalmente por arrojarse o colocarse delante de objeto en movimiento, granja"
"X818" "Lesin autoinflingida intencionalmente por arrojarse o colocarse delante de objeto en movimiento, otro lugar especificado"
"X819" "Lesin autoinflingida intencionalmente por arrojarse o colocarse delante de objeto en movimiento, lugar no especificado"
"X82" "Lesin autoinfligida intencionalmente por colisin de vehculo de motor"
"X820" "Lesin autoinfligida intencionalmente por colisin de vehculo de motor, vivienda"
"X821" "Lesin autoinfligida intencionalmente por colisin de vehculo de motor, institucin residencial"
"X822" "Lesin autoinfligida intencionalmente por colisin de vehculo de motor, escuelas, otras instituciones y reas administrativas  pblicas"
"X823" "Lesin autoinfligida intencionalmente por colisin de vehculo de motor, reas de deporte y atletismo"
"X824" "Lesin autoinfligida intencionalmente por colisin de vehculo de motor, calles y carreteras"
"X825" "Lesin autoinfligida intencionalmente por colisin de vehculo de motor, comercio y rea de servicios"
"X826" "Lesin autoinfligida intencionalmente por colisin de vehculo de motor, rea industrial y de la construccin"
"X827" "Lesin autoinfligida intencionalmente por colisin de vehculo de motor, granja"
"X828" "Lesin autoinfligida intencionalmente por colisin de vehculo de motor, otro lugar especificado"
"X829" "Lesin autoinfligida intencionalmente por colisin de vehculo de motor, lugar no especificado"
"X83" "Lesin autoinfligida intencionalmente por otros medios especificados"
"X830" "Lesin autoinfligida intencionalmente por otros medios especificados, vivienda"
"X831" "Lesin autoinfligida intencionalmente por otros medios especificados, institucin residencial"
"X832" "Lesin autoinfligida intencionalmente por otros medios especificados, escuelas, otras instituciones y reas administrativas  pblicas"
"X833" "Lesin autoinfligida intencionalmente por otros medios especificados, reas de deporte y atletismo"
"X834" "Lesin autoinfligida intencionalmente por otros medios especificados, calles y carreteras"
"X835" "Lesin autoinfligida intencionalmente por otros medios especificados, comercio y rea de servicios"
"X836" "Lesin autoinfligida intencionalmente por otros medios especificados, rea industrial y de la construccin"
"X837" "Lesin autoinfligida intencionalmente por otros medios especificados, granja"
"X838" "Lesin autoinfligida intencionalmente por otros medios especificados, otro lugar especificado"
"X839" "Lesin autoinfligida intencionalmente por otros medios especificados, lugar no especificado"
"X84" "Lesin autoinfligida intencionalmente por medios no especificados"
"X840" "Lesin autoinfligida intencionalmente por medios no especificados, vivienda"
"X841" "Lesin autoinfligida intencionalmente por medios no especificados, institucin residencial"
"X842" "Lesin autoinfligida intencionalmente por medios no especificados, escuelas, otras instituciones y reas administrativas  pblicas"
"X843" "Lesin autoinfligida intencionalmente por medios no especificados, reas de deporte y atletismo"
"X844" "Lesin autoinfligida intencionalmente por medios no especificados, calles y carreteras"
"X845" "Lesin autoinfligida intencionalmente por medios no especificados, comercio y rea de servicios"
"X846" "Lesin autoinfligida intencionalmente por medios no especificados, rea industrial y de la construccin"
"X847" "Lesin autoinfligida intencionalmente por medios no especificados, granja"
"X848" "Lesin autoinfligida intencionalmente por medios no especificados, otro lugar especificado"
"X849" "Lesin autoinfligida intencionalmente por medios no especificados, lugar no especificado"
"X85" "Agresin con drogas, medicamentos y sustancias biolgicas"
"X850" "Agresin con drogas, medicamentos y sustancias biolgicas, vivienda"
"X851" "Agresin con drogas, medicamentos y sustancias biolgicas, institucin residencial"
"X852" "Agresin con drogas, medicamentos y sustancias biolgicas, escuelas, otras instituciones y reas administrativas  pblicas"
"X853" "Agresin con drogas, medicamentos y sustancias biolgicas, reas de deporte y atletismo"
"X854" "Agresin con drogas, medicamentos y sustancias biolgicas, calles y carreteras"
"X855" "Agresin con drogas, medicamentos y sustancias biolgicas, comercio y rea de servicios"
"X856" "Agresin con drogas, medicamentos y sustancias biolgicas, rea industrial y de la construccin"
"X857" "Agresin con drogas, medicamentos y sustancias biolgicas, granja"
"X858" "Agresin con drogas, medicamentos y sustancias biolgicas, otro lugar especificado"
"X859" "Agresin con drogas, medicamentos y sustancias biolgicas, lugar no especificado"
"X86" "Agresin con sustancia corrosiva"
"X860" "Agresin con sustancia corrosiva, vivienda"
"X861" "Agresin con sustancia corrosiva, institucin residencial"
"X862" "Agresin con sustancia corrosiva, escuelas, otras instituciones y reas administrativas  pblicas"
"X863" "Agresin con sustancia corrosiva, reas de deporte y atletismo"
"X864" "Agresin con sustancia corrosiva, calles y carreteras"
"X865" "Agresin con sustancia corrosiva, comercio y rea de servicios"
"X866" "Agresin con sustancia corrosiva, rea industrial y de la construccin"
"X867" "Agresin con sustancia corrosiva, granja"
"X868" "Agresin con sustancia corrosiva, otro lugar especificado"
"X869" "Agresin con sustancia corrosiva, lugar no especificado"
"X87" "Agresin con plaguicidas"
"X870" "Agresin con plaguicidas, vivienda"
"X871" "Agresin con plaguicidas, institucin residencial"
"X872" "Agresin con plaguicidas, escuelas, otras instituciones y reas administrativas  pblicas"
"X873" "Agresin con plaguicidas, reas de deporte y atletismo"
"X874" "Agresin con plaguicidas, calles y carreteras"
"X875" "Agresin con plaguicidas, comercio y rea de servicios"
"X876" "Agresin con plaguicidas, rea industrial y de la construccin"
"X877" "Agresin con plaguicidas, granja"
"X878" "Agresin con plaguicidas, otro lugar especificado"
"X879" "Agresin con plaguicidas, lugar no especificado"
"X88" "Agresin con gases y vapores"
"X880" "Agresin con gases y vapores, vivienda"
"X881" "Agresin con gases y vapores, institucin residencial"
"X882" "Agresin con gases y vapores, escuelas, otras instituciones y reas administrativas  pblicas"
"X883" "Agresin con gases y vapores, reas de deporte y atletismo"
"X884" "Agresin con gases y vapores, calles y carreteras"
"X885" "Agresin con gases y vapores, comercio y rea de servicios"
"X886" "Agresin con gases y vapores, rea industrial y de la construccin"
"X887" "Agresin con gases y vapores, granja"
"X888" "Agresin con gases y vapores, otro lugar especificado"
"X889" "Agresin con gases y vapores, lugar no especificado"
"X89" "Agresin con otros productos qumicos y sustancias nocivas especificadas"
"X890" "Agresin con otros productos qumicos y sustancias nocivas especificadas, vivienda"
"X891" "Agresin con otros productos qumicos y sustancias nocivas especificadas, institucin residencial"
"X892" "Agresin con otros productos qumicos y sustancias nocivas especificadas, escuelas, otras instituciones y reas administrativas  pblicas"
"X893" "Agresin con otros productos qumicos y sustancias nocivas especificadas, reas de deporte y atletismo"
"X894" "Agresin con otros productos qumicos y sustancias nocivas especificadas, calles y carreteras"
"X895" "Agresin con otros productos qumicos y sustancias nocivas especificadas, comercio y rea de servicios"
"X896" "Agresin con otros productos qumicos y sustancias nocivas especificadas, rea industrial y de la construccin"
"X897" "Agresin con otros productos qumicos y sustancias nocivas especificadas, granja"
"X898" "Agresin con otros productos qumicos y sustancias nocivas especificadas, otro lugar especificado"
"X899" "Agresin con otros productos qumicos y sustancias nocivas especificadas, lugar no especificado"
"X90" "Agresin con productos qumicos y sustancias nocivas no especificadas"
"X900" "Agresin con productos qumicos y sustancias nocivas no especificadas, vivienda"
"X901" "Agresin con productos qumicos y sustancias nocivas no especificadas, institucin residencial"
"X902" "Agresin con productos qumicos y sustancias nocivas no especificadas, escuelas, otras instituciones y reas administrativas  pblicas"
"X903" "Agresin con productos qumicos y sustancias nocivas no especificadas, reas de deporte y atletismo"
"X904" "Agresin con productos qumicos y sustancias nocivas no especificadas, calles y carreteras"
"X905" "Agresin con productos qumicos y sustancias nocivas no especificadas, comercio y rea de servicios"
"X906" "Agresin con productos qumicos y sustancias nocivas no especificadas, rea industrial y de la construccin"
"X907" "Agresin con productos qumicos y sustancias nocivas no especificadas, granja"
"X908" "Agresin con productos qumicos y sustancias nocivas no especificadas, otro lugar especificado"
"X909" "Agresin con productos qumicos y sustancias nocivas no especificadas, lugar no especificado"
"X91" "Agresin por ahorcamiento, estrangulamiento y sofocacin"
"X910" "Agresin por ahorcamiento, estrangulamiento y sofocacin, vivienda"
"X911" "Agresin por ahorcamiento, estrangulamiento y sofocacin, institucin residencial"
"X912" "Agresin por ahorcamiento, estrangulamiento y sofocacin, escuelas, otras instituciones y reas administrativas  pblicas"
"X913" "Agresin por ahorcamiento, estrangulamiento y sofocacin, reas de deporte y atletismo"
"X914" "Agresin por ahorcamiento, estrangulamiento y sofocacin, calles y carreteras"
"X915" "Agresin por ahorcamiento, estrangulamiento y sofocacin, comercio y rea de servicios"
"X916" "Agresin por ahorcamiento, estrangulamiento y sofocacin, rea industrial y de la construccin"
"X917" "Agresin por ahorcamiento, estrangulamiento y sofocacin, granja"
"X918" "Agresin por ahorcamiento, estrangulamiento y sofocacin, otro lugar especificado"
"X919" "Agresin por ahorcamiento, estrangulamiento y sofocacin, lugar no especificado"
"X92" "Agresin por ahogamiento y sumersin"
"X920" "Agresin por ahogamiento y sumersin, vivienda"
"X921" "Agresin por ahogamiento y sumersin, institucin residencial"
"X922" "Agresin por ahogamiento y sumersin, escuelas, otras instituciones y reas administrativas  pblicas"
"X923" "Agresin por ahogamiento y sumersin, reas de deporte y atletismo"
"X924" "Agresin por ahogamiento y sumersin, calles y carreteras"
"X925" "Agresin por ahogamiento y sumersin, comercio y rea de servicios"
"X926" "Agresin por ahogamiento y sumersin, rea industrial y de la construccin"
"X927" "Agresin por ahogamiento y sumersin, granja"
"X928" "Agresin por ahogamiento y sumersin, otro lugar especificado"
"X929" "Agresin por ahogamiento y sumersin, lugar no especificado"
"X93" "Agresin con disparo de arma corta"
"X930" "Agresin con disparo de arma corta, vivienda"
"X931" "Agresin con disparo de arma corta, institucin residencial"
"X932" "Agresin con disparo de arma corta, escuelas, otras instituciones y reas administrativas  pblicas"
"X933" "Agresin con disparo de arma corta, reas de deporte y atletismo"
"X934" "Agresin con disparo de arma corta, calles y carreteras"
"X935" "Agresin con disparo de arma corta, comercio y rea de servicios"
"X936" "Agresin con disparo de arma corta, rea industrial y de la construccin"
"X937" "Agresin con disparo de arma corta, granja"
"X938" "Agresin con disparo de arma corta, otro lugar especificado"
"X939" "Agresin con disparo de arma corta, lugar no especificado"
"X94" "Agresin con disparo de rifle, escopeta y arma larga"
"X940" "Agresin con disparo de rifle, escopeta y arma larga, vivienda"
"X941" "Agresin con disparo de rifle, escopeta y arma larga, institucin residencial"
"X942" "Agresin con disparo de rifle, escopeta y arma larga, escuelas, otras instituciones y reas administrativas  pblicas"
"X943" "Agresin con disparo de rifle, escopeta y arma larga, reas de deporte y atletismo"
"X944" "Agresin con disparo de rifle, escopeta y arma larga, calles y carreteras"
"X945" "Agresin con disparo de rifle, escopeta y arma larga, comercio y rea de servicios"
"X946" "Agresin con disparo de rifle, escopeta y arma larga, rea industrial y de la construccin"
"X947" "Agresin con disparo de rifle, escopeta y arma larga, granja"
"X948" "Agresin con disparo de rifle, escopeta y arma larga, otro lugar especificado"
"X949" "Agresin con disparo de rifle, escopeta y arma larga, lugar no especificado"
"X95" "Agresin con disparo de otras armas de fuego, y las no especificadas"
"X950" "Agresin con disparo de otras armas de fuego, y las no especificadas, vivienda"
"X951" "Agresin con disparo de otras armas de fuego, y las no especificadas, institucin residencial"
"X952" "Agresin con disparo de otras armas de fuego, y las no especificadas, escuelas, otras instituciones y reas administrativas  pblicas"
"X953" "Agresin con disparo de otras armas de fuego, y las no especificadas, reas de deporte y atletismo"
"X954" "Agresin con disparo de otras armas de fuego, y las no especificadas, calles y carreteras"
"X955" "Agresin con disparo de otras armas de fuego, y las no especificadas, comercio y rea de servicios"
"X956" "Agresin con disparo de otras armas de fuego, y las no especificadas, rea industrial y de la construccin"
"X957" "Agresin con disparo de otras armas de fuego, y las no especificadas, granja"
"X958" "Agresin con disparo de otras armas de fuego, y las no especificadas, otro lugar especificado"
"X959" "Agresin con disparo de otras armas de fuego, y las no especificadas, lugar no especificado"
"X96" "Agresin con material explosivo"
"X960" "Agresin con material explosivo, vivienda"
"X961" "Agresin con material explosivo, institucin residencial"
"X962" "Agresin con material explosivo, escuelas, otras instituciones y reas administrativas  pblicas"
"X963" "Agresin con material explosivo, reas de deporte y atletismo"
"X964" "Agresin con material explosivo, calles y carreteras"
"X965" "Agresin con material explosivo, comercio y rea de servicios"
"X966" "Agresin con material explosivo, rea industrial y de la construccin"
"X967" "Agresin con material explosivo, granja"
"X968" "Agresin con material explosivo, otro lugar especificado"
"X969" "Agresin con material explosivo, lugar no especificado"
"X97" "Agresin con humo, fuego y llamas"
"X970" "Agresin con humo, fuego y llamas, vivienda"
"X971" "Agresin con humo, fuego y llamas, institucin residencial"
"X972" "Agresin con humo, fuego y llamas, escuelas, otras instituciones y reas administrativas  pblicas"
"X973" "Agresin con humo, fuego y llamas, reas de deporte y atletismo"
"X974" "Agresin con humo, fuego y llamas, calles y carreteras"
"X975" "Agresin con humo, fuego y llamas, comercio y rea de servicios"
"X976" "Agresin con humo, fuego y llamas, rea industrial y de la construccin"
"X977" "Agresin con humo, fuego y llamas, granja"
"X978" "Agresin con humo, fuego y llamas, otro lugar especificado"
"X979" "Agresin con humo, fuego y llamas, lugar no especificado"
"X98" "Agresin con vapor de agua, vapores y objetos calientes"
"X980" "Agresin con vapor de agua, vapores y objetos calientes, vivienda"
"X981" "Agresin con vapor de agua, vapores y objetos calientes, institucin residencial"
"X982" "Agresin con vapor de agua, vapores y objetos calientes, escuelas, otras instituciones y reas administrativas  pblicas"
"X983" "Agresin con vapor de agua, vapores y objetos calientes, reas de deporte y atletismo"
"X984" "Agresin con vapor de agua, vapores y objetos calientes, calles y carreteras"
"X985" "Agresin con vapor de agua, vapores y objetos calientes, comercio y rea de servicios"
"X986" "Agresin con vapor de agua, vapores y objetos calientes, rea industrial y de la construccin"
"X987" "Agresin con vapor de agua, vapores y objetos calientes, granja"
"X988" "Agresin con vapor de agua, vapores y objetos calientes, otro lugar especificado"
"X989" "Agresin con vapor de agua, vapores y objetos calientes, lugar no especificado"
"X99" "Agresin con objeto cortante"
"X990" "Agresin con objeto cortante, vivienda"
"X991" "Agresin con objeto cortante, institucin residencial"
"X992" "Agresin con objeto cortante, escuelas, otras instituciones y reas administrativas  pblicas"
"X993" "Agresin con objeto cortante, reas de deporte y atletismo"
"X994" "Agresin con objeto cortante, calles y carreteras"
"X995" "Agresin con objeto cortante, comercio y rea de servicios"
"X996" "Agresin con objeto cortante, rea industrial y de la construccin"
"X997" "Agresin con objeto cortante, granja"
"X998" "Agresin con objeto cortante, otro lugar especificado"
"X999" "Agresin con objeto cortante, lugar no especificado"
"Y00" "Agresin con objeto romo o sin filo"
"Y000" "Agresin con objeto romo o sin filo, vivienda"
"Y001" "Agresin con objeto romo o sin filo, institucin residencial"
"Y002" "Agresin con objeto romo o sin filo, escuelas, otras instituciones y reas administrativas pblicas"
"Y003" "Agresin con objeto romo o sin filo, reas de deporte y atletismo"
"Y004" "Agresin con objeto romo o sin filo, calles y carreteras"
"Y005" "Agresin con objeto romo o sin filo, comercio y rea de servicios"
"Y006" "Agresin con objeto romo o sin filo, rea industrial y de la construccin"
"Y007" "Agresin con objeto romo o sin filo, granja"
"Y008" "Agresin con objeto romo o sin filo, otro lugar especificado"
"Y009" "Agresin con objeto romo o sin filo, lugar no especificado"
"Y01" "Agresin por empujn desde un lugar elevado"
"Y010" "Agresin por empujn desde un lugar elevado, vivienda"
"Y011" "Agresin por empujn desde un lugar elevado, institucin residencial"
"Y012" "Agresin por empujn desde un lugar elevado, escuelas, otras instituciones y reas administrativas  pblicas"
"Y013" "Agresin por empujn desde un lugar elevado, reas de deporte y atletismo"
"Y014" "Agresin por empujn desde un lugar elevado, calles y carreteras"
"Y015" "Agresin por empujn desde un lugar elevado, comercio y rea de servicios"
"Y016" "Agresin por empujn desde un lugar elevado, rea industrial y de la construccin"
"Y017" "Agresin por empujn desde un lugar elevado, granja"
"Y018" "Agresin por empujn desde un lugar elevado, otro lugar especificado"
"Y019" "Agresin por empujn desde un lugar elevado, lugar no especificado"
"Y02" "Agresin por empujar o colocar a la vctima delante de objeto en movimiento"
"Y020" "Agresin por empujar o colocar a la vctima delante de objeto en movimiento, vivienda"
"Y021" "Agresin por empujar o colocar a la vctima delante de objeto en movimiento, institucin residencial"
"Y022" "Agresin por empujar o colocar a la vctima delante de objeto en movimiento, escuelas, otras instituciones y reas administrativas  pblicas"
"Y023" "Agresin por empujar o colocar a la vctima delante de objeto en movimiento, reas de deporte y atletismo"
"Y024" "Agresin por empujar o colocar a la vctima delante de objeto en movimiento, calles y carreteras"
"Y025" "Agresin por empujar o colocar a la vctima delante de objeto en movimiento, comercio y rea de servicios"
"Y026" "Agresin por empujar o colocar a la vctima delante de objeto en movimiento, rea industrial y de la construccin"
"Y027" "Agresin por empujar o colocar a la vctima delante de objeto en movimiento, granja"
"Y028" "Agresin por empujar o colocar a la vctima delante de objeto en movimiento, otro lugar especificado"
"Y029" "Agresin por empujar o colocar a la vctima delante de objeto en movimiento, lugar no especificado"
"Y03" "Agresin por colisin de vehculo de motor"
"Y030" "Agresin por colisin de vehculo de motor, vivienda"
"Y031" "Agresin por colisin de vehculo de motor, institucin residencial"
"Y032" "Agresin por colisin de vehculo de motor, escuelas, otras instituciones y reas administrativas  pblicas"
"Y033" "Agresin por colisin de vehculo de motor, reas de deporte y atletismo"
"Y034" "Agresin por colisin de vehculo de motor, calles y carreteras"
"Y035" "Agresin por colisin de vehculo de motor, comercio y rea de servicios"
"Y036" "Agresin por colisin de vehculo de motor, rea industrial y de la construccin"
"Y037" "Agresin por colisin de vehculo de motor, granja"
"Y038" "Agresin por colisin de vehculo de motor, otro lugar especificado"
"Y039" "Agresin por colisin de vehculo de motor, lugar no especificado"
"Y04" "Agresin con fuerza corporal"
"Y040" "Agresin con fuerza corporal, vivienda"
"Y041" "Agresin con fuerza corporal, institucin residencial"
"Y042" "Agresin con fuerza corporal, escuelas, otras instituciones y reas administrativas pblicas"
"Y043" "Agresin con fuerza corporal, reas de deporte y atletismo"
"Y044" "Agresin con fuerza corporal, calles y carreteras"
"Y045" "Agresin con fuerza corporal, comercio y rea de servicios"
"Y046" "Agresin con fuerza corporal, rea industrial y de la construccin"
"Y047" "Agresin con fuerza corporal, granja"
"Y048" "Agresin con fuerza corporal, otro lugar especificado"
"Y049" "Agresin con fuerza corporal, lugar no especificado"
"Y05" "Agresin sexual con fuerza corporal"
"Y050" "Agresin sexual con fuerza corporal, vivienda"
"Y051" "Agresin sexual con fuerza corporal, institucin residencial"
"Y052" "Agresin sexual con fuerza corporal, escuelas, otras instituciones y reas administrativas  pblicas"
"Y053" "Agresin sexual con fuerza corporal, reas de deporte y atletismo"
"Y054" "Agresin sexual con fuerza corporal, calles y carreteras"
"Y055" "Agresin sexual con fuerza corporal, comercio y rea de servicios"
"Y056" "Agresin sexual con fuerza corporal, rea industrial y de la construccin"
"Y057" "Agresin sexual con fuerza corporal, granja"
"Y058" "Agresin sexual con fuerza corporal, otro lugar especificado"
"Y059" "Agresin sexual con fuerza corporal, lugar no especificado"
"Y06" "Negligencia y abandono"
"Y060" "Y060 Por esposo o pareja"
"Y061" "Y061 Por padre o madre"
"Y062" "Y062 Por conocido o amigo"
"Y068" "Y068 Por otra persona especificada"
"Y069" "Y069 Por persona no especificada"
"Y07" "Otros sndromes de maltrato"
"Y070" "Y070 Por esposo o pareja"
"Y071" "Y071 Por padre o madre"
"Y072" "Y072 Por conocido o amigo"
"Y073" "Por autoridades oficiales"
"Y078" "Y078 Por otra persona especificada"
"Y079" "Y079 Por persona no especificada"
"Y08" "Agresin por otros medios especificados"
"Y080" "Agresin por otros medios especificados, vivienda"
"Y081" "Agresin por otros medios especificados, institucin residencial"
"Y082" "Agresin por otros medios especificados, escuelas, otras instituciones y reas administrativas pblicas"
"Y083" "Agresin por otros medios especificados, reas de deporte y atletismo"
"Y084" "Agresin por otros medios especificados, calles y carreteras"
"Y085" "Agresin por otros medios especificados, comercio y rea de servicios"
"Y086" "Agresin por otros medios especificados, rea industrial y de la construccin"
"Y087" "Agresin por otros medios especificados, granja"
"Y088" "Agresin por otros medios especificados, otro lugar especificado"
"Y089" "Agresin por otros medios especificados, lugar no especificado"
"Y09" "Agresin por medios no especificados"
"Y090" "Agresin por medios no especificados, vivienda"
"Y091" "Agresin por medios no especificados, institucin residencial"
"Y092" "Agresin por medios no especificados, escuelas, otras instituciones y reas administrativas pblicas"
"Y093" "Agresin por medios no especificados, reas de deporte y atletismo"
"Y094" "Agresin por medios no especificados, calles y carreteras"
"Y095" "Agresin por medios no especificados, comercio y rea de servicios"
"Y096" "Agresin por medios no especificados, rea industrial y de la construccin"
"Y097" "Agresin por medios no especificados, granja"
"Y098" "Agresin por medios no especificados, otro lugar especificado"
"Y099" "Agresin por medios no especificados, lugar no especificado"
"Y10" "Envenenamiento por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, de intencin no determinada"
"Y100" "Envenenamiento por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, de intencin no determinada, vivienda"
"Y101" "Envenenamiento por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, de intencin no determinada, institucin residencial"
"Y102" "Envenenamiento por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y103" "Envenenamiento por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, de intencin no determinada, reas de deporte y atletismo"
"Y104" "Envenenamiento por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, de intencin no determinada, calles y carreteras"
"Y105" "Envenenamiento por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, de intencin no determinada, comercio y rea de servicios"
"Y106" "Envenenamiento por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, de intencin no determinada, rea industrial y de la construccin"
"Y107" "Envenenamiento por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, de intencin no determinada, granja"
"Y108" "Envenenamiento por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, de intencin no determinada, otro lugar especificado"
"Y109" "Envenenamiento por, y exposicin a analgsicos no narcticos, antipirticos y antirreumticos, de intencin no determinada, lugar no especificado"
"Y11" "Envenenamiento por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, de intencin no determinada"
"Y110" "Envenenamiento por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, de intencin no determinada, vivienda"
"Y111" "Envenenamiento por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, de intencin no determinada, institucin residencial"
"Y112" "Envenenamiento por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, de intencin no determinada, escuelas, otras instituciones y reas admin"
"Y113" "Envenenamiento por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, de intencin no determinada, reas de deporte y atletismo"
"Y114" "Envenenamiento por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, de intencin no determinada, calles y carreteras"
"Y115" "Envenenamiento por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, de intencin no determinada, comercio y rea de servicios"
"Y116" "Envenenamiento por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, de intencin no determinada, rea industrial y de la construccin"
"Y117" "Envenenamiento por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, de intencin no determinada, granja"
"Y118" "Envenenamiento por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, de intencin no determinada, otro lugar especificado"
"Y119" "Envenenamiento por, y exposicin a drogas antiepilpticas, sedantes, hipnticas, antiparkinsonianas y psicotrpicas, no clasificadas en otra parte, de intencin no determinada, lugar no especificado"
"Y12" "Envenenamiento por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, de intencin no determinada"
"Y120" "Envenenamiento por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, de intencin no determinada, vivienda"
"Y121" "Envenenamiento por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, de intencin no determinada, institucin residencial"
"Y122" "Envenenamiento por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y123" "Envenenamiento por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, de intencin no determinada, reas de deporte y atletismo"
"Y124" "Envenenamiento por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, de intencin no determinada, calles y carreteras"
"Y125" "Envenenamiento por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, de intencin no determinada, comercio y rea de servicios"
"Y126" "Envenenamiento por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, de intencin no determinada, rea industrial y de la construccin"
"Y127" "Envenenamiento por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, de intencin no determinada, granja"
"Y128" "Envenenamiento por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, de intencin no determinada, otro lugar especificado"
"Y129" "Envenenamiento por, y exposicin a narcticos y psicodislpticos [alucingenos], no clasificados en otra parte, de intencin no determinada, lugar no especificado"
"Y13" "Envenenamiento por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, de intencin no determinada"
"Y130" "Envenenamiento por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, de intencin no determinada, vivienda"
"Y131" "Envenenamiento por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, de intencin no determinada, institucin residencial"
"Y132" "Envenenamiento por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y133" "Envenenamiento por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, de intencin no determinada, reas de deporte y atletismo"
"Y134" "Envenenamiento por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, de intencin no determinada, calles y carreteras"
"Y135" "Envenenamiento por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, de intencin no determinada, comercio y rea de servicios"
"Y136" "Envenenamiento por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, de intencin no determinada, rea industrial y de la construccin"
"Y137" "Envenenamiento por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, de intencin no determinada, granja"
"Y138" "Envenenamiento por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, de intencin no determinada, otro lugar especificado"
"Y139" "Envenenamiento por, y exposicin a otras drogas que actan sobre el sistema nervioso autnomo, de intencin no determinada, lugar no especificado"
"Y14" "Envenenamiento por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y las no especificadas, de intencin no determinada"
"Y140" "Envenenamiento por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y las no especificadas, de intencin no determinada, vivienda"
"Y141" "Envenenamiento por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y las no especificadas, de intencin no determinada, institucin residencial"
"Y142" "Envenenamiento por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y las no especificadas, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y143" "Envenenamiento por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y las no especificadas, de intencin no determinada, reas de deporte y atletismo"
"Y144" "Envenenamiento por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y las no especificadas, de intencin no determinada, calles y carreteras"
"Y145" "Envenenamiento por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y las no especificadas, de intencin no determinada, comercio y rea de servicios"
"Y146" "Envenenamiento por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y las no especificadas, de intencin no determinada, rea industrial y de la construccin"
"Y147" "Envenenamiento por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y las no especificadas, de intencin no determinada, granja"
"Y148" "Envenenamiento por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y las no especificadas, de intencin no determinada, otro lugar especificado"
"Y149" "Envenenamiento por, y exposicin a otras drogas, medicamentos y sustancias biolgicas, y las no especificadas, de intencin no determinada, lugar no especificado"
"Y15" "Envenenamiento por, y exposicin al alcohol, de intencin no determinada"
"Y150" "Envenenamiento por, y exposicin al alcohol, de intencin no determinada, vivienda"
"Y151" "Envenenamiento por, y exposicin al alcohol, de intencin no determinada, institucin residencial"
"Y152" "Envenenamiento por, y exposicin al alcohol, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y153" "Envenenamiento por, y exposicin al alcohol, de intencin no determinada, reas de deporte y atletismo"
"Y154" "Envenenamiento por, y exposicin al alcohol, de intencin no determinada, calles y carreteras"
"Y155" "Envenenamiento por, y exposicin al alcohol, de intencin no determinada, comercio y rea de servicios"
"Y156" "Envenenamiento por, y exposicin al alcohol, de intencin no determinada, rea industrial y de la construccin"
"Y157" "Envenenamiento por, y exposicin al alcohol, de intencin no determinada, granja"
"Y158" "Envenenamiento por, y exposicin al alcohol, de intencin no determinada, otro lugar especificado"
"Y159" "Envenenamiento por, y exposicin al alcohol, de intencin no determinada, lugar no especificado"
"Y16" "Envenenamiento por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, de intencin no determinada"
"Y160" "Envenenamiento por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, de intencin no determinada, vivienda"
"Y161" "Envenenamiento por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, de intencin no determinada, institucin residencial"
"Y162" "Envenenamiento por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y163" "Envenenamiento por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, de intencin no determinada, reas de deporte y atletismo"
"Y164" "Envenenamiento por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, de intencin no determinada, calles y carreteras"
"Y165" "Envenenamiento por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, de intencin no determinada, comercio y rea de servicios"
"Y166" "Envenenamiento por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, de intencin no determinada, rea industrial y de la construccin"
"Y167" "Envenenamiento por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, de intencin no determinada, granja"
"Y168" "Envenenamiento por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, de intencin no determinada, otro lugar especificado"
"Y169" "Envenenamiento por, y exposicin a disolventes orgnicos e hidrocarburos halogenados y sus vapores, de intencin no determinada, lugar no especificado"
"Y17" "Envenenamiento por, y  exposicin a otros gases y vapores, de intencin no determinada"
"Y170" "Envenenamiento por, y  exposicin a otros gases y vapores, de intencin no determinada, vivienda"
"Y171" "Envenenamiento por, y  exposicin a otros gases y vapores, de intencin no determinada, institucin residencial"
"Y172" "Envenenamiento por, y  exposicin a otros gases y vapores, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y173" "Envenenamiento por, y  exposicin a otros gases y vapores, de intencin no determinada, reas de deporte y atletismo"
"Y174" "Envenenamiento por, y  exposicin a otros gases y vapores, de intencin no determinada, calles y carreteras"
"Y175" "Envenenamiento por, y  exposicin a otros gases y vapores, de intencin no determinada, comercio y rea de servicios"
"Y176" "Envenenamiento por, y  exposicin a otros gases y vapores, de intencin no determinada, rea industrial y de la construccin"
"Y177" "Envenenamiento por, y  exposicin a otros gases y vapores, de intencin no determinada, granja"
"Y178" "Envenenamiento por, y  exposicin a otros gases y vapores, de intencin no determinada, otro lugar especificado"
"Y179" "Envenenamiento por, y  exposicin a otros gases y vapores, de intencin no determinada, lugar no especificado"
"Y18" "Envenenamiento por, y exposicin a plaguicidas, de intencin no determinada"
"Y180" "Envenenamiento por, y exposicin a plaguicidas, de intencin no determinada, vivienda"
"Y181" "Envenenamiento por, y exposicin a plaguicidas, de intencin no determinada, institucin residencial"
"Y182" "Envenenamiento por, y exposicin a plaguicidas, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y183" "Envenenamiento por, y exposicin a plaguicidas, de intencin no determinada, reas de deporte y atletismo"
"Y184" "Envenenamiento por, y exposicin a plaguicidas, de intencin no determinada, calles y carreteras"
"Y185" "Envenenamiento por, y exposicin a plaguicidas, de intencin no determinada, comercio y rea de servicios"
"Y186" "Envenenamiento por, y exposicin a plaguicidas, de intencin no determinada, rea industrial y de la construccin"
"Y187" "Envenenamiento por, y exposicin a plaguicidas, de intencin no determinada, granja"
"Y188" "Envenenamiento por, y exposicin a plaguicidas, de intencin no determinada, otro lugar especificado"
"Y189" "Envenenamiento por, y exposicin a plaguicidas, de intencin no determinada, lugar no especificado"
"Y19" "Envenenamiento por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, de intencin no determinada"
"Y190" "Envenenamiento por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, de intencin no determinada, vivienda"
"Y191" "Envenenamiento por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, de intencin no determinada, institucin residencial"
"Y192" "Envenenamiento por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y193" "Envenenamiento por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, de intencin no determinada, reas de deporte y atletismo"
"Y194" "Envenenamiento por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, de intencin no determinada, calles y carreteras"
"Y195" "Envenenamiento por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, de intencin no determinada, comercio y rea de servicios"
"Y196" "Envenenamiento por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, de intencin no determinada, rea industrial y de la construccin"
"Y197" "Envenenamiento por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, de intencin no determinada, granja"
"Y198" "Envenenamiento por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, de intencin no determinada, otro lugar especificado"
"Y199" "Envenenamiento por, y exposicin a otros productos qumicos y sustancias nocivas, y los no especificados, de intencin no determinada, lugar no especificado"
"Y20" "Ahorcamiento, estrangulamiento y sofocacin, de intencin no determinada"
"Y200" "Ahorcamiento, estrangulamiento y sofocacin, de intencin no determinada, vivienda"
"Y201" "Ahorcamiento, estrangulamiento y sofocacin, de intencin no determinada, institucin residencial"
"Y202" "Ahorcamiento, estrangulamiento y sofocacin, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y203" "Ahorcamiento, estrangulamiento y sofocacin, de intencin no determinada, reas de deporte y atletismo"
"Y204" "Ahorcamiento, estrangulamiento y sofocacin, de intencin no determinada, calles y carreteras"
"Y205" "Ahorcamiento, estrangulamiento y sofocacin, de intencin no determinada, comercio y rea de servicios"
"Y206" "Ahorcamiento, estrangulamiento y sofocacin, de intencin no determinada, rea industrial y de la construccin"
"Y207" "Ahorcamiento, estrangulamiento y sofocacin, de intencin no determinada, granja"
"Y208" "Ahorcamiento, estrangulamiento y sofocacin, de intencin no determinada, otro lugar especificado"
"Y209" "Ahorcamiento, estrangulamiento y sofocacin, de intencin no determinada, lugar no especificado"
"Y21" "Ahogamiento y sumersin, de intencin no determinada"
"Y210" "Ahogamiento y sumersin, de intencin no determinada, vivienda"
"Y211" "Ahogamiento y sumersin, de intencin no determinada, institucin residencial"
"Y212" "Ahogamiento y sumersin, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y213" "Ahogamiento y sumersin, de intencin no determinada, reas de deporte y atletismo"
"Y214" "Ahogamiento y sumersin, de intencin no determinada, calles y carreteras"
"Y215" "Ahogamiento y sumersin, de intencin no determinada, comercio y rea de servicios"
"Y216" "Ahogamiento y sumersin, de intencin no determinada, rea industrial y de la construccin"
"Y217" "Ahogamiento y sumersin, de intencin no determinada, granja"
"Y218" "Ahogamiento y sumersin, de intencin no determinada, otro lugar especificado"
"Y219" "Ahogamiento y sumersin, de intencin no determinada, lugar no especificado"
"Y22" "Disparo de arma corta, de intencin no determinada"
"Y220" "Disparo de arma corta, de intencin no determinada, vivienda"
"Y221" "Disparo de arma corta, de intencin no determinada, institucin residencial"
"Y222" "Disparo de arma corta, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y223" "Disparo de arma corta, de intencin no determinada, reas de deporte y atletismo"
"Y224" "Disparo de arma corta, de intencin no determinada, calles y carreteras"
"Y225" "Disparo de arma corta, de intencin no determinada, comercio y rea de servicios"
"Y226" "Disparo de arma corta, de intencin no determinada, rea industrial y de la construccin"
"Y227" "Disparo de arma corta, de intencin no determinada, granja"
"Y228" "Disparo de arma corta, de intencin no determinada, otro lugar especificado"
"Y229" "Disparo de arma corta, de intencin no determinada, lugar no especificado"
"Y23" "Disparo de rifle, escopeta y arma larga, de intencin no determinada"
"Y230" "Disparo de rifle, escopeta y arma larga, de intencin no determinada, vivienda"
"Y231" "Disparo de rifle, escopeta y arma larga, de intencin no determinada, institucin residencial"
"Y232" "Disparo de rifle, escopeta y arma larga, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y233" "Disparo de rifle, escopeta y arma larga, de intencin no determinada, reas de deporte y atletismo"
"Y234" "Disparo de rifle, escopeta y arma larga, de intencin no determinada, calles y carreteras"
"Y235" "Disparo de rifle, escopeta y arma larga, de intencin no determinada, comercio y rea de servicios"
"Y236" "Disparo de rifle, escopeta y arma larga, de intencin no determinada, rea industrial y de la construccin"
"Y237" "Disparo de rifle, escopeta y arma larga, de intencin no determinada, granja"
"Y238" "Disparo de rifle, escopeta y arma larga, de intencin no determinada, otro lugar especificado"
"Y239" "Disparo de rifle, escopeta y arma larga, de intencin no determinada, lugar no especificado"
"Y24" "Disparo de otras armas de fuego, y las no especificadas, de intencin no determinada"
"Y240" "Disparo de otras armas de fuego y las no especificadas, de intencin no determinada, vivienda"
"Y241" "Disparo de otras armas de fuego, y las no especificadas, de intencin no determinada, institucin residencial"
"Y242" "Disparo de otras armas de fuego, y las no especificadas, de intencin no determinada, escuelas, otras instituciones y reas administrativas  pblicas"
"Y243" "Disparo de otras armas de fuego, y las no especificadas, de intencin no determinada, reas de deporte y atletismo"
"Y244" "Disparo de otras armas de fuego, y las no especificadas, de intencin no determinada, calles y carreteras"
"Y245" "Disparo de otras armas de fuego, y las no especificadas, de intencin no determinada, comercio y rea de servicios"
"Y246" "Disparo de otras armas de fuego, y las no especificadas, de intencin no determinada, rea industrial y de la construccin"
"Y247" "Disparo de otras armas de fuego, y las no especificadas, de intencin no determinada, granja"
"Y248" "Disparo de otras armas de fuego, y las no especificadas, de intencin no determinada, otro lugar especificado"
"Y249" "Disparo de otras armas de fuego, y las no especificadas, de intencin no determinada, lugar no especificado"
"Y25" "Contacto traumtico con material explosivo, de intencin no determinada"
"Y250" "Contacto traumtico con material explosivo, de intencin no determinada, vivienda"
"Y251" "Contacto traumtico con material explosivo, de intencin no determinada, institucin residencial"
"Y252" "Contacto traumtico con material explosivo, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y253" "Contacto traumtico con material explosivo, de intencin no determinada, reas de deporte y atletismo"
"Y254" "Contacto traumtico con material explosivo, de intencin no determinada, calles y carreteras"
"Y255" "Contacto traumtico con material explosivo, de intencin no determinada, comercio y rea de servicios"
"Y256" "Contacto traumtico con material explosivo, de intencin no determinada, rea industrial y de la construccin"
"Y257" "Contacto traumtico con material explosivo, de intencin no determinada, granja"
"Y258" "Contacto traumtico con material explosivo, de intencin no determinada, otro lugar especificado"
"Y259" "Contacto traumtico con material explosivo, de intencin no determinada, lugar no especificado"
"Y26" "Exposicin al humo, fuego y llamas, de intencin no determinada"
"Y260" "Exposicin al humo, fuego y llamas, de intencin no determinada, vivienda"
"Y261" "Exposicin al humo, fuego y llamas, de intencin no determinada, institucin residencial"
"Y262" "Exposicin al humo, fuego y llamas, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y263" "Exposicin al humo, fuego y llamas, de intencin no determinada, reas de deporte y atletismo"
"Y264" "Exposicin al humo, fuego y llamas, de intencin no determinada, calles y carreteras"
"Y265" "Exposicin al humo, fuego y llamas, de intencin no determinada, comercio y rea de servicios"
"Y266" "Exposicin al humo, fuego y llamas, de intencin no determinada, rea industrial y de la construccin"
"Y267" "Exposicin al humo, fuego y llamas, de intencin no determinada, granja"
"Y268" "Exposicin al humo, fuego y llamas, de intencin no determinada, otro lugar especificado"
"Y269" "Exposicin al humo, fuego y llamas, de intencin no determinada, lugar no especificado"
"Y27" "Contacto con vapor de agua, vapores y objetos calientes, de intencin no determinada"
"Y270" "Contacto con vapor de agua, vapores y objetos calientes, de intencin no determinada, vivienda"
"Y271" "Contacto con vapor de agua, vapores y objetos calientes, de intencin no determinada, institucin residencial"
"Y272" "Contacto con vapor de agua, vapores y objetos calientes, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y273" "Contacto con vapor de agua, vapores y objetos calientes, de intencin no determinada, reas de deporte y atletismo"
"Y274" "Contacto con vapor de agua, vapores y objetos calientes, de intencin no determinada, calles y carreteras"
"Y275" "Contacto con vapor de agua, vapores y objetos calientes, de intencin no determinada, comercio y rea de servicios"
"Y276" "Contacto con vapor de agua, vapores y objetos calientes, de intencin no determinada, rea industrial y de la construccin"
"Y277" "Contacto con vapor de agua, vapores y objetos calientes, de intencin no determinada, granja"
"Y278" "Contacto con vapor de agua, vapores y objetos calientes, de intencin no determinada, otro lugar especificado"
"Y279" "Contacto con vapor de agua, vapores y objetos calientes, de intencin no determinada, lugar no especificado"
"Y28" "Contacto traumtico con objeto cortante, de intencin no determinada"
"Y280" "Contacto traumtico con objeto cortante, de intencin no determinada, vivienda"
"Y281" "Contacto traumtico con objeto cortante, de intencin no determinada, institucin residencial"
"Y282" "Contacto traumtico con objeto cortante, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y283" "Contacto traumtico con objeto cortante, de intencin no determinada, reas de deporte y atletismo"
"Y284" "Contacto traumtico con objeto cortante, de intencin no determinada, calles y carreteras"
"Y285" "Contacto traumtico con objeto cortante, de intencin no determinada, comercio y rea de servicios"
"Y286" "Contacto traumtico con objeto cortante, de intencin no determinada, rea industrial y de la construccin"
"Y287" "Contacto traumtico con objeto cortante, de intencin no determinada, granja"
"Y288" "Contacto traumtico con objeto cortante, de intencin no determinada, otro lugar especificado"
"Y289" "Contacto traumtico con objeto cortante, de intencin no determinada, lugar no especificado"
"Y29" "Contacto traumtico con objeto romo o sin filo, de intencin no determinada"
"Y290" "Contacto traumtico con objeto romo o sin filo, de intencin no determinada, vivienda"
"Y291" "Contacto traumtico con objeto romo o sin filo, de intencin no determinada, institucin residencial"
"Y292" "Contacto traumtico con objeto romo o sin filo, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y293" "Contacto traumtico con objeto romo o sin filo, de intencin no determinada, reas de deporte y atletismo"
"Y294" "Contacto traumtico con objeto romo o sin filo, de intencin no determinada, calles y carreteras"
"Y295" "Contacto traumtico con objeto romo o sin filo, de intencin no determinada, comercio y rea de servicios"
"Y296" "Contacto traumtico con objeto romo o sin filo, de intencin no determinada, rea industrial y de la construccin"
"Y297" "Contacto traumtico con objeto romo o sin filo, de intencin no determinada, granja"
"Y298" "Contacto traumtico con objeto romo o sin filo, de intencin no determinada, otro lugar especificado"
"Y299" "Contacto traumtico con objeto romo o sin filo, de intencin no determinada, lugar no especificado"
"Y30" "Cada, salto o empujn desde lugar elevado, de intencin no determinada"
"Y300" "Cada, salto o empujn desde lugar elevado, de intencin no determinada, vivienda"
"Y301" "Cada, salto o empujn desde lugar elevado, de intencin no determinada, institucin residencial"
"Y302" "Cada, salto o empujn desde lugar elevado, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y303" "Cada, salto o empujn desde lugar elevado, de intencin no determinada, reas de deporte y atletismo"
"Y304" "Cada, salto o empujn desde lugar elevado, de intencin no determinada, calles y carreteras"
"Y305" "Cada, salto o empujn desde lugar elevado, de intencin no determinada, comercio y rea de servicios"
"Y306" "Cada, salto o empujn desde lugar elevado, de intencin no determinada, rea industrial y de la construccin"
"Y307" "Cada, salto o empujn desde lugar elevado, de intencin no determinada, granja"
"Y308" "Cada, salto o empujn desde lugar elevado, de intencin no determinada, otro lugar especificado"
"Y309" "Cada, salto o empujn desde lugar elevado, de intencin no determinada, lugar no especificado"
"Y31" "Cada, permanencia o carrera delante o hacia objeto en movimiento, de intencin no determinada"
"Y310" "Cada, permanencia o carrera delante o hacia objeto en movimiento, de intencin no determinada, vivienda"
"Y311" "Cada, permanencia o carrera delante o hacia objeto en movimiento, de intencin no determinada, institucin residencial"
"Y312" "Cada, permanencia o carrera delante o hacia objeto en movimiento, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y313" "Cada, permanencia o carrera delante o hacia objeto en movimiento, de intencin no determinada, reas de deporte y atletismo"
"Y314" "Cada, permanencia o carrera delante o hacia objeto en movimiento, de intencin no determinada, calles y carreteras"
"Y315" "Cada, permanencia o carrera delante o hacia objeto en movimiento, de intencin no determinada, comercio y rea de servicios"
"Y316" "Cada, permanencia o carrera delante o hacia objeto en movimiento, de intencin no determinada, rea industrial y de la construccin"
"Y317" "Cada, permanencia o carrera delante o hacia objeto en movimiento, de intencin no determinada, granja"
"Y318" "Cada, permanencia o carrera delante o hacia objeto en movimiento, de intencin no determinada, otro lugar especificado"
"Y319" "Cada, permanencia o carrera delante o hacia objeto en movimiento, de intencin no determinada, lugar no especificado"
"Y32" "Colisin de vehculo de motor, de intencin no determinada"
"Y320" "Colisin de vehculo de motor, de intencin no determinada, vivienda"
"Y321" "Colisin de vehculo de motor, de intencin no determinada, institucin residencial"
"Y322" "Colisin de vehculo de motor, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y323" "Colisin de vehculo de motor, de intencin no determinada, reas de deporte y atletismo"
"Y324" "Colisin de vehculo de motor, de intencin no determinada, calles y carreteras"
"Y325" "Colisin de vehculo de motor, de intencin no determinada, comercio y rea de servicios"
"Y326" "Colisin de vehculo de motor, de intencin no determinada, rea industrial y de la construccin"
"Y327" "Colisin de vehculo de motor, de intencin no determinada, granja"
"Y328" "Colisin de vehculo de motor, de intencin no determinada, otro lugar especificado"
"Y329" "Colisin de vehculo de motor, de intencin no determinada, lugar no especificado"
"Y33" "Otros eventos especificados, de intencin no determinada"
"Y330" "Otros eventos especificados, de intencin no determinada, vivienda"
"Y331" "Otros eventos especificados, de intencin no determinada, institucin residencial"
"Y332" "Otros eventos especificados, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y333" "Otros eventos especificados, de intencin no determinada, reas de deporte y atletismo"
"Y334" "Otros eventos especificados, de intencin no determinada, calles y carreteras"
"Y335" "Otros eventos especificados, de intencin no determinada, comercio y rea de servicios"
"Y336" "Otros eventos especificados, de intencin no determinada, rea industrial y de la construccin"
"Y337" "Otros eventos especificados, de intencin no determinada, granja"
"Y338" "Otros eventos especificados, de intencin no determinada, otro lugar especificado"
"Y339" "Otros eventos especificados, de intencin no determinada, lugar no especificado"
"Y34" "Evento no especificado, de intencin no determinada"
"Y340" "Evento no especificado, de intencin no determinada, vivienda"
"Y341" "Evento no especificado, de intencin no determinada, institucin residencial"
"Y342" "Evento no especificado, de intencin no determinada, escuelas, otras instituciones y reas administrativas pblicas"
"Y343" "Evento no especificado, de intencin no determinada, reas de deporte y atletismo"
"Y344" "Evento no especificado, de intencin no determinada, calles y carreteras"
"Y345" "Evento no especificado, de intencin no determinada, comercio y rea de servicios"
"Y346" "Evento no especificado, de intencin no determinada, rea industrial y de la construccin"
"Y347" "Evento no especificado, de intencin no determinada, granja"
"Y348" "Evento no especificado, de intencin no determinada, otro lugar especificado"
"Y349" "Evento no especificado, de intencin no determinada, lugar no especificado"
"Y35" "Intervencin legal"
"Y350" "Intervencin legal con disparo de arma de fuego"
"Y351" "Intervencin legal con explosivos"
"Y352" "Intervencin legal con gas"
"Y353" "Intervencin legal con objetos romos o sin filo"
"Y354" "Intervencin legal con objetos cortantes"
"Y355" "Ejecucin legal"
"Y356" "Intervencin legal con otros medios especificados"
"Y357" "Intervencin legal, medios no especificados"
"Y36" "Operaciones de guerra"
"Y360" "Operaciones de guerra con explosin de armamento naval"
"Y361" "Operaciones de guerra con destruccin de aeronave"
"Y362" "Operaciones de guerra con otras explosiones y esquirlas"
"Y363" "Operaciones de guerra con fuego y sustancias incendiarias y calientes"
"Y364" "Operaciones de guerra con disparo de arma de fuego y otras formas de guerra convencional"
"Y365" "Operaciones de guerra con armas nucleares"
"Y366" "Operaciones de guerra con armas biolgicas"
"Y367" "Operaciones de guerra con armas qumicas y otras formas de guerra no convencional"
"Y368" "Operaciones de guerra que ocurren despus del cese de hostilidades"
"Y369" "Operacin de guerra no especificada"
"Y40" "Efectos adversos de antibiticos sistmicos"
"Y400" "Efectos adversos de penicilinas"
"Y401" "Efectos adversos de cefalosporinas y otros antibiticos beta-lactmicos"
"Y402" "Efectos adversos del grupo de cloramfenicol"
"Y403" "Efectos adversos de los macrlidos"
"Y404" "Efectos adversos de tetraciclinas"
"Y405" "Efectos adversos de aminoglucsidos"
"Y406" "Efectos adversos de rifamicinas"
"Y407" "Efectos adversos de antibiticos antimicticos usados sistmicamente"
"Y408" "Efectos adversos de otros antibiticos sistmicos"
"Y409" "Efectos adversos de antibitico sistmico no especificado"
"Y41" "Efectos adversos de otros antiinfecciosos y antiparasitarios sistmicos"
"Y410" "Efectos adversos de sulfonamidas"
"Y411" "Efectos adversos de drogas antimicobacterianas"
"Y412" "Efectos adversos de  drogas antipaldicas y agentes que actan sobre otros protozoarios de la sangre"
"Y413" "Efectos adversos de otras drogas antiprotozoarias"
"Y414" "Efectos adversos de antihelmnticos"
"Y415" "Efectos adversos de drogas antivirales"
"Y418" "Efectos adversos de  otros antiinfecciosos y antiparastarios sistmicos  especificados"
"Y419" "Efectos adversos de  antiinfecciosos y antiparasitarios sistmicos no especificados"
"Y42" "Efectos adversos de hormonas y sus sustitutos sintticos y antagonistas, no clasificados en otra parte"
"Y420" "Efectos adversos de  glucocorticoides y anlogos sintticos"
"Y421" "Efectos adversos de hormonas tiroideas y sustitutos"
"Y422" "Efectos adversos de drogas antitiroideas"
"Y423" "Efectos adversos de  drogas hipoglucemiantes orales e insulina [antidiabticas]"
"Y424" "Efectos adversos de anticonceptivos orales"
"Y425" "Efectos adversos de otros estrgenos y progestgenos"
"Y426" "Efectos adversos de  antigonadotropinas, antiestrgenos y antiandrgenos, no clasificados en otra parte"
"Y427" "Efectos adversos de  andrgenos y congneres anablicos"
"Y428" "Efectos adversos de  otras hormonas y sus sustitutos sintticos  y las no especificadas"
"Y429" "Efectos adversos de  otras hormonas antagonistas y las no especificadas"
"Y43" "Efectos adversos de agentes sistmicos primarios"
"Y430" "Efectos adversos de antialrgicos y antiemticos"
"Y431" "Efectos adversos de antimetabolitos antineoplsicos"
"Y432" "Efectos adversos de productos naturales antineoplsicos"
"Y433" "Efectos adversos de otras drogas antineoplsicas"
"Y434" "Efectos adversos de agentes inmunosupresores"
"Y435" "Efectos adversos de agentes acidificantes y alcalinizantes"
"Y436" "Efectos adversos de enzimas no clasificadas en otra parte"
"Y438" "Efectos adversos de otros agentes sistmicos primarios no clasificados en otra parte"
"Y439" "Efectos adversos de agente sistmico primario no especificado"
"Y44" "Efectos adversos de agentes que afectan primariamente los constituyentes de la sangre"
"Y440" "Efectos  adversos de preparaciones con hierro y otros preparados contra la anemia hipocrmica"
"Y441" "Efectos adversos de vitamina  B12,  cido flico y otros preparados contra la anemia megaloblstica"
"Y442" "Efectos adversos de anticoagulantes"
"Y443" "Efectos adversos de antagonistas de anticoagulantes, vitamina K y otros coagulantes"
"Y444" "Efectos adversos de drogas antitrombticas [inhibidoras de la agregacin plaquetaria]"
"Y445" "Efectos adversos de drogas trombolticas"
"Y446" "Efectos adversos de sangre natural y productos sanguneos"
"Y447" "Efectos adversos de los sustitutos del plasma"
"Y449" "Efectos adversos de otros agentes que afectan los constituyentes de la sangre, y los no especificados"
"Y45" "Efectos adversos de drogas analgsicas, antipirticas y antiinflamatorias"
"Y450" "Efectos adversos de opiceos y analgsicos  relacionados"
"Y451" "Efectos adversos de salicilatos"
"Y452" "Efectos adversos de derivados del cido propinico"
"Y453" "Efectos adversos de  otras drogas antiinflamatorias  no esteroides [DAINE]"
"Y454" "Efectos adversos de los antirreumticos"
"Y455" "Efectos adversos de los derivados del 4-aminofenol"
"Y458" "Efectos adversos de otros analgsicos y antipirticos"
"Y459" "Efectos adversos de  drogas analgsicas, antipirticas y antiinflamatorias no especificadas"
"Y46" "Efectos adversos de drogas antiepilpticas y antiparkinsonianas"
"Y460" "Efectos adversos de succinamidas"
"Y461" "Efectos adversos de oxazolidinadionas"
"Y462" "Efectos adversos de derivados de la hidantona"
"Y463" "Efectos adversos de desoxibarbitricos"
"Y464" "Efectos adversos de iminoestilbenos"
"Y465" "Efectos adversos del cido valproico"
"Y466" "Efectos adversos de otros antiepilpticos, y los no especificados"
"Y467" "Efectos adversos de drogas antiparkinsonianas"
"Y468" "Efectos adversos de drogas antiespsticas"
"Y47" "Efectos adversos de drogas sedantes, hipnticas y ansiolticas"
"Y470" "Efectos adversos de barbitricos, no clasificados en otra parte"
"Y471" "Efectos adversos de benzodiazepinas"
"Y472" "Efectos adversos de derivados clorales"
"Y473" "Efectos adversos de paraldehdo"
"Y474" "Efectos adversos de compuestos del bromo"
"Y475" "Efectos adversos de mezclas sedantes e hipnticas, no clasificados en otra parte"
"Y478" "Efectos adversos de otras drogas sedantes, hipnticas y ansiolticas"
"Y479" "Efectos adversos de  drogas sedantes, hipnticas y ansiolticas no especificadas"
"Y48" "Efectos adversos de gases anestsicos y teraputicos"
"Y480" "Efectos adversos de gases anestsicos por inhalacin"
"Y481" "Efectos adversos de gases anestsicos parenterales"
"Y482" "Efectos adversos de otros gases anestsicos generales, y los no especificados"
"Y483" "Efectos adversos de gases anestsicos locales"
"Y484" "Efectos adversos de anestsicos no especificados"
"Y485" "Efectos adversos de gases teraputicos"
"Y49" "Efectos adversos de drogas psicotrpicas no especificadas en otra parte"
"Y490" "Efectos adversos de antidepresivos tricclicos y tetracclicos"
"Y491" "Efectos adversos de antidepresivos inhibidores de la monoaminooxidasa"
"Y492" "Efectos adversos de otros antidepresivos, y los no especificados"
"Y493" "Efectos adversos de antipsicticos y neurolpticos fenotiaznicos"
"Y494" "Efectos adversos de neurolpticos de la butirofenona y tioxantina"
"Y495" "Efectos adversos de otros antipsicticos y neurolpticos"
"Y496" "Efectos adversos de psicodislpticos [alucingenos]"
"Y497" "Efectos adversos de psicoestimulantes con abuso potencial"
"Y498" "Efectos adversos de otras drogas psicotrpicas,  no clasificadas en otra parte"
"Y499" "Efectos adversos de drogas psicotrpicas no especificadas"
"Y50" "Efectos adversos de estimulantes del sistema nervioso central, no clasificados en otra parte"
"Y500" "Efectos adversos de analpticos"
"Y501" "Efectos adversos de antagonistas de opiceos"
"Y502" "Efectos adversos de metilxantinas, no clasificados en otra parte"
"Y508" "Efectos adversos de otros estimulantes del sistema nervioso central"
"Y509" "Efectos adversos de  estimulante no especificado del sistema nervioso central"
"Y51" "Efectos adversos de drogas que afectan primariamente el sistema nervioso autnomo"
"Y510" "Efectos adversos de agentes anticolinesterasa"
"Y511" "Efectos adversos de  otros parasimpaticomimticos [colinrgicos]"
"Y512" "Efectos adversos de  drogas bloqueadoras ganglionares, no clasificadas en otra parte"
"Y513" "Efectos adversos de  parasimpaticolticos [anticolinrgicos y antimuscarnicos] y espasmolticos, no clasificados en otra parte"
"Y514" "Efectos adversos de  agonistas [estimulantes] predominantemente alfa-adrenrgicos, no clasificados en otra parte"
"Y515" "Efectos adversos de  agonistas [estimulantes] predominantemente beta-adrenrgicos, no clasificados en otra parte"
"Y516" "Efectos adversos de  antagonistas [bloqueadores] alfa-adrenrgicos, no clasificados en otra parte"
"Y517" "Efectos adversos de  antagonistas  [bloqueadores] beta-adrenrgicos, no clasificados en otra parte"
"Y518" "Efectos adversos de  agentes bloqueadores neuro-adrenrgicos que actan centralmente, no clasificados en otra parte"
"Y519" "Efectos adversos  otras drogas que afectan primariamente el sistema nervioso autnomo, y las no especificadas"
"Y52" "Efectos adversos de agentes que afectan primariamente el sistema cardiovascular"
"Y520" "Efectos adversos de glucsidos cardiotnicos y drogas de accin similar"
"Y521" "Efectos  adversos de bloqueadores del canal del calcio"
"Y522" "Efectos adversos de otras drogas antiarrtmicas, no clasificadas en otra parte"
"Y523" "Efectos adversos  de vasodilatadores coronarios, no clasificados en otra parte"
"Y524" "Efectos adversos  de inhibidores de enzima convertidora angiotensina"
"Y525" "Efectos adversos  de otras drogas antihipertencivas, no clasificadas en otra parte"
"Y526" "Efectos adversos  de drogas antihiperlipidmicas y antiarteriosclerticas"
"Y527" "Efectos adversos  de vasodilatadores perifricos"
"Y528" "Efectos adversos  de drogas antivaricosas, inclusive agentes esclerosantes"
"Y529" "Efectos adversos  otros agentes que afectan primariamente el sistema cardiovascular, y los no especificados"
"Y53" "Efectos adversos de agentes que afectan primariamente el sistema gastrointestinal"
"Y530" "Efectos adversos  de bloqueadores de los receptores H2 de histamina"
"Y531" "Efectos adversos  otras drogas anticidas e inhibidoras de la secrecin gstrica"
"Y532" "Efectos adversos  de laxantes estimulantes"
"Y533" "Efectos adversos  de laxantes salinos y osmticos"
"Y534" "Efectos adversos  de otros laxantes"
"Y535" "Efectos adversos de digestivos"
"Y536" "Efectos adversos de drogas antidiarreicas"
"Y537" "Efectos adversos de emticos"
"Y538" "Efectos adversos de otros agentes que afectan primariamente al sistema gastrointestinal"
"Y539" "Efectos adversos de otros agentes que afectan el sistema gastrointestinal, no especificados"
"Y54" "Efectos adversos de agentes que afectan primariamente el equilibrio hdrico y el metabolismo mineral y del cido rico"
"Y540" "Efectos adversos de mineralocorticoides"
"Y541" "Efectos adversos de los bloqueadores de mineralocorticoides [antagonistas de la aldosterona]"
"Y542" "Efectos adversos de los inhibidores de la anhidrasa carbnica"
"Y543" "Efectos adversos de los derivados de la benzotiadiazina"
"Y544" "Efectos adversos de diurticos de asa [high-ceiling]"
"Y545" "Efectos adversos de otros diurticos"
"Y546" "Efectos adversos de agentes electrolticos, calricos y del equilibrio hdrico"
"Y547" "Efectos adversos de agentes que afectan la calcificacin"
"Y548" "Efectos adversos de agentes que afectan el metabolismo del cido rico"
"Y549" "Efectos adversos de sales minerales, no clasificadas en otra parte"
"Y55" "Efectos adversos de agentes que actan primariamente sobre los msculos lisos y estriados y sobre el sistema respiratorio"
"Y550" "Efectos adversos de drogas oxitcicas"
"Y551" "Efectos adversos  relajantes de los msculos estriados [agentes bloqueadores neuromusculares]"
"Y552" "Efectos adversos  de otros agentes que actan primariamente sobre los msculos, y los no especificados"
"Y553" "Efectos adversos  de antitusgenos"
"Y554" "Efectos adversos  de expectorantes"
"Y555" "Efectos adversos  drogas contra el resfriado comn"
"Y556" "Efectos adversos  de antiasmticos, no clasificados en otra parte"
"Y557" "Efectos adversos de otros agentes que actan primariamente sobre el sistema respiratorio, y los no especificados"
"Y56" "Efectos adversos de agentes tpicos que afectan primariamente la piel y las membranas mucosas, y drogas oftalmolgicas, otorrinolaringolgicas y dentales"
"Y560" "Efectos adversos  drogas antimicticas, antiinfecciosas, y antiinflamatorias de uso local, no clasificadas en otra parte"
"Y561" "Efectos adversos de antipruriginosos"
"Y562" "Efectos adversos  de astringentes y detergentes locales"
"Y563" "Efectos adversos  de emolientes, demulcentes y protectores"
"Y564" "Efectos adversos de drogas y  preparados queratolticos, queratoplsticos y otros para el tratamiento del cabello"
"Y565" "Efectos adversos  de drogas y preparados oftalmolgicos"
"Y566" "Efectos adversos  de drogas y preparados otorrinolaringolgicos"
"Y567" "Efectos adversos  drogas dentales, de aplicacin tpica"
"Y568" "Efectos adversos  de otros agentes tpicos"
"Y569" "Efectos adversos  de otros agentes tpicos no especificados"
"Y57" "Efectos adversos de otras drogas y medicamentos, y los no especificados"
"Y570" "Efectos adversos de depresores del apetito [anorxicos]"
"Y571" "Efectos adversos de drogas lipotrpicas"
"Y572" "Efectos adversos de antdotos y agentes quelantes, no clasificados en otra parte"
"Y573" "Efectos adversos de disuasivos del alcohol"
"Y574" "Efectos adversos de excipientes farmacuticos"
"Y575" "Efectos adversos de medios de contraste para rayos X"
"Y576" "Efectos adversos de otros agentes diagnsticos"
"Y577" "Efectos adversos de vitaminas, no clasificadas en otra parte"
"Y578" "Efectos adversos de otras drogas y medicamentos"
"Y579" "Efectos adversos de drogas o medicamentos no especificados"
"Y58" "Efectos adversos de vacunas bacterianas"
"Y580" "Efectos adversos de la vacuna BCG"
"Y581" "Efectos adversos de la vacuna tifoidea y paratifoidea"
"Y582" "Efectos adversos de la vacuna contra el clera"
"Y583" "Efectos adversos de la vacuna contra la peste"
"Y584" "Efectos adversos de la vacuna contra el ttanos"
"Y585" "Efectos adversos de la vacuna contra la difteria"
"Y586" "Efectos adversos de la vacuna contra tos ferina, inclusive combinaciones  con componente pertusis"
"Y588" "Efectos adversos de vacunas bacterianas mixtas, excepto combinaciones con un componente pertusis"
"Y589" "Efectos adversos de otras vacunas bacterianas, y las no especificadas"
"Y59" "Efectos adversos de otras vacunas y sustancias biolgicas, y las no especificadas"
"Y590" "Efectos adversos de vacunas virales"
"Y591" "Efectos adversos de vacunas contra rickettssias"
"Y592" "Efectos adversos de vacunas antiprotozoarias"
"Y593" "Efectos adversos de la inmunoglobulina"
"Y598" "Efectos adversos de otras vacunas y sustancias biolgicas especificadas"
"Y599" "Efectos adversos de vacunas o sustancias biolgicas no especificadas"
"Y60" "Corte, puncin, perforacin o hemorragia no intencional durante la atencin mdica y quirrgica"
"Y600" "Incidente durante operacin quirrgica"
"Y601" "Incidente durante infusin o transfusin"
"Y602" "Incidente durante dilisis renal u otra perfucin"
"Y603" "Incidente durante inyeccin o inmunizacin"
"Y604" "Incidente durante examen endoscpico"
"Y605" "Incidente durante cateterizacin cardaca"
"Y606" "Incidente durante aspiracin, puncin y otra cateterizacin"
"Y607" "Incidente durante administracin de enema"
"Y608" "Incidente durante otras atenciones mdicas y quirrgicas"
"Y609" "Incidente durante atencin mdica y quirrgica no especificada"
"Y61" "Objeto extrao dejado accidentalmente en el cuerpo durante la atencin mdica y quirrgica"
"Y610" "Objeto extrao dejado accidentalmente en el cuerpo durante operacin quirrgica"
"Y611" "Objeto extrao dejado accidentalmente en el cuerpo durante infusin o transfusin"
"Y612" "Objeto extrao dejado accidentalmente en el cuerpo durante dilisis renal u otra perfusin"
"Y613" "Objeto extrao dejado accidentalmente en el cuerpo durante inyeccin o inmunizacin"
"Y614" "Objeto extrao dejado accidentalmente en el cuerpo durante examen endoscpico"
"Y615" "Objeto extrao dejado accidentalmente en el cuerpo durante cateterizacin cardaca"
"Y616" "Objeto extrao dejado accidentalmente en el cuerpo durante aspiracin, puncin y otra cateterizacin"
"Y617" "Objeto extrao dejado accidentalmente en el cuerpo durante remocin de catter o taponamiento"
"Y618" "Objeto extrao dejado accidentalmente en el cuerpo durante otras atenciones mdicas y quirrgicas"
"Y619" "Objeto extrao dejado accidentalmente en el cuerpo durante atencin mdica y quirrgica no especificada"
"Y62" "Fallas en la esterilizacin durante la atencin mdica y quirrgica"
"Y620" "Fallas en la esterilizacin durante operacin quirrgica"
"Y621" "Fallas en la esterilizacin durante infusin o transfusin"
"Y622" "Fallas en la esterilizacin durante dilisis renal u otra perfusin"
"Y623" "Fallas en la esterilizacin durante inyeccin o inmunizacin"
"Y624" "Fallas en la esterilizacin durante examen endoscpico"
"Y625" "Fallas en la esterilizacin durante cateterizacin cardaca"
"Y626" "Fallas en la esterilizacin durante aspiracin, puncin y otra cateterizacin"
"Y628" "Fallas en la esterilizacin durante otras atenciones mdicas y quirrgicas"
"Y629" "Fallas en la esterilizacin durante atencin mdica y quirrgica no especificada"
"Y63" "Falla en la dosificacin durante la atencin mdica y quirrgica"
"Y630" "Excesiva cantidad de sangre u otro lquido administrado durante una infusin o transfusin"
"Y631" "Dilucin incorrecta de lquido durante una infusin"
"Y632" "Sobredosis de radiacin administrada durante terapia"
"Y633" "Exposicin inadvertida del paciente a radiacin durante atencin mdica"
"Y634" "Falla en la dosificacin en electrochoque o en choque insulnico"
"Y635" "Falla en el control de temperatura, en taponamientos y aplicaciones locales"
"Y636" "No administracin de drogas, medicamentos o sustancias biolgicas necesarias"
"Y638" "Falla en la dosificacin durante otras atenciones mdicas y quirrgicas"
"Y639" "Falla en la dosificacin durante atencin mdica y quirrgica no especificada"
"Y64" "Medicamentos o sustancias biolgicas contaminados"
"Y640" "Medicamento o sustancia biolgica contaminado en infusin o transfusin"
"Y641" "Medicamento o sustancia biolgica contaminado, inyectado o usado para inmunizacin"
"Y648" "Medicamento o sustancia biolgica contaminado, administrado por otros medios"
"Y649" "Medicamento o sustancia biolgica contaminado, administrado por medios no especificados"
"Y65" "Otros incidentes durante la atencin mdica y quirrgica"
"Y650" "Sangre incompatible usada en transfusin"
"Y651" "Lquido errneo usado en infusin"
"Y652" "Falla en la sutura o ligadura durante operacin quirrgica"
"Y653" "Tubo endotraqueal colocado errneamente durante procedimiento anestsico"
"Y654" "Falla en la introduccin o remocin de otro tubo o instrumento"
"Y655" "Realizacin de una operacin inadecuada"
"Y658" "Otros incidentes especificados durante la atencin mdica y quirrgica"
"Y66" "No administracin de la atencin mdica y quirrgica"
"Y69" "Incidentes no especificados durante la atencin mdica y quirrgica"
"Y70" "Dispositivos de anestesiologa asociados con incidentes adversos"
"Y700" "Dispositivos de anestesiologa asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y701" "Dispositivos de anestesiologa asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y702" "Dispositivos de anestesiologa asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y703" "Dispositivos de anestesiologa asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y708" "Dispositivos de anestesiologa asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y71" "Dispositivos cardiovasculares asociados con incidentes adversos"
"Y710" "Dispositivos cardiovasculares asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y711" "Dispositivos cardiovasculares asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y712" "Dispositivos cardiovasculares asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y713" "Dispositivos cardiovasculares asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y718" "Dispositivos cardiovasculares asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y72" "Dispositivos otorrinolaringolgicos asociados con incidentes adversos"
"Y720" "Dispositivos otorrinolaringolgicos asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y721" "Dispositivos otorrinolaringolgicos asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y722" "Dispositivos otorrinolaringolgicos asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y723" "Dispositivos otorrinolaringolgicos asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y728" "Dispositivos otorrinolaringolgicos asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y73" "Dispositivos de gastroenterologa y urologa asociados con incidentes adversos"
"Y730" "Dispositivos de gastroenterologa y urologa asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y731" "Dispositivos de gastroenterologa y urologa asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y732" "Dispositivos de gastroenterologa y urologa asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y733" "Dispositivos de gastroenterologa y urologa asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y738" "Dispositivos de gastroenterologa y urologa asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y74" "Dispositivos para uso hospitalario general y personal asociados con incidentes adversos"
"Y740" "Dispositivos para uso hospitalario general y personal asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y741" "Dispositivos para uso hospitalario general y personal asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y742" "Dispositivos para uso hospitalario general y personal asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y743" "Dispositivos para uso hospitalario general y personal asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y748" "Dispositivos para uso hospitalario general y personal asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y75" "Dispositivos neurolgicos asociados con incidentes adversos"
"Y750" "Dispositivos neurolgicos asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y751" "Dispositivos neurolgicos asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y752" "Dispositivos neurolgicos asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y753" "Dispositivos neurolgicos asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y758" "Dispositivos neurolgicos asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y76" "Dispositivos ginecolgicos y obsttricos asociados con incidentes adversos"
"Y760" "Dispositivos ginecolgicos y obsttricos asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y761" "Dispositivos ginecolgicos y obsttricos asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y762" "Dispositivos ginecolgicos y obsttricos asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y763" "Dispositivos ginecolgicos y obsttricos asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y768" "Dispositivos ginecolgicos y obsttricos asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y77" "Dispositivos oftlmicos asociados con incidentes adversos"
"Y770" "Dispositivos oftlmicos asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y771" "Dispositivos oftlmicos asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y772" "Dispositivos oftlmicos asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y773" "Dispositivos oftlmicos asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y778" "Dispositivos oftlmicos asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y78" "Aparatos radiolgicos asociados con incidentes adversos"
"Y780" "Aparatos radiolgicos asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y781" "Aparatos radiolgicos asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y782" "Aparatos radiolgicos asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y783" "Aparatos radiolgicos asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y788" "Aparatos radiolgicos asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y79" "Dispositivos ortopdicos asociados con incidentes adversos"
"Y790" "Dispositivos ortopdicos asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y791" "Dispositivos ortopdicos asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y792" "Dispositivos ortopdicos asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y793" "Dispositivos ortopdicos asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y798" "Dispositivos ortopdicos asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y80" "Aparatos de medicina fsica asociados con incidentes adversos"
"Y800" "Aparatos de medicina fsica asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y801" "Aparatos de medicina fsica asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y802" "Aparatos de medicina fsica asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y803" "Aparatos de medicina fsica asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y808" "Aparatos de medicina fsica asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y81" "Dispositivos de ciruga general y plstica asociados con incidentes adversos"
"Y810" "Dispositivos de ciruga general y plstica asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y811" "Dispositivos de ciruga general y plstica asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y812" "Dispositivos de ciruga general y plstica asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y813" "Dispositivos de ciruga general y plstica asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y818" "Dispositivos de ciruga general y plstica asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y82" "Otros dispositivos mdicos, y los no especificados, asociados con incidentes adversos"
"Y820" "Otros dispositivos mdicos, y los no especificados, asociados con incidentes adversos, dispositivos de diagnstico y monitoreo"
"Y821" "Otros dispositivos mdicos, y los no especificados, asociados con incidentes adversos, dispositivos teraputicos (no quirrgicos) y de rehabilitacin"
"Y822" "Otros dispositivos mdicos, y los no especificados, asociados con incidentes adversos, dispositivos protsicos y otros implantes, materiales y accesorios"
"Y823" "Otros dispositivos mdicos, y los no especificados, asociados con incidentes adversos, instrumentos quirrgicos, dispositivos y materiales (inclusive suturas)"
"Y828" "Otros dispositivos mdicos, y los no especificados, asociados con incidentes adversos, dispositivos diversos, no clasificados en otra parte"
"Y83" "Ciruga y otros procedimientos quirrgicos como la causa de reaccin anormal del paciente o de complicacin posterior, sin mencin de incidente en el momento de efectuar el procedimiento"
"Y830" "Operacin quirrgica con trasplante de un rgano completo"
"Y831" "Operacin quirrgica con implante de un dispositivo artificial interno"
"Y832" "Operacin quirrgica con anastomosis, derivacin o injerto"
"Y833" "Operacin quirrgica con formacin de estoma externo"
"Y834" "Otra ciruga reconstructiva"
"Y835" "Amputacin de miembro(s)"
"Y836" "Remocin de otro rgano (parcial) (total)"
"Y838" "Otros procedimientos quirrgicos"
"Y839" "Procedimiento quirrgico no especificado"
"Y84" "Otros procedimientos mdicos como la causa de reaccin anormal del paciente o de complicacin posterior, sin mencin de incidente en el momento de efectuar el procedimiento"
"Y840" "Cateterizacin cardaca"
"Y841" "Dilisis renal"
"Y842" "Procedimiento radiolgico y radioterapia"
"Y843" "Terapia por choque"
"Y844" "Aspiracin de lquidos"
"Y845" "Insercin de sonda gstrica o duodenal"
"Y846" "Cateterizacin urinaria"
"Y847" "Muestra de sangre"
"Y848" "Otros procedimientos mdicos"
"Y849" "Procedimiento mdico no especificado"
"Y85" "Secuelas de accidentes de transporte"
"Y850" "Secuelas de accidente de vehculo de motor"
"Y859" "Secuelas de otros accidentes de transporte, y los no especificados"
"Y86" "Secuelas de otros accidentes"
"Y87" "Secuelas de lesiones autoinfligidas intencionalmente, agresiones y eventos de intencin no determinada"
"Y870" "Secuelas de lesiones autoinfligidas"
"Y871" "Secuelas de agresiones"
"Y872" "Secuelas de eventos de intencin no determinada"
"Y88" "Secuelas con atencin mdica y quirrgica como causa externa"
"Y880" "Secuelas de efectos adversos causados por drogas, medicamentos y sustancias biolgicas en su uso teraputico"
"Y881" "Secuelas de incidentes ocurridos al paciente durante procedimientos mdicos y quirrgicos"
"Y882" "Secuelas de incidentes adversos asociados con dispositivos mdicos en uso diagnstico y  teraputico"
"Y883" "Secuelas de procedimientos mdicos y quirrgicos como la causa de reaccin anormal del paciente o de complicacin posterior, sin mencin de incidente en el momento de efectuar el procedimiento"
"Y89" "Secuelas de otras causas externas"
"Y890" "Secuelas de intervencin legal"
"Y891" "Secuelas de operaciones de guerra"
"Y899" "Secuelas de causa externa no especificada"
"Y90" "Evidencia de alcoholismo determinada por el nivel de alcohol en la sangre"
"Y900" "Nivel de alcohol en la sangre menor de 20 mg/100 ml"
"Y901" "Nivel de alcohol en la sangre de 20 a 39 mg/100 ml"
"Y902" "Nivel de alcohol en la sangre de 40 a 59 mg/100 ml"
"Y903" "Nivel de alcohol en la sangre de 60 a 79 mg/100 ml"
"Y904" "Nivel de alcohol en la sangre de 80 a 99 mg/100 ml"
"Y905" "Nivel de alcohol en la sangre de 100 a 119 mg/100 ml"
"Y906" "Nivel de alcohol en la sangre de 120 a 199 mg/100 ml"
"Y907" "Nivel de alcohol en la sangre de 200 a 239 mg/100 ml"
"Y908" "Nivel de alcohol en la sangre de 240 mg/100 ml o ms"
"Y909" "Presencia de alcohol en la sangre, nivel no especificado"
"Y91" "Evidencia de alcoholismo determinada por el nivel de intoxicacin"
"Y910" "Intoxicacin alcohlica leve"
"Y911" "Intoxicacin alcohlica moderada"
"Y912" "Intoxicacin alcohlica severa"
"Y913" "Intoxicacin alcohlica muy severa"
"Y919" "Alcoholismo, nivel de intoxicacin no especificado"
"Y95" "Afeccin nosocomial"
"Y96" "Afeccin relacionada con el trabajo"
"Y97" "Afeccin relacionada con la contaminacin ambiental"
"Y98" "Afeccin relacionada con el estilo de vida"
"Z00" "Examen general e investigacin de personas sin quejas o sin diagnstico informado"
"Z000" "Examen mdico general"
"Z001" "Control de salud de rutina del nio"
"Z002" "Examen durante el perodo de crecimiento rpido en la infancia"
"Z003" "Examen del estado de desarrollo del adolescente"
"Z004" "Examen psiquitrico general, no clasificado en otra parte"
"Z005" "Examen de donante potencial de rgano o tejido"
"Z006" "Examen para comparacin y control normales en programa de investigacin clnica"
"Z008" "Otros exmenes generales"
"Z01" "Otros exmenes especiales e investigaciones en personas sin quejas o sin diagnstico informado"
"Z010" "Examen de ojos y de la visin"
"Z011" "Examen de odos y de la audicin"
"Z012" "Examen odontolgico"
"Z013" "Examen de la presin sangunea"
"Z014" "Examen ginecolgico (general) (de rutina)"
"Z015" "Pruebas de sensibilizacin y diagnstico cutneo"
"Z016" "Examen radiolgico, no clasificado en otra parte"
"Z017" "Examen de laboratorio"
"Z018" "Otros exmenes especiales especificados"
"Z019" "Examen especial no especificado"
"Z02" "Exmenes y contactos para fines administrativos"
"Z020" "Examen para admisin a instituciones educativas"
"Z021" "Examen preempleo"
"Z022" "Examen para admisin a instituciones residenciales"
"Z023" "Examen para reclutamiento en las fuerzas armadas"
"Z024" "Examen para obtencin de licencia de conducir"
"Z025" "Examen para participacin en competencias deportivas"
"Z026" "Examen para fines de seguros"
"Z027" "Extensin de certificado mdico"
"Z028" "Otros exmenes para fines administrativos"
"Z029" "Examen para fines administrativos, no especificado"
"Z03" "Observacin y evaluacin mdicas por sospecha de enfermedades y afecciones"
"Z030" "Observacin por sospecha de tuberculosis"
"Z031" "Observacin por sospecha de tumor maligno"
"Z032" "Observacin por sospecha de trastorno mental y del comportamiento"
"Z033" "Observacin por sospecha de trastorno del sistema nervioso"
"Z034" "Observacin por sospecha de infarto de miocardio"
"Z035" "Observacin por sospecha de otras enfermedades cardiovasculares"
"Z036" "Observacin por sospecha de efectos txicos de sustancias ingeridas"
"Z038" "Observacin por sospecha de otras enfermedades y afecciones"
"Z039" "Observacin por sospecha de enfermedad o afeccin no especificada"
"Z04" "Examen y observacin por otras razones"
"Z040" "Prueba de alcohol o drogas en la sangre"
"Z041" "Examen y observacin consecutivos a accidente de transporte"
"Z042" "Examen y observacin consecutivos a accidente de trabajo"
"Z043" "Examen y observacin consecutivos a otro accidente"
"Z044" "Examen y observacin consecutivos a denuncia de violacin y seduccin"
"Z045" "Examen y observacin consecutivos a otra lesin infligida"
"Z046" "Examen psiquitrico general, solicitado por una autoridad"
"Z048" "Examen y observacin por otras razones especificadas"
"Z049" "Examen y observacin por razones no especificadas"
"Z08" "Examen de seguimiento consecutivo al tratamiento por tumor maligno"
"Z080" "Examen de seguimiento consecutivo a ciruga por tumor maligno"
"Z081" "Examen de seguimiento consecutivo a radioterapia por tumor maligno"
"Z082" "Examen de seguimiento consecutivo a quimioterapia por tumor maligno"
"Z087" "Examen de seguimiento consecutivo a tratamiento combinado por tumor maligno"
"Z088" "Examen de seguimiento consecutivo a otro tratamiento por tumor maligno"
"Z089" "Examen de seguimiento consecutivo a tratamiento no especificado por tumor maligno"
"Z09" "Examen de seguimiento consecutivo a tratamiento por otras afecciones diferentes a tumores malignos"
"Z090" "Examen de seguimiento consecutivo a ciruga por otras afecciones"
"Z091" "Examen de seguimiento consecutivo a radioterapia por otras afecciones"
"Z092" "Examen de seguimiento consecutivo a quimioterapia por otras afecciones"
"Z093" "Examen de seguimiento consecutivo a psicoterapia"
"Z094" "Examen de seguimiento consecutivo a tratamiento de fractura"
"Z097" "Examen de seguimiento consecutivo a tratamiento combinado por otras afecciones"
"Z098" "Examen de seguimiento consecutivo a otro tratamiento por otras afecciones"
"Z099" "Examen de seguimiento consecutivo a tratamiento no especificado por otras afecciones"
"Z10" "Control general de salud de rutina de subpoblaciones definidas"
"Z100" "Examen de salud ocupacional"
"Z101" "Control general de salud de rutina de residentes de instituciones"
"Z102" "Control general de salud de rutina a miembros de las fuerzas armadas"
"Z103" "Control general de salud de rutina a integrantes de equipos deportivos"
"Z108" "Otros controles generales de salud de rutina de otras subpoblaciones definidas"
"Z11" "Examen de pesquisa especial para enfermedades infecciosas y parasitarias"
"Z110" "Examen de pesquisa especial para enfermedades infecciosas intestinales"
"Z111" "Examen de pesquisa especial para tuberculosis respiratoria"
"Z112" "Examen de pesquisa especial para otras enfermedades bacterianas"
"Z113" "Examen de pesquisa especial para infecciones de transmisin predominantemente sexual"
"Z114" "Examen de pesquisa especial para el virus de la inmunodeficiencia humana [VIH]"
"Z115" "Examen de pesquisa especial para otras enfermedades virales"
"Z116" "Examen de pesquisa especial para otras enfermedades debidas a protozoarios y helmintos"
"Z118" "Examen de pesquisa especial para otras enfermedades infecciosas y parasitarias especificadas"
"Z119" "Examen de pesquisa especial para enfermedades infecciosas y parasitarias no especificadas"
"Z12" "Examen de pesquisa especial para tumores"
"Z120" "Examen de pesquisa especial para tumor de estmago"
"Z121" "Examen de pesquisa especial para tumor del intestino"
"Z122" "Examen de pesquisa especial para tumores de rganos respiratorios"
"Z123" "Examen de pesquisa especial para tumor de la mama"
"Z124" "Examen de pesquisa especial para tumor del cuello uterino"
"Z125" "Examen de pesquisa especial para tumor de la prstata"
"Z126" "Examen de pesquisa especial para tumor de la vejiga"
"Z128" "Examen de pesquisa especial para tumores de otros sitios"
"Z129" "Examen de pesquisa especial para tumor de sitio no especificado"
"Z13" "Examen de pesquisa especial para otras enfermedades y trastornos"
"Z130" "Examen de pesquisa especial para enfermedades de la sangre y rganos hematopoyticos y ciertos trastornos del mecanismo de la inmunidad"
"Z131" "Examen de pesquisa especial para diabetes mellitus"
"Z132" "Examen de pesquisa especial para trastornos de la nutricin"
"Z133" "Examen de pesquisa especial para trastornos mentales y del comportamiento"
"Z134" "Examen de pesquisa especial para ciertos trastornos del desarrollo en el nio"
"Z135" "Examen de pesquisa especial para trastornos del ojo y del odo"
"Z136" "Examen de pesquisa especial para trastornos cardiovasculares"
"Z137" "Examen de pesquisa especial para malformaciones congnitas, deformidades y anomalas cromosmicas"
"Z138" "Examen de pesquisa especial para otras enfermedades y trastornos especificados"
"Z139" "Examen de pesquisa especial, no especificado"
"Z20" "Contacto con y exposicin a enfermedades transmisibles"
"Z200" "Contacto con y exposicin a enfermedades infecciosas intestinales"
"Z201" "Contacto con y exposicin a tuberculosis"
"Z202" "Contacto con y exposicin a enfermedades infecciosas con un modo de transmisin predominantemente sexual"
"Z203" "Contacto con y exposicin a rabia"
"Z204" "Contacto con y exposicin a rubola"
"Z205" "Contacto con y exposicin a hepatitis viral"
"Z206" "Contacto con y exposicin al virus de la inmunodeficiencia humana [VIH]"
"Z207" "Contacto con y exposicin a pediculosis, acariasis y otras infestaciones"
"Z208" "Contacto con y exposicin a otras enfermedades transmisibles"
"Z209" "Contacto con y exposicin a enfermedades transmisibles no especificadas"
"Z21" "Estado de infeccin asintomtica por el virus de la inmunodeficiencia humana [VIH]"
"Z22" "Portador de agente de enfermedad infecciosa"
"Z220" "Portador del agente de la fiebre tifoidea"
"Z221" "Portador de agentes de otras enfermedades infecciosas intestinales"
"Z222" "Portador del agente de la difteria"
"Z223" "Portador de agentes de otras enfermedades bacterianas especificadas"
"Z224" "Portador de agentes de enfermedades infecciosas con un modo de transmisin predominantemente sexual"
"Z225" "Portador de agentes de hepatitis viral"
"Z226" "Portador del virus humano T-linfotrpico tipo 1 [VHTL-1]"
"Z228" "Portador de agentes de otras enfermedades infecciosas"
"Z229" "Portador de  agente de enfermedad infecciosa no especificada"
"Z23" "Necesidad de inmunizacin contra enfermedad bacteriana nica"
"Z230" "Necesidad de inmunizacin slo contra el clera"
"Z231" "Necesidad de inmunizacin slo contra la tifoidea-paratifoidea [TAB]"
"Z232" "Necesidad de inmunizacin contra la tuberculosis [BCG]"
"Z233" "Necesidad de inmunizacin contra la peste"
"Z234" "Necesidad de inmunizacin contra la tularemia"
"Z235" "Necesidad de inmunizacin slo contra el ttanos"
"Z236" "Necesidad de inmunizacin slo contra la difteria"
"Z237" "Necesidad de inmunizacin slo contra la tos ferina"
"Z238" "Necesidad de inmunizacin slo contra otra enfermedad bacteriana"
"Z24" "Necesidad de inmunizacin contra ciertas enfermedades virales"
"Z240" "Necesidad de inmunizacin contra la poliomielitis"
"Z241" "Necesidad de inmunizacin contra la encefalitis viral transmitida por artrpodos"
"Z242" "Necesidad de inmunizacin contra la rabia"
"Z243" "Necesidad de inmunizacin contra la fiebre amarilla"
"Z244" "Necesidad de inmunizacin slo contra el sarampin"
"Z245" "Necesidad de inmunizacin slo contra la rubola"
"Z246" "Necesidad de inmunizacin contra la hepatitis viral"
"Z25" "Necesidad de inmunizacin contra otras enfermedades virales nicas"
"Z250" "Necesidad de inmunizacin slo contra la parotiditis"
"Z251" "Necesidad de inmunizacin contra la influenza [gripe]"
"Z258" "Necesidad de inmunizacin contra otras enfermedades virales nicas especificadas"
"Z26" "Necesidad de inmunizacin contra otras enfermedades infecciosas nicas"
"Z260" "Necesidad de inmunizacin contra la leishmaniasis"
"Z268" "Necesidad de inmunizacin contra otras enfermedades infecciosas nicas especificadas"
"Z269" "Necesidad de inmunizacin contra enfermedad infecciosa no especificada"
"Z27" "Necesidad de inmunizacin contra combinaciones de enfermedades infecciosas"
"Z270" "Necesidad de inmunizacin contra el clera y la tifoidea-paratifoidea [clera + TAB]"
"Z271" "Necesidad de inmunizacin contra difteria-pertussis-ttanos combinados [DPT]"
"Z272" "Necesidad de inmunizacin contra difteria-pertussis-ttanos y tifoidea-paratifoidea [DPT + TAB]"
"Z273" "Necesidad de inmunizacin contra difteria-pertussis-ttanos y poliomielitis [DPT + polio]"
"Z274" "Necesidad de inmunizacin contra sarampin-parotiditis-rubola- [SPR] [MMR]"
"Z278" "Necesidad de inmunizacin contra otras combinaciones de enfermedades infecciosas"
"Z279" "Necesidad de inmunizacin contra combinaciones no especificadas de enfermedades infecciosas"
"Z28" "Inmunizacin no realizada"
"Z280" "Inmunizacin no realizada por contraindicacin"
"Z281" "Inmunizacin no realizada por decisin del paciente, por motivos de creencia o presin de grupo"
"Z282" "Inmunizacin no realizada por decisin del paciente, por otras razones y las no especificadas"
"Z288" "Inmunizacin no realizada por otras razones"
"Z289" "Inmunizacin no realizada por razn no especificada"
"Z29" "Necesidad de otras medidas profilcticas"
"Z290" "Aislamiento"
"Z291" "Inmunoterapia profilctica"
"Z292" "Otra quimioterapia profilctica"
"Z298" "Otras medidas profilcticas especificadas"
"Z299" "Medida profilctica no especificada"
"Z30" "Atencin para la anticoncepcin"
"Z300" "Consejo y asesoramiento general sobre la anticoncepcin"
"Z301" "Insercin de dispositivo anticonceptivo (intrauterino)"
"Z302" "Esterilizacin"
"Z303" "Extraccin menstrual"
"Z304" "Supervisin del uso de drogas anticonceptivas"
"Z305" "Supervisin del uso de dispositivo anticonceptivo (intrauterino)"
"Z308" "Otras atenciones especificadas para la anticoncepcin"
"Z309" "Asistencia para la anticoncepcin, no especificada"
"Z31" "Atencin para la procreacin"
"Z310" "Tuboplastia o vasoplastia posterior a esterilizacin"
"Z311" "Inseminacin artificial"
"Z312" "Fecundacin in vitro"
"Z313" "Otros mtodos de atencin para la fecundacin"
"Z314" "Investigacin y prueba para la procreacin"
"Z315" "Asesoramiento gentico"
"Z316" "Consejo y asesoramiento general sobre la procreacin"
"Z318" "Otra atencin especificada para la procreacin"
"Z319" "Atencin no especificada relacionada con la procreacin"
"Z32" "Examen y prueba del embarazo"
"Z320" "Embarazo (an) no confirmado"
"Z321" "Embarazo confirmado"
"Z33" "Estado de embarazo, incidental"
"Z34" "Supervisin de embarazo normal"
"Z340" "Supervisin de primer embarazo normal"
"Z348" "Supervisin de otros embarazos normales"
"Z349" "Supervisin de embarazo normal no especificado"
"Z35" "Supervisin de embarazo de alto riesgo"
"Z350" "Supervisin de embarazo con historia de esterilidad"
"Z351" "Supervisin de embarazo con historia de aborto"
"Z352" "Supervisin de embarazo con otro riesgo en la historia obsttrica o reproductiva"
"Z353" "Supervisin de embarazo con historia de insuficiente atencin prenatal"
"Z354" "Supervisin de embarazo con gran multiparidad"
"Z355" "Supervisin de primigesta aosa"
"Z356" "Supervisin de primigesta muy joven"
"Z357" "Supervisin de embarazo de alto riesgo debido a problemas sociales"
"Z358" "Supervisin de otros embarazos de alto riesgo"
"Z359" "Supervisin de embarazo de alto riesgo, sin otra especificacin"
"Z36" "Pesquisas prenatales"
"Z360" "Pesquisa prenatal para anomalas cromosmicas"
"Z361" "Pesquisa prenatal para medir niveles elevados de alfafetoprotenas"
"Z362" "Otras pesquisas prenatales basadas en amniocentesis"
"Z363" "Pesquisa prenatal de malformaciones usando ultrasonido y otros mtodos fsicos"
"Z364" "Pesquisa prenatal del retardo del crecimiento fetal usando ultrasonido y otros mtodos fsicos"
"Z365" "Pesquisa prenatal para isoinmunizacin"
"Z368" "Otras pesquisas prenatales especificas"
"Z369" "Pesquisa prenatal, sin otra especificacin"
"Z37" "Producto del parto"
"Z370" "Nacido vivo, nico"
"Z371" "Nacido muerto, nico"
"Z372" "Gemelos, ambos nacidos vivos"
"Z373" "Gemelos, un nacido vivo y un nacido muerto"
"Z374" "Gemelos, ambos nacidos muertos"
"Z375" "Otros nacimientos mltiples, todos nacidos vivos"
"Z376" "Otros nacimientos mltiples, algunos nacidos vivos"
"Z377" "Otros nacimientos mltiples, todos nacidos muertos"
"Z379" "Producto del parto no especificado"
"Z38" "Nacidos vivos segn lugar de nacimiento"
"Z380" "Producto nico, nacido en hospital"
"Z381" "Producto nico, nacido fuera de hospital"
"Z382" "Producto nico, lugar de nacimiento no especificado"
"Z383" "Gemelos, nacidos en hospital"
"Z384" "Gemelos, nacidos fuera de hospital"
"Z385" "Gemelos, lugar de nacimiento no especificado"
"Z386" "Otros nacimientos mltiples, en hospital"
"Z387" "Otros nacimientos mltiples, fuera del hospital"
"Z388" "Otros nacimientos mltiples, lugar de nacimiento no especificado"
"Z39" "Examen y atencin del postparto"
"Z390" "Atencin y examen inmediatamente despus del parto"
"Z391" "Atencin y examen de madre en periodo de lactancia"
"Z392" "Seguimiento postparto, de rutina"
"Z40" "Ciruga profilctica"
"Z400" "Ciruga profilctica por factores de riesgo relacionados con tumores malignos"
"Z408" "Otra ciruga profilctica"
"Z409" "Ciruga profilctica no especificada"
"Z41" "Procedimientos para otros propsitos que no sean los de mejorar el estado de salud"
"Z410" "Trasplante de pelo"
"Z411" "Otras cirugas plsticas por razones estticas"
"Z412" "Circuncisin ritual o de rutina"
"Z413" "Perforacin de la oreja"
"Z418" "Otros procedimientos para otros propsitos que no sean los de mejorar el estado de salud"
"Z419" "Procedimiento no especificado para otros propsitos que no sean los de mejorar el estado de salud"
"Z42" "Cuidados posteriores a la ciruga plstica"
"Z420" "Cuidados posteriores a la ciruga plstica de la cabeza y del cuello"
"Z421" "Cuidados posteriores a la ciruga plstica de la mama"
"Z422" "Cuidados posteriores a la ciruga plstica de otras partes especificadas del tronco"
"Z423" "Cuidados posteriores a la ciruga plstica de las extremidades superiores"
"Z424" "Cuidados posteriores a la ciruga plstica de las extremidades inferiores"
"Z428" "Cuidados posteriores a la ciruga plstica de otras partes especificadas del cuerpo"
"Z429" "Cuidados posteriores a la ciruga plstica no especificada"
"Z43" "Atencin de orificios artificiales"
"Z430" "Atencin de traqueostoma"
"Z431" "Atencin de gastrostoma"
"Z432" "Atencin de ileostoma"
"Z433" "Atencin de colostoma"
"Z434" "Atencin de otros orificios artificiales de las vas digestivas"
"Z435" "Atencin de cistostoma"
"Z436" "Atencin de otros orificios artificiales de las vas urinarias"
"Z437" "Atencin de vagina artificial"
"Z438" "Atencin de otros orificios artificiales"
"Z439" "Atencin de orificio artificial no especificado"
"Z44" "Prueba y ajuste de dispositivos protsicos externos"
"Z440" "Prueba y ajuste de brazo artificial (completo) (parcial)"
"Z441" "Prueba y ajuste de pierna artificial (completa) (parcial)"
"Z442" "Prueba y ajuste de ojo artificial"
"Z443" "Prueba y ajuste de prtesis mamaria externa"
"Z448" "Prueba y ajuste de otros dispositivos protsicos externos"
"Z449" "Prueba y ajuste de dispositivo protsico externo no especificado"
"Z45" "Asistencia y ajuste de dispositivos implantados"
"Z450" "Asistencia y ajuste de marcapaso cardaco"
"Z451" "Asistencia y ajuste de bomba de infusin"
"Z452" "Asistencia y ajuste de dispositivos de acceso vascular"
"Z453" "Asistencia y ajuste de dispositivo auditivo implantado"
"Z458" "Asistencia y ajuste de otros dispositivos implantados"
"Z459" "Asistencia y ajuste de dispositivo implantado no especificado"
"Z46" "Prueba y ajuste de otros dispositivos"
"Z460" "Prueba y ajuste de anteojos y lentes de contacto"
"Z461" "Prueba y ajuste de audfonos"
"Z462" "Prueba y ajuste de otros dispositivos relacionados con el sistema nervioso y los sentidos especiales"
"Z463" "Prueba y ajuste de prtesis dental"
"Z464" "Prueba y ajuste de dispositivo ortodncico"
"Z465" "Prueba y ajuste de ileostoma u otro dispositivo intestinal"
"Z466" "Prueba y ajuste de dispositivo urinario"
"Z467" "Prueba y ajuste de dispositivo ortopdico"
"Z468" "Prueba y ajuste de otros dispositivos especificados"
"Z469" "Prueba y ajuste de dispositivo no especificado"
"Z47" "Otros cuidados posteriores a la ortopedia"
"Z470" "Cuidados posteriores a la extraccin de placa u otro dispositivo de fijacin interna en fractura"
"Z478" "Otros cuidados especificados posteriores a la ortopedia"
"Z479" "Cuidado posterior a la ortopedia, no especificado"
"Z48" "Otros cuidados posteriores a la ciruga"
"Z480" "Atencin de los apsitos y suturas"
"Z488" "Otros cuidados especificados posteriores a la ciruga"
"Z489" "Cuidado posterior a la ciruga, no especificado"
"Z49" "Cuidados relativos al procedimiento de dilisis"
"Z490" "Cuidados preparatorios para dilisis"
"Z491" "Dilisis extracorprea"
"Z492" "Otras dilisis"
"Z50" "Atencin por el uso de procedimientos de rehabilitacin"
"Z500" "Rehabilitacin cardaca"
"Z501" "Otras terapias fsicas"
"Z502" "Rehabilitacin del alcohlico"
"Z503" "Rehabilitacin del drogadicto"
"Z504" "Psicoterapia, no clasificada en otra parte"
"Z505" "Terapia del lenguaje"
"Z506" "Adiestramiento ortptico"
"Z507" "Terapia ocupacional y rehabilitacin vocacional, no clasificada en otra parte"
"Z508" "Atencin por otros procedimientos de rehabilitacin"
"Z509" "Atencin por procedimiento de rehabilitacin, no especificada"
"Z51" "Otra atencin mdica"
"Z510" "Sesin de radioterapia"
"Z511" "Sesin de quimioterapia por tumor"
"Z512" "Otra quimioterapia"
"Z513" "Transfusin de sangre, sin diagnstico informado"
"Z514" "Atencin preparatoria para tratamiento subsecuente, no clasificado en otra parte"
"Z515" "Atencin paliativa"
"Z516" "Desensibilizacin a alrgenos"
"Z518" "Otras atenciones mdicas especificadas"
"Z519" "Atencin mdica, no especificada"
"Z52" "Donantes de rganos y tejidos"
"Z520" "Donante de sangre"
"Z521" "Donante de piel"
"Z522" "Donante de hueso"
"Z523" "Donante de mdula sea"
"Z524" "Donante de rin"
"Z525" "Donante de crnea"
"Z526" "Donante de hgado"
"Z527" "Donante de corazn"
"Z528" "Donante de otros rganos o tejidos"
"Z529" "Donante de rgano o tejido no especificado"
"Z53" "Persona en contacto con los servicios de salud para procedimientos especficos no realizados"
"Z530" "Procedimiento no realizado por contraindicacin"
"Z531" "Procedimiento no realizado por decisin del paciente, por razones de creencia o presin de grupo"
"Z532" "Procedimiento no realizado por decisin del paciente, por otras razones y las no especificadas"
"Z538" "Procedimiento no realizado por otras razones"
"Z539" "Procedimiento no realizado por razn no especificada"
"Z54" "Convalecencia"
"Z540" "Convalecencia consecutiva a ciruga"
"Z541" "Convalecencia consecutiva a radioterapia"
"Z542" "Convalecencia consecutiva a quimioterapia"
"Z543" "Convalecencia consecutiva a psicoterapia"
"Z544" "Convalecencia consecutiva a tratamiento de fractura"
"Z547" "Convalecencia consecutiva a tratamiento combinado"
"Z548" "Convalecencia consecutiva a otros tratamientos"
"Z549" "Convalecencia consecutiva a tratamiento no especificado"
"Z55" "Problemas relacionados con la educacin y la alfabetizacin"
"Z550" "Problemas relacionados con el analfabetismo o bajo nivel de instruccin"
"Z551" "Problemas relacionados con la educacin no disponible o inaccesible"
"Z552" "Problemas relacionados con la falla en los exmenes"
"Z553" "Problemas relacionados con el bajo rendimiento escolar"
"Z554" "Problemas relacionados con la inadaptacin educacional y desavenencias con maestros y compaeros"
"Z558" "Otros problemas relacionados con la educacin y la alfabetizacin"
"Z559" "Problema no especificado relacionado con la educacin y la alfabetizacin"
"Z56" "Problemas relacionados con el empleo y el desempleo"
"Z560" "Problemas relacionados con el desempleo, no especificados"
"Z561" "Problemas relacionados con el cambio de empleo"
"Z562" "Problemas relacionados con amenaza de prdida del empleo"
"Z563" "Problemas relacionados con horario estresante de trabajo"
"Z564" "Problemas relacionados con desavenencias con el jefe y los compaeros de trabajo"
"Z565" "Problemas relacionados con el trabajo incompatible"
"Z566" "Otros problemas de tensin fsica o mental relacionadas con el trabajo"
"Z567" "Otros problemas y los no especificados relacionados con el empleo"
"Z57" "Exposicin a factores de riesgo ocupacional"
"Z570" "Exposicin ocupacional al ruido"
"Z571" "Exposicin ocupacional a la radiacin"
"Z572" "Exposicin ocupacional al polvo"
"Z573" "Exposicin ocupacional a otro contaminante del aire"
"Z574" "Exposicin ocupacional a agentes txicos en agricultura"
"Z575" "Exposicin ocupacional a agentes txicos en otras industrias"
"Z576" "Exposicin ocupacional a temperatura extrema"
"Z577" "Exposicin ocupacional a la vibracin"
"Z578" "Exposicin ocupacional a otros factores de riesgo"
"Z579" "Exposicin ocupacional a factor de riesgo no especificado"
"Z58" "Problemas relacionados con el ambiente fsico"
"Z580" "Z580 Exposicin al ruido"
"Z581" "Exposicin al aire contaminado"
"Z582" "Exposicin al agua contaminada"
"Z583" "Exposicin al suelo contaminado"
"Z584" "Exposicin a la radiacin"
"Z585" "Exposicin a otras contaminaciones del ambiente fsico"
"Z586" "Suministro inadecuado de agua potable"
"Z587" "Exposicin al humo del tabaco"
"Z588" "Otros problemas relacionados con el ambiente fsico"
"Z589" "Problema no especificado relacionado con el ambiente fsico"
"Z59" "Problemas relacionados con la vivienda y las circunstancias econmicas"
"Z590" "Problemas relacionados con la falta de vivienda"
"Z591" "Problemas relacionados con vivienda inadecuada"
"Z592" "Problemas caseros y con vecinos e inquilinos"
"Z593" "Problemas relacionados con persona que reside en una institucin"
"Z594" "Problemas relacionados con la falta de alimentos adecuados"
"Z595" "Problemas relacionados con pobreza extrema"
"Z596" "Problemas relacionados con bajos ingresos"
"Z597" "Problemas relacionados con seguridad social y sostenimiento insuficientes para el bienestar"
"Z598" "Otros problemas relacionados con la vivienda y las circunstancias econmicas"
"Z599" "Problemas no especificados relacionados con la vivienda y las circunstancias econmicas"
"Z60" "Problemas relacionados con el ambiente social"
"Z600" "Problemas relacionados con el ajuste a las transiciones del ciclo vital"
"Z601" "Problemas relacionados con situacin familiar atpica"
"Z602" "Problemas relacionados con persona que vive sola"
"Z603" "Problemas relacionados con la adaptacin cultural"
"Z604" "Problemas relacionados con exclusin y rechazo social"
"Z605" "Problemas relacionados con la discriminacin y persecucin percibidas"
"Z608" "Otros problemas relacionados con el ambiente social"
"Z609" "Problema no especificado relacionado con el ambiente social"
"Z61" "Problemas relacionados con hechos negativos en la niez"
"Z610" "Problemas relacionados con la prdida de relacin afectiva en la infancia"
"Z611" "Problemas relacionados con el alejamiento del hogar en la infancia"
"Z612" "Problemas relacionados con alteracin en el patrn de la relacin familiar en la infancia"
"Z613" "Problemas relacionados con eventos que llevaron a la prdida de la autoestima en la infancia"
"Z614" "Problemas relacionados con el abuso sexual del nio por persona dentro del grupo de apoyo primario"
"Z615" "Problemas relacionados con el abuso sexual del nio por persona ajena al grupo de apoyo primario"
"Z616" "Problemas relacionados con abuso fsico del nio"
"Z617" "Problemas relacionados con experiencias personales atemorizantes en la infancia"
"Z618" "Problemas relacionados con otras experiencias negativas en la infancia"
"Z619" "Problemas relacionados con experiencia negativa no especificada en la infancia"
"Z62" "Otros problemas relacionados con la crianza del nio"
"Z620" "Problemas relacionados con la supervisin o el control inadecuados de los padres"
"Z621" "Problemas relacionados con la sobreproteccin de los padres"
"Z622" "Problemas relacionados con la crianza en institucin"
"Z623" "Problemas relacionados con hostilidad y reprobacin al nio"
"Z624" "Problemas relacionados con el abandono emocional del nio"
"Z625" "Otros problemas relacionados con negligencia en la crianza del nio"
"Z626" "Problemas relacionados con presiones inapropiadas de los padres y otras anormalidades en la calidad de la crianza"
"Z628" "Otros problemas especificados y relacionados con la crianza del nio"
"Z629" "Problema no especificado relacionado con la crianza del nio"
"Z63" "Otros problemas relacionados con el grupo primario de apoyo, inclusive circunstancias familiares"
"Z630" "Problemas en la relacin entre esposos o pareja"
"Z631" "Problemas en la relacin con los padres y los familiares polticos"
"Z632" "Problemas relacionados con el apoyo familiar inadecuado"
"Z633" "Problemas relacionados con la ausencia de un miembro de la familia"
"Z634" "Problemas relacionados con la desaparicin o muerte de un miembro de la familia"
"Z635" "Problemas relacionados con la ruptura familiar por separacin o divorcio"
"Z636" "Problemas relacionados con familiar dependiente, necesitado de cuidado en la casa"
"Z637" "Problemas relacionados con otros hechos estresantes que afectan a la familia y al hogar"
"Z638" "Otros problemas especificados relacionados con el grupo primario de apoyo"
"Z639" "Problema no especificado relacionado con el grupo primario de apoyo"
"Z64" "Problemas relacionados con ciertas circunstancias psicosociales"
"Z640" "Problemas relacionados con embarazo no deseado"
"Z641" "Problemas relacionados con la multiparidad"
"Z642" "Problemas relacionados con la solicitud o aceptacin de intervenciones fsicas, nutricionales y qumicas, conociendo su riesgo y peligro"
"Z643" "Problemas relacionados con la solicitud o aceptacin de intervenciones psicolgicas o de la conducta, conociendo su riesgo y peligro"
"Z644" "Problemas relacionados con el desacuerdo con consejeros"
"Z65" "Problemas relacionados con otras circunstancias psicosociales"
"Z650" "Problemas relacionados con culpabilidad en procedimientos civiles o criminales sin prisin"
"Z651" "Problemas relacionados con prisin y otro encarcelamiento"
"Z652" "Problemas relacionados con la liberacin de la prisin"
"Z653" "Problemas relacionados con otras circunstancias legales"
"Z654" "Problemas relacionados con vctima de crimen o terrorismo"
"Z655" "Problemas relacionados con la exposicin a desastre, guerra u otras hostilidades"
"Z658" "Otros problemas especificados relacionados con circunstanciancias psicosociales"
"Z659" "Problemas relacionados con circunstancias psicosociales no especificadas"
"Z70" "Consulta relacionada con actitud, conducta u orientacin sexual"
"Z700" "Consulta relacionada con la actitud sexual"
"Z701" "Consulta relacionada con la orientacin y conducta sexual del paciente"
"Z702" "Consulta relacionada con la orientacin y conducta sexual de una tercera persona"
"Z703" "Consulta relacionada con preocupaciones combinadas sobre la actitud, la conducta y la orientacin sexuales"
"Z708" "Otras consultas sexuales especficas"
"Z709" "Consulta sexual, no especificada"
"Z71" "Personas en contacto con los servicios de salud por otras consultas y consejos mdicos, no clasificados en otra parte"
"Z710" "Persona que consulta en nombre de otra persona"
"Z711" "Persona que teme estar enferma, a quien no se hace diagnstico"
"Z712" "Persona que consulta para la explicacin de hallazgos de investigacin"
"Z713" "Consulta para instruccin y vigilancia de la dieta"
"Z714" "Consulta para asesora y vigilancia por abuso de alcohol"
"Z715" "Consulta para asesora y vigilancia por abuso de drogas"
"Z716" "Consulta para asesora por abuso de tabaco"
"Z717" "Consulta para asesora sobre el virus de la inmunodeficiencia humana [VIH]"
"Z718" "Otras consultas especificadas"
"Z719" "Consulta, no especificada"
"Z72" "Problemas relacionados con el estilo de vida"
"Z720" "Problemas relacionados con el uso del tabaco"
"Z721" "Problemas relacionados con el uso del alcohol"
"Z722" "Problemas relacionados con el uso de drogas"
"Z723" "Problemas relacionados con falta de ejercicio fsico"
"Z724" "Problemas relacionados con la dieta y hbitos alimentarios inapropiados"
"Z725" "Problemas relacionados con la conducta sexual de alto riesgo"
"Z726" "Problemas relacionados con el juego y las apuestas"
"Z728" "Otros problemas relacionados con el estilo de vida"
"Z729" "Problema no especificado relacionado con el estilo de vida"
"Z73" "Problemas relacionados con dificultades con el modo de vida"
"Z730" "Problemas relacionados con la enfermedad consuntiva"
"Z731" "Problemas relacionados con la acentuacin de rasgos de la personalidad"
"Z732" "Problemas relacionados con la falta de relajacin y descanso"
"Z733" "Problemas relacionados con el estrs, no clasificados en otra parte"
"Z734" "Problemas relacionados con habilidades sociales inadecuadas, no clasificados en otra parte"
"Z735" "Problemas relacionados con el conflicto del rol social, no clasificados en otra parte"
"Z736" "Problemas relacionados con la limitacin de las actividades debido a discapacidad"
"Z738" "Otros problemas relacionados con dificultades con el modo de vida"
"Z739" "Problemas no especificados relacionados con dificultades con el modo de vida"
"Z74" "Problemas relacionados con dependencia del prestador de servicios"
"Z740" "Problemas relacionados con movilidad reducida"
"Z741" "Problemas relacionados con la necesidad de ayuda para el cuidado personal"
"Z742" "Problemas relacionados con la necesidad de asistencia domiciliaria y que ningn otro miembro del hogar puede proporcionar"
"Z743" "Problemas relacionados con la necesidad de supervisin continua"
"Z748" "Otros problemas relacionados con dependencia del prestador de servicios"
"Z749" "Problema no especificado relacionado con dependencia del prestador de servicios"
"Z75" "Problemas relacionados con facilidades de atencin mdica u otros servicios de salud"
"Z750" "Problemas relacionados con servicio mdico no disponible en el domicilio"
"Z751" "Problemas relacionados con persona esperando admisin en una institucin apropiada en otro lugar"
"Z752" "Problemas relacionados con persona en otro perodo de espera para investigacin y tratamiento"
"Z753" "Problemas relacionados con atencin de salud no disponible o inaccesible"
"Z754" "Problemas relacionados con otros servicios asistenciales no disponibles o inaccesibles"
"Z755" "Problemas relacionados con la atencin durante vacaciones de la familia"
"Z758" "Otros problemas relacionados con servicios mdicos y de salud"
"Z759" "Problema no especificado relacionado con servicios mdicos y de salud"
"Z76" "Personas en contacto con los servicios de salud por otras circunstancias"
"Z760" "Consulta para repeticin de receta"
"Z761" "Consulta para atencin y supervisin de la salud del nio abandonado"
"Z762" "Consulta para atencin y supervisin de la salud de otros nios o lactantes sanos"
"Z763" "Persona sana que acompaa al enfermo"
"Z764" "Otro husped en servicios de salud"
"Z765" "Persona que consulta con simulacin consciente [simulador]"
"Z768" "Persona en contacto con los servicios de salud en otras circunstancias especificadas"
"Z769" "Persona en contacto con los servicios de salud en circunstancias no especificadas"
"Z80" "Historia familiar de tumor maligno"
"Z800" "Historia familiar de tumor maligno de rganos digestivos"
"Z801" "Historia familiar de tumor maligno de trquea, bronquios y pulmn"
"Z802" "Historia familiar de tumor maligno de otros rganos respiratorios e intratorcicos"
"Z803" "Historia familiar de tumor maligno de mama"
"Z804" "Historia familiar de tumor maligno de rganos genitales"
"Z805" "Historia familiar de tumor maligno de vas urinarias"
"Z806" "Historia familiar de leucemia"
"Z807" "Historia familiar de otros tumores malignos del tejido linfoide, hematopoytico y tejidos relacionados"
"Z808" "Historia familiar de tumor maligno de otros rganos o sistemas especificados"
"Z809" "Historia familiar de tumor maligno, de sitio no especificado"
"Z81" "Historia familiar de trastornos mentales y del comportamiento"
"Z810" "Historia familiar de retardo mental"
"Z811" "Historia familiar de abuso de alcohol"
"Z812" "Historia familiar de abuso del tabaco"
"Z813" "Historia familiar de abuso de otras sustancias psicoactivas"
"Z814" "Historia familiar de abuso de otras sustancias"
"Z818" "Historia familiar de otros trastornos mentales y del comportamiento"
"Z82" "Historia familiar de ciertas discapacidades y enfermedades crnicas incapacitantes"
"Z820" "Historia familiar de epilepsia y otras enfermedades del sistema nervioso"
"Z821" "Historia familiar de ceguera o prdida de la visin"
"Z822" "Historia familiar de sordera o prdida de la audicin"
"Z823" "Historia familiar de apopleja"
"Z824" "Historia familiar de enfermedad isqumica del corazn y otras enfermedades del sistema circulatorio"
"Z825" "Historia familiar de asma y de otras enfermedades crnicas de las vas respiratorias inferiores"
"Z826" "Historia familiar de artritis y otras enfermedades del sistema osteomuscular y tejido conjuntivo"
"Z827" "Historia familiar de malformaciones congnitas, deformidades y otras anomalas cromosmicas"
"Z828" "Historia familiar de otras discapacidades y enfermedades crnicas incapacitantes no clasificadas en otra parte"
"Z83" "Historia familiar de otros trastornos especficos"
"Z830" "Historia familiar de infeccin por el virus de la inmunodeficiencia humana [VIH]"
"Z831" "Historia familiar de otras enfermedades infecciosas y parasitarias"
"Z832" "Historia familiar de enfermedades de la sangre y de los rganos hematopoyticos y de ciertos trastornos del mecanismo inmunolgico"
"Z833" "Historia familiar de diabetes mellitus"
"Z834" "Historia familiar de otras enfermedades endocrinas, nutricionales y metablicas"
"Z835" "Historia familiar de trastornos de los ojos y de los odos"
"Z836" "Historia familiar de enfermedades del sistema respiratorio"
"Z837" "Historia familiar de enfermedades del sistema digestivo"
"Z84" "Historia familiar de otras afecciones"
"Z840" "Historia familiar de enfermedades de la piel y del tejido subcutneo"
"Z841" "Historia familiar de trastornos del rin y del urter"
"Z842" "Historia familiar de otras enfermedades del sistema genitourinario"
"Z843" "Historia familiar de consanguinidad"
"Z848" "Historia familiar de otras afecciones especificadas"
"Z85" "Historia personal de tumor maligno"
"Z850" "Historia personal de tumor maligno de rganos digestivos"
"Z851" "Historia personal de tumor maligno de trquea, bronquios y pulmn"
"Z852" "Historia personal de tumor maligno de otros rganos respiratorios e intratorcicos"
"Z853" "Historia personal de tumor maligno de mama"
"Z854" "Historia personal de tumor maligno de rganos genitales"
"Z855" "Historia personal de tumor maligno de vas urinarias"
"Z856" "Historia personal de leucemia"
"Z857" "Historia personal de otros tumores malignos del tejido linfoide, hematopoytico y tejidos relacionados"
"Z858" "Historia personal de tumor maligno de otros rganos y sistemas"
"Z859" "Historia personal de tumor maligno, de sitio no especificado"
"Z86" "Historia personal de algunas otras enfermedades"
"Z860" "Historia personal de otros tumores"
"Z861" "Historia personal de enfermedades infecciosas y parasitarias"
"Z862" "Historia personal de enfermedades de la sangre y de los rganos hematopoyticos y de ciertos trastornos del mecanismo inmunolgico"
"Z863" "Historia personal de enfermedades endocrinas, nutricionales y metablicas"
"Z864" "Historia personal de abuso de sustancias psicoactivas"
"Z865" "Historia personal de otros trastornos mentales o del comportamiento"
"Z866" "Historia personal de enfermedades del sistema nervioso y de los rganos de los sentidos"
"Z867" "Historia personal de enfermedades del sistema circulatorio"
"Z87" "Historia personal de otras enfermedades y afecciones"
"Z870" "Historia personal de enfermedades del sistema respiratorio"
"Z871" "Historia personal de enfermedades del sistema digestivo"
"Z872" "Historia personal de enfermedades de la piel y del tejido subcutneo"
"Z873" "Historia personal de enfermedades del sistema osteomuscular y del tejido conjuntivo"
"Z874" "Historia personal de enfermedades del sistema genitourinario"
"Z875" "Historia personal de complicaciones del embarazo, del parto y del puerperio"
"Z876" "Historia personal de ciertas afecciones originadas en el perodo perinatal"
"Z877" "Historia personal de malformaciones congnitas, deformidades y anomalas cromosmicas"
"Z878" "Historia personal de otras afecciones especificadas"
"Z88" "Historia personal de alergia a drogas, medicamentos y sustancias biolgicas"
"Z880" "Historia personal de alergia a penicilina"
"Z881" "Historia personal de alergia a otros agentes antibiticos"
"Z882" "Historia personal de alergia a sulfonamidas"
"Z883" "Historia personal de alergia a otros agentes antiinfecciosos"
"Z884" "Historia personal de alergia a agente anestsico"
"Z885" "Historia personal de alergia a agente narctico"
"Z886" "Historia personal de alergia a agente analgsico"
"Z887" "Historia personal de alergia a suero o vacuna"
"Z888" "Historia personal de alergia a otras drogas, medicamentos y sustancias biolgicas"
"Z889" "Historia personal de alergia a drogas, medicamentos y sustancias biolgicas no especificadas"
"Z89" "Ausencia adquirida de miembros"
"Z890" "Ausencia adquirida de dedo(s), [incluido el pulgar], unilateral"
"Z891" "Ausencia adquirida de mano y mueca"
"Z892" "Ausencia adquirida de miembro superior por arriba de la mueca"
"Z893" "Ausencia adquirida de ambos miembros superiores [cualquier nivel]"
"Z894" "Ausencia adquirida de pie y tobillo"
"Z895" "Ausencia adquirida de pierna a nivel de o debajo de la rodilla"
"Z896" "Ausencia adquirida de pierna por arriba de la rodilla"
"Z897" "Ausencia adquirida de ambos miembros inferiores [cualquier nivel, excepto dedos del pie solamente]"
"Z898" "Ausencia adquirida de miembros superiores e inferiores [cualquier nivel]"
"Z899" "Ausencia adquirida de miembros no especificados"
"Z90" "Ausencia adquirida de rganos, no clasificada en otra parte"
"Z900" "Ausencia adquirida de parte de la cabeza y del cuello"
"Z901" "Ausencia adquirida de mama(s)"
"Z902" "Ausencia adquirida (de parte) del pulmn"
"Z903" "Ausencia adquirida de parte del estmago"
"Z904" "Ausencia adquirida de otras partes del tubo digestivo"
"Z905" "Ausencia adquirida de rin"
"Z906" "Ausencia adquirida de otras partes de las vas urinarias"
"Z907" "Ausencia adquirida de rgano(s) genital(es)"
"Z908" "Ausencia adquirida de otros rganos"
"Z91" "Historia personal de factores de riesgo, no clasificados en otra parte"
"Z910" "Historia personal de alergia, no debida a drogas ni a sustancias biolgicas"
"Z911" "Historia personal de incumplimiento del rgimen o tratamiento mdico"
"Z912" "Historia personal de higiene personal deficiente"
"Z913" "Historia personal de ciclo sueo-vigilia no saludable"
"Z914" "Historia personal de trauma psicolgico, no clasificado en otra parte"
"Z915" "Historia personal de lesin autoinfligida intencionalmente"
"Z916" "Historia personal de otro trauma fsico"
"Z918" "Historia personal de otros factores de riesgo, no clasificados en otra parte"
"Z92" "Historia personal de tratamiento mdico"
"Z920" "Historia personal de anticoncepcin"
"Z921" "Historia personal de uso (presente) de anticoagulantes por largo tiempo"
"Z922" "Historia personal de uso (presente) de otros medicamentos por largo tiempo"
"Z923" "Historia personal de irradiacin"
"Z924" "Historia personal de ciruga mayor no clasificada en otra parte"
"Z925" "Historia personal de medidas de rehabilitacin"
"Z926" "Historia personal de quimioterapia por enfermedad neoplsica"
"Z928" "Historia personal de otros tratamientos mdicos"
"Z929" "Historia personal de tratamiento mdico no especificado"
"Z93" "Aberturas artificiales"
"Z930" "Traqueostoma"
"Z931" "Gastrostoma"
"Z932" "Ileostoma"
"Z933" "Colostoma"
"Z934" "Otros orificios artificiales del tubo gastrointestinal"
"Z935" "Cistostoma"
"Z936" "Otros orificios artificiales de las vas urinarias"
"Z938" "Otras aberturas artificiales"
"Z939" "Abertura artificial, no especificada"
"Z94" "rganos y tejidos trasplantados"
"Z940" "Trasplante de rin"
"Z941" "Trasplante de corazn"
"Z942" "Trasplante de pulmn"
"Z943" "Trasplante de corazn y pulmones"
"Z944" "Trasplante de hgado"
"Z945" "Trasplante de piel"
"Z946" "Trasplante de hueso"
"Z947" "Trasplante de crnea"
"Z948" "Otros rganos y tejidos trasplantados"
"Z949" "rgano o tejido trasplantado no especificado"
"Z95" "Presencia de implantes e injertos cardiovasculares"
"Z950" "Presencia de marcapaso cardaco"
"Z951" "Presencia de derivacin aortocoronaria"
"Z952" "Presencia de vlvula cardaca protsica"
"Z953" "Presencia de vlvula cardaca xenognica"
"Z954" "Presencia de otros reemplazos de vlvula cardaca"
"Z955" "Presencia de angioplastia, injertos y prtesis coronarias"
"Z958" "Presencia de otros injertos y prtesis cardiovasculares"
"Z959" "Presencia de injertos e implantes cardiovasculares no especificados"
"Z96" "Presencia de otros implantes funcionales"
"Z960" "Presencia de implante urogenital"
"Z961" "Presencia de lentes intraoculares"
"Z962" "Presencia de implantes ticos y auditivos"
"Z963" "Presencia de laringe artificial"
"Z964" "Presencia de implantes endocrinos"
"Z965" "Presencia de implantes de raz de diente y de mandbula"
"Z966" "Presencia de implante ortopdico articular"
"Z967" "Presencia de otros implantes de tendones y huesos"
"Z968" "Presencia de otros implantes funcionales especificados"
"Z969" "Presencia de implantes funcionales no especificados"
"Z97" "Presencia de otros dispositivos"
"Z970" "Presencia de ojo artificial"
"Z971" "Presencia de miembro artificial (completo) (parcial)"
"Z972" "Presencia de dispositivo protsico dental (completo) (parcial)"
"Z973" "Presencia de anteojos y lentes de contacto"
"Z974" "Presencia de audfono externo"
"Z975" "Presencia de dispositivo anticonceptivo (intrauterino)"
"Z978" "Presencia de otros dispositivos especificados"
"Z98" "Otros estados postquirrgicos"
"Z980" "Estado de derivacin intestinal o anastomosis"
"Z981" "Estado de artrodesis"
"Z982" "Presencia de dispositivo para drenaje de lquido cefalorraqudeo"
"Z988" "Otros estados postquirrgicos especificados"
"Z99" "Dependencia de mquinas y dispositivos capacitantes, no clasificada en otra parte"
"Z990" "Dependencia de aspirador"
"Z991" "Dependencia de respirador"
"Z992" "Dependencia de dilisis renal"
"Z993" "Dependencia de silla de ruedas"
"Z994" "Dependencia a corazn artificial"
"Z998" "Dependencia de otras mquinas y dispositivos capacitantes"
"Z999" "Dependencia de mquina y dispositivo capacitante, no especificada"
"M0000" "Artritis y poliartritis estafiloccica, sitios mltiples"
"M0001" "Artritis y poliartritis estafiloccica, regin del hombro"
"M0002" "Artritis y poliartritis estafiloccica, brazo"
"M0003" "Artritis y poliartritis estafiloccica, antebrazo"
"M0004" "Artritis y poliartritis estafiloccica, mano"
"M0005" "Artritis y poliartritis estafiloccica, regin pelviana y muslo"
"M0006" "Artritis y poliartritis estafiloccica, pierna"
"M0007" "Artritis y poliartritis estafiloccica, tobillo y pie"
"M0008" "Artritis y poliartritis estafiloccica, otros"
"M0009" "Artritis y poliartritis estafiloccica, sitio no especificado"
"M0010" "Artritis y poliartritis neumoccica, sitios mltiples"
"M0011" "Artritis y poliartritis neumoccica, regin del hombro"
"M0012" "Artritis y poliartritis neumoccica, brazo"
"M0013" "Artritis y poliartritis neumoccica, antebrazo"
"M0014" "Artritis y poliartritis neumoccica, mano"
"M0015" "Artritis y poliartritis neumoccica, regin pelviana y muslo"
"M0016" "Artritis y poliartritis neumoccica, pierna"
"M0017" "Artritis y poliartritis neumoccica, tobillo y pie"
"M0018" "Artritis y poliartritis neumoccica, otros"
"M0019" "Artritis y poliartritis neumoccica, sitio no especificado"
"M0020" "Otras artritis y poliartritis estreptoccicas, sitios mltiples"
"M0021" "Otras artritis y poliartritis estreptoccicas, regin del hombro"
"M0022" "Otras artritis y poliartritis estreptoccicas, brazo"
"M0023" "Otras artritis y poliartritis estreptoccicas, antebrazo"
"M0024" "Otras artritis y poliartritis estreptoccicas, mano"
"M0025" "Otras artritis y poliartritis estreptoccicas, regin pelviana y muslo"
"M0026" "Otras artritis y poliartritis estreptoccicas, pierna"
"M0027" "Otras artritis y poliartritis estreptoccicas, tobillo y pie"
"M0028" "Otras artritis y poliartritis estreptoccicas, otros"
"M0029" "Otras artritis y poliartritis estreptoccicas, sitio no especificado"
"M0080" "Artritis y poliartritis debidas a otros agentes bacterianos especificados, sitios mltiples"
"M0081" "Artritis y poliartritis debidas a otros agentes bacterianos especificados, regin del hombro"
"M0082" "Artritis y poliartritis debidas a otros agentes bacterianos especificados, brazo"
"M0083" "Artritis y poliartritis debidas a otros agentes bacterianos especificados, antebrazo"
"M0084" "Artritis y poliartritis debidas a otros agentes bacterianos especificados, mano"
"M0085" "Artritis y poliartritis debidas a otros agentes bacterianos especificados, regin pelviana y muslo"
"M0086" "Artritis y poliartritis debidas a otros agentes bacterianos especificados, pierna"
"M0087" "Artritis y poliartritis debidas a otros agentes bacterianos especificados, tobillo y pie"
"M0088" "Artritis y poliartritis debidas a otros agentes bacterianos especificados, otros"
"M0089" "Artritis y poliartritis debidas a otros agentes bacterianos especificados, sitio no especificado"
"M0090" "Artritis pigena, no especificada, sitios mltiples"
"M0091" "Artritis pigena, no especificada, regin del hombro"
"M0092" "Artritis pigena, no especificada, brazo"
"M0093" "Artritis pigena, no especificada, antebrazo"
"M0094" "Artritis pigena, no especificada, mano"
"M0095" "Artritis pigena, no especificada, regin pelviana y muslo"
"M0096" "Artritis pigena, no especificada, pierna"
"M0097" "Artritis pigena, no especificada, tobillo y pie"
"M0098" "Artritis pigena, no especificada, otros"
"M0099" "Artritis pigena, no especificada, sitio no especificado"
"M0100" "Artritis meningoccica, sitios mltiples"
"M0101" "Artritis meningoccica, regin del hombro"
"M0102" "Artritis meningoccica, brazo"
"M0103" "Artritis meningoccica, antebrazo"
"M0104" "Artritis meningoccica, mano"
"M0105" "Artritis meningoccica, regin pelviana y muslo"
"M0106" "Artritis meningoccica, pierna"
"M0107" "Artritis meningoccica, tobillo y pie"
"M0108" "Artritis meningoccica, otros"
"M0109" "Artritis meningoccica, sitio no especificado"
"M0110" "Artritis tuberculosa, sitios mltiples"
"M0111" "Artritis tuberculosa, regin del hombro"
"M0112" "Artritis tuberculosa, brazo"
"M0113" "Artritis tuberculosa, antebrazo"
"M0114" "Artritis tuberculosa, mano"
"M0115" "Artritis tuberculosa, regin pelviana y muslo"
"M0116" "Artritis tuberculosa, pierna"
"M0117" "Artritis tuberculosa, tobillo y pie"
"M0118" "Artritis tuberculosa, otros"
"M0119" "Artritis tuberculosa, sitio no especificado"
"M0120" "Artritis en la enfermedad de Lyme, sitios mltiples"
"M0121" "Artritis en la enfermedad de Lyme, regin del hombro"
"M0122" "Artritis en la enfermedad de Lyme, brazo"
"M0123" "Artritis en la enfermedad de Lyme, antebrazo"
"M0124" "Artritis en la enfermedad de Lyme, mano"
"M0125" "Artritis en la enfermedad de Lyme, regin pelviana y muslo"
"M0126" "Artritis en la enfermedad de Lyme, pierna"
"M0127" "Artritis en la enfermedad de Lyme, tobillo y pie"
"M0128" "Artritis en la enfermedad de Lyme, otros"
"M0129" "Artritis en la enfermedad de Lyme, sitio no especificado"
"M0130" "Artritis en otras enfermedades bacterianas clasificadas en otra parte, sitios mltiples"
"M0131" "Artritis en otras enfermedades bacterianas clasificadas en otra parte, regin del hombro"
"M0132" "Artritis en otras enfermedades bacterianas clasificadas en otra parte, brazo"
"M0133" "Artritis en otras enfermedades bacterianas clasificadas en otra parte, antebrazo"
"M0134" "Artritis en otras enfermedades bacterianas clasificadas en otra parte, mano"
"M0135" "Artritis en otras enfermedades bacterianas clasificadas en otra parte, regin pelviana y muslo"
"M0136" "Artritis en otras enfermedades bacterianas clasificadas en otra parte, pierna"
"M0137" "Artritis en otras enfermedades bacterianas clasificadas en otra parte, tobillo y pie"
"M0138" "Artritis en otras enfermedades bacterianas clasificadas en otra parte, otros"
"M0139" "Artritis en otras enfermedades bacterianas clasificadas en otra parte, sitio no especificado"
"M0140" "Artritis en rubola, sitios mltiples"
"M0141" "Artritis en rubola, regin del hombro"
"M0142" "Artritis en rubola, brazo"
"M0143" "Artritis en rubola, antebrazo"
"M0144" "Artritis en rubola, mano"
"M0145" "Artritis en rubola, regin pelviana y muslo"
"M0146" "Artritis en rubola, pierna"
"M0147" "Artritis en rubola, tobillo y pie"
"M0148" "Artritis en rubola, otros"
"M0149" "Artritis en rubola, sitio no especificado"
"M0150" "Artritis en otras enfermedades virales clasificadas en otra parte, sitios mltiples"
"M0151" "Artritis en otras enfermedades virales clasificadas en otra parte, regin del hombro"
"M0152" "Artritis en otras enfermedades virales clasificadas en otra parte, brazo"
"M0153" "Artritis en otras enfermedades virales clasificadas en otra parte, antebrazo"
"M0154" "Artritis en otras enfermedades virales clasificadas en otra parte, mano"
"M0155" "Artritis en otras enfermedades virales clasificadas en otra parte, regin pelviana y muslo"
"M0156" "Artritis en otras enfermedades virales clasificadas en otra parte, pierna"
"M0157" "Artritis en otras enfermedades virales clasificadas en otra parte, tobillo y pie"
"M0158" "Artritis en otras enfermedades virales clasificadas en otra parte, otros"
"M0159" "Artritis en otras enfermedades virales clasificadas en otra parte, sitio no especificado"
"M0160" "Artritis en micosis, sitios mltiples"
"M0161" "Artritis en micosis, regin del hombro"
"M0162" "Artritis en micosis, brazo"
"M0163" "Artritis en micosis, antebrazo"
"M0164" "Artritis en micosis, mano"
"M0165" "Artritis en micosis, regin pelviana y muslo"
"M0166" "Artritis en micosis, pierna"
"M0167" "Artritis en micosis, tobillo y pie"
"M0168" "Artritis en micosis, otros"
"M0169" "Artritis en micosis, sitio no especificado"
"M0180" "Artritis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, sitios mltiples"
"M0181" "Artritis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, regin del hombro"
"M0182" "Artritis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, brazo"
"M0183" "Artritis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, antebrazo"
"M0184" "Artritis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, mano"
"M0185" "Artritis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, regin pelviana y muslo"
"M0186" "Artritis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, pierna"
"M0187" "Artritis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, tobillo y pie"
"M0188" "Artritis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, otros"
"M0189" "Artritis en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, sitio no especificado"
"M0200" "Artropata consecutiva a derivacin intestinal, sitios mltiples"
"M0201" "Artropata consecutiva a derivacin intestinal, regin del hombro"
"M0202" "Artropata consecutiva a derivacin intestinal, brazo"
"M0203" "Artropata consecutiva a derivacin intestinal, antebrazo"
"M0204" "Artropata consecutiva a derivacin intestinal, mano"
"M0205" "Artropata consecutiva a derivacin intestinal, regin pelviana y muslo"
"M0206" "Artropata consecutiva a derivacin intestinal, pierna"
"M0207" "Artropata consecutiva a derivacin intestinal, tobillo y pie"
"M0208" "Artropata consecutiva a derivacin intestinal, otros"
"M0209" "Artropata consecutiva a derivacin intestinal, sitio no especificado"
"M0210" "Artropata postdisentrica, sitios mltiples"
"M0211" "Artropata postdisentrica, regin del hombro"
"M0212" "Artropata postdisentrica, brazo"
"M0213" "Artropata postdisentrica, antebrazo"
"M0214" "Artropata postdisentrica, mano"
"M0215" "Artropata postdisentrica, regin pelviana y muslo"
"M0216" "Artropata postdisentrica, pierna"
"M0217" "Artropata postdisentrica, tobillo y pie"
"M0218" "Artropata postdisentrica, otros"
"M0219" "Artropata postdisentrica, sitio no especificado"
"M0220" "Artropata postinmunizacin, sitios mltiples"
"M0221" "Artropata postinmunizacin, regin del hombro"
"M0222" "Artropata postinmunizacin, brazo"
"M0223" "Artropata postinmunizacin, antebrazo"
"M0224" "Artropata postinmunizacin, mano"
"M0225" "Artropata postinmunizacin, regin pelviana y muslo"
"M0226" "Artropata postinmunizacin, pierna"
"M0227" "Artropata postinmunizacin, tobillo y pie"
"M0228" "Artropata postinmunizacin, otros"
"M0229" "Artropata postinmunizacin, sitio no especificado"
"M0230" "Enfermedad de Reiter, sitios mltiples"
"M0231" "Enfermedad de Reiter, regin del hombro"
"M0232" "Enfermedad de Reiter, brazo"
"M0233" "Enfermedad de Reiter, antebrazo"
"M0234" "Enfermedad de Reiter, mano"
"M0235" "Enfermedad de Reiter, regin pelviana y muslo"
"M0236" "Enfermedad de Reiter, pierna"
"M0237" "Enfermedad de Reiter, tobillo y pie"
"M0238" "Enfermedad de Reiter, otros"
"M0239" "Enfermedad de Reiter, sitio no especificado"
"M0280" "Otras artropatas reactivas, sitios mltiples"
"M0281" "Otras artropatas reactivas, regin del hombro"
"M0282" "Otras artropatas reactivas, brazo"
"M0283" "Otras artropatas reactivas, antebrazo"
"M0284" "Otras artropatas reactivas, mano"
"M0285" "Otras artropatas reactivas, regin pelviana y muslo"
"M0286" "Otras artropatas reactivas, pierna"
"M0287" "Otras artropatas reactivas, tobillo y pie"
"M0288" "Otras artropatas reactivas, otros"
"M0289" "Otras artropatas reactivas, sitio no especificado"
"M0290" "Artropata reactiva, no especificada, sitios mltiples"
"M0291" "Artropata reactiva, no especificada, regin del hombro"
"M0292" "Artropata reactiva, no especificada, brazo"
"M0293" "Artropata reactiva, no especificada, antebrazo"
"M0294" "Artropata reactiva, no especificada, mano"
"M0295" "Artropata reactiva, no especificada, regin pelviana y muslo"
"M0296" "Artropata reactiva, no especificada, pierna"
"M0297" "Artropata reactiva, no especificada, tobillo y pie"
"M0298" "Artropata reactiva, no especificada, otros"
"M0299" "Artropata reactiva, no especificada, sitio no especificado"
"M0300" "Artritis postmeningoccica, sitios mltiples"
"M0301" "Artritis postmeningoccica, regin del hombro"
"M0302" "Artritis postmeningoccica, brazo"
"M0303" "Artritis postmeningoccica, antebrazo"
"M0304" "Artritis postmeningoccica, mano"
"M0305" "Artritis postmeningoccica, regin pelviana y muslo"
"M0306" "Artritis postmeningoccica, pierna"
"M0307" "Artritis postmeningoccica, tobillo y pie"
"M0308" "Artritis postmeningoccica, otros"
"M0309" "Artritis postmeningoccica, sitio no especificado"
"M0310" "Artropata postinfecciosa en sfilis, sitios mltiples"
"M0311" "Artropata postinfecciosa en sfilis, regin del hombro"
"M0312" "Artropata postinfecciosa en sfilis, brazo"
"M0313" "Artropata postinfecciosa en sfilis, antebrazo"
"M0314" "Artropata postinfecciosa en sfilis, mano"
"M0315" "Artropata postinfecciosa en sfilis, regin pelviana y muslo"
"M0316" "Artropata postinfecciosa en sfilis, pierna"
"M0317" "Artropata postinfecciosa en sfilis, tobillo y pie"
"M0318" "Artropata postinfecciosa en sfilis, otros"
"M0319" "Artropata postinfecciosa en sfilis, sitio no especificado"
"M0320" "Otras artropatas postinfecciosas en enfermedades clasificadas en otra parte, sitios mltiples"
"M0321" "Otras artropatas postinfecciosas en enfermedades clasificadas en otra parte, regin del hombro"
"M0322" "Otras artropatas postinfecciosas en enfermedades clasificadas en otra parte, brazo"
"M0323" "Otras artropatas postinfecciosas en enfermedades clasificadas en otra parte, antebrazo"
"M0324" "Otras artropatas postinfecciosas en enfermedades clasificadas en otra parte, mano"
"M0325" "Otras artropatas postinfecciosas en enfermedades clasificadas en otra parte, regin pelviana y muslo"
"M0326" "Otras artropatas postinfecciosas en enfermedades clasificadas en otra parte, pierna"
"M0327" "Otras artropatas postinfecciosas en enfermedades clasificadas en otra parte, tobillo y pie"
"M0328" "Otras artropatas postinfecciosas en enfermedades clasificadas en otra parte, otros"
"M0329" "Otras artropatas postinfecciosas en enfermedades clasificadas en otra parte, sitio no especificado"
"M0360" "Artropata reactiva en otras enfermedades clasificadas en otra parte, sitios mltiples"
"M0361" "Artropata reactiva en otras enfermedades clasificadas en otra parte, regin del hombro"
"M0362" "Artropata reactiva en otras enfermedades clasificadas en otra parte, brazo"
"M0363" "Artropata reactiva en otras enfermedades clasificadas en otra parte, antebrazo"
"M0364" "Artropata reactiva en otras enfermedades clasificadas en otra parte, mano"
"M0365" "Artropata reactiva en otras enfermedades clasificadas en otra parte, regin pelviana y muslo"
"M0366" "Artropata reactiva en otras enfermedades clasificadas en otra parte, pierna"
"M0367" "Artropata reactiva en otras enfermedades clasificadas en otra parte, tobillo y pie"
"M0368" "Artropata reactiva en otras enfermedades clasificadas en otra parte, otros"
"M0369" "Artropata reactiva en otras enfermedades clasificadas en otra parte, sitio no especificado"
"M0500" "Sndrome de Felty, sitios mltiples"
"M0501" "Sndrome de Felty, regin del hombro"
"M0502" "Sndrome de Felty, brazo"
"M0503" "Sndrome de Felty, antebrazo"
"M0504" "Sndrome de Felty, mano"
"M0505" "Sndrome de Felty, regin pelviana y muslo"
"M0506" "Sndrome de Felty, pierna"
"M0507" "Sndrome de Felty, tobillo y pie"
"M0508" "Sndrome de Felty, otros"
"M0509" "Sndrome de Felty, sitio no especificado"
"M0510" "Enfermedad reumatoide del pulmn, sitios mltiples"
"M0511" "Enfermedad reumatoide del pulmn, regin del hombro"
"M0512" "Enfermedad reumatoide del pulmn, brazo"
"M0513" "Enfermedad reumatoide del pulmn, antebrazo"
"M0514" "Enfermedad reumatoide del pulmn, mano"
"M0515" "Enfermedad reumatoide del pulmn, regin pelviana y muslo"
"M0516" "Enfermedad reumatoide del pulmn, pierna"
"M0517" "Enfermedad reumatoide del pulmn, tobillo y pie"
"M0518" "Enfermedad reumatoide del pulmn, otros"
"M0519" "Enfermedad reumatoide del pulmn, sitio no especificado"
"M0520" "Vasculitis reumatoide, sitios mltiples"
"M0521" "Vasculitis reumatoide, regin del hombro"
"M0522" "Vasculitis reumatoide, brazo"
"M0523" "Vasculitis reumatoide, antebrazo"
"M0524" "Vasculitis reumatoide, mano"
"M0525" "Vasculitis reumatoide, regin pelviana y muslo"
"M0526" "Vasculitis reumatoide, pierna"
"M0527" "Vasculitis reumatoide, tobillo y pie"
"M0528" "Vasculitis reumatoide, otros"
"M0529" "Vasculitis reumatoide, sitio no especificado"
"M0530" "Artritis reumatoide con compromiso de otros rganos o sistemas, sitios mltiples"
"M0531" "Artritis reumatoide con compromiso de otros rganos o sistemas, regin del hombro"
"M0532" "Artritis reumatoide con compromiso de otros rganos o sistemas, brazo"
"M0533" "Artritis reumatoide con compromiso de otros rganos o sistemas, antebrazo"
"M0534" "Artritis reumatoide con compromiso de otros rganos o sistemas, mano"
"M0535" "Artritis reumatoide con compromiso de otros rganos o sistemas, regin pelviana y muslo"
"M0536" "Artritis reumatoide con compromiso de otros rganos o sistemas, pierna"
"M0537" "Artritis reumatoide con compromiso de otros rganos o sistemas, tobillo y pie"
"M0538" "Artritis reumatoide con compromiso de otros rganos o sistemas, otros"
"M0539" "Artritis reumatoide con compromiso de otros rganos o sistemas, sitio no especificado"
"M0580" "Otras artritis reumatoideas seropositivas, sitios mltiples"
"M0581" "Otras artritis reumatoideas seropositivas, regin del hombro"
"M0582" "Otras artritis reumatoideas seropositivas, brazo"
"M0583" "Otras artritis reumatoideas seropositivas, antebrazo"
"M0584" "Otras artritis reumatoideas seropositivas, mano"
"M0585" "Otras artritis reumatoideas seropositivas, regin pelviana y muslo"
"M0586" "Otras artritis reumatoideas seropositivas, pierna"
"M0587" "Otras artritis reumatoideas seropositivas, tobillo y pie"
"M0588" "Otras artritis reumatoideas seropositivas, otros"
"M0589" "Otras artritis reumatoideas seropositivas, sitio no especificado"
"M0590" "Artritis reumatoidea seropositiva, sin otra especificacin, sitios mltiples"
"M0591" "Artritis reumatoidea seropositiva, sin otra especificacin, regin del hombro"
"M0592" "Artritis reumatoidea seropositiva, sin otra especificacin, brazo"
"M0593" "Artritis reumatoidea seropositiva, sin otra especificacin, antebrazo"
"M0594" "Artritis reumatoidea seropositiva, sin otra especificacin, mano"
"M0595" "Artritis reumatoidea seropositiva, sin otra especificacin, regin pelviana y muslo"
"M0596" "Artritis reumatoidea seropositiva, sin otra especificacin, pierna"
"M0597" "Artritis reumatoidea seropositiva, sin otra especificacin, tobillo y pie"
"M0598" "Artritis reumatoidea seropositiva, sin otra especificacin, otros"
"M0599" "Artritis reumatoidea seropositiva, sin otra especificacin, sitio no especificado"
"M0600" "Artritis reumatoide seronegativa, sitios mltiples"
"M0601" "Artritis reumatoide seronegativa, regin del hombro"
"M0602" "Artritis reumatoide seronegativa, brazo"
"M0603" "Artritis reumatoide seronegativa, antebrazo"
"M0604" "Artritis reumatoide seronegativa, mano"
"M0605" "Artritis reumatoide seronegativa, regin pelviana y muslo"
"M0606" "Artritis reumatoide seronegativa, pierna"
"M0607" "Artritis reumatoide seronegativa, tobillo y pie"
"M0608" "Artritis reumatoide seronegativa, otros"
"M0609" "Artritis reumatoide seronegativa, sitio no especificado"
"M0610" "Enfermedad de Still de comienzo en el adulto, sitios mltiples"
"M0611" "Enfermedad de Still de comienzo en el adulto, regin del hombro"
"M0612" "Enfermedad de Still de comienzo en el adulto, brazo"
"M0613" "Enfermedad de Still de comienzo en el adulto, antebrazo"
"M0614" "Enfermedad de Still de comienzo en el adulto, mano"
"M0615" "Enfermedad de Still de comienzo en el adulto, regin pelviana y muslo"
"M0616" "Enfermedad de Still de comienzo en el adulto, pierna"
"M0617" "Enfermedad de Still de comienzo en el adulto, tobillo y pie"
"M0618" "Enfermedad de Still de comienzo en el adulto, otros"
"M0619" "Enfermedad de Still de comienzo en el adulto, sitio no especificado"
"M0620" "Bursitis reumatoide, sitios mltiples"
"M0621" "Bursitis reumatoide, regin del hombro"
"M0622" "Bursitis reumatoide, brazo"
"M0623" "Bursitis reumatoide, antebrazo"
"M0624" "Bursitis reumatoide, mano"
"M0625" "Bursitis reumatoide, regin pelviana y muslo"
"M0626" "Bursitis reumatoide, pierna"
"M0627" "Bursitis reumatoide, tobillo y pie"
"M0628" "Bursitis reumatoide, otros"
"M0629" "Bursitis reumatoide, sitio no especificado"
"M0630" "Ndulo reumatoide, sitios mltiples"
"M0631" "Ndulo reumatoide, regin del hombro"
"M0632" "Ndulo reumatoide, brazo"
"M0633" "Ndulo reumatoide, antebrazo"
"M0634" "Ndulo reumatoide, mano"
"M0635" "Ndulo reumatoide, regin pelviana y muslo"
"M0636" "Ndulo reumatoide, pierna"
"M0637" "Ndulo reumatoide, tobillo y pie"
"M0638" "Ndulo reumatoide, otros"
"M0639" "Ndulo reumatoide, sitio no especificado"
"M0640" "Poliartropata inflamatoria, sitios mltiples"
"M0641" "Poliartropata inflamatoria, regin del hombro"
"M0642" "Poliartropata inflamatoria, brazo"
"M0643" "Poliartropata inflamatoria, antebrazo"
"M0644" "Poliartropata inflamatoria, mano"
"M0645" "Poliartropata inflamatoria, regin pelviana y muslo"
"M0646" "Poliartropata inflamatoria, pierna"
"M0647" "Poliartropata inflamatoria, tobillo y pie"
"M0648" "Poliartropata inflamatoria, otros"
"M0649" "Poliartropata inflamatoria, sitio no especificado"
"M0680" "Otras artritis reumatoides especificadas, sitios mltiples"
"M0681" "Otras artritis reumatoides especificadas, regin del hombro"
"M0682" "Otras artritis reumatoides especificadas, brazo"
"M0683" "Otras artritis reumatoides especificadas, antebrazo"
"M0684" "Otras artritis reumatoides especificadas, mano"
"M0685" "Otras artritis reumatoides especificadas, regin pelviana y muslo"
"M0686" "Otras artritis reumatoides especificadas, pierna"
"M0687" "Otras artritis reumatoides especificadas, tobillo y pie"
"M0688" "Otras artritis reumatoides especificadas, otros"
"M0689" "Otras artritis reumatoides especificadas, sitio no especificado"
"M0690" "Artritis reumatoide, no especificada, sitios mltiples"
"M0691" "Artritis reumatoide, no especificada, regin del hombro"
"M0692" "Artritis reumatoide, no especificada, brazo"
"M0693" "Artritis reumatoide, no especificada, antebrazo"
"M0694" "Artritis reumatoide, no especificada, mano"
"M0695" "Artritis reumatoide, no especificada, regin pelviana y muslo"
"M0696" "Artritis reumatoide, no especificada, pierna"
"M0697" "Artritis reumatoide, no especificada, tobillo y pie"
"M0698" "Artritis reumatoide, no especificada, otros"
"M0699" "Artritis reumatoide, no especificada, sitio no especificado"
"M0700" "Artropata psorisica interfalngica distal, sitios mltiples"
"M0701" "Artropata psorisica interfalngica distal, regin del hombro"
"M0702" "Artropata psorisica interfalngica distal, brazo"
"M0703" "Artropata psorisica interfalngica distal, antebrazo"
"M1009" "Gota idioptica, sitio no especificado"
"M0704" "Artropata psorisica interfalngica distal, mano"
"M0705" "Artropata psorisica interfalngica distal, regin pelviana y muslo"
"M0706" "Artropata psorisica interfalngica distal, pierna"
"M0707" "Artropata psorisica interfalngica distal, tobillo y pie"
"M0708" "Artropata psorisica interfalngica distal, otros"
"M0709" "Artropata psorisica interfalngica distal, sitio no especificado"
"M0710" "Artritis mutilante, sitios mltiples"
"M0711" "Artritis mutilante, regin del hombro"
"M0712" "Artritis mutilante, brazo"
"M0713" "Artritis mutilante, antebrazo"
"M0714" "Artritis mutilante, mano"
"M0715" "Artritis mutilante, regin pelviana y muslo"
"M0716" "Artritis mutilante, pierna"
"M0717" "Artritis mutilante, tobillo y pie"
"M0718" "Artritis mutilante, otros"
"M0719" "Artritis mutilante, sitio no especificado"
"M0720" "Espondilitis psorisica, sitios mltiples"
"M0721" "Espondilitis psorisica, regin del hombro"
"M0722" "Espondilitis psorisica, brazo"
"M0723" "Espondilitis psorisica, antebrazo"
"M0724" "Espondilitis psorisica, mano"
"M0725" "Espondilitis psorisica, regin pelviana y muslo"
"M0726" "Espondilitis psorisica, pierna"
"M0727" "Espondilitis psorisica, tobillo y pie"
"M0728" "Espondilitis psorisica, otros"
"M0729" "Espondilitis psorisica, sitio no especificado"
"M0730" "Otras artropatas psorisicas, sitios mltiples"
"M0731" "Otras artropatas psorisicas, regin del hombro"
"M0732" "Otras artropatas psorisicas, brazo"
"M0733" "Otras artropatas psorisicas, antebrazo"
"M0734" "Otras artropatas psorisicas, mano"
"M0735" "Otras artropatas psorisicas, regin pelviana y muslo"
"M0736" "Otras artropatas psorisicas, pierna"
"M0737" "Otras artropatas psorisicas, tobillo y pie"
"M0738" "Otras artropatas psorisicas, otros"
"M0739" "Otras artropatas psorisicas, sitio no especificado"
"M0740" "Artropata en la enfermedad de Crohn  enteritis regional , sitios mltiples"
"M0741" "Artropata en la enfermedad de Crohn  enteritis regional , regin del hombro"
"M0742" "Artropata en la enfermedad de Crohn  enteritis regional , brazo"
"M0743" "Artropata en la enfermedad de Crohn  enteritis regional , antebrazo"
"M0744" "Artropata en la enfermedad de Crohn  enteritis regional , mano"
"M0745" "Artropata en la enfermedad de Crohn  enteritis regional , regin pelviana y muslo"
"M0746" "Artropata en la enfermedad de Crohn  enteritis regional , pierna"
"M0747" "Artropata en la enfermedad de Crohn  enteritis regional , tobillo y pie"
"M0748" "Artropata en la enfermedad de Crohn  enteritis regional , otros"
"M0749" "Artropata en la enfermedad de Crohn  enteritis regional , sitio no especificado"
"M0750" "Artropata en la colitis ulcerativa, sitios mltiples"
"M0751" "Artropata en la colitis ulcerativa, regin del hombro"
"M0752" "Artropata en la colitis ulcerativa, brazo"
"M0753" "Artropata en la colitis ulcerativa, antebrazo"
"M0754" "Artropata en la colitis ulcerativa, mano"
"M0755" "Artropata en la colitis ulcerativa, regin pelviana y muslo"
"M0756" "Artropata en la colitis ulcerativa, pierna"
"M0757" "Artropata en la colitis ulcerativa, tobillo y pie"
"M0758" "Artropata en la colitis ulcerativa, otros"
"M0759" "Artropata en la colitis ulcerativa, sitio no especificado"
"M0760" "Otras artropatas enteropticas, sitios mltiples"
"M0761" "Otras artropatas enteropticas, regin del hombro"
"M0762" "Otras artropatas enteropticas, brazo"
"M0763" "Otras artropatas enteropticas, antebrazo"
"M0764" "Otras artropatas enteropticas, mano"
"M0765" "Otras artropatas enteropticas, regin pelviana y muslo"
"M0766" "Otras artropatas enteropticas, pierna"
"M0767" "Otras artropatas enteropticas, tobillo y pie"
"M0768" "Otras artropatas enteropticas, otros"
"M0769" "Otras artropatas enteropticas, sitio no especificado"
"M1000" "Gota idioptica, sitios mltiples"
"M1001" "Gota idioptica, regin del hombro"
"M1002" "Gota idioptica, brazo"
"M1003" "Gota idioptica, antebrazo"
"M1004" "Gota idioptica, mano"
"M1005" "Gota idioptica, regin pelviana y muslo"
"M1006" "Gota idioptica, pierna"
"M1007" "Gota idioptica, tobillo y pie"
"M1008" "Gota idioptica, otros"
"M1020" "Gota inducida por drogas, sitios mltiples"
"M1021" "Gota inducida por drogas, regin del hombro"
"M1022" "Gota inducida por drogas, brazo"
"M1023" "Gota inducida por drogas, antebrazo"
"M1024" "Gota inducida por drogas, mano"
"M1025" "Gota inducida por drogas, regin pelviana y muslo"
"M1026" "Gota inducida por drogas, pierna"
"M1027" "Gota inducida por drogas, tobillo y pie"
"M1028" "Gota inducida por drogas, otros"
"M1029" "Gota inducida por drogas, sitio no especificado"
"M1030" "Gota debida a alteracin renal, sitios mltiples"
"M1031" "Gota debida a alteracin renal, regin del hombro"
"M1032" "Gota debida a alteracin renal, brazo"
"M1033" "Gota debida a alteracin renal, antebrazo"
"M1034" "Gota debida a alteracin renal, mano"
"M1035" "Gota debida a alteracin renal, regin pelviana y muslo"
"M1036" "Gota debida a alteracin renal, pierna"
"M1037" "Gota debida a alteracin renal, tobillo y pie"
"M1038" "Gota debida a alteracin renal, otros"
"M1039" "Gota debida a alteracin renal, sitio no especificado"
"M1040" "Otras gotas secundarias, sitios mltiples"
"M1041" "Otras gotas secundarias, regin del hombro"
"M1042" "Otras gotas secundarias, brazo"
"M1043" "Otras gotas secundarias, antebrazo"
"M1044" "Otras gotas secundarias, mano"
"M1045" "Otras gotas secundarias, regin pelviana y muslo"
"M1046" "Otras gotas secundarias, pierna"
"M1047" "Otras gotas secundarias, tobillo y pie"
"M1048" "Otras gotas secundarias, otros"
"M1049" "Otras gotas secundarias, sitio no especificado"
"M1090" "Gota, no especificada, sitios mltiples"
"M1091" "Gota, no especificada, regin del hombro"
"M1092" "Gota, no especificada, brazo"
"M1093" "Gota, no especificada, antebrazo"
"M1094" "Gota, no especificada, mano"
"M1095" "Gota, no especificada, regin pelviana y muslo"
"M1096" "Gota, no especificada, pierna"
"M1097" "Gota, no especificada, tobillo y pie"
"M1098" "Gota, no especificada, otros"
"M1099" "Gota, no especificada, sitio no especificado"
"M1100" "Enfermedad por depsito de hidroxiapatita, sitios mltiples"
"M1101" "Enfermedad por depsito de hidroxiapatita, regin del hombro"
"M1102" "Enfermedad por depsito de hidroxiapatita, brazo"
"M1103" "Enfermedad por depsito de hidroxiapatita, antebrazo"
"M1104" "Enfermedad por depsito de hidroxiapatita, mano"
"M1105" "Enfermedad por depsito de hidroxiapatita, regin pelviana y muslo"
"M1106" "Enfermedad por depsito de hidroxiapatita, pierna"
"M1107" "Enfermedad por depsito de hidroxiapatita, tobillo y pie"
"M1108" "Enfermedad por depsito de hidroxiapatita, otros"
"M1109" "Enfermedad por depsito de hidroxiapatita, sitio no especificado"
"M1110" "Condrocalcinosis familiar, sitios mltiples"
"M1111" "Condrocalcinosis familiar, regin del hombro"
"M1112" "Condrocalcinosis familiar, brazo"
"M1113" "Condrocalcinosis familiar, antebrazo"
"M1114" "Condrocalcinosis familiar, mano"
"M1115" "Condrocalcinosis familiar, regin pelviana y muslo"
"M1116" "Condrocalcinosis familiar, pierna"
"M1117" "Condrocalcinosis familiar, tobillo y pie"
"M1118" "Condrocalcinosis familiar, otros"
"M1119" "Condrocalcinosis familiar, sitio no especificado"
"M1120" "Otras condrocalcinosis, sitios mltiples"
"M1121" "Otras condrocalcinosis, regin del hombro"
"M1122" "Otras condrocalcinosis, brazo"
"M1123" "Otras condrocalcinosis, antebrazo"
"M1124" "Otras condrocalcinosis, mano"
"M1125" "Otras condrocalcinosis, regin pelviana y muslo"
"M1126" "Otras condrocalcinosis, pierna"
"M1127" "Otras condrocalcinosis, tobillo y pie"
"M1128" "Otras condrocalcinosis, otros"
"M1129" "Otras condrocalcinosis, sitio no especificado"
"M1180" "Otras artropatas por cristales, especificadas, sitios mltiples"
"M1181" "Otras artropatas por cristales, especificadas, regin del hombro"
"M1182" "Otras artropatas por cristales, especificadas, brazo"
"M1183" "Otras artropatas por cristales, especificadas, antebrazo"
"M1184" "Otras artropatas por cristales, especificadas, mano"
"M1185" "Otras artropatas por cristales, especificadas, regin pelviana y muslo"
"M1186" "Otras artropatas por cristales, especificadas, pierna"
"M1187" "Otras artropatas por cristales, especificadas, tobillo y pie"
"M1188" "Otras artropatas por cristales, especificadas, otros"
"M1189" "Otras artropatas por cristales, especificadas, sitio no especificado"
"M1190" "Artropata por cristales, no especificada, sitios mltiples"
"M1191" "Artropata por cristales, no especificada, regin del hombro"
"M1192" "Artropata por cristales, no especificada, brazo"
"M1193" "Artropata por cristales, no especificada, antebrazo"
"M1194" "Artropata por cristales, no especificada, mano"
"M1195" "Artropata por cristales, no especificada, regin pelviana y muslo"
"M1196" "Artropata por cristales, no especificada, pierna"
"M1197" "Artropata por cristales, no especificada, tobillo y pie"
"M1198" "Artropata por cristales, no especificada, otros"
"M1199" "Artropata por cristales, no especificada, sitio no especificado"
"M1200" "Artropata postraumtica crnica  de Jaccoud , sitios mltiples"
"M1201" "Artropata postraumtica crnica  de Jaccoud , regin del hombro"
"M1202" "Artropata postraumtica crnica  de Jaccoud , brazo"
"M1203" "Artropata postraumtica crnica  de Jaccoud , antebrazo"
"M1204" "Artropata postraumtica crnica  de Jaccoud , mano"
"M1205" "Artropata postraumtica crnica  de Jaccoud , regin pelviana y muslo"
"M1206" "Artropata postraumtica crnica  de Jaccoud , pierna"
"M1207" "Artropata postraumtica crnica  de Jaccoud , tobillo y pie"
"M1208" "Artropata postraumtica crnica  de Jaccoud , otros"
"M1209" "Artropata postraumtica crnica  de Jaccoud , sitio no especificado"
"M1210" "Enfermedad de Kaschin-Beck, sitios mltiples"
"M1211" "Enfermedad de Kaschin-Beck, regin del hombro"
"M1212" "Enfermedad de Kaschin-Beck, brazo"
"M1213" "Enfermedad de Kaschin-Beck, antebrazo"
"M1214" "Enfermedad de Kaschin-Beck, mano"
"M1215" "Enfermedad de Kaschin-Beck, regin pelviana y muslo"
"M1216" "Enfermedad de Kaschin-Beck, pierna"
"M1217" "Enfermedad de Kaschin-Beck, tobillo y pie"
"M1218" "Enfermedad de Kaschin-Beck, otros"
"M1219" "Enfermedad de Kaschin-Beck, sitio no especificado"
"M1220" "Sinovitis vellonodular (pigmentada), sitios mltiples"
"M1221" "Sinovitis vellonodular (pigmentada), regin del hombro"
"M1222" "Sinovitis vellonodular (pigmentada), brazo"
"M1223" "Sinovitis vellonodular (pigmentada), antebrazo"
"M1224" "Sinovitis vellonodular (pigmentada), mano"
"M1225" "Sinovitis vellonodular (pigmentada), regin pelviana y muslo"
"M1226" "Sinovitis vellonodular (pigmentada), pierna"
"M1227" "Sinovitis vellonodular (pigmentada), tobillo y pie"
"M1228" "Sinovitis vellonodular (pigmentada), otros"
"M1229" "Sinovitis vellonodular (pigmentada), sitio no especificado"
"M1230" "Reumatismo palindrmico, sitios mltiples"
"M1231" "Reumatismo palindrmico, regin del hombro"
"M1232" "Reumatismo palindrmico, brazo"
"M1233" "Reumatismo palindrmico, antebrazo"
"M1234" "Reumatismo palindrmico, mano"
"M1235" "Reumatismo palindrmico, regin pelviana y muslo"
"M1236" "Reumatismo palindrmico, pierna"
"M1237" "Reumatismo palindrmico, tobillo y pie"
"M1238" "Reumatismo palindrmico, otros"
"M1239" "Reumatismo palindrmico, sitio no especificado"
"M1240" "Hidrartrosis intermitente, sitios mltiples"
"M1241" "Hidrartrosis intermitente, regin del hombro"
"M1242" "Hidrartrosis intermitente, brazo"
"M1243" "Hidrartrosis intermitente, antebrazo"
"M1244" "Hidrartrosis intermitente, mano"
"M1245" "Hidrartrosis intermitente, regin pelviana y muslo"
"M1246" "Hidrartrosis intermitente, pierna"
"M1247" "Hidrartrosis intermitente, tobillo y pie"
"M1248" "Hidrartrosis intermitente, otros"
"M1249" "Hidrartrosis intermitente, sitio no especificado"
"M1250" "Artropata traumtica, sitios mltiples"
"M1251" "Artropata traumtica, regin del hombro"
"M1252" "Artropata traumtica, brazo"
"M1253" "Artropata traumtica, antebrazo"
"M1254" "Artropata traumtica, mano"
"M1255" "Artropata traumtica, regin pelviana y muslo"
"M1256" "Artropata traumtica, pierna"
"M1257" "Artropata traumtica, tobillo y pie"
"M1258" "Artropata traumtica, otros"
"M1259" "Artropata traumtica, sitio no especificado"
"M1280" "Otras artropatas especficas, no clasificadas en otra parte, sitios mltiples"
"M1281" "Otras artropatas especficas, no clasificadas en otra parte, regin del hombro"
"M1282" "Otras artropatas especficas, no clasificadas en otra parte, brazo"
"M1283" "Otras artropatas especficas, no clasificadas en otra parte, antebrazo"
"M1284" "Otras artropatas especficas, no clasificadas en otra parte, mano"
"M1285" "Otras artropatas especficas, no clasificadas en otra parte, regin pelviana y muslo"
"M1286" "Otras artropatas especficas, no clasificadas en otra parte, pierna"
"M1287" "Otras artropatas especficas, no clasificadas en otra parte, tobillo y pie"
"M1288" "Otras artropatas especficas, no clasificadas en otra parte, otros"
"M1289" "Otras artropatas especficas, no clasificadas en otra parte, sitio no especificado"
"M1300" "Poliartritis, no especificada, sitios mltiples"
"M1301" "Poliartritis, no especificada, regin del hombro"
"M1302" "Poliartritis, no especificada, brazo"
"M1303" "Poliartritis, no especificada, antebrazo"
"M1304" "Poliartritis, no especificada, mano"
"M1305" "Poliartritis, no especificada, regin pelviana y muslo"
"M1306" "Poliartritis, no especificada, pierna"
"M1307" "Poliartritis, no especificada, tobillo y pie"
"M1308" "Poliartritis, no especificada, otros"
"M1309" "Poliartritis, no especificada, sitio no especificado"
"M1310" "Monoartritis, no clasificada en otra parte, sitios mltiples"
"M1311" "Monoartritis, no clasificada en otra parte, regin del hombro"
"M1312" "Monoartritis, no clasificada en otra parte, brazo"
"M1313" "Monoartritis, no clasificada en otra parte, antebrazo"
"M1314" "Monoartritis, no clasificada en otra parte, mano"
"M1315" "Monoartritis, no clasificada en otra parte, regin pelviana y muslo"
"M1316" "Monoartritis, no clasificada en otra parte, pierna"
"M1317" "Monoartritis, no clasificada en otra parte, tobillo y pie"
"M1318" "Monoartritis, no clasificada en otra parte, otros"
"M1319" "Monoartritis, no clasificada en otra parte, sitio no especificado"
"M1380" "Otras artritis especificadas, sitios mltiples"
"M1381" "Otras artritis especificadas, regin del hombro"
"M1382" "Otras artritis especificadas, brazo"
"M1383" "Otras artritis especificadas, antebrazo"
"M1384" "Otras artritis especificadas, mano"
"M1385" "Otras artritis especificadas, regin pelviana y muslo"
"M1386" "Otras artritis especificadas, pierna"
"M1387" "Otras artritis especificadas, tobillo y pie"
"M1388" "Otras artritis especificadas, otros"
"M1389" "Otras artritis especificadas, sitio no especificado"
"M1390" "Artritis, no especificada, sitios mltiples"
"M1391" "Artritis, no especificada, regin del hombro"
"M1392" "Artritis, no especificada, brazo"
"M1393" "Artritis, no especificada, antebrazo"
"M1394" "Artritis, no especificada, mano"
"M1395" "Artritis, no especificada, regin pelviana y muslo"
"M1396" "Artritis, no especificada, pierna"
"M1397" "Artritis, no especificada, tobillo y pie"
"M1398" "Artritis, no especificada, otros"
"M1399" "Artritis, no especificada, sitio no especificado"
"M1900" "Artrosis primaria de otras articulaciones, sitios mltiples"
"M1901" "Artrosis primaria de otras articulaciones, regin del hombro"
"M1902" "Artrosis primaria de otras articulaciones, brazo"
"M1903" "Artrosis primaria de otras articulaciones, antebrazo"
"M1904" "Artrosis primaria de otras articulaciones, mano"
"M1905" "Artrosis primaria de otras articulaciones, regin pelviana y muslo"
"M1906" "Artrosis primaria de otras articulaciones, pierna"
"M1907" "Artrosis primaria de otras articulaciones, tobillo y pie"
"M1908" "Artrosis primaria de otras articulaciones, otros"
"M1909" "Artrosis primaria de otras articulaciones, sitio no especificado"
"M1910" "Artrosis postraumtica de otras articulaciones, sitios mltiples"
"M1911" "Artrosis postraumtica de otras articulaciones, regin del hombro"
"M1912" "Artrosis postraumtica de otras articulaciones, brazo"
"M1913" "Artrosis postraumtica de otras articulaciones, antebrazo"
"M1914" "Artrosis postraumtica de otras articulaciones, mano"
"M1915" "Artrosis postraumtica de otras articulaciones, regin pelviana y muslo"
"M1916" "Artrosis postraumtica de otras articulaciones, pierna"
"M1917" "Artrosis postraumtica de otras articulaciones, tobillo y pie"
"M1918" "Artrosis postraumtica de otras articulaciones, otros"
"M1919" "Artrosis postraumtica de otras articulaciones, sitio no especificado"
"M1920" "Otras artrosis secundarias, sitios mltiples"
"M1921" "Otras artrosis secundarias, regin del hombro"
"M1922" "Otras artrosis secundarias, brazo"
"M1923" "Otras artrosis secundarias, antebrazo"
"M1924" "Otras artrosis secundarias, mano"
"M1925" "Otras artrosis secundarias, regin pelviana y muslo"
"M1926" "Otras artrosis secundarias, pierna"
"M1927" "Otras artrosis secundarias, tobillo y pie"
"M1928" "Otras artrosis secundarias, otros"
"M1929" "Otras artrosis secundarias, sitio no especificado"
"M1980" "Otras artrosis especificadas, sitios mltiples"
"M1981" "Otras artrosis especificadas, regin del hombro"
"M1982" "Otras artrosis especificadas, brazo"
"M1983" "Otras artrosis especificadas, antebrazo"
"M1984" "Otras artrosis especificadas, mano"
"M1985" "Otras artrosis especificadas, regin pelviana y muslo"
"M1986" "Otras artrosis especificadas, pierna"
"M1987" "Otras artrosis especificadas, tobillo y pie"
"M1988" "Otras artrosis especificadas, otros"
"M1989" "Otras artrosis especificadas, sitio no especificado"
"M1990" "Artrosis, no especificada, sitios mltiples"
"M1991" "Artrosis, no especificada, regin del hombro"
"M1992" "Artrosis, no especificada, brazo"
"M1993" "Artrosis, no especificada, antebrazo"
"M1994" "Artrosis, no especificada, mano"
"M1995" "Artrosis, no especificada, regin pelviana y muslo"
"M1996" "Artrosis, no especificada, pierna"
"M1997" "Artrosis, no especificada, tobillo y pie"
"M1998" "Artrosis, no especificada, otros"
"M1999" "Artrosis, no especificada, sitio no especificado"
"M2300" "Menisco qustico, sitios mltiples"
"M2301" "Menisco qustico, ligamento cruzado anterior o asta anterior del menisco interno"
"M2302" "Menisco qustico, ligamento cruzado posterior o asta posterior del menisco interno"
"M2303" "Menisco qustico, ligamento colateral interno u otro menisco interno y el no especificado"
"M2304" "Menisco qustico, ligamento colateral externo o asta anterior del menisco externo"
"M2305" "Menisco qustico, ligamento colateral externo o asta posterior del menisco externo"
"M2306" "Menisco qustico, ligamento colateral externo u otro menisco externo y el no especificado"
"M2307" "Menisco qustico, ligamento capsular"
"M2309" "Menisco qustico, ligamento no especificado o menisco no especificado"
"M2310" "Menisco discoide (congnito), sitios mltiples"
"M2311" "Menisco discoide (congnito), ligamento cruzado anterior o asta anterior del menisco interno"
"M2312" "Menisco discoide (congnito), ligamento cruzado posterior o asta posterior del menisco interno"
"M2313" "Menisco discoide (congnito), ligamento colateral interno u otro menisco interno y el no especificado"
"M2314" "Menisco discoide (congnito), ligamento colateral externo o asta anterior del menisco externo"
"M2315" "Menisco discoide (congnito), ligamento colateral externo o asta posterior del menisco externo"
"M2316" "Menisco discoide (congnito), ligamento colateral externo u otro menisco externo y el no especificado"
"M2317" "Menisco discoide (congnito), ligamento capsular"
"M2319" "Menisco discoide (congnito), ligamento no especificado o menisco no especificado"
"M2320" "Trastorno de menisco debido a desgarro o lesin antigua, sitios mltiples"
"M2321" "Trastorno de menisco debido a desgarro o lesin antigua, ligamento cruzado anterior o asta anterior del menisco interno"
"M2322" "Trastorno de menisco debido a desgarro o lesin antigua, ligamento cruzado posterior o asta posterior del menisco interno"
"M2323" "Trastorno de menisco debido a desgarro o lesin antigua, ligamento colateral interno u otro menisco interno y el no especificado"
"M2324" "Trastorno de menisco debido a desgarro o lesin antigua, ligamento colateral externo o asta anterior del menisco externo"
"M2325" "Trastorno de menisco debido a desgarro o lesin antigua, ligamento colateral externo o asta posterior del menisco externo"
"M2326" "Trastorno de menisco debido a desgarro o lesin antigua, ligamento colateral externo u otro menisco externo y el no especificado"
"M2327" "Trastorno de menisco debido a desgarro o lesin antigua, ligamento capsular"
"M2329" "Trastorno de menisco debido a desgarro o lesin antigua, ligamento no especificado o menisco no especificado"
"M2330" "Otros trastornos de los meniscos, sitios mltiples"
"M2331" "Otros trastornos de los meniscos, ligamento cruzado anterior o asta anterior del menisco interno"
"M2332" "Otros trastornos de los meniscos, ligamento cruzado posterior o asta posterior del menisco interno"
"M2333" "Otros trastornos de los meniscos, ligamento colateral interno u otro menisco interno y el no especificado"
"M2334" "Otros trastornos de los meniscos, ligamento colateral externo o asta anterior del menisco externo"
"M2335" "Otros trastornos de los meniscos, ligamento colateral externo o asta posterior del menisco externo"
"M2336" "Otros trastornos de los meniscos, ligamento colateral externo u otro menisco externo y el no especificado"
"M2337" "Otros trastornos de los meniscos, ligamento capsular"
"M2339" "Otros trastornos de los meniscos, ligamento no especificado o menisco no especificado"
"M2340" "Cuerpo flotante en la rodilla, sitios mltiples"
"M2341" "Cuerpo flotante en la rodilla, ligamento cruzado anterior o asta anterior del menisco interno"
"M2342" "Cuerpo flotante en la rodilla, ligamento cruzado posterior o asta posterior del menisco interno"
"M2343" "Cuerpo flotante en la rodilla, ligamento colateral interno u otro menisco interno y el no especificado"
"M2344" "Cuerpo flotante en la rodilla, ligamento colateral externo o asta anterior del menisco externo"
"M2345" "Cuerpo flotante en la rodilla, ligamento colateral externo o asta posterior del menisco externo"
"M2346" "Cuerpo flotante en la rodilla, ligamento colateral externo u otro menisco externo y el no especificado"
"M2347" "Cuerpo flotante en la rodilla, ligamento capsular"
"M2349" "Cuerpo flotante en la rodilla, ligamento no especificado o menisco no especificado"
"M2350" "Inestabilidad crnica de la rodilla, sitios mltiples"
"M2351" "Inestabilidad crnica de la rodilla, ligamento cruzado anterior o asta anterior del menisco interno"
"M2352" "Inestabilidad crnica de la rodilla, ligamento cruzado posterior o asta posterior del menisco interno"
"M2353" "Inestabilidad crnica de la rodilla, ligamento colateral interno u otro menisco interno y el no especificado"
"M2354" "Inestabilidad crnica de la rodilla, ligamento colateral externo o asta anterior del menisco externo"
"M2355" "Inestabilidad crnica de la rodilla, ligamento colateral externo o asta posterior del menisco externo"
"M2356" "Inestabilidad crnica de la rodilla, ligamento colateral externo u otro menisco externo y el no especificado"
"M2357" "Inestabilidad crnica de la rodilla, ligamento capsular"
"M2359" "Inestabilidad crnica de la rodilla, ligamento no especificado o menisco no especificado"
"M2360" "Otra ruptura espontnea del (de los) ligamento(s) de la rodilla, sitios mltiples"
"M2361" "Otra ruptura espontnea del (de los) ligamento(s) de la rodilla, ligamento cruzado anterior o asta anterior del menisco interno"
"M2362" "Otra ruptura espontnea del (de los) ligamento(s) de la rodilla, ligamento cruzado posterior o asta posterior del menisco interno"
"M2363" "Otra ruptura espontnea del (de los) ligamento(s) de la rodilla, ligamento colateral interno u otro menisco interno y el no especificado"
"M2364" "Otra ruptura espontnea del (de los) ligamento(s) de la rodilla, ligamento colateral externo o asta anterior del menisco externo"
"M2365" "Otra ruptura espontnea del (de los) ligamento(s) de la rodilla, ligamento colateral externo o asta posterior del menisco externo"
"M2366" "Otra ruptura espontnea del (de los) ligamento(s) de la rodilla, ligamento colateral externo u otro menisco externo y el no especificado"
"M2367" "Otra ruptura espontnea del (de los) ligamento(s) de la rodilla, ligamento capsular"
"M2369" "Otra ruptura espontnea del (de los) ligamento(s) de la rodilla, ligamento no especificado o menisco no especificado"
"M2380" "Otros trastornos internos de la rodilla, sitios mltiples"
"M2381" "Otros trastornos internos de la rodilla, ligamento cruzado anterior o asta anterior del menisco interno"
"M2382" "Otros trastornos internos de la rodilla, ligamento cruzado posterior o asta posterior del menisco interno"
"M2383" "Otros trastornos internos de la rodilla, ligamento colateral interno u otro menisco interno y el no especificado"
"M2384" "Otros trastornos internos de la rodilla, ligamento colateral externo o asta anterior del menisco externo"
"M2385" "Otros trastornos internos de la rodilla, ligamento colateral externo o asta posterior del menisco externo"
"M2386" "Otros trastornos internos de la rodilla, ligamento colateral externo u otro menisco externo y el no especificado"
"M2387" "Otros trastornos internos de la rodilla, ligamento capsular"
"M2389" "Otros trastornos internos de la rodilla, ligamento no especificado o menisco no especificado"
"M2390" "Trastorno interno de la rodilla, no especificado, sitios mltiples"
"M2391" "Trastorno interno de la rodilla, no especificado, ligamento cruzado anterior o asta anterior del menisco interno"
"M2392" "Trastorno interno de la rodilla, no especificado, ligamento cruzado posterior o asta posterior del menisco interno"
"M2393" "Trastorno interno de la rodilla, no especificado, ligamento colateral interno u otro menisco interno y el no especificado"
"M2394" "Trastorno interno de la rodilla, no especificado, ligamento colateral externo o asta anterior del menisco externo"
"M2395" "Trastorno interno de la rodilla, no especificado, ligamento colateral externo o asta posterior del menisco externo"
"M2396" "Trastorno interno de la rodilla, no especificado, ligamento colateral externo u otro menisco externo y el no especificado"
"M2397" "Trastorno interno de la rodilla, no especificado, ligamento capsular"
"M2399" "Trastorno interno de la rodilla, no especificado, ligamento no especificado o menisco no especificado"
"M2400" "Cuerpo flotante articular, sitios mltiples"
"M2401" "Cuerpo flotante articular, regin del hombro"
"M2402" "Cuerpo flotante articular, brazo"
"M2403" "Cuerpo flotante articular, antebrazo"
"M2404" "Cuerpo flotante articular, mano"
"M2405" "Cuerpo flotante articular, regin pelviana y muslo"
"M2406" "Cuerpo flotante articular, pierna"
"M2407" "Cuerpo flotante articular, tobillo y pie"
"M2408" "Cuerpo flotante articular, otros"
"M2409" "Cuerpo flotante articular, sitio no especificado"
"M2410" "Otros trastornos del cartlago articular, sitios mltiples"
"M2411" "Otros trastornos del cartlago articular, regin del hombro"
"M2412" "Otros trastornos del cartlago articular, brazo"
"M2413" "Otros trastornos del cartlago articular, antebrazo"
"M2414" "Otros trastornos del cartlago articular, mano"
"M2415" "Otros trastornos del cartlago articular, regin pelviana y muslo"
"M2416" "Otros trastornos del cartlago articular, pierna"
"M2417" "Otros trastornos del cartlago articular, tobillo y pie"
"M2418" "Otros trastornos del cartlago articular, otros"
"M2419" "Otros trastornos del cartlago articular, sitio no especificado"
"M2420" "Trastorno del ligamento, sitios mltiples"
"M2421" "Trastorno del ligamento, regin del hombro"
"M2422" "Trastorno del ligamento, brazo"
"M2423" "Trastorno del ligamento, antebrazo"
"M2424" "Trastorno del ligamento, mano"
"M2425" "Trastorno del ligamento, regin pelviana y muslo"
"M2426" "Trastorno del ligamento, pierna"
"M2427" "Trastorno del ligamento, tobillo y pie"
"M2428" "Trastorno del ligamento, otros"
"M2429" "Trastorno del ligamento, sitio no especificado"
"M2430" "Luxacin y subluxacin patolgica de la articulacin, no clasificada en otra parte, sitios mltiples"
"M2431" "Luxacin y subluxacin patolgica de la articulacin, no clasificada en otra parte, regin del hombro"
"M2432" "Luxacin y subluxacin patolgica de la articulacin, no clasificada en otra parte, brazo"
"M2433" "Luxacin y subluxacin patolgica de la articulacin, no clasificada en otra parte, antebrazo"
"M2434" "Luxacin y subluxacin patolgica de la articulacin, no clasificada en otra parte, mano"
"M2435" "Luxacin y subluxacin patolgica de la articulacin, no clasificada en otra parte, regin pelviana y muslo"
"M2436" "Luxacin y subluxacin patolgica de la articulacin, no clasificada en otra parte, pierna"
"M2437" "Luxacin y subluxacin patolgica de la articulacin, no clasificada en otra parte, tobillo y pie"
"M2438" "Luxacin y subluxacin patolgica de la articulacin, no clasificada en otra parte, otros"
"M2439" "Luxacin y subluxacin patolgica de la articulacin, no clasificada en otra parte, sitio no especificado"
"M2440" "Luxacin y subluxacin recidivante de la articulacin, sitios mltiples"
"M2441" "Luxacin y subluxacin recidivante de la articulacin, regin del hombro"
"M2442" "Luxacin y subluxacin recidivante de la articulacin, brazo"
"M2443" "Luxacin y subluxacin recidivante de la articulacin, antebrazo"
"M2444" "Luxacin y subluxacin recidivante de la articulacin, mano"
"M2445" "Luxacin y subluxacin recidivante de la articulacin, regin pelviana y muslo"
"M2446" "Luxacin y subluxacin recidivante de la articulacin, pierna"
"M2447" "Luxacin y subluxacin recidivante de la articulacin, tobillo y pie"
"M2448" "Luxacin y subluxacin recidivante de la articulacin, otros"
"M2449" "Luxacin y subluxacin recidivante de la articulacin, sitio no especificado"
"M2450" "Contractura articular, sitios mltiples"
"M2451" "Contractura articular, regin del hombro"
"M2452" "Contractura articular, brazo"
"M2453" "Contractura articular, antebrazo"
"M2454" "Contractura articular, mano"
"M2455" "Contractura articular, regin pelviana y muslo"
"M2456" "Contractura articular, pierna"
"M2457" "Contractura articular, tobillo y pie"
"M2458" "Contractura articular, otros"
"M2459" "Contractura articular, sitio no especificado"
"M2460" "Anquilosis articular, sitios mltiples"
"M2461" "Anquilosis articular, regin del hombro"
"M2462" "Anquilosis articular, brazo"
"M2463" "Anquilosis articular, antebrazo"
"M2464" "Anquilosis articular, mano"
"M2465" "Anquilosis articular, regin pelviana y muslo"
"M2466" "Anquilosis articular, pierna"
"M2467" "Anquilosis articular, tobillo y pie"
"M2468" "Anquilosis articular, otros"
"M2469" "Anquilosis articular, sitio no especificado"
"M2470" "Protrusin de acetbulo, sitios mltiples"
"M2471" "Protrusin de acetbulo, regin del hombro"
"M2472" "Protrusin de acetbulo, brazo"
"M2473" "Protrusin de acetbulo, antebrazo"
"M2474" "Protrusin de acetbulo, mano"
"M2475" "Protrusin de acetbulo, regin pelviana y muslo"
"M2476" "Protrusin de acetbulo, pierna"
"M2477" "Protrusin de acetbulo, tobillo y pie"
"M2478" "Protrusin de acetbulo, otros"
"M2479" "Protrusin de acetbulo, sitio no especificado"
"M2480" "Otras lesiones articulares especficas, no clasificadas en otra parte, sitios mltiples"
"M2481" "Otras lesiones articulares especficas, no clasificadas en otra parte, regin del hombro"
"M2482" "Otras lesiones articulares especficas, no clasificadas en otra parte, brazo"
"M2483" "Otras lesiones articulares especficas, no clasificadas en otra parte, antebrazo"
"M2484" "Otras lesiones articulares especficas, no clasificadas en otra parte, mano"
"M2485" "Otras lesiones articulares especficas, no clasificadas en otra parte, regin pelviana y muslo"
"M2486" "Otras lesiones articulares especficas, no clasificadas en otra parte, pierna"
"M2487" "Otras lesiones articulares especficas, no clasificadas en otra parte, tobillo y pie"
"M2488" "Otras lesiones articulares especficas, no clasificadas en otra parte, otros"
"M2489" "Otras lesiones articulares especficas, no clasificadas en otra parte, sitio no especificado"
"M2490" "Desarreglo articular, no especificado, sitios mltiples"
"M2491" "Desarreglo articular, no especificado, regin del hombro"
"M2492" "Desarreglo articular, no especificado, brazo"
"M2493" "Desarreglo articular, no especificado, antebrazo"
"M2494" "Desarreglo articular, no especificado, mano"
"M2495" "Desarreglo articular, no especificado, regin pelviana y muslo"
"M2496" "Desarreglo articular, no especificado, pierna"
"M2497" "Desarreglo articular, no especificado, tobillo y pie"
"M2498" "Desarreglo articular, no especificado, otros"
"M2499" "Desarreglo articular, no especificado, sitio no especificado"
"M2500" "Hemartrosis, sitios mltiples"
"M2501" "Hemartrosis, regin del hombro"
"M2502" "Hemartrosis, brazo"
"M2503" "Hemartrosis, antebrazo"
"M2504" "Hemartrosis, mano"
"M2505" "Hemartrosis, regin pelviana y muslo"
"M2506" "Hemartrosis, pierna"
"M2507" "Hemartrosis, tobillo y pie"
"M2508" "Hemartrosis, otros"
"M2509" "Hemartrosis, sitio no especificado"
"M2510" "Fstula articular, sitios mltiples"
"M2511" "Fstula articular, regin del hombro"
"M2512" "Fstula articular, brazo"
"M2513" "Fstula articular, antebrazo"
"M2514" "Fstula articular, mano"
"M2515" "Fstula articular, regin pelviana y muslo"
"M2516" "Fstula articular, pierna"
"M2517" "Fstula articular, tobillo y pie"
"M2518" "Fstula articular, otros"
"M2519" "Fstula articular, sitio no especificado"
"M2520" "Articulacin inestable, sitios mltiples"
"M2521" "Articulacin inestable, regin del hombro"
"M2522" "Articulacin inestable, brazo"
"M2523" "Articulacin inestable, antebrazo"
"M2524" "Articulacin inestable, mano"
"M2525" "Articulacin inestable, regin pelviana y muslo"
"M2526" "Articulacin inestable, pierna"
"M2527" "Articulacin inestable, tobillo y pie"
"M2528" "Articulacin inestable, otros"
"M2529" "Articulacin inestable, sitio no especificado"
"M2530" "Otras inestabilidades articulares, sitios mltiples"
"M2531" "Otras inestabilidades articulares, regin del hombro"
"M2532" "Otras inestabilidades articulares, brazo"
"M2533" "Otras inestabilidades articulares, antebrazo"
"M2534" "Otras inestabilidades articulares, mano"
"M2535" "Otras inestabilidades articulares, regin pelviana y muslo"
"M2536" "Otras inestabilidades articulares, pierna"
"M2537" "Otras inestabilidades articulares, tobillo y pie"
"M2538" "Otras inestabilidades articulares, otros"
"M2539" "Otras inestabilidades articulares, sitio no especificado"
"M2540" "Derrame articular, sitios mltiples"
"M2541" "Derrame articular, regin del hombro"
"M2542" "Derrame articular, brazo"
"M2543" "Derrame articular, antebrazo"
"M2544" "Derrame articular, mano"
"M2545" "Derrame articular, regin pelviana y muslo"
"M2546" "Derrame articular, pierna"
"M2547" "Derrame articular, tobillo y pie"
"M2548" "Derrame articular, otros"
"M2549" "Derrame articular, sitio no especificado"
"M2550" "Dolor en articulacin, sitios mltiples"
"M2551" "Dolor en articulacin, regin del hombro"
"M2552" "Dolor en articulacin, brazo"
"M2553" "Dolor en articulacin, antebrazo"
"M2554" "Dolor en articulacin, mano"
"M2555" "Dolor en articulacin, regin pelviana y muslo"
"M2556" "Dolor en articulacin, pierna"
"M2557" "Dolor en articulacin, tobillo y pie"
"M2558" "Dolor en articulacin, otros"
"M2559" "Dolor en articulacin, sitio no especificado"
"M2560" "Rigidez articular, no clasificada en otra parte, sitios mltiples"
"M2561" "Rigidez articular, no clasificada en otra parte, regin del hombro"
"M2562" "Rigidez articular, no clasificada en otra parte, brazo"
"M2563" "Rigidez articular, no clasificada en otra parte, antebrazo"
"M2564" "Rigidez articular, no clasificada en otra parte, mano"
"M2565" "Rigidez articular, no clasificada en otra parte, regin pelviana y muslo"
"M2566" "Rigidez articular, no clasificada en otra parte, pierna"
"M2567" "Rigidez articular, no clasificada en otra parte, tobillo y pie"
"M2568" "Rigidez articular, no clasificada en otra parte, otros"
"M2569" "Rigidez articular, no clasificada en otra parte, sitio no especificado"
"M2570" "Osteofito, sitios mltiples"
"M2571" "Osteofito, regin del hombro"
"M2572" "Osteofito, brazo"
"M2573" "Osteofito, antebrazo"
"M2574" "Osteofito, mano"
"M2575" "Osteofito, regin pelviana y muslo"
"M2576" "Osteofito, pierna"
"M2577" "Osteofito, tobillo y pie"
"M2578" "Osteofito, otros"
"M2579" "Osteofito, sitio no especificado"
"M2580" "Otros trastornos articulares especificados, sitios mltiples"
"M2581" "Otros trastornos articulares especificados, regin del hombro"
"M2582" "Otros trastornos articulares especificados, brazo"
"M2583" "Otros trastornos articulares especificados, antebrazo"
"M2584" "Otros trastornos articulares especificados, mano"
"M2585" "Otros trastornos articulares especificados, regin pelviana y muslo"
"M2586" "Otros trastornos articulares especificados, pierna"
"M2587" "Otros trastornos articulares especificados, tobillo y pie"
"M2588" "Otros trastornos articulares especificados, otros"
"M2589" "Otros trastornos articulares especificados, sitio no especificado"
"M2590" "Trastorno articular, no especificado, sitios mltiples"
"M2591" "Trastorno articular, no especificado, regin del hombro"
"M2592" "Trastorno articular, no especificado, brazo"
"M2593" "Trastorno articular, no especificado, antebrazo"
"M2594" "Trastorno articular, no especificado, mano"
"M2595" "Trastorno articular, no especificado, regin pelviana y muslo"
"M2596" "Trastorno articular, no especificado, pierna"
"M2597" "Trastorno articular, no especificado, tobillo y pie"
"M2598" "Trastorno articular, no especificado, otros"
"M2599" "Trastorno articular, no especificado, sitio no especificado"
"M4000" "Cifosis postural, sitios mltiples de la columna vertebral"
"M4001" "Cifosis postural, regin occipitocervical"
"M4002" "Cifosis postural, regin cervical"
"M4003" "Cifosis postural, regin cervicotorcica"
"M4004" "Cifosis postural, regin torcica"
"M4005" "Cifosis postural, regin toracolumbar"
"M4006" "Cifosis postural, regin lumbar"
"M4007" "Cifosis postural, regin lumbosacra"
"M4008" "Cifosis postural, regin sacra y sacrococcgea"
"M4009" "Cifosis postural, sitio no especificado"
"M4010" "Otras cifosis secundarias, sitios mltiples de la columna vertebral"
"M4011" "Otras cifosis secundarias, regin occipitocervical"
"M4012" "Otras cifosis secundarias, regin cervical"
"M4013" "Otras cifosis secundarias, regin cervicotorcica"
"M4014" "Otras cifosis secundarias, regin torcica"
"M4015" "Otras cifosis secundarias, regin toracolumbar"
"M4016" "Otras cifosis secundarias, regin lumbar"
"M4017" "Otras cifosis secundarias, regin lumbosacra"
"M4018" "Otras cifosis secundarias, regin sacra y sacrococcgea"
"M4019" "Otras cifosis secundarias, sitio no especificado"
"M4020" "Otras cifosis y las no especificadas, sitios mltiples de la columna vertebral"
"M4021" "Otras cifosis y las no especificadas, regin occipitocervical"
"M4022" "Otras cifosis y las no especificadas, regin cervical"
"M4023" "Otras cifosis y las no especificadas, regin cervicotorcica"
"M4024" "Otras cifosis y las no especificadas, regin torcica"
"M4025" "Otras cifosis y las no especificadas, regin toracolumbar"
"M4026" "Otras cifosis y las no especificadas, regin lumbar"
"M4027" "Otras cifosis y las no especificadas, regin lumbosacra"
"M4028" "Otras cifosis y las no especificadas, regin sacra y sacrococcgea"
"M4029" "Otras cifosis y las no especificadas, sitio no especificado"
"M4030" "Sndrome de espalda plana, sitios mltiples de la columna vertebral"
"M4031" "Sndrome de espalda plana, regin occipitocervical"
"M4032" "Sndrome de espalda plana, regin cervical"
"M4033" "Sndrome de espalda plana, regin cervicotorcica"
"M4034" "Sndrome de espalda plana, regin torcica"
"M4035" "Sndrome de espalda plana, regin toracolumbar"
"M4036" "Sndrome de espalda plana, regin lumbar"
"M4037" "Sndrome de espalda plana, regin lumbosacra"
"M4038" "Sndrome de espalda plana, regin sacra y sacrococcgea"
"M4039" "Sndrome de espalda plana, sitio no especificado"
"M4040" "Otras lordosis, sitios mltiples de la columna vertebral"
"M4041" "Otras lordosis, regin occipitocervical"
"M4042" "Otras lordosis, regin cervical"
"M4043" "Otras lordosis, regin cervicotorcica"
"M4044" "Otras lordosis, regin torcica"
"M4045" "Otras lordosis, regin toracolumbar"
"M4046" "Otras lordosis, regin lumbar"
"M4047" "Otras lordosis, regin lumbosacra"
"M4048" "Otras lordosis, regin sacra y sacrococcgea"
"M4049" "Otras lordosis, sitio no especificado"
"M4050" "Lordosis, no especificada, sitios mltiples de la columna vertebral"
"M4051" "Lordosis, no especificada, regin occipitocervical"
"M4052" "Lordosis, no especificada, regin cervical"
"M4053" "Lordosis, no especificada, regin cervicotorcica"
"M4054" "Lordosis, no especificada, regin torcica"
"M4055" "Lordosis, no especificada, regin toracolumbar"
"M4056" "Lordosis, no especificada, regin lumbar"
"M4057" "Lordosis, no especificada, regin lumbosacra"
"M4058" "Lordosis, no especificada, regin sacra y sacrococcgea"
"M4059" "Lordosis, no especificada, sitio no especificado"
"M4100" "Escoliosis idioptica infantil, sitios mltiples de la columna vertebral"
"M4101" "Escoliosis idioptica infantil, regin occipitocervical"
"M4102" "Escoliosis idioptica infantil, regin cervical"
"M4103" "Escoliosis idioptica infantil, regin cervicotorcica"
"M4104" "Escoliosis idioptica infantil, regin torcica"
"M4105" "Escoliosis idioptica infantil, regin toracolumbar"
"M4106" "Escoliosis idioptica infantil, regin lumbar"
"M4107" "Escoliosis idioptica infantil, regin lumbosacra"
"M4108" "Escoliosis idioptica infantil, regin sacra y sacrococcgea"
"M4109" "Escoliosis idioptica infantil, sitio no especificado"
"M4110" "Escoliosis idioptica juvenil, sitios mltiples de la columna vertebral"
"M4111" "Escoliosis idioptica juvenil, regin occipitocervical"
"M4112" "Escoliosis idioptica juvenil, regin cervical"
"M4113" "Escoliosis idioptica juvenil, regin cervicotorcica"
"M4114" "Escoliosis idioptica juvenil, regin torcica"
"M4115" "Escoliosis idioptica juvenil, regin toracolumbar"
"M4116" "Escoliosis idioptica juvenil, regin lumbar"
"M4117" "Escoliosis idioptica juvenil, regin lumbosacra"
"M4118" "Escoliosis idioptica juvenil, regin sacra y sacrococcgea"
"M4119" "Escoliosis idioptica juvenil, sitio no especificado"
"M4120" "Otras escoliosis idiopticas, sitios mltiples de la columna vertebral"
"M4121" "Otras escoliosis idiopticas, regin occipitocervical"
"M4122" "Otras escoliosis idiopticas, regin cervical"
"M4123" "Otras escoliosis idiopticas, regin cervicotorcica"
"M4124" "Otras escoliosis idiopticas, regin torcica"
"M4125" "Otras escoliosis idiopticas, regin toracolumbar"
"M4126" "Otras escoliosis idiopticas, regin lumbar"
"M4127" "Otras escoliosis idiopticas, regin lumbosacra"
"M4128" "Otras escoliosis idiopticas, regin sacra y sacrococcgea"
"M4129" "Otras escoliosis idiopticas, sitio no especificado"
"M4130" "Escoliosis toracognica, sitios mltiples de la columna vertebral"
"M4131" "Escoliosis toracognica, regin occipitocervical"
"M4132" "Escoliosis toracognica, regin cervical"
"M4133" "Escoliosis toracognica, regin cervicotorcica"
"M4134" "Escoliosis toracognica, regin torcica"
"M4135" "Escoliosis toracognica, regin toracolumbar"
"M4136" "Escoliosis toracognica, regin lumbar"
"M4137" "Escoliosis toracognica, regin lumbosacra"
"M4138" "Escoliosis toracognica, regin sacra y sacrococcgea"
"M4139" "Escoliosis toracognica, sitio no especificado"
"M4140" "Escoliosis neuromuscular, sitios mltiples de la columna vertebral"
"M4141" "Escoliosis neuromuscular, regin occipitocervical"
"M4142" "Escoliosis neuromuscular, regin cervical"
"M4143" "Escoliosis neuromuscular, regin cervicotorcica"
"M4144" "Escoliosis neuromuscular, regin torcica"
"M4145" "Escoliosis neuromuscular, regin toracolumbar"
"M4146" "Escoliosis neuromuscular, regin lumbar"
"M4147" "Escoliosis neuromuscular, regin lumbosacra"
"M4148" "Escoliosis neuromuscular, regin sacra y sacrococcgea"
"M4149" "Escoliosis neuromuscular, sitio no especificado"
"M4150" "Otras escoliosis secundarias, sitios mltiples de la columna vertebral"
"M4151" "Otras escoliosis secundarias, regin occipitocervical"
"M4152" "Otras escoliosis secundarias, regin cervical"
"M4153" "Otras escoliosis secundarias, regin cervicotorcica"
"M4154" "Otras escoliosis secundarias, regin torcica"
"M4155" "Otras escoliosis secundarias, regin toracolumbar"
"M4156" "Otras escoliosis secundarias, regin lumbar"
"M4157" "Otras escoliosis secundarias, regin lumbosacra"
"M4158" "Otras escoliosis secundarias, regin sacra y sacrococcgea"
"M4159" "Otras escoliosis secundarias, sitio no especificado"
"M4180" "Otras formas de escoliosis, sitios mltiples de la columna vertebral"
"M4181" "Otras formas de escoliosis, regin occipitocervical"
"M4182" "Otras formas de escoliosis, regin cervical"
"M4183" "Otras formas de escoliosis, regin cervicotorcica"
"M4184" "Otras formas de escoliosis, regin torcica"
"M4185" "Otras formas de escoliosis, regin toracolumbar"
"M4186" "Otras formas de escoliosis, regin lumbar"
"M4187" "Otras formas de escoliosis, regin lumbosacra"
"M4188" "Otras formas de escoliosis, regin sacra y sacrococcgea"
"M4189" "Otras formas de escoliosis, sitio no especificado"
"M4190" "Escoliosis, no especificada, sitios mltiples de la columna vertebral"
"M4191" "Escoliosis, no especificada, regin occipitocervical"
"M4192" "Escoliosis, no especificada, regin cervical"
"M4193" "Escoliosis, no especificada, regin cervicotorcica"
"M4194" "Escoliosis, no especificada, regin torcica"
"M4195" "Escoliosis, no especificada, regin toracolumbar"
"M4196" "Escoliosis, no especificada, regin lumbar"
"M4197" "Escoliosis, no especificada, regin lumbosacra"
"M4198" "Escoliosis, no especificada, regin sacra y sacrococcgea"
"M4199" "Escoliosis, no especificada, sitio no especificado"
"M4290" "Osteocondrosis vertebral, no especificada, sitios mltiples de la columna vertebral"
"M4291" "Osteocondrosis vertebral, no especificada, regin occipitocervical"
"M4292" "Osteocondrosis vertebral, no especificada, regin cervical"
"M4293" "Osteocondrosis vertebral, no especificada, regin cervicotorcica"
"M4294" "Osteocondrosis vertebral, no especificada, regin torcica"
"M4295" "Osteocondrosis vertebral, no especificada, regin toracolumbar"
"M4296" "Osteocondrosis vertebral, no especificada, regin lumbar"
"M4297" "Osteocondrosis vertebral, no especificada, regin lumbosacra"
"M4298" "Osteocondrosis vertebral, no especificada, regin sacra y sacrococcgea"
"M4299" "Osteocondrosis vertebral, no especificada, sitio no especificado"
"M4300" "Espondillisis, sitios mltiples de la columna vertebral"
"M4301" "Espondillisis, regin occipitocervical"
"M4302" "Espondillisis, regin cervical"
"M4303" "Espondillisis, regin cervicotorcica"
"M4304" "Espondillisis, regin torcica"
"M4305" "Espondillisis, regin toracolumbar"
"M4306" "Espondillisis, regin lumbar"
"M4307" "Espondillisis, regin lumbosacra"
"M4308" "Espondillisis, regin sacra y sacrococcgea"
"M4309" "Espondillisis, sitio no especificado"
"M4310" "Espondilolistesis, sitios mltiples de la columna vertebral"
"M4311" "Espondilolistesis, regin occipitocervical"
"M4312" "Espondilolistesis, regin cervical"
"M4313" "Espondilolistesis, regin cervicotorcica"
"M4314" "Espondilolistesis, regin torcica"
"M4315" "Espondilolistesis, regin toracolumbar"
"M4316" "Espondilolistesis, regin lumbar"
"M4317" "Espondilolistesis, regin lumbosacra"
"M4318" "Espondilolistesis, regin sacra y sacrococcgea"
"M4319" "Espondilolistesis, sitio no especificado"
"M4320" "Otras fusiones de la columna vertebral, sitios mltiples de la columna vertebral"
"M4321" "Otras fusiones de la columna vertebral, regin occipitocervical"
"M4322" "Otras fusiones de la columna vertebral, regin cervical"
"M4323" "Otras fusiones de la columna vertebral, regin cervicotorcica"
"M4324" "Otras fusiones de la columna vertebral, regin torcica"
"M4325" "Otras fusiones de la columna vertebral, regin toracolumbar"
"M4326" "Otras fusiones de la columna vertebral, regin lumbar"
"M4327" "Otras fusiones de la columna vertebral, regin lumbosacra"
"M4328" "Otras fusiones de la columna vertebral, regin sacra y sacrococcgea"
"M4329" "Otras fusiones de la columna vertebral, sitio no especificado"
"M4330" "Subluxacin atlanto-axoidea recurrente, con mielopata, sitios mltiples de la columna vertebral"
"M4331" "Subluxacin atlanto-axoidea recurrente, con mielopata, regin occipitocervical"
"M4332" "Subluxacin atlanto-axoidea recurrente, con mielopata, regin cervical"
"M4333" "Subluxacin atlanto-axoidea recurrente, con mielopata, regin cervicotorcica"
"M4334" "Subluxacin atlanto-axoidea recurrente, con mielopata, regin torcica"
"M4335" "Subluxacin atlanto-axoidea recurrente, con mielopata, regin toracolumbar"
"M4336" "Subluxacin atlanto-axoidea recurrente, con mielopata, regin lumbar"
"M4337" "Subluxacin atlanto-axoidea recurrente, con mielopata, regin lumbosacra"
"M4338" "Subluxacin atlanto-axoidea recurrente, con mielopata, regin sacra y sacrococcgea"
"M4339" "Subluxacin atlanto-axoidea recurrente, con mielopata, sitio no especificado"
"M4340" "Otras subluxaciones atlanto-axoideas recurrentes, sitios mltiples de la columna vertebral"
"M4341" "Otras subluxaciones atlanto-axoideas recurrentes, regin occipitocervical"
"M4342" "Otras subluxaciones atlanto-axoideas recurrentes, regin cervical"
"M4343" "Otras subluxaciones atlanto-axoideas recurrentes, regin cervicotorcica"
"M4344" "Otras subluxaciones atlanto-axoideas recurrentes, regin torcica"
"M4345" "Otras subluxaciones atlanto-axoideas recurrentes, regin toracolumbar"
"M4346" "Otras subluxaciones atlanto-axoideas recurrentes, regin lumbar"
"M4347" "Otras subluxaciones atlanto-axoideas recurrentes, regin lumbosacra"
"M4348" "Otras subluxaciones atlanto-axoideas recurrentes, regin sacra y sacrococcgea"
"M4349" "Otras subluxaciones atlanto-axoideas recurrentes, sitio no especificado"
"M4350" "Otras subluxaciones vertebrales recurrentes, sitios mltiples de la columna vertebral"
"M4351" "Otras subluxaciones vertebrales recurrentes, regin occipitocervical"
"M4352" "Otras subluxaciones vertebrales recurrentes, regin cervical"
"M4353" "Otras subluxaciones vertebrales recurrentes, regin cervicotorcica"
"M4354" "Otras subluxaciones vertebrales recurrentes, regin torcica"
"M4355" "Otras subluxaciones vertebrales recurrentes, regin toracolumbar"
"M4356" "Otras subluxaciones vertebrales recurrentes, regin lumbar"
"M4357" "Otras subluxaciones vertebrales recurrentes, regin lumbosacra"
"M4358" "Otras subluxaciones vertebrales recurrentes, regin sacra y sacrococcgea"
"M4359" "Otras subluxaciones vertebrales recurrentes, sitio no especificado"
"M4380" "Otras dorsopatas deformantes de la columna vertebral especificadas, sitios mltiples de la columna vertebral"
"M4381" "Otras dorsopatas deformantes de la columna vertebral especificadas, regin occipitocervical"
"M4382" "Otras dorsopatas deformantes de la columna vertebral especificadas, regin cervical"
"M4383" "Otras dorsopatas deformantes de la columna vertebral especificadas, regin cervicotorcica"
"M4384" "Otras dorsopatas deformantes de la columna vertebral especificadas, regin torcica"
"M4385" "Otras dorsopatas deformantes de la columna vertebral especificadas, regin toracolumbar"
"M4386" "Otras dorsopatas deformantes de la columna vertebral especificadas, regin lumbar"
"M4387" "Otras dorsopatas deformantes de la columna vertebral especificadas, regin lumbosacra"
"M4388" "Otras dorsopatas deformantes de la columna vertebral especificadas, regin sacra y sacrococcgea"
"M4389" "Otras dorsopatas deformantes de la columna vertebral especificadas, sitio no especificado"
"M4390" "Dorsopata deformante, no especificada, sitios mltiples de la columna vertebral"
"M4391" "Dorsopata deformante, no especificada, regin occipitocervical"
"M4392" "Dorsopata deformante, no especificada, regin cervical"
"M4393" "Dorsopata deformante, no especificada, regin cervicotorcica"
"M4394" "Dorsopata deformante, no especificada, regin torcica"
"M4395" "Dorsopata deformante, no especificada, regin toracolumbar"
"M4396" "Dorsopata deformante, no especificada, regin lumbar"
"M4397" "Dorsopata deformante, no especificada, regin lumbosacra"
"M4398" "Dorsopata deformante, no especificada, regin sacra y sacrococcgea"
"M4399" "Dorsopata deformante, no especificada, sitio no especificado"
"M4600" "Entesopata vertebral, sitios mltiples de la columna vertebral"
"M4601" "Entesopata vertebral, regin occipitocervical"
"M4602" "Entesopata vertebral, regin cervical"
"M4603" "Entesopata vertebral, regin cervicotorcica"
"M4604" "Entesopata vertebral, regin torcica"
"M4605" "Entesopata vertebral, regin toracolumbar"
"M4606" "Entesopata vertebral, regin lumbar"
"M4607" "Entesopata vertebral, regin lumbosacra"
"M4608" "Entesopata vertebral, regin sacra y sacrococcgea"
"M4609" "Entesopata vertebral, sitio no especificado"
"M4610" "Sacroilitis, no clasificada en otra parte, sitios mltiples de la columna vertebral"
"M4611" "Sacroilitis, no clasificada en otra parte, regin occipitocervical"
"M4612" "Sacroilitis, no clasificada en otra parte, regin cervical"
"M4613" "Sacroilitis, no clasificada en otra parte, regin cervicotorcica"
"M4614" "Sacroilitis, no clasificada en otra parte, regin torcica"
"M4615" "Sacroilitis, no clasificada en otra parte, regin toracolumbar"
"M4616" "Sacroilitis, no clasificada en otra parte, regin lumbar"
"M4617" "Sacroilitis, no clasificada en otra parte, regin lumbosacra"
"M4618" "Sacroilitis, no clasificada en otra parte, regin sacra y sacrococcgea"
"M4619" "Sacroilitis, no clasificada en otra parte, sitio no especificado"
"M4620" "Osteomielitis de vrtebra, sitios mltiples de la columna vertebral"
"M4621" "Osteomielitis de vrtebra, regin occipitocervical"
"M4622" "Osteomielitis de vrtebra, regin cervical"
"M4623" "Osteomielitis de vrtebra, regin cervicotorcica"
"M4624" "Osteomielitis de vrtebra, regin torcica"
"M4625" "Osteomielitis de vrtebra, regin toracolumbar"
"M4626" "Osteomielitis de vrtebra, regin lumbar"
"M4627" "Osteomielitis de vrtebra, regin lumbosacra"
"M4628" "Osteomielitis de vrtebra, regin sacra y sacrococcgea"
"M4629" "Osteomielitis de vrtebra, sitio no especificado"
"M4630" "Infeccin de disco intervertebral (pigena), sitios mltiples de la columna vertebral"
"M4631" "Infeccin de disco intervertebral (pigena), regin occipitocervical"
"M4632" "Infeccin de disco intervertebral (pigena), regin cervical"
"M4633" "Infeccin de disco intervertebral (pigena), regin cervicotorcica"
"M4634" "Infeccin de disco intervertebral (pigena), regin torcica"
"M4635" "Infeccin de disco intervertebral (pigena), regin toracolumbar"
"M4636" "Infeccin de disco intervertebral (pigena), regin lumbar"
"M4637" "Infeccin de disco intervertebral (pigena), regin lumbosacra"
"M4638" "Infeccin de disco intervertebral (pigena), regin sacra y sacrococcgea"
"M4639" "Infeccin de disco intervertebral (pigena), sitio no especificado"
"M4640" "Discitis, no especificada, sitios mltiples de la columna vertebral"
"M4641" "Discitis, no especificada, regin occipitocervical"
"M4642" "Discitis, no especificada, regin cervical"
"M4643" "Discitis, no especificada, regin cervicotorcica"
"M4644" "Discitis, no especificada, regin torcica"
"M4645" "Discitis, no especificada, regin toracolumbar"
"M4646" "Discitis, no especificada, regin lumbar"
"M4647" "Discitis, no especificada, regin lumbosacra"
"M4648" "Discitis, no especificada, regin sacra y sacrococcgea"
"M4649" "Discitis, no especificada, sitio no especificado"
"M4650" "Otras espondilopatas infecciosas, sitios mltiples de la columna vertebral"
"M4651" "Otras espondilopatas infecciosas, regin occipitocervical"
"M4652" "Otras espondilopatas infecciosas, regin cervical"
"M4653" "Otras espondilopatas infecciosas, regin cervicotorcica"
"M4654" "Otras espondilopatas infecciosas, regin torcica"
"M4655" "Otras espondilopatas infecciosas, regin toracolumbar"
"M4656" "Otras espondilopatas infecciosas, regin lumbar"
"M4657" "Otras espondilopatas infecciosas, regin lumbosacra"
"M4658" "Otras espondilopatas infecciosas, regin sacra y sacrococcgea"
"M4659" "Otras espondilopatas infecciosas, sitio no especificado"
"M4680" "Otras espondilopatas inflamatorias especificadas, sitios mltiples de la columna vertebral"
"M4681" "Otras espondilopatas inflamatorias especificadas, regin occipitocervical"
"M4682" "Otras espondilopatas inflamatorias especificadas, regin cervical"
"M4683" "Otras espondilopatas inflamatorias especificadas, regin cervicotorcica"
"M4684" "Otras espondilopatas inflamatorias especificadas, regin torcica"
"M4685" "Otras espondilopatas inflamatorias especificadas, regin toracolumbar"
"M4686" "Otras espondilopatas inflamatorias especificadas, regin lumbar"
"M4687" "Otras espondilopatas inflamatorias especificadas, regin lumbosacra"
"M4688" "Otras espondilopatas inflamatorias especificadas, regin sacra y sacrococcgea"
"M4689" "Otras espondilopatas inflamatorias especificadas, sitio no especificado"
"M4690" "Espondilopata inflamatoria, no especificada, sitios mltiples de la columna vertebral"
"M4691" "Espondilopata inflamatoria, no especificada, regin occipitocervical"
"M4692" "Espondilopata inflamatoria, no especificada, regin cervical"
"M4693" "Espondilopata inflamatoria, no especificada, regin cervicotorcica"
"M4694" "Espondilopata inflamatoria, no especificada, regin torcica"
"M4695" "Espondilopata inflamatoria, no especificada, regin toracolumbar"
"M4696" "Espondilopata inflamatoria, no especificada, regin lumbar"
"M4697" "Espondilopata inflamatoria, no especificada, regin lumbosacra"
"M4698" "Espondilopata inflamatoria, no especificada, regin sacra y sacrococcgea"
"M4699" "Espondilopata inflamatoria, no especificada, sitio no especificado"
"M4700" "Sndromes de compresin de la arteria espinal o vertebral anterior, sitios mltiples de la columna vertebral"
"M4701" "Sndromes de compresin de la arteria espinal o vertebral anterior, regin occipitocervical"
"M4702" "Sndromes de compresin de la arteria espinal o vertebral anterior, regin cervical"
"M4703" "Sndromes de compresin de la arteria espinal o vertebral anterior, regin cervicotorcica"
"M4704" "Sndromes de compresin de la arteria espinal o vertebral anterior, regin torcica"
"M4705" "Sndromes de compresin de la arteria espinal o vertebral anterior, regin toracolumbar"
"M4706" "Sndromes de compresin de la arteria espinal o vertebral anterior, regin lumbar"
"M4707" "Sndromes de compresin de la arteria espinal o vertebral anterior, regin lumbosacra"
"M4708" "Sndromes de compresin de la arteria espinal o vertebral anterior, regin sacra y sacrococcgea"
"M4709" "Sndromes de compresin de la arteria espinal o vertebral anterior, sitio no especificado"
"M4710" "Otras espondilosis con mielopata, sitios mltiples de la columna vertebral"
"M4711" "Otras espondilosis con mielopata, regin occipitocervical"
"M4712" "Otras espondilosis con mielopata, regin cervical"
"M4713" "Otras espondilosis con mielopata, regin cervicotorcica"
"M4714" "Otras espondilosis con mielopata, regin torcica"
"M4715" "Otras espondilosis con mielopata, regin toracolumbar"
"M4716" "Otras espondilosis con mielopata, regin lumbar"
"M4717" "Otras espondilosis con mielopata, regin lumbosacra"
"M4718" "Otras espondilosis con mielopata, regin sacra y sacrococcgea"
"M4719" "Otras espondilosis con mielopata, sitio no especificado"
"M4720" "Otras espondilosis con radiculopata, sitios mltiples de la columna vertebral"
"M4721" "Otras espondilosis con radiculopata, regin occipitocervical"
"M4722" "Otras espondilosis con radiculopata, regin cervical"
"M4723" "Otras espondilosis con radiculopata, regin cervicotorcica"
"M4724" "Otras espondilosis con radiculopata, regin torcica"
"M4725" "Otras espondilosis con radiculopata, regin toracolumbar"
"M4726" "Otras espondilosis con radiculopata, regin lumbar"
"M4727" "Otras espondilosis con radiculopata, regin lumbosacra"
"M4728" "Otras espondilosis con radiculopata, regin sacra y sacrococcgea"
"M4729" "Otras espondilosis con radiculopata, sitio no especificado"
"M4780" "Otras espondilosis, sitios mltiples de la columna vertebral"
"M4781" "Otras espondilosis, regin occipitocervical"
"M4782" "Otras espondilosis, regin cervical"
"M4783" "Otras espondilosis, regin cervicotorcica"
"M4784" "Otras espondilosis, regin torcica"
"M4785" "Otras espondilosis, regin toracolumbar"
"M4786" "Otras espondilosis, regin lumbar"
"M4787" "Otras espondilosis, regin lumbosacra"
"M4788" "Otras espondilosis, regin sacra y sacrococcgea"
"M4789" "Otras espondilosis, sitio no especificado"
"M4790" "Espondilosis, no especificada, sitios mltiples de la columna vertebral"
"M4791" "Espondilosis, no especificada, regin occipitocervical"
"M4792" "Espondilosis, no especificada, regin cervical"
"M4793" "Espondilosis, no especificada, regin cervicotorcica"
"M4794" "Espondilosis, no especificada, regin torcica"
"M4795" "Espondilosis, no especificada, regin toracolumbar"
"M4796" "Espondilosis, no especificada, regin lumbar"
"M4797" "Espondilosis, no especificada, regin lumbosacra"
"M4798" "Espondilosis, no especificada, regin sacra y sacrococcgea"
"M4799" "Espondilosis, no especificada, sitio no especificado"
"M4800" "Estenosis espinal, sitios mltiples de la columna vertebral"
"M4801" "Estenosis espinal, regin occipitocervical"
"M4802" "Estenosis espinal, regin cervical"
"M4803" "Estenosis espinal, regin cervicotorcica"
"M4804" "Estenosis espinal, regin torcica"
"M4805" "Estenosis espinal, regin toracolumbar"
"M4806" "Estenosis espinal, regin lumbar"
"M4807" "Estenosis espinal, regin lumbosacra"
"M4808" "Estenosis espinal, regin sacra y sacrococcgea"
"M4809" "Estenosis espinal, sitio no especificado"
"M4810" "Hiperostosis anquilosante  Forestier , sitios mltiples de la columna vertebral"
"M4811" "Hiperostosis anquilosante  Forestier , regin occipitocervical"
"M4812" "Hiperostosis anquilosante  Forestier , regin cervical"
"M4813" "Hiperostosis anquilosante  Forestier , regin cervicotorcica"
"M4814" "Hiperostosis anquilosante  Forestier , regin torcica"
"M4815" "Hiperostosis anquilosante  Forestier , regin toracolumbar"
"M4816" "Hiperostosis anquilosante  Forestier , regin lumbar"
"M4817" "Hiperostosis anquilosante  Forestier , regin lumbosacra"
"M4818" "Hiperostosis anquilosante  Forestier , regin sacra y sacrococcgea"
"M4819" "Hiperostosis anquilosante  Forestier , sitio no especificado"
"M4820" "Espondilopata interespinosa (vrtebras  en beso ), sitios mltiples de la columna vertebral"
"M4821" "Espondilopata interespinosa (vrtebras  en beso ), regin occipitocervical"
"M4822" "Espondilopata interespinosa (vrtebras  en beso ), regin cervical"
"M4823" "Espondilopata interespinosa (vrtebras  en beso ), regin cervicotorcica"
"M4824" "Espondilopata interespinosa (vrtebras  en beso ), regin torcica"
"M4825" "Espondilopata interespinosa (vrtebras  en beso ), regin toracolumbar"
"M4826" "Espondilopata interespinosa (vrtebras  en beso ), regin lumbar"
"M4827" "Espondilopata interespinosa (vrtebras  en beso ), regin lumbosacra"
"M4828" "Espondilopata interespinosa (vrtebras  en beso ), regin sacra y sacrococcgea"
"M4829" "Espondilopata interespinosa (vrtebras  en beso ), sitio no especificado"
"M4830" "Espondilopata traumtica, sitios mltiples de la columna vertebral"
"M4831" "Espondilopata traumtica, regin occipitocervical"
"M4832" "Espondilopata traumtica, regin cervical"
"M4833" "Espondilopata traumtica, regin cervicotorcica"
"M4834" "Espondilopata traumtica, regin torcica"
"M4835" "Espondilopata traumtica, regin toracolumbar"
"M4836" "Espondilopata traumtica, regin lumbar"
"M4837" "Espondilopata traumtica, regin lumbosacra"
"M4838" "Espondilopata traumtica, regin sacra y sacrococcgea"
"M4839" "Espondilopata traumtica, sitio no especificado"
"M4840" "Fractura de vrtebra por fatiga, sitios mltiples de la columna vertebral"
"M4841" "Fractura de vrtebra por fatiga, regin occipitocervical"
"M4842" "Fractura de vrtebra por fatiga, regin cervical"
"M4843" "Fractura de vrtebra por fatiga, regin cervicotorcica"
"M4844" "Fractura de vrtebra por fatiga, regin torcica"
"M4845" "Fractura de vrtebra por fatiga, regin toracolumbar"
"M4846" "Fractura de vrtebra por fatiga, regin lumbar"
"M4847" "Fractura de vrtebra por fatiga, regin lumbosacra"
"M4848" "Fractura de vrtebra por fatiga, regin sacra y sacrococcgea"
"M4849" "Fractura de vrtebra por fatiga, sitio no especificado"
"M4850" "Vrtebra colapsada, no clasificada en otra parte, sitios mltiples de la columna vertebral"
"M4851" "Vrtebra colapsada, no clasificada en otra parte, regin occipitocervical"
"M4852" "Vrtebra colapsada, no clasificada en otra parte, regin cervical"
"M4853" "Vrtebra colapsada, no clasificada en otra parte, regin cervicotorcica"
"M4854" "Vrtebra colapsada, no clasificada en otra parte, regin torcica"
"M4855" "Vrtebra colapsada, no clasificada en otra parte, regin toracolumbar"
"M4856" "Vrtebra colapsada, no clasificada en otra parte, regin lumbar"
"M4857" "Vrtebra colapsada, no clasificada en otra parte, regin lumbosacra"
"M4858" "Vrtebra colapsada, no clasificada en otra parte, regin sacra y sacrococcgea"
"M4859" "Vrtebra colapsada, no clasificada en otra parte, sitio no especificado"
"M4880" "Otras espondilopatas especificadas, sitios mltiples de la columna vertebral"
"M4881" "Otras espondilopatas especificadas, regin occipitocervical"
"M4882" "Otras espondilopatas especificadas, regin cervical"
"M4883" "Otras espondilopatas especificadas, regin cervicotorcica"
"M4884" "Otras espondilopatas especificadas, regin torcica"
"M4885" "Otras espondilopatas especificadas, regin toracolumbar"
"M4886" "Otras espondilopatas especificadas, regin lumbar"
"M4887" "Otras espondilopatas especificadas, regin lumbosacra"
"M4888" "Otras espondilopatas especificadas, regin sacra y sacrococcgea"
"M4889" "Otras espondilopatas especificadas, sitio no especificado"
"M4890" "Espondilopata, no especificada, sitios mltiples de la columna vertebral"
"M4891" "Espondilopata, no especificada, regin occipitocervical"
"M4892" "Espondilopata, no especificada, regin cervical"
"M4893" "Espondilopata, no especificada, regin cervicotorcica"
"M4894" "Espondilopata, no especificada, regin torcica"
"M4895" "Espondilopata, no especificada, regin toracolumbar"
"M4896" "Espondilopata, no especificada, regin lumbar"
"M4897" "Espondilopata, no especificada, regin lumbosacra"
"M4898" "Espondilopata, no especificada, regin sacra y sacrococcgea"
"M4899" "Espondilopata, no especificada, sitio no especificado"
"M4900" "Tuberculosis de la columna vertebral, sitios mltiples de la columna vertebral"
"M4901" "Tuberculosis de la columna vertebral, regin occipitocervical"
"M4902" "Tuberculosis de la columna vertebral, regin cervical"
"M4903" "Tuberculosis de la columna vertebral, regin cervicotorcica"
"M4904" "Tuberculosis de la columna vertebral, regin torcica"
"M4905" "Tuberculosis de la columna vertebral, regin toracolumbar"
"M4906" "Tuberculosis de la columna vertebral, regin lumbar"
"M4907" "Tuberculosis de la columna vertebral, regin lumbosacra"
"M4908" "Tuberculosis de la columna vertebral, regin sacra y sacrococcgea"
"M4909" "Tuberculosis de la columna vertebral, sitio no especificado"
"M4910" "Espondilitis por brucelosis, sitios mltiples de la columna vertebral"
"M4911" "Espondilitis por brucelosis, regin occipitocervical"
"M4912" "Espondilitis por brucelosis, regin cervical"
"M4913" "Espondilitis por brucelosis, regin cervicotorcica"
"M4914" "Espondilitis por brucelosis, regin torcica"
"M4915" "Espondilitis por brucelosis, regin toracolumbar"
"M4916" "Espondilitis por brucelosis, regin lumbar"
"M4917" "Espondilitis por brucelosis, regin lumbosacra"
"M4918" "Espondilitis por brucelosis, regin sacra y sacrococcgea"
"M4919" "Espondilitis por brucelosis, sitio no especificado"
"M4920" "Espondilitis por enterobacterias, sitios mltiples de la columna vertebral"
"M4921" "Espondilitis por enterobacterias, regin occipitocervical"
"M4922" "Espondilitis por enterobacterias, regin cervical"
"M4923" "Espondilitis por enterobacterias, regin cervicotorcica"
"M4924" "Espondilitis por enterobacterias, regin torcica"
"M4925" "Espondilitis por enterobacterias, regin toracolumbar"
"M4926" "Espondilitis por enterobacterias, regin lumbar"
"M4927" "Espondilitis por enterobacterias, regin lumbosacra"
"M4928" "Espondilitis por enterobacterias, regin sacra y sacrococcgea"
"M4929" "Espondilitis por enterobacterias, sitio no especificado"
"M4930" "Espondilopata en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, sitios mltiples de la columna vertebral"
"M4931" "Espondilopata en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, regin occipitocervical"
"M4932" "Espondilopata en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, regin cervical"
"M4933" "Espondilopata en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, regin cervicotorcica"
"M4934" "Espondilopata en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, regin torcica"
"M4935" "Espondilopata en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, regin toracolumbar"
"M4936" "Espondilopata en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, regin lumbar"
"M4937" "Espondilopata en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, regin lumbosacra"
"M4938" "Espondilopata en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, regin sacra y sacrococcgea"
"M4939" "Espondilopata en otras enfermedades infecciosas y parasitarias clasificadas en otra parte, sitio no especificado"
"M4940" "Espondilopata neuroptica, sitios mltiples de la columna vertebral"
"M4941" "Espondilopata neuroptica, regin occipitocervical"
"M4942" "Espondilopata neuroptica, regin cervical"
"M4943" "Espondilopata neuroptica, regin cervicotorcica"
"M4944" "Espondilopata neuroptica, regin torcica"
"M4945" "Espondilopata neuroptica, regin toracolumbar"
"M4946" "Espondilopata neuroptica, regin lumbar"
"M4947" "Espondilopata neuroptica, regin lumbosacra"
"M4948" "Espondilopata neuroptica, regin sacra y sacrococcgea"
"M4949" "Espondilopata neuroptica, sitio no especificado"
"M4950" "Vrtebra colapsada en enfermedades clasificadas en otra parte, sitios mltiples de la columna vertebral"
"M4951" "Vrtebra colapsada en enfermedades clasificadas en otra parte, regin occipitocervical"
"M4952" "Vrtebra colapsada en enfermedades clasificadas en otra parte, regin cervical"
"M4953" "Vrtebra colapsada en enfermedades clasificadas en otra parte, regin cervicotorcica"
"M4954" "Vrtebra colapsada en enfermedades clasificadas en otra parte, regin torcica"
"M4955" "Vrtebra colapsada en enfermedades clasificadas en otra parte, regin toracolumbar"
"M4956" "Vrtebra colapsada en enfermedades clasificadas en otra parte, regin lumbar"
"M4957" "Vrtebra colapsada en enfermedades clasificadas en otra parte, regin lumbosacra"
"M4958" "Vrtebra colapsada en enfermedades clasificadas en otra parte, regin sacra y sacrococcgea"
"M4959" "Vrtebra colapsada en enfermedades clasificadas en otra parte, sitio no especificado"
"M4980" "Espondilopata en otras enfermedades clasificadas en otra parte, sitios mltiples de la columna vertebral"
"M4981" "Espondilopata en otras enfermedades clasificadas en otra parte, regin occipitocervical"
"M4982" "Espondilopata en otras enfermedades clasificadas en otra parte, regin cervical"
"M4983" "Espondilopata en otras enfermedades clasificadas en otra parte, regin cervicotorcica"
"M4984" "Espondilopata en otras enfermedades clasificadas en otra parte, regin torcica"
"M4985" "Espondilopata en otras enfermedades clasificadas en otra parte, regin toracolumbar"
"M4986" "Espondilopata en otras enfermedades clasificadas en otra parte, regin lumbar"
"M4987" "Espondilopata en otras enfermedades clasificadas en otra parte, regin lumbosacra"
"M4988" "Espondilopata en otras enfermedades clasificadas en otra parte, regin sacra y sacrococcgea"
"M4989" "Espondilopata en otras enfermedades clasificadas en otra parte, sitio no especificado"
"M5300" "Sndrome cervicocraneal, sitios mltiples de la columna vertebral"
"M5301" "Sndrome cervicocraneal, regin occipitocervical"
"M5302" "Sndrome cervicocraneal, regin cervical"
"M5303" "Sndrome cervicocraneal, regin cervicotorcica"
"M5304" "Sndrome cervicocraneal, regin torcica"
"M5305" "Sndrome cervicocraneal, regin toracolumbar"
"M5306" "Sndrome cervicocraneal, regin lumbar"
"M5307" "Sndrome cervicocraneal, regin lumbosacra"
"M5308" "Sndrome cervicocraneal, regin sacra y sacrococcgea"
"M5309" "Sndrome cervicocraneal, sitio no especificado"
"M5310" "Sndrome cervicobraquial, sitios mltiples de la columna vertebral"
"M5311" "Sndrome cervicobraquial, regin occipitocervical"
"M5312" "Sndrome cervicobraquial, regin cervical"
"M5313" "Sndrome cervicobraquial, regin cervicotorcica"
"M5314" "Sndrome cervicobraquial, regin torcica"
"M5315" "Sndrome cervicobraquial, regin toracolumbar"
"M5316" "Sndrome cervicobraquial, regin lumbar"
"M5317" "Sndrome cervicobraquial, regin lumbosacra"
"M5318" "Sndrome cervicobraquial, regin sacra y sacrococcgea"
"M5319" "Sndrome cervicobraquial, sitio no especificado"
"M5320" "Inestabilidad de la columna vertebral, sitios mltiples de la columna vertebral"
"M5321" "Inestabilidad de la columna vertebral, regin occipitocervical"
"M5322" "Inestabilidad de la columna vertebral, regin cervical"
"M5323" "Inestabilidad de la columna vertebral, regin cervicotorcica"
"M5324" "Inestabilidad de la columna vertebral, regin torcica"
"M5325" "Inestabilidad de la columna vertebral, regin toracolumbar"
"M5326" "Inestabilidad de la columna vertebral, regin lumbar"
"M5327" "Inestabilidad de la columna vertebral, regin lumbosacra"
"M5328" "Inestabilidad de la columna vertebral, regin sacra y sacrococcgea"
"M5329" "Inestabilidad de la columna vertebral, sitio no especificado"
"M5330" "Trastornos sacrococcgeos, no clasificados en otra parte, sitios mltiples de la columna vertebral"
"M5331" "Trastornos sacrococcgeos, no clasificados en otra parte, regin occipitocervical"
"M5332" "Trastornos sacrococcgeos, no clasificados en otra parte, regin cervical"
"M5333" "Trastornos sacrococcgeos, no clasificados en otra parte, regin cervicotorcica"
"M5334" "Trastornos sacrococcgeos, no clasificados en otra parte, regin torcica"
"M5335" "Trastornos sacrococcgeos, no clasificados en otra parte, regin toracolumbar"
"M5336" "Trastornos sacrococcgeos, no clasificados en otra parte, regin lumbar"
"M5337" "Trastornos sacrococcgeos, no clasificados en otra parte, regin lumbosacra"
"M5338" "Trastornos sacrococcgeos, no clasificados en otra parte, regin sacra y sacrococcgea"
"M5339" "Trastornos sacrococcgeos, no clasificados en otra parte, sitio no especificado"
"M5380" "Otras dorsopatas especificadas, sitios mltiples de la columna vertebral"
"M5381" "Otras dorsopatas especificadas, regin occipitocervical"
"M5382" "Otras dorsopatas especificadas, regin cervical"
"M5383" "Otras dorsopatas especificadas, regin cervicotorcica"
"M5384" "Otras dorsopatas especificadas, regin torcica"
"M5385" "Otras dorsopatas especificadas, regin toracolumbar"
"M5386" "Otras dorsopatas especificadas, regin lumbar"
"M5387" "Otras dorsopatas especificadas, regin lumbosacra"
"M5388" "Otras dorsopatas especificadas, regin sacra y sacrococcgea"
"M5389" "Otras dorsopatas especificadas, sitio no especificado"
"M5390" "Dorsopata, no especificada, sitios mltiples de la columna vertebral"
"M5391" "Dorsopata, no especificada, regin occipitocervical"
"M5392" "Dorsopata, no especificada, regin cervical"
"M5393" "Dorsopata, no especificada, regin cervicotorcica"
"M5394" "Dorsopata, no especificada, regin torcica"
"M5395" "Dorsopata, no especificada, regin toracolumbar"
"M5396" "Dorsopata, no especificada, regin lumbar"
"M5397" "Dorsopata, no especificada, regin lumbosacra"
"M5398" "Dorsopata, no especificada, regin sacra y sacrococcgea"
"M5399" "Dorsopata, no especificada, sitio no especificado"
"M5400" "Paniculitis que afecta regiones del cuello y de la espalda, sitios mltiples de la columna vertebral"
"M5401" "Paniculitis que afecta regiones del cuello y de la espalda, regin occipitocervical"
"M5402" "Paniculitis que afecta regiones del cuello y de la espalda, regin cervical"
"M5403" "Paniculitis que afecta regiones del cuello y de la espalda, regin cervicotorcica"
"M5404" "Paniculitis que afecta regiones del cuello y de la espalda, regin torcica"
"M5405" "Paniculitis que afecta regiones del cuello y de la espalda, regin toracolumbar"
"M5406" "Paniculitis que afecta regiones del cuello y de la espalda, regin lumbar"
"M5407" "Paniculitis que afecta regiones del cuello y de la espalda, regin lumbosacra"
"M5408" "Paniculitis que afecta regiones del cuello y de la espalda, regin sacra y sacrococcgea"
"M5409" "Paniculitis que afecta regiones del cuello y de la espalda, sitio no especificado"
"M5410" "Radiculopata, sitios mltiples de la columna vertebral"
"M5411" "Radiculopata, regin occipitocervical"
"M5412" "Radiculopata, regin cervical"
"M5413" "Radiculopata, regin cervicotorcica"
"M5414" "Radiculopata, regin torcica"
"M5415" "Radiculopata, regin toracolumbar"
"M5416" "Radiculopata, regin lumbar"
"M5417" "Radiculopata, regin lumbosacra"
"M5418" "Radiculopata, regin sacra y sacrococcgea"
"M5419" "Radiculopata, sitio no especificado"
"M5420" "Cervicalgia, sitios mltiples de la columna vertebral"
"M5421" "Cervicalgia, regin occipitocervical"
"M5422" "Cervicalgia, regin cervical"
"M5423" "Cervicalgia, regin cervicotorcica"
"M5424" "Cervicalgia, regin torcica"
"M5425" "Cervicalgia, regin toracolumbar"
"M5426" "Cervicalgia, regin lumbar"
"M5427" "Cervicalgia, regin lumbosacra"
"M5428" "Cervicalgia, regin sacra y sacrococcgea"
"M5429" "Cervicalgia, sitio no especificado"
"M5430" "Citica, sitios mltiples de la columna vertebral"
"M5431" "Citica, regin occipitocervical"
"M5432" "Citica, regin cervical"
"M5433" "Citica, regin cervicotorcica"
"M5434" "Citica, regin torcica"
"M5435" "Citica, regin toracolumbar"
"M5436" "Citica, regin lumbar"
"M5437" "Citica, regin lumbosacra"
"M5438" "Citica, regin sacra y sacrococcgea"
"M5439" "Citica, sitio no especificado"
"M5440" "Lumbago con citica, sitios mltiples de la columna vertebral"
"M5441" "Lumbago con citica, regin occipitocervical"
"M5442" "Lumbago con citica, regin cervical"
"M5443" "Lumbago con citica, regin cervicotorcica"
"M5444" "Lumbago con citica, regin torcica"
"M5445" "Lumbago con citica, regin toracolumbar"
"M5446" "Lumbago con citica, regin lumbar"
"M5447" "Lumbago con citica, regin lumbosacra"
"M5448" "Lumbago con citica, regin sacra y sacrococcgea"
"M5449" "Lumbago con citica, sitio no especificado"
"M5450" "Lumbago no especificado, sitios mltiples de la columna vertebral"
"M5451" "Lumbago no especificado, regin occipitocervical"
"M5452" "Lumbago no especificado, regin cervical"
"M5453" "Lumbago no especificado, regin cervicotorcica"
"M5454" "Lumbago no especificado, regin torcica"
"M5455" "Lumbago no especificado, regin toracolumbar"
"M5456" "Lumbago no especificado, regin lumbar"
"M5457" "Lumbago no especificado, regin lumbosacra"
"M5458" "Lumbago no especificado, regin sacra y sacrococcgea"
"M5459" "Lumbago no especificado, sitio no especificado"
"M5460" "Dolor en la columna dorsal, sitios mltiples de la columna vertebral"
"M5461" "Dolor en la columna dorsal, regin occipitocervical"
"M5462" "Dolor en la columna dorsal, regin cervical"
"M5463" "Dolor en la columna dorsal, regin cervicotorcica"
"M5464" "Dolor en la columna dorsal, regin torcica"
"M5465" "Dolor en la columna dorsal, regin toracolumbar"
"M5466" "Dolor en la columna dorsal, regin lumbar"
"M5467" "Dolor en la columna dorsal, regin lumbosacra"
"M5468" "Dolor en la columna dorsal, regin sacra y sacrococcgea"
"M5469" "Dolor en la columna dorsal, sitio no especificado"
"M5480" "Otras dorsalgias, sitios mltiples de la columna vertebral"
"M5481" "Otras dorsalgias, regin occipitocervical"
"M5482" "Otras dorsalgias, regin cervical"
"M5483" "Otras dorsalgias, regin cervicotorcica"
"M5484" "Otras dorsalgias, regin torcica"
"M5485" "Otras dorsalgias, regin toracolumbar"
"M5486" "Otras dorsalgias, regin lumbar"
"M5487" "Otras dorsalgias, regin lumbosacra"
"M5488" "Otras dorsalgias, regin sacra y sacrococcgea"
"M5489" "Otras dorsalgias, sitio no especificado"
"M5490" "Dorsalgia, no especificada, sitios mltiples de la columna vertebral"
"M5491" "Dorsalgia, no especificada, regin occipitocervical"
"M5492" "Dorsalgia, no especificada, regin cervical"
"M5493" "Dorsalgia, no especificada, regin cervicotorcica"
"M5494" "Dorsalgia, no especificada, regin torcica"
"M5495" "Dorsalgia, no especificada, regin toracolumbar"
"M5496" "Dorsalgia, no especificada, regin lumbar"
"M5497" "Dorsalgia, no especificada, regin lumbosacra"
"M5498" "Dorsalgia, no especificada, regin sacra y sacrococcgea"
"M5499" "Dorsalgia, no especificada, sitio no especificado"
"M6000" "Miositis infecciosa, sitios mltiples"
"M6001" "Miositis infecciosa, regin del hombro"
"M6002" "Miositis infecciosa, brazo"
"M6003" "Miositis infecciosa, antebrazo"
"M6004" "Miositis infecciosa, mano"
"M6005" "Miositis infecciosa, regin pelviana y muslo"
"M6006" "Miositis infecciosa, pierna"
"M6007" "Miositis infecciosa, tobillo y pie"
"M6008" "Miositis infecciosa, otros"
"M6009" "Miositis infecciosa, sitio no especificado"
"M6010" "Miositis intersticial, sitios mltiples"
"M6011" "Miositis intersticial, regin del hombro"
"M6012" "Miositis intersticial, brazo"
"M6013" "Miositis intersticial, antebrazo"
"M6014" "Miositis intersticial, mano"
"M6015" "Miositis intersticial, regin pelviana y muslo"
"M6016" "Miositis intersticial, pierna"
"M6017" "Miositis intersticial, tobillo y pie"
"M6018" "Miositis intersticial, otros"
"M6019" "Miositis intersticial, sitio no especificado"
"M6020" "Granuloma por cuerpo extrao en tejido blando, no clasificado en otra parte, sitios mltiples"
"M6021" "Granuloma por cuerpo extrao en tejido blando, no clasificado en otra parte, regin del hombro"
"M6022" "Granuloma por cuerpo extrao en tejido blando, no clasificado en otra parte, brazo"
"M6023" "Granuloma por cuerpo extrao en tejido blando, no clasificado en otra parte, antebrazo"
"M6024" "Granuloma por cuerpo extrao en tejido blando, no clasificado en otra parte, mano"
"M6025" "Granuloma por cuerpo extrao en tejido blando, no clasificado en otra parte, regin pelviana y muslo"
"M6026" "Granuloma por cuerpo extrao en tejido blando, no clasificado en otra parte, pierna"
"M6027" "Granuloma por cuerpo extrao en tejido blando, no clasificado en otra parte, tobillo y pie"
"M6028" "Granuloma por cuerpo extrao en tejido blando, no clasificado en otra parte, otros"
"M6029" "Granuloma por cuerpo extrao en tejido blando, no clasificado en otra parte, sitio no especificado"
"M6080" "Otras miositis, sitios mltiples"
"M6081" "Otras miositis, regin del hombro"
"M6082" "Otras miositis, brazo"
"M6083" "Otras miositis, antebrazo"
"M6084" "Otras miositis, mano"
"M6085" "Otras miositis, regin pelviana y muslo"
"M6086" "Otras miositis, pierna"
"M6087" "Otras miositis, tobillo y pie"
"M6088" "Otras miositis, otros"
"M6089" "Otras miositis, sitio no especificado"
"M6090" "Miositis, no especificada, sitios mltiples"
"M6091" "Miositis, no especificada, regin del hombro"
"M6092" "Miositis, no especificada, brazo"
"M6093" "Miositis, no especificada, antebrazo"
"M6094" "Miositis, no especificada, mano"
"M6095" "Miositis, no especificada, regin pelviana y muslo"
"M6096" "Miositis, no especificada, pierna"
"M6097" "Miositis, no especificada, tobillo y pie"
"M6098" "Miositis, no especificada, otros"
"M6099" "Miositis, no especificada, sitio no especificado"
"M6100" "Miositis osificante traumtica, sitios mltiples"
"M6101" "Miositis osificante traumtica, regin del hombro"
"M6102" "Miositis osificante traumtica, brazo"
"M6103" "Miositis osificante traumtica, antebrazo"
"M6104" "Miositis osificante traumtica, mano"
"M6105" "Miositis osificante traumtica, regin pelviana y muslo"
"M6106" "Miositis osificante traumtica, pierna"
"M6107" "Miositis osificante traumtica, tobillo y pie"
"M6108" "Miositis osificante traumtica, otros"
"M6109" "Miositis osificante traumtica, sitio no especificado"
"M6110" "Miositis osificante progresiva, sitios mltiples"
"M6111" "Miositis osificante progresiva, regin del hombro"
"M6112" "Miositis osificante progresiva, brazo"
"M6113" "Miositis osificante progresiva, antebrazo"
"M6114" "Miositis osificante progresiva, mano"
"M6115" "Miositis osificante progresiva, regin pelviana y muslo"
"M6116" "Miositis osificante progresiva, pierna"
"M6117" "Miositis osificante progresiva, tobillo y pie"
"M6118" "Miositis osificante progresiva, otros"
"M6119" "Miositis osificante progresiva, sitio no especificado"
"M6120" "Calcificacin y osificacin paraltica del msculo, sitios mltiples"
"M6121" "Calcificacin y osificacin paraltica del msculo, regin del hombro"
"M6122" "Calcificacin y osificacin paraltica del msculo, brazo"
"M6123" "Calcificacin y osificacin paraltica del msculo, antebrazo"
"M6124" "Calcificacin y osificacin paraltica del msculo, mano"
"M6125" "Calcificacin y osificacin paraltica del msculo, regin pelviana y muslo"
"M6126" "Calcificacin y osificacin paraltica del msculo, pierna"
"M6127" "Calcificacin y osificacin paraltica del msculo, tobillo y pie"
"M6128" "Calcificacin y osificacin paraltica del msculo, otros"
"M6129" "Calcificacin y osificacin paraltica del msculo, sitio no especificado"
"M6130" "Calcificacin y osificacin de los msculos asociadas con quemaduras, sitios mltiples"
"M6131" "Calcificacin y osificacin de los msculos asociadas con quemaduras, regin del hombro"
"M6132" "Calcificacin y osificacin de los msculos asociadas con quemaduras, brazo"
"M6133" "Calcificacin y osificacin de los msculos asociadas con quemaduras, antebrazo"
"M6134" "Calcificacin y osificacin de los msculos asociadas con quemaduras, mano"
"M6135" "Calcificacin y osificacin de los msculos asociadas con quemaduras, regin pelviana y muslo"
"M6136" "Calcificacin y osificacin de los msculos asociadas con quemaduras, pierna"
"M6137" "Calcificacin y osificacin de los msculos asociadas con quemaduras, tobillo y pie"
"M6138" "Calcificacin y osificacin de los msculos asociadas con quemaduras, otros"
"M6139" "Calcificacin y osificacin de los msculos asociadas con quemaduras, sitio no especificado"
"M6140" "Otras calcificaciones del msculo, sitios mltiples"
"M6141" "Otras calcificaciones del msculo, regin del hombro"
"M6142" "Otras calcificaciones del msculo, brazo"
"M6143" "Otras calcificaciones del msculo, antebrazo"
"M6144" "Otras calcificaciones del msculo, mano"
"M6145" "Otras calcificaciones del msculo, regin pelviana y muslo"
"M6146" "Otras calcificaciones del msculo, pierna"
"M6147" "Otras calcificaciones del msculo, tobillo y pie"
"M6148" "Otras calcificaciones del msculo, otros"
"M6149" "Otras calcificaciones del msculo, sitio no especificado"
"M6150" "Otras osificaciones del msculo, sitios mltiples"
"M6151" "Otras osificaciones del msculo, regin del hombro"
"M6152" "Otras osificaciones del msculo, brazo"
"M6153" "Otras osificaciones del msculo, antebrazo"
"M6154" "Otras osificaciones del msculo, mano"
"M6155" "Otras osificaciones del msculo, regin pelviana y muslo"
"M6156" "Otras osificaciones del msculo, pierna"
"M6157" "Otras osificaciones del msculo, tobillo y pie"
"M6158" "Otras osificaciones del msculo, otros"
"M6159" "Otras osificaciones del msculo, sitio no especificado"
"M6190" "Calcificacin y osificacin del msculo, no especificada, sitios mltiples"
"M6191" "Calcificacin y osificacin del msculo, no especificada, regin del hombro"
"M6192" "Calcificacin y osificacin del msculo, no especificada, brazo"
"M6193" "Calcificacin y osificacin del msculo, no especificada, antebrazo"
"M6194" "Calcificacin y osificacin del msculo, no especificada, mano"
"M6195" "Calcificacin y osificacin del msculo, no especificada, regin pelviana y muslo"
"M6196" "Calcificacin y osificacin del msculo, no especificada, pierna"
"M6197" "Calcificacin y osificacin del msculo, no especificada, tobillo y pie"
"M6198" "Calcificacin y osificacin del msculo, no especificada, otros"
"M6199" "Calcificacin y osificacin del msculo, no especificada, sitio no especificado"
"M6200" "Distasis del msculo, sitios mltiples"
"M6201" "Distasis del msculo, regin del hombro"
"M6202" "Distasis del msculo, brazo"
"M6203" "Distasis del msculo, antebrazo"
"M6204" "Distasis del msculo, mano"
"M6205" "Distasis del msculo, regin pelviana y muslo"
"M6206" "Distasis del msculo, pierna"
"M6207" "Distasis del msculo, tobillo y pie"
"M6208" "Distasis del msculo, otros"
"M6209" "Distasis del msculo, sitio no especificado"
"M6210" "Otros desgarros (no traumticos) del msculo, sitios mltiples"
"M6211" "Otros desgarros (no traumticos) del msculo, regin del hombro"
"M6212" "Otros desgarros (no traumticos) del msculo, brazo"
"M6213" "Otros desgarros (no traumticos) del msculo, antebrazo"
"M6214" "Otros desgarros (no traumticos) del msculo, mano"
"M6215" "Otros desgarros (no traumticos) del msculo, regin pelviana y muslo"
"M6216" "Otros desgarros (no traumticos) del msculo, pierna"
"M6217" "Otros desgarros (no traumticos) del msculo, tobillo y pie"
"M6218" "Otros desgarros (no traumticos) del msculo, otros"
"M6219" "Otros desgarros (no traumticos) del msculo, sitio no especificado"
"M6220" "Infarto isqumico del msculo, sitios mltiples"
"M6221" "Infarto isqumico del msculo, regin del hombro"
"M6222" "Infarto isqumico del msculo, brazo"
"M6223" "Infarto isqumico del msculo, antebrazo"
"M6224" "Infarto isqumico del msculo, mano"
"M6225" "Infarto isqumico del msculo, regin pelviana y muslo"
"M6226" "Infarto isqumico del msculo, pierna"
"M6227" "Infarto isqumico del msculo, tobillo y pie"
"M6228" "Infarto isqumico del msculo, otros"
"M6229" "Infarto isqumico del msculo, sitio no especificado"
"M6230" "Sndrome de inmovilidad (parapljico), sitios mltiples"
"M6231" "Sndrome de inmovilidad (parapljico), regin del hombro"
"M6232" "Sndrome de inmovilidad (parapljico), brazo"
"M6233" "Sndrome de inmovilidad (parapljico), antebrazo"
"M6234" "Sndrome de inmovilidad (parapljico), mano"
"M6235" "Sndrome de inmovilidad (parapljico), regin pelviana y muslo"
"M6236" "Sndrome de inmovilidad (parapljico), pierna"
"M6237" "Sndrome de inmovilidad (parapljico), tobillo y pie"
"M6238" "Sndrome de inmovilidad (parapljico), otros"
"M6239" "Sndrome de inmovilidad (parapljico), sitio no especificado"
"M6240" "Contractura muscular, sitios mltiples"
"M6241" "Contractura muscular, regin del hombro"
"M6242" "Contractura muscular, brazo"
"M6243" "Contractura muscular, antebrazo"
"M6244" "Contractura muscular, mano"
"M6245" "Contractura muscular, regin pelviana y muslo"
"M6246" "Contractura muscular, pierna"
"M6247" "Contractura muscular, tobillo y pie"
"M6248" "Contractura muscular, otros"
"M6249" "Contractura muscular, sitio no especificado"
"M6250" "Atrofia y desgaste musculares, no clasificados en otra parte, sitios mltiples"
"M6251" "Atrofia y desgaste musculares, no clasificados en otra parte, regin del hombro"
"M6252" "Atrofia y desgaste musculares, no clasificados en otra parte, brazo"
"M6253" "Atrofia y desgaste musculares, no clasificados en otra parte, antebrazo"
"M6254" "Atrofia y desgaste musculares, no clasificados en otra parte, mano"
"M6255" "Atrofia y desgaste musculares, no clasificados en otra parte, regin pelviana y muslo"
"M6256" "Atrofia y desgaste musculares, no clasificados en otra parte, pierna"
"M6257" "Atrofia y desgaste musculares, no clasificados en otra parte, tobillo y pie"
"M6258" "Atrofia y desgaste musculares, no clasificados en otra parte, otros"
"M6259" "Atrofia y desgaste musculares, no clasificados en otra parte, sitio no especificado"
"M6260" "Distensin muscular, sitios mltiples"
"M6261" "Distensin muscular, regin del hombro"
"M6262" "Distensin muscular, brazo"
"M6263" "Distensin muscular, antebrazo"
"M6264" "Distensin muscular, mano"
"M6265" "Distensin muscular, regin pelviana y muslo"
"M6266" "Distensin muscular, pierna"
"M6267" "Distensin muscular, tobillo y pie"
"M6268" "Distensin muscular, otros"
"M6269" "Distensin muscular, sitio no especificado"
"M6280" "Otros trastornos especificados de los msculos, sitios mltiples"
"M6281" "Otros trastornos especificados de los msculos, regin del hombro"
"M6282" "Otros trastornos especificados de los msculos, brazo"
"M6283" "Otros trastornos especificados de los msculos, antebrazo"
"M6284" "Otros trastornos especificados de los msculos, mano"
"M6285" "Otros trastornos especificados de los msculos, regin pelviana y muslo"
"M6286" "Otros trastornos especificados de los msculos, pierna"
"M6287" "Otros trastornos especificados de los msculos, tobillo y pie"
"M6288" "Otros trastornos especificados de los msculos, otros"
"M6289" "Otros trastornos especificados de los msculos, sitio no especificado"
"M6290" "Trastorno muscular, no especificado, sitios mltiples"
"M6291" "Trastorno muscular, no especificado, regin del hombro"
"M6292" "Trastorno muscular, no especificado, brazo"
"M6293" "Trastorno muscular, no especificado, antebrazo"
"M6294" "Trastorno muscular, no especificado, mano"
"M6295" "Trastorno muscular, no especificado, regin pelviana y muslo"
"M6296" "Trastorno muscular, no especificado, pierna"
"M6297" "Trastorno muscular, no especificado, tobillo y pie"
"M6298" "Trastorno muscular, no especificado, otros"
"M6299" "Trastorno muscular, no especificado, sitio no especificado"
"M6500" "Absceso de vaina tendinosa, sitios mltiples"
"M6501" "Absceso de vaina tendinosa, regin del hombro"
"M6502" "Absceso de vaina tendinosa, brazo"
"M6503" "Absceso de vaina tendinosa, antebrazo"
"M6504" "Absceso de vaina tendinosa, mano"
"M6505" "Absceso de vaina tendinosa, regin pelviana y muslo"
"M6506" "Absceso de vaina tendinosa, pierna"
"M6507" "Absceso de vaina tendinosa, tobillo y pie"
"M6508" "Absceso de vaina tendinosa, otros"
"M6509" "Absceso de vaina tendinosa, sitio no especificado"
"M6510" "Otras (teno)sinovitis infecciosas, sitios mltiples"
"M6511" "Otras (teno)sinovitis infecciosas, regin del hombro"
"M6512" "Otras (teno)sinovitis infecciosas, brazo"
"M6513" "Otras (teno)sinovitis infecciosas, antebrazo"
"M6514" "Otras (teno)sinovitis infecciosas, mano"
"M6515" "Otras (teno)sinovitis infecciosas, regin pelviana y muslo"
"M6516" "Otras (teno)sinovitis infecciosas, pierna"
"M6517" "Otras (teno)sinovitis infecciosas, tobillo y pie"
"M6518" "Otras (teno)sinovitis infecciosas, otros"
"M6519" "Otras (teno)sinovitis infecciosas, sitio no especificado"
"M6520" "Tendinitis calcificada, sitios mltiples"
"M6521" "Tendinitis calcificada, regin del hombro"
"M6522" "Tendinitis calcificada, brazo"
"M6523" "Tendinitis calcificada, antebrazo"
"M6524" "Tendinitis calcificada, mano"
"M6525" "Tendinitis calcificada, regin pelviana y muslo"
"M6526" "Tendinitis calcificada, pierna"
"M6527" "Tendinitis calcificada, tobillo y pie"
"M6528" "Tendinitis calcificada, otros"
"M6529" "Tendinitis calcificada, sitio no especificado"
"M6530" "Dedo en gatillo, sitios mltiples"
"M6531" "Dedo en gatillo, regin del hombro"
"M6532" "Dedo en gatillo, brazo"
"M6533" "Dedo en gatillo, antebrazo"
"M6534" "Dedo en gatillo, mano"
"M6535" "Dedo en gatillo, regin pelviana y muslo"
"M6536" "Dedo en gatillo, pierna"
"M6537" "Dedo en gatillo, tobillo y pie"
"M6538" "Dedo en gatillo, otros"
"M6539" "Dedo en gatillo, sitio no especificado"
"M6540" "Tenosinovitis de estiloides radial  de Quervain , sitios mltiples"
"M6541" "Tenosinovitis de estiloides radial  de Quervain , regin del hombro"
"M6542" "Tenosinovitis de estiloides radial  de Quervain , brazo"
"M6543" "Tenosinovitis de estiloides radial  de Quervain , antebrazo"
"M6544" "Tenosinovitis de estiloides radial  de Quervain , mano"
"M6545" "Tenosinovitis de estiloides radial  de Quervain , regin pelviana y muslo"
"M6546" "Tenosinovitis de estiloides radial  de Quervain , pierna"
"M6547" "Tenosinovitis de estiloides radial  de Quervain , tobillo y pie"
"M6548" "Tenosinovitis de estiloides radial  de Quervain , otros"
"M6549" "Tenosinovitis de estiloides radial  de Quervain , sitio no especificado"
"M6580" "Otras sinovitis y tenosinovitis, sitios mltiples"
"M6581" "Otras sinovitis y tenosinovitis, regin del hombro"
"M6582" "Otras sinovitis y tenosinovitis, brazo"
"M6583" "Otras sinovitis y tenosinovitis, antebrazo"
"M6584" "Otras sinovitis y tenosinovitis, mano"
"M6585" "Otras sinovitis y tenosinovitis, regin pelviana y muslo"
"M6586" "Otras sinovitis y tenosinovitis, pierna"
"M6587" "Otras sinovitis y tenosinovitis, tobillo y pie"
"M6588" "Otras sinovitis y tenosinovitis, otros"
"M6589" "Otras sinovitis y tenosinovitis, sitio no especificado"
"M6590" "Sinovitis y tenosinovitis, no especificada, sitios mltiples"
"M6591" "Sinovitis y tenosinovitis, no especificada, regin del hombro"
"M6592" "Sinovitis y tenosinovitis, no especificada, brazo"
"M6593" "Sinovitis y tenosinovitis, no especificada, antebrazo"
"M6594" "Sinovitis y tenosinovitis, no especificada, mano"
"M6595" "Sinovitis y tenosinovitis, no especificada, regin pelviana y muslo"
"M6596" "Sinovitis y tenosinovitis, no especificada, pierna"
"M6597" "Sinovitis y tenosinovitis, no especificada, tobillo y pie"
"M6598" "Sinovitis y tenosinovitis, no especificada, otros"
"M6599" "Sinovitis y tenosinovitis, no especificada, sitio no especificado"
"M6600" "Ruptura de quiste sinovial poplteo, sitios mltiples"
"M6601" "Ruptura de quiste sinovial poplteo, regin del hombro"
"M6602" "Ruptura de quiste sinovial poplteo, brazo"
"M6603" "Ruptura de quiste sinovial poplteo, antebrazo"
"M6604" "Ruptura de quiste sinovial poplteo, mano"
"M6605" "Ruptura de quiste sinovial poplteo, regin pelviana y muslo"
"M6606" "Ruptura de quiste sinovial poplteo, pierna"
"M6607" "Ruptura de quiste sinovial poplteo, tobillo y pie"
"M6608" "Ruptura de quiste sinovial poplteo, otros"
"M6609" "Ruptura de quiste sinovial poplteo, sitio no especificado"
"M6610" "Ruptura de la sinovia, sitios mltiples"
"M6611" "Ruptura de la sinovia, regin del hombro"
"M6612" "Ruptura de la sinovia, brazo"
"M6613" "Ruptura de la sinovia, antebrazo"
"M6614" "Ruptura de la sinovia, mano"
"M6615" "Ruptura de la sinovia, regin pelviana y muslo"
"M6616" "Ruptura de la sinovia, pierna"
"M6617" "Ruptura de la sinovia, tobillo y pie"
"M6618" "Ruptura de la sinovia, otros"
"M6619" "Ruptura de la sinovia, sitio no especificado"
"M6620" "Ruptura espontnea de tendones extensores, sitios mltiples"
"M6621" "Ruptura espontnea de tendones extensores, regin del hombro"
"M6622" "Ruptura espontnea de tendones extensores, brazo"
"M6623" "Ruptura espontnea de tendones extensores, antebrazo"
"M6624" "Ruptura espontnea de tendones extensores, mano"
"M6625" "Ruptura espontnea de tendones extensores, regin pelviana y muslo"
"M6626" "Ruptura espontnea de tendones extensores, pierna"
"M6627" "Ruptura espontnea de tendones extensores, tobillo y pie"
"M6628" "Ruptura espontnea de tendones extensores, otros"
"M6629" "Ruptura espontnea de tendones extensores, sitio no especificado"
"M6630" "Ruptura espontnea de tendones flexores, sitios mltiples"
"M6631" "Ruptura espontnea de tendones flexores, regin del hombro"
"M6632" "Ruptura espontnea de tendones flexores, brazo"
"M6633" "Ruptura espontnea de tendones flexores, antebrazo"
"M6634" "Ruptura espontnea de tendones flexores, mano"
"M6635" "Ruptura espontnea de tendones flexores, regin pelviana y muslo"
"M6636" "Ruptura espontnea de tendones flexores, pierna"
"M6637" "Ruptura espontnea de tendones flexores, tobillo y pie"
"M6638" "Ruptura espontnea de tendones flexores, otros"
"M6639" "Ruptura espontnea de tendones flexores, sitio no especificado"
"M6640" "Ruptura espontnea de otros tendones, sitios mltiples"
"M6641" "Ruptura espontnea de otros tendones, regin del hombro"
"M6642" "Ruptura espontnea de otros tendones, brazo"
"M6643" "Ruptura espontnea de otros tendones, antebrazo"
"M6644" "Ruptura espontnea de otros tendones, mano"
"M6645" "Ruptura espontnea de otros tendones, regin pelviana y muslo"
"M6646" "Ruptura espontnea de otros tendones, pierna"
"M6647" "Ruptura espontnea de otros tendones, tobillo y pie"
"M6648" "Ruptura espontnea de otros tendones, otros"
"M6649" "Ruptura espontnea de otros tendones, sitio no especificado"
"M6650" "Ruptura espontnea de tendn no especificado, sitios mltiples"
"M6651" "Ruptura espontnea de tendn no especificado, regin del hombro"
"M6652" "Ruptura espontnea de tendn no especificado, brazo"
"M6653" "Ruptura espontnea de tendn no especificado, antebrazo"
"M6654" "Ruptura espontnea de tendn no especificado, mano"
"M6655" "Ruptura espontnea de tendn no especificado, regin pelviana y muslo"
"M6656" "Ruptura espontnea de tendn no especificado, pierna"
"M6657" "Ruptura espontnea de tendn no especificado, tobillo y pie"
"M6658" "Ruptura espontnea de tendn no especificado, otros"
"M6659" "Ruptura espontnea de tendn no especificado, sitio no especificado"
"M7000" "Sinovitis crepitante crnica de la mano y de la mueca, sitios mltiples"
"M7001" "Sinovitis crepitante crnica de la mano y de la mueca, regin del hombro"
"M7002" "Sinovitis crepitante crnica de la mano y de la mueca, brazo"
"M7003" "Sinovitis crepitante crnica de la mano y de la mueca, antebrazo"
"M7004" "Sinovitis crepitante crnica de la mano y de la mueca, mano"
"M7005" "Sinovitis crepitante crnica de la mano y de la mueca, regin pelviana y muslo"
"M7006" "Sinovitis crepitante crnica de la mano y de la mueca, pierna"
"M7007" "Sinovitis crepitante crnica de la mano y de la mueca, tobillo y pie"
"M7008" "Sinovitis crepitante crnica de la mano y de la mueca, otros"
"M7009" "Sinovitis crepitante crnica de la mano y de la mueca, sitio no especificado"
"M7010" "Bursitis de la mano, sitios mltiples"
"M7011" "Bursitis de la mano, regin del hombro"
"M7012" "Bursitis de la mano, brazo"
"M7013" "Bursitis de la mano, antebrazo"
"M7014" "Bursitis de la mano, mano"
"M7015" "Bursitis de la mano, regin pelviana y muslo"
"M7016" "Bursitis de la mano, pierna"
"M7017" "Bursitis de la mano, tobillo y pie"
"M7018" "Bursitis de la mano, otros"
"M7019" "Bursitis de la mano, sitio no especificado"
"M7020" "Bursitis del olcranon, sitios mltiples"
"M7021" "Bursitis del olcranon, regin del hombro"
"M7022" "Bursitis del olcranon, brazo"
"M7023" "Bursitis del olcranon, antebrazo"
"M7024" "Bursitis del olcranon, mano"
"M7025" "Bursitis del olcranon, regin pelviana y muslo"
"M7026" "Bursitis del olcranon, pierna"
"M7027" "Bursitis del olcranon, tobillo y pie"
"M7028" "Bursitis del olcranon, otros"
"M7029" "Bursitis del olcranon, sitio no especificado"
"M7030" "Otras bursitis del codo, sitios mltiples"
"M7031" "Otras bursitis del codo, regin del hombro"
"M7032" "Otras bursitis del codo, brazo"
"M7033" "Otras bursitis del codo, antebrazo"
"M7034" "Otras bursitis del codo, mano"
"M7035" "Otras bursitis del codo, regin pelviana y muslo"
"M7036" "Otras bursitis del codo, pierna"
"M7037" "Otras bursitis del codo, tobillo y pie"
"M7038" "Otras bursitis del codo, otros"
"M7039" "Otras bursitis del codo, sitio no especificado"
"M7040" "Otras bursitis prerrotulianas, sitios mltiples"
"M7041" "Otras bursitis prerrotulianas, regin del hombro"
"M7042" "Otras bursitis prerrotulianas, brazo"
"M7043" "Otras bursitis prerrotulianas, antebrazo"
"M7044" "Otras bursitis prerrotulianas, mano"
"M7045" "Otras bursitis prerrotulianas, regin pelviana y muslo"
"M7046" "Otras bursitis prerrotulianas, pierna"
"M7047" "Otras bursitis prerrotulianas, tobillo y pie"
"M7048" "Otras bursitis prerrotulianas, otros"
"M7049" "Otras bursitis prerrotulianas, sitio no especificado"
"M7050" "Otras bursitis de la rodilla, sitios mltiples"
"M7051" "Otras bursitis de la rodilla, regin del hombro"
"M7052" "Otras bursitis de la rodilla, brazo"
"M7053" "Otras bursitis de la rodilla, antebrazo"
"M7054" "Otras bursitis de la rodilla, mano"
"M7055" "Otras bursitis de la rodilla, regin pelviana y muslo"
"M7056" "Otras bursitis de la rodilla, pierna"
"M7057" "Otras bursitis de la rodilla, tobillo y pie"
"M7058" "Otras bursitis de la rodilla, otros"
"M7059" "Otras bursitis de la rodilla, sitio no especificado"
"M7060" "Bursitis del trocnter, sitios mltiples"
"M7061" "Bursitis del trocnter, regin del hombro"
"M7062" "Bursitis del trocnter, brazo"
"M7063" "Bursitis del trocnter, antebrazo"
"M7064" "Bursitis del trocnter, mano"
"M7065" "Bursitis del trocnter, regin pelviana y muslo"
"M7066" "Bursitis del trocnter, pierna"
"M7067" "Bursitis del trocnter, tobillo y pie"
"M7068" "Bursitis del trocnter, otros"
"M7069" "Bursitis del trocnter, sitio no especificado"
"M7070" "Otras bursitis de la cadera, sitios mltiples"
"M7071" "Otras bursitis de la cadera, regin del hombro"
"M7072" "Otras bursitis de la cadera, brazo"
"M7073" "Otras bursitis de la cadera, antebrazo"
"M7074" "Otras bursitis de la cadera, mano"
"M7075" "Otras bursitis de la cadera, regin pelviana y muslo"
"M7076" "Otras bursitis de la cadera, pierna"
"M7077" "Otras bursitis de la cadera, tobillo y pie"
"M7078" "Otras bursitis de la cadera, otros"
"M7079" "Otras bursitis de la cadera, sitio no especificado"
"M7080" "Otros trastornos de los tejidos blandos relacionados con el uso, el uso excesivo y la presin, sitios mltiples"
"M7081" "Otros trastornos de los tejidos blandos relacionados con el uso, el uso excesivo y la presin, regin del hombro"
"M7082" "Otros trastornos de los tejidos blandos relacionados con el uso, el uso excesivo y la presin, brazo"
"M7083" "Otros trastornos de los tejidos blandos relacionados con el uso, el uso excesivo y la presin, antebrazo"
"M7084" "Otros trastornos de los tejidos blandos relacionados con el uso, el uso excesivo y la presin, mano"
"M7085" "Otros trastornos de los tejidos blandos relacionados con el uso, el uso excesivo y la presin, regin pelviana y muslo"
"M7086" "Otros trastornos de los tejidos blandos relacionados con el uso, el uso excesivo y la presin, pierna"
"M7087" "Otros trastornos de los tejidos blandos relacionados con el uso, el uso excesivo y la presin, tobillo y pie"
"M7088" "Otros trastornos de los tejidos blandos relacionados con el uso, el uso excesivo y la presin, otros"
"M7089" "Otros trastornos de los tejidos blandos relacionados con el uso, el uso excesivo y la presin, sitio no especificado"
"M7090" "Trastorno no especificado de los tejidos blandos relacionado con el uso, el uso excesivo y la presin, sitios mltiples"
"M7091" "Trastorno no especificado de los tejidos blandos relacionado con el uso, el uso excesivo y la presin, regin del hombro"
"M7092" "Trastorno no especificado de los tejidos blandos relacionado con el uso, el uso excesivo y la presin, brazo"
"M7093" "Trastorno no especificado de los tejidos blandos relacionado con el uso, el uso excesivo y la presin, antebrazo"
"M7094" "Trastorno no especificado de los tejidos blandos relacionado con el uso, el uso excesivo y la presin, mano"
"M7095" "Trastorno no especificado de los tejidos blandos relacionado con el uso, el uso excesivo y la presin, regin pelviana y muslo"
"M7096" "Trastorno no especificado de los tejidos blandos relacionado con el uso, el uso excesivo y la presin, pierna"
"M7097" "Trastorno no especificado de los tejidos blandos relacionado con el uso, el uso excesivo y la presin, tobillo y pie"
"M7098" "Trastorno no especificado de los tejidos blandos relacionado con el uso, el uso excesivo y la presin, otros"
"M7099" "Trastorno no especificado de los tejidos blandos relacionado con el uso, el uso excesivo y la presin, sitio no especificado"
"M7100" "Absceso de la bolsa sinovial, sitios mltiples"
"M7101" "Absceso de la bolsa sinovial, regin del hombro"
"M7102" "Absceso de la bolsa sinovial, brazo"
"M7103" "Absceso de la bolsa sinovial, antebrazo"
"M7104" "Absceso de la bolsa sinovial, mano"
"M7105" "Absceso de la bolsa sinovial, regin pelviana y muslo"
"M7106" "Absceso de la bolsa sinovial, pierna"
"M7107" "Absceso de la bolsa sinovial, tobillo y pie"
"M7108" "Absceso de la bolsa sinovial, otros"
"M7109" "Absceso de la bolsa sinovial, sitio no especificado"
"M7110" "Otras bursitis infecciosas, sitios mltiples"
"M7111" "Otras bursitis infecciosas, regin del hombro"
"M7112" "Otras bursitis infecciosas, brazo"
"M7113" "Otras bursitis infecciosas, antebrazo"
"M7114" "Otras bursitis infecciosas, mano"
"M7115" "Otras bursitis infecciosas, regin pelviana y muslo"
"M7116" "Otras bursitis infecciosas, pierna"
"M7117" "Otras bursitis infecciosas, tobillo y pie"
"M7118" "Otras bursitis infecciosas, otros"
"M7119" "Otras bursitis infecciosas, sitio no especificado"
"M7120" "Quiste sinovial del hueco poplteo  de Baker , sitios mltiples"
"M7121" "Quiste sinovial del hueco poplteo  de Baker , regin del hombro"
"M7122" "Quiste sinovial del hueco poplteo  de Baker , brazo"
"M7123" "Quiste sinovial del hueco poplteo  de Baker , antebrazo"
"M7124" "Quiste sinovial del hueco poplteo  de Baker , mano"
"M7125" "Quiste sinovial del hueco poplteo  de Baker , regin pelviana y muslo"
"M7126" "Quiste sinovial del hueco poplteo  de Baker , pierna"
"M7217" "Ndulos interfalngicos, tobillo y pie"
"M7127" "Quiste sinovial del hueco poplteo  de Baker , tobillo y pie"
"M7128" "Quiste sinovial del hueco poplteo  de Baker , otros"
"M7129" "Quiste sinovial del hueco poplteo  de Baker , sitio no especificado"
"M7130" "Otros quistes de la bolsa serosa, sitios mltiples"
"M7131" "Otros quistes de la bolsa serosa, regin del hombro"
"M7132" "Otros quistes de la bolsa serosa, brazo"
"M7133" "Otros quistes de la bolsa serosa, antebrazo"
"M7134" "Otros quistes de la bolsa serosa, mano"
"M7135" "Otros quistes de la bolsa serosa, regin pelviana y muslo"
"M7136" "Otros quistes de la bolsa serosa, pierna"
"M7137" "Otros quistes de la bolsa serosa, tobillo y pie"
"M7138" "Otros quistes de la bolsa serosa, otros"
"M7139" "Otros quistes de la bolsa serosa, sitio no especificado"
"M7140" "Depsito de calcio  en la bolsa serosa, sitios mltiples"
"M7141" "Depsito de calcio  en la bolsa serosa, regin del hombro"
"M7142" "Depsito de calcio  en la bolsa serosa, brazo"
"M7143" "Depsito de calcio  en la bolsa serosa, antebrazo"
"M7144" "Depsito de calcio  en la bolsa serosa, mano"
"M7145" "Depsito de calcio  en la bolsa serosa, regin pelviana y muslo"
"M7146" "Depsito de calcio  en la bolsa serosa, pierna"
"M7147" "Depsito de calcio  en la bolsa serosa, tobillo y pie"
"M7148" "Depsito de calcio  en la bolsa serosa, otros"
"M7149" "Depsito de calcio  en la bolsa serosa, sitio no especificado"
"M7150" "Otras bursitis, no clasificadas en otra parte, sitios mltiples"
"M7151" "Otras bursitis, no clasificadas en otra parte, regin del hombro"
"M7152" "Otras bursitis, no clasificadas en otra parte, brazo"
"M7153" "Otras bursitis, no clasificadas en otra parte, antebrazo"
"M7154" "Otras bursitis, no clasificadas en otra parte, mano"
"M7155" "Otras bursitis, no clasificadas en otra parte, regin pelviana y muslo"
"M7156" "Otras bursitis, no clasificadas en otra parte, pierna"
"M7157" "Otras bursitis, no clasificadas en otra parte, tobillo y pie"
"M7158" "Otras bursitis, no clasificadas en otra parte, otros"
"M7159" "Otras bursitis, no clasificadas en otra parte, sitio no especificado"
"M7180" "Otros trastornos especificados de la bolsa serosa, sitios mltiples"
"M7181" "Otros trastornos especificados de la bolsa serosa, regin del hombro"
"M7182" "Otros trastornos especificados de la bolsa serosa, brazo"
"M7183" "Otros trastornos especificados de la bolsa serosa, antebrazo"
"M7184" "Otros trastornos especificados de la bolsa serosa, mano"
"M7185" "Otros trastornos especificados de la bolsa serosa, regin pelviana y muslo"
"M7186" "Otros trastornos especificados de la bolsa serosa, pierna"
"M7187" "Otros trastornos especificados de la bolsa serosa, tobillo y pie"
"M7188" "Otros trastornos especificados de la bolsa serosa, otros"
"M7189" "Otros trastornos especificados de la bolsa serosa, sitio no especificado"
"M7190" "Bursopata, no especificada, sitios mltiples"
"M7191" "Bursopata, no especificada, regin del hombro"
"M7192" "Bursopata, no especificada, brazo"
"M7193" "Bursopata, no especificada, antebrazo"
"M7194" "Bursopata, no especificada, mano"
"M7195" "Bursopata, no especificada, regin pelviana y muslo"
"M7196" "Bursopata, no especificada, pierna"
"M7197" "Bursopata, no especificada, tobillo y pie"
"M7198" "Bursopata, no especificada, otros"
"M7199" "Bursopata, no especificada, sitio no especificado"
"M7200" "Fibromatosis de la aponeurosis palmar  Dupuytren , sitios mltiples"
"M7201" "Fibromatosis de la aponeurosis palmar  Dupuytren , regin del hombro"
"M7202" "Fibromatosis de la aponeurosis palmar  Dupuytren , brazo"
"M7203" "Fibromatosis de la aponeurosis palmar  Dupuytren , antebrazo"
"M7204" "Fibromatosis de la aponeurosis palmar  Dupuytren , mano"
"M7205" "Fibromatosis de la aponeurosis palmar  Dupuytren , regin pelviana y muslo"
"M7206" "Fibromatosis de la aponeurosis palmar  Dupuytren , pierna"
"M7207" "Fibromatosis de la aponeurosis palmar  Dupuytren , tobillo y pie"
"M7208" "Fibromatosis de la aponeurosis palmar  Dupuytren , otros"
"M7209" "Fibromatosis de la aponeurosis palmar  Dupuytren , sitio no especificado"
"M7210" "Ndulos interfalngicos, sitios mltiples"
"M7211" "Ndulos interfalngicos, regin del hombro"
"M7212" "Ndulos interfalngicos, brazo"
"M7213" "Ndulos interfalngicos, antebrazo"
"M7214" "Ndulos interfalngicos, mano"
"M7215" "Ndulos interfalngicos, regin pelviana y muslo"
"M7216" "Ndulos interfalngicos, pierna"
"M7218" "Ndulos interfalngicos, otros"
"M7219" "Ndulos interfalngicos, sitio no especificado"
"M7220" "Fibromatosis de la aponeurosis plantar, sitios mltiples"
"M7221" "Fibromatosis de la aponeurosis plantar, regin del hombro"
"M7222" "Fibromatosis de la aponeurosis plantar, brazo"
"M7223" "Fibromatosis de la aponeurosis plantar, antebrazo"
"M7224" "Fibromatosis de la aponeurosis plantar, mano"
"M7225" "Fibromatosis de la aponeurosis plantar, regin pelviana y muslo"
"M7226" "Fibromatosis de la aponeurosis plantar, pierna"
"M7227" "Fibromatosis de la aponeurosis plantar, tobillo y pie"
"M7228" "Fibromatosis de la aponeurosis plantar, otros"
"M7229" "Fibromatosis de la aponeurosis plantar, sitio no especificado"
"M7240" "Fibromatosis seudosarcomatosa, sitios mltiples"
"M7241" "Fibromatosis seudosarcomatosa, regin del hombro"
"M7242" "Fibromatosis seudosarcomatosa, brazo"
"M7243" "Fibromatosis seudosarcomatosa, antebrazo"
"M7244" "Fibromatosis seudosarcomatosa, mano"
"M7245" "Fibromatosis seudosarcomatosa, regin pelviana y muslo"
"M7246" "Fibromatosis seudosarcomatosa, pierna"
"M7247" "Fibromatosis seudosarcomatosa, tobillo y pie"
"M7248" "Fibromatosis seudosarcomatosa, otros"
"M7249" "Fibromatosis seudosarcomatosa, sitio no especificado"
"M7260" "Fascitis necrotizante, sitios mltiples"
"M7261" "Fascitis necrotizante, regin del hombro"
"M7262" "Fascitis necrotizante, brazo"
"M7263" "Fascitis necrotizante, antebrazo"
"M7264" "Fascitis necrotizante, mano"
"M7265" "Fascitis necrotizante, regin pelviana y muslo"
"M7266" "Fascitis necrotizante, pierna"
"M7267" "Fascitis necrotizante, tobillo y pie"
"M7268" "Fascitis necrotizante, otros"
"M7269" "Fascitis necrotizante, sitio no especificado"
"M7280" "Otros trastornos fibroblsticos, sitios mltiples"
"M7281" "Otros trastornos fibroblsticos, regin del hombro"
"M7282" "Otros trastornos fibroblsticos, brazo"
"M7283" "Otros trastornos fibroblsticos, antebrazo"
"M7284" "Otros trastornos fibroblsticos, mano"
"M7285" "Otros trastornos fibroblsticos, regin pelviana y muslo"
"M7286" "Otros trastornos fibroblsticos, pierna"
"M7287" "Otros trastornos fibroblsticos, tobillo y pie"
"M7288" "Otros trastornos fibroblsticos, otros"
"M7289" "Otros trastornos fibroblsticos, sitio no especificado"
"M7290" "Trastorno fibroblstico, no especificado, sitios mltiples"
"M7291" "Trastorno fibroblstico, no especificado, regin del hombro"
"M7292" "Trastorno fibroblstico, no especificado, brazo"
"M7293" "Trastorno fibroblstico, no especificado, antebrazo"
"M7294" "Trastorno fibroblstico, no especificado, mano"
"M7295" "Trastorno fibroblstico, no especificado, regin pelviana y muslo"
"M7296" "Trastorno fibroblstico, no especificado, pierna"
"M7297" "Trastorno fibroblstico, no especificado, tobillo y pie"
"M7298" "Trastorno fibroblstico, no especificado, otros"
"M7299" "Trastorno fibroblstico, no especificado, sitio no especificado"
"M7300" "Bursitis gonoccica, sitios mltiples"
"M7301" "Bursitis gonoccica, regin del hombro"
"M7302" "Bursitis gonoccica, brazo"
"M7303" "Bursitis gonoccica, antebrazo"
"M7304" "Bursitis gonoccica, mano"
"M7305" "Bursitis gonoccica, regin pelviana y muslo"
"M7306" "Bursitis gonoccica, pierna"
"M7307" "Bursitis gonoccica, tobillo y pie"
"M7308" "Bursitis gonoccica, otros"
"M7309" "Bursitis gonoccica, sitio no especificado"
"M7310" "Bursitis sifiltica, sitios mltiples"
"M7311" "Bursitis sifiltica, regin del hombro"
"M7312" "Bursitis sifiltica, brazo"
"M7313" "Bursitis sifiltica, antebrazo"
"M7314" "Bursitis sifiltica, mano"
"M7315" "Bursitis sifiltica, regin pelviana y muslo"
"M7316" "Bursitis sifiltica, pierna"
"M7317" "Bursitis sifiltica, tobillo y pie"
"M7318" "Bursitis sifiltica, otros"
"M7319" "Bursitis sifiltica, sitio no especificado"
"M7380" "Otros trastornos de los tejidos blandos en enfermedades clasificadas en otra parte, sitios mltiples"
"M7381" "Otros trastornos de los tejidos blandos en enfermedades clasificadas en otra parte, regin del hombro"
"M7382" "Otros trastornos de los tejidos blandos en enfermedades clasificadas en otra parte, brazo"
"M7666" "Tendinitis aquiliana, pierna"
"M7383" "Otros trastornos de los tejidos blandos en enfermedades clasificadas en otra parte, antebrazo"
"M7384" "Otros trastornos de los tejidos blandos en enfermedades clasificadas en otra parte, mano"
"M7385" "Otros trastornos de los tejidos blandos en enfermedades clasificadas en otra parte, regin pelviana y muslo"
"M7386" "Otros trastornos de los tejidos blandos en enfermedades clasificadas en otra parte, pierna"
"M7387" "Otros trastornos de los tejidos blandos en enfermedades clasificadas en otra parte, tobillo y pie"
"M7388" "Otros trastornos de los tejidos blandos en enfermedades clasificadas en otra parte, otros"
"M7389" "Otros trastornos de los tejidos blandos en enfermedades clasificadas en otra parte, sitio no especificado"
"M7600" "Tendinitis del glúteo, sitios mltiples"
"M7601" "Tendinitis del glúteo, regin del hombro"
"M7602" "Tendinitis del glúteo, brazo"
"M7603" "Tendinitis del glúteo, antebrazo"
"M7604" "Tendinitis del glúteo, mano"
"M7605" "Tendinitis del glúteo, regin pelviana y muslo"
"M7606" "Tendinitis del glúteo, pierna"
"M7607" "Tendinitis del glúteo, tobillo y pie"
"M7608" "Tendinitis del glúteo, otros"
"M7609" "Tendinitis del glúteo, sitio no especificado"
"M7610" "Tendinitis del psoas, sitios mltiples"
"M7611" "Tendinitis del psoas, regin del hombro"
"M7612" "Tendinitis del psoas, brazo"
"M7613" "Tendinitis del psoas, antebrazo"
"M7614" "Tendinitis del psoas, mano"
"M7615" "Tendinitis del psoas, regin pelviana y muslo"
"M7616" "Tendinitis del psoas, pierna"
"M7617" "Tendinitis del psoas, tobillo y pie"
"M7618" "Tendinitis del psoas, otros"
"M7619" "Tendinitis del psoas, sitio no especificado"
"M7620" "Espoln de la cresta iliaca, sitios mltiples"
"M7621" "Espoln de la cresta iliaca, regin del hombro"
"M7622" "Espoln de la cresta iliaca, brazo"
"M7623" "Espoln de la cresta iliaca, antebrazo"
"M7624" "Espoln de la cresta iliaca, mano"
"M7625" "Espoln de la cresta iliaca, regin pelviana y muslo"
"M7626" "Espoln de la cresta iliaca, pierna"
"M7627" "Espoln de la cresta iliaca, tobillo y pie"
"M7628" "Espoln de la cresta iliaca, otros"
"M7629" "Espoln de la cresta iliaca, sitio no especificado"
"M7630" "Sndrome del tendn del tensor de la fascia lata, sitios mltiples"
"M7631" "Sndrome del tendn del tensor de la fascia lata, regin del hombro"
"M7632" "Sndrome del tendn del tensor de la fascia lata, brazo"
"M7633" "Sndrome del tendn del tensor de la fascia lata, antebrazo"
"M7634" "Sndrome del tendn del tensor de la fascia lata, mano"
"M7635" "Sndrome del tendn del tensor de la fascia lata, regin pelviana y muslo"
"M7636" "Sndrome del tendn del tensor de la fascia lata, pierna"
"M7637" "Sndrome del tendn del tensor de la fascia lata, tobillo y pie"
"M7638" "Sndrome del tendn del tensor de la fascia lata, otros"
"M7639" "Sndrome del tendn del tensor de la fascia lata, sitio no especificado"
"M7640" "Bursitis tibial colateral  Pellegrini-Stieda , sitios mltiples"
"M7641" "Bursitis tibial colateral  Pellegrini-Stieda , regin del hombro"
"M7642" "Bursitis tibial colateral  Pellegrini-Stieda , brazo"
"M7643" "Bursitis tibial colateral  Pellegrini-Stieda , antebrazo"
"M7644" "Bursitis tibial colateral  Pellegrini-Stieda , mano"
"M7645" "Bursitis tibial colateral  Pellegrini-Stieda , regin pelviana y muslo"
"M7646" "Bursitis tibial colateral  Pellegrini-Stieda , pierna"
"M7647" "Bursitis tibial colateral  Pellegrini-Stieda , tobillo y pie"
"M7648" "Bursitis tibial colateral  Pellegrini-Stieda , otros"
"M7649" "Bursitis tibial colateral  Pellegrini-Stieda , sitio no especificado"
"M7650" "Tendinitis rotuliana, sitios mltiples"
"M7651" "Tendinitis rotuliana, regin del hombro"
"M7652" "Tendinitis rotuliana, brazo"
"M7653" "Tendinitis rotuliana, antebrazo"
"M7654" "Tendinitis rotuliana, mano"
"M7655" "Tendinitis rotuliana, regin pelviana y muslo"
"M7656" "Tendinitis rotuliana, pierna"
"M7657" "Tendinitis rotuliana, tobillo y pie"
"M7658" "Tendinitis rotuliana, otros"
"M7659" "Tendinitis rotuliana, sitio no especificado"
"M7660" "Tendinitis aquiliana, sitios mltiples"
"M7661" "Tendinitis aquiliana, regin del hombro"
"M7662" "Tendinitis aquiliana, brazo"
"M7663" "Tendinitis aquiliana, antebrazo"
"M7664" "Tendinitis aquiliana, mano"
"M7665" "Tendinitis aquiliana, regin pelviana y muslo"
"M7667" "Tendinitis aquiliana, tobillo y pie"
"M7668" "Tendinitis aquiliana, otros"
"M7669" "Tendinitis aquiliana, sitio no especificado"
"M7670" "Tendinitis peroneal, sitios mltiples"
"M7671" "Tendinitis peroneal, regin del hombro"
"M7672" "Tendinitis peroneal, brazo"
"M7673" "Tendinitis peroneal, antebrazo"
"M7674" "Tendinitis peroneal, mano"
"M7675" "Tendinitis peroneal, regin pelviana y muslo"
"M7676" "Tendinitis peroneal, pierna"
"M7677" "Tendinitis peroneal, tobillo y pie"
"M7678" "Tendinitis peroneal, otros"
"M7679" "Tendinitis peroneal, sitio no especificado"
"M7680" "Otras entesopatas del miembro inferior, excluido el pie, sitios mltiples"
"M7681" "Otras entesopatas del miembro inferior, excluido el pie, regin del hombro"
"M7682" "Otras entesopatas del miembro inferior, excluido el pie, brazo"
"M7683" "Otras entesopatas del miembro inferior, excluido el pie, antebrazo"
"M7684" "Otras entesopatas del miembro inferior, excluido el pie, mano"
"M7685" "Otras entesopatas del miembro inferior, excluido el pie, regin pelviana y muslo"
"M7686" "Otras entesopatas del miembro inferior, excluido el pie, pierna"
"M7687" "Otras entesopatas del miembro inferior, excluido el pie, tobillo y pie"
"M7688" "Otras entesopatas del miembro inferior, excluido el pie, otros"
"M7689" "Otras entesopatas del miembro inferior, excluido el pie, sitio no especificado"
"M7690" "Entesopata del miembro inferior, no especificada, sitios mltiples"
"M7691" "Entesopata del miembro inferior, no especificada, regin del hombro"
"M7692" "Entesopata del miembro inferior, no especificada, brazo"
"M7693" "Entesopata del miembro inferior, no especificada, antebrazo"
"M7694" "Entesopata del miembro inferior, no especificada, mano"
"M7695" "Entesopata del miembro inferior, no especificada, regin pelviana y muslo"
"M7696" "Entesopata del miembro inferior, no especificada, pierna"
"M7697" "Entesopata del miembro inferior, no especificada, tobillo y pie"
"M7698" "Entesopata del miembro inferior, no especificada, otros"
"M7699" "Entesopata del miembro inferior, no especificada, sitio no especificado"
"M7700" "Epicondilitis media, sitios mltiples"
"M7701" "Epicondilitis media, regin del hombro"
"M7702" "Epicondilitis media, brazo"
"M7703" "Epicondilitis media, antebrazo"
"M7704" "Epicondilitis media, mano"
"M7705" "Epicondilitis media, regin pelviana y muslo"
"M7706" "Epicondilitis media, pierna"
"M7707" "Epicondilitis media, tobillo y pie"
"M7708" "Epicondilitis media, otros"
"M7709" "Epicondilitis media, sitio no especificado"
"M7710" "Epicondilitis lateral, sitios mltiples"
"M7711" "Epicondilitis lateral, regin del hombro"
"M7712" "Epicondilitis lateral, brazo"
"M7713" "Epicondilitis lateral, antebrazo"
"M7714" "Epicondilitis lateral, mano"
"M7715" "Epicondilitis lateral, regin pelviana y muslo"
"M7716" "Epicondilitis lateral, pierna"
"M7717" "Epicondilitis lateral, tobillo y pie"
"M7718" "Epicondilitis lateral, otros"
"M7719" "Epicondilitis lateral, sitio no especificado"
"M7720" "Periartritis de la mueca, sitios mltiples"
"M7721" "Periartritis de la mueca, regin del hombro"
"M7722" "Periartritis de la mueca, brazo"
"M7723" "Periartritis de la mueca, antebrazo"
"M7724" "Periartritis de la mueca, mano"
"M7725" "Periartritis de la mueca, regin pelviana y muslo"
"M7726" "Periartritis de la mueca, pierna"
"M7727" "Periartritis de la mueca, tobillo y pie"
"M7728" "Periartritis de la mueca, otros"
"M7729" "Periartritis de la mueca, sitio no especificado"
"M7730" "Espoln calcneo, sitios mltiples"
"M7731" "Espoln calcneo, regin del hombro"
"M7732" "Espoln calcneo, brazo"
"M7733" "Espoln calcneo, antebrazo"
"M7734" "Espoln calcneo, mano"
"M7735" "Espoln calcneo, regin pelviana y muslo"
"M7736" "Espoln calcneo, pierna"
"M7737" "Espoln calcneo, tobillo y pie"
"M7738" "Espoln calcneo, otros"
"M7739" "Espoln calcneo, sitio no especificado"
"M7740" "Metatarsalgia, sitios mltiples"
"M7741" "Metatarsalgia, regin del hombro"
"M7742" "Metatarsalgia, brazo"
"M7743" "Metatarsalgia, antebrazo"
"M7744" "Metatarsalgia, mano"
"M7745" "Metatarsalgia, regin pelviana y muslo"
"M7746" "Metatarsalgia, pierna"
"M7747" "Metatarsalgia, tobillo y pie"
"M7748" "Metatarsalgia, otros"
"M7749" "Metatarsalgia, sitio no especificado"
"M7750" "Otras entesopatas del pie, sitios mltiples"
"M7751" "Otras entesopatas del pie, regin del hombro"
"M7752" "Otras entesopatas del pie, brazo"
"M7753" "Otras entesopatas del pie, antebrazo"
"M7754" "Otras entesopatas del pie, mano"
"M7755" "Otras entesopatas del pie, regin pelviana y muslo"
"M7756" "Otras entesopatas del pie, pierna"
"M7757" "Otras entesopatas del pie, tobillo y pie"
"M7758" "Otras entesopatas del pie, otros"
"M7759" "Otras entesopatas del pie, sitio no especificado"
"M7780" "Otras entesopatas, no clasificadas en otra parte, sitios mltiples"
"M7781" "Otras entesopatas, no clasificadas en otra parte, regin del hombro"
"M7782" "Otras entesopatas, no clasificadas en otra parte, brazo"
"M7783" "Otras entesopatas, no clasificadas en otra parte, antebrazo"
"M7784" "Otras entesopatas, no clasificadas en otra parte, mano"
"M7785" "Otras entesopatas, no clasificadas en otra parte, regin pelviana y muslo"
"M7786" "Otras entesopatas, no clasificadas en otra parte, pierna"
"M7787" "Otras entesopatas, no clasificadas en otra parte, tobillo y pie"
"M7788" "Otras entesopatas, no clasificadas en otra parte, otros"
"M7789" "Otras entesopatas, no clasificadas en otra parte, sitio no especificado"
"M7790" "Entesopata, no especificada, sitios mltiples"
"M7791" "Entesopata, no especificada, regin del hombro"
"M7792" "Entesopata, no especificada, brazo"
"M7793" "Entesopata, no especificada, antebrazo"
"M7794" "Entesopata, no especificada, mano"
"M7795" "Entesopata, no especificada, regin pelviana y muslo"
"M7796" "Entesopata, no especificada, pierna"
"M7797" "Entesopata, no especificada, tobillo y pie"
"M7798" "Entesopata, no especificada, otros"
"M7799" "Entesopata, no especificada, sitio no especificado"
"M7900" "Reumatismo, no especificado, sitios mltiples"
"M7901" "Reumatismo, no especificado, regin del hombro"
"M7902" "Reumatismo, no especificado, brazo"
"M7903" "Reumatismo, no especificado, antebrazo"
"M7904" "Reumatismo, no especificado, mano"
"M7905" "Reumatismo, no especificado, regin pelviana y muslo"
"M7906" "Reumatismo, no especificado, pierna"
"M7907" "Reumatismo, no especificado, tobillo y pie"
"M7908" "Reumatismo, no especificado, otros"
"M7909" "Reumatismo, no especificado, sitio no especificado"
"M7910" "Mialgia, sitios mltiples"
"M7911" "Mialgia, regin del hombro"
"M7912" "Mialgia, brazo"
"M7913" "Mialgia, antebrazo"
"M7914" "Mialgia, mano"
"M7915" "Mialgia, regin pelviana y muslo"
"M7916" "Mialgia, pierna"
"M7917" "Mialgia, tobillo y pie"
"M7918" "Mialgia, otros"
"M7919" "Mialgia, sitio no especificado"
"M7920" "Neuralgia y neuritis, no especificadas, sitios mltiples"
"M7921" "Neuralgia y neuritis, no especificadas, regin del hombro"
"M7922" "Neuralgia y neuritis, no especificadas, brazo"
"M7923" "Neuralgia y neuritis, no especificadas, antebrazo"
"M7924" "Neuralgia y neuritis, no especificadas, mano"
"M7925" "Neuralgia y neuritis, no especificadas, regin pelviana y muslo"
"M7926" "Neuralgia y neuritis, no especificadas, pierna"
"M7927" "Neuralgia y neuritis, no especificadas, tobillo y pie"
"M7928" "Neuralgia y neuritis, no especificadas, otros"
"M7929" "Neuralgia y neuritis, no especificadas, sitio no especificado"
"M7930" "Paniculitis, no especificada, sitios mltiples"
"M7931" "Paniculitis, no especificada, regin del hombro"
"M7932" "Paniculitis, no especificada, brazo"
"M7933" "Paniculitis, no especificada, antebrazo"
"M7934" "Paniculitis, no especificada, mano"
"M7935" "Paniculitis, no especificada, regin pelviana y muslo"
"M7936" "Paniculitis, no especificada, pierna"
"M7937" "Paniculitis, no especificada, tobillo y pie"
"M7938" "Paniculitis, no especificada, otros"
"M7939" "Paniculitis, no especificada, sitio no especificado"
"M7940" "Hipertrofia de paquete adiposo (infrarrotuliano), sitios mltiples"
"M7941" "Hipertrofia de paquete adiposo (infrarrotuliano), regin del hombro"
"M7942" "Hipertrofia de paquete adiposo (infrarrotuliano), brazo"
"M7943" "Hipertrofia de paquete adiposo (infrarrotuliano), antebrazo"
"M7944" "Hipertrofia de paquete adiposo (infrarrotuliano), mano"
"M7945" "Hipertrofia de paquete adiposo (infrarrotuliano), regin pelviana y muslo"
"M7946" "Hipertrofia de paquete adiposo (infrarrotuliano), pierna"
"M7947" "Hipertrofia de paquete adiposo (infrarrotuliano), tobillo y pie"
"M7948" "Hipertrofia de paquete adiposo (infrarrotuliano), otros"
"M7949" "Hipertrofia de paquete adiposo (infrarrotuliano), sitio no especificado"
"M7950" "Cuerpo extrao residual en tejido blando, sitios mltiples"
"M7951" "Cuerpo extrao residual en tejido blando, regin del hombro"
"M7952" "Cuerpo extrao residual en tejido blando, brazo"
"M7953" "Cuerpo extrao residual en tejido blando, antebrazo"
"M7954" "Cuerpo extrao residual en tejido blando, mano"
"M7955" "Cuerpo extrao residual en tejido blando, regin pelviana y muslo"
"M7956" "Cuerpo extrao residual en tejido blando, pierna"
"M7957" "Cuerpo extrao residual en tejido blando, tobillo y pie"
"M7958" "Cuerpo extrao residual en tejido blando, otros"
"M7959" "Cuerpo extrao residual en tejido blando, sitio no especificado"
"M7960" "Dolor en miembro, sitios mltiples"
"M7961" "Dolor en miembro, regin del hombro"
"M7962" "Dolor en miembro, brazo"
"M7963" "Dolor en miembro, antebrazo"
"M7964" "Dolor en miembro, mano"
"M7965" "Dolor en miembro, regin pelviana y muslo"
"M7966" "Dolor en miembro, pierna"
"M7967" "Dolor en miembro, tobillo y pie"
"M7968" "Dolor en miembro, otros"
"M7969" "Dolor en miembro, sitio no especificado"
"M7970" "Fibromialgia, sitios mltiples"
"M7971" "Fibromialgia, regin del hombro"
"M7972" "Fibromialgia, brazo"
"M7973" "Fibromialgia, antebrazo"
"M7974" "Fibromialgia, mano"
"M7975" "Fibromialgia, regin pelviana y muslo"
"M7976" "Fibromialgia, pierna"
"M7977" "Fibromialgia, tobillo y pie"
"M7978" "Fibromialgia, otros"
"M7979" "Fibromialgia, sitio no especificado"
"M7980" "Otros trastornos especificados de los tejidos blandos, sitios mltiples"
"M7981" "Otros trastornos especificados de los tejidos blandos, regin del hombro"
"M7982" "Otros trastornos especificados de los tejidos blandos, brazo"
"M7983" "Otros trastornos especificados de los tejidos blandos, antebrazo"
"M7984" "Otros trastornos especificados de los tejidos blandos, mano"
"M7985" "Otros trastornos especificados de los tejidos blandos, regin pelviana y muslo"
"M7986" "Otros trastornos especificados de los tejidos blandos, pierna"
"M7987" "Otros trastornos especificados de los tejidos blandos, tobillo y pie"
"M7988" "Otros trastornos especificados de los tejidos blandos, otros"
"M7989" "Otros trastornos especificados de los tejidos blandos, sitio no especificado"
"M7990" "Trastorno de los tejidos blandos, no especificado, sitios mltiples"
"M7991" "Trastorno de los tejidos blandos, no especificado, regin del hombro"
"M7992" "Trastorno de los tejidos blandos, no especificado, brazo"
"M7993" "Trastorno de los tejidos blandos, no especificado, antebrazo"
"M7994" "Trastorno de los tejidos blandos, no especificado, mano"
"M7995" "Trastorno de los tejidos blandos, no especificado, regin pelviana y muslo"
"M7996" "Trastorno de los tejidos blandos, no especificado, pierna"
"M7997" "Trastorno de los tejidos blandos, no especificado, tobillo y pie"
"M7998" "Trastorno de los tejidos blandos, no especificado, otros"
"M7999" "Trastorno de los tejidos blandos, no especificado, sitio no especificado"
"M8020" "Osteoporosis por desuso, con fractura patolgica, sitios mltiples"
"M8021" "Osteoporosis por desuso, con fractura patolgica, regin del hombro"
"M8022" "Osteoporosis por desuso, con fractura patolgica, brazo"
"M8023" "Osteoporosis por desuso, con fractura patolgica, antebrazo"
"M8024" "Osteoporosis por desuso, con fractura patolgica, mano"
"M8025" "Osteoporosis por desuso, con fractura patolgica, regin pelviana y muslo"
"M8026" "Osteoporosis por desuso, con fractura patolgica, pierna"
"M8027" "Osteoporosis por desuso, con fractura patolgica, tobillo y pie"
"M8028" "Osteoporosis por desuso, con fractura patolgica, otros"
"M8029" "Osteoporosis por desuso, con fractura patolgica, sitio no especificado"
"M8030" "Osteoporosis por malabsorcin postquirrgica, con fractura patolgica, sitios mltiples"
"M8544" "Quiste seo solitario, mano"
"M8031" "Osteoporosis por malabsorcin postquirrgica, con fractura patolgica, regin del hombro"
"M8032" "Osteoporosis por malabsorcin postquirrgica, con fractura patolgica, brazo"
"M8033" "Osteoporosis por malabsorcin postquirrgica, con fractura patolgica, antebrazo"
"M8034" "Osteoporosis por malabsorcin postquirrgica, con fractura patolgica, mano"
"M8035" "Osteoporosis por malabsorcin postquirrgica, con fractura patolgica, regin pelviana y muslo"
"M8036" "Osteoporosis por malabsorcin postquirrgica, con fractura patolgica, pierna"
"M8037" "Osteoporosis por malabsorcin postquirrgica, con fractura patolgica, tobillo y pie"
"M8038" "Osteoporosis por malabsorcin postquirrgica, con fractura patolgica, otros"
"M8039" "Osteoporosis por malabsorcin postquirrgica, con fractura patolgica, sitio no especificado"
"M8040" "Osteoporosis inducida por drogas, con fractura patolgica, sitios mltiples"
"M8041" "Osteoporosis inducida por drogas, con fractura patolgica, regin del hombro"
"M8042" "Osteoporosis inducida por drogas, con fractura patolgica, brazo"
"M8043" "Osteoporosis inducida por drogas, con fractura patolgica, antebrazo"
"M8044" "Osteoporosis inducida por drogas, con fractura patolgica, mano"
"M8045" "Osteoporosis inducida por drogas, con fractura patolgica, regin pelviana y muslo"
"M8046" "Osteoporosis inducida por drogas, con fractura patolgica, pierna"
"M8047" "Osteoporosis inducida por drogas, con fractura patolgica, tobillo y pie"
"M8048" "Osteoporosis inducida por drogas, con fractura patolgica, otros"
"M8049" "Osteoporosis inducida por drogas, con fractura patolgica, sitio no especificado"
"M8050" "Osteoporosis idioptica, con fractura patolgica, sitios mltiples"
"M8051" "Osteoporosis idioptica, con fractura patolgica, regin del hombro"
"M8052" "Osteoporosis idioptica, con fractura patolgica, brazo"
"M8053" "Osteoporosis idioptica, con fractura patolgica, antebrazo"
"M8054" "Osteoporosis idioptica, con fractura patolgica, mano"
"M8055" "Osteoporosis idioptica, con fractura patolgica, regin pelviana y muslo"
"M8056" "Osteoporosis idioptica, con fractura patolgica, pierna"
"M8057" "Osteoporosis idioptica, con fractura patolgica, tobillo y pie"
"M8058" "Osteoporosis idioptica, con fractura patolgica, otros"
"M8059" "Osteoporosis idioptica, con fractura patolgica, sitio no especificado"
"M8080" "Otras osteoporosis, con fractura patolgica, sitios mltiples"
"M8081" "Otras osteoporosis, con fractura patolgica, regin del hombro"
"M8082" "Otras osteoporosis, con fractura patolgica, brazo"
"M8083" "Otras osteoporosis, con fractura patolgica, antebrazo"
"M8084" "Otras osteoporosis, con fractura patolgica, mano"
"M8085" "Otras osteoporosis, con fractura patolgica, regin pelviana y muslo"
"M8086" "Otras osteoporosis, con fractura patolgica, pierna"
"M8087" "Otras osteoporosis, con fractura patolgica, tobillo y pie"
"M8088" "Otras osteoporosis, con fractura patolgica, otros"
"M8089" "Otras osteoporosis, con fractura patolgica, sitio no especificado"
"M8090" "Osteoporosis no especificada, con fractura patolgica, sitios mltiples"
"M8091" "Osteoporosis no especificada, con fractura patolgica, regin del hombro"
"M8092" "Osteoporosis no especificada, con fractura patolgica, brazo"
"M8093" "Osteoporosis no especificada, con fractura patolgica, antebrazo"
"M8094" "Osteoporosis no especificada, con fractura patolgica, mano"
"M8095" "Osteoporosis no especificada, con fractura patolgica, regin pelviana y muslo"
"M8096" "Osteoporosis no especificada, con fractura patolgica, pierna"
"M8097" "Osteoporosis no especificada, con fractura patolgica, tobillo y pie"
"M8098" "Osteoporosis no especificada, con fractura patolgica, otros"
"M8099" "Osteoporosis no especificada, con fractura patolgica, sitio no especificado"
"M8120" "Osteoporosis por desuso, sin fractura patolgica, sitios mltiples"
"M8121" "Osteoporosis por desuso, sin fractura patolgica, regin del hombro"
"M8122" "Osteoporosis por desuso, sin fractura patolgica, brazo"
"M8123" "Osteoporosis por desuso, sin fractura patolgica, antebrazo"
"M8124" "Osteoporosis por desuso, sin fractura patolgica, mano"
"M8125" "Osteoporosis por desuso, sin fractura patolgica, regin pelviana y muslo"
"M8126" "Osteoporosis por desuso, sin fractura patolgica, pierna"
"M8127" "Osteoporosis por desuso, sin fractura patolgica, tobillo y pie"
"M8128" "Osteoporosis por desuso, sin fractura patolgica, otros"
"M8129" "Osteoporosis por desuso, sin fractura patolgica, sitio no especificado"
"M8130" "Osteoporosis por malabsorcin postquirrgica, sin fractura patolgica, sitios mltiples"
"M8131" "Osteoporosis por malabsorcin postquirrgica, sin fractura patolgica, regin del hombro"
"M8132" "Osteoporosis por malabsorcin postquirrgica, sin fractura patolgica, brazo"
"M8133" "Osteoporosis por malabsorcin postquirrgica, sin fractura patolgica, antebrazo"
"M8134" "Osteoporosis por malabsorcin postquirrgica, sin fractura patolgica, mano"
"M8135" "Osteoporosis por malabsorcin postquirrgica, sin fractura patolgica, regin pelviana y muslo"
"M8136" "Osteoporosis por malabsorcin postquirrgica, sin fractura patolgica, pierna"
"M8137" "Osteoporosis por malabsorcin postquirrgica, sin fractura patolgica, tobillo y pie"
"M8138" "Osteoporosis por malabsorcin postquirrgica, sin fractura patolgica, otros"
"M8139" "Osteoporosis por malabsorcin postquirrgica, sin fractura patolgica, sitio no especificado"
"M8140" "Osteoporosis inducida por drogas, sin fractura patolgica, sitios mltiples"
"M8141" "Osteoporosis inducida por drogas, sin fractura patolgica, regin del hombro"
"M8142" "Osteoporosis inducida por drogas, sin fractura patolgica, brazo"
"M8143" "Osteoporosis inducida por drogas, sin fractura patolgica, antebrazo"
"M8144" "Osteoporosis inducida por drogas, sin fractura patolgica, mano"
"M8145" "Osteoporosis inducida por drogas, sin fractura patolgica, regin pelviana y muslo"
"M8146" "Osteoporosis inducida por drogas, sin fractura patolgica, pierna"
"M8147" "Osteoporosis inducida por drogas, sin fractura patolgica, tobillo y pie"
"M8148" "Osteoporosis inducida por drogas, sin fractura patolgica, otros"
"M8149" "Osteoporosis inducida por drogas, sin fractura patolgica, sitio no especificado"
"M8150" "Osteoporosis idioptica, sin fractura patolgica, sitios mltiples"
"M8151" "Osteoporosis idioptica, sin fractura patolgica, regin del hombro"
"M8152" "Osteoporosis idioptica, sin fractura patolgica, brazo"
"M8153" "Osteoporosis idioptica, sin fractura patolgica, antebrazo"
"M8154" "Osteoporosis idioptica, sin fractura patolgica, mano"
"M8155" "Osteoporosis idioptica, sin fractura patolgica, regin pelviana y muslo"
"M8156" "Osteoporosis idioptica, sin fractura patolgica, pierna"
"M8157" "Osteoporosis idioptica, sin fractura patolgica, tobillo y pie"
"M8158" "Osteoporosis idioptica, sin fractura patolgica, otros"
"M8159" "Osteoporosis idioptica, sin fractura patolgica, sitio no especificado"
"M8160" "Osteoporosis localizada  Lequesne , sin fractura patolgica, sitios mltiples"
"M8161" "Osteoporosis localizada  Lequesne , sin fractura patolgica, regin del hombro"
"M8162" "Osteoporosis localizada  Lequesne , sin fractura patolgica, brazo"
"M8163" "Osteoporosis localizada  Lequesne , sin fractura patolgica, antebrazo"
"M8164" "Osteoporosis localizada  Lequesne , sin fractura patolgica, mano"
"M8165" "Osteoporosis localizada  Lequesne , sin fractura patolgica, regin pelviana y muslo"
"M8166" "Osteoporosis localizada  Lequesne , sin fractura patolgica, pierna"
"M8167" "Osteoporosis localizada  Lequesne , sin fractura patolgica, tobillo y pie"
"M8168" "Osteoporosis localizada  Lequesne , sin fractura patolgica, otros"
"M8169" "Osteoporosis localizada  Lequesne , sin fractura patolgica, sitio no especificado"
"M8180" "Otras osteoporosis, sin fractura patolgica, sitios mltiples"
"M8181" "Otras osteoporosis, sin fractura patolgica, regin del hombro"
"M8182" "Otras osteoporosis, sin fractura patolgica, brazo"
"M8183" "Otras osteoporosis, sin fractura patolgica, antebrazo"
"M8184" "Otras osteoporosis, sin fractura patolgica, mano"
"M8185" "Otras osteoporosis, sin fractura patolgica, regin pelviana y muslo"
"M8186" "Otras osteoporosis, sin fractura patolgica, pierna"
"M8187" "Otras osteoporosis, sin fractura patolgica, tobillo y pie"
"M8188" "Otras osteoporosis, sin fractura patolgica, otros"
"M8189" "Otras osteoporosis, sin fractura patolgica, sitio no especificado"
"M8190" "Osteoporosis no especificada, sin fractura patolgica, sitios mltiples"
"M8191" "Osteoporosis no especificada, sin fractura patolgica, regin del hombro"
"M8192" "Osteoporosis no especificada, sin fractura patolgica, brazo"
"M8193" "Osteoporosis no especificada, sin fractura patolgica, antebrazo"
"M8194" "Osteoporosis no especificada, sin fractura patolgica, mano"
"M8195" "Osteoporosis no especificada, sin fractura patolgica, regin pelviana y muslo"
"M8196" "Osteoporosis no especificada, sin fractura patolgica, pierna"
"M8197" "Osteoporosis no especificada, sin fractura patolgica, tobillo y pie"
"M8198" "Osteoporosis no especificada, sin fractura patolgica, otros"
"M8199" "Osteoporosis no especificada, sin fractura patolgica, sitio no especificado"
"M8200" "Osteoporosis en mielomatosis mltiple, sitios mltiples"
"M8201" "Osteoporosis en mielomatosis mltiple, regin del hombro"
"M8202" "Osteoporosis en mielomatosis mltiple, brazo"
"M8203" "Osteoporosis en mielomatosis mltiple, antebrazo"
"M8204" "Osteoporosis en mielomatosis mltiple, mano"
"M8205" "Osteoporosis en mielomatosis mltiple, regin pelviana y muslo"
"M8206" "Osteoporosis en mielomatosis mltiple, pierna"
"M8207" "Osteoporosis en mielomatosis mltiple, tobillo y pie"
"M8208" "Osteoporosis en mielomatosis mltiple, otros"
"M8209" "Osteoporosis en mielomatosis mltiple, sitio no especificado"
"M8210" "Osteoporosis en trastornos endocrinos, sitios mltiples"
"M8211" "Osteoporosis en trastornos endocrinos, regin del hombro"
"M8212" "Osteoporosis en trastornos endocrinos, brazo"
"M8213" "Osteoporosis en trastornos endocrinos, antebrazo"
"M8214" "Osteoporosis en trastornos endocrinos, mano"
"M8215" "Osteoporosis en trastornos endocrinos, regin pelviana y muslo"
"M8216" "Osteoporosis en trastornos endocrinos, pierna"
"M8217" "Osteoporosis en trastornos endocrinos, tobillo y pie"
"M8218" "Osteoporosis en trastornos endocrinos, otros"
"M8219" "Osteoporosis en trastornos endocrinos, sitio no especificado"
"M8280" "Osteoporosis en otras enfermedades clasificadas en otra parte, sitios mltiples"
"M8281" "Osteoporosis en otras enfermedades clasificadas en otra parte, regin del hombro"
"M8282" "Osteoporosis en otras enfermedades clasificadas en otra parte, brazo"
"M8283" "Osteoporosis en otras enfermedades clasificadas en otra parte, antebrazo"
"M8284" "Osteoporosis en otras enfermedades clasificadas en otra parte, mano"
"M8285" "Osteoporosis en otras enfermedades clasificadas en otra parte, regin pelviana y muslo"
"M8286" "Osteoporosis en otras enfermedades clasificadas en otra parte, pierna"
"M8287" "Osteoporosis en otras enfermedades clasificadas en otra parte, tobillo y pie"
"M8288" "Osteoporosis en otras enfermedades clasificadas en otra parte, otros"
"M8289" "Osteoporosis en otras enfermedades clasificadas en otra parte, sitio no especificado"
"M8400" "Consolidacin defectuosa de fractura, sitios mltiples"
"M8401" "Consolidacin defectuosa de fractura, regin del hombro"
"M8402" "Consolidacin defectuosa de fractura, brazo"
"M8403" "Consolidacin defectuosa de fractura, antebrazo"
"M8404" "Consolidacin defectuosa de fractura, mano"
"M8405" "Consolidacin defectuosa de fractura, regin pelviana y muslo"
"M8406" "Consolidacin defectuosa de fractura, pierna"
"M8407" "Consolidacin defectuosa de fractura, tobillo y pie"
"M8408" "Consolidacin defectuosa de fractura, otros"
"M8409" "Consolidacin defectuosa de fractura, sitio no especificado"
"M8410" "Falta de consolidacin de fractura  seudoartrosis , sitios mltiples"
"M8411" "Falta de consolidacin de fractura  seudoartrosis , regin del hombro"
"M8412" "Falta de consolidacin de fractura  seudoartrosis , brazo"
"M8413" "Falta de consolidacin de fractura  seudoartrosis , antebrazo"
"M8414" "Falta de consolidacin de fractura  seudoartrosis , mano"
"M8415" "Falta de consolidacin de fractura  seudoartrosis , regin pelviana y muslo"
"M8416" "Falta de consolidacin de fractura  seudoartrosis , pierna"
"M8417" "Falta de consolidacin de fractura  seudoartrosis , tobillo y pie"
"M8418" "Falta de consolidacin de fractura  seudoartrosis , otros"
"M8419" "Falta de consolidacin de fractura  seudoartrosis , sitio no especificado"
"M8420" "Consolidacin retardada de fractura, sitios mltiples"
"M8421" "Consolidacin retardada de fractura, regin del hombro"
"M8422" "Consolidacin retardada de fractura, brazo"
"M8423" "Consolidacin retardada de fractura, antebrazo"
"M8424" "Consolidacin retardada de fractura, mano"
"M8425" "Consolidacin retardada de fractura, regin pelviana y muslo"
"M8426" "Consolidacin retardada de fractura, pierna"
"M8427" "Consolidacin retardada de fractura, tobillo y pie"
"M8428" "Consolidacin retardada de fractura, otros"
"M8429" "Consolidacin retardada de fractura, sitio no especificado"
"M8430" "Fractura por tensin, no clasificada en otra parte, sitios mltiples"
"M8431" "Fractura por tensin, no clasificada en otra parte, regin del hombro"
"M8432" "Fractura por tensin, no clasificada en otra parte, brazo"
"M8433" "Fractura por tensin, no clasificada en otra parte, antebrazo"
"M8434" "Fractura por tensin, no clasificada en otra parte, mano"
"M8435" "Fractura por tensin, no clasificada en otra parte, regin pelviana y muslo"
"M8436" "Fractura por tensin, no clasificada en otra parte, pierna"
"M8437" "Fractura por tensin, no clasificada en otra parte, tobillo y pie"
"M8438" "Fractura por tensin, no clasificada en otra parte, otros"
"M8439" "Fractura por tensin, no clasificada en otra parte, sitio no especificado"
"M8440" "Fractura patolgica, no clasificada en otra parte, sitios mltiples"
"M8441" "Fractura patolgica, no clasificada en otra parte, regin del hombro"
"M8442" "Fractura patolgica, no clasificada en otra parte, brazo"
"M8443" "Fractura patolgica, no clasificada en otra parte, antebrazo"
"M8444" "Fractura patolgica, no clasificada en otra parte, mano"
"M8445" "Fractura patolgica, no clasificada en otra parte, regin pelviana y muslo"
"M8446" "Fractura patolgica, no clasificada en otra parte, pierna"
"M8447" "Fractura patolgica, no clasificada en otra parte, tobillo y pie"
"M8448" "Fractura patolgica, no clasificada en otra parte, otros"
"M8449" "Fractura patolgica, no clasificada en otra parte, sitio no especificado"
"M8480" "Otros trastornos de la continuidad del hueso, sitios mltiples"
"M8481" "Otros trastornos de la continuidad del hueso, regin del hombro"
"M8482" "Otros trastornos de la continuidad del hueso, brazo"
"M8483" "Otros trastornos de la continuidad del hueso, antebrazo"
"M8484" "Otros trastornos de la continuidad del hueso, mano"
"M8485" "Otros trastornos de la continuidad del hueso, regin pelviana y muslo"
"M8486" "Otros trastornos de la continuidad del hueso, pierna"
"M8487" "Otros trastornos de la continuidad del hueso, tobillo y pie"
"M8488" "Otros trastornos de la continuidad del hueso, otros"
"M8489" "Otros trastornos de la continuidad del hueso, sitio no especificado"
"M8490" "Trastorno de la continuidad del hueso, no especificado, sitios mltiples"
"M8491" "Trastorno de la continuidad del hueso, no especificado, regin del hombro"
"M8492" "Trastorno de la continuidad del hueso, no especificado, brazo"
"M8493" "Trastorno de la continuidad del hueso, no especificado, antebrazo"
"M8494" "Trastorno de la continuidad del hueso, no especificado, mano"
"M8495" "Trastorno de la continuidad del hueso, no especificado, regin pelviana y muslo"
"M8496" "Trastorno de la continuidad del hueso, no especificado, pierna"
"M8497" "Trastorno de la continuidad del hueso, no especificado, tobillo y pie"
"M8498" "Trastorno de la continuidad del hueso, no especificado, otros"
"M8499" "Trastorno de la continuidad del hueso, no especificado, sitio no especificado"
"M8500" "Displasia fibrosa (monosttica), sitios mltiples"
"M8501" "Displasia fibrosa (monosttica), regin del hombro"
"M8502" "Displasia fibrosa (monosttica), brazo"
"M8503" "Displasia fibrosa (monosttica), antebrazo"
"M8504" "Displasia fibrosa (monosttica), mano"
"M8505" "Displasia fibrosa (monosttica), regin pelviana y muslo"
"M8506" "Displasia fibrosa (monosttica), pierna"
"M8507" "Displasia fibrosa (monosttica), tobillo y pie"
"M8508" "Displasia fibrosa (monosttica), otros"
"M8509" "Displasia fibrosa (monosttica), sitio no especificado"
"M8510" "Fluorosis del esqueleto, sitios mltiples"
"M8511" "Fluorosis del esqueleto, regin del hombro"
"M8512" "Fluorosis del esqueleto, brazo"
"M8513" "Fluorosis del esqueleto, antebrazo"
"M8514" "Fluorosis del esqueleto, mano"
"M8515" "Fluorosis del esqueleto, regin pelviana y muslo"
"M8516" "Fluorosis del esqueleto, pierna"
"M8517" "Fluorosis del esqueleto, tobillo y pie"
"M8518" "Fluorosis del esqueleto, otros"
"M8519" "Fluorosis del esqueleto, sitio no especificado"
"M8520" "Hiperostosis del crneo, sitios mltiples"
"M8521" "Hiperostosis del crneo, regin del hombro"
"M8522" "Hiperostosis del crneo, brazo"
"M8523" "Hiperostosis del crneo, antebrazo"
"M8524" "Hiperostosis del crneo, mano"
"M8525" "Hiperostosis del crneo, regin pelviana y muslo"
"M8526" "Hiperostosis del crneo, pierna"
"M8527" "Hiperostosis del crneo, tobillo y pie"
"M8528" "Hiperostosis del crneo, otros"
"M8529" "Hiperostosis del crneo, sitio no especificado"
"M8530" "Ostetis condensante, sitios mltiples"
"M8531" "Ostetis condensante, regin del hombro"
"M8532" "Ostetis condensante, brazo"
"M8533" "Ostetis condensante, antebrazo"
"M8534" "Ostetis condensante, mano"
"M8535" "Ostetis condensante, regin pelviana y muslo"
"M8536" "Ostetis condensante, pierna"
"M8537" "Ostetis condensante, tobillo y pie"
"M8538" "Ostetis condensante, otros"
"M8539" "Ostetis condensante, sitio no especificado"
"M8540" "Quiste seo solitario, sitios mltiples"
"M8541" "Quiste seo solitario, regin del hombro"
"M8542" "Quiste seo solitario, brazo"
"M8543" "Quiste seo solitario, antebrazo"
"M8545" "Quiste seo solitario, regin pelviana y muslo"
"M8546" "Quiste seo solitario, pierna"
"M8547" "Quiste seo solitario, tobillo y pie"
"M8548" "Quiste seo solitario, otros"
"M8549" "Quiste seo solitario, sitio no especificado"
"M8550" "Quiste seo aneurismtico, sitios mltiples"
"M8551" "Quiste seo aneurismtico, regin del hombro"
"M8552" "Quiste seo aneurismtico, brazo"
"M8553" "Quiste seo aneurismtico, antebrazo"
"M8554" "Quiste seo aneurismtico, mano"
"M8555" "Quiste seo aneurismtico, regin pelviana y muslo"
"M8556" "Quiste seo aneurismtico, pierna"
"M8557" "Quiste seo aneurismtico, tobillo y pie"
"M8558" "Quiste seo aneurismtico, otros"
"M8559" "Quiste seo aneurismtico, sitio no especificado"
"M8560" "Otros quistes seos, sitios mltiples"
"M8561" "Otros quistes seos, regin del hombro"
"M8562" "Otros quistes seos, brazo"
"M8563" "Otros quistes seos, antebrazo"
"M8564" "Otros quistes seos, mano"
"M8565" "Otros quistes seos, regin pelviana y muslo"
"M8566" "Otros quistes seos, pierna"
"M8567" "Otros quistes seos, tobillo y pie"
"M8568" "Otros quistes seos, otros"
"M8569" "Otros quistes seos, sitio no especificado"
"M8580" "Otros trastornos especificados de la densidad y de la estructura seas, sitios mltiples"
"M8581" "Otros trastornos especificados de la densidad y de la estructura seas, regin del hombro"
"M8582" "Otros trastornos especificados de la densidad y de la estructura seas, brazo"
"M8583" "Otros trastornos especificados de la densidad y de la estructura seas, antebrazo"
"M8584" "Otros trastornos especificados de la densidad y de la estructura seas, mano"
"M8585" "Otros trastornos especificados de la densidad y de la estructura seas, regin pelviana y muslo"
"M8586" "Otros trastornos especificados de la densidad y de la estructura seas, pierna"
"M8587" "Otros trastornos especificados de la densidad y de la estructura seas, tobillo y pie"
"M8588" "Otros trastornos especificados de la densidad y de la estructura seas, otros"
"M8589" "Otros trastornos especificados de la densidad y de la estructura seas, sitio no especificado"
"M8590" "Trastorno de la densidad y de la estructura seas, no especificado, sitios mltiples"
"M8591" "Trastorno de la densidad y de la estructura seas, no especificado, regin del hombro"
"M8592" "Trastorno de la densidad y de la estructura seas, no especificado, brazo"
"M8593" "Trastorno de la densidad y de la estructura seas, no especificado, antebrazo"
"M8594" "Trastorno de la densidad y de la estructura seas, no especificado, mano"
"M8595" "Trastorno de la densidad y de la estructura seas, no especificado, regin pelviana y muslo"
"M8596" "Trastorno de la densidad y de la estructura seas, no especificado, pierna"
"M8597" "Trastorno de la densidad y de la estructura seas, no especificado, tobillo y pie"
"M8598" "Trastorno de la densidad y de la estructura seas, no especificado, otros"
"M8599" "Trastorno de la densidad y de la estructura seas, no especificado, sitio no especificado"
"M8600" "Osteomielitis hematgena aguda, sitios mltiples"
"M8601" "Osteomielitis hematgena aguda, regin del hombro"
"M8602" "Osteomielitis hematgena aguda, brazo"
"M8603" "Osteomielitis hematgena aguda, antebrazo"
"M8604" "Osteomielitis hematgena aguda, mano"
"M8605" "Osteomielitis hematgena aguda, regin pelviana y muslo"
"M8606" "Osteomielitis hematgena aguda, pierna"
"M8607" "Osteomielitis hematgena aguda, tobillo y pie"
"M8608" "Osteomielitis hematgena aguda, otros"
"M8609" "Osteomielitis hematgena aguda, sitio no especificado"
"M8610" "Otras osteomielitis agudas, sitios mltiples"
"M8611" "Otras osteomielitis agudas, regin del hombro"
"M8612" "Otras osteomielitis agudas, brazo"
"M8613" "Otras osteomielitis agudas, antebrazo"
"M8614" "Otras osteomielitis agudas, mano"
"M8615" "Otras osteomielitis agudas, regin pelviana y muslo"
"M8616" "Otras osteomielitis agudas, pierna"
"M8617" "Otras osteomielitis agudas, tobillo y pie"
"M8618" "Otras osteomielitis agudas, otros"
"M8619" "Otras osteomielitis agudas, sitio no especificado"
"M8620" "Osteomielitis subaguda, sitios mltiples"
"M8621" "Osteomielitis subaguda, regin del hombro"
"M8622" "Osteomielitis subaguda, brazo"
"M8623" "Osteomielitis subaguda, antebrazo"
"M8624" "Osteomielitis subaguda, mano"
"M8625" "Osteomielitis subaguda, regin pelviana y muslo"
"M8626" "Osteomielitis subaguda, pierna"
"M8627" "Osteomielitis subaguda, tobillo y pie"
"M8628" "Osteomielitis subaguda, otros"
"M8629" "Osteomielitis subaguda, sitio no especificado"
"M8680" "Otras osteomielitis, sitios mltiples"
"M8681" "Otras osteomielitis, regin del hombro"
"M8682" "Otras osteomielitis, brazo"
"M8683" "Otras osteomielitis, antebrazo"
"M8684" "Otras osteomielitis, mano"
"M8685" "Otras osteomielitis, regin pelviana y muslo"
"M8686" "Otras osteomielitis, pierna"
"M8687" "Otras osteomielitis, tobillo y pie"
"M8688" "Otras osteomielitis, otros"
"M8689" "Otras osteomielitis, sitio no especificado"
"M8690" "Osteomielitis, no especificada, sitios mltiples"
"M8691" "Osteomielitis, no especificada, regin del hombro"
"M8692" "Osteomielitis, no especificada, brazo"
"M8693" "Osteomielitis, no especificada, antebrazo"
"M8694" "Osteomielitis, no especificada, mano"
"M8695" "Osteomielitis, no especificada, regin pelviana y muslo"
"M8696" "Osteomielitis, no especificada, pierna"
"M8697" "Osteomielitis, no especificada, tobillo y pie"
"M8698" "Osteomielitis, no especificada, otros"
"M8699" "Osteomielitis, no especificada, sitio no especificado"
"M8700" "Necrosis asptica idioptica sea, sitios mltiples"
"M8701" "Necrosis asptica idioptica sea, regin del hombro"
"M8702" "Necrosis asptica idioptica sea, brazo"
"M8703" "Necrosis asptica idioptica sea, antebrazo"
"M8704" "Necrosis asptica idioptica sea, mano"
"M8705" "Necrosis asptica idioptica sea, regin pelviana y muslo"
"M8706" "Necrosis asptica idioptica sea, pierna"
"M8707" "Necrosis asptica idioptica sea, tobillo y pie"
"M8708" "Necrosis asptica idioptica sea, otros"
"M8709" "Necrosis asptica idioptica sea, sitio no especificado"
"M8710" "Osteonecrosis debida a drogas, sitios mltiples"
"M8711" "Osteonecrosis debida a drogas, regin del hombro"
"M8712" "Osteonecrosis debida a drogas, brazo"
"M8713" "Osteonecrosis debida a drogas, antebrazo"
"M8714" "Osteonecrosis debida a drogas, mano"
"M8715" "Osteonecrosis debida a drogas, regin pelviana y muslo"
"M8716" "Osteonecrosis debida a drogas, pierna"
"M8717" "Osteonecrosis debida a drogas, tobillo y pie"
"M8718" "Osteonecrosis debida a drogas, otros"
"M8719" "Osteonecrosis debida a drogas, sitio no especificado"
"M8720" "Osteonecrosis debida a traumatismo previo, sitios mltiples"
"M8721" "Osteonecrosis debida a traumatismo previo, regin del hombro"
"M8722" "Osteonecrosis debida a traumatismo previo, brazo"
"M8723" "Osteonecrosis debida a traumatismo previo, antebrazo"
"M8724" "Osteonecrosis debida a traumatismo previo, mano"
"M8725" "Osteonecrosis debida a traumatismo previo, regin pelviana y muslo"
"M8726" "Osteonecrosis debida a traumatismo previo, pierna"
"M8727" "Osteonecrosis debida a traumatismo previo, tobillo y pie"
"M8728" "Osteonecrosis debida a traumatismo previo, otros"
"M8729" "Osteonecrosis debida a traumatismo previo, sitio no especificado"
"M8730" "Otras osteonecrosis secundarias, sitios mltiples"
"M8731" "Otras osteonecrosis secundarias, regin del hombro"
"M8732" "Otras osteonecrosis secundarias, brazo"
"M8733" "Otras osteonecrosis secundarias, antebrazo"
"M8734" "Otras osteonecrosis secundarias, mano"
"M8735" "Otras osteonecrosis secundarias, regin pelviana y muslo"
"M8736" "Otras osteonecrosis secundarias, pierna"
"M8737" "Otras osteonecrosis secundarias, tobillo y pie"
"M8738" "Otras osteonecrosis secundarias, otros"
"M8739" "Otras osteonecrosis secundarias, sitio no especificado"
"M8780" "Otras osteonecrosis, sitios mltiples"
"M8781" "Otras osteonecrosis, regin del hombro"
"M8782" "Otras osteonecrosis, brazo"
"M8783" "Otras osteonecrosis, antebrazo"
"M8784" "Otras osteonecrosis, mano"
"M8785" "Otras osteonecrosis, regin pelviana y muslo"
"M8786" "Otras osteonecrosis, pierna"
"M8787" "Otras osteonecrosis, tobillo y pie"
"M8788" "Otras osteonecrosis, otros"
"M8789" "Otras osteonecrosis, sitio no especificado"
"M8790" "Osteonecrosis, no especificada, sitios mltiples"
"M8791" "Osteonecrosis, no especificada, regin del hombro"
"M8792" "Osteonecrosis, no especificada, brazo"
"M8793" "Osteonecrosis, no especificada, antebrazo"
"M8794" "Osteonecrosis, no especificada, mano"
"M8795" "Osteonecrosis, no especificada, regin pelviana y muslo"
"M8796" "Osteonecrosis, no especificada, pierna"
"M8797" "Osteonecrosis, no especificada, tobillo y pie"
"M8798" "Osteonecrosis, no especificada, otros"
"M8799" "Osteonecrosis, no especificada, sitio no especificado"
"M8800" "Enfermedad de Paget del crneo, sitios mltiples"
"M8801" "Enfermedad de Paget del crneo, regin del hombro"
"M8802" "Enfermedad de Paget del crneo, brazo"
"M8803" "Enfermedad de Paget del crneo, antebrazo"
"M8804" "Enfermedad de Paget del crneo, mano"
"M8805" "Enfermedad de Paget del crneo, regin pelviana y muslo"
"M8806" "Enfermedad de Paget del crneo, pierna"
"M8807" "Enfermedad de Paget del crneo, tobillo y pie"
"M8808" "Enfermedad de Paget del crneo, otros"
"M8809" "Enfermedad de Paget del crneo, sitio no especificado"
"M8880" "Enfermedad de Paget de otros huesos, sitios mltiples"
"M8881" "Enfermedad de Paget de otros huesos, regin del hombro"
"M8882" "Enfermedad de Paget de otros huesos, brazo"
"M8883" "Enfermedad de Paget de otros huesos, antebrazo"
"M8884" "Enfermedad de Paget de otros huesos, mano"
"M8885" "Enfermedad de Paget de otros huesos, regin pelviana y muslo"
"M8886" "Enfermedad de Paget de otros huesos, pierna"
"M8887" "Enfermedad de Paget de otros huesos, tobillo y pie"
"M8888" "Enfermedad de Paget de otros huesos, otros"
"M8889" "Enfermedad de Paget de otros huesos, sitio no especificado"
"M8890" "Enfermedad sea de Paget, huesos no especificados, sitios mltiples"
"M8891" "Enfermedad sea de Paget, huesos no especificados, regin del hombro"
"M8892" "Enfermedad sea de Paget, huesos no especificados, brazo"
"M8893" "Enfermedad sea de Paget, huesos no especificados, antebrazo"
"M8894" "Enfermedad sea de Paget, huesos no especificados, mano"
"M8895" "Enfermedad sea de Paget, huesos no especificados, regin pelviana y muslo"
"M8896" "Enfermedad sea de Paget, huesos no especificados, pierna"
"M8897" "Enfermedad sea de Paget, huesos no especificados, tobillo y pie"
"M8898" "Enfermedad sea de Paget, huesos no especificados, otros"
"M8899" "Enfermedad sea de Paget, huesos no especificados, sitio no especificado"
"M8900" "Algoneurodistrofia, sitios mltiples"
"M8901" "Algoneurodistrofia, regin del hombro"
"M8902" "Algoneurodistrofia, brazo"
"M8903" "Algoneurodistrofia, antebrazo"
"M8904" "Algoneurodistrofia, mano"
"M8905" "Algoneurodistrofia, regin pelviana y muslo"
"M8906" "Algoneurodistrofia, pierna"
"M8907" "Algoneurodistrofia, tobillo y pie"
"M8908" "Algoneurodistrofia, otros"
"M8909" "Algoneurodistrofia, sitio no especificado"
"M8910" "Detencin del crecimiento epifisario, sitios mltiples"
"M8911" "Detencin del crecimiento epifisario, regin del hombro"
"M8912" "Detencin del crecimiento epifisario, brazo"
"M8913" "Detencin del crecimiento epifisario, antebrazo"
"M8914" "Detencin del crecimiento epifisario, mano"
"M8915" "Detencin del crecimiento epifisario, regin pelviana y muslo"
"M8916" "Detencin del crecimiento epifisario, pierna"
"M8917" "Detencin del crecimiento epifisario, tobillo y pie"
"M8918" "Detencin del crecimiento epifisario, otros"
"M8919" "Detencin del crecimiento epifisario, sitio no especificado"
"M8920" "Otros trastornos del desarrollo y crecimiento seo, sitios mltiples"
"M8921" "Otros trastornos del desarrollo y crecimiento seo, regin del hombro"
"M8922" "Otros trastornos del desarrollo y crecimiento seo, brazo"
"M8923" "Otros trastornos del desarrollo y crecimiento seo, antebrazo"
"M8924" "Otros trastornos del desarrollo y crecimiento seo, mano"
"M8925" "Otros trastornos del desarrollo y crecimiento seo, regin pelviana y muslo"
"M8926" "Otros trastornos del desarrollo y crecimiento seo, pierna"
"M8927" "Otros trastornos del desarrollo y crecimiento seo, tobillo y pie"
"M8928" "Otros trastornos del desarrollo y crecimiento seo, otros"
"M8929" "Otros trastornos del desarrollo y crecimiento seo, sitio no especificado"
"M8930" "Hipertrofia del hueso, sitios mltiples"
"M8931" "Hipertrofia del hueso, regin del hombro"
"M8932" "Hipertrofia del hueso, brazo"
"M8933" "Hipertrofia del hueso, antebrazo"
"M8934" "Hipertrofia del hueso, mano"
"M8935" "Hipertrofia del hueso, regin pelviana y muslo"
"M8936" "Hipertrofia del hueso, pierna"
"M8937" "Hipertrofia del hueso, tobillo y pie"
"M8938" "Hipertrofia del hueso, otros"
"M8939" "Hipertrofia del hueso, sitio no especificado"
"M8940" "Otras osteoartropatias hipertrficas, sitios mltiples"
"M8941" "Otras osteoartropatias hipertrficas, regin del hombro"
"M8942" "Otras osteoartropatias hipertrficas, brazo"
"M8943" "Otras osteoartropatias hipertrficas, antebrazo"
"M8944" "Otras osteoartropatias hipertrficas, mano"
"M8945" "Otras osteoartropatias hipertrficas, regin pelviana y muslo"
"M8946" "Otras osteoartropatias hipertrficas, pierna"
"M8947" "Otras osteoartropatias hipertrficas, tobillo y pie"
"M8948" "Otras osteoartropatias hipertrficas, otros"
"M8949" "Otras osteoartropatias hipertrficas, sitio no especificado"
"M8950" "Ostelisis, sitios mltiples"
"M8951" "Ostelisis, regin del hombro"
"M8952" "Ostelisis, brazo"
"M8953" "Ostelisis, antebrazo"
"M8954" "Ostelisis, mano"
"M8955" "Ostelisis, regin pelviana y muslo"
"M8956" "Ostelisis, pierna"
"M8957" "Ostelisis, tobillo y pie"
"M8958" "Ostelisis, otros"
"M8959" "Ostelisis, sitio no especificado"
"M8960" "Osteopata a consecuencia de poliomielitis, sitios mltiples"
"M8961" "Osteopata a consecuencia de poliomielitis, regin del hombro"
"M8962" "Osteopata a consecuencia de poliomielitis, brazo"
"M8963" "Osteopata a consecuencia de poliomielitis, antebrazo"
"M8964" "Osteopata a consecuencia de poliomielitis, mano"
"M8965" "Osteopata a consecuencia de poliomielitis, regin pelviana y muslo"
"M8966" "Osteopata a consecuencia de poliomielitis, pierna"
"M8967" "Osteopata a consecuencia de poliomielitis, tobillo y pie"
"M8968" "Osteopata a consecuencia de poliomielitis, otros"
"M8969" "Osteopata a consecuencia de poliomielitis, sitio no especificado"
"M8980" "Otros trastornos especificados del hueso, sitios mltiples"
"M8981" "Otros trastornos especificados del hueso, regin del hombro"
"M8982" "Otros trastornos especificados del hueso, brazo"
"M8983" "Otros trastornos especificados del hueso, antebrazo"
"M8984" "Otros trastornos especificados del hueso, mano"
"M8985" "Otros trastornos especificados del hueso, regin pelviana y muslo"
"M8986" "Otros trastornos especificados del hueso, pierna"
"M8987" "Otros trastornos especificados del hueso, tobillo y pie"
"M8988" "Otros trastornos especificados del hueso, otros"
"M8989" "Otros trastornos especificados del hueso, sitio no especificado"
"M8990" "Trastorno del hueso, no especificado, sitios mltiples"
"M8991" "Trastorno del hueso, no especificado, regin del hombro"
"M8992" "Trastorno del hueso, no especificado, brazo"
"M8993" "Trastorno del hueso, no especificado, antebrazo"
"M8994" "Trastorno del hueso, no especificado, mano"
"M8995" "Trastorno del hueso, no especificado, regin pelviana y muslo"
"M8996" "Trastorno del hueso, no especificado, pierna"
"M8997" "Trastorno del hueso, no especificado, tobillo y pie"
"M8998" "Trastorno del hueso, no especificado, otros"
"M8999" "Trastorno del hueso, no especificado, sitio no especificado"
"M9000" "Tuberculosis sea, sitios mltiples"
"M9001" "Tuberculosis sea, regin del hombro"
"M9002" "Tuberculosis sea, brazo"
"M9003" "Tuberculosis sea, antebrazo"
"M9004" "Tuberculosis sea, mano"
"M9005" "Tuberculosis sea, regin pelviana y muslo"
"M9006" "Tuberculosis sea, pierna"
"M9007" "Tuberculosis sea, tobillo y pie"
"M9008" "Tuberculosis sea, otros"
"M9009" "Tuberculosis sea, sitio no especificado"
"M9010" "Periostitis en otras enfermedades infecciosas clasificadas en otra parte, sitios mltiples"
"M9011" "Periostitis en otras enfermedades infecciosas clasificadas en otra parte, regin del hombro"
"M9012" "Periostitis en otras enfermedades infecciosas clasificadas en otra parte, brazo"
"M9013" "Periostitis en otras enfermedades infecciosas clasificadas en otra parte, antebrazo"
"M9014" "Periostitis en otras enfermedades infecciosas clasificadas en otra parte, mano"
"M9015" "Periostitis en otras enfermedades infecciosas clasificadas en otra parte, regin pelviana y muslo"
"M9016" "Periostitis en otras enfermedades infecciosas clasificadas en otra parte, pierna"
"M9017" "Periostitis en otras enfermedades infecciosas clasificadas en otra parte, tobillo y pie"
"S9230" "Fractura de hueso del metatarso, cerrada"
"M9018" "Periostitis en otras enfermedades infecciosas clasificadas en otra parte, otros"
"M9019" "Periostitis en otras enfermedades infecciosas clasificadas en otra parte, sitio no especificado"
"M9020" "Osteopata en otras enfermedades infecciosas clasificadas en otra parte, sitios mltiples"
"M9021" "Osteopata en otras enfermedades infecciosas clasificadas en otra parte, regin del hombro"
"M9022" "Osteopata en otras enfermedades infecciosas clasificadas en otra parte, brazo"
"M9023" "Osteopata en otras enfermedades infecciosas clasificadas en otra parte, antebrazo"
"M9024" "Osteopata en otras enfermedades infecciosas clasificadas en otra parte, mano"
"M9025" "Osteopata en otras enfermedades infecciosas clasificadas en otra parte, regin pelviana y muslo"
"M9026" "Osteopata en otras enfermedades infecciosas clasificadas en otra parte, pierna"
"M9027" "Osteopata en otras enfermedades infecciosas clasificadas en otra parte, tobillo y pie"
"M9028" "Osteopata en otras enfermedades infecciosas clasificadas en otra parte, otros"
"M9029" "Osteopata en otras enfermedades infecciosas clasificadas en otra parte, sitio no especificado"
"M9030" "Osteonecrosis en la enfermedad causada por descompresin, sitios mltiples"
"M9031" "Osteonecrosis en la enfermedad causada por descompresin, regin del hombro"
"M9032" "Osteonecrosis en la enfermedad causada por descompresin, brazo"
"M9033" "Osteonecrosis en la enfermedad causada por descompresin, antebrazo"
"M9034" "Osteonecrosis en la enfermedad causada por descompresin, mano"
"M9035" "Osteonecrosis en la enfermedad causada por descompresin, regin pelviana y muslo"
"M9036" "Osteonecrosis en la enfermedad causada por descompresin, pierna"
"M9037" "Osteonecrosis en la enfermedad causada por descompresin, tobillo y pie"
"M9038" "Osteonecrosis en la enfermedad causada por descompresin, otros"
"M9039" "Osteonecrosis en la enfermedad causada por descompresin, sitio no especificado"
"M9040" "Osteonecrosis debida a hemoglobinopata, sitios mltiples"
"M9041" "Osteonecrosis debida a hemoglobinopata, regin del hombro"
"M9042" "Osteonecrosis debida a hemoglobinopata, brazo"
"M9043" "Osteonecrosis debida a hemoglobinopata, antebrazo"
"M9044" "Osteonecrosis debida a hemoglobinopata, mano"
"M9045" "Osteonecrosis debida a hemoglobinopata, regin pelviana y muslo"
"M9046" "Osteonecrosis debida a hemoglobinopata, pierna"
"M9047" "Osteonecrosis debida a hemoglobinopata, tobillo y pie"
"M9048" "Osteonecrosis debida a hemoglobinopata, otros"
"M9049" "Osteonecrosis debida a hemoglobinopata, sitio no especificado"
"M9050" "Osteonecrosis en otras enfermedades clasificadas en otra parte, sitios mltiples"
"M9051" "Osteonecrosis en otras enfermedades clasificadas en otra parte, regin del hombro"
"M9052" "Osteonecrosis en otras enfermedades clasificadas en otra parte, brazo"
"M9053" "Osteonecrosis en otras enfermedades clasificadas en otra parte, antebrazo"
"M9054" "Osteonecrosis en otras enfermedades clasificadas en otra parte, mano"
"M9055" "Osteonecrosis en otras enfermedades clasificadas en otra parte, regin pelviana y muslo"
"M9056" "Osteonecrosis en otras enfermedades clasificadas en otra parte, pierna"
"M9057" "Osteonecrosis en otras enfermedades clasificadas en otra parte, tobillo y pie"
"M9058" "Osteonecrosis en otras enfermedades clasificadas en otra parte, otros"
"M9059" "Osteonecrosis en otras enfermedades clasificadas en otra parte, sitio no especificado"
"M9060" "Ostetis deformante en enfermedad neoplsica, sitios mltiples"
"M9061" "Ostetis deformante en enfermedad neoplsica, regin del hombro"
"M9062" "Ostetis deformante en enfermedad neoplsica, brazo"
"M9063" "Ostetis deformante en enfermedad neoplsica, antebrazo"
"M9064" "Ostetis deformante en enfermedad neoplsica, mano"
"M9065" "Ostetis deformante en enfermedad neoplsica, regin pelviana y muslo"
"M9066" "Ostetis deformante en enfermedad neoplsica, pierna"
"M9067" "Ostetis deformante en enfermedad neoplsica, tobillo y pie"
"M9068" "Ostetis deformante en enfermedad neoplsica, otros"
"M9069" "Ostetis deformante en enfermedad neoplsica, sitio no especificado"
"M9070" "Fractura sea en enfermedad neoplsica, sitios mltiples"
"M9071" "Fractura sea en enfermedad neoplsica, regin del hombro"
"M9072" "Fractura sea en enfermedad neoplsica, brazo"
"M9073" "Fractura sea en enfermedad neoplsica, antebrazo"
"M9074" "Fractura sea en enfermedad neoplsica, mano"
"M9075" "Fractura sea en enfermedad neoplsica, regin pelviana y muslo"
"M9076" "Fractura sea en enfermedad neoplsica, pierna"
"M9077" "Fractura sea en enfermedad neoplsica, tobillo y pie"
"M9078" "Fractura sea en enfermedad neoplsica, otros"
"M9079" "Fractura sea en enfermedad neoplsica, sitio no especificado"
"S9231" "Fractura de hueso del metatarso, abierta"
"M9080" "Osteopata en otras enfermedades clasificadas en otra parte, sitios mltiples"
"M9081" "Osteopata en otras enfermedades clasificadas en otra parte, regin del hombro"
"M9082" "Osteopata en otras enfermedades clasificadas en otra parte, brazo"
"M9083" "Osteopata en otras enfermedades clasificadas en otra parte, antebrazo"
"M9084" "Osteopata en otras enfermedades clasificadas en otra parte, mano"
"M9085" "Osteopata en otras enfermedades clasificadas en otra parte, regin pelviana y muslo"
"M9086" "Osteopata en otras enfermedades clasificadas en otra parte, pierna"
"M9087" "Osteopata en otras enfermedades clasificadas en otra parte, tobillo y pie"
"M9088" "Osteopata en otras enfermedades clasificadas en otra parte, otros"
"M9089" "Osteopata en otras enfermedades clasificadas en otra parte, sitio no especificado"
"M9100" "Osteocondrosis juvenil de la pelvis, sitios mltiples"
"M9101" "Osteocondrosis juvenil de la pelvis, regin del hombro"
"M9102" "Osteocondrosis juvenil de la pelvis, brazo"
"M9103" "Osteocondrosis juvenil de la pelvis, antebrazo"
"M9104" "Osteocondrosis juvenil de la pelvis, mano"
"M9105" "Osteocondrosis juvenil de la pelvis, regin pelviana y muslo"
"M9106" "Osteocondrosis juvenil de la pelvis, pierna"
"M9107" "Osteocondrosis juvenil de la pelvis, tobillo y pie"
"M9108" "Osteocondrosis juvenil de la pelvis, otros"
"M9109" "Osteocondrosis juvenil de la pelvis, sitio no especificado"
"M9110" "Osteocondrosis juvenil de la cabeza del fmur  Legg-Calv-Perthes , sitios mltiples"
"M9111" "Osteocondrosis juvenil de la cabeza del fmur  Legg-Calv-Perthes , regin del hombro"
"M9112" "Osteocondrosis juvenil de la cabeza del fmur  Legg-Calv-Perthes , brazo"
"M9113" "Osteocondrosis juvenil de la cabeza del fmur  Legg-Calv-Perthes , antebrazo"
"M9114" "Osteocondrosis juvenil de la cabeza del fmur  Legg-Calv-Perthes , mano"
"M9115" "Osteocondrosis juvenil de la cabeza del fmur  Legg-Calv-Perthes , regin pelviana y muslo"
"M9116" "Osteocondrosis juvenil de la cabeza del fmur  Legg-Calv-Perthes , pierna"
"M9117" "Osteocondrosis juvenil de la cabeza del fmur  Legg-Calv-Perthes , tobillo y pie"
"M9118" "Osteocondrosis juvenil de la cabeza del fmur  Legg-Calv-Perthes , otros"
"M9119" "Osteocondrosis juvenil de la cabeza del fmur  Legg-Calv-Perthes , sitio no especificado"
"M9120" "Coxa plana, sitios mltiples"
"M9121" "Coxa plana, regin del hombro"
"M9122" "Coxa plana, brazo"
"M9123" "Coxa plana, antebrazo"
"M9124" "Coxa plana, mano"
"M9125" "Coxa plana, regin pelviana y muslo"
"M9126" "Coxa plana, pierna"
"M9127" "Coxa plana, tobillo y pie"
"M9128" "Coxa plana, otros"
"M9129" "Coxa plana, sitio no especificado"
"M9130" "Pseudocoxalgia, sitios mltiples"
"M9131" "Pseudocoxalgia, regin del hombro"
"M9132" "Pseudocoxalgia, brazo"
"M9133" "Pseudocoxalgia, antebrazo"
"M9134" "Pseudocoxalgia, mano"
"M9135" "Pseudocoxalgia, regin pelviana y muslo"
"M9136" "Pseudocoxalgia, pierna"
"M9137" "Pseudocoxalgia, tobillo y pie"
"M9138" "Pseudocoxalgia, otros"
"M9139" "Pseudocoxalgia, sitio no especificado"
"M9180" "Otras osteocondrosis juveniles de la cadera y de la pelvis, sitios mltiples"
"M9181" "Otras osteocondrosis juveniles de la cadera y de la pelvis, regin del hombro"
"M9182" "Otras osteocondrosis juveniles de la cadera y de la pelvis, brazo"
"M9183" "Otras osteocondrosis juveniles de la cadera y de la pelvis, antebrazo"
"M9184" "Otras osteocondrosis juveniles de la cadera y de la pelvis, mano"
"M9185" "Otras osteocondrosis juveniles de la cadera y de la pelvis, regin pelviana y muslo"
"M9186" "Otras osteocondrosis juveniles de la cadera y de la pelvis, pierna"
"M9187" "Otras osteocondrosis juveniles de la cadera y de la pelvis, tobillo y pie"
"M9188" "Otras osteocondrosis juveniles de la cadera y de la pelvis, otros"
"M9189" "Otras osteocondrosis juveniles de la cadera y de la pelvis, sitio no especificado"
"M9190" "Osteocondrosis juvenil de la cadera y de la pelvis, sin otra especificacin, sitios mltiples"
"M9191" "Osteocondrosis juvenil de la cadera y de la pelvis, sin otra especificacin, regin del hombro"
"M9192" "Osteocondrosis juvenil de la cadera y de la pelvis, sin otra especificacin, brazo"
"M9193" "Osteocondrosis juvenil de la cadera y de la pelvis, sin otra especificacin, antebrazo"
"M9194" "Osteocondrosis juvenil de la cadera y de la pelvis, sin otra especificacin, mano"
"M9195" "Osteocondrosis juvenil de la cadera y de la pelvis, sin otra especificacin, regin pelviana y muslo"
"M9196" "Osteocondrosis juvenil de la cadera y de la pelvis, sin otra especificacin, pierna"
"M9197" "Osteocondrosis juvenil de la cadera y de la pelvis, sin otra especificacin, tobillo y pie"
"M9198" "Osteocondrosis juvenil de la cadera y de la pelvis, sin otra especificacin, otros"
"M9199" "Osteocondrosis juvenil de la cadera y de la pelvis, sin otra especificacin, sitio no especificado"
"M9400" "Sndrome de la articulacin condrocostal  Tietze , sitios mltiples"
"M9401" "Sndrome de la articulacin condrocostal  Tietze , regin del hombro"
"M9402" "Sndrome de la articulacin condrocostal  Tietze , brazo"
"M9403" "Sndrome de la articulacin condrocostal  Tietze , antebrazo"
"M9404" "Sndrome de la articulacin condrocostal  Tietze , mano"
"M9405" "Sndrome de la articulacin condrocostal  Tietze , regin pelviana y muslo"
"M9406" "Sndrome de la articulacin condrocostal  Tietze , pierna"
"M9407" "Sndrome de la articulacin condrocostal  Tietze , tobillo y pie"
"M9408" "Sndrome de la articulacin condrocostal  Tietze , otros"
"M9409" "Sndrome de la articulacin condrocostal  Tietze , sitio no especificado"
"M9410" "Policondritis recidivante, sitios mltiples"
"M9411" "Policondritis recidivante, regin del hombro"
"M9412" "Policondritis recidivante, brazo"
"M9413" "Policondritis recidivante, antebrazo"
"M9414" "Policondritis recidivante, mano"
"M9415" "Policondritis recidivante, regin pelviana y muslo"
"M9416" "Policondritis recidivante, pierna"
"M9417" "Policondritis recidivante, tobillo y pie"
"M9418" "Policondritis recidivante, otros"
"M9419" "Policondritis recidivante, sitio no especificado"
"M9420" "Condromalacia, sitios mltiples"
"M9421" "Condromalacia, regin del hombro"
"M9422" "Condromalacia, brazo"
"M9423" "Condromalacia, antebrazo"
"M9424" "Condromalacia, mano"
"M9425" "Condromalacia, regin pelviana y muslo"
"M9426" "Condromalacia, pierna"
"M9427" "Condromalacia, tobillo y pie"
"M9428" "Condromalacia, otros"
"M9429" "Condromalacia, sitio no especificado"
"M9430" "Condrlisis, sitios mltiples"
"M9431" "Condrlisis, regin del hombro"
"M9432" "Condrlisis, brazo"
"M9433" "Condrlisis, antebrazo"
"M9434" "Condrlisis, mano"
"M9435" "Condrlisis, regin pelviana y muslo"
"M9436" "Condrlisis, pierna"
"M9437" "Condrlisis, tobillo y pie"
"M9438" "Condrlisis, otros"
"M9439" "Condrlisis, sitio no especificado"
"M9480" "Otros trastornos especificados del cartlago, sitios mltiples"
"M9481" "Otros trastornos especificados del cartlago, regin del hombro"
"M9482" "Otros trastornos especificados del cartlago, brazo"
"M9483" "Otros trastornos especificados del cartlago, antebrazo"
"M9484" "Otros trastornos especificados del cartlago, mano"
"M9485" "Otros trastornos especificados del cartlago, regin pelviana y muslo"
"M9486" "Otros trastornos especificados del cartlago, pierna"
"M9487" "Otros trastornos especificados del cartlago, tobillo y pie"
"M9488" "Otros trastornos especificados del cartlago, otros"
"M9489" "Otros trastornos especificados del cartlago, sitio no especificado"
"M9490" "Trastorno del cartlago, no especificado, sitios mltiples"
"M9491" "Trastorno del cartlago, no especificado, regin del hombro"
"M9492" "Trastorno del cartlago, no especificado, brazo"
"M9493" "Trastorno del cartlago, no especificado, antebrazo"
"M9494" "Trastorno del cartlago, no especificado, mano"
"M9495" "Trastorno del cartlago, no especificado, regin pelviana y muslo"
"M9496" "Trastorno del cartlago, no especificado, pierna"
"M9497" "Trastorno del cartlago, no especificado, tobillo y pie"
"M9498" "Trastorno del cartlago, no especificado, otros"
"M9499" "Trastorno del cartlago, no especificado, sitio no especificado"
"M9900" "Disfuncin segmental o somtica, regin de la cabeza"
"M9901" "Disfuncin segmental o somtica, regin cervical"
"M9902" "Disfuncin segmental o somtica, regin torcica"
"M9903" "Disfuncin segmental o somtica, regin lumbar"
"M9904" "Disfuncin segmental o somtica, regin sacra"
"M9905" "Disfuncin segmental o somtica, regin plvica"
"M9906" "Disfuncin segmental o somtica, extremidad inferior"
"M9907" "Disfuncin segmental o somtica, extremidad superior"
"M9908" "Disfuncin segmental o somtica, caja torcica"
"M9909" "Disfuncin segmental o somtica, abdomen y otra"
"M9910" "Complejo de subluxacin (vertebral), regin de la cabeza"
"M9911" "Complejo de subluxacin (vertebral), regin cervical"
"M9912" "Complejo de subluxacin (vertebral), regin torcica"
"M9913" "Complejo de subluxacin (vertebral), regin lumbar"
"M9914" "Complejo de subluxacin (vertebral), regin sacra"
"M9915" "Complejo de subluxacin (vertebral), regin plvica"
"M9916" "Complejo de subluxacin (vertebral), extremidad inferior"
"M9917" "Complejo de subluxacin (vertebral), extremidad superior"
"M9918" "Complejo de subluxacin (vertebral), caja torcica"
"M9919" "Complejo de subluxacin (vertebral), abdomen y otra"
"M9920" "Subluxacin con estenosis del canal neural, regin de la cabeza"
"M9921" "Subluxacin con estenosis del canal neural, regin cervical"
"M9922" "Subluxacin con estenosis del canal neural, regin torcica"
"M9923" "Subluxacin con estenosis del canal neural, regin lumbar"
"M9924" "Subluxacin con estenosis del canal neural, regin sacra"
"M9925" "Subluxacin con estenosis del canal neural, regin plvica"
"M9926" "Subluxacin con estenosis del canal neural, extremidad inferior"
"M9927" "Subluxacin con estenosis del canal neural, extremidad superior"
"M9928" "Subluxacin con estenosis del canal neural, caja torcica"
"M9929" "Subluxacin con estenosis del canal neural, abdomen y otra"
"M9930" "Estenosis sea del canal neural, regin de la cabeza"
"M9931" "Estenosis sea del canal neural, regin cervical"
"M9932" "Estenosis sea del canal neural, regin torcica"
"M9933" "Estenosis sea del canal neural, regin lumbar"
"M9934" "Estenosis sea del canal neural, regin sacra"
"M9935" "Estenosis sea del canal neural, regin plvica"
"M9936" "Estenosis sea del canal neural, extremidad inferior"
"M9937" "Estenosis sea del canal neural, extremidad superior"
"M9938" "Estenosis sea del canal neural, caja torcica"
"M9939" "Estenosis sea del canal neural, abdomen y otra"
"M9940" "Estenosis del canal neural por tejido conjuntivo, regin de la cabeza"
"M9941" "Estenosis del canal neural por tejido conjuntivo, regin cervical"
"M9942" "Estenosis del canal neural por tejido conjuntivo, regin torcica"
"M9943" "Estenosis del canal neural por tejido conjuntivo, regin lumbar"
"M9944" "Estenosis del canal neural por tejido conjuntivo, regin sacra"
"M9945" "Estenosis del canal neural por tejido conjuntivo, regin plvica"
"M9946" "Estenosis del canal neural por tejido conjuntivo, extremidad inferior"
"M9947" "Estenosis del canal neural por tejido conjuntivo, extremidad superior"
"M9948" "Estenosis del canal neural por tejido conjuntivo, caja torcica"
"M9949" "Estenosis del canal neural por tejido conjuntivo, abdomen y otra"
"M9950" "Estenosis del canal neural por disco intervertebral, regin de la cabeza"
"M9951" "Estenosis del canal neural por disco intervertebral, regin cervical"
"M9952" "Estenosis del canal neural por disco intervertebral, regin torcica"
"M9953" "Estenosis del canal neural por disco intervertebral, regin lumbar"
"M9954" "Estenosis del canal neural por disco intervertebral, regin sacra"
"M9955" "Estenosis del canal neural por disco intervertebral, regin plvica"
"M9956" "Estenosis del canal neural por disco intervertebral, extremidad inferior"
"M9957" "Estenosis del canal neural por disco intervertebral, extremidad superior"
"M9958" "Estenosis del canal neural por disco intervertebral, caja torcica"
"M9959" "Estenosis del canal neural por disco intervertebral, abdomen y otra"
"M9960" "Estenosis sea y subluxacin de los agujeros intervertebrales, regin de la cabeza"
"M9961" "Estenosis sea y subluxacin de los agujeros intervertebrales, regin cervical"
"M9962" "Estenosis sea y subluxacin de los agujeros intervertebrales, regin torcica"
"M9963" "Estenosis sea y subluxacin de los agujeros intervertebrales, regin lumbar"
"M9964" "Estenosis sea y subluxacin de los agujeros intervertebrales, regin sacra"
"M9965" "Estenosis sea y subluxacin de los agujeros intervertebrales, regin plvica"
"M9966" "Estenosis sea y subluxacin de los agujeros intervertebrales, extremidad inferior"
"M9967" "Estenosis sea y subluxacin de los agujeros intervertebrales, extremidad superior"
"M9968" "Estenosis sea y subluxacin de los agujeros intervertebrales, caja torcica"
"M9969" "Estenosis sea y subluxacin de los agujeros intervertebrales, abdomen y otra"
"M9970" "Estenosis de los agujeros intervertebrales por tejido conjuntivo o por disco intervertebral, regin de la cabeza"
"M9971" "Estenosis de los agujeros intervertebrales por tejido conjuntivo o por disco intervertebral, regin cervical"
"M9972" "Estenosis de los agujeros intervertebrales por tejido conjuntivo o por disco intervertebral, regin torcica"
"M9973" "Estenosis de los agujeros intervertebrales por tejido conjuntivo o por disco intervertebral, regin lumbar"
"M9974" "Estenosis de los agujeros intervertebrales por tejido conjuntivo o por disco intervertebral, regin sacra"
"M9975" "Estenosis de los agujeros intervertebrales por tejido conjuntivo o por disco intervertebral, regin plvica"
"M9976" "Estenosis de los agujeros intervertebrales por tejido conjuntivo o por disco intervertebral, extremidad inferior"
"M9977" "Estenosis de los agujeros intervertebrales por tejido conjuntivo o por disco intervertebral, extremidad superior"
"M9978" "Estenosis de los agujeros intervertebrales por tejido conjuntivo o por disco intervertebral, caja torcica"
"M9979" "Estenosis de los agujeros intervertebrales por tejido conjuntivo o por disco intervertebral, abdomen y otra"
"M9980" "Otras lesiones biomecnicas, regin de la cabeza"
"M9981" "Otras lesiones biomecnicas, regin cervical"
"M9982" "Otras lesiones biomecnicas, regin torcica"
"M9983" "Otras lesiones biomecnicas, regin lumbar"
"M9984" "Otras lesiones biomecnicas, regin sacra"
"M9985" "Otras lesiones biomecnicas, regin plvica"
"M9986" "Otras lesiones biomecnicas, extremidad inferior"
"M9987" "Otras lesiones biomecnicas, extremidad superior"
"M9988" "Otras lesiones biomecnicas, caja torcica"
"M9989" "Otras lesiones biomecnicas, abdomen y otra"
"M9990" "Lesin biomecnica, no especificada, regin de la cabeza"
"M9991" "Lesin biomecnica, no especificada, regin cervical"
"M9992" "Lesin biomecnica, no especificada, regin torcica"
"M9993" "Lesin biomecnica, no especificada, regin lumbar"
"M9994" "Lesin biomecnica, no especificada, regin sacra"
"M9995" "Lesin biomecnica, no especificada, regin plvica"
"M9996" "Lesin biomecnica, no especificada, extremidad inferior"
"M9997" "Lesin biomecnica, no especificada, extremidad superior"
"M9998" "Lesin biomecnica, no especificada, caja torcica"
"M9999" "Lesin biomecnica, no especificada, abdomen y otra"
"S0200" "Fractura de la bveda del crneo, cerrada"
"S0201" "Fractura de la bveda del crneo, abierta"
"S0210" "Fractura de la base del crneo, cerrada"
"S0211" "Fractura de la base del crneo, abierta"
"S0220" "Fractura de los huesos de la nariz, cerrada"
"S0221" "Fractura de los huesos de la nariz, abierta"
"S0230" "Fractura del suelo de la rbita, cerrada"
"S0231" "Fractura del suelo de la rbita, abierta"
"S0240" "Fractura del malar y del hueso maxilar superior, cerrada"
"S0241" "Fractura del malar y del hueso maxilar superior, abierta"
"S0250" "Fractura de los dientes, cerrada"
"S0251" "Fractura de los dientes, abierta"
"S0260" "Fractura del maxilar inferior, cerrada"
"S0261" "Fractura del maxilar inferior, abierta"
"S0270" "Fracturas mltiples que comprometen el crneo y los huesos de la cara, cerrada"
"S0271" "Fracturas mltiples que comprometen el crneo y los huesos de la cara, abierta"
"S0280" "Fractura de otros huesos del crneo y de la cara, cerrada"
"S0281" "Fractura de otros huesos del crneo y de la cara, abierta"
"S0290" "Fractura del crneo y de los huesos de la cara, parte no especificada, cerrada"
"S0291" "Fractura del crneo y de los huesos de la cara, parte no especificada, abierta"
"S0600" "Concusin, sin herida intracraneal"
"S0601" "Concusin, con herida intracraneal"
"S0610" "Edema cerebral traumtico, sin herida intracraneal"
"S0611" "Edema cerebral traumtico, con herida intracraneal"
"S0620" "Traumatismo cerebral difuso, sin herida intracraneal"
"S0621" "Traumatismo cerebral difuso, con herida intracraneal"
"S0630" "Traumatismo cerebral focal, sin herida intracraneal"
"S0631" "Traumatismo cerebral focal, con herida intracraneal"
"S0640" "Hemorragia epidural, sin herida intracraneal"
"S0641" "Hemorragia epidural, con herida intracraneal"
"S0650" "Hemorragia subdural traumtica, sin herida intracraneal"
"S0651" "Hemorragia subdural traumtica, con herida intracraneal"
"S0660" "Hemorragia subaracnoidea traumtica, sin herida intracraneal"
"S0661" "Hemorragia subaracnoidea traumtica, con herida intracraneal"
"S0670" "Traumatismo intracraneal con coma prolongado, sin herida intracraneal"
"S0671" "Traumatismo intracraneal con coma prolongado, con herida intracraneal"
"S0680" "Otros traumatismos intracraneales, sin herida intracraneal"
"S0681" "Otros traumatismos intracraneales, con herida intracraneal"
"S0690" "Traumatismo intracraneal, no especificado, sin herida intracraneal"
"S0691" "Traumatismo intracraneal, no especificado, con herida intracraneal"
"S1200" "Fractura de la primera vrtebra cervical, cerrada"
"S1201" "Fractura de la primera vrtebra cervical, abierta"
"S1210" "Fractura de la segunda vrtebra cervical, cerrada"
"S1211" "Fractura de la segunda vrtebra cervical, abierta"
"S1220" "Fractura de otras vrtebras cervicales especificadas, cerrada"
"S1221" "Fractura de otras vrtebras cervicales especificadas, abierta"
"S1270" "Fracturas mltiples de columna cervical, cerrada"
"S1271" "Fracturas mltiples de columna cervical, abierta"
"S1280" "Fractura de otras partes del cuello, cerrada"
"S1281" "Fractura de otras partes del cuello, abierta"
"S1290" "Fractura del cuello, parte no especificada, cerrada"
"S1291" "Fractura del cuello, parte no especificada, abierta"
"S2200" "Fractura de vrtebra torcica, cerrada"
"S2201" "Fractura de vrtebra torcica, abierta"
"S2210" "Fracturas mltiples de columna torcica, cerrada"
"S2211" "Fracturas mltiples de columna torcica, abierta"
"S2220" "Fractura del esternn, cerrada"
"S2221" "Fractura del esternn, abierta"
"S2230" "Fractura de costilla, cerrada"
"S2231" "Fractura de costilla, abierta"
"S2240" "Fracturas mltiples de costillas, cerrada"
"S2241" "Fracturas mltiples de costillas, abierta"
"S2250" "Trax azotado, cerrada"
"S2251" "Trax azotado, abierta"
"S2280" "Fractura de otras partes del trax seo, cerrada"
"S2281" "Fractura de otras partes del trax seo, abierta"
"S2290" "Fractura del trax seo, parte no especificada, cerrada"
"S2291" "Fractura del trax seo, parte no especificada, abierta"
"S2600" "Traumatismo del corazn con hemopericardio, sin herida dentro de la cavidad torcica"
"S2601" "Traumatismo del corazn con hemopericardio, con herida dentro de la cavidad torcica"
"S2680" "Otros traumatismos del corazn, sin herida dentro de la cavidad torcica"
"S2681" "Otros traumatismos del corazn, con herida dentro de la cavidad torcica"
"S2690" "Traumatismo del corazn, no especificado, sin herida dentro de la cavidad torcica"
"S2691" "Traumatismo del corazn, no especificado, con herida dentro de la cavidad torcica"
"S2700" "Neumotrax traumtico, sin herida dentro de la cavidad torcica"
"S2701" "Neumotrax traumtico, con herida dentro de la cavidad torcica"
"S2710" "Hemotrax traumtico, sin herida dentro de la cavidad torcica"
"S2711" "Hemotrax traumtico, con herida dentro de la cavidad torcica"
"S2720" "Hemoneumotrax traumtico, sin herida dentro de la cavidad torcica"
"S2721" "Hemoneumotrax traumtico, con herida dentro de la cavidad torcica"
"S2730" "Otros traumatismos del pulmn, sin herida dentro de la cavidad torcica"
"S2731" "Otros traumatismos del pulmn, con herida dentro de la cavidad torcica"
"S2740" "Traumatismo de los bronquios, sin herida dentro de la cavidad torcica"
"S2741" "Traumatismo de los bronquios, con herida dentro de la cavidad torcica"
"S2750" "Traumatismo de la trquea torcica, sin herida dentro de la cavidad torcica"
"S2751" "Traumatismo de la trquea torcica, con herida dentro de la cavidad torcica"
"S2760" "Traumatismo de la pleura, sin herida dentro de la cavidad torcica"
"S2761" "Traumatismo de la pleura, con herida dentro de la cavidad torcica"
"S2770" "Traumatismos mltiples de rganos intratorcicos, sin herida dentro de la cavidad torcica"
"S2771" "Traumatismos mltiples de rganos intratorcicos, con herida dentro de la cavidad torcica"
"S2780" "Traumatismo de otros rganos intratorcicos, especificados, sin herida dentro de la cavidad torcica"
"S2781" "Traumatismo de otros rganos intratorcicos, especificados, con herida dentro de la cavidad torcica"
"S2790" "Traumatismo de rgano intratorcico, no especificado, sin herida dentro de la cavidad torcica"
"S2791" "Traumatismo de rgano intratorcico, no especificado, con herida dentro de la cavidad torcica"
"S3200" "Fractura de vrtebra lumbar, cerrada"
"S3201" "Fractura de vrtebra lumbar, abierta"
"S3210" "Fractura del sacro, cerrada"
"S3211" "Fractura del sacro, abierta"
"S3220" "Fractura del cccix, cerrada"
"S3221" "Fractura del cccix, abierta"
"S3230" "Fractura del hueso iliaco, cerrada"
"S3231" "Fractura del hueso iliaco, abierta"
"S3240" "Fractura del acetbulo, cerrada"
"S3241" "Fractura del acetbulo, abierta"
"S3250" "Fractura del pubis, cerrada"
"S3251" "Fractura del pubis, abierta"
"S3270" "Fracturas mltiples de la columna lumbar y de la pelvis, cerrada"
"S3271" "Fracturas mltiples de la columna lumbar y de la pelvis, abierta"
"S3280" "Fractura de otras partes y de las no especificadas de la columna lumbar y de la pelvis, cerrada"
"S3281" "Fractura de otras partes y de las no especificadas de la columna lumbar y de la pelvis, abierta"
"S3600" "Traumatismo del bazo, sin herida dentro de la cavidad abdominal"
"S3601" "Traumatismo del bazo, con herida dentro de la cavidad abdominal"
"S3610" "Traumatismo del hgado y de la vescula biliar, sin herida dentro de la cavidad abdominal"
"S3611" "Traumatismo del hgado y de la vescula biliar, con herida dentro de la cavidad abdominal"
"S3620" "Traumatismo del pncreas, sin herida dentro de la cavidad abdominal"
"S3621" "Traumatismo del pncreas, con herida dentro de la cavidad abdominal"
"S3630" "Traumatismo del estmago, sin herida dentro de la cavidad abdominal"
"S3631" "Traumatismo del estmago, con herida dentro de la cavidad abdominal"
"S3640" "Traumatismo del intestino delgado, sin herida dentro de la cavidad abdominal"
"S3641" "Traumatismo del intestino delgado, con herida dentro de la cavidad abdominal"
"S3650" "Traumatismo del colon, sin herida dentro de la cavidad abdominal"
"S3651" "Traumatismo del colon, con herida dentro de la cavidad abdominal"
"S3660" "Traumatismo del recto, sin herida dentro de la cavidad abdominal"
"S3661" "Traumatismo del recto, con herida dentro de la cavidad abdominal"
"S3670" "Traumatismo de mltiples rganos intraabdominales, sin herida dentro de la cavidad abdominal"
"S3671" "Traumatismo de mltiples rganos intraabdominales, con herida dentro de la cavidad abdominal"
"S3680" "Traumatismo de otros rganos intraabdominales, sin herida dentro de la cavidad abdominal"
"S3681" "Traumatismo de otros rganos intraabdominales, con herida dentro de la cavidad abdominal"
"S3690" "Traumatismo de rgano intraabdominal no especificado, sin herida dentro de la cavidad abdominal"
"S3691" "Traumatismo de rgano intraabdominal no especificado, con herida dentro de la cavidad abdominal"
"S3700" "Traumatismo del rin, sin herida dentro de la cavidad plvica"
"S3701" "Traumatismo del rin, con herida dentro de la cavidad plvica"
"S3710" "Traumatismo del urter, sin herida dentro de la cavidad plvica"
"S3711" "Traumatismo del urter, con herida dentro de la cavidad plvica"
"S3720" "Traumatismo de la vejiga, sin herida dentro de la cavidad plvica"
"S3721" "Traumatismo de la vejiga, con herida dentro de la cavidad plvica"
"S3730" "Traumatismo de la uretra, sin herida dentro de la cavidad plvica"
"S3731" "Traumatismo de la uretra, con herida dentro de la cavidad plvica"
"S3740" "Traumatismo del ovario, sin herida dentro de la cavidad plvica"
"S3741" "Traumatismo del ovario, con herida dentro de la cavidad plvica"
"S3750" "Traumatismo de la trompa de Falopio, sin herida dentro de la cavidad plvica"
"S3751" "Traumatismo de la trompa de Falopio, con herida dentro de la cavidad plvica"
"S3760" "Traumatismo deltero, sin herida dentro de la cavidad plvica"
"S3761" "Traumatismo deltero, con herida dentro de la cavidad plvica"
"S3770" "Traumatismo de mltiples rganos plvicos, sin herida dentro de la cavidad plvica"
"S3771" "Traumatismo de mltiples rganos plvicos, con herida dentro de la cavidad plvica"
"S3780" "Traumatismo de otros rganos plvicos, sin herida dentro de la cavidad plvica"
"S3781" "Traumatismo de otros rganos plvicos, con herida dentro de la cavidad plvica"
"S3790" "Traumatismo de rgano plvico no especificado, sin herida dentro de la cavidad plvica"
"S3791" "Traumatismo de rgano plvico no especificado, con herida dentro de la cavidad plvica"
"S4200" "Fractura de la clavcula, cerrada"
"S4201" "Fractura de la clavcula, abierta"
"S4210" "Fractura del omplato, cerrada"
"S4211" "Fractura del omplato, abierta"
"S4220" "Fractura de la epfisis superior del hmero, cerrada"
"S4221" "Fractura de la epfisis superior del hmero, abierta"
"S4230" "Fractura de la difisis del hmero, cerrada"
"S4231" "Fractura de la difisis del hmero, abierta"
"S4240" "Fractura de la epfisis inferior del hmero, cerrada"
"S4241" "Fractura de la epfisis inferior del hmero, abierta"
"S4270" "Fracturas mltiples de la clavcula, del omplato y del hmero, cerrada"
"S4271" "Fracturas mltiples de la clavcula, del omplato y del hmero, abierta"
"S4280" "Fractura de otras partes del hombro y del brazo, cerrada"
"S4281" "Fractura de otras partes del hombro y del brazo, abierta"
"S4290" "Fractura del hombro y del brazo, parte no especificada, cerrada"
"S4291" "Fractura del hombro y del brazo, parte no especificada, abierta"
"S5200" "Fractura de la epfisis superior del cbito, cerrada"
"S5201" "Fractura de la epfisis superior del cbito, abierta"
"S5210" "Fractura de la epfisis superior del radio, cerrada"
"S5211" "Fractura de la epfisis superior del radio, abierta"
"S5220" "Fractura de la difisis del cbito, cerrada"
"S5221" "Fractura de la difisis del cbito, abierta"
"S5230" "Fractura de la difisis del radio, cerrada"
"S5231" "Fractura de la difisis del radio, abierta"
"S5240" "Fractura de la difisis del cbito y del radio, cerrada"
"S5241" "Fractura de la difisis del cbito y del radio, abierta"
"S5250" "Fractura de la epfisis inferior del radio, cerrada"
"S5251" "Fractura de la epfisis inferior del radio, abierta"
"S5260" "Fractura de la epfisis inferior del cbito y del radio, cerrada"
"S5261" "Fractura de la epfisis inferior del cbito y del radio, abierta"
"S5270" "Fracturas mltiples del antebrazo, cerrada"
"S5271" "Fracturas mltiples del antebrazo, abierta"
"S5280" "Fractura de otras partes del antebrazo, cerrada"
"S5281" "Fractura de otras partes del antebrazo, abierta"
"S5290" "Fractura del antebrazo, parte no especificada, cerrada"
"S5291" "Fractura del antebrazo, parte no especificada, abierta"
"S6200" "Fractura del hueso escafoides  navicular  de la mano, cerrada"
"S6201" "Fractura del hueso escafoides  navicular  de la mano, abierta"
"S6210" "Fractura de otro(s) hueso(s) del carpo, cerrada"
"S6211" "Fractura de otro(s) hueso(s) del carpo, abierta"
"S6220" "Fractura del primer metacarpiano, cerrada"
"S6221" "Fractura del primer metacarpiano, abierta"
"S6230" "Fractura de otros huesos metacarpianos, cerrada"
"S6231" "Fractura de otros huesos metacarpianos, abierta"
"S6240" "Fracturas mltiples de huesos metacarpianos, cerrada"
"S6241" "Fracturas mltiples de huesos metacarpianos, abierta"
"S6250" "Fractura del pulgar, cerrada"
"S6251" "Fractura del pulgar, abierta"
"S6260" "Fractura de otro dedo de la mano, cerrada"
"S6261" "Fractura de otro dedo de la mano, abierta"
"S6270" "Fracturas mltiples de los dedos de la mano, cerrada"
"S6271" "Fracturas mltiples de los dedos de la mano, abierta"
"S6280" "Fractura de otras partes y de las no especificadas de la mueca y de la mano, cerrada"
"S6281" "Fractura de otras partes y de las no especificadas de la mueca y de la mano, abierta"
"S7200" "Fractura del cuello de fmur, cerrada"
"S7201" "Fractura del cuello de fmur, abierta"
"S7210" "Fractura pertrocanteriana, cerrada"
"S7211" "Fractura pertrocanteriana, abierta"
"S7220" "Fractura subtrocanteriana, cerrada"
"S7221" "Fractura subtrocanteriana, abierta"
"S7230" "Fractura de la difisis del fmur, cerrada"
"S7231" "Fractura de la difisis del fmur, abierta"
"S7240" "Fractura de la epfisis inferior del fmur, cerrada"
"S7241" "Fractura de la epfisis inferior del fmur, abierta"
"S7270" "Fracturas mltiples del fmur, cerrada"
"S7271" "Fracturas mltiples del fmur, abierta"
"S7280" "Fracturas de otras partes del fmur, cerrada"
"S7281" "Fracturas de otras partes del fmur, abierta"
"S7290" "Fractura del fmur, parte no especificada, cerrada"
"S7291" "Fractura del fmur, parte no especificada, abierta"
"S8200" "Fractura de la rtula, cerrada"
"S8201" "Fractura de la rtula, abierta"
"S8210" "Fractura de la epfisis superior de la tibia, cerrada"
"S8211" "Fractura de la epfisis superior de la tibia, abierta"
"S8220" "Fractura de la difisis de la tibia, cerrada"
"S8221" "Fractura de la difisis de la tibia, abierta"
"S8230" "Fractura de la epfisis inferior de la tibia, cerrada"
"S8231" "Fractura de la epfisis inferior de la tibia, abierta"
"S8240" "Fractura del peron solamente, cerrada"
"S8241" "Fractura del peron solamente, abierta"
"S8250" "Fractura del malolo interno, cerrada"
"S8251" "Fractura del malolo interno, abierta"
"S8260" "Fractura del malolo externo, cerrada"
"S8261" "Fractura del malolo externo, abierta"
"S8270" "Fracturas mltiples de la pierna, cerrada"
"S8271" "Fracturas mltiples de la pierna, abierta"
"S8280" "Fractura de otras partes de la pierna, cerrada"
"S8281" "Fractura de otras partes de la pierna, abierta"
"S8290" "Fractura de la pierna, parte no especificada, cerrada"
"S8291" "Fractura de la pierna, parte no especificada, abierta"
"S9200" "Fractura del calcneo, cerrada"
"S9201" "Fractura del calcneo, abierta"
"S9210" "Fractura del astrgalo, cerrada"
"S9211" "Fractura del astrgalo, abierta"
"S9220" "Fractura de otro(s) hueso(s) del tarso, cerrada"
"S9221" "Fractura de otro(s) hueso(s) del tarso, abierta"
"S9240" "Fractura de los huesos del dedo gordo del pie, cerrada"
"S9241" "Fractura de los huesos del dedo gordo del pie, abierta"
"S9250" "Fractura de los huesos de otro(s) dedo(s) del pie, cerrada"
"S9251" "Fractura de los huesos de otro(s) dedo(s) del pie, abierta"
"S9270" "Fracturas mltiples del pie, cerrada"
"S9271" "Fracturas mltiples del pie, abierta"
"S9290" "Fractura del pie, no especificada, cerrada"
"S9291" "Fractura del pie, no especificada, abierta"
"T0200" "Fracturas que afectan la cabeza con el cuello, cerrada"
"T0201" "Fracturas que afectan la cabeza con el cuello, abierta"
"T0210" "Fracturas que afectan el trax con la regin lumbosacra y la pelvis, cerrada"
"T0211" "Fracturas que afectan el trax con la regin lumbosacra y la pelvis, abierta"
"T0220" "Fracturas que afectan mltiples regiones de un miembro superior, cerrada"
"T0221" "Fracturas que afectan mltiples regiones de un miembro superior, abierta"
"T0230" "Fracturas que afectan mltiples regiones de un miembro inferior, cerrada"
"T0231" "Fracturas que afectan mltiples regiones de un miembro inferior, abierta"
"T0240" "Fracturas que afectan mltiples regiones de ambos miembros superiores, cerrada"
"T0241" "Fracturas que afectan mltiples regiones de ambos miembros superiores, abierta"
"T0250" "Fracturas que afectan mltiples regiones de ambos miembros inferiores, cerrada"
"T0251" "Fracturas que afectan mltiples regiones de ambos miembros inferiores, abierta"
"T0260" "Fracturas que afectan mltiples regiones de miembro(s) superior(es) con miembro(s) inferior(es), cerrada"
"T0261" "Fracturas que afectan mltiples regiones de miembro(s) superior(es) con miembro(s) inferior(es), abierta"
"T0270" "Fracturas que afectan el trax con la regin lumbosacra y la pelvis con miembro(s), cerrada"
"T0271" "Fracturas que afectan el trax con la regin lumbosacra y la pelvis con miembro(s), abierta"
"T0280" "Fracturas que afectan otras combinaciones de las regiones del cuerpo, cerrada"
"T0281" "Fracturas que afectan otras combinaciones de las regiones del cuerpo, abierta"
"T0290" "Fracturas mltiples, no especificadas, cerrada"
"T0291" "Fracturas mltiples, no especificadas, abierta"
"T1420" "Fractura de regin no especificada del cuerpo, cerrada"
"T1421" "Fractura de regin no especificada del cuerpo, abierta"
"M0800" "Artritis reumatoide juvenil, sitios mltiples"
"M0801" "Artritis reumatoide juvenil, regin del hombro"
"M0802" "Artritis reumatoide juvenil, brazo"
"M0803" "Artritis reumatoide juvenil, antebrazo"
"M0804" "Artritis reumatoide juvenil, mano"
"M0805" "Artritis reumatoide juvenil, regin pelviana y muslo"
"M0806" "Artritis reumatoide juvenil, pierna"
"M0807" "Artritis reumatoide juvenil, tobillo y pie"
"M0808" "Artritis reumatoide juvenil, otros"
"M0809" "Artritis reumatoide juvenil, sitio no especificado"
"M0810" "Espondilitis anquilosante juvenil, sitios mltiples"
"M0811" "Espondilitis anquilosante juvenil, regin del hombro"
"M0812" "Espondilitis anquilosante juvenil, brazo"
"M0813" "Espondilitis anquilosante juvenil, antebrazo"
"M0814" "Espondilitis anquilosante juvenil, mano"
"M0815" "Espondilitis anquilosante juvenil, regin pelviana y muslo"
"M0816" "Espondilitis anquilosante juvenil, pierna"
"M0817" "Espondilitis anquilosante juvenil, tobillo y pie"
"M0818" "Espondilitis anquilosante juvenil, otros"
"M0819" "Espondilitis anquilosante juvenil, sitio no especificado"
"M0820" "Artritis juvenil de comienzo generalizado, sitios mltiples"
"M0821" "Artritis juvenil de comienzo generalizado, regin del hombro"
"M0822" "Artritis juvenil de comienzo generalizado, brazo"
"M0823" "Artritis juvenil de comienzo generalizado, antebrazo"
"M0824" "Artritis juvenil de comienzo generalizado, mano"
"M0825" "Artritis juvenil de comienzo generalizado, regin pelviana y muslo"
"M0826" "Artritis juvenil de comienzo generalizado, pierna"
"M0827" "Artritis juvenil de comienzo generalizado, tobillo y pie"
"M0828" "Artritis juvenil de comienzo generalizado, otros"
"M0829" "Artritis juvenil de comienzo generalizado, sitio no especificado"
"M0830" "Poliartritis juvenil (seronegativa), sitios mltiples"
"M0831" "Poliartritis juvenil (seronegativa), regin del hombro"
"M0832" "Poliartritis juvenil (seronegativa), brazo"
"M0833" "Poliartritis juvenil (seronegativa), antebrazo"
"M0834" "Poliartritis juvenil (seronegativa), mano"
"M0835" "Poliartritis juvenil (seronegativa), regin pelviana y muslo"
"M0836" "Poliartritis juvenil (seronegativa), pierna"
"M0837" "Poliartritis juvenil (seronegativa), tobillo y pie"
"M0838" "Poliartritis juvenil (seronegativa), otros"
"M0839" "Poliartritis juvenil (seronegativa), sitio no especificado"
"M0840" "Artritis juvenil pauciarticular, sitios mltiples"
"M0841" "Artritis juvenil pauciarticular, regin del hombro"
"M0842" "Artritis juvenil pauciarticular, brazo"
"M0843" "Artritis juvenil pauciarticular, antebrazo"
"M0844" "Artritis juvenil pauciarticular, mano"
"M0845" "Artritis juvenil pauciarticular, regin pelviana y muslo"
"M0846" "Artritis juvenil pauciarticular, pierna"
"M0847" "Artritis juvenil pauciarticular, tobillo y pie"
"M0848" "Artritis juvenil pauciarticular, otros"
"M0849" "Artritis juvenil pauciarticular, sitio no especificado"
"M0880" "Otras artritis juveniles, sitios mltiples"
"M0881" "Otras artritis juveniles, regin del hombro"
"M0882" "Otras artritis juveniles, brazo"
"M0883" "Otras artritis juveniles, antebrazo"
"M0884" "Otras artritis juveniles, mano"
"M0885" "Otras artritis juveniles, regin pelviana y muslo"
"M0886" "Otras artritis juveniles, pierna"
"M0887" "Otras artritis juveniles, tobillo y pie"
"M0888" "Otras artritis juveniles, otros"
"M0889" "Otras artritis juveniles, sitio no especificado"
"M0890" "Artritis juvenil, no especificada, sitios mltiples"
"M0891" "Artritis juvenil, no especificada, regin del hombro"
"M0892" "Artritis juvenil, no especificada, brazo"
"M0893" "Artritis juvenil, no especificada, antebrazo"
"M0894" "Artritis juvenil, no especificada, mano"
"M0895" "Artritis juvenil, no especificada, regin pelviana y muslo"
"M0896" "Artritis juvenil, no especificada, pierna"
"M0897" "Artritis juvenil, no especificada, tobillo y pie"
"M0898" "Artritis juvenil, no especificada, otros"
"M0899" "Artritis juvenil, no especificada, sitio no especificado"
"M0900" "Artritis juvenil en la psoriasis, sitios mltiples"
"M0901" "Artritis juvenil en la psoriasis, regin del hombro"
"M0902" "Artritis juvenil en la psoriasis, brazo"
"M0903" "Artritis juvenil en la psoriasis, antebrazo"
"M0904" "Artritis juvenil en la psoriasis, mano"
"M0905" "Artritis juvenil en la psoriasis, regin pelviana y muslo"
"M0906" "Artritis juvenil en la psoriasis, pierna"
"M0907" "Artritis juvenil en la psoriasis, tobillo y pie"
"M0908" "Artritis juvenil en la psoriasis, otros"
"M0909" "Artritis juvenil en la psoriasis, sitio no especificado"
"M0910" "Artritis juvenil en la enfermedad de Crohn  enteritis regional , sitios mltiples"
"M0911" "Artritis juvenil en la enfermedad de Crohn  enteritis regional , regin del hombro"
"M0912" "Artritis juvenil en la enfermedad de Crohn  enteritis regional , brazo"
"M0913" "Artritis juvenil en la enfermedad de Crohn  enteritis regional , antebrazo"
"M0914" "Artritis juvenil en la enfermedad de Crohn  enteritis regional , mano"
"M0915" "Artritis juvenil en la enfermedad de Crohn  enteritis regional , regin pelviana y muslo"
"M0916" "Artritis juvenil en la enfermedad de Crohn  enteritis regional , pierna"
"M0917" "Artritis juvenil en la enfermedad de Crohn  enteritis regional , tobillo y pie"
"M0918" "Artritis juvenil en la enfermedad de Crohn  enteritis regional , otros"
"M0919" "Artritis juvenil en la enfermedad de Crohn  enteritis regional , sitio no especificado"
"M0920" "Artritis juvenil en la colitis ulcerativa, sitios mltiples"
"M0921" "Artritis juvenil en la colitis ulcerativa, regin del hombro"
"M0922" "Artritis juvenil en la colitis ulcerativa, brazo"
"M0923" "Artritis juvenil en la colitis ulcerativa, antebrazo"
"M0924" "Artritis juvenil en la colitis ulcerativa, mano"
"M0925" "Artritis juvenil en la colitis ulcerativa, regin pelviana y muslo"
"M0926" "Artritis juvenil en la colitis ulcerativa, pierna"
"M0927" "Artritis juvenil en la colitis ulcerativa, tobillo y pie"
"M0928" "Artritis juvenil en la colitis ulcerativa, otros"
"M0929" "Artritis juvenil en la colitis ulcerativa, sitio no especificado"
"M0980" "Artritis juvenil en otras enfermedades clasificadas en otra parte, sitios mltiples"
"M0981" "Artritis juvenil en otras enfermedades clasificadas en otra parte, regin del hombro"
"M0982" "Artritis juvenil en otras enfermedades clasificadas en otra parte, brazo"
"M0983" "Artritis juvenil en otras enfermedades clasificadas en otra parte, antebrazo"
"M0984" "Artritis juvenil en otras enfermedades clasificadas en otra parte, mano"
"M0985" "Artritis juvenil en otras enfermedades clasificadas en otra parte, regin pelviana y muslo"
"M0986" "Artritis juvenil en otras enfermedades clasificadas en otra parte, pierna"
"M0987" "Artritis juvenil en otras enfermedades clasificadas en otra parte, tobillo y pie"
"M0988" "Artritis juvenil en otras enfermedades clasificadas en otra parte, otros"
"M0989" "Artritis juvenil en otras enfermedades clasificadas en otra parte, sitio no especificado"
"M1010" "Gota saturnina, sitios mltiples"
"M1011" "Gota saturnina, regin del hombro"
"M1012" "Gota saturnina, brazo"
"M1013" "Gota saturnina, antebrazo"
"M1014" "Gota saturnina, mano"
"M1015" "Gota saturnina, regin pelviana y muslo"
"M1016" "Gota saturnina, pierna"
"M1017" "Gota saturnina, tobillo y pie"
"M1018" "Gota saturnina, otros"
"M1019" "Gota saturnina, sitio no especificado"
"M2100" "Deformidad en valgo, no clasificada en otra parte, sitios mltiples"
"M2101" "Deformidad en valgo, no clasificada en otra parte, regin del hombro"
"M2102" "Deformidad en valgo, no clasificada en otra parte, brazo"
"M2103" "Deformidad en valgo, no clasificada en otra parte, antebrazo"
"M2104" "Deformidad en valgo, no clasificada en otra parte, mano"
"M2105" "Deformidad en valgo, no clasificada en otra parte, regin pelviana y muslo"
"M2106" "Deformidad en valgo, no clasificada en otra parte, pierna"
"M2107" "Deformidad en valgo, no clasificada en otra parte, tobillo y pie"
"M2108" "Deformidad en valgo, no clasificada en otra parte, otros"
"M2109" "Deformidad en valgo, no clasificada en otra parte, sitio no especificado"
"M2110" "Deformidad en varo, no clasificada en otra parte, sitios mltiples"
"M2111" "Deformidad en varo, no clasificada en otra parte, regin del hombro"
"M2112" "Deformidad en varo, no clasificada en otra parte, brazo"
"M2113" "Deformidad en varo, no clasificada en otra parte, antebrazo"
"M2114" "Deformidad en varo, no clasificada en otra parte, mano"
"M2115" "Deformidad en varo, no clasificada en otra parte, regin pelviana y muslo"
"M2116" "Deformidad en varo, no clasificada en otra parte, pierna"
"M2117" "Deformidad en varo, no clasificada en otra parte, tobillo y pie"
"M2118" "Deformidad en varo, no clasificada en otra parte, otros"
"M2119" "Deformidad en varo, no clasificada en otra parte, sitio no especificado"
"M2120" "Deformidad en flexin, sitios mltiples"
"M2121" "Deformidad en flexin, regin del hombro"
"M2122" "Deformidad en flexin, brazo"
"M2123" "Deformidad en flexin, antebrazo"
"M2124" "Deformidad en flexin, mano"
"M2125" "Deformidad en flexin, regin pelviana y muslo"
"M2126" "Deformidad en flexin, pierna"
"M2127" "Deformidad en flexin, tobillo y pie"
"M2128" "Deformidad en flexin, otros"
"M2129" "Deformidad en flexin, sitio no especificado"
"M2130" "Mueca o pie en pndulo (adquirido), sitios mltiples"
"M2131" "Mueca o pie en pndulo (adquirido), regin del hombro"
"M2132" "Mueca o pie en pndulo (adquirido), brazo"
"M2133" "Mueca o pie en pndulo (adquirido), antebrazo"
"M2134" "Mueca o pie en pndulo (adquirido), mano"
"M2135" "Mueca o pie en pndulo (adquirido), regin pelviana y muslo"
"M2136" "Mueca o pie en pndulo (adquirido), pierna"
"M2137" "Mueca o pie en pndulo (adquirido), tobillo y pie"
"M2138" "Mueca o pie en pndulo (adquirido), otros"
"M2139" "Mueca o pie en pndulo (adquirido), sitio no especificado"
"M2140" "Pie plano  pes planus  (adquirido), sitios mltiples"
"M2141" "Pie plano  pes planus  (adquirido), regin del hombro"
"M2142" "Pie plano  pes planus  (adquirido), brazo"
"M2143" "Pie plano  pes planus  (adquirido), antebrazo"
"M2144" "Pie plano  pes planus  (adquirido), mano"
"M2145" "Pie plano  pes planus  (adquirido), regin pelviana y muslo"
"M2146" "Pie plano  pes planus  (adquirido), pierna"
"M2147" "Pie plano  pes planus  (adquirido), tobillo y pie"
"M2148" "Pie plano  pes planus  (adquirido), otros"
"M2149" "Pie plano  pes planus  (adquirido), sitio no especificado"
"M2150" "Mano o pie en garra o en talipes, pie equinovaro o zambo adquiridos, sitios mltiples"
"M2151" "Mano o pie en garra o en talipes, pie equinovaro o zambo adquiridos, regin del hombro"
"M2152" "Mano o pie en garra o en talipes, pie equinovaro o zambo adquiridos, brazo"
"M2153" "Mano o pie en garra o en talipes, pie equinovaro o zambo adquiridos, antebrazo"
"M2154" "Mano o pie en garra o en talipes, pie equinovaro o zambo adquiridos, mano"
"M2155" "Mano o pie en garra o en talipes, pie equinovaro o zambo adquiridos, regin pelviana y muslo"
"M2156" "Mano o pie en garra o en talipes, pie equinovaro o zambo adquiridos, pierna"
"M2157" "Mano o pie en garra o en talipes, pie equinovaro o zambo adquiridos, tobillo y pie"
"M2158" "Mano o pie en garra o en talipes, pie equinovaro o zambo adquiridos, otros"
"M2159" "Mano o pie en garra o en talipes, pie equinovaro o zambo adquiridos, sitio no especificado"
"M2160" "Otras deformidades adquiridas del tobillo y del pie, sitios mltiples"
"M2161" "Otras deformidades adquiridas del tobillo y del pie, regin del hombro"
"M2162" "Otras deformidades adquiridas del tobillo y del pie, brazo"
"M2163" "Otras deformidades adquiridas del tobillo y del pie, antebrazo"
"M2164" "Otras deformidades adquiridas del tobillo y del pie, mano"
"M2165" "Otras deformidades adquiridas del tobillo y del pie, regin pelviana y muslo"
"M2166" "Otras deformidades adquiridas del tobillo y del pie, pierna"
"M2167" "Otras deformidades adquiridas del tobillo y del pie, tobillo y pie"
"M2168" "Otras deformidades adquiridas del tobillo y del pie, otros"
"M2169" "Otras deformidades adquiridas del tobillo y del pie, sitio no especificado"
"M2170" "Longitud desigual de los miembros (adquirida), sitios mltiples"
"M2171" "Longitud desigual de los miembros (adquirida), regin del hombro"
"M2172" "Longitud desigual de los miembros (adquirida), brazo"
"M2173" "Longitud desigual de los miembros (adquirida), antebrazo"
"M2174" "Longitud desigual de los miembros (adquirida), mano"
"M2175" "Longitud desigual de los miembros (adquirida), regin pelviana y muslo"
"M2176" "Longitud desigual de los miembros (adquirida), pierna"
"M2177" "Longitud desigual de los miembros (adquirida), tobillo y pie"
"M2178" "Longitud desigual de los miembros (adquirida), otros"
"M2179" "Longitud desigual de los miembros (adquirida), sitio no especificado"
"M2180" "Otras deformidades adquiridas de los miembros, especificadas, sitios mltiples"
"M2181" "Otras deformidades adquiridas de los miembros, especificadas, regin del hombro"
"M2182" "Otras deformidades adquiridas de los miembros, especificadas, brazo"
"M2183" "Otras deformidades adquiridas de los miembros, especificadas, antebrazo"
"M2184" "Otras deformidades adquiridas de los miembros, especificadas, mano"
"M2185" "Otras deformidades adquiridas de los miembros, especificadas, regin pelviana y muslo"
"M2186" "Otras deformidades adquiridas de los miembros, especificadas, pierna"
"M2187" "Otras deformidades adquiridas de los miembros, especificadas, tobillo y pie"
"M2188" "Otras deformidades adquiridas de los miembros, especificadas, otros"
"M2189" "Otras deformidades adquiridas de los miembros, especificadas, sitio no especificado"
"M2190" "Deformidad adquirida del miembro, no especificada, sitios mltiples"
"M2191" "Deformidad adquirida del miembro, no especificada, regin del hombro"
"M2192" "Deformidad adquirida del miembro, no especificada, brazo"
"M2193" "Deformidad adquirida del miembro, no especificada, antebrazo"
"M2194" "Deformidad adquirida del miembro, no especificada, mano"
"M2195" "Deformidad adquirida del miembro, no especificada, regin pelviana y muslo"
"M2196" "Deformidad adquirida del miembro, no especificada, pierna"
"M2197" "Deformidad adquirida del miembro, no especificada, tobillo y pie"
"M2198" "Deformidad adquirida del miembro, no especificada, otros"
"M2199" "Deformidad adquirida del miembro, no especificada, sitio no especificado"
"M4200" "Osteocondrosis juvenil de la columna vertebral, sitios mltiples de la columna vertebral"
"M4201" "Osteocondrosis juvenil de la columna vertebral, regin occipitocervical"
"M4202" "Osteocondrosis juvenil de la columna vertebral, regin cervical"
"M4203" "Osteocondrosis juvenil de la columna vertebral, regin cervicotorcica"
"M4204" "Osteocondrosis juvenil de la columna vertebral, regin torcica"
"M4205" "Osteocondrosis juvenil de la columna vertebral, regin toracolumbar"
"M4206" "Osteocondrosis juvenil de la columna vertebral, regin lumbar"
"M4207" "Osteocondrosis juvenil de la columna vertebral, regin lumbosacra"
"M4208" "Osteocondrosis juvenil de la columna vertebral, regin sacra y sacrococcgea"
"M4209" "Osteocondrosis juvenil de la columna vertebral, sitio no especificado"
"M4210" "Osteocondrosis de la columna vertebral del adulto, sitios mltiples de la columna vertebral"
"M4211" "Osteocondrosis de la columna vertebral del adulto, regin occipitocervical"
"M4212" "Osteocondrosis de la columna vertebral del adulto, regin cervical"
"M4213" "Osteocondrosis de la columna vertebral del adulto, regin cervicotorcica"
"M4214" "Osteocondrosis de la columna vertebral del adulto, regin torcica"
"M4215" "Osteocondrosis de la columna vertebral del adulto, regin toracolumbar"
"M4216" "Osteocondrosis de la columna vertebral del adulto, regin lumbar"
"M4217" "Osteocondrosis de la columna vertebral del adulto, regin lumbosacra"
"M4218" "Osteocondrosis de la columna vertebral del adulto, regin sacra y sacrococcgea"
"M4219" "Osteocondrosis de la columna vertebral del adulto, sitio no especificado"
"M4360" "Tortcolis, sitios mltiples de la columna vertebral"
"M4361" "Tortcolis, regin occipitocervical"
"M4362" "Tortcolis, regin cervical"
"M4363" "Tortcolis, regin cervicotorcica"
"M4364" "Tortcolis, regin torcica"
"M4365" "Tortcolis, regin toracolumbar"
"M4366" "Tortcolis, regin lumbar"
"M4367" "Tortcolis, regin lumbosacra"
"M4368" "Tortcolis, regin sacra y sacrococcgea"
"M4369" "Tortcolis, sitio no especificado"
"M8000" "Osteoporosis postmenopusica, con fractura patolgica, sitios mltiples"
"M8001" "Osteoporosis postmenopusica, con fractura patolgica, regin del hombro"
"M8002" "Osteoporosis postmenopusica, con fractura patolgica, brazo"
"M8003" "Osteoporosis postmenopusica, con fractura patolgica, antebrazo"
"M8004" "Osteoporosis postmenopusica, con fractura patolgica, mano"
"M8005" "Osteoporosis postmenopusica, con fractura patolgica, regin pelviana y muslo"
"M8006" "Osteoporosis postmenopusica, con fractura patolgica, pierna"
"M8007" "Osteoporosis postmenopusica, con fractura patolgica, tobillo y pie"
"M8008" "Osteoporosis postmenopusica, con fractura patolgica, otros"
"M8009" "Osteoporosis postmenopusica, con fractura patolgica, sitio no especificado"
"M8010" "Osteoporosis postooforectoma, con fractura patolgica, sitios mltiples"
"M8011" "Osteoporosis postooforectoma, con fractura patolgica, regin del hombro"
"M8012" "Osteoporosis postooforectoma, con fractura patolgica, brazo"
"M8013" "Osteoporosis postooforectoma, con fractura patolgica, antebrazo"
"M8014" "Osteoporosis postooforectoma, con fractura patolgica, mano"
"M8015" "Osteoporosis postooforectoma, con fractura patolgica, regin pelviana y muslo"
"M8016" "Osteoporosis postooforectoma, con fractura patolgica, pierna"
"M8017" "Osteoporosis postooforectoma, con fractura patolgica, tobillo y pie"
"M8018" "Osteoporosis postooforectoma, con fractura patolgica, otros"
"M8019" "Osteoporosis postooforectoma, con fractura patolgica, sitio no especificado"
"M8100" "Osteoporosis postmenopusica, sin fractura patolgica, sitios mltiples"
"M8101" "Osteoporosis postmenopusica, sin fractura patolgica, regin del hombro"
"M8102" "Osteoporosis postmenopusica, sin fractura patolgica, brazo"
"M8103" "Osteoporosis postmenopusica, sin fractura patolgica, antebrazo"
"M8104" "Osteoporosis postmenopusica, sin fractura patolgica, mano"
"M8105" "Osteoporosis postmenopusica, sin fractura patolgica, regin pelviana y muslo"
"M8106" "Osteoporosis postmenopusica, sin fractura patolgica, pierna"
"M8107" "Osteoporosis postmenopusica, sin fractura patolgica, tobillo y pie"
"M8108" "Osteoporosis postmenopusica, sin fractura patolgica, otros"
"M8109" "Osteoporosis postmenopusica, sin fractura patolgica, sitio no especificado"
"M8110" "Osteoporosis postooforectoma, sin fractura patolgica, sitios mltiples"
"M8111" "Osteoporosis postooforectoma, sin fractura patolgica, regin del hombro"
"M8112" "Osteoporosis postooforectoma, sin fractura patolgica, brazo"
"M8113" "Osteoporosis postooforectoma, sin fractura patolgica, antebrazo"
"M8114" "Osteoporosis postooforectoma, sin fractura patolgica, mano"
"M8115" "Osteoporosis postooforectoma, sin fractura patolgica, regin pelviana y muslo"
"M8116" "Osteoporosis postooforectoma, sin fractura patolgica, pierna"
"M8117" "Osteoporosis postooforectoma, sin fractura patolgica, tobillo y pie"
"M8118" "Osteoporosis postooforectoma, sin fractura patolgica, otros"
"M8119" "Osteoporosis postooforectoma, sin fractura patolgica, sitio no especificado"
"M8300" "Osteomalacia puerperal, sitios mltiples"
"M8301" "Osteomalacia puerperal, regin del hombro"
"M8302" "Osteomalacia puerperal, brazo"
"M8303" "Osteomalacia puerperal, antebrazo"
"M8304" "Osteomalacia puerperal, mano"
"M8305" "Osteomalacia puerperal, regin pelviana y muslo"
"M8306" "Osteomalacia puerperal, pierna"
"M8307" "Osteomalacia puerperal, tobillo y pie"
"M8308" "Osteomalacia puerperal, otros"
"M8309" "Osteomalacia puerperal, sitio no especificado"
"M8310" "Osteomalacia senil, sitios mltiples"
"M8311" "Osteomalacia senil, regin del hombro"
"M8312" "Osteomalacia senil, brazo"
"M8313" "Osteomalacia senil, antebrazo"
"M8314" "Osteomalacia senil, mano"
"M8315" "Osteomalacia senil, regin pelviana y muslo"
"M8316" "Osteomalacia senil, pierna"
"M8317" "Osteomalacia senil, tobillo y pie"
"M8318" "Osteomalacia senil, otros"
"M8319" "Osteomalacia senil, sitio no especificado"
"M8320" "Osteomalacia del adulto debida a malabsorcin, sitios mltiples"
"M8321" "Osteomalacia del adulto debida a malabsorcin, regin del hombro"
"M8322" "Osteomalacia del adulto debida a malabsorcin, brazo"
"M8323" "Osteomalacia del adulto debida a malabsorcin, antebrazo"
"M8324" "Osteomalacia del adulto debida a malabsorcin, mano"
"M8325" "Osteomalacia del adulto debida a malabsorcin, regin pelviana y muslo"
"M8326" "Osteomalacia del adulto debida a malabsorcin, pierna"
"M8327" "Osteomalacia del adulto debida a malabsorcin, tobillo y pie"
"M8328" "Osteomalacia del adulto debida a malabsorcin, otros"
"M8329" "Osteomalacia del adulto debida a malabsorcin, sitio no especificado"
"M8330" "Osteomalacia del adulto debida a desnutricin, sitios mltiples"
"M8331" "Osteomalacia del adulto debida a desnutricin, regin del hombro"
"M8332" "Osteomalacia del adulto debida a desnutricin, brazo"
"M8333" "Osteomalacia del adulto debida a desnutricin, antebrazo"
"M8334" "Osteomalacia del adulto debida a desnutricin, mano"
"M8335" "Osteomalacia del adulto debida a desnutricin, regin pelviana y muslo"
"M8336" "Osteomalacia del adulto debida a desnutricin, pierna"
"M8337" "Osteomalacia del adulto debida a desnutricin, tobillo y pie"
"M8338" "Osteomalacia del adulto debida a desnutricin, otros"
"M8339" "Osteomalacia del adulto debida a desnutricin, sitio no especificado"
"M8340" "Enfermedad de los huesos por aluminio, sitios mltiples"
"M8341" "Enfermedad de los huesos por aluminio, regin del hombro"
"M8342" "Enfermedad de los huesos por aluminio, brazo"
"M8343" "Enfermedad de los huesos por aluminio, antebrazo"
"M8344" "Enfermedad de los huesos por aluminio, mano"
"M8345" "Enfermedad de los huesos por aluminio, regin pelviana y muslo"
"M8346" "Enfermedad de los huesos por aluminio, pierna"
"M8347" "Enfermedad de los huesos por aluminio, tobillo y pie"
"M8348" "Enfermedad de los huesos por aluminio, otros"
"M8349" "Enfermedad de los huesos por aluminio, sitio no especificado"
"M8350" "Otras osteomalacias del adulto inducidas por drogas, sitios mltiples"
"M8351" "Otras osteomalacias del adulto inducidas por drogas, regin del hombro"
"M8352" "Otras osteomalacias del adulto inducidas por drogas, brazo"
"M8353" "Otras osteomalacias del adulto inducidas por drogas, antebrazo"
"M8354" "Otras osteomalacias del adulto inducidas por drogas, mano"
"M8355" "Otras osteomalacias del adulto inducidas por drogas, regin pelviana y muslo"
"M8356" "Otras osteomalacias del adulto inducidas por drogas, pierna"
"M8357" "Otras osteomalacias del adulto inducidas por drogas, tobillo y pie"
"M8358" "Otras osteomalacias del adulto inducidas por drogas, otros"
"M8359" "Otras osteomalacias del adulto inducidas por drogas, sitio no especificado"
"M8380" "Otras osteomalacias del adulto, sitios mltiples"
"M8381" "Otras osteomalacias del adulto, regin del hombro"
"M8382" "Otras osteomalacias del adulto, brazo"
"M8383" "Otras osteomalacias del adulto, antebrazo"
"M8384" "Otras osteomalacias del adulto, mano"
"M8385" "Otras osteomalacias del adulto, regin pelviana y muslo"
"M8386" "Otras osteomalacias del adulto, pierna"
"M8387" "Otras osteomalacias del adulto, tobillo y pie"
"M8388" "Otras osteomalacias del adulto, otros"
"M8389" "Otras osteomalacias del adulto, sitio no especificado"
"M8390" "Osteomalacia del adulto, no especificada, sitios mltiples"
"M8391" "Osteomalacia del adulto, no especificada, regin del hombro"
"M8392" "Osteomalacia del adulto, no especificada, brazo"
"M8393" "Osteomalacia del adulto, no especificada, antebrazo"
"M8394" "Osteomalacia del adulto, no especificada, mano"
"M8395" "Osteomalacia del adulto, no especificada, regin pelviana y muslo"
"M8396" "Osteomalacia del adulto, no especificada, pierna"
"M8397" "Osteomalacia del adulto, no especificada, tobillo y pie"
"M8398" "Osteomalacia del adulto, no especificada, otros"
"M8399" "Osteomalacia del adulto, no especificada, sitio no especificado"
"M8630" "Osteomielitis multifocal crnica, sitios mltiples"
"M8631" "Osteomielitis multifocal crnica, regin del hombro"
"M8632" "Osteomielitis multifocal crnica, brazo"
"M8633" "Osteomielitis multifocal crnica, antebrazo"
"M8634" "Osteomielitis multifocal crnica, mano"
"M8635" "Osteomielitis multifocal crnica, regin pelviana y muslo"
"M8636" "Osteomielitis multifocal crnica, pierna"
"M8637" "Osteomielitis multifocal crnica, tobillo y pie"
"M8638" "Osteomielitis multifocal crnica, otros"
"M8639" "Osteomielitis multifocal crnica, sitio no especificado"
"M8640" "Osteomielitis crnica con drenaje del seno, sitios mltiples"
"M8641" "Osteomielitis crnica con drenaje del seno, regin del hombro"
"M8642" "Osteomielitis crnica con drenaje del seno, brazo"
"M8643" "Osteomielitis crnica con drenaje del seno, antebrazo"
"M8644" "Osteomielitis crnica con drenaje del seno, mano"
"M8645" "Osteomielitis crnica con drenaje del seno, regin pelviana y muslo"
"M8646" "Osteomielitis crnica con drenaje del seno, pierna"
"M8647" "Osteomielitis crnica con drenaje del seno, tobillo y pie"
"M8648" "Osteomielitis crnica con drenaje del seno, otros"
"M8649" "Osteomielitis crnica con drenaje del seno, sitio no especificado"
"M8650" "Otras osteomielitis hematgenas crnicas, sitios mltiples"
"M8651" "Otras osteomielitis hematgenas crnicas, regin del hombro"
"M8652" "Otras osteomielitis hematgenas crnicas, brazo"
"M8653" "Otras osteomielitis hematgenas crnicas, antebrazo"
"M8654" "Otras osteomielitis hematgenas crnicas, mano"
"M8655" "Otras osteomielitis hematgenas crnicas, regin pelviana y muslo"
"M8656" "Otras osteomielitis hematgenas crnicas, pierna"
"M8657" "Otras osteomielitis hematgenas crnicas, tobillo y pie"
"M8658" "Otras osteomielitis hematgenas crnicas, otros"
"M8659" "Otras osteomielitis hematgenas crnicas, sitio no especificado"
"M8660" "Otras osteomielitis crnicas, sitios mltiples"
"M8661" "Otras osteomielitis crnicas, regin del hombro"
"M8662" "Otras osteomielitis crnicas, brazo"
"M8663" "Otras osteomielitis crnicas, antebrazo"
"M8664" "Otras osteomielitis crnicas, mano"
"M8665" "Otras osteomielitis crnicas, regin pelviana y muslo"
"M8666" "Otras osteomielitis crnicas, pierna"
"M8667" "Otras osteomielitis crnicas, tobillo y pie"
"M8668" "Otras osteomielitis crnicas, otros"
"M8669" "Otras osteomielitis crnicas, sitio no especificado".
exe.
output close *.






 

*freq auxiliar_c3.
CTABLES
  /VLABELS VARIABLES=auxiliar_c3 prov_res DISPLAY=BOTH
  /TABLE auxiliar_c3 [COUNT F40.0] BY prov_res
  /CATEGORIES VARIABLES=auxiliar_c3 cant_res ORDER=A KEY=VALUE EMPTY=INCLUDE.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=parto_normal parto_cesarea otros_part sig_anor prov_res DISPLAY=BOTH
  /TABLE parto_normal [COUNT F40.0] + parto_cesarea [COUNT F40.0] + otros_part [COUNT F40.0] + 
    sig_anor [COUNT F40.0] BY prov_res
  /CATEGORIES VARIABLES=parto_normal parto_cesarea otros_part sig_anor ORDER=A KEY=VALUE 
    EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=prov_res ORDER=A KEY=VALUE EMPTY=INCLUDE.

 outp exp /contents export=visible /xlsx documentfile='D:\EGRESOS Y CAMAS\TABULADOS\Tabulados_2020\cuadro 3_1_18.xlsx' 
operation=createsheet sheet='c3_1_18'.
output close *.

*freq auxiliar_c3.
CTABLES
  /VLABELS VARIABLES=auxiliar_c3 prov_res cant_res DISPLAY=BOTH
  /TABLE auxiliar_c3 [COUNT F40.0] BY prov_res>cant_res
  /CATEGORIES VARIABLES=auxiliar_c3 prov_res cant_res ORDER=A KEY=VALUE EMPTY=EXCLUDE.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=parto_normal parto_cesarea otros_part sig_anor prov_res cant_res DISPLAY=BOTH
  /TABLE parto_normal [COUNT F40.0] + parto_cesarea [COUNT F40.0] + otros_part [COUNT F40.0] + 
    sig_anor [COUNT F40.0] BY prov_res>cant_res
  /CATEGORIES VARIABLES=parto_normal parto_cesarea otros_part sig_anor ORDER=A KEY=VALUE 
    EMPTY=EXCLUDE
  /CATEGORIES VARIABLES=prov_res cant_res ORDER=A KEY=VALUE EMPTY=EXCLUDE.

 outp exp /contents export=visible /xlsx documentfile='D:\EGRESOS Y CAMAS\TABULADOS\Tabulados_2020\cuadro 3_1_19.xlsx' 
operation=createsheet sheet='c3_1_19'.
output close *.


GET
  FILE=' D:\EGRESOS Y CAMAS\BASES EGRESOS\egresos_hospitalarios_2020.sav'.
*creacin de variables*.

compute t = 1.
compute t1 = 1.

compute t2 = 1.

  if t=1 fallecidos=0.
 if (con_egrpa >= 2 and con_egrpa <= 3) fallecidos = 1.
  if t=1 altas=0.
 if (con_egrpa = 1) altas = 1.
*Cuadro excel 3.1.19 .
*Nmero de egresos hospitalarios segn al sector que pertenece el establecimiento de salud.

filter off.
use all.

TABLES  /FORMAT BLANK MISSING('.')
/obser= t altas fallecidos
/ptotal = total 'Nacional'
/TABLE= total +prov_res>cant_res by  t + altas + fallecidos
/STATISTICS= sum (t (f8.0)'total', fallecidos (f8.0)'fallecidos', altas (f8.0)'altas' )
/title='Nmero de egresos hospitalarios segn al sector que pertenece el establecimiento de salud c3.1.17'
/caption='Fuente: INEC - Egresos Hospitalarios 2020'.

outp exp /contents export=visible /xlsx documentfile='D:\EGRESOS Y CAMAS\TABULADOS\Tabulados_2020\cuadro 3_1_17.xlsx' 
operation=createsheet sheet='c3_1_17'.
output close *.




